#ifndef DHNETSDK_H
#define DHNETSDK_H

#if (defined(WIN32) || defined(_WIN32) || defined(_WIN64))
    #include <windows.h>
    #ifdef NETSDK_EXPORTS
        #define CLIENT_NET_API  __declspec(dllexport)
    #else
        #define CLIENT_NET_API  __declspec(dllimport)
    #endif

    #define CALLBACK        __stdcall
    #define CALL_METHOD     __stdcall  //__cdecl

    #define INT64           __int64
    #define TP_U64          unsigned __int64

    #ifndef LLONG
        #ifdef _WIN64
            #define LLONG   INT64
        #else 
            #define LLONG   LONG
        #endif
    #endif

    #ifndef LDWORD
        #ifdef _WIN64
            #define LDWORD  INT64
        #else 
            #define LDWORD  DWORD
        #endif
    #endif
#else    //non-windows
    #define CLIENT_NET_API  extern "C"
    #define CALL_METHOD 
    #define CALLBACK

    #ifndef INTERNAL_COMPILE
        #define RELEASE_HEADER
    #endif
 
    #ifdef RELEASE_HEADER
        #define WORD        unsigned short
        #define DWORD       unsigned int
        #define LONG        int
        #define LPDWORD     DWORD*

        #ifdef __OBJC__
            #include "objc/objc.h"
        #else
            #define BOOL    int
        #endif

        #ifndef TRUE
        #define TRUE        1
        #endif

        #ifndef FALSE
        #define FALSE       0
        #endif
        #define BYTE        unsigned char
        #define UINT        unsigned int
        #define HDC         void*
        #define HWND        void*
        #define LPVOID      void*

        #ifndef NULL
        #define NULL        0
        #endif

        #define LLONG       long
        #define INT64       long long
        #define TP_U64      unsigned long long
        #define LDWORD      long 

        #ifndef MAX_PATH
        #define MAX_PATH    260
        #endif

        #ifndef DEF_RECT
        typedef struct  tagRECT
        {
            LONG left;
            LONG top;
            LONG right;
            LONG bottom;
        } RECT;
        #define DEF_RECT
        #endif
    #else    //ڲ
        #include "../Platform/osIndependent.h"
        #define INT64       int64
        #define TP_U64      uint64
    #endif // RELEASE_HEADER
#endif // linux

#ifndef LDWORD
    #if (defined(WIN32) || defined(_WIN32) || defined(_WIN64))
        #ifdef _WIN64
            #define LDWORD  __int64
        #else //WIN32 
            #define LDWORD  DWORD
        #endif
    #else    //linux
        #define LDWORD      long 
    #endif
#endif


#ifdef __cplusplus
extern "C" {
#endif

/************************************************************************
 ** 
 ***********************************************************************/
#define DH_SERIALNO_LEN                   48               // 豸кַ
#define DH_MAX_DISKNUM                    256              // Ӳ̸
#define DH_MAX_SDCARDNUM                  32               // SD
#define DH_MAX_BURNING_DEV_NUM            32               // ¼豸
#define DH_BURNING_DEV_NAMELEN            32               // ¼豸󳤶
#define DH_MAX_LINK                       6                
#define DH_MAX_CHANNUM                    16               // ͨ
#define DH_MAX_DECODER_CHANNUM            64               // ͨ
#define DH_MAX_ALARMIN                    128              // 󱨾
#define DH_MAX_ALARMOUT                   64               // 󱨾
#define DH_MAX_RIGHT_NUM                  100              // ûȨ޸
#define DH_MAX_GROUP_NUM                  20               // û
#define DH_MAX_USER_NUM                   200              // û
#define DH_RIGHT_NAME_LENGTH              32               // Ȩ
#define DH_USER_NAME_LENGTH               8                // û
#define DH_USER_PSW_LENGTH                8                // û볤
#define DH_CUSTOM_NAME_LENGTH             32               // ԶƳ
#define DH_USER_NAME_LEN_EX               32               // û,ƽ̨չ
#define DH_USER_PSW_LEN_EX                32               // û볤,ƽ̨չ
#define DH_MEMO_LENGTH                    32               // ע
#define DH_MAX_STRING_LEN                 128              
#define MAX_STRING_LINE_LEN               6                // 
#define MAX_PER_STRING_LEN                20               // ÿ󳤶
#define DH_MAX_MAIL_NAME_LEN              64               // µʼṹֵ֧û
#define DH_MAX_MAIL_PSW_LEN               64               // µʼṹֵ֧볤
#define DH_SPEEDLIMIT_TYPE_LEN            32               // ַ
#define DH_VEHICLE_TYPE_LEN               32               // ԶϢַ
#define DH_VEHICLE_INFO_LEN               32               // ԶϢַ
#define DH_VEHICLE_DRIVERNO_LEN           32               // ԶϢ˾ַ
#define DH_MAX_CROSSING_NUM               128              // λ
#define DH_MAX_CROSSING_ID                32               // ·к󳤶
#define DH_MAX_CARD_INFO_LEN              256              // Ϣ󳤶
#define DH_MAX_CHANNUM_EX                 32               // ͨչ  
#define DH_MAX_SAERCH_IP_NUM              256              // IP
#define DH_MAX_HARDDISK_TYPE_LEN          32               // Ӳͺ󳤶
#define DH_MAX_HARDDISK_SERIAL_LEN        32               // Ӳк󳤶
#define DH_MAX_SIM_LEN                    16               // SIMֵ󳤶
#define DH_MAX_SIM_NUM                    10               // SIM
#define DH_MAX_VERSION_LEN                32               // 汾󳤶
#define DH_MAX_MDN_LEN                    36               // MDNֵ󳤶
#define DH_MAX_NETINTERFACE_NUM           64               // ֵ֧
#define DH_EVENT_NAME_LEN                 128              // ¼Ƴ
#define DH_STORAGE_NAME_LEN               128              // 洢豸Ƴ
#define DH_MAX_CARPORTLIGHT_NUM           4                // λƸ
#define DH_STATION_NAME_LEN               32               // վվƳ   
#define PTZ_PRESET_NAME_LEN               64               // ̨ԤõƳ
#define DH_MAX_GUARD_DETECT_ID_COUNT      64               // ĸͤID
#define DH_MAX_VERSION_STR                64               // 汾ַ󳤶
#define DH_MAX_AUDIO_MATRIX_OUTPUT        8                // ÿƵֵ֧ͨ
#define DH_MAX_CHANNEL_COUNT              16               // ֧ͨ
#define DH_COMMON_STRING_4                4                // ַͨ4
#define DH_COMMON_STRING_8                8                // ַͨ8
#define DH_COMMON_STRING_16               16               // ַͨ16
#define DH_COMMON_STRING_32               32               // ַͨ32
#define DH_COMMON_STRING_36               36               // ַͨ36
#define DH_COMMON_STRING_64               64               // ַͨ64
#define DH_COMMON_STRING_128              128              // ַͨ128
#define DH_COMMON_STRING_256              256              // ַͨ256
#define DH_COMMON_STRING_512              512              // ַͨ512
#define DH_COMMON_STRING_1024             1024             // ַͨ1024
#define DH_COMMON_STRING_2048             2048             // ַͨ2048
#define DH_MAX_ACCESS_NAME_LEN            64               // ŽƳ
#define DH_MAX_EXALARMCHANNEL_NAME_LEN    128              // չģ鱨ͨƳ
#define DH_MAX_ALARM_SUBSYSTEM_NUM        256              // 󱨾ϵͳ
#define DH_MAX_BELL_NUM                   4                // 󾯺Ÿ
#define DH_MAX_KEYBOARD_NUM               256              // 
#define MAX_GOURP_NUM                     128              // 
#define MAX_PWD_MODIFIEDTIME_LEN          20               // ޸ʱ󳤶	
#define MAX_ONVIF_USER_NUM                20               // Onvifû޸
#define DH_MAX_POS_EXCHANGE_INFO          64               // ÿβѯPOSϢʱ,Ϣֵ
#define NET_INTERFACE_DEFAULT_TIMEOUT     3000             // ӿĬϳʱʱ
#define DH_MAX_BUSCARD_NUM                64               // 󳤶
#define DH_MAX_POS_MAC_NUM                8                // ˢMac󳤶
#define DH_MAX_MARK_FILE_NAME_LEN         124              // ¼ļ󳤶
#define NET_MAX_ATTACHMENT_NUM            8                // 
#define NET_MAX_ANNUUALINSPECTION_NUM     8                // ʶλ
#define NET_MAX_EVENT_PIC_NUM             6                // ԭʼͼƬ
#define NET_MAX_MONTH_NUM                 31               // ·ݸ
#define NET_IPADDRSTR_LEN                 46               // IPַַ ֧ ipv4-mapped-on-ipv6 
#define NET_MAX_AP_NUM                    3                // AP
#define MAX_WEP_KEY_NUM                   4                // WEP
#define MAX_CARNO_LEN                     20               // ų
#define MAX_COACHNO_LEN                   12               // ų
#define MAX_WORKPATTERN_NUM               2                // ģʽ
#define MAX_NETPORT_NUM                   5                // ڸ
#define MAX_ANTIFLICKERMODE_COUNT         8                // ˸ģʽ
#define MAX_CATEGORY_LEN                  64               // ͳ
#define MAX_DANGER_GRADE_NUM			  8				   // Σյȼ
#define MAX_INSIDE_OBJECT_TYPE_NUM		  32			   // Ʒ͸
#define MAX_PATH_LEN					  260			   // ·	
#define MAX_XRAY_CHANNEL_NUM			  10			   // XͳϢͨ
#define MAX_HISTORY_TEMPERATURE_NUM		  64		       // ʷ¶ֵĸ
#define MAX_TEMPERATURE_POINT_NUM		  8				   // ¶ȵĸ
#define MAX_GROUP_LEN					  128			   // 
#define MAX_ILLEGAL_LOGIN_IP_LEN		  40			   // ķǷ½IP
#define DH_COMMON_STRING_20    		      20			   // ַͨ20
#define MAX_EVENT_ID_LEN				  52               // ¼ID󳤶
#define MAX_HUMANTRAIT_EVENT_LEN          36               // ϱ¼󳤶
#define DH_COMMON_STRING_24               24               // ַͨ24
#define MAX_TEMPERATUREEX_POINT_NUM		  12			   // ¶ȵĸ
#define MAX_PIRPARAM_NUM                  10               // pirõ
#define MAX_ENCRYPT_SYSTEM_INFO_CONTENT_LEN		  8192	   // ϵͳϢݵ󳤶
#define MAX_LOCAL_EXT_ALARM_NAME_LEN	  64			   // 󱨾ӵıͨƳ
#define MAX_TASK_ID_LEN					  64			   // ID
#define MAX_FILE_PATH_LEN				  256			   // ͼƬ·
#define MAX_IMAGE_INFO_NUM				  8				   // ͼƬϢ
#define MAX_DIAL_RESULT_LEN				  2048			   // ķַ
#define MAX_COUNTRY_CODE_LEN			  4				   // ĹҴų
#define MAX_PROVINCE_CODE_LEN			  64			   // ʡݴų
#define MAX_CITY_CODE_LEN				  64			   // ĳдų
#define MAX_AREA_CODE_LEN				  64			   // ų
#define MAX_REQ_INFO_LEN				  1600			   // ļ
#define MAX_SIP_SVR_ID_LEN				  24			   // SIPID
#define MAX_SIP_DOMAIN_LEN				  128			   // SIP򳤶
#define MAX_SIP_SVR_IP_LEN				  128			   // SIPIP
#define MAX_SIP_SERVER_DEVICE_ID_LEN	  24			   // 豸ų
#define MAX_REG_PASSWORD_LEN			  24			   // ע볤
#define MAX_CIVIL_CODE_LEN				  24			   // 볤
#define MAX_INTERVIDEO_ID_LEN			  24			   // Ľģʶ볤
#define	MAX_CHANNEL_ID_LEN				  24			   // ͨų
#define MAX_SIP_SERVER_NUM				  5				   // SIPϢ
#define	MAX_GB28181_PROTOCOL_VERSION	  16			   // GB28181Э汾
#define DH_MAX_FACEDETECT_FEATURE_NUM	  32               // 
#define MAX_ATTACHMENT_NUM				  8				   // Ʒ
#define MAX_ERRORCODE_NUM                 512              // 
#define MAX_PUSH_STREAM_AUTH_SSID		  80			   // 豸ȨID󳤶

// Զýṹس                 
#define DH_MAX_MAIL_ADDR_LEN              128              // ʼ()ַ󳤶
#define DH_MAX_MAIL_SUBJECT_LEN           64               // ʼ󳤶
#define DH_MAX_IPADDR_LEN                 16               // IPַַ
#define DH_MAX_IPADDR_LEN_EX              40               // չIPַַ, ֧IPV6
#define DH_MACADDR_LEN                    40               // MACַַ
#define DH_MAX_URL_LEN                    128              // URLַ
#define DH_MAX_DEV_ID_LEN                 48               // 󳤶
#define DH_MAX_HOST_NAMELEN               64               // ,
#define DH_MAX_HOST_PSWLEN                32               // 볤
#define DH_MAX_NAME_LEN                   16               // ַͨ
#define DH_MAX_ETHERNET_NUM               2                // ̫
#define DH_MAX_ETHERNET_NUM_EX            10               // չ̫
#define DH_DEV_SERIALNO_LEN               48               // кַ
#define DH_DEV_CLASS_LEN                  16               // 豸ַ"IPC"
#define DH_DEV_TYPE_LEN                   32               // 豸ͺַ"IPC-F725"
#define DH_N_WEEKS                        7                // һܵ    
#define DH_N_TSECT                        6                // ͨʱθ
#define DH_N_REC_TSECT                    6                // ¼ʱθ
#define DH_N_COL_TSECT                    2                // ɫʱθ    
#define DH_CHAN_NAME_LEN                  32               // ͨ,DVR DSP,32ֽ        
#define DH_N_ENCODE_AUX                   3                // չ    
#define DH_N_TALK                         1                // Խͨ
#define DH_N_COVERS                       1                // ڵ    
#define DH_N_CHANNEL                      16               // ͨ    
#define DH_N_ALARM_TSECT                  2                // ʾʱθ
#define DH_MAX_ALARMOUT_NUM               16               // ڸ
#define DH_MAX_AUDIO_IN_NUM               16               // Ƶڸ
#define DH_MAX_VIDEO_IN_NUM               16               // Ƶڸ
#define DH_MAX_ALARM_IN_NUM               16               // ڸ
#define DH_MAX_DISK_NUM                   16               // Ӳ̸,ݶΪ16
#define DH_MAX_DECODER_NUM                16               // (485)    
#define DH_MAX_232FUNCS                   10               // 232ڹܸ
#define DH_MAX_232_NUM                    2                // 232ڸ
#define DH_MAX_232_NUM_EX                 16               // չø          
#define DH_MAX_DECPRO_LIST_SIZE           100              // Эб
#define DH_FTP_MAXDIRLEN                  240              // FTPļĿ¼󳤶
#define DH_MATRIX_MAXOUT                  16               //                                              
#define DH_TOUR_GROUP_NUM                 6                // 
#define DH_MAX_DDNS_NUM                   10               // 豸ֵ֧ddns
#define DH_MAX_SERVER_TYPE_LEN            32               // ddns,ַ
#define DH_MAX_DOMAIN_NAME_LEN            256              // ddns,ַ
#define DH_MAX_DDNS_ALIAS_LEN             32               // ddns,ַ
#define DH_MAX_DEFAULT_DOMAIN_LEN         60               // ddnsĬ,ַ     
#define DH_MOTION_ROW                     32               // ̬
#define DH_MOTION_COL                     32               // ̬
#define DH_STATIC_ROW                     32               // ̬
#define DH_STATIC_COL                     32               // ̬
#define DH_FTP_USERNAME_LEN               64               // FTP,û󳤶
#define DH_FTP_PASSWORD_LEN               64               // FTP,󳤶
#define DH_TIME_SECTION                   2                // FTP,ÿʱθ
#define DH_FTP_MAX_PATH                   240              // FTP,ļ·󳤶
#define DH_FTP_MAX_SUB_PATH               128              // FTP,ļ·󳤶
#define DH_INTERVIDEO_UCOM_CHANID         32               // ƽ̨,UͨͨID
#define DH_INTERVIDEO_UCOM_DEVID          32               // ƽ̨,Uͨ豸ID
#define DH_INTERVIDEO_UCOM_REGPSW         16               // ƽ̨,Uͨע
#define DH_INTERVIDEO_UCOM_USERNAME       32               // ƽ̨,Uͨû
#define DH_INTERVIDEO_UCOM_USERPSW        32               // ƽ̨,Uͨ
#define DH_INTERVIDEO_NSS_IP              32               // ƽ̨,άIP
#define DH_INTERVIDEO_NSS_SERIAL          32               // ƽ̨,άserial
#define DH_INTERVIDEO_NSS_USER            32               // ƽ̨,άuser
#define DH_INTERVIDEO_NSS_PWD             50               // ƽ̨,άpassword
#define DH_MAX_VIDEO_COVER_NUM            16               // ڵ
#define DH_MAX_WATERMAKE_DATA             4096             // ˮӡͼƬ󳤶
#define DH_MAX_WATERMAKE_LETTER           128              // ˮӡ󳤶
#define DH_MAX_WLANDEVICE_NUM             10               // 豸
#define DH_MAX_WLANDEVICE_NUM_EX          32               // 豸
#define MAX_WLAN_DEVICE_NUM				  128              // 豸
#define DH_MAX_ALARM_NAME                 64               // ַ
#define DH_MAX_REGISTER_SERVER_NUM        10               // ע
#define DH_SNIFFER_FRAMEID_NUM            6                // 6FRAME ID ѡ
#define DH_SNIFFER_CONTENT_NUM            4                // ÿFRAMEӦ4ץ
#define DH_SNIFFER_CONTENT_NUM_EX         8                // ÿFRAMEӦ8ץ
#define DH_SNIFFER_PROTOCOL_SIZE          20               // Эֳ
#define DH_MAX_PROTOCOL_NAME_LENGTH       20               
#define DH_SNIFFER_GROUP_NUM              4                // 4ץ
#define MAX_PATH_STOR                     240              // ԶĿ¼ĳ
#define DH_ALARM_OCCUR_TIME_LEN           40               // µıϴʱĳ
#define DH_VIDEO_OSD_NAME_NUM             64               // ӵƳ,Ŀǰ֧32Ӣ,16
#define DH_VIDEO_CUSTOM_OSD_NUM           8                // ֵ֧ԶӵĿ,ʱͨ
#define DH_VIDEO_CUSTOM_OSD_NUM_EX        256              // ֵ֧ԶӵĿ,ʱͨ
#define DH_CONTROL_AUTO_REGISTER_NUM      100              // ֶ֧עĸ
#define DH_MMS_RECEIVER_NUM               100              // ֶ֧Žߵĸ
#define DH_MMS_SMSACTIVATION_NUM          100              // ֶ֧ŷߵĸ
#define DH_MMS_DIALINACTIVATION_NUM       100              // ֲ֧ŷߵĸ
#define DH_MAX_ALARMOUT_NUM_EX            32               // ڸչ
#define DH_MAX_VIDEO_IN_NUM_EX            32               // Ƶڸչ
#define DH_MAX_ALARM_IN_NUM_EX            32               // ڸ
#define DH_MAX_IPADDR_OR_DOMAIN_LEN       64               // IPַַ
#define DH_MAX_CALLID                     32               // ID
#define DH_MAX_OBJECT_LIST                16               // ܷ豸⵽ID    
#define DH_MAX_OBJECT_NUM				  32			   // object
#define DH_MAX_RULE_LIST                  16               // ܷ豸
#define DH_MAX_POLYGON_NUM                16               // 󶥵
#define DH_MAX_DETECT_LINE_NUM            20               // 󶥵
#define DH_MAX_DETECT_REGION_NUM          20               // 󶥵
#define MAX_CARGO_CHANNEL_NUM			  8				   // ͨ
#define DH_MAX_TRACK_LINE_NUM             20               // ˶켣󶥵
#define DH_MAX_CANDIDATE_NUM              50               // ʶƥ
#define DH_MAX_PERSON_IMAGE_NUM           48               // ÿԱӦͼƬ
#define DH_MAX_FENCE_LINE_NUM             2                // Χ
#define MAX_SMART_VALUE_NUM               30               // smartϢ
#define DH_MACHINE_NAME_NUM               64               // Ƴ
#define DH_INTERVIDEO_AMP_DEVICESERIAL    48               // ƽ̨, 豸кַ
#define DH_INTERVIDEO_AMP_DEVICENAME      16               // ƽ̨, 豸ַ
#define DH_INTERVIDEO_AMP_USER            32               // ƽ̨, עûַ
#define DH_INTERVIDEO_AMP_PWD             32               // ƽ̨, עַ
#define MAX_SUBMODULE_NUM                 32               // ģϢ
#define DH_MAX_CARWAY_NUM                 8                // ͨץ,󳵵
#define DH_MAX_SNAP_SIGNAL_NUM            3                // һץ
#define DH_MAX_CARD_NUM                   128              // ŵ
#define DH_MAX_CARDINFO_LEN               32               // ÿַ
#define MAX_COMPANION_CARD_NUM            6                // ͬ߿
#define DH_MAX_CONTROLER_NUM              64               // ֿ֧Ŀ
#define DH_MAX_LIGHT_NUM                  32               // Ƶ
#define DH_MAX_SNMP_COMMON_LEN            64               // snmp дݳ
#define DH_MAX_DDNS_STATE_LEN             128              // DDNS ״̬Ϣ
#define DH_MAX_PHONE_NO_LEN               16               // 绰볤
#define DH_MAX_MSGTYPE_LEN                32               // ͻϢͳ
#define DH_MAX_MSG_LEN                    256              // ͶϢ
#define DH_MAX_DRIVINGDIRECTION           256              // ʻַ
#define DH_MAX_GRAB_INTERVAL_NUM          4                // ͼƬץĸ
#define DH_MAX_FLASH_NUM                  5                // ֧Ƹ
#define DH_MAX_LANE_NUM                   8                // Ƶ豸ÿͨӦ
#define DH_MAX_ISCSI_PATH_NUM             64               // ISCSIԶĿ¼
#define DH_MAX_WIRELESS_CHN_NUM           256              // ·ŵ
#define DH_PROTOCOL3_BASE                 100              // Э汾
#define DH_PROTOCOL3_SUPPORT              11               // ֻ֧3Э
#define DH_MAX_CHANMASK                   64               // ֵͨ
#define DH_MAX_STAFF_NUM                  20               // ŨƵϢб
#define DH_MAX_CALIBRATEBOX_NUM           10               // ŨƵϢб궨
#define DH_MAX_EXCLUDEREGION_NUM          10               // ŨƵϢų
#define DH_MAX_POLYLINE_NUM               20               // ŨƵϢб
#define DH_MAX_COLOR_NUM                  16               // ɫĿ
#define MAX_OBJFILTER_NUM                 16               // 
#define DH_MAX_SYNOPSIS_STATE_NAME        64               // ƵŨ״ַ̬
#define DH_MAX_SYNOPSIS_QUERY_FILE_COUNT  10               // ƵŨԭʼļ·ʱļ
#define DH_MAX_SSID_LEN                   36               // SSID
#define DH_MAX_APPIN_LEN                  16               // PIN볤
#define DH_NETINTERFACE_NAME_LEN          260              // Ƴ
#define DH_NETINTERFACE_TYPE_LEN          260              // ͳ
#define DH_MAX_CONNECT_STATUS_LEN         260              // ״ַ̬
#define DH_MAX_MODE_LEN                   64               // 3Gֵ֧ģʽ
#define DH_MAX_MODE_NUM                   64               // 3Gֵ֧ģʽ
#define DH_MAX_COMPRESSION_TYPES_NUM      16               // Ƶʽ
#define DH_MAX_CAPTURE_SIZE_NUM           64               // Ƶֱʸ
#define DH_NODE_NAME_LEN                  64               // ֯ṹڵƳ
#define MAX_CALIBPOINTS_NUM               256              // ֧궨
#define DH_MAX_ATTR_NUM                   32               // ʾԪ
#define DH_MAX_CLOUDCONNECT_STATE_LEN     128              // ע״̬Ϣ
#define DH_MAX_IPADDR_EX_LEN              128              // չIPַ󳤶
#define DH_MAX_PLATE_NUMBER_LEN           32               // ַ   
#define DH_MAX_AUTHORITY_LIST_NUM         16               // Ȩб   
#define DH_MAX_CITY_NAME_LEN              64               // 󳤶
#define DH_MAX_PROVINCE_NAME_LEN          64               // ʡ󳤶
#define DH_MAX_PERSON_ID_LEN              32               // Աid󳤶
#define MAX_FACE_AREA_NUM                 8                //  
#define MAX_FACE_DB_NUM                   8                // ݿ
#define MAX_EVENT_NAME                    128              // ¼
#define DH_MAX_ETH_NAME                   64               // 
#define DH_MAX_PERSON_NAME_LEN            64               // Ա󳤶
#define DH_N_SCHEDULE_TSECT               8                // ʱԪظ    
#define DH_MAX_URL_NUM                    8                // URL
#define DH_MAX_LOWER_MITRIX_NUM           16               // λ
#define DH_MAX_BURN_CHANNEL_NUM           32               // ¼ͨ
#define DH_MAX_NET_STRORAGE_BLOCK_NUM     64               // Զ̴洢
#define DH_MAX_CASE_PERSON_NUM            32               // Ա
#define DH_MAX_MULTIPLAYBACK_CHANNEL_NUM  64               // ͨԤطͨ
#define DH_MAX_MULTIPLAYBACK_SPLIT_NUM    32               // ͨԤطŷָģʽ
#define DH_MAX_AUDIO_ENCODE_TYPE          64               // ͸
#define MAX_LOG_PATH_LEN                  260              // ־·󳤶
#define MAX_CARD_RECORD_FIELD_NUM         16               // ¼
#define DH_BATTERY_NUM_MAX                16               //     
#define DH_POWER_NUM_MAX                  16               // Դ        
#define DH_MAX_AUDIO_PATH                 260              // Ƶļ·
#define DH_MAX_DOORNAME_LEN               128              // ŽƳ    
#define DH_MAX_CARDPWD_LEN                64               // ŽƳ    
#define NET_MAX_FISHEYE_MOUNTMODE_NUM     4                // ۰װģʽ
#define NET_MAX_FISHEYE_CALIBRATEMODE_NUM 16               // ۽ģʽ
#define NET_MAX_FISHEYE_EPTZCMD_NUM       64               // ۵̨   
#define POINT_NUM_IN_PAIR                 2                // 궨еĵ
#define MAX_POINT_PAIR_NUM                128              // 궨
#define CHANNEL_NUM_IN_POINT_GROUP        2                // 궨еƵͨ
#define MAX_POINT_GROUP_NUM               32               // 궨, ÿͨƴҪһ궨
#define MAX_LANE_INFO_NUM                 32               // 󳵵Ϣ
#define MAX_LANE_DIRECTION_NUM            8                // 
#define DH_MAX_MONITORWALL_NUM            32               // ǽ
#define DH_MAX_OPTIONAL_URL_NUM           8                // url
#define DH_MAX_CAMERA_CHANNEL_NUM         1024             // ͨ
#define MAX_SIMILARITY_COUNT			  1024			   // Աȿֵ
#define MAX_FEATURESTATE_NUM		      4				   // 齨ģ״̬
#define MAX_FILE_SUMMARY_NUM              32               // ļժҪ
#define MAX_AUDIO_ENCODE_NUM              64               // ֧Ƶ
#define MAX_MONITORWALL_NAME_LEN          64               // ǽ󳤶
#define MAX_FLASH_LIGHT_NUM               8                // ֵ֧ı()
#define MAX_STROBOSCOPIC_LIGHT_NUM        8                // ֵ֧ƵƸ
#define MAX_MOSAIC_NUM                    8                // ֵ֧
#define MAX_MOSAIC_CHANNEL_NUM            256              // ֧˵ӵͨ
#define MAX_FIREWARNING_INFO_NUM          4                // ȳŻ㱨Ϣ
#define MAX_AXLE_NUM                      8                // 
#define DH_MAX_BULLET_HOLES               10               // ĵ 
#define MAX_PLATE_NUM                     64               // ÿͼƬаƸ
#define MAX_PREVIEW_CHANNEL_NUM           64               // 󵼲Ԥͨ 
#define MAX_EVENT_RESTORE_UUID            36               // ¼شuuidС
#define MAX_EVENT_RESTORE_CODE_NUM        8                // ¼ش͸
#define MAX_EVENT_RESOTER_CODE_TYPE       32               // ¼شС
#define MAX_SNAP_TYPE                     3                // ץͼ
#define MAX_MAINFORMAT_NUM                4                // ֧
#define CUSTOM_TITLE_LEN                  1024             // ԶƳ(䵽1024)
#define MAX_CUSTOM_TITLE_NUM              8                // Զ
#define FORMAT_TYPE_LEN                   16               // 󳤶
#define MAX_CHANNEL_NAME_LEN              256              // ͨ󳤶
#define MAX_VIRTUALINFO_DOMAIN_LEN        64               // 
#define MAX_VIRTUALINFO_TITLE_LEN         64               // ⳤ
#define MAX_VIRTUALINFO_USERNAME_LEN      32               // û
#define MAX_VIRTUALINFO_PASSWORD_LEN      32               // 볤
#define MAX_VIRTUALINFO_PHONENUM_LEN      12               // ֻų
#define MAX_VIRTUALINFO_IMEI_LEN          16               // ݹƶ豸ʶ
#define MAX_VIRTUALINFO_IMSI_LEN          16               // ݹƶûʶ볤
#define MAX_VIRTUALINFO_LATITUDE_LEN      16               // ݾȳ
#define MAX_VIRTUALINFO_LONGITUDE_LEN     16               // γȳ
#define MAX_VIRTUALINFO_NUM               1024             // Ϣ
#define MAX_CALL_ID_LEN                   64               // ID
#define MAX_FACE_DATA_LEN                 2048             // ģ󳤶
#define MAX_FACE_DATA_NUM                 20               // ģ
#define MAX_PHOTO_COUNT                   5                // Ƭ
#define MAX_FINGERPRINT_NUM               10               // ָƸ
#define MAX_RINGFILE_NUM                  64               // Ƶļ
#define MAX_VIDEOIN_CONFLICT_NUM          128              // Ƶͻ
#define MAX_COURSE_LOGIC_CHANNEL          64               // ¼߼ͨ
#define MAX_COMMON_STRING_8               8                // ַͨ8
#define MAX_COMMON_STRING_16              16               // ַͨ16
#define MAX_COMMON_STRING_32              32               // ַͨ32
#define MAX_COMMON_STRING_64              64               // ַͨ64
#define MAX_MAN_LIST_COUNT                64               // Աб
#define MAX_COMMON_STRING_128             128              // ַͨ128
#define MAX_STREAM_NUM                    4                // 
#define MAX_CELL_PHONE_NUMBER_LEN         32               // ֻų
#define MAX_MAIL_LEN                      64               // 󳤶
#define MAX_USER_NAME_LEN                 128              // û
#define MAX_PWD_LEN                       128              // 볤
#define MAX_SECURITY_CODE_LEN             16               // ƽ̨͵Ԥֻ/аȫ󳤶    
#define MAX_PWD_SPEC_CHARS_ARRAY_LEN      128              // 淶ַб󳤶
#define MAX_PWD_BASIC_CHARS_ARRAY_LEN     128              // 淶ֵ֧Ļַб󳤶        
#define MAX_COMMON_STRING_512             512              // ַͨ512
#define MAX_RFIDELETAG_CARDID_LEN         16               // RFID ӳƱǩϢп󳤶
#define MAX_RFIDELETAG_DATE_LEN           16               // RFID ӳƱǩϢʱ󳤶
#define MAX_LINK_NAME_LEN                 16               // Ƴ
#define MAX_SERVER_ADDRESS_LEN            64               // IP
#define LINK_LAYER_VPN_NUM                64               // ·VPNø
#define MAX_SERVER_IP_LEN                 32               // IP 
#define MAX_SCENICSPOT_POINTS_NUM         256              // ܹжٸϢ
#define MAX_ACCESSSUBCONTROLLER_NUM       64               // Žֿ
#define MAX_ACCESSDOOR_NUM                128              //                  
#define MAX_ACCESS_READER_NUM             32               // Ž
#define MAX_ACCESS_POINT_NUM              32               // Ǳ·ڵ
#define MAX_CONFIG_NAME_LEN               128              // Ƴ
#define MAX_PLATE_NUMBER_LEN              64               // ƺ볤
#define MAX_MASTER_OF_CAR_LEN             32               // 
#define MAX_USER_TYPE_LEN                 32               // ûͳ
#define MAX_SUB_USER_TYPE_LEN			  64			   // ûͳ
#define MAX_REMARKS_LEN					  64			   // עϢ
#define MAX_PARK_CHARGE_LEN               32               // ͣѳ
#define MAX_IN_TIME_LEN                   32               // 볡ʱ䳤
#define MAX_OUT_TIME_LEN                  32               // ʱ䳤
#define MAX_CUSTOM_LEN                    128              // Զʾ
#define MAX_DEAL_NUM_LEN                  32               // СƱ׺ų
#define MAX_STORE_NO_LEN                  32               // ų
#define MAX_STORE_NAME_LEN                32               // 
#define MAX_STORE_EMPLOYEE_ID_LEN         32               // Աų
#define MAX_PRODUCT_NO_LEN                32               // Ʒ볤
#define MAX_PRODUCT_NAME_LEN              32               // ƷƳ
#define MAX_PRODUCT_CATEGORY_LEN          32               // Ʒ𳤶
#define DH_MAX_FINGER_PRINT               10               // ָID󳤶
#define MAX_SUBCHANNEL_NUM                16               // Ƶͨ(ɼ)
#define MAX_NAME_LENGTH                   32               // 
#define MAX_SNAP_URL_LEN                  128              // ץͼַ
#define MAX_CODE_LEN                      64               // Ʒų
#define MAX_PERSON_INFO_NUM               4                // Ϣ
#define MAX_GOOD_INFO_NUM                 128              // ƷϢ
#define MAX_SUB_TAG_NUM                   20               // ӱǩ
#define MAX_MANUFACTURER_LEN              32               // Macַ̳
#define MAX_MACHISTORY_SSID_LEN           24               // ʷSSID
#define MAX_MACHISTORY_SSID_NUM	          5	               // ʷSSID
#define MAX_ADDRESS_LENGTH				  256			   // ַ
#define MAX_USERNAME_LENGTH				  64			   // û
#define MAX_PASSWORD_LENGTH				  64			   // 볤
#define MAX_ROUTE_NUM                     16               // ·
#define MAX_MCU_NUM                       10               // 󱨾Ƭ
#define MAX_ALARM_CHANNEL_NAME_LEN		  64               // 󱨾Ƴ
#define MAX_INSIDEOBJECT_NUM			  32			   // Ʒ
#define DH_PRETASK_CHANNEL				  4				   // ƵŨԤ
#define MAX_AGE_NUM						  2				   // 
#define MAX_EMOTION_NUM					  8				   // ĸ
#define MAX_CLASS_NUMBER_LEN			  32			   // ༶
#define MAX_PHONENUMBER_LEN				  16			   // 绰
#define MAX_NASFILE_NUM                   8                // NASļ
#define MAX_CROWD_DETECTION_NAME_LEN	  128			   // Ⱥܶȼ¼Ƴ
#define	MAX_CROWD_LIST_NUM				  5				   // ȫӵȺܶб
#define MAX_REGION_LIST_NUM			      8				   // ޵ıIDб
#define MAX_RECORD_ENCRYPT_PASSWD_LEN	  128			   // ¼볤
#define MAX_EVENT_NAME_LEN				  128			   // ¼Ƴ
#define MAX_ABSTRACT_INFO_NUM			  100			   // ؽ
#define MAX_ACCESS_FLOOR_NUM              64               // ¥
#define MAX_TARGET_OBJECT_NUM			  100			   // ĿϢ
#define MAX_MACADDR_NUM					  8				   // ַ
#define MAX_ADD_DEVICE_NUM                16               // 豸
#define MAX_LINK_DEVICE_NUM               1024			   // 豸
#define MAX_DEVICE_CHANNEL_NUM            1024			   // 豸ͨ
#define MAX_PLATE_TAILNUM			      10			   // ޺Ÿ
#define MAX_OBJECT_NUM_EX				  100			   // 
#define MAX_LOCAL_IP_LEN				  64			   // 󱾵IP
#define MAX_LV_NAME_NUM					  64			   // ķƸ
#define MAX_LV_NAME_LEN					  128			   // ķƳ
#define	MAX_KEY_LEN						  64			   // Ĺؼֳ
#define MAX_FILE_FINDER_PATH_NUM		  10			   // Ĳѯļ·
#define	MAX_FILE_FINDER_PATH_LEN		  256			   // Ĳѯļ·
#define MAX_FILE_LIST_NUM				  16			   // Ĳѯļб
#define MAX_FILE_LIST_LEN				  256			   // Ĳѯļб
#define MAX_PARKINGLOCK_STATE_NUM		  6				   // λ״̬
#define MAX_COMMON_STRING_256             256              // ַͨ256
#define MAX_COMMON_STRING_2048            2048             // ַͨ2048
#define MAX_RESOURCE_LEN                  64			   // Դļ
#define MAX_COMPANY_NAME_LEN              200              // λ󳤶
#define MAX_CONTACT_LEN                   16               // հȫϵʽ󳤶
#define MAX_RADAR_SD_NUM                  24			   // ״
#define MAX_FLEXION_INFO_NUM		  	  512			   // յϢ
#define MAX_CALIBRATE_PLOYGON_AREA_NUM    20               // 궨󶥵
#define MAX_CALIBRATE_RECT_NUM            10               // 궨
#define MAX_SCENE_NUM                     32               // 󳡾
#define MAX_SNAP_SHOT_NUM				  8				   // ץ
#define MAX_AIRPORT_VEHICLE_OBJECT_NUM	  16			   // ϳ

// ѯ,ӦCLIENT_QueryDevStateӿ
#define DH_DEVSTATE_COMM_ALARM            0x0001           // ѯͨ״̬(ⲿ,Ƶʧ,̬)
#define DH_DEVSTATE_SHELTER_ALARM         0x0002           // ѯڵ״̬
#define DH_DEVSTATE_RECORDING             0x0003           // ѯ¼״̬
#define DH_DEVSTATE_DISK                  0x0004           // ѯӲϢ
#define DH_DEVSTATE_RESOURCE              0x0005           // ѯϵͳԴ״̬
#define DH_DEVSTATE_BITRATE               0x0006           // ѯͨ
#define DH_DEVSTATE_CONN                  0x0007           // ѯ豸״̬
#define DH_DEVSTATE_PROTOCAL_VER          0x0008           // ѯЭ汾,pBuf = int*
#define DH_DEVSTATE_TALK_ECTYPE           0x0009           // ѯ豸ֵ֧Խʽб,ṹDHDEV_TALKFORMAT_LIST
#define DH_DEVSTATE_SD_CARD               0x000A           // ѯSDϢ(IPCƷ)
#define DH_DEVSTATE_BURNING_DEV           0x000B           // ѯ¼Ϣ
#define DH_DEVSTATE_BURNING_PROGRESS      0x000C           // ѯ¼
#define DH_DEVSTATE_PLATFORM              0x000D           // ѯ豸ֵ֧Ľƽ̨
#define DH_DEVSTATE_CAMERA                0x000E           // ѯͷϢ(IPCƷ),pBuf = DHDEV_CAMERA_INFO *,жṹ
#define DH_DEVSTATE_SOFTWARE              0x000F           // ѯ豸汾Ϣ
#define DH_DEVSTATE_LANGUAGE              0x0010           // ѯ豸ֵ֧
#define DH_DEVSTATE_DSP                   0x0011           // ѯDSP(ӦṹDHDEV_DSP_ENCODECAP)
#define DH_DEVSTATE_OEM                   0x0012           // ѯOEMϢ
#define DH_DEVSTATE_NET                   0x0013           // ѯ״̬Ϣ
#define DH_DEVSTATE_TYPE                  0x0014           // ѯ豸
#define DH_DEVSTATE_SNAP                  0x0015           // ѯ(IPCƷ)
#define DH_DEVSTATE_RECORD_TIME           0x0016           // ѯ¼ʱ¼ʱ
#define DH_DEVSTATE_NET_RSSI              0x0017           // ѯźǿ,ṹDHDEV_WIRELESS_RSS_INFO
#define DH_DEVSTATE_BURNING_ATTACH        0x0018           // ѯ¼ѡ
#define DH_DEVSTATE_BACKUP_DEV            0x0019           // ѯ豸б
#define DH_DEVSTATE_BACKUP_DEV_INFO       0x001a           // ѯ豸ϸϢ
#define DH_DEVSTATE_BACKUP_FEEDBACK       0x001b           // ݽȷ
#define DH_DEVSTATE_ATM_QUERY_TRADE       0x001c           // ѯATM
#define DH_DEVSTATE_SIP                   0x001d           // ѯsip״̬
#define DH_DEVSTATE_VICHILE_STATE         0x001e           // ѯwifi״̬
#define DH_DEVSTATE_TEST_EMAIL            0x001f           // ѯʼǷɹ
#define DH_DEVSTATE_SMART_HARD_DISK       0x0020           // ѯӲsmartϢ
#define DH_DEVSTATE_TEST_SNAPPICTURE      0x0021           // ѯץͼǷɹ
#define DH_DEVSTATE_STATIC_ALARM          0x0022           // ѯ̬״̬
#define DH_DEVSTATE_SUBMODULE_INFO        0x0023           // ѯ豸ģϢ
#define DH_DEVSTATE_DISKDAMAGE            0x0024           // ѯӲ̻ 
#define DH_DEVSTATE_IPC                   0x0025           // ѯ豸ֵ֧IPC, ṹDH_DEV_IPC_INFO
#define DH_DEVSTATE_ALARM_ARM_DISARM      0x0026           // ѯ״̬
#define DH_DEVSTATE_ACC_POWEROFF_ALARM    0x0027           // ѯACCϵ籨״̬(һDWORD, 1ʾϵ,0ʾͨ)
#define DH_DEVSTATE_TEST_FTP_SERVER       0x0028           // FTP
#define DH_DEVSTATE_3GFLOW_EXCEED         0x0029           // ѯ3Gֵ״̬,(ṹDHDEV_3GFLOW_EXCEED_STATE_INFO)
#define DH_DEVSTATE_3GFLOW_INFO           0x002a           // ѯ3GϢ,ṹDH_DEV_3GFLOW_INFO
#define DH_DEVSTATE_VIHICLE_INFO_UPLOAD   0x002b           // ԶϢϴ(ṹALARM_VEHICLE_INFO_UPLOAD)
#define DH_DEVSTATE_SPEED_LIMIT           0x002c           // ѯٱ״̬(ṹ ALARM_SPEED_LIMIT)
#define DH_DEVSTATE_DSP_EX                0x002d           // ѯDSPչ(ӦṹDHDEV_DSP_ENCODECAP_EX)
#define DH_DEVSTATE_3GMODULE_INFO         0x002e           // ѯ3GģϢ(ӦṹDH_DEV_3GMODULE_INFO)
#define DH_DEVSTATE_MULTI_DDNS            0x002f           // ѯDDNS״̬Ϣ(ӦṹDH_DEV_MULTI_DDNS_INFO)
#define DH_DEVSTATE_CONFIG_URL            0x0030           // ѯ豸URLϢ(ӦṹDH_DEV_URL_INFO)
#define DH_DEVSTATE_HARDKEY               0x0031           // ѯHardKey״̬ӦṹDHDEV_HARDKEY_STATE)
#define DH_DEVSTATE_ISCSI_PATH            0x0032           // ѯISCSI·б(ӦṹDHDEV_ISCSI_PATHLIST)
#define DH_DEVSTATE_DLPREVIEW_SLIPT_CAP   0x0033           // ѯ豸Ԥֵ֧ķָģʽ(ӦṹDEVICE_LOCALPREVIEW_SLIPT_CAP)
#define DH_DEVSTATE_WIFI_ROUTE_CAP        0x0034           // ѯ·Ϣ(ӦṹDHDEV_WIFI_ROUTE_CAP)
#define DH_DEVSTATE_ONLINE                0x0035           // ѯ豸״̬(һDWORD, 1ʾ, 0ʾ)
#define DH_DEVSTATE_PTZ_LOCATION          0x0036           // ѯ̨״̬Ϣ(Ӧṹ DH_PTZ_LOCATION_INFO)
#define DH_DEVSTATE_MONITOR_INFO          0x0037           // ظϢ(ӦṹDHDEV_MONITOR_INFO)
#define DH_DEVSTATE_SUBDEVICE             0x0300           // ѯ豸(Դ, ȵ)״̬(ӦṹCFG_DEVICESTATUS_INFO)
#define DH_DEVSTATE_RAID_INFO             0x0038           // ѯRAID״̬(ӦṹALARM_RAID_INFO)  
#define DH_DEVSTATE_TEST_DDNSDOMAIN       0x0039           // DDNSǷ
#define DH_DEVSTATE_VIRTUALCAMERA         0x003a           // ѯͷ״̬(Ӧ DHDEV_VIRTUALCAMERA_STATE_INFO)
#define DH_DEVSTATE_TRAFFICWORKSTATE      0x003b           // ȡ豸Ƶ/Ȧģʽ״̬(ӦDHDEV_TRAFFICWORKSTATE_INFO)
#define DH_DEVSTATE_ALARM_CAMERA_MOVE     0x003c           // ȡλ¼״̬(ӦALARM_CAMERA_MOVE_INFO)
#define DH_DEVSTATE_ALARM                 0x003e           // ȡⲿ״̬(Ӧ NET_CLIENT_ALARM_STATE) 
#define DH_DEVSTATE_VIDEOLOST             0x003f           // ȡƵʧ״̬(Ӧ NET_CLIENT_VIDEOLOST_STATE) 
#define DH_DEVSTATE_MOTIONDETECT          0x0040           // ȡ̬ⱨ״̬(Ӧ NET_CLIENT_MOTIONDETECT_STATE)
#define DH_DEVSTATE_DETAILEDMOTION        0x0041           // ȡϸĶ̬ⱨ״̬(Ӧ NET_CLIENT_DETAILEDMOTION_STATE)
#define DH_DEVSTATE_VEHICLE_INFO          0x0042           // ȡӲϢ(Ӧ DHDEV_VEHICLE_INFO)
#define DH_DEVSTATE_VIDEOBLIND            0x0043           // ȡƵڵ״̬(Ӧ NET_CLIENT_VIDEOBLIND_STATE)
#define DH_DEVSTATE_3GSTATE_INFO          0x0044           // ѯ3GģϢ(ӦṹDHDEV_VEHICLE_3GMODULE)
#define DH_DEVSTATE_NETINTERFACE          0x0045           // ѯӿϢ(Ӧ DHDEV_NETINTERFACE_INFO)
#define DH_DEVSTATE_PICINPIC_CHN          0x0046           // ѯлͨ(ӦDWORD)
#define DH_DEVSTATE_COMPOSITE_CHN         0x0047           // ѯںͨϢ(ӦDH_COMPOSITE_CHANNEL)
#define DH_DEVSTATE_WHOLE_RECORDING       0x0048           // ѯ豸¼״̬(ӦBOOL), ֻҪһͨ¼,Ϊ豸״̬Ϊ¼
#define DH_DEVSTATE_WHOLE_ENCODING        0x0049           // ѯ豸״̬(ӦBOOL), ֻҪһͨڱ,Ϊ豸״̬Ϊ
#define DH_DEVSTATE_DISK_RECORDE_TIME     0x004a           // ѯ豸Ӳ¼ʱϢ(pBuf = DEV_DISK_RECORD_TIME*,жṹ)
#define DH_DEVSTATE_BURNER_DOOR           0x004b           // Ƿѵ¼(Ӧṹ NET_DEVSTATE_BURNERDOOR)
#define DH_DEVSTATE_GET_DATA_CHECK        0x004c           // ѯУ(Ӧ NET_DEVSTATE_DATA_CHECK)
#define DH_DEVSTATE_ALARM_IN_CHANNEL      0x004f           // ѯͨϢ(ӦNET_ALARM_IN_CHANNEL)
#define DH_DEVSTATE_ALARM_CHN_COUNT       0x0050           // ѯͨ(ӦNET_ALARM_CHANNEL_COUNT)
#define DH_DEVSTATE_PTZ_VIEW_RANGE        0x0051           // ѯ̨״̬(Ӧ DH_OUT_PTZ_VIEW_RANGE_STATUS    )
#define DH_DEVSTATE_DEV_CHN_COUNT         0x0052           // ѯ豸ͨϢ(ӦNET_DEV_CHN_COUNT_INFO)
#define DH_DEVSTATE_RTSP_URL              0x0053           // ѯ豸ֵ֧RTSP URLб,ṹDEV_RTSPURL_LIST
#define DH_DEVSTATE_LIMIT_LOGIN_TIME      0x0054           // ѯ豸¼߳ʱʱ,һBTYE,λӣ ,0ʾ,ʾƵķ
#define DH_DEVSTATE_GET_COMM_COUNT        0x0055           // ȡ ṹNET_GET_COMM_COUNT
#define DH_DEVSTATE_RECORDING_DETAIL      0x0056           // ѯ¼״̬ϸϢ(pBuf = NET_RECORD_STATE_DETAIL*)
#define DH_DEVSTATE_PTZ_PRESET_LIST       0x0057           // ȡǰ̨Ԥõб(ӦṹNET_PTZ_PRESET_LIST)
#define DH_DEVSTATE_EXTERNAL_DEVICE       0x0058           // 豸Ϣ(pBuf = NET_EXTERNAL_DEVICE*)
#define DH_DEVSTATE_GET_UPGRADE_STATE     0x0059           // ȡ豸״̬(ӦṹDHDEV_UPGRADE_STATE_INFO)
#define DH_DEVSTATE_MULTIPLAYBACK_SPLIT_CAP 0x005a         // ȡͨԤָ( Ӧṹ NET_MULTIPLAYBACK_SPLIT_CAP )
#define DH_DEVSTATE_BURN_SESSION_NUM      0x005b           // ȡ¼Ự(pBuf = int*)
#define DH_DEVSTATE_PROTECTIVE_CAPSULE    0x005c           // ѯ״̬(ӦṹALARM_PROTECTIVE_CAPSULE_INFO)
#define DH_DEVSTATE_GET_DOORWORK_MODE     0x005d           // ȡģʽ( Ӧ NET_GET_DOORWORK_MODE)
#define DH_DEVSTATE_PTZ_ZOOM_INFO         0x005e           // ѯ̨ȡѧ䱶Ϣ(Ӧ DH_OUT_PTZ_ZOOM_INFO )
#define DH_DEVSTATE_POWER_STATE           0x0152           // ѯԴ״̬(ӦṹDH_POWER_STATUS)
#define DH_DEVSTATE_ALL_ALARM_CHANNELS_STATE  0x153        // ѯͨ״̬(Ӧṹ NET_CLIENT_ALARM_CHANNELS_STATE)
#define DH_DEVSTATE_ALARMKEYBOARD_COUNT   0x0154           // ѯӵı(ӦṹNET_ALARMKEYBOARD_COUNT)
#define DH_DEVSTATE_EXALARMCHANNELS       0x0155           // ѯչģͨӳϵ(Ӧṹ NET_EXALARMCHANNELS)
#define DH_DEVSTATE_GET_BYPASS            0x0156           // ѯͨ·״̬(Ӧṹ NET_DEVSTATE_GET_BYPASS)
#define DH_DEVSTATE_ACTIVATEDDEFENCEAREA  0x0157           // ȡķϢ(Ӧṹ NET_ACTIVATEDDEFENCEAREA)
#define DH_DEVSTATE_DEV_RECORDSET         0x0158           // ѯ豸¼Ϣ(Ӧ NET_CTRL_RECORDSET_PARAM)
#define DH_DEVSTATE_DOOR_STATE            0x0159           // ѯŽ״̬(ӦNET_DOOR_STATUS_INFO)
#define DH_DEVSTATE_ANALOGALARM_CHANNELS  0x1560           // ģͨӳϵ(ӦNET_ANALOGALARM_CHANNELS)
#define DH_DEVSTATE_GET_SENSORLIST        0x1561           // ȡ豸ֵ֧Ĵб(Ӧ NET_SENSOR_LIST)
#define DH_DEVSTATE_ALARM_CHANNELS        0x1562           // ѯģͨӳϵ(Ӧṹ NET_ALARM_CHANNELS)
                                                           // 豸ֲ֧ѯչģͨ,øùܲѯչͨ߼ͨ,رͨʹ
#define DH_DEVSTATE_GET_ALARM_SUBSYSTEM_ACTIVATESTATUS  0x1563  // ȡǰϵͳ״̬( Ӧ NET_GET_ALARM_SUBSYSTEM_ACTIVATE_STATUES)
#define DH_DEVSTATE_AIRCONDITION_STATE    0x1564           // ȡյ״̬(Ӧ NET_GET_AIRCONDITION_STATE)
#define DH_DEVSTATE_ALARMSUBSYSTEM_STATE  0x1565           // ȡϵͳ״̬(ӦNET_ALARM_SUBSYSTEM_STATE)
#define DH_DEVSTATE_ALARM_FAULT_STATE     0x1566           // ȡ״̬(Ӧ NET_ALARM_FAULT_STATE_INFO)
#define DH_DEVSTATE_DEFENCE_STATE         0x1567           // ȡ״̬(Ӧ NET_DEFENCE_STATE_INFO, ·״̬仯¼ر¼źԴ¼״̬,ܻ,豸ʹ)
#define DH_DEVSTATE_CLUSTER_STATE         0x1568           // ȡȺ״̬(Ӧ NET_CLUSTER_STATE_INFO)
#define DH_DEVSTATE_SCADA_POINT_LIST      0x1569           // ȡλ·Ϣ(Ӧ NET_SCADA_POINT_LIST_INFO)
#define DH_DEVSTATE_SCADA_INFO            0x156a           // ȡλϢ(Ӧ NET_SCADA_INFO)
#define DH_DEVSTATE_SCADA_CAPS            0x156b           // ȡSCADA(Ӧ NET_SCADA_CAPS)
#define DH_DEVSTATE_GET_CODEID_COUNT      0x156c           // ȡɹ(Ӧ NET_GET_CODEID_COUNT)
#define DH_DEVSTATE_GET_CODEID_LIST       0x156d           // ѯϢ(Ӧ NET_GET_CODEID_LIST)
#define DH_DEVSTATE_ANALOGALARM_DATA      0x156e           // ѯģͨ(Ӧ NET_GET_ANALOGALARM_DATA)
#define DH_DEVSTATE_VTP_CALLSTATE         0x156f           // ȡƵ绰״̬(Ӧ NET_GET_VTP_CALLSTATE)
#define DH_DEVSTATE_SCADA_INFO_BY_ID      0x1570           // ͨ豸ȡλϢ(Ӧ NET_SCADA_INFO_BY_ID)
#define DH_DEVSTATE_SCADA_DEVICE_LIST     0x1571           // ȡǰⲿ豸ID(Ӧ NET_SCADA_DEVICE_LIST)
#define DH_DEVSTATE_DEV_RECORDSET_EX      0x1572           // ѯ豸¼Ϣ()(Ӧ NET_CTRL_RECORDSET_PARAM)
#define DH_DEVSTATE_ACCESS_LOCK_VER       0x1573           // ȡ汾(Ӧ NET_ACCESS_LOCK_VER)
#define DH_DEVSTATE_MONITORWALL_TVINFO    0x1574           // ȡǽʾϢ(Ӧ NET_CTRL_MONITORWALL_TVINFO)
#define DH_DEVSTATE_GET_ALL_POS           0x1575           // ȡûPos豸Ϣ(Ӧ NET_POS_ALL_INFO)
#define DH_DEVSTATE_GET_ROAD_LIST         0x1576           // ȡм·αϢ,ױĿר(Ӧ NET_ROAD_LIST_INFO)
#define DH_DEVSTATE_GET_HEAT_MAP          0x1577           // ȡȶͳϢ(Ӧ NET_QUERY_HEAT_MAP)
#define DH_DEVSTATE_GET_WORK_STATE        0x1578           // ȡӹ״̬Ϣ(Ӧ NET_QUERY_WORK_STATE)
#define DH_DEVSTATE_GET_WIRESSLESS_STATE  0x1579           // ȡ豸״̬Ϣ(Ӧ NET_GET_WIRELESS_DEVICE_STATE)
#define DH_DEVSTATE_GET_REDUNDANCE_POWER_INFO  0x157a      // ȡԴϢ(Ӧ NET_GET_REDUNDANCE_POWER_INFO)
#define DH_DEVSTATE_GET_ACCESSORY_STATUS  0x157b           // ȡ״̬(Ӧ NET_GET_ACCESSORY_STATUS)       

//////////////////////////////////////////////////////////////////////////
// ýṹ dwSize Աĺ
#define _setdwSize(stu) ((stu).dwSize = sizeof(stu))

//////////////////////////////////////////////////////////////////////////

#define CFG_MAX_ACCESSCONTROL_NUM				8							// Ž
#define CFG_MAX_SUMMARY_LEN						1024						// ӵJPEGͼƬժҪϢ󳤶
#define CFG_MAX_DBKEY_NUM						64							// ݿؼֵ
#define CFG_MAX_CHANNELNAME_LEN					64							// ͨƳ
#define CFG_MAX_VIDEO_CHANNEL_NUM				256							// ͨ256
#define CFG_MAX_CHANNEL_COUNT					16
#define CFG_MAX_PSTN_SERVER_NUM                 8							// 󱨾绰

//̬
typedef enum tagNET_THREE_STATUS_BOOL
{
    BOOL_STATUS_FALSE  = 0 , 
    BOOL_STATUS_TRUE       ,
    BOOL_STATUS_UNKNOWN    ,  //δ֪
}NET_THREE_STATUS_BOOL;

//////////////////////////////////////////////////////////////////////////

// յģʽ
typedef enum __EM_AIRCONDITION_MODE
{
    AIRCONDITION_MODE_UNKNOWN = 0,
    AIRCONDITION_MODE_AUTO,             // Զ
    AIRCONDITION_MODE_HOT,              // 
    AIRCONDITION_MODE_COLD,             // 
    AIRCONDITION_MODE_WET,              // ʪ
    AIRCONDITION_MODE_WIND,             // ͨ
} EM_AIRCONDITION_MODE;

// յͷģʽ
typedef enum __EM_AIRCONDITION_WINDMODE
{
    AIRCONDITION_WINDMODE_UNKNOWN = 0,
    AIRCONDITION_WINDMODE_STOP,          // ֹͣ
    AIRCONDITION_WINDMODE_AUTO,          // Զ
    AIRCONDITION_WINDMODE_HIGH,          // 
    AIRCONDITION_WINDMODE_MIDDLE,        // 
    AIRCONDITION_WINDMODE_LOW,           // 
} EM_AIRCONDITION_WINDMODE;

// յ״̬Ϣ
typedef struct tagNET_AIRCONDITION_STATE_INFO
{
    DWORD                       dwSize;
    BOOL                        bIsOnline;                    // Ƿ
    BOOL                        bIsON;                        // Ƿ
    int                         nTemperature;                 // յ趨¶
    EM_AIRCONDITION_MODE        emAirconditionMode;           // յģʽ
    EM_AIRCONDITION_WINDMODE    emAirconditionWindMode;       // յͷģʽ
    float                       fActualTemperature;           // ʵ¶
}NET_AIRCONDITION_STATE_INFO;

// ȡյ״̬(ӦDH_DEVSTATE_AIRCONDITION_STATE)
typedef struct tagNET_GET_AIRCONDITION_STATE
{
    DWORD                       dwSize;
    char                        szDeviceID[DH_MAX_DEV_ID_LEN];  // 豸Ωһʶ
    NET_AIRCONDITION_STATE_INFO stuAirConditionState;           // յ״̬Ϣ
}NET_GET_AIRCONDITION_STATE;

// ͨϢ
typedef struct tagNET_ALARM_CHANNEL_INFO 
{
    DWORD                       dwSize;
    int                         nSlot;                          // ַ, 0ʾͨ, 1ʾڵһϵչͨ, 23...Դ
    int                         nChannel;                       // Ǳرͨչģϵͨ, 0ʼ
    char                        szName[DH_COMMON_STRING_128];   // ͨ
}NET_ALARM_CHANNEL_INFO;

// (Զ)ͨ߼ͨӳϵ
typedef struct tagNET_ALARM_CHANNELS 
{
    DWORD                       dwSize;
    int                         nMaxAlarmChannels;              // ͨ
    int                         nRetAlarmChannels;              // صͨ
    NET_ALARM_CHANNEL_INFO*     pstuChannelInfo;                // ͨϢ,ûڴ
}NET_ALARM_CHANNELS;

// ϵͳ״̬
typedef enum __EM_ALARM_SUBSYSTEM_STATE_TYPE
{
    ALARM_SUBSYSTEM_STATE_UNKNOWN = 0,
    ALARM_SUBSYSTEM_STATE_ACTIVE,               // Ѽ
    ALARM_SUBSYSTEM_STATE_INACTIVE,             // δ
    ALARM_SUBSYSTEM_STATE_UNDISTRIBUTED,        // δ
}EM_ALARM_SUBSYSTEM_STATE_TYPE;

// ϵͳ״̬, CLIENT_QueryDevStateӦDH_DEVSTATE_ALARMSUBSYSTEM_STATE
typedef struct tagNET_ALARM_SUBSYSTEM_STATE
{
    DWORD          dwSize;
    int            nMaxAlarmSubSystem;                                  // Чϵͳ
    EM_ALARM_SUBSYSTEM_STATE_TYPE  emState[DH_MAX_ALARM_SUBSYSTEM_NUM]; // ϵͳ״̬Ϣ
}NET_ALARM_SUBSYSTEM_STATE;


// 
typedef enum __EM_ALARM_FAULT_STATE_TYPE
{
    EM_ALARM_FAULT_STATE_ALL = 0,                // 
    EM_ALARM_FAULT_STATE_CONNECTFAULT,           // ӹ
    EM_ALARM_FAULT_STATE_BELLFAULT,              // Ź
    EM_ALARM_FAULT_STATE_KBFAULT,                // ̹
    EM_ALARM_FAULT_STATE_KBTAMPER,               // ̷
    EM_ALARM_FAULT_STATE_SENSORSHORTOUT,         // ·
    EM_ALARM_FAULT_STATE_SENSORTAMPER,           // 
}EM_ALARM_FAULT_STATE_TYPE;

// ״̬, 
typedef struct tagNET_IN_ALARM_FAULT_STATE
{
    DWORD           dwSize;
    EM_ALARM_FAULT_STATE_TYPE   emType;           // ѯ
}NET_IN_ALARM_FAULT_STATE;

// ״̬, 
typedef struct tagNET_OUT_ALARM_FAULT_STATE
{
    DWORD           dwSize;
    int             nConnectFaultState;                     // 0: δ֪, 1: , 2:
    int             nBell;                                  // Ч 
    int             anBellState[DH_MAX_BELL_NUM];           // Ź״̬Ϣ 0: δ֪, 1: , 2:
    int             nFaultKeyboard;                         // ̹Ч
    int             anFaultKeyboard[DH_MAX_KEYBOARD_NUM];   // ̹Ϣ 0: δ֪, 1: , 2:
    int             nTamperKeyboard;                        // Ч 
    int             anTamperKeyboard[DH_MAX_KEYBOARD_NUM];  // ̷Ϣ 0: δ֪, 1: , 2:
    int             nShortOutSensor;                        // Ч·
    int             anShortOutSensor[DH_MAX_ALARMIN];       // ·Ϣ 0: δ֪, 1: , 2:
    int             nTamperSensor;                          // Ч
    int             anTamperSensor[DH_MAX_ALARMIN];         // Ϣ 0: δ֪, 1: , 2:
}NET_OUT_ALARM_FAULT_STATE;

// ״̬, CLIENT_QueryDevStateӦDH_DEVSTATE_ALARM_FAULT_STATE
typedef struct tagNET_ALARM_FAULT_STATE_INFO
{
    DWORD           dwSize;
    NET_IN_ALARM_FAULT_STATE    stuIn;           // 
    NET_OUT_ALARM_FAULT_STATE   stuOut;          // 
}NET_ALARM_FAULT_STATE_INFO;

// ״̬
typedef enum __EM_DEFENCE_STATE_TYPE
{
    EM_DEFENCE_STATE_UNKNOWN = 0,
    EM_DEFENCE_STATE_BYPASS,                     // ·
    EM_DEFENCE_STATE_OPEN,                       // , ָ·
    EM_DEFENCE_STATE_CLOSE,                      // ر
    EM_DEFENCE_STATE_ALARMING,                   // , ָ·
    EM_DEFENCE_STATE_ISOLATED,					 //
    EM_DEFENCE_STATE_SHORT,						 //·
    EM_DEFENCE_STATE_BREAK,						 //·
    EM_DEFENCE_STATE_INTRUDED,					 //
}EM_DEFENCE_STATE_TYPE;

// ״̬Ϣ
typedef struct tagNET_IN_DEFENCE_STATE_INFO 
{
    DWORD           dwSize;
    int             nDefenceNum;                 // Ч, -1ʾѯз
    int             anDefence[DH_MAX_ALARMIN];   // ѯķ
}NET_IN_DEFENCE_STATE_INFO;

// ״̬Ϣ
typedef struct tagNET_OUT_DEFENCE_STATE_INFO
{
    DWORD           dwSize;
    int             nDefenceNum;                            // Ч
    EM_DEFENCE_STATE_TYPE  anDefenceState[DH_MAX_ALARMIN];  // ״̬Ϣ
}NET_OUT_DEFENCE_STATE_INFO;

// ȡ״̬Ϣ
typedef struct tagNET_IN_GET_DEFENCE_STATE_INFO 
{
    int             nDefenceNum;                 // Ч, -1ʾѯз
    int             anDefence[512];   			 // ѯķ
    BYTE			byReserved[512];				 //ֽ
}NET_IN_GET_DEFENCE_STATE_INFO;

// ȡ״̬Ϣ
typedef struct tagNET_OUT_GET_DEFENCE_STATE_INFO
{
    int             		nDefenceNum;                    // Ч
    EM_DEFENCE_STATE_TYPE   anDefenceState[512];  			// ״̬Ϣ
    BYTE					byReserved[512];					//ֽ
}NET_OUT_GET_DEFENCE_STATE_INFO;

// ״̬Ϣ, CLIENT_QueryDevStateӦDH_DEVSTATE_DEFENCE_STATE
typedef struct tagNET_DEFENCE_STATE_INFO 
{
    DWORD           dwSize;									// ṹС
    NET_IN_DEFENCE_STATE_INFO   stuIn;                      // 
    NET_OUT_DEFENCE_STATE_INFO  stuOut;                     // 
}NET_DEFENCE_STATE_INFO;

//  ״̬Ϣ, CLIENT_QueryDevStateӦDH_DEVSTATE_DEFENCE_STATE
typedef struct tagNET_GET_DEFENCE_STATE_INFO 
{
    DWORD           dwSize;
    NET_IN_GET_DEFENCE_STATE_INFO   stuIn;         // 
    NET_OUT_GET_DEFENCE_STATE_INFO  stuOut;        // 
}NET_GET_DEFENCE_STATE_INFO;

// Ƶ绰
typedef enum tagEM_NET_VTP_CALL_TYPE
{
    EM_NET_VTP_CALL_TYPE_SIP = 0,                           // SIP
    EM_NET_VTP_CALL_TYPE_GSM,                               // GSM
    EM_NET_VTP_CALL_TYPE_PRIVATE,                           // ˽Э
}EM_NET_VTP_CALL_TYPE;

// Ƶ绰״̬
typedef enum tagEM_NET_VTP_CALL_STATE_TYPE
{
    EM_NET_VTP_CALL_STATE_UNKNOWN = 0,
    EM_NET_VTP_CALL_STATE_IDLE,                              // ʼ״̬
    EM_NET_VTP_CALL_STATE_CALLING,                           // к״̬(ԷδӦ)
    EM_NET_VTP_CALL_STATE_CALLED,                            // к״̬
    EM_NET_VTP_CALL_STATE_RINGING,                           // л״̬(ԷӦ, ûн)
    EM_NET_VTP_CALL_STATE_CONNECTING,                        // ͨ״̬
    EM_NET_VTP_CALL_STATE_CONNECTING2,                       // ͨ2״̬(ͨýͨ״̬)
    EM_NET_VTP_CALL_STATE_DISCONNECT,                        // ͨҶ״̬
}EM_NET_VTP_CALL_STATE_TYPE;

// ȡƵ绰״̬ (Ӧ DH_DEVSTATE_VTP_CALLSTATE)
typedef struct tagNET_GET_VTP_CALLSTATE 
{
    DWORD                       dwSize;
    EM_NET_VTP_CALL_TYPE        emCallType;                     // ѯĺ, 
    char                        szCallID[DH_COMMON_STRING_128]; // ѯĶԽΨһʶ, 
    const char*                 szTargetID;                     // ת豸ID, ΪNULLʾת, 
    EM_NET_VTP_CALL_STATE_TYPE  emCallState;                    // ״̬
}NET_GET_VTP_CALLSTATE;

// ѯ,ӦCLIENT_QueryRemotDevStateӿ
#define DH_DEVSTATE_ALARM_REMOTE          0x1000           // ȡԶ豸ⲿ(Ӧ ALARM_REMOTE_ALARM_INFO)
#define DH_DEVSTATE_ALARM_FRONTDISCONNECT 0x1001           // ȡǰIPC(ӦṹALARM_FRONTDISCONNET_INFO)

// ,ӦCLIENT_GetDevConfigCLIENT_SetDevConfigӿ
#define DH_DEV_DEVICECFG                  0x0001           // 豸
#define DH_DEV_NETCFG                     0x0002           // 
#define DH_DEV_CHANNELCFG                 0x0003           // ͼͨ
#define DH_DEV_PREVIEWCFG                 0x0004           // Ԥ
#define DH_DEV_RECORDCFG                  0x0005           // ¼
#define DH_DEV_COMMCFG                    0x0006           // 
#define DH_DEV_ALARMCFG                   0x0007           // 
#define DH_DEV_TIMECFG                    0x0008           // DVRʱ
#define DH_DEV_TALKCFG                    0x0009           // Խ
#define DH_DEV_AUTOMTCFG                  0x000A           // Զά        
#define DH_DEV_VEDIO_MARTIX               0x000B           // Ʋ    
#define DH_DEV_MULTI_DDNS                 0x000C           // ddns
#define DH_DEV_SNAP_CFG                   0x000D           // ץͼ
#define DH_DEV_WEB_URL_CFG                0x000E           // HTTP·
#define DH_DEV_FTP_PROTO_CFG              0x000F           // FTPϴ
#define DH_DEV_INTERVIDEO_CFG             0x0010           // ƽ̨,ʱchannelƽ̨,
                                                           // channel=4 أchannel=10άchannel=11Uͨchannel=51
#define DH_DEV_VIDEO_COVER                0x0011           // ڵ
#define DH_DEV_TRANS_STRATEGY             0x0012           // ,\
#define DH_DEV_DOWNLOAD_STRATEGY          0x0013           // ¼ز,\ͨ
#define DH_DEV_WATERMAKE_CFG              0x0014           // ͼˮӡ
#define DH_DEV_WLAN_CFG                   0x0015           // 
#define DH_DEV_WLAN_DEVICE_CFG            0x0016           // 豸
#define DH_DEV_REGISTER_CFG               0x0017           // ע
#define DH_DEV_CAMERA_CFG                 0x0018           // ͷ
#define DH_DEV_INFRARED_CFG               0x0019           // ⱨ
#define DH_DEV_SNIFFER_CFG                0x001A           // Snifferץ
#define DH_DEV_MAIL_CFG                   0x001B           // ʼ
#define DH_DEV_DNS_CFG                    0x001C           // DNS
#define DH_DEV_NTP_CFG                    0x001D           // NTP
#define DH_DEV_AUDIO_DETECT_CFG           0x001E           // Ƶ
#define DH_DEV_STORAGE_STATION_CFG        0x001F           // 洢λ
#define DH_DEV_PTZ_OPT_CFG                0x0020           // ̨(Ѿϳ,ʹCLIENT_GetPtzOptAttrȡ̨)
#define DH_DEV_DST_CFG                    0x0021           // ʱ
#define DH_DEV_ALARM_CENTER_CFG           0x0022           // 
#define DH_DEV_VIDEO_OSD_CFG              0x0023           // ƵOSD
#define DH_DEV_CDMAGPRS_CFG               0x0024           // CDMA\GPRS
#define DH_DEV_IPFILTER_CFG               0x0025           // IP
#define DH_DEV_TALK_ENCODE_CFG            0x0026           // Խ
#define DH_DEV_RECORD_PACKET_CFG          0x0027           // ¼
#define DH_DEV_MMS_CFG                    0x0028           // MMS 
#define DH_DEV_SMSACTIVATION_CFG          0x0029           // ż
#define DH_DEV_DIALINACTIVATION_CFG       0x002A           // ż
#define DH_DEV_SNIFFER_CFG_EX             0x0030           // ץ
#define DH_DEV_DOWNLOAD_RATE_CFG          0x0031           // ٶ
#define DH_DEV_PANORAMA_SWITCH_CFG        0x0032           // ȫл
#define DH_DEV_LOST_FOCUS_CFG             0x0033           // ʧȥ㱨
#define DH_DEV_ALARM_DECODE_CFG           0x0034           // 
#define DH_DEV_VIDEOOUT_CFG               0x0035           // Ƶ
#define DH_DEV_POINT_CFG                  0x0036           // ԤƵʹ
#define DH_DEV_IP_COLLISION_CFG           0x0037           // Ipͻⱨ
#define DH_DEV_OSD_ENABLE_CFG             0x0038           // OSDʹ
#define DH_DEV_LOCALALARM_CFG             0x0039           // ر(ṹDH_ALARMIN_CFG_EX)
#define DH_DEV_NETALARM_CFG               0x003A           // 籨(ṹDH_ALARMIN_CFG_EX)
#define DH_DEV_MOTIONALARM_CFG            0x003B           // 챨(ṹDH_MOTION_DETECT_CFG_EX)
#define DH_DEV_VIDEOLOSTALARM_CFG         0x003C           // Ƶʧ(ṹDH_VIDEO_LOST_CFG_EX)
#define DH_DEV_BLINDALARM_CFG             0x003D           // Ƶڵ(ṹDH_BLIND_CFG_EX)
#define DH_DEV_DISKALARM_CFG              0x003E           // Ӳ̱(ṹDH_DISK_ALARM_CFG_EX)
#define DH_DEV_NETBROKENALARM_CFG         0x003F           // жϱ(ṹDH_NETBROKEN_ALARM_CFG_EX)
#define DH_DEV_ENCODER_CFG                0x0040           // ͨǰ˱ϢDVRʹ,ṹDEV_ENCODER_CFG
#define DH_DEV_TV_ADJUST_CFG              0x0041           // TVãchannelTV(0ʼ),ͽṹ壩
#define DH_DEV_ABOUT_VEHICLE_CFG          0x0042           // ,ʹ
#define DH_DEV_ATM_OVERLAY_ABILITY        0x0043           // ȡatm֧Ϣ
#define DH_DEV_ATM_OVERLAY_CFG            0x0044           // atm,atm
#define DH_DEV_DECODER_TOUR_CFG           0x0045           // Ѳ
#define DH_DEV_SIP_CFG                    0x0046           // SIP
#define DH_DEV_VICHILE_WIFI_AP_CFG        0x0047           // wifi ap
#define DH_DEV_STATICALARM_CFG            0x0048           // ̬ 
#define DH_DEV_DECODE_POLICY_CFG          0x0049           // 豸Ľ(ṹDHDEV_DECODEPOLICY_CFG,channelΪͨ0ʼ) 
#define DH_DEV_MACHINE_CFG                0x004A           // ص(ṹDHDEV_MACHINE_CFG)
#define DH_DEV_MAC_COLLISION_CFG          0x004B           // MACͻ(ṹ ALARM_MAC_COLLISION_CFG)
#define DH_DEV_RTSP_CFG                   0x004C           // RTSP(ӦṹDHDEV_RTSP_CFG)
#define DH_DEV_232_COM_CARD_CFG           0x004E           // 232ڿź¼(ӦṹCOM_CARD_SIGNAL_LINK_CFG)
#define DH_DEV_485_COM_CARD_CFG           0x004F           // 485ڿź¼(ӦṹCOM_CARD_SIGNAL_LINK_CFG)
#define DH_DEV_FTP_PROTO_CFG_EX           0x0050           // FTPϴչ(ӦṹDHDEV_FTP_PROTO_CFG_EX)
#define DH_DEV_SYSLOG_REMOTE_SERVER       0x0051           // SYSLOG Զ̷(ӦṹDHDEV_SYSLOG_REMOTE_SERVER)
#define DH_DEV_COMMCFG_EX                 0x0052           // չ(ӦṹDHDEV_COMM_CFG_EX)            
#define DH_DEV_NETCARD_CFG                0x0053           // Ϣ(ӦṹDHDEV_NETCARD_CFG)
#define DH_DEV_BACKUP_VIDEO_FORMAT        0x0054           // Ƶݸʽ(ӦṹDHDEV_BACKUP_VIDEO_FORMAT)
#define DH_DEV_STREAM_ENCRYPT_CFG         0x0055           // (ӦṹDHEDV_STREAM_ENCRYPT)
#define DH_DEV_IPFILTER_CFG_EX            0x0056           // IPչ(ӦṹDHDEV_IPIFILTER_CFG_EX)
#define DH_DEV_CUSTOM_CFG                 0x0057           // ûԶ(ӦṹDHDEV_CUSTOM_CFG)
#define DH_DEV_WLAN_DEVICE_CFG_EX         0x0058           // 豸չ(ӦṹDHDEV_WLAN_DEVICE_LIST_EX)
#define DH_DEV_ACC_POWEROFF_CFG           0x0059           // ACC¼(ӦṹDHDEV_ACC_POWEROFF_CFG)
#define DH_DEV_EXPLOSION_PROOF_CFG        0x005a           // б¼(ӦṹDHDEV_EXPLOSION_PROOF_CFG)
#define DH_DEV_NETCFG_EX                  0x005b           // չ(ӦṹDHDEV_NET_CFG_EX)
#define DH_DEV_LIGHTCONTROL_CFG           0x005c           // ƹ(ӦṹDHDEV_LIGHTCONTROL_CFG)
#define DH_DEV_3GFLOW_CFG                 0x005d           // 3GϢ(ӦṹDHDEV_3GFLOW_INFO_CFG)
#define DH_DEV_IPV6_CFG                   0x005e           // IPv6(ӦṹDHDEV_IPV6_CFG)
#define DH_DEV_SNMP_CFG                   0x005f           // Snmp(ӦṹDHDEV_NET_SNMP_CFG), ɺҪ豸
#define DH_DEV_SNAP_CONTROL_CFG           0x0060           // ץͼ(ӦṹDHDEV_SNAP_CONTROL_CFG)
#define DH_DEV_GPS_MODE_CFG               0x0061           // GPSλģʽ(ӦṹDHDEV_GPS_MODE_CFG)
#define DH_DEV_SNAP_UPLOAD_CFG            0x0062           // ͼƬϴϢ(Ӧṹ DHDEV_SNAP_UPLOAD_CFG)
#define DH_DEV_SPEED_LIMIT_CFG            0x0063           // Ϣ(ӦṹDHDEV_SPEED_LIMIT_CFG)
#define DH_DEV_ISCSI_CFG                  0x0064           // iSCSI(ӦṹDHDEV_ISCSI_CFG), ɺҪ豸
#define DH_DEV_WIRELESS_ROUTING_CFG       0x0065           // ·(ӦṹDHDEV_WIRELESS_ROUTING_CFG)
#define DH_DEV_ENCLOSURE_CFG              0x0066           // Χ(ӦṹDHDEV_ENCLOSURE_CFG)
#define DH_DEV_ENCLOSURE_VERSION_CFG      0x0067           // Χ汾(ӦṹDHDEV_ENCLOSURE_VERSION_CFG)
#define DH_DEV_RIAD_EVENT_CFG             0x0068           // Raid¼(ӦṹDHDEV_RAID_EVENT_CFG)
#define DH_DEV_FIRE_ALARM_CFG             0x0069           // 𾯱(ӦṹDHDEV_FIRE_ALARM_CFG)
#define DH_DEV_LOCALALARM_NAME_CFG        0x006a           // Ʊ(ӦName1&&name2&&name3...ʽַ)
#define DH_DEV_URGENCY_RECORD_CFG         0x0070           // 洢(ӦṹDHDEV_URGENCY_RECORD_CFG)
#define DH_DEV_ELEVATOR_ATTRI_CFG         0x0071           // в(ӦṹDHDEV_ELEVATOR_ATTRI_CFG)
#define DH_DEV_ATM_OVERLAY_CFG_EX         0x0072           // atm,atm,ִ֧32ͨ豸(ӦṹDHDEV_ATM_OVERLAY_CONFIG_EX)
#define DH_DEV_MACFILTER_CFG              0x0073           // MAC(ӦṹDHDEV_MACFILTER_CFG)
#define DH_DEV_MACIPFILTER_CFG            0x0074           // MAC,IP(Ҫip,macһһӦ)(ӦṹDHDEV_MACIPFILTER_CFG)
#define DH_DEV_STREAM_ENCRYPT_TIME_CFG    0x0075           // (ܼƻ)(ӦṹDHEDV_STREAM_ENCRYPT)
#define DH_DEV_LIMIT_BIT_RATE_CFG         0x0076           // (Ӧṹ DHDEV_LIMIT_BIT_RATE) 
#define DH_DEV_SNAP_CFG_EX                0x0077           // ץͼչ(Ӧṹ DHDEV_SNAP_CFG_EX)
#define DH_DEV_DECODER_URL_CFG            0x0078           // url(ӦṹDHDEV_DECODER_URL_CFG)
#define DH_DEV_TOUR_ENABLE_CFG            0x0079           // Ѳʹ(ӦṹDHDEV_TOUR_ENABLE_CFG)
#define DH_DEV_VICHILE_WIFI_AP_CFG_EX     0x007a           // wifi apչ(ӦṹDHDEV_VEHICLE_WIFI_AP_CFG_EX)
#define DH_DEV_ENCODER_CFG_EX             0x007b           // ͨǰ˱Ϣչ,(Ӧṹ DEV_ENCODER_CFG_EX)

// 漸ǵļ
#define DH_DEV_ITC_HWS000_RA_CFG          0x007c             // ״Ƕ(Ӧһintֵ)
#define DH_DEV_ITC_HWS000_HS_CFG          0x007d             // ǳٴֵ(Ӧһintֵ)
#define DH_DEV_ITC_HWS000_LS_CFG          0x007e             // Ƿٴֵ(Ӧһintֵ)
#define DH_DEV_ITC_HWS000_FL_CFG          0x007f             // (Ӧһintֵ)
#define DH_DEV_ITC_HWS000_OC_CFG          0x0080             // ǳܼ(Ӧһintֵ)
#define DH_DEV_ITC_HWS000_LC_CFG          0x0081             // Ƿܼ(Ӧһintֵ)
#define DH_DEV_ITC_HWS000_AC_CFG          0x0082             // Υܼ(Ӧһintֵ)
#define DH_DEV_ITC_HWS000_FC_CFG          0x0083             // ˸(Ӧһintֵ)
#define DH_DEV_ITC_HWS000_ALL_CFG         0x0084             // ǲѯȫֵ(ӦDEV_ITC_HWS000_ALL_CFG)
#define DH_DEV_ITC_HWS000_CLEAR_COUNT_CFG 0x0085             // 4ּ(OC,LC,AC,FC Ӧһintֵ)

#define DH_DEV_IPV4_CFG					  0x0086			 // IPV4(Ӧṹ DEV_IPV4_CFG)
#define DH_DEV_ENCODER_CFG_EX2			  0x0087		   // ͨǰ˱Ϣչ,(Ӧṹ DEV_ENCODER_CFG_EX2)
#define DH_DEV_WLAN_DEVICE_CFG_EX2        0x0088           // 豸չ(ӦṹDHDEV_WLAN_DEVICE_LIST_EX2)

#define DH_DEV_USER_END_CFG               1000
#define DH_DEV_ITC_HWS000_CFG_ITEM_NUM    8                     // ǵĿ
// 
typedef struct tagDEV_ITC_HWS000_ALL_CFG
{
    DWORD dwSize;
    int nValue[DH_DEV_ITC_HWS000_CFG_ITEM_NUM]; // ֵ
                                                // 0ʼ ״ǶȣٴֵǷٴֵȣܼǷܼΥܼ˸
}DEV_ITC_HWS000_ALL_CFG;

// ,ӦCLIENT_StartListenӿ
#define DH_COMM_ALARM                     0x1100           // 汨(ⲿ,Ƶʧ,̬)
#define DH_SHELTER_ALARM                  0x1101           // Ƶڵ
#define DH_DISK_FULL_ALARM                0x1102           // Ӳ
#define DH_DISK_ERROR_ALARM               0x1103           // Ӳ̹ϱ
#define DH_SOUND_DETECT_ALARM             0x1104           // Ƶⱨ
#define DH_ALARM_DECODER_ALARM            0x1105           // 

// չ,ӦCLIENT_StartListenExӿ
#define DH_ALARM_ALARM_EX                 0x2101           // ⲿֽ豸ͨͬÿֽڱʾһͨı״̬1Ϊб0Ϊޱ
#define DH_MOTION_ALARM_EX                0x2102           // ̬ⱨֽ豸ƵͨͬÿֽڱʾһƵͨĶ̬ⱨ״̬1Ϊб0Ϊޱ
#define DH_VIDEOLOST_ALARM_EX             0x2103           // Ƶʧֽ豸ƵͨͬÿֽڱʾһƵͨƵʧ״̬1Ϊб0Ϊޱ
#define DH_SHELTER_ALARM_EX               0x2104           // Ƶڵֽ豸ƵͨͬÿֽڱʾһƵͨڵ()״̬1Ϊб0Ϊޱ
#define DH_SOUND_DETECT_ALARM_EX          0x2105           // ƵⱨΪ16ֽڣÿֽڱʾһƵͨƵⱨ״̬1Ϊб0Ϊޱ
#define DH_DISKFULL_ALARM_EX              0x2106           // ӲΪ1ֽڣ1ΪӲ0Ϊޱ
#define DH_DISKERROR_ALARM_EX             0x2107           // Ӳ̱Ϊ32ֽڣÿֽڱʾһӲ̵Ĺϱ״̬1Ϊб0Ϊޱ
#define DH_ENCODER_ALARM_EX               0x210A           // Ϊ16ֽڣÿֽڱʾһͨ״̬1Ϊб0Ϊޱ
#define DH_URGENCY_ALARM_EX               0x210B           // Ϊ16ֽڣÿֽڱʾһͨ״̬1Ϊб0Ϊޱ
#define DH_WIRELESS_ALARM_EX              0x210C           // ߱Ϊ16ֽڣÿֽڱʾһͨ״̬1Ϊб0Ϊޱ
#define DH_NEW_SOUND_DETECT_ALARM_EX      0x210D           // Ƶⱨ,ϢĽṹDH_NEW_SOUND_ALARM_STATE
#define DH_ALARM_DECODER_ALARM_EX         0x210E           // ϢĽṹ ALARM_DECODER_ALARM
#define DH_DECODER_DECODE_ABILITY         0x210F           // Ϊһֽڣ0 1ʾ
#define DH_FDDI_DECODER_ABILITY           0x2110           // ˱״̬ϢĽṹ ALARM_FDDI_ALARM
#define DH_PANORAMA_SWITCH_ALARM_EX       0x2111           // лΪ16ֽڣÿֽڱʾһͨ״̬1Ϊб0Ϊޱ
#define DH_LOSTFOCUS_ALARM_EX             0x2112           // ʧȥ㱨Ϊ16ֽڣÿֽڱʾһͨ״̬1Ϊб0Ϊޱ
#define DH_OEMSTATE_EX                    0x2113           // oemͣ״̬Ϊ 1 BYTE
#define DH_DSP_ALARM_EX                   0x2114           // DSPϢĽṹ DSP_ALARM
#define DH_ATMPOS_BROKEN_EX               0x2115           // atmposϿ, Ϊ 1 BYTE0ӶϿ 1
#define DH_RECORD_CHANGED_EX              0x2116           // ¼״̬仯ϢΪ ALARM_RECORDING_CHANGED 
#define DH_CONFIG_CHANGED_EX              0x2117           // ÷仯 
#define DH_DEVICE_REBOOT_EX               0x2118           // 豸 
#define DH_WINGDING_ALARM_EX              0x2119           // Ȧ/ϱ(Ӧṹ ALARM_WINGDING_INFO)
#define DH_TRAF_CONGESTION_ALARM_EX       0x211A           // ͨ(쳣ֹͣŶ)(Ӧṹ ALARM_TRAF_CONGESTION_INFO)
#define DH_TRAF_EXCEPTION_ALARM_EX        0x211B           // ͨ쳣(ͨ0쳣)(Ӧṹ ALARM_TRAF_EXCEPTION_INFO)
#define DH_EQUIPMENT_FILL_ALARM_EX        0x211C           // 豸ϱ(Ӧṹ ALARM_EQUIPMENT_FILL_INFO)
#define DH_ALARM_ARM_DISARM_STATE         0x211D           // ״̬(Ӧṹ ALARM_EQUIPMENT_FILL_INFO)
#define DH_ALARM_ACC_POWEROFF             0x211E           // ACCϵ籨Ϊ DWORD 0ACCͨ 1ACCϵ 
#define DH_ALARM_3GFLOW_EXCEED            0x211F           // 3Gֵ(Ӧṹ DHDEV_3GFLOW_EXCEED_STATE_INFO)
#define DH_ALARM_SPEED_LIMIT              0x2120           // ٱ(Ӧṹ ALARM_SPEED_LIMIT)
#define DH_ALARM_VEHICLE_INFO_UPLOAD      0x2121           // ԶϢϴ (Ӧṹ ALARM_VEHICLE_INFO_UPLOAD)
#define DH_STATIC_ALARM_EX                0x2122           // ̬ⱨֽ豸ƵͨͬÿֽڱʾһƵͨľ̬ⱨ״̬1Ϊб0Ϊޱ
#define DH_PTZ_LOCATION_EX                0x2123           // ̨λϢ(Ӧṹ DH_PTZ_LOCATION_INFO)
#define DH_ALARM_CARD_RECORD_UPLOAD       0x2124           // ¼Ϣϴ(Ӧṹ ALARM_CARD_RECORD_INFO_UPLOAD)
#define DH_ALARM_ATM_INFO_UPLOAD          0x2125           // ATMϢϴ(Ӧṹ ALARM_ATM_INFO_UPLOAD)
#define DH_ALARM_ENCLOSURE                0x2126           // Χ(Ӧṹ ALARM_ENCLOSURE_INFO)
#define DH_ALARM_SIP_STATE                0x2127           // SIP״̬(Ӧṹ ALARM_SIP_STATE)
#define DH_ALARM_RAID_STATE               0x2128           // RAID쳣(Ӧṹ ALARM_RAID_INFO)
#define DH_ALARM_CROSSING_SPEED_LIMIT     0x2129           // ·ٱ(Ӧṹ ALARM_SPEED_LIMIT)
#define DH_ALARM_OVER_LOADING             0x212A           // ر(ӦṹALARM_OVER_LOADING)
#define DH_ALARM_HARD_BRAKING             0x212B           // ɲ(ӦALARM_HARD_BRAKING)
#define DH_ALARM_SMOKE_SENSOR             0x212C           // ̸б(ӦṹALARM_SMOKE_SENSOR)
#define DH_ALARM_TRAFFIC_LIGHT_FAULT      0x212D           // ͨƹϱ(ӦṹALARM_TRAFFIC_LIGHT_FAULT) 
#define DH_ALARM_TRAFFIC_FLUX_STAT        0x212E           // ͨͳƱ(ӦṹALARM_TRAFFIC_FLUX_LANE_INFO)
#define DH_ALARM_CAMERA_MOVE              0x212F           // λ¼(ӦṹALARM_CAMERA_MOVE_INFO)
#define DH_ALARM_DETAILEDMOTION           0x2130           // ϸ챨ϱϢ(ӦṹALARM_DETAILEDMOTION_CHNL_INFO)
#define DH_ALARM_STORAGE_FAILURE          0x2131           // 洢쳣(Ӧṹ ALARM_STORAGE_FAILURE )
#define DH_ALARM_FRONTDISCONNECT          0x2132           // ǰIPC(ӦṹALARM_FRONTDISCONNET_INFO)
#define DH_ALARM_ALARM_EX_REMOTE          0x2133           // Զⲿ(Ӧṹ ALARM_REMOTE_ALARM_INFO)
#define DH_ALARM_BATTERYLOWPOWER          0x2134           // صͱ(ӦṹALARM_BATTERYLOWPOWER_INFO)
#define DH_ALARM_TEMPERATURE              0x2135           // ¶ȹ߱(Ӧṹ ALARM_TEMPERATURE_INFO)
#define DH_ALARM_TIREDDRIVE               0x2136           // ƣͼʻ(Ӧṹ ALARM_TIREDDRIVE_INFO)
#define DH_ALARM_LOST_RECORD              0x2137           // ¼¼(ӦṹALARM_LOST_RECORD)
#define DH_ALARM_HIGH_CPU                 0x2138           // CPUռʹ¼(Ӧṹ ALARM_HIGH_CPU)
#define DH_ALARM_LOST_NETPACKET           0x2139           // 緢ݶ¼(Ӧṹ ALARM_LOST_NETPACKET)
#define DH_ALARM_HIGH_MEMORY              0x213A           // ڴռʹ¼(ӦṹALARM_HIGH_MEMORY)
#define DH_LONG_TIME_NO_OPERATION         0x213B           // WEBûʱ޲¼չϢ
#define DH_BLACKLIST_SNAP                 0x213C           // ץ¼(ӦṹDH_BLACKLIST_SNAP_INFO)         
#define DH_ALARM_DISK                     0x213E           // Ӳ̱(Ӧ ALARM_DISK_INFO )
#define DH_ALARM_FILE_SYSTEM              0x213F           // ļϵͳ(ӦALARM_FILE_SYSTEM_INFO)
#define DH_ALARM_IVS                      0x2140           // ܱ¼(ӦṹALARM_IVS_INFO)
#define DH_ALARM_GOODS_WEIGHT_UPLOAD      0x2141           // Ϣϱ(ӦALARM_GOODS_WEIGHT_UPLOAD_INFO)
#define DH_ALARM_GOODS_WEIGHT             0x2142           // Ϣ(ӦALARM_GOODS_WEIGHT_INFO)
#define DH_GPS_STATUS                     0x2143           // GPSλϢ(Ӧ NET_GPS_STATUS_INFO)
#define DH_ALARM_DISKBURNED_FULL          0x2144           // Ӳ̿¼(Ӧ ALARM_DISKBURNED_FULL_INFO)
#define DH_ALARM_STORAGE_LOW_SPACE        0x2145           // 洢¼(Ӧ ALARM_STORAGE_LOW_SPACE_INFO)
#define DH_ALARM_DISK_FLUX                0x2160           // Ӳ쳣¼(Ӧ ALARM_DISK_FLUX)
#define DH_ALARM_NET_FLUX                 0x2161           // 쳣¼(Ӧ ALARM_NET_FLUX)
#define DH_ALARM_FAN_SPEED                0x2162           // ת쳣¼(Ӧ ALARM_FAN_SPEED)
#define DH_ALARM_STORAGE_FAILURE_EX       0x2163           // 洢󱨾(ӦṹALARM_STORAGE_FAILURE_EX)
#define DH_ALARM_RECORD_FAILED            0x2164           // ¼쳣(ӦṹALARM_RECORD_FAILED_INFO)
#define DH_ALARM_STORAGE_BREAK_DOWN       0x2165           // 洢¼(Ӧṹ ALARM_STORAGE_BREAK_DOWN_INFO)
#define DH_ALARM_VIDEO_ININVALID          0x2166           // ƵͨʧЧ¼õƵͨ,豸ALARM_VIDEO_ININVALID_INFO
#define DH_ALARM_VEHICLE_TURNOVER         0x2167           // ෭¼(ӦṹALARM_VEHICEL_TURNOVER_EVENT_INFO)
#define DH_ALARM_VEHICLE_COLLISION        0x2168           // ײ¼(ӦṹALARM_VEHICEL_COLLISION_EVENT_INFO)
#define DH_ALARM_VEHICLE_CONFIRM          0x2169           // ϴϢ¼(ӦṹALARM_VEHICEL_CONFIRM_INFO)
#define DH_ALARM_VEHICLE_LARGE_ANGLE      0x2170           // ͷǶŤת¼(ӦṹALARM_VEHICEL_LARGE_ANGLE)
#define DH_ALARM_TALKING_INVITE           0x2171           // 豸ԷԽ¼(ӦṹALARM_TALKING_INVITE_INFO)
#define DH_ALARM_ALARM_EX2                0x2175           // ر¼(Ӧṹ ALARM_ALARM_INFO_EX2,DH_ALARM_ALARM_EX)
#define DH_ALARM_VIDEO_TIMING             0x2176           // Ƶʱ¼(ӦṹALARM_VIDEO_TIMING)
#define DH_ALARM_COMM_PORT                0x2177           // ¼(ӦṹALARM_COMM_PORT_EVENT_INFO)
#define DH_ALARM_AUDIO_ANOMALY            0x2178           // Ƶ쳣¼(ӦṹALARM_AUDIO_ANOMALY)
#define DH_ALARM_AUDIO_MUTATION           0x2179           // ǿͻ¼(ӦṹALARM_AUDIO_MUTATION)
#define DH_EVENT_TYREINFO                 0x2180           // ̥Ϣϱ¼(ӦṹEVENT_TYRE_INFO)
#define DH_ALARM_POWER_ABNORMAL           0x2181           // Դ쳣(ӦṹALARM_POWER_ABNORMAL_INFO)
#define DH_EVENT_REGISTER_OFF             0x2182           // 豸¼(Ӧṹ EVENT_REGISTER_OFF_INFO)
#define DH_ALARM_NO_DISK                  0x2183           // Ӳ̱(ӦṹALARM_NO_DISK_INFO)
#define DH_ALARM_FALLING                  0x2184           // ¼(ӦṹALARM_FALLING_INFO)
#define DH_ALARM_PROTECTIVE_CAPSULE       0x2185           // ¼(ӦṹALARM_PROTECTIVE_CAPSULE_INFO)
#define DH_ALARM_NO_RESPONSE              0x2186           // δӦ𾯱(ӦṹALARM_NO_RESPONSE_INFO)
#define DH_ALARM_CONFIG_ENABLE_CHANGE     0x2187           // ʹܸıϱ¼(Ӧṹ ALARM_CONFIG_ENABLE_CHANGE_INFO)
#define DH_EVENT_CROSSLINE_DETECTION      0x2188           // ¼( Ӧṹ ALARM_EVENT_CROSSLINE_INFO )
#define DH_EVENT_CROSSREGION_DETECTION    0x2189           // ¼( Ӧṹ ALARM_EVENT_CROSSREGION_INFO )
#define DH_EVENT_LEFT_DETECTION           0x218a           // Ʒ¼( Ӧṹ ALARM_EVENT_LEFT_INFO )
#define DH_EVENT_FACE_DETECTION           0x218b           // ¼( Ӧṹ ALARM_EVENT_FACE_INFO ) 
#define DH_ALARM_IPC                      0x218c           // IPC,IPCͨDVRNVRϱıر(Ӧṹ ALARM_IPC_INFO)
#define DH_EVENT_TAKENAWAYDETECTION       0x218d           // Ʒ¼(Ӧṹ ALARM_TAKENAWAY_DETECTION_INFO)
#define DH_EVENT_VIDEOABNORMALDETECTION   0x218e           // Ƶ쳣¼(Ӧṹ ALARM_VIDEOABNORMAL_DETECTION_INFO)
#define DH_EVENT_MOTIONDETECT             0x218f           // Ƶƶ¼(Ӧṹ ALARM_MOTIONDETECT_INFO)
#define DH_ALARM_PIR                      0x2190           // PIR(ӦBYTE*, pBufdwBufLen)
#define DH_ALARM_STORAGE_HOT_PLUG         0x2191           // 洢Ȳ¼(Ӧṹ ALARM_STORAGE_HOT_PLUG_INFO)
#define DH_ALARM_FLOW_RATE                0x2192           // ʹ¼(Ӧṹ ALARM_FLOW_RATE_INFO)
#define DH_ALARM_MOVEDETECTION            0x2193           // ƶ¼(ӦALARM_MOVE_DETECTION_INFO)
#define DH_ALARM_WANDERDETECTION          0x2194           // ǻ¼(ӦALARM_WANDERDETECTION_INFO)
#define DH_ALARM_CROSSFENCEDETECTION      0x2195           // ԽΧ¼(ӦALARM_CROSSFENCEDETECTION_INFO)
#define DH_ALARM_PARKINGDETECTION         0x2196           // Ƿͣ¼(ӦALARM_PARKINGDETECTION_INFO)
#define DH_ALARM_RIOTERDETECTION          0x2197           // Աۼ¼(ӦALARM_RIOTERDETECTION_INFO)
#define DH_ALARM_STORAGE_NOT_EXIST        0x3167           // 洢鲻¼(Ӧṹ ALARM_STORAGE_NOT_EXIST_INFO)
#define DH_ALARM_NET_ABORT                0x3169           // ¼(Ӧṹ ALARM_NETABORT_INFO)
#define DH_ALARM_IP_CONFLICT              0x3170           // IPͻ¼(Ӧṹ ALARM_IP_CONFLICT_INFO)
#define DH_ALARM_MAC_CONFLICT             0x3171           // MACͻ¼(Ӧṹ ALARM_MAC_CONFLICT_INFO)
#define DH_ALARM_POWERFAULT               0x3172           // Դ¼(ӦṹALARM_POWERFAULT_INFO)
#define DH_ALARM_CHASSISINTRUDED          0x3173           // ()¼(ӦṹALARM_CHASSISINTRUDED_INFO)
#define DH_ALARM_ALARMEXTENDED            0x3174           // չ¼(Ӧṹ ALARM_ALARMEXTENDED_INFO)
#define DH_ALARM_ARMMODE_CHANGE_EVENT     0x3175           // ״̬仯¼(ӦṹALARM_ARMMODE_CHANGE_INFO)
#define DH_ALARM_BYPASSMODE_CHANGE_EVENT  0x3176           // ·״̬仯¼(ӦṹALARM_BYPASSMODE_CHANGE_INFO)
#define DH_ALARM_ACCESS_CTL_NOT_CLOSE     0x3177           // Žδ¼(ӦṹALARM_ACCESS_CTL_NOT_CLOSE_INFO)
#define DH_ALARM_ACCESS_CTL_BREAK_IN      0x3178           // ¼(ӦṹALARM_ACCESS_CTL_BREAK_IN_INFO)
#define DH_ALARM_ACCESS_CTL_REPEAT_ENTER  0x3179           // ¼(ӦṹALARM_ACCESS_CTL_REPEAT_ENTER_INFO)
#define DH_ALARM_ACCESS_CTL_DURESS        0x3180           // вȿˢ¼(ӦṹALARM_ACCESS_CTL_DURESS_INFO)
#define DH_ALARM_ACCESS_CTL_EVENT         0x3181           // Ž¼(Ӧṹ ALARM_ACCESS_CTL_EVENT_INFO)
#define DH_URGENCY_ALARM_EX2              0x3182           // EX2(DH_URGENCY_ALARM_EX,ӦṹALARM_URGENCY_ALARM_EX2, ΪĽ¼, һ㴦ⲿͨѶ
#define DH_ALARM_INPUT_SOURCE_SIGNAL      0x3183           // Դź¼(ֻҪͻ¼, ۷ǰģʽ,޷, Ӧ ALARM_INPUT_SOURCE_SIGNAL_INFO )
#define DH_ALARM_ANALOGALARM_EVENT        0x3184           // ģͨ¼(ӦṹALARM_ANALOGALARM_EVENT_INFO)
#define DH_ALARM_ACCESS_CTL_STATUS        0x3185           // Ž״̬¼(ӦṹALARM_ACCESS_CTL_STATUS_INFO)
#define DH_ALARM_ACCESS_SNAP              0x3186           // Žץͼ¼(ӦṹALARM_ACCESS_SNAP_INFO)
#define DH_ALARM_ALARMCLEAR               0x3187           // ¼(ӦṹALARM_ALARMCLEAR_INFO)
#define DH_ALARM_CIDEVENT                 0x3188           // CID¼(Ӧṹ ALARM_CIDEVENT_INFO)
#define DH_ALARM_TALKING_HANGUP           0x3189           // 豸Ҷ϶Խ¼(ӦṹALARM_TALKING_HANGUP_INFO)
#define DH_ALARM_BANKCARDINSERT           0x318a           // п忨¼(ӦṹALARM_BANKCARDINSERT_INFO)
#define DH_ALARM_RCEMERGENCY_CALL         0x318b           // б¼(Ӧṹ ALARM_RCEMERGENCY_CALL_INFO)
#define DH_ALARM_OPENDOORGROUP            0x318c           // Ͽ¼(ӦṹALARM_OPEN_DOOR_GROUP_INFO)
#define DH_ALARM_FINGER_PRINT             0x318d           // ȡָ¼(Ӧṹ ALARM_CAPTURE_FINGER_PRINT_INFO)
#define DH_ALARM_CARD_RECORD              0x318e           // ¼¼(Ӧṹ ALARM_CARD_RECORD_INFO)
#define DH_ALARM_SUBSYSTEM_STATE_CHANGE   0x318f           // ϵͳ״̬ı¼(ӦṹALARM_SUBSYSTEM_STATE_CHANGE_INFO)
#define DH_ALARM_BATTERYPOWER_EVENT       0x3190           // صʱ֪ͨ¼(Ӧṹ ALARM_BATTERYPOWER_INFO )
#define DH_ALARM_BELLSTATUS_EVENT         0x3191           // ״̬¼(ӦṹALARM_BELLSTATUS_INFO)
#define DH_ALARM_DEFENCE_STATE_CHANGE_EVENT 0x3192         // ״̬仯¼(ӦṹALARM_DEFENCE_STATUS_CHANGE_INFO), 
                                                           // ,Ͳ仯¼·״̬仯¼е״̬岻ͬ,
                                                           // ״̬ͨCLIENT_QueryDevState()ӿڵDH_DEVSTATE_DEFENCE_STATEȡ
#define DH_ALARM_TICKET_STATISTIC         0x3193           // ƱͳϢ¼(Ӧṹ ALARM_TICKET_STATISTIC)
#define DH_ALARM_LOGIN_FAILIUR            0x3194           // ½ʧ¼(ӦṹALARM_LOGIN_FAILIUR_INFO)
#define DH_ALARM_MODULE_LOST              0x3195           // չģ¼(Ӧṹ ALARM_MODULE_LOST_INFO)
#define DH_ALARM_PSTN_BREAK_LINE          0x3196           // PSTN¼(ӦṹALARM_PSTN_BREAK_LINE_INFO)
#define DH_ALARM_ANALOG_PULSE             0x3197           // ģ¼(˲ʱ¼), ضʱŴ(ӦṹALARM_ANALOGPULSE_INFO)
#define DH_ALARM_MISSION_CONFIRM          0x3198           // ȷ¼(Ӧṹ ALARM_MISSION_CONFIRM_INFO)
#define DH_ALARM_DEVICE_MSG_NOTIFY        0x3199           // 豸ƽ̨֪ͨ¼(Ӧṹ ALARM_DEVICE_MSG_NOTIFY_INFO)
#define DH_ALARM_VEHICLE_STANDING_OVER_TIME 0x319A         // ͣʱ(Ӧṹ ALARM_VEHICLE_STANDING_OVER_TIME_INFO)
#define DH_ALARM_ENCLOSURE_ALARM          0x319B           // Χ¼(Ӧṹ ALARM_ENCLOSURE_ALARM_INFO)
#define DH_ALARM_GUARD_DETECT             0x319C           // ͤ¼,¼ͤеһʱϱstart¼,ͤһ뿪ʱϱstop ¼(ӦṹALARM_GUARD_DETECT_INFO)
#define DH_ALARM_GUARD_INFO_UPDATE        0x319D           // ͤϢ¼,ֻҪͤԱϱ(ӦṹALARM_GUARD_UPDATE_INFO)  
#define DH_ALARM_NODE_ACTIVE              0x319E           // ڵ㼤¼(ӦṹALARM_NODE_ACTIVE_INFO)
#define DH_ALARM_VIDEO_STATIC             0x319F           // Ƶ̬¼(Ӧṹ ALARM_VIDEO_STATIC_INFO)
#define DH_ALARM_REGISTER_REONLINE        0x31a0           // ע豸µ½¼(ӦṹALARM_REGISTER_REONLINE_INFO)
#define DH_ALARM_ISCSI_STATUS             0x31a1           // ISCSI澯¼(Ӧṹ ALARM_ISCSI_STATUS_INFO)
#define DH_ALARM_SCADA_DEV_ALARM          0x31a2           // ɼ豸¼(Ӧṹ ALARM_SCADA_DEV_INFO)
#define DH_ALARM_AUXILIARY_DEV_STATE      0x31a3           // 豸״̬(ӦṹALARM_AUXILIARY_DEV_STATE)
#define DH_ALARM_PARKING_CARD             0x31a4           // ͣˢ¼(ӦṹALARM_PARKING_CARD)
#define DH_ALARM_PROFILE_ALARM_TRANSMIT   0x31a5           // ¼(ӦṹALARM_PROFILE_ALARM_TRANSMIT_INFO)
#define DH_ALARM_VEHICLE_ACC              0x31a6           // ACC¼(Ӧṹ ALARM_VEHICLE_ACC_INFO)
#define DH_ALARM_TRAFFIC_SUSPICIOUSCAR    0x31a7           // ɳϱ¼(Ӧṹ ALARM_TRAFFIC_SUSPICIOUSCAR_INFO)
#define DH_ALARM_ACCESS_LOCK_STATUS       0x31a8           // ״̬¼(Ӧṹ ALARM_ACCESS_LOCK_STATUS_INFO)
#define DH_ALARM_FINACE_SCHEME            0x31a9           // ƾ¼(Ӧṹ ALARM_FINACE_SCHEME_INFO)
#define DH_ALARM_HEATIMG_TEMPER           0x31aa           // ȳµ¶쳣¼(Ӧṹ ALARM_HEATIMG_TEMPER_INFO)
#define DH_ALARM_TALKING_IGNORE_INVITE    0x31ab           // 豸ȡԽ¼(ӦṹALARM_TALKING_IGNORE_INVITE_INFO)
#define DH_ALARM_BUS_SHARP_TURN           0x31ac           // ת¼(ӦṹALARM_BUS_SHARP_TURN_INFO)
#define DH_ALARM_BUS_SCRAM                0x31ad           // ͣ¼(ӦṹALARM_BUS_SCRAM_INFO)
#define DH_ALARM_BUS_SHARP_ACCELERATE     0x31ae           // ¼(ӦṹALARM_BUS_SHARP_ACCELERATE_INFO)
#define DH_ALARM_BUS_SHARP_DECELERATE     0x31af           // ¼(ӦṹALARM_BUS_SHARP_DECELERATE_INFO)
#define DH_ALARM_ACCESS_CARD_OPERATE      0x31b0           // Žݲ¼(ӦṹALARM_ACCESS_CARD_OPERATE_INFO)
#define DH_ALARM_POLICE_CHECK             0x31b1           // Աǩ¼(ӦṹALARM_POLICE_CHECK_INFO)
#define DH_ALARM_NET                      0x31b2           // 籨¼(Ӧṹ ALARM_NET_INFO)
#define DH_ALARM_NEW_FILE                 0x31b3           // ļ¼(ӦṹALARM_NEW_FILE_INFO)
#define DH_ALARM_FIREWARNING              0x31b5           // ȳŻ¼ (Ӧṹ ALARM_FIREWARNING_INFO)
#define DH_ALARM_RECORD_LOSS              0x31b6           // ¼ʧ¼,ָӲõ,ɾԭ(ӦṹALARM_RECORD_LOSS_INFO)
#define DH_ALARM_VIDEO_FRAME_LOSS         0x31b7           // Ƶ֡¼,粻ûĶ֡(ӦṹALARM_VIDEO_FRAME_LOSS_INFO)
#define DH_ALARM_RECORD_VOLUME_FAILURE    0x31b8           // ɱ¼Ĵ̾쳣,¼쳣(Ӧṹ ALARM_RECORD_VOLUME_FAILURE_INFO)
#define DH_EVENT_SNAP_UPLOAD              0x31b9           // ͼϴ¼(ӦṹEVENT_SNAP_UPLOAD_INFO)
#define DH_ALARM_AUDIO_DETECT             0x31ba           // Ƶ¼(Ӧṹ ALARM_AUDIO_DETECT )
#define DH_ALARM_UPLOADPIC_FAILCOUNT      0x31bb           // ϴʧݸӦṹALARM_UPLOADPIC_FAILCOUNT_INFO
#define DH_ALARM_POS_MANAGE               0x31bc           // POS¼¼(Ӧṹ ALARM_POS_MANAGE_INFO )
#define DH_ALARM_REMOTE_CTRL_STATUS       0x31bd           // ң״̬¼(Ӧṹ ALARM_REMOTE_CTRL_STATUS )
#define DH_ALARM_PASSENGER_CARD_CHECK     0x31be           // , ˿ˢ¼(Ӧṹ ALARM_PASSENGER_CARD_CHECK )
#define DH_ALARM_SOUND                    0x31bf           // ¼(Ӧṹ ALARM_SOUND )
#define DH_ALARM_LOCK_BREAK               0x31c0           // ¼(Ӧṹ ALARM_LOCK_BREAK_INFO )
#define DH_ALARM_HUMAN_INSIDE             0x31c1           // ¼(ӦṹALARM_HUMAN_INSIDE_INFO)
#define DH_ALARM_HUMAN_TUMBLE_INSIDE      0x31c2           // ˤ¼(ӦṹALARM_HUMAN_TUMBLE_INSIDE_INFO)
#define DH_ALARM_DISABLE_LOCKIN           0x31c3           // Űť¼(ӦALARM_DISABLE_LOCKIN_INFO)
#define DH_ALARM_DISABLE_LOCKOUT          0x31c4           // Űť¼(ӦṹALARM_DISABLE_LOCKOUT_INFO)
#define DH_ALARM_UPLOAD_PIC_FAILED        0x31c5           // Υϴʧ¼(Ӧṹ ALARM_UPLOAD_PIC_FAILED_INFO )
#define DH_ALARM_FLOW_METER               0x31c6           // ˮͳϢϱ¼(Ӧṹ ALARM_FLOW_METER_INFO)
#define DH_ALARM_WIFI_SEARCH              0x31c7           // ȡΧWIFI豸ϱ¼(Ӧṹ ALARM_WIFI_SEARCH_INFO)
#define DH_ALARM_WIRELESSDEV_LOWPOWER     0x31C8           // ȡ豸͵ϱ¼(ӦṹALARM_WIRELESSDEV_LOWPOWER_INFO)
#define DH_ALARM_PTZ_DIAGNOSES            0x31c9           // ̨¼(ӦṹALARM_PTZ_DIAGNOSES_INFO)
#define DH_ALARM_FLASH_LIGHT_FAULT        0x31ca           // ()¼ (Ӧṹ ALARM_FLASH_LIGHT_FAULT_INFO)
#define DH_ALARM_STROBOSCOPIC_LIGTHT_FAULT   0x31cb        // ƵƱ¼ (Ӧṹ ALARM_STROBOSCOPIC_LIGTHT_FAULT_INFO)
#define DH_ALARM_HUMAM_NUMBER_STATISTIC   0x31cc           // /ͳ¼ (Ӧṹ ALARM_HUMAN_NUMBER_STATISTIC_INFO)
#define DH_ALARM_VIDEOUNFOCUS             0x31ce           // Ƶ齹(Ӧṹ ALARM_VIDEOUNFOCUS_INFO)
#define DH_ALARM_BUF_DROP_FRAME           0x31cd           // ¼񻺳֡¼(Ӧṹ ALARM_BUF_DROP_FRAME_INFO)
#define DH_ALARM_DOUBLE_DEV_VERSION_ABNORMAL 0x31cf        // ˫豸뱸֮汾Ϣһ쳣¼ (Ӧṹ ALARM_DOUBLE_DEV_VERSION_ABNORMAL_INFO)
#define DH_ALARM_DCSSWITCH                 0x31d0          // л¼ Ⱥл (Ӧṹ ALARM_DCSSWITCH_INFO)
#define DH_ALARM_RADAR_CONNECT_STATE       0x31d1          // ״״̬¼(Ӧṹ ALARM_RADAR_CONNECT_STATE_INFO)
#define DH_ALARM_DEFENCE_ARMMODE_CHANGE    0x31d2          // ״̬ı¼(Ӧṹ ALARM_DEFENCE_ARMMODECHANGE_INFO)
#define DH_ALARM_SUBSYSTEM_ARMMODE_CHANGE  0x31d3          // ϵͳ״̬ı¼(Ӧṹ ALARM_SUBSYSTEM_ARMMODECHANGE_INFO)
#define DH_ALARM_RFID_INFO                 0x31d4          // ߼Ϣ¼(Ӧṹ ALARM_RFID_INFO)
#define DH_ALARM_SMOKE_DETECTION           0x31d5          // ¼(Ӧṹ ALARM_SMOKE_DETECTION_INFO)
#define DH_ALARM_BETWEENRULE_TEMP_DIFF     0x31d6          // ȳ²쳣(Ӧṹ ALARM_BETWEENRULE_DIFFTEMPER_INFO)
#define DH_ALARM_TRAFFIC_PIC_ANALYSE       0x31d7          // ͼƬη¼(Ӧ ALARM_PIC_ANALYSE_INFO)
#define DH_ALARM_HOTSPOT_WARNING           0x31d8          // ȳȵ쳣(Ӧṹ ALARM_HOTSPOT_WARNING_INFO)
#define DH_ALARM_COLDSPOT_WARNING          0x31d9          // ȳ쳣(Ӧṹ ALARM_COLDSPOT_WARNING_INFO)
#define DH_ALARM_FIREWARNING_INFO          0x31da          // ȳ鱨Ϣϱ(Ӧṹ ALARM_FIREWARNING_INFO_DETAIL)
#define DH_ALARM_FACE_OVERHEATING          0x31db          // ȳ巢Ԥ(Ӧṹ ALARM_FACE_OVERHEATING_INFO)
#define DH_ALARM_SENSOR_ABNORMAL           0x31dc          // ̽쳣(Ӧṹ ALARM_SENSOR_ABNORMAL_INFO)
#define DH_ALARM_PATIENTDETECTION          0x31de          // ز˻״̬¼(Ӧṹ ALARM_PATIENTDETECTION_INFO)
#define DH_ALARM_RADAR_HIGH_SPEED          0x31df          // ״ⳬٱ¼ ¥ר (Ӧṹ ALARM_RADAR_HIGH_SPEED_INFO)
#define DH_ALARM_POLLING_ALARM             0x31e0          // 豸Ѳ챨¼ ¥ר (Ӧṹ ALARM_POLLING_ALARM_INFO)
#define DH_ALARM_ITC_HWS000                0x31e1          // 豸¼뱨(Ӧṹ ALARM_ITC_HWS000)
#define DH_ALARM_TRAFFICSTROBESTATE        0x31e2          // բ״̬¼(Ӧṹ ALARM_TRAFFICSTROBESTATE_INFO)
#define DH_ALARM_TELEPHONE_CHECK           0x31e3          // ֻϱ¼(Ӧṹ ALARM_TELEPHONE_CHECK_INFO)
#define DH_ALARM_PASTE_DETECTION           0x31e4          // ¼(Ӧṹ ALARM_PASTE_DETECTION_INFO )
#define DH_ALARM_SHOOTINGSCORERECOGNITION  0x31e5          // ¼(Ӧṹ ALARM_PIC_SHOOTINGSCORERECOGNITION_INFO)
#define DH_ALARM_SWIPEOVERTIME             0x31e6          // ʱδˢ¼(Ӧṹ ALARM_SWIPE_OVERTIME_INFO)
#define DH_ALARM_DRIVING_WITHOUTCARD       0x31e7          // ޿ʻ¼(Ӧṹ ALARM_DRIVING_WITHOUTCARD_INFO)
#define DH_ALARM_TRAFFIC_PEDESTRIAN_RUN_REDLIGHT_DETECTION 0x31e8  //¼(Ӧṹ ALARM_TRAFFIC_PEDESTRIAN_RUN_REDLIGHT_DETECTION_INFO ) 
#define DH_ALARM_FIGHTDETECTION            0x31e9          // Ź¼(Ӧṹ NET_ALARM_FIGHTDETECTION)
#define DH_ALARM_OIL_4G_OVERFLOW           0x31ea          // ɽ4Gֵı¼(Ӧṹ NET_ALARM_OIL_4G_OVERFLOW_INFO)
#define DH_ALARM_ACCESSIDENTIFY            0x31eb          // VTOʶ¼(Ӧṹ NET_ALARM_ACCESSIDENTIFY)
#define DH_ALARM_POWER_SWITCHER_ALARM      0x31ec          // Դ״̬쳣¼(Ӧṹ DEV_ALRAM_POWERSWITCHER_INFO)
#define DH_ALARM_SCENNE_CHANGE_ALARM       0x31ed          // ¼(Ӧṹ ALARM_PIC_SCENECHANGE_INFO)ԭVideoAbnormalDetectionSceneChange¼Ϊ¼
#define DH_ALARM_WIFI_VIRTUALINFO_SEARCH   0x31ef          // WIFIϱ¼(Ӧṹ ALARM_WIFI_VIRTUALINFO_SEARCH_INFO)
#define DH_ALARM_TRAFFIC_OVERSPEED         0x31f0          // ¼(Ӧṹ ALARM_TRAFFIC_OVERSPEED_INFO)
#define DH_ALARM_TRAFFIC_UNDERSPEED        0x31f1          // Ƿ¼(Ӧṹ ALARM_TRAFFIC_UNDERSPEED_INFO)
#define DH_ALARM_TRAFFIC_PEDESTRAIN        0x31f2          // ͨ¼(Ӧṹ ALARM_TRAFFIC_PEDESTRAIN_INFO)
#define DH_ALARM_TRAFFIC_JAM               0x31f3          // ͨӵ¼(Ӧṹ ALARM_TRAFFIC_JAM)
#define DH_ALARM_TRAFFIC_PARKING           0x31f4          // Υͣ¼(Ӧṹ ALARM_TRAFFIC_PARKING_INFO)
#define DH_ALARM_TRAFFIC_THROW             0x31f5          // ͨƷ¼(Ӧṹ ALARM_TRAFFIC_THROW_INFO)
#define DH_ALARM_TRAFFIC_RETROGRADE        0x31f6          // ¼(Ӧṹ ALARM_TRAFFIC_RETROGRADE_INFO)
#define DH_ALARM_VTSTATE_UPDATE            0x31f7          // VTS״̬ϱ(Ӧṹ ALARM_VTSTATE_UPDATE_INFO)
#define DH_ALARM_CALL_NO_ANSWERED          0x31f8          // ֱ£޴Ӧ¼(Ӧṹ NET_ALARM_CALL_NO_ANSWERED_INFO)
#define DH_ALARM_USER_LOCK_EVENT           0x31f9          // û¼
#define DH_ALARM_RETROGRADE_DETECTION      0x31fa          // Ա¼(Ӧṹ ALARM_RETROGRADE_DETECTION_INFO)
#define DH_ALARM_AIO_APP_CONFIG_EVENT      0x31fb          // AIO¼(Ӧṹ ALARM_AIO_APP_CONFIG_EVENT)
#define DH_ALARM_RAID_STATE_EX             0x31fc          // RAID쳣(Ӧṹ ALARM_RAID_INFO_EX)
#define DH_ALARM_STORAGE_IPC_FAILURE       0x31fd          // IPCĴ洢ʹ¼(IPC SD쳣)(Ӧṹ ALARM_STORAGE_IPC_FAILURE_INFO)
#define DH_ALARM_DEVICE_STAY               0x31fe          // ֹ,豸ָʱûб仯ֹϢ(ӦĽṹ ALARM_DEVICE_STAY_INFO)
#define DH_ALARM_SUB_WAY_DOOR_STATE        0x31ff          // ״̬(Ӧṹ ALARM_SUB_WAY_DOOR_STATE_INFO)
#define DH_ALARM_SUB_WAY_PECE_SWITCH       0x3200          // PECE״̬(Ӧṹ ALARM_SUB_WAY_PECE_SWITCH_INFO)
#define DH_ALARM_SUB_WAY_FIRE_ALARM        0x3201          // ¼(Ӧṹ ALARM_SUB_WAY_FIRE_ALARM_INFO)
#define DH_ALARM_SUB_WAY_EMER_HANDLE       0x3202          // ˿ͽֱ(Ӧṹ ALARM_SUB_WAY_EMER_HANDLE_INFO)
#define DH_ALARM_SUB_WAY_CAB_COVER         0x3203          // ˾Ҹǰ״̬(Ӧṹ ALARM_SUB_WAY_CAB_COVER_INFO)
#define DH_ALARM_SUB_WAY_DERA_OBST         0x3204          // ⵽ϰѹ(Ӧṹ ALARM_SUB_WAY_DERA_OBST_INFO)
#define DH_ALARM_SUB_WAY_PECU_CALL         0x3205          // ұ״̬(Ӧṹ ALARM_SUB_WAY_PECU_CALL_INFO)
#define DH_ALARM_BOX                       0x3206          // ӱ¼ (Ӧṹ ALARM_BOX_INFO)
#define DH_ALARM_DOOR_CLOSEDMANUALLY       0x3207          // Ϊ¼(Ӧṹ ALARM_DOOR_CLOSEDMANUALLY_INFO)
#define DH_ALARM_DOOR_NOTCLOSED_LONGTIME   0x3208          // ųʱδر¼(Ӧṹ ALARM_DOOR_NOTCLOSED_LONGTIME_INFO)
#define DH_ALARM_UNDER_VOLTAGE             0x3209          // ѹ9V, ԴǷѹ, ƵԺɫOSDͼʽ (Ӧṹ ALARM_UNDER_VOLTAGE_INFO ) 
#define DH_ALARM_OVER_VOLTAGE              0x320a          // ѹ19V, Դѹ, ƵԺɫOSDͼʽ (Ӧṹ ALARM_OVER_VOLTAGE_INFO ) 
#define DH_ALARM_CUT_LINE                  0x320b          // ϱ(ӦṹALARM_CUT_LINE_INFO)
#define DH_ALARM_VIDEOMOTION_EVENT         0x320c          // ¼(Ӧṹ ALARM_VIDEOMOTION_EVENT_INFO)
#define DH_ALARM_WIDE_VIEW_REGION_EVENT    0x320d          // WideViewRegions¼(Ӧṹ ALARM_WIDE_VIEW_REGION_EVENT_INFO) Ŀ¼Aƽ̨¼¼תBƽ̨
#define DH_ALARM_FIBRE_OPTIC_ABORT         0x320e          // ˱(Ӧṹ ALARM_FIBRE_OPTIC_ABORT)
#define DH_ALARM_TAIL_DETECTION            0x320f          // β¼(Ӧṹ ALARM_TAIL_DETECTION_INFO)
#define DH_ALARM_BITRATES_OVERLIMIT        0x3210          // ͨ񱨾(Ӧṹ ALARM_BITRATES_OVERLIMIT_INFO)
#define DH_ALARM_RECORD_CHANGED_EX         0x3211          // ¼״̬仯(Ӧṹ ALARM_RECORD_CHANGED_INFO_EX)
#define DH_ALARM_HIGH_DECIBEL              0x3212          // ߷ֱⱨ(Ӧṹ ALARM_HIGH_DECIBEL_INFO)
#define DH_ALARM_SHAKE_DETECTION           0x3213          // ҡμⱨ(Ӧṹ ALARM_SHAKE_DETECTION_INFO)
#define DH_ALARM_TUMBLE_DETECTION          0x3214          // ر¼(Ӧṹ ALARM_TUMBLE_DETECTION_INFO)
#define DH_ALARM_ACCESS_CTL_MALICIOUS      0x3215          // ⿪¼(Ӧṹ ALARM_ACCESS_CTL_MALICIOUS)
#define DH_ALARM_ACCESS_CTL_USERID_REGISTER 0x3216         // ûע¼(Ӧṹ ALARM_ACCESS_CTL_USERID_REGISTER)
#define DH_ALARM_ACCESS_CTL_REVERSELOCK    0x3217          // ״̬Ϣ仯¼(Ӧṹ ALARM_ACCESS_CTL_REVERSELOCK)
#define DH_ALARM_ACCESS_CTL_USERID_DELETE  0x3218          // ɾû¼(Ӧṹ ALARM_ACCESS_CTL_USERID_DELETE)
#define DH_ALARM_ACCESS_DOOR_BELL          0x3219          // ¼(Ӧṹ ALARM_ACCESS_DOOR_BELL_INFO)
#define DH_ALARM_ACCESS_FACTORY_RESET      0x321a          // ָ(Ӧṹ ALARM_ACCESS_FACTORY_RESET)
#define DH_ALARM_POLICE_RECORD_PROGRESS    0x321b          // MPT¼NVRĽ¼(Ӧṹ ALARM_POLICE_RECORD_PROGRESS_INFO)
#define DH_ALARM_POLICE_PLUGIN             0x321c          // MPTγ豸¼(Ӧṹ ALARM_POLICE_PLUGIN_INFO)
#define DH_ALARM_GPS_NOT_ALIGNED           0x321d          // GPSδλ(Ӧṹ ALARM_GPS_NOT_ALIGNED_INFO)
#define DH_ALARM_WIRELESS_NOT_CONNECTED    0x321e          // δӱ(wifi3G/4G)(Ӧṹ ALARM_WIRELESS_NOT_CONNECTED_INFO)
#define DH_ALARM_CABINET                   0x321f          // ƹ豸͵ƷŵϢʵʱϱ¼(Ӧṹ ALARM_CABINET_INFO)
#define DH_SWITCH_SCREEN                   0x3220          // лĻ¼
#define DH_ALARM_NEAR_DISTANCE_DETECTION   0x3221            // Ӵ(ӦṹALARM_NEAR_DISTANCE_INFO)
#define DH_ALARM_MAN_STAND_DETECTION       0x3222            // Ӿվ(ӦṹALARM_MAN_STAND_INFO)
#define DH_ALARM_MAN_NUM_DETECTION         0x3223            // ӾͳƱ(ӦṹALARM_MAN_NUM_INFO)
#define DH_MCS_GENERAL_CAPACITY_LOW        0x3224            // ΢Ƴ¼(ӦṹALARM_MCS_GENERAL_CAPACITY_LOW_INFO)
#define DH_MCS_DATA_NODE_OFFLINE           0x3225            // ΢ƴ洢ڵ¼(ӦṹALARM_MCS_DATA_NODE_OFFLINE_INFO)
#define DH_MCS_DISK_OFFLINE                0x3226            // ΢ƴ¼(ӦṹALARM_MCS_DISK_OFFLINE_INFO)
#define DH_MCS_DISK_SLOW                   0x3227            // ΢ƴ̱¼(ӦṹALARM_MCS_DISK_SLOW_INFO)
#define DH_MCS_DISK_BROKEN                 0x3228            // ΢ƴ¼(ӦṹALARM_MCS_DISK_BROKEN_INFO)
#define DH_MCS_DISK_UNKNOW_ERROR           0x3229            // ΢ƴδ֪¼(ӦṹALARM_MCS_DISK_UNKNOW_ERROR_INFO)
#define DH_MCS_METADATA_SERVER_ABNORMAL    0x322a            // ΢Ԫݷ쳣¼(ӦṹALARM_MCS_METADATA_SERVER_ABNORMAL_INFO)
#define DH_MCS_CATALOG_SERVER_ABNORMAL     0x322b            // ΢Ŀ¼쳣¼(ӦṹALARM_MCS_CATALOG_SERVER_ABNORMAL_INFO)
#define DH_MCS_GENERAL_CAPACITY_RESUME     0x322c            // ΢Ƴָ¼(ӦṹALARM_MCS_GENERAL_CAPACITY_RESUME_INFO)
#define DH_MCS_DATA_NODE_ONLINE            0x322d            // ΢ƴ洢ڵ¼(ӦṹALARM_MCS_DATA_NODE_ONLINE_INFO)
#define DH_MCS_DISK_ONLINE                 0x322e            // ΢ƴ¼(ӦṹALARM_MCS_DISK_ONLINE_INFO)
#define DH_MCS_METADATA_SLAVE_ONLINE       0x322f            // ΢Ԫݱ¼(ӦṹALARM_MCS_METADATA_SLAVE_ONLINE_INFO)
#define DH_MCS_CATALOG_SERVER_ONLINE       0x3230            // ΢Ŀ¼¼(ӦṹALARM_MCS_CATALOG_SERVER_ONLINE_INFO)
#define DH_ALARM_OFFLINE_LOGSYNC           0x3231            // ͬ־¼(Ӧṹ ALARM_OFFLINE_LOGSYNC_INFO)
#define DH_ALARM_UPGRADE_STATE             0x3232            // 豸״̬¼(Ӧṹ ALARM_UPGRADE_STATE)
#define DH_ALARM_LABELINFO                 0x3233            // IPC(2017.4),RFIDǩϢɼ¼(Ӧṹ ALARM_LABELINFO)
#define DH_ALARM_TIRED_PHYSIOLOGICAL       0x3234            // ƣ¼(Ӧṹ ALARM_TIRED_PHYSIOLOGICAL)
#define DH_ALARM_CALLING_WHEN_DRIVING      0x3235            // 绰¼(Ӧṹ ALARM_CALLING_WHEN_DRIVING)
#define DH_ALARM_TRAFFIC_DRIVER_SMOKING    0x3236            // ¼(Ӧṹ ALARM_TRAFFIC_DRIVER_SMOKING)
#define DH_ALARM_TRAFFIC_DRIVER_LOWER_HEAD 0x3237            // ͷ¼(Ӧṹ ALARM_TRAFFIC_DRIVER_LOWER_HEAD)
#define DH_ALARM_TRAFFIC_DRIVER_LOOK_AROUND     0x3238       // α¼(Ӧṹ ALARM_TRAFFIC_DRIVER_LOOK_AROUND)
#define DH_ALARM_TRAFFIC_DRIVER_LEAVE_POST      0x3239       // ڱ¼(Ӧṹ ALARM_TRAFFIC_DRIVER_LEAVE_POST)
#define DH_ALARM_TRAFFIC_DRIVER_YAWN            0x323a       // Ƿ¼(Ӧṹ ALARM_TRAFFIC_DRIVER_YAWN)
#define DH_ALARM_AUTO_INSPECTION                0x323b       // 豸Լ¼(Ӧṹ ALARM_AUTO_INSPECTION) 
#define DH_ALARM_TRAFFIC_VEHICLE_POSITION       0x323c       // λ¼(ӦĽṹ ALARM_TRAFFIC_VEHICLE_POSITION)
#define DH_ALARM_FACE_VERIFICATION_ACCESS_SNAP  0x323d       // ֤ץͼϢ¼(Ӧṹ ALARM_FACE_VERIFICATION_ACCESS_SNAP_INFO) 
#define DH_ALARM_VIDEOBLIND                0x323e            // Ƶڵ¼(ӦṹALARM_VIDEO_BLIND_INFO)
#define DH_ALARM_DRIVER_NOTCONFIRM         0x323f            // ˾δȷϰť¼(ӦṹALARM_DRIVER_NOTCONFIRM_INFO)
#define DH_ALARM_FACEINFO_COLLECT          0x3240            // Ϣ¼¼(ӦALARM_FACEINFO_COLLECT_INFO)
#define DH_ALARM_HIGH_SPEED	               0x3241			 // ٱ¼(ӦALARM_HIGH_SPEED_INFO)
#define DH_ALARM_VIDEO_LOSS                0x3242			 // Ƶʧ¼(Ӧ ALARM_VIDEO_LOSS_INFO)
#define DH_ALARM_MPTBASE_CONNECT           0x3243			 // 豸״̬¼(ӦṹALARM_MPTBASE_CONNECT) 
#define DH_ALARM_LATEST_SHUTDOWN           0x3244			 // 豸ϴιػ״̬¼(Ӧṹ ALARM_LATEST_SHUTDOWN)

// ------------- ר¼ ------------------
#define DH_ALARM_ROBOT_COLLISION	        0x3245			// ײ¼(Ӧṹ ALARM_ROBOT_COLLISION)
#define DH_ALARM_ROBOT_FALLENDOWN		    0x3246			// ˵¼(Ӧṹ ALARM_ROBOT_FALLENDOWN)
#define DH_ALARM_ROBOT_UNRECOGNIZED2DCODE   0x3247			// ˶ά뱾ֵ¼(Ӧṹ ALARM_ROBOT_UNRECOGNIZED2DCODE) 
#define DH_ALARM_ROBOT_WRONG2DCODE	        0x3248			// ˴λ¼(ӦĽṹ ALARM_ROBOT_WRONG2DCODE)
#define DH_ALARM_ROBOT_ROADBLOCKED	        0x3249		    // ·¼(Ӧṹ ALARM_ROBOT_ROADBLOCKED) 
#define DH_ALARM_ROBOT_FAULT				0x324a			// ˹¼(Ӧṹ ALARM_ROBOT_FAULT)
#define DH_ALARM_ROBOT_OVERLOAD			    0x324b			// ˳¼(Ӧṹ ALARM_ROBOT_OVERLOAD)
#define DH_ALARM_ROBOT_YAWEXCEPTION		    0x324c			// ƫ¼(Ӧ ALARM_ROBOT_YAWEXCEPTION)
#define DH_ALARM_ROBOT_LOADTIMEOUT		    0x324e			// 쳣(Ӧ ALARM_ROBOT_LOADTIMEOUT )
#define DH_ALARM_ROBOT_UNLOADTIMEOUT		0x324f			// ж쳣¼(Ӧ ALARM_ROBOT_UNLOADTIMEOUT)
#define DH_ALARM_ROBOT_MAPUPDATE		    0x3250			// ˵ͼ¼(Ӧ ALARM_ROBOT_MAPUPDATE)
#define	DH_ALARM_ROBOT_BRAKE				0x3252			// ˽ɲ¼(Ӧ ALARM_ROBOT_BRAKE)
#define	DH_ALARM_ROBOT_MANUAL_INTERVENTION	0x3253			// ˹Ԥ¼(Ӧ ALARM_ROBOT_MANUAL_INTERVENTION)


//¼Ԥ0x3299
// -----------------------------------------------


#define DH_ALARM_VIDEO_TALK_PATH		    0x324d			// Խ·¼(Ӧṹ ALARM_VIDEO_TALK_PATH_INFO)
#define DH_ALARM_CGIRECORD                  0x3251          // cgiֶ¼(Ӧ ALARM_CGIRECORD)
#define DH_ALARM_BATTERY_TEMPERATURE	    0x3254			// ¶ϱ¼(Ӧ ALARM_BATTERY_TEMPERATURE_INFO)
#define DH_ALARM_TIRE_PRESSURE	            0x3255			// ̥ѹϱ¼(Ӧ ALARM_TIRE_PRESSURE_INFO )
#define DH_ALARM_VTH_CONFLICT				0x3256			// ųͻͻϱ¼(Ӧ ALARM_VTH_CONFLICT_INFO)
#define DH_ALARM_ACCESS_CTL_BLACKLIST       0x3257          // Žˢ¼ϱ(Ӧ ALARM_ACCESS_CTL_BLACKLIST)
#define DH_ALARM_ROBOT_EMERGENCY_STOP		0x3258			// ˽ͣť¼(Ӧ ALARM_ROBOT_EMERFEBCY_STOP)
#define	DH_ALARM_ROBOT_PATH_PLAN_FAILED		0x3259			// ·滮ʧ¼(Ӧ ALARM_ROBOT_PATH_PLAN_FAILED)
#define DH_ALARM_ROBOT_LOCAL_MAP_UPLOAD		0x325a			// ˱صͼϴ¼(Ӧ ALARM_ROBOT_LOCAL_MAP_UPLOAD)
#define	DH_ALARM_ROBOT_SHELF_ERROR	        0x325b			// ˻쳣¼(Ӧ ALARM_ROBOT_SHELF_ERROR)
#define	DH_ALARM_ROBOT_SENSOR_ERROR	        0x325c			// ˴쳣¼(Ӧ ALARM_ROBOT_SENSOR_ERROR)
#define DH_ALARM_ROBOT_DERAILMENT           0x325d          // ѹ¼(Ӧ ALARM_ROBOT_DERAILMENT)
#define DH_ALARM_ROBOT_MOTOR_UNINIT         0x325e          // ˵բδʹ¼(Ӧ ALARM_ROBOT_MOTOR_UNINIT)
#define DH_ALARM_ROBOT_PREVENT_FALLING      0x325f          // ˷¼(Ӧ ALARM_ROBOT_PREVENT_FALLING)
#define DH_ALARM_ROBOT_LOCATION_EXCEPTION   0x3260			// ˶λ쳣¼(Ӧ ALARM_ROBOT_LOCATION_EXCEPTION )
#define DH_ALARM_ROBOT_UPGRADER_FAIL        0x3261          // ʧܷ(Ӧ ALARM_ROBOT_UPGRADER_FAIL)
#define DH_ALARM_ROBOT_CHARGING_ERROR       0x3262          // ˳쳣¼(Ӧ ALARM_ROBOT_CHARGING_ERROR)
#define DH_ALARM_ROBOT_STATIONCHARGING_ERROR       0x3263   // ˳׮쳣¼(Ӧ ALARM_ROBOT_STATIONCHARGING_ERROR)
#define DH_ALARM_ROBOT_CAMERA_ABNORMAL      0x3264          // 쳣¼(Ӧ ALARM_ROBOT_CAMERA_ABNORMAL)
#define DH_ALARM_ROBOT_ERROR_REPORT         0x3265          // ˹Ϣ(Ӧ ALARM_ROBOT_ERROR_REPORT)
#define DH_ALARM_ROBOT_DOOR_CONTROL_REQUEST 0x3266			// ſ¼(Ӧ ALARM_ROBOT_DOOR_CONTROL_REQUEST_INFO)
#define DH_ALARM_ROBOT_FAILEDTO_CONTROLROOM 0x3267          // ˴򿪳緿ʧ¼(Ӧ ALARM_ROBOT_FAILEDTO_CONTROLROOM)
#define	DH_ALARM_ROBOT_ABNORMAL2DCODE	    0x3268			// ˶ά쳣¼(Ӧ ALARM_ROBOT_ABNORMAL2DCODE)
#define	DH_ALARM_ROBOT_SECURITYDOGINVALID	0x3269			// ˼ܹЧ¼(Ӧ ALARM_ROBOT_SECURITYDOGINVALID)
#define	DH_ALARM_ROBOT_LOCKAREA_BLOCKED  	0x326a			// ¼(Ӧ ALARM_ROBOT_LOCKAREA_BLOCKED)
#define	DH_ALARM_ROBOT_REQUEST_CANCLE_TASK  0x326b			// ֪ͨƽ̨ȡǰ¼(Ӧ ALARM_ROBOT_REQUEST_CANCLE_TASK)
#define	DH_ALARM_ROBOT_FORK_BLOCK	        0x326c			// ˻¼(Ӧ ALARM_ROBOT_FORK_BLOCK)
#define	DH_ALARM_ROBOT_SHUT_DOWN	        0x326d			// ˹ػ¼(Ӧ ALARM_ROBOT_SHUT_DOWN)
#define	DH_ALARM_ROBOT_LASER_HEAD_DIRTY	    0x326e			// ˼ͷ¼(Ӧ ALARM_ROBOT_LASER_HEAD_DIRTY)
#define	DH_ALARM_ROBOT_UNTRACK	            0x326f			// ˲Ϲ챨¼(Ӧ ALARM_ROBOT_UNTRACK)
#define	DH_ALARM_ROBOT_IN_ELEVATOR	        0x3270			// ˵¼(Ӧ ALARM_ROBOT_IN_ELEVATOR)
#define	DH_ALARM_ROBOT_CORRECT_LOACATION	0x3271			// ضλ¼(Ӧ ALARM_ROBOT_CORRECT_LOACATION)


//¼0x3300ʼ
#define DH_ALARM_USERLOCK					0x3300			// û¼(Ӧ ALARM_USERLOCK_INFO)
#define DH_ALARM_DOWNLOAD_REMOTE_FILE		0x3301			// Զļ¼(ӦALARM_DOWNLOAD_REMOTE_FILE_INFO)
#define DH_ALARM_NASFILE_STATUS             0x3302			// NASļ״̬¼(Ӧṹ ALARM_NASFILE_STATUS_INFO) 
#define DH_ALARM_TALKING_CANCELCALL         0x3303          // 豸ȡ¼(Ӧṹ ALARM_TALKING_CANCELCALL_INFO)
#define DH_ALARM_ACCESS_CTL_UNAUTHORIZED_MALICIOUSWIP      0x3304 // δȨˢ¼(Ӧṹ ALARM_ACCESS_CTL_UNAUTHORIZED_MALICIOUSWIP)ѷDH_ALARM_ACCESS_CTL_MALICIOUS¼
#define DH_ALARM_CROWD_DETECTION			0x3305			// Ⱥܶȼ¼(Ӧṹ ALARM_CROWD_DETECTION_INFO)
#define DH_ALARM_FACE_FEATURE_ABSTRACT		0x3306			// ؽ¼(ӦṹALARM_FACE_FEATURE_ABSTRACT_INFO)
#define	DH_ALARM_RECORD_SCHEDULE_CHANGE		0x3307			// ¼ƻı¼(Ӧṹ ALARM_RECORD_SCHEDULE_CHANGE_INFO)
#define DH_ALARM_NTP_CHANGE					0x3308			// NTP޸¼(Ӧṹ ALARM_NTP_CHANGE_INFO)
#define DH_ALARM_HDD_TEMPERATUREALARM		0x3309			// Ӳ¶ȱ¼(Ӧṹ ALARM_HDD_TEMPERATUREALARM_INFO)
#define DH_ALARM_HDD_HEALTHALARM			0x330a			// Ӳ̽״¼(Ӧṹ ALARM_HDD_HEALTHALARM_INFO)
#define DH_ALARM_HDD_SHAKEALARM     		0x330b			// Ӳ𶯱¼(Ӧṹ ALARM_HDD_SHAKEALARM_INFO)
#define DH_ALARM_PATROL_STATUS				0x330c			// δѲ¼(Ӧṹ ALARM_PATROL_STATUS_INFO) 
#define DH_ALARM_CITIZEN_PICTURE_COMPARE    0x330d          // ֤ȶ¼(Ӧṹ ALARM_CITIZEN_PICTURE_COMPARE_INFO)

/*  start  ŷ¼,Ԥ58¼*/
#define DH_ALARM_AREAARM_MODECHANGE         0x330e          // ģʽı(ӦṹALARM_AREAARM_MODECHANGE_INFO)
#define DH_ALARM_ZONEMODULELOST             0x330f          // ģ(ӦṹALARM_ZONEMODULE_LOST_INFO)
#define DH_ALARM_AREAALARM                  0x3310          // 򱨾(ӦṹALARM_AREAALARM_INFO)
#define DH_ALARM_ZONEOPEN                   0x3311          // (ӦṹALARM_ZONEOPEN_INFO)
#define DH_ALARM_SYSTEMTAMPER               0x3312          // ¼(ӦṹALARM_SYSTEMTAMPER_INFO)
#define DH_ALARM_ALARMREGION_MAXEVENTID     0x3348          // ŷƷ¼ֵ,ֵ
/*  end  ŷ¼,Ԥ58¼ */

#define DH_ALARM_LAW_ENFORCEMENT_INFO		0x3349			// ʵʱϱִն豸Ϣ¼ӦĽṹ ALARM_LAW_ENFORCEMENT_INFO
#define DH_ALARM_CONGESTION_DETECTION		0x334A			// ·ӵ±¼Ӧ ALARM_CONGESTION_DETECTION_INFO
#define DH_ALARM_VEHICLELIMIT_DETECTION		0x334B			// ͣͣޱӦ ALARM_VEHICLELIMIT_DETECTION_INFO
#define DH_ALARM_TRAFFIC_PARKING_TIMEOUT	0x334C			// ͣʱ¼ӦĽṹ ALARM_TRAFFIC_PARKING_TIMEOUT_INFO

/*  end  ŷ¼,Ԥ64¼*/
#define DH_ALARM_DISTANCE_DETECTION			0x334e			// 쳣¼(Ӧ ALARM_DISTANCE_DETECTION_INFO)
#define DH_ALARM_STAY_DETECTION				0x334f			// ͣ¼(Ӧ ALARM_STAY_DETECTION_INFO)
#define DH_ALARM_DEVBOARDHOTPLUG			0x3350			// ˫豸Ȳ¼(Ӧṹ ALARM_DEVBOARDHOTPLUG_INFO)
#define DH_ALARM_HOMESCENE_CHANGE			0x3351			// ĵز仯¼(ӦṹALARM_HOMESCENE_CHANGE_INFO)
#define DH_ALARM_STORAGE_WORKDIRECTORY_SWITCH 0x3352        // ǰĿ¼л¼(Ӧṹ ALARM_STORAGE_WORKDIRECTORY_SWITCH_INFO)
#define DH_ALARM_TRAFFIC_LINKAGEALARM		0x3353			// Υ¼¼(Ӧṹ ALARM_TRAFFIC_LINKAGEALARM_INFO)
#define DH_ALARM_COAXIAL_ALARM_LOCAL		0x3354			// ͬῪ¼(Ӧṹ ALARM_COAXIAL_ALARM_LOCAL_INFO)
#define DH_ALARM_NAS_FILE_REMOVE_STATUS	    0x3355			// NASļɾ״̬¼(Ӧṹ ALARM_NAS_FILE_REMOVE_STATUS_INFO)
#define DH_ALARM_NAS_APK_INSTALL_REQUEST    0x3356			// 豸װAPK¼(Ӧṹ ALARM_NAS_APK_INSTALL_REQUEST_INFO)
#define DH_ALARM_NAS_APK_INSTALL_STATUS	    0x3357			// 豸װAPK״̬¼(Ӧṹ ALARM__APK_INSTALL_STATUS_INFO)
#define DH_ALARM_FILE_COMPRESS_STATUS	    0x3358			// ļѹѹ״̬¼(Ӧṹ ALARM_FILE_COMPRESSS_STATUS_INFO)
#define DH_ALARM_STRANGER_ALARM				0x3359			// İ˱¼(Ӧṹ ALARM_STRANGER_ALARM_INFO)
#define DH_ALARM_QR_CODE_CHECK              0x335a         // άϱ¼(Ӧṹ ALARM_QR_CODE_CHECK_INFO)
#define DH_ALARM_ACCESS_CTL_LOCK_MODE		0x335b          // ģʽ¼(Ӧṹ ALARM_ACCESS_CTL_LOCK_MODE_INFO)
#define DH_ALARM_LOCK_ROOM_NUM_BIND			0x335c          // Ű¼(Ӧṹ ALARM_LOCK_ROOM_NUM_BIND_INFO)
#define DH_ALARM_LEAVE_DETECTION			0x335d		   // ڼ⣨Ӧṹ ALARM_LEAVE_DETECTION_INFO
#define DH_ALARM_TRAFFICGZJJ_QUEUE_LEN		0x335e		   // ݽͨŶӳ¼(Ӧṹ ALARM_TRAFFICGZJJ_QUEUE_LEN_INFO)
#define DH_ALARM_TRAFFIC_XINKONG			0x335f		   // ̬ͨƱ¼Խӽṹ ALARM_TRAFFIC_XINKONG_INFO

/*  start  ¼,Ԥ64¼*/
#define DH_ALARM_RADAR_REGIONDETECTION		0x3370			// ״¼(Ӧṹ ALARM_RADAR_REGIONDETECTION_INFO)
#define DH_ALARM_RADAR_MAXEVENTID		    0x3433			// ״Ʒ¼ֵ,ֵ
/*  end  ¼,Ԥ64¼*/

#define DH_ALARM_JABLOTRON_ALARM			0x3434			// ͻƷ(Ӧṹ ALARM_JABLOTRONALARM_INFO)
#define DH_ALARM_FACE_RECOGNITION           0x3435          // ʶ¼(Ӧṹ ALARM_FACE_RECOGNITION_INFO) 
#define DH_ALARM_VEHICLE_OILLEVEL           0x3436          // ȼҺλ¼(Ӧṹ ALARM_VEHICLE_OILLEVEL_INFO) 
#define DH_ALARM_VEHICLE_LOAD				0x3437          // ȼ¼(Ӧṹ ALARM_VEHICLE_LOAD_INFO) 
#define DH_ALARM_VEHICLE_STATE				0x3438          // ״̬¼(Ӧṹ ALARM_VEHICLE_STATE_INFO) 
#define DH_ALARM_IMSI_CHECK					0x3439          // IMSIУ¼(Ӧṹ ALARM_IMSI_CHECK_INFO) 
#define DH_ALARM_BLIND_ALARM				0x343A          // ä¼(Ӧṹ ALARM_BLIND_ALARM_INFO)
#define DH_ALARM_VEHICLE_MAINTAINCE			0x343B          // Աά¼(Ӧṹ ALARM_VEHICLE_MAINTAINCE_INFO) 
#define DH_ALARM_PARKINGLOCK_STATE			0x343C          // λ״̬仯¼(Ӧṹ ALARM_PARKINGLOCK_STATE_INFO) 
#define DH_ALARM_FIRE_DETECTION				0x343D			// ¼ڵĽṹ ALARM_FIRE_DETECTION_INFO
#define DH_ALARM_NAS_SERVER_STATE			0x343E			// NAS쳣¼(Ӧṹ ALARM_NAS_SERVER_STATE_INFO )
#define DH_ALARM_VOLUME_GROUP_FAULT			0x343F			// 洢쳣¼(Ӧṹ ALARM_VOLUME_GROUP_FAULT_INFO)
#define DH_ALARM_DISK_CHECK					0x3440			// Ѳ챨¼(Ӧṹ ALARM_DISK_CHECK_INFO)
#define DH_ALARM_PHONECALL_DETECT			0x3441			// 绰¼(Ӧṹ ALARM_PHONECALL_DETECT_INFO)
#define DH_ALARM_FLOATINGOBJECT_DETECTION   0x3442			// Ư¼(Ӧṹ ALARM_FLOATINGOBJECT_DETECTION_INFO)
#define DH_ALARM_WATER_LEVEL_DETECTION		0x3443			// ˮλ¼(Ӧṹ ALARM_WATER_LEVEL_DETECTION_INFO)
#define DH_ALARM_LOW_SPEED					0x3444		    // ٱٱ(Ӧṹ ALARM_LOW_SPEED_INFO)
#define DH_ALARM_TRAFFIC_VEHICLEINOUT		0x3445		    // (Ӧṹ ALARM_TRAFFIC_VEHICLEINOUT_INFO)
#define DH_ALARM_TRAFFIC_JUNCTION			0x3446			// ͨ·¼(Ӧṹ ALARM_TAFFIC_JUNCTION_INFO)
#define DH_ALARM_DOOR_CONTROL				0x3447			// ¼ (Ӧṹ ALARM_DOOR_CONTROL_INFO)
#define DH_ALARM_ARMSTATE					0x3448			// ״̬¼ (Ӧṹ ALARM_ARMSTATE_INFO)

#define DH_ALARM_TICKET_INFO_REPORT			0x3449			// ƱϢϱ¼ (Ӧ ALARM_TICKET_INFO_REPORT)
#define DH_ALARM_TRAFFIC_LAMP_WORK_STATE    0x344E          // ͨͨ벹ӻȡƵ״̬Ϣ¼ (Ӧ ALARM_TRAFFIC_LAMP_WORK_STATE_INFO)

#define DH_ALARM_ENGINE_FAILURE_STATUS		0x344F			// ״̬ϱ(Ӧ ALARM_ENGINE_FAILURE_STATUS_INFO)
#define DH_ALARM_HIGH_TOSS_DETECT           0x3450          // ߿¼(Ӧ ALARM_HIGH_TOSS_DETECT_INFO)

// ¼
#define DH_CONFIG_RESULT_EVENT_EX           0x3000           // ޸õķ룻ؽṹDEV_SET_RESULT
#define DH_REBOOT_EVENT_EX                  0x3001           // 豸¼δ,ǰ޸ĵòЧ
#define DH_AUTO_TALK_START_EX               0x3002           // 豸뿪ʼԽ
#define DH_AUTO_TALK_STOP_EX                0x3003           // 豸ֹͣԽ
#define DH_CONFIG_CHANGE_EX                 0x3004           // 豸÷ı
#define DH_IPSEARCH_EVENT_EX                0x3005           // IP¼, ַʽ:DevName::Manufacturer::MAC::IP::Port::DevType::POEPort::SubMask::GateWay&&DevName::Manufacturer::MAC::IP::Port::DevType::POEPort::SubMask::GateWay &&
#define DH_AUTO_RECONNECT_FAILD             0x3006           // Զʧ¼
#define DH_REALPLAY_FAILD_EVENT             0x3007           // ʧ¼,ؽṹDEV_PLAY_RESULT
#define DH_PLAYBACK_FAILD_EVENT             0x3008           // طʧ¼,ؽṹDEV_PLAY_RESULT   
#define DH_IVS_TRAFFIC_REALFLOWINFO         0x3009           // ͨʵʱϢ¼ALARM_IVS_TRAFFIC_REALFLOW_INFO
#define DH_DEVICE_ABORT_EVENT               0x300a           // ͻ˱߳, Ӧṹ DEV_CLIENT_ABORT_INFO
#define DH_TALK_FAILD_EVENT                 0x300b           // Խʧ, Ӧṹ DEV_TALK_RESULT
#define DH_START_LISTEN_FINISH_EVENT        0x300c           // ¼ӿ첽֪ͨ¼, ϢΪNULL
#define DH_YUEQINGLIGHTING_STATE_EVENT      0x300d           // ƽ̨ͳƵƹ⿪صʱ¼, ӦĽṹ DEV_YUEQINGLIGHTING_STATE_INFO
#define DH_ALARM_VIOLATE_NO_FLY_TIME        0x300e           // Υ¼, Ӧṹ ALARM_VIOLATE_NO_FLY_TIME_INFO              
#define DH_ALARM_BOX_ALARM			        0x300f		     // ͨĴ¼ (Ӧṹ ALARM_BOX_ALARM_INFO )
#define	DH_ALARM_SOSALERT					0x3010			 // SOSȱ(ӦṹALARM_SOSALERT_INFO)
#define DH_ALARM_GYROABNORMALATTITUDE		0x3011			 // Ľƶ෭״̬µ̬쳣б(Ӧ ALARM_GYROABNORMALATTITUDE_INFO)
#define DH_ALARM_ALARMOUTPUT				0x3012			 // ͨ״̬ı¼(ӦṹALARM_ALARMOUTPUT_INFO)
#define DH_ALARM_PSTNREPORTFAILURE			0x3013			 // 绰δӾ¼(ӦṹALARM_PSTNREPORTFAILURE_INFO)
#define DH_ALARM_NOGSMFIELD					0x3014			 // ͨģ߻simû(ӦṹALARM_NOGSMFIELD_INFO)
#define DH_ALARM_SMARTMOTION_HUMAN 			0x3015			 // Ƶƶ¼() (Ӧṹ ALARM_SMARTMOTION_HUMAN_INFO)
#define DH_ALARM_SMARTMOTION_VEHICLE		0x3016			 // Ƶƶ¼() (Ӧṹ ALARM_SMARTMOTION_VEHICLE_INFO)
#define DH_ALARM_MOTION_RECORD_ALARM        0x3017			 // ¼񱨾(ӦṹALARM_MOTION_RECORD_INFO)
#define DH_ALARM_SMARTHOME_GET_AUTHORIZED	0x3018			 // ڻ֪ƽ̨ҪȡȨάϢ ( Ӧṹ ALARM_SMARTHOME_GET_AUTHORIZED )
#define DH_ALARM_SMARTHOME_UPDATE_SCENE		0x3019			 // ڻ֪ƽ̨ҪܼҾӳб ( Ӧṹ ALARM_SMARTHOME_UPDATE_SCENE )
#define DH_ALARM_ASG						0x3020			 //	ASG ( Ӧṹ ALARM_ASG_INFO )		
#define DH_ALARM_ASGSTAY                    0X3021           // բ¼( Ӧṹ ALARM_ASGSTAY_INFO )
#define DH_ALARM_ASGFOLLOWING               0X3022           // բβ汨¼( Ӧṹ ALARM_ASGFOLLOWING_INFO )
#define DH_ALARM_ASGCLIMBOVER               0X3023           // բԽ¼( Ӧṹ ALARM_ASGCLIMBOVER_INFO )
#define DH_ALARM_ASGBREAKDOWN               0X3024           // բ¼( Ӧṹ ALARM_ASGBREAKDOWN_INFO )


// ϴܵı,ӦCLIENT_StartServiceӿڡNEW_ALARM_UPLOADṹ.
#define DH_UPLOAD_ALARM                     0x4000           // ⲿ            
#define DH_UPLOAD_MOTION_ALARM              0x4001           // ̬ⱨ
#define DH_UPLOAD_VIDEOLOST_ALARM           0x4002           // Ƶʧ
#define DH_UPLOAD_SHELTER_ALARM             0x4003           // Ƶڵ
#define DH_UPLOAD_SOUND_DETECT_ALARM        0x4004           // Ƶⱨ
#define DH_UPLOAD_DISKFULL_ALARM            0x4005           // Ӳ
#define DH_UPLOAD_DISKERROR_ALARM           0x4006           // Ӳ̱
#define DH_UPLOAD_ENCODER_ALARM             0x4007           // 
#define DH_UPLOAD_DECODER_ALARM             0x400B           // 
#define DH_UPLOAD_EVENT                     0x400C           // ʱϴ
#define DH_UPLOAD_IVS                       0x400D           // ܱ, ӦṹALARM_UPLOAD_IVS_INFO
#define DH_UPLOAD_SMOKESENSOR_ALARM         0x400E           // ̸б, ӦṹALARM_UPLOAD_SMOKESENSOR_INFO
#define DH_UPLOAD_ALARM_EX                  0x400F           // ⲿչ,Ӧṹ ALARM_UPLOAD_ALARMEX_INFO 
#define DH_UPLOAD_REMOTE_LOGIN_FAILD_ALARM  0x4010           // Զ̵¼ʧܱ, Ӧṹ ALARM_UPLOAD_LOGIN_FAILED_INFO
#define DH_UPLOAD_CUSTOM                    0x4011           // չֶɿͻԶ,pParam:չָ,dwParamLen:չݳ
#define DH_UPLOAD_FRONTDISCONNECT_ALARM     0x4012           // ǰ˶, Ӧṹ NEW_ALARM_UPLOAD
#define DH_UPLOAD_ALARM_IPC                 0x4013           // IPCⲿ, Ӧṹ NEW_ALARM_UPLOAD
#define DH_UPLOAD_NET_ALARM                 0x4014           // 籨(紥,豸뱨ź), Ӧṹ NEW_ALARM_UPLOAD
#define DH_UPLOAD_ALARM_RAID                0x4015           // Raid쳣¼, Ӧṹ NEW_ALARM_UPLOAD
#define DH_UPLOAD_SCENE_CHANGE              0x4016           // , Ӧṹ NEW_ALARM_UPLOAD
#define DH_UPLOAD_PIRDETECTION				0x4017			 // pir 豸ⱨ, ӦṹALARM_UPLOAD_PIRDETECTION_INFO
#define DH_UPLOAD_PIRTAMPER					0x4018			 // pir 豸𱨾, ӦṹALARM_UPLOAD_PIRTAMPER_INFO
#define DH_UPLOAD_PIRCLOAK					0x4019			 // pir 豸ڵ, Ӧṹ ALARM_UPLOAD_PIRCLOAK_INFO
#define DH_UPLOAD_PIRSHOCK					0x401A			 // pir 豸𶯱, ӦṹALARM_UPLOAD_PIRSHOCK_INFO
#define DH_UPLOAD_PIRFAILURE				0x401B			 // pir 豸ϱ, ӦṹALARM_UPLOAD_PIRFAILURE_INFO
#define DH_UPLOAD_PIRBATTERYLOW				0x401C			 // pir 豸صͱ, ӦṹALARM_UPLOAD_PIRBATTERYLOW_INFO
#define DH_UPLOAD_PIRMISSINGCALL			0x401D			 // pir 豸źŶʧ, ӦṹALARM_UPLOAD_PIRMISSINGCALL_INFO
#define DH_UPLOAD_VIDEO_UNFOCUS				0x401E			 // Ƶ齹¼, ӦṹALARM_UPLOAD_VIDEO_UNFOCUS_INFO
#define DH_UPLOAD_ALARMPIR					0x401F			 // PIR¼, ӦṹALARM_UPLOAD_ALARMPIR_INFO
#define DH_UPLOAD_ALARM_EX2                 0x4020           // ر¼, Ӧṹ ALARM_ALARM_INFO_EX2
#define DH_UPLOAD_BYPASSMODE_CHANGE_EVENT   0x4021           // ·״̬仯¼, ӦṹALARM_BYPASSMODE_CHANGE_INFO
#define DH_UPLOAD_CHASSISINTRUDED           0x4022           // ()¼, ӦṹALARM_CHASSISINTRUDED_INFO
#define DH_UPLOAD_RCEMERGENCY_CALL          0x4023           // б¼, Ӧṹ ALARM_RCEMERGENCY_CALL_INFO
#define DH_UPLOAD_ARMMODE_CHANGE_EVENT      0x4024           // ״̬仯¼, ӦṹALARM_ARMMODE_CHANGE_INFO
#define DH_UPLOAD_SUBSYSTEM_ARMMODE_CHANGE  0x4025           // ϵͳ״̬ı¼, Ӧṹ ALARM_SUBSYSTEM_ARMMODECHANGE_INFO
#define DH_UPLOAD_DEFENCE_ARMMODE_CHANGE    0x4026           // ״̬ı¼, Ӧṹ ALARM_DEFENCE_ARMMODECHANGE_INFO
#define DH_UPLOAD_POWERFAULT                0x4027           // Դ¼, ӦṹALARM_POWERFAULT_INFO
#define DH_UPLOAD_HEARTBEAT_ALARM           0x4028           // ,ӦṹALARM_UPLOAD_HEARTBEAT_INFO
#define DH_UPLOAD_ONLINE_ALARM              0x4029           // ߱,ӦṹALARM_UPLOAD_ONLINE_INFO

// Bus״̬Ӧ¼ϱ(CLIENT_AttachBusState)
#define DH_ALARM_BUS_DRIVER_CHECK         0x0001           // ˾ǩ¼(Ӧṹ ALARM_BUS_DRIVER_CHECK_INFO)
#define DH_ALARM_BUS_IMPORT_SITE          0x0002           // վ¼(Ӧṹ ALARM_BUS_IMPORT_SITE_INFO)
#define DH_ALARM_BUS_EXPORT_SITE          0x0003           // վ¼(Ӧṹ ALARM_BUS_EXPORT_SITE_INFO)
#define DH_ALARM_BUS_ABNORMAL             0x0004           // 쳣¼(Ӧṹ ALARM_BUS_ABNORMAL_INFO)
#define DH_ALARM_BUS_DOOR_OPEN            0x0005           // Ŵ¼(Ӧṹ ALARM_VEHICLE_DOOR_OPEN_INFO)
#define DH_ALARM_BUS_CUR_MILEAGE          0x0006           // ǰ¼(Ӧṹ ALARM_BUS_CUR_MILEAGE_INFO)
#define DH_ALARM_BUS_CUR_OIL              0x0007           // ǰͺ¼(Ӧṹ ALARM_BUS_CUR_OIL_INFO)
#define DH_ALARM_BUS_LOW_OIL              0x0008           // ¼(Ӧṹ ALARM_BUS_LOW_OIL_INFO)
#define DH_ALARM_BUS_PASSENGER_CARD_CHECK 0x0009           // ˿ˢ¼(Ӧṹ ALARM_PASSENGER_CARD_CHECK )
#define DH_ALARM_BUS_VEHICLE_STANDING_OVER_TIME 0x000a     // ͣʱ¼(Ӧṹ ALARM_VEHICLE_STANDING_OVER_TIME_INFO )
#define DH_ALARM_BUS_DRIVE_AFTER_WORK     0x000b           // ǹʱ¼(Ӧṹ ALARM_DVRIVE_AFTER_WORK )
#define DH_ALARM_BUS_PAD_SHUTDOWN         0x000c           // PADػ¼, DVRϱPadShutdownϢ, PADյԶʱػ(Ӧṹ ALARM_BUS_PAD_SHUTDOWN_INFO)
#define DH_ALARM_BUS_TIRED_DRIVE_CHECK    0x000d           // ƣͼʻ¼(Ӧṹ ALARM_TIRED_DRIVE_CHECK_INFO )
#define DH_ALARM_BUS_STEAL_OIL            0x000e           // ͵¼(Ӧṹ ALARM_BUS_STEAL_OIL_INFO)
#define DH_ALARM_BUS_CIRCUIT_SHIFT		  0x000f		   // ·ƫ¼(Ӧṹ ALARM_BUS_CIRCUIT_SHIFT_INFO)
#define DH_ALARM_BUS_ROUTE_OVERTIME		  0x0010		   // ·ʱ¼(Ӧṹ ALARM_BUS_ROUTE_OVERTIME_INFO)
#define DH_ALARM_BUS_VEHICLE_CARRY_ALARM  0x0011		   // ر¼(Ӧṹ ALARM_BUS_VEHICLE_CARRY_ALARM_INFO)
#define DH_ALARM_BUS_VEHICLE_PAULIN_ALARM 0x0012		   // 񲼱¼(Ӧṹ ALARM_BUS_VEHICLE_PAULIN_ALARM_INFO)
#define DH_ALARM_BUS_VEHICLE_LIFT_ALARM   0x0013		   // ¼(Ӧṹ ALARM_BUS_VEHICLE_LIFT_ALARM_INFO)


// 첽ӿڻص
#define RESPONSE_DECODER_CTRL_TV          0x00000001       // ӦCLIENT_CtrlDecTVScreenӿ
#define RESPONSE_DECODER_SWITCH_TV        0x00000002       // ӦCLIENT_SwitchDecTVEncoderӿ
#define RESPONSE_DECODER_PLAYBACK         0x00000003       // ӦCLIENT_DecTVPlaybackӿ
#define RESPONSE_EXCHANGE_DATA            0x00000004       // ӦCLIENT_ExchangeDataӿ
#define RESPONSE_ASYN_QUERY_RECORDFILE    0x00000005       // ӦCLIENT_StartQueryRecordFileӿ

// CLIENT_FileTransmitӿڴļ
#define DH_DEV_UPGRADEFILETRANS_START     0x0000           // ʼļϴ(Ӧṹ DHDEV_UPGRADE_FILE_INFO)
#define DH_DEV_UPGRADEFILETRANS_SEND      0x0001           // ļ  
#define DH_DEV_UPGRADEFILETRANS_STOP      0x0002           // ֹͣļ
#define DH_DEV_BLACKWHITETRANS_START      0x0003           // ʼͺڰ(Ӧṹ DHDEV_BLACKWHITE_LIST_INFO)
#define DH_DEV_BLACKWHITETRANS_SEND       0x0004           // ͺڰ
#define DH_DEV_BLACKWHITETRANS_STOP       0x0005           // ֹͣͺڰ 
#define DH_DEV_BLACKWHITE_LOAD            0x0006           // غڰ(ӦṹDHDEV_LOAD_BLACKWHITE_LIST_INFO)
#define DH_DEV_BLACKWHITE_LOAD_STOP       0x0007           // ֹͣغڰ
#define DH_DEV_FILETRANS_STOP             0x002B           // ֹͣļϴ
#define DH_DEV_FILETRANS_BURN             0x002C           // ¼ļϴ

// ֱб,ֱ롢
#define DH_CAPTURE_SIZE_D1                0x00000001
#define DH_CAPTURE_SIZE_HD1               0x00000002
#define DH_CAPTURE_SIZE_BCIF              0x00000004
#define DH_CAPTURE_SIZE_CIF               0x00000008
#define DH_CAPTURE_SIZE_QCIF              0x00000010    
#define DH_CAPTURE_SIZE_VGA               0x00000020    
#define DH_CAPTURE_SIZE_QVGA              0x00000040
#define DH_CAPTURE_SIZE_SVCD              0x00000080
#define DH_CAPTURE_SIZE_QQVGA             0x00000100
#define DH_CAPTURE_SIZE_SVGA              0x00000200
#define DH_CAPTURE_SIZE_XVGA              0x00000400
#define DH_CAPTURE_SIZE_WXGA              0x00000800
#define DH_CAPTURE_SIZE_SXGA              0x00001000
#define DH_CAPTURE_SIZE_WSXGA             0x00002000   
#define DH_CAPTURE_SIZE_UXGA              0x00004000
#define DH_CAPTURE_SIZE_WUXGA             0x00008000
#define DH_CAPTURE_SIZE_LFT               0x00010000
#define DH_CAPTURE_SIZE_720               0x00020000
#define DH_CAPTURE_SIZE_1080              0x00040000
#define DH_CAPTURE_SIZE_1_3M              0x00080000
#define DH_CAPTURE_SIZE_2M                0x00100000
#define DH_CAPTURE_SIZE_5M                0x00200000
#define DH_CAPTURE_SIZE_3M                0x00400000                
#define DH_CAPTURE_SIZE_5_0M              0x00800000
#define DH_CPTRUTE_SIZE_1_2M              0x01000000    
#define DH_CPTRUTE_SIZE_1408_1024         0x02000000    
#define DH_CPTRUTE_SIZE_8M                0x04000000    
#define DH_CPTRUTE_SIZE_2560_1920         0x08000000
#define DH_CAPTURE_SIZE_960H              0x10000000
#define DH_CAPTURE_SIZE_960_720           0x20000000

// ģʽб,ģʽ롢
#define DH_CAPTURE_COMP_DIVX_MPEG4        0x00000001
#define DH_CAPTURE_COMP_MS_MPEG4          0x00000002
#define DH_CAPTURE_COMP_MPEG2             0x00000004
#define DH_CAPTURE_COMP_MPEG1             0x00000008
#define DH_CAPTURE_COMP_H263              0x00000010
#define DH_CAPTURE_COMP_MJPG              0x00000020
#define DH_CAPTURE_COMP_FCC_MPEG4         0x00000040
#define DH_CAPTURE_COMP_H264              0x00000080
#define DH_CAPTURE_COMP_H265              0x00000100
#define DH_CAPTURE_COMP_SVAC              0x00000200

// ,뱨롢
#define DH_ALARM_UPLOAD                   0x00000001
#define DH_ALARM_RECORD                   0x00000002
#define DH_ALARM_PTZ                      0x00000004
#define DH_ALARM_MAIL                     0x00000008
#define DH_ALARM_TOUR                     0x00000010
#define DH_ALARM_TIP                      0x00000020
#define DH_ALARM_OUT                      0x00000040
#define DH_ALARM_FTP_UL                   0x00000080
#define DH_ALARM_BEEP                     0x00000100
#define DH_ALARM_VOICE                    0x00000200
#define DH_ALARM_SNAP                     0x00000400

// "ָĬ",ɽ롢, ӿCLIENT_ControlDeviceDH_CTRL_RESTOREDEFAULT
#define DH_RESTORE_COMMON                 0x00000001       // ͨ
#define DH_RESTORE_CODING                 0x00000002       // 
#define DH_RESTORE_VIDEO                  0x00000004       // ¼
#define DH_RESTORE_COMM                   0x00000008       // 
#define DH_RESTORE_NETWORK                0x00000010       // 
#define DH_RESTORE_ALARM                  0x00000020       // 
#define DH_RESTORE_VIDEODETECT            0x00000040       // Ƶ
#define DH_RESTORE_PTZ                    0x00000080       // ̨
#define DH_RESTORE_OUTPUTMODE             0x00000100       // ģʽ
#define DH_RESTORE_CHANNELNAME            0x00000200       // ͨ
#define DH_RESTORE_VIDEOINOPTIONS         0x00000400       // ͷ
#define DH_RESTORE_CPS                    0x00000800       // ܽͨ
#define DH_RESTORE_INTELLIGENT            0x00001000       // Ƶ
#define DH_RESTORE_REMOTEDEVICE           0x00002000       // Զ豸
#define DH_RESTORE_DECODERVIDEOOUT        0x00004000       // Ѳ
#define DH_RESTORE_LINKMODE               0x00008000       // ģʽ
#define DH_RESTORE_COMPOSITE              0x00010000       // ں    
#define DH_RESTORE_ALL                    0x80000000       // ȫ

// ̨б--ĸֽ
#define PTZ_DIRECTION                     0x00000001       // 
#define PTZ_ZOOM                          0x00000002       // 䱶
#define PTZ_FOCUS                         0x00000004       // ۽
#define PTZ_IRIS                          0x00000008       // Ȧ
#define PTZ_ALARM                         0x00000010       // 
#define PTZ_LIGHT                         0x00000020       // ƹ
#define PTZ_SETPRESET                     0x00000040       // Ԥõ
#define PTZ_CLEARPRESET                   0x00000080       // Ԥõ
#define PTZ_GOTOPRESET                    0x00000100       // תԤõ
#define PTZ_AUTOPANON                     0x00000200       // ˮƽʼ
#define PTZ_AUTOPANOFF                    0x00000400       // ˮƽ
#define PTZ_SETLIMIT                      0x00000800       // ñ߽
#define PTZ_AUTOSCANON                    0x00001000       // Զɨ迪ʼ
#define PTZ_AUTOSCANOFF                   0x00002000       // Զɨ迪ֹͣ
#define PTZ_ADDTOUR                       0x00004000       // Ѳ
#define PTZ_DELETETOUR                    0x00008000       // ɾѲ
#define PTZ_STARTTOUR                     0x00010000       // ʼѲ
#define PTZ_STOPTOUR                      0x00020000       // Ѳ
#define PTZ_CLEARTOUR                     0x00040000       // ɾѲ
#define PTZ_SETPATTERN                    0x00080000       // ģʽ
#define PTZ_STARTPATTERN                  0x00100000       // ʼģʽ
#define PTZ_STOPPATTERN                   0x00200000       // ֹͣģʽ
#define PTZ_CLEARPATTERN                  0x00400000       // ģʽ
#define PTZ_POSITION                      0x00800000       // ٶλ
#define PTZ_AUX                           0x01000000       // 
#define PTZ_MENU                          0x02000000       // ˵
#define PTZ_EXIT                          0x04000000       // ˳˵
#define PTZ_ENTER                         0x08000000       // ȷ
#define PTZ_ESC                           0x10000000       // ȡ
#define PTZ_MENUUPDOWN                    0x20000000       // ˵²
#define PTZ_MENULEFTRIGHT                 0x40000000       // ˵Ҳ
#define PTZ_OPT_NUM                       0x80000000       // ĸ

// ĸֽ
#define PTZ_DEV                           0x00000001       // ̨
#define PTZ_MATRIX                        0x00000002       // 

// ץͼƵ
#define CODETYPE_MPEG4                    0
#define CODETYPE_H264                     1
#define CODETYPE_JPG                      2

// б
#define DH_CAPTURE_BRC_CBR                0
#define DH_CAPTURE_BRC_VBR                1
//#define DH_CAPTURE_BRC_MBR              2

// ֡붨
#define FRAME_TYPE_MOTION                       0x00000001       // ֡
#define FRAME_TYPE_HUMAN						0x00000002	   // ֡()
#define FRAME_TYPE_VEHICLE						0x00000004	   // ֡()

// ܷ¼
#define EVENT_IVS_ALL                           0x00000001        // ¼
#define EVENT_IVS_CROSSLINEDETECTION            0x00000002        // ¼(Ӧ DEV_EVENT_CROSSLINE_INFO)
#define EVENT_IVS_CROSSREGIONDETECTION          0x00000003        // ¼(Ӧ DEV_EVENT_CROSSREGION_INFO)
#define EVENT_IVS_PASTEDETECTION                0x00000004        // ¼(Ӧ DEV_EVENT_PASTE_INFO)
#define EVENT_IVS_LEFTDETECTION                 0x00000005        // Ʒ¼(Ӧ DEV_EVENT_LEFT_INFO)
#define EVENT_IVS_STAYDETECTION                 0x00000006        // ͣ¼(Ӧ DEV_EVENT_STAY_INFO)
#define EVENT_IVS_WANDERDETECTION               0x00000007        // ǻ¼(Ӧ DEV_EVENT_WANDER_INFO)
#define EVENT_IVS_PRESERVATION                  0x00000008        // Ʒȫ¼(Ӧ DEV_EVENT_PRESERVATION_INFO)
#define EVENT_IVS_MOVEDETECTION                 0x00000009        // ƶ¼(Ӧ DEV_EVENT_MOVE_INFO)
#define EVENT_IVS_TAILDETECTION                 0x0000000A        // β¼(Ӧ DEV_EVENT_TAIL_INFO)
#define EVENT_IVS_RIOTERDETECTION               0x0000000B        // ¼(Ӧ DEV_EVENT_RIOTERL_INFO)
#define EVENT_IVS_FIREDETECTION                 0x0000000C        // ¼(Ӧ DEV_EVENT_FIRE_INFO)
#define EVENT_IVS_SMOKEDETECTION                0x0000000D        // ¼(Ӧ DEV_EVENT_SMOKE_INFO)
#define EVENT_IVS_FIGHTDETECTION                0x0000000E        // Ź¼(Ӧ DEV_EVENT_FIGHT_INFO)
#define EVENT_IVS_FLOWSTAT                      0x0000000F        // ͳ¼(Ӧ DEV_EVENT_FLOWSTAT_INFO)
#define EVENT_IVS_NUMBERSTAT                    0x00000010        // ͳ¼(Ӧ DEV_EVENT_NUMBERSTAT_INFO)
#define EVENT_IVS_CAMERACOVERDDETECTION         0x00000011        // ͷ¼()
#define EVENT_IVS_CAMERAMOVEDDETECTION          0x00000012        // ͷƶ¼()
#define EVENT_IVS_VIDEOABNORMALDETECTION        0x00000013        // Ƶ쳣¼(Ӧ DEV_EVENT_VIDEOABNORMALDETECTION_INFO)
#define EVENT_IVS_VIDEOBADDETECTION             0x00000014        // Ƶ¼()
#define EVENT_IVS_TRAFFICCONTROL                0x00000015        // ͨ¼(Ӧ DEV_EVENT_TRAFFICCONTROL_INFO)
#define EVENT_IVS_TRAFFICACCIDENT               0x00000016        // ͨ¹¼(Ӧ DEV_EVENT_TRAFFICACCIDENT_INFO)
#define EVENT_IVS_TRAFFICJUNCTION               0x00000017        // ͨ·¼----Ϲ(Ӧ DEV_EVENT_TRAFFICJUNCTION_INFO)
#define EVENT_IVS_TRAFFICGATE                   0x00000018        // ͨ¼----Ϲ(Ӧ DEV_EVENT_TRAFFICGATE_INFO)
#define EVENT_TRAFFICSNAPSHOT                   0x00000019        // ͨץ¼(Ӧ DEV_EVENT_TRAFFICSNAPSHOT_INFO)
#define EVENT_IVS_FACEDETECT                    0x0000001A        // ¼ (Ӧ DEV_EVENT_FACEDETECT_INFO)
#define EVENT_IVS_TRAFFICJAM                    0x0000001B        // ͨӵ¼(Ӧ DEV_EVENT_TRAFFICJAM_INFO)
#define EVENT_IVS_TRAFFIC_NONMOTORINMOTORROUTE  0x0000001C        // ǻռ¼(Ӧ DEV_EVENT_TRAFFIC_NONMOTORINMOTORROUTE_INFO)
#define EVENT_IVS_TRAFFIC_RUNREDLIGHT           0x00000100        // ͨΥ-¼(Ӧ DEV_EVENT_TRAFFIC_RUNREDLIGHT_INFO)
#define EVENT_IVS_TRAFFIC_OVERLINE              0x00000101        // ͨΥ-ѹ¼(Ӧ DEV_EVENT_TRAFFIC_OVERLINE_INFO)
#define EVENT_IVS_TRAFFIC_RETROGRADE            0x00000102        // ͨΥ-¼(Ӧ DEV_EVENT_TRAFFIC_RETROGRADE_INFO)
#define EVENT_IVS_TRAFFIC_TURNLEFT              0x00000103        // ͨΥ-Υת(Ӧ DEV_EVENT_TRAFFIC_TURNLEFT_INFO)
#define EVENT_IVS_TRAFFIC_TURNRIGHT             0x00000104        // ͨΥ-Υת(Ӧ DEV_EVENT_TRAFFIC_TURNRIGHT_INFO)
#define EVENT_IVS_TRAFFIC_UTURN                 0x00000105        // ͨΥ-Υµͷ(Ӧ DEV_EVENT_TRAFFIC_UTURN_INFO)
#define EVENT_IVS_TRAFFIC_OVERSPEED             0x00000106        // ͨΥ-(Ӧ DEV_EVENT_TRAFFIC_OVERSPEED_INFO)
#define EVENT_IVS_TRAFFIC_UNDERSPEED            0x00000107        // ͨΥ-(Ӧ DEV_EVENT_TRAFFIC_UNDERSPEED_INFO)
#define EVENT_IVS_TRAFFIC_PARKING               0x00000108        // ͨΥ-Υͣ(Ӧ DEV_EVENT_TRAFFIC_PARKING_INFO)
#define EVENT_IVS_TRAFFIC_WRONGROUTE            0x00000109        // ͨΥ-ʻ(Ӧ DEV_EVENT_TRAFFIC_WRONGROUTE_INFO)
#define EVENT_IVS_TRAFFIC_CROSSLANE             0x0000010A        // ͨΥ-Υ±(Ӧ DEV_EVENT_TRAFFIC_CROSSLANE_INFO)
#define EVENT_IVS_TRAFFIC_OVERYELLOWLINE        0x0000010B        // ͨΥ-ѹ (Ӧ DEV_EVENT_TRAFFIC_OVERYELLOWLINE_INFO)
#define EVENT_IVS_TRAFFIC_DRIVINGONSHOULDER     0x0000010C        // ͨΥ-·ʻ¼(Ӧ DEV_EVENT_TRAFFIC_DRIVINGONSHOULDER_INFO)   
#define EVENT_IVS_TRAFFIC_YELLOWPLATEINLANE     0x0000010E        // ͨΥ-Ƴռ¼(Ӧ DEV_EVENT_TRAFFIC_YELLOWPLATEINLANE_INFO)
#define EVENT_IVS_TRAFFIC_PEDESTRAINPRIORITY    0x0000010F        // ͨΥ-/¼(Ӧ DEV_EVENT_TRAFFIC_PEDESTRAINPRIORITY_INFO)
#define EVENT_IVS_CROSSFENCEDETECTION           0x0000011F        // ԽΧ¼(Ӧ DEV_EVENT_CROSSFENCEDETECTION_INFO)
#define EVENT_IVS_ELECTROSPARKDETECTION         0x00000110        // ¼(Ӧ DEV_EVENT_ELECTROSPARK_INFO)
#define EVENT_IVS_TRAFFIC_NOPASSING             0x00000111        // ͨΥ-ֹͨ¼(Ӧ DEV_EVENT_TRAFFIC_NOPASSING_INFO)
#define EVENT_IVS_ABNORMALRUNDETECTION          0x00000112        // 쳣¼(Ӧ DEV_EVENT_ABNORMALRUNDETECTION_INFO)
#define EVENT_IVS_RETROGRADEDETECTION           0x00000113        // Ա¼(Ӧ DEV_EVENT_RETROGRADEDETECTION_INFO)
#define EVENT_IVS_INREGIONDETECTION             0x00000114        // ڼ¼(Ӧ DEV_EVENT_INREGIONDETECTION_INFO)
#define EVENT_IVS_TAKENAWAYDETECTION            0x00000115        // Ʒ¼(Ӧ DEV_EVENT_TAKENAWAYDETECTION_INFO)
#define EVENT_IVS_PARKINGDETECTION              0x00000116        // Ƿͣ¼(Ӧ DEV_EVENT_PARKINGDETECTION_INFO)
#define EVENT_IVS_FACERECOGNITION               0x00000117        // ʶ¼(Ӧ DEV_EVENT_FACERECOGNITION_INFO)
#define EVENT_IVS_TRAFFIC_MANUALSNAP            0x00000118        // ֶͨץ¼(Ӧ DEV_EVENT_TRAFFIC_MANUALSNAP_INFO)
#define EVENT_IVS_TRAFFIC_FLOWSTATE             0x00000119        // ͨͳ¼(Ӧ DEV_EVENT_TRAFFIC_FLOW_STATE)
#define EVENT_IVS_TRAFFIC_STAY                  0x0000011A        // ͨ¼(Ӧ DEV_EVENT_TRAFFIC_STAY_INFO)
#define EVENT_IVS_TRAFFIC_VEHICLEINROUTE        0x0000011B        // гռ¼(Ӧ DEV_EVENT_TRAFFIC_VEHICLEINROUTE_INFO)
#define EVENT_ALARM_MOTIONDETECT                0x0000011C        // Ƶƶ¼(Ӧ DEV_EVENT_ALARM_INFO)
#define EVENT_ALARM_LOCALALARM                  0x0000011D        // ⲿ¼(Ӧ DEV_EVENT_ALARM_INFO)
#define EVENT_IVS_PRISONERRISEDETECTION         0x0000011E        // ¼(Ӧ DEV_EVENT_PRISONERRISEDETECTION_INFO)
#define EVENT_IVS_TRAFFIC_TOLLGATE              0x00000120        // ͨΥ-¼----¹(Ӧ DEV_EVENT_TRAFFICJUNCTION_INFO)
#define EVENT_IVS_DENSITYDETECTION              0x00000121        // Աܼȼ(Ӧ DEV_EVENT_DENSITYDETECTION_INFO)
#define EVENT_IVS_VIDEODIAGNOSIS                0x00000122        // ƵϽ¼(Ӧ NET_VIDEODIAGNOSIS_COMMON_INFO  NET_REAL_DIAGNOSIS_RESULT)
#define EVENT_IVS_QUEUEDETECTION                0x00000123        // ŶӼⱨ¼(Ӧ DEV_EVENT_QUEUEDETECTION_INFO)
#define EVENT_IVS_TRAFFIC_VEHICLEINBUSROUTE     0x00000124        // ռù¼(Ӧ DEV_EVENT_TRAFFIC_VEHICLEINBUSROUTE_INFO)
#define EVENT_IVS_TRAFFIC_BACKING               0x00000125        // Υµ¼(Ӧ DEV_EVENT_IVS_TRAFFIC_BACKING_INFO)
#define EVENT_IVS_AUDIO_ABNORMALDETECTION       0x00000126        // 쳣(Ӧ DEV_EVENT_IVS_AUDIO_ABNORMALDETECTION_INFO)
#define EVENT_IVS_TRAFFIC_RUNYELLOWLIGHT        0x00000127        // ͨΥ-Ƶ¼(Ӧ DEV_EVENT_TRAFFIC_RUNYELLOWLIGHT_INFO)
#define EVENT_IVS_CLIMBDETECTION                0x00000128        // ʸ߼¼(Ӧ DEV_EVENT_IVS_CLIMB_INFO)
#define EVENT_IVS_LEAVEDETECTION                0x00000129        // ڼ¼(Ӧ DEV_EVENT_IVS_LEAVE_INFO)
#define EVENT_IVS_TRAFFIC_PARKINGONYELLOWBOX    0x0000012A        // ץ¼(Ӧ DEV_EVENT_TRAFFIC_PARKINGONYELLOWBOX_INFO)
#define EVENT_IVS_TRAFFIC_PARKINGSPACEPARKING   0x0000012B        // λг¼(Ӧ DEV_EVENT_TRAFFIC_PARKINGSPACEPARKING_INFO)
#define EVENT_IVS_TRAFFIC_PARKINGSPACENOPARKING 0x0000012C        // λ޳¼(Ӧ DEV_EVENT_TRAFFIC_PARKINGSPACENOPARKING_INFO)    
#define EVENT_IVS_TRAFFIC_PEDESTRAIN            0x0000012D        // ͨ¼(Ӧ DEV_EVENT_TRAFFIC_PEDESTRAIN_INFO)
#define EVENT_IVS_TRAFFIC_THROW                 0x0000012E        // ͨƷ¼(Ӧ DEV_EVENT_TRAFFIC_THROW_INFO)
#define EVENT_IVS_TRAFFIC_IDLE                  0x0000012F        // ͨ¼(Ӧ DEV_EVENT_TRAFFIC_IDLE_INFO)
#define EVENT_ALARM_VEHICLEACC                  0x00000130        // ACCϵ籨¼(Ӧ DEV_EVENT_ALARM_VEHICLEACC_INFO)
#define EVENT_ALARM_VEHICLE_TURNOVER            0x00000131        // ෭¼(Ӧ DEV_EVENT_VEHICEL_ALARM_INFO)
#define EVENT_ALARM_VEHICLE_COLLISION           0x00000132        // ײ¼(Ӧ DEV_EVENT_VEHICEL_ALARM_INFO)
#define EVENT_ALARM_VEHICLE_LARGE_ANGLE         0x00000133        // ͷǶŤת¼
#define EVENT_IVS_TRAFFIC_PARKINGSPACEOVERLINE  0x00000134        // λѹ¼(Ӧ DEV_EVENT_TRAFFIC_PARKINGSPACEOVERLINE_INFO)
#define EVENT_IVS_MULTISCENESWITCH              0x00000135        // ೡл¼(Ӧ DEV_EVENT_IVS_MULTI_SCENE_SWICH_INFO)
#define EVENT_IVS_TRAFFIC_RESTRICTED_PLATE      0x00000136        // ޳¼(Ӧ DEV_EVENT_TRAFFIC_RESTRICTED_PLATE)
#define EVENT_IVS_TRAFFIC_OVERSTOPLINE          0x00000137        // ѹֹͣ¼(Ӧ DEV_EVENT_TRAFFIC_OVERSTOPLINE)
#define EVENT_IVS_TRAFFIC_WITHOUT_SAFEBELT      0x00000138        // ͨδϵȫ¼(Ӧ DEV_EVENT_TRAFFIC_WITHOUT_SAFEBELT)
#define EVENT_IVS_TRAFFIC_DRIVER_SMOKING        0x00000139        // ʻԱ¼(Ӧ DEV_EVENT_TRAFFIC_DRIVER_SMOKING)
#define EVENT_IVS_TRAFFIC_DRIVER_CALLING        0x0000013A        // ʻԱ绰¼(Ӧ DEV_EVENT_TRAFFIC_DRIVER_CALLING)
#define EVENT_IVS_TRAFFIC_PEDESTRAINRUNREDLIGHT 0x0000013B        // ˴¼(Ӧ DEV_EVENT_TRAFFIC_PEDESTRAINRUNREDLIGHT_INFO)
#define EVENT_IVS_TRAFFIC_PASSNOTINORDER        0x0000013C        // δ涨ͨ(Ӧ DEV_EVENT_TRAFFIC_PASSNOTINORDER_INFO)
#define EVENT_IVS_OBJECT_DETECTION              0x00000141        // ¼
#define EVENT_ALARM_ANALOGALARM                 0x00000150        // ģͨı¼(ӦDEV_EVENT_ALARM_ANALOGALRM_INFO)
#define EVENT_IVS_CROSSLINEDETECTION_EX         0x00000151        // չ¼
#define EVENT_ALARM_COMMON                      0x00000152        // ͨ¼
#define EVENT_ALARM_VIDEOBLIND                  0x00000153        // Ƶڵ¼(Ӧ DEV_EVENT_ALARM_VIDEOBLIND)
#define EVENT_ALARM_VIDEOLOSS                   0x00000154        // Ƶʧ¼
#define EVENT_IVS_GETOUTBEDDETECTION            0x00000155        // ´¼(Ӧ DEV_EVENT_GETOUTBED_INFO)
#define EVENT_IVS_PATROLDETECTION               0x00000156        // Ѳ߼¼(Ӧ DEV_EVENT_PATROL_INFO)
#define EVENT_IVS_ONDUTYDETECTION               0x00000157        // վڼ¼(Ӧ DEV_EVENT_ONDUTY_INFO)
#define EVENT_IVS_NOANSWERCALL                  0x00000158        // ſڻδӦ¼
#define EVENT_IVS_STORAGENOTEXIST               0x00000159        // 洢鲻¼
#define EVENT_IVS_STORAGELOWSPACE               0x0000015A        // Ӳ̿ռͱ¼
#define EVENT_IVS_STORAGEFAILURE                0x0000015B        // 洢¼
#define EVENT_IVS_PROFILEALARMTRANSMIT          0x0000015C        // ¼
#define EVENT_IVS_VIDEOSTATIC                   0x0000015D        // Ƶ̬¼(Ӧ DEV_EVENT_ALARM_VIDEOSTATIC_INFO)
#define EVENT_IVS_VIDEOTIMING                   0x0000015E        // Ƶʱ¼(Ӧ DEV_EVENT_ALARM_VIDEOTIMING_INFO)
#define EVENT_IVS_HEATMAP                       0x0000015F        // ȶͼ(Ӧ CFG_IVS_HEATMAP_INFO)
#define EVENT_IVS_CITIZENIDCARD                 0x00000160        // ֤Ϣȡ¼(Ӧ DEV_EVENT_ALARM_CITIZENIDCARD_INFO)
#define EVENT_IVS_PICINFO                       0x00000161        // ͼƬϢ¼(Ӧ DEV_EVENT_ALARM_PIC_INFO)
#define EVENT_IVS_NETPLAYCHECK                  0x00000162        // Ǽ¼(Ӧ DEV_EVENT_ALARM_NETPLAYCHECK_INFO)
#define EVENT_IVS_TRAFFIC_JAM_FORBID_INTO       0x00000163        // ӵ½¼(Ӧ DEV_EVENT_ALARM_JAMFORBIDINTO_INFO)
#define EVENT_IVS_SNAPBYTIME                    0x00000164        // ʱץͼ¼(ӦDEV_EVENT_SNAPBYTIME)
#define EVENT_IVS_PTZ_PRESET                    0x00000165        // ̨תԤõ¼(Ӧ DEV_EVENT_ALARM_PTZ_PRESET_INFO)
#define EVENT_IVS_RFID_INFO                     0x00000166        // ߼Ϣ¼(Ӧ DEV_EVENT_ALARM_RFID_INFO)
#define EVENT_IVS_STANDUPDETECTION              0x00000167        // ¼ 
#define EVENT_IVS_QSYTRAFFICCARWEIGHT           0x00000168        // ͨڳ¼(Ӧ DEV_EVENT_QSYTRAFFICCARWEIGHT_INFO)
#define EVENT_IVS_TRAFFIC_COMPAREPLATE          0x00000169        // ǰƺϳ¼(ӦDEV_EVENT_TRAFFIC_COMPAREPLATE_INFO)
#define EVENT_IVS_SHOOTINGSCORERECOGNITION      0x0000016A        // ¼(Ӧ DEV_EVENT_SHOOTING_SCORE_RECOGNITION_INFO,CFG_IVS_SHOOTINGSCORERECOGNITION_INFO)
#define EVENT_IVS_TRAFFIC_FCC                   0x0000016B        // վǹǹ¼(Ӧ DEV_EVENT_TRAFFIC_FCC_INFO)
#define EVENT_IVS_TRAFFIC_TRANSFINITE           0x0000016C        // Υ³ץͼϱ¼,˿Ƽγ(Ӧ DEV_EVENT_TRAFFIC_TRANSFINITE_INFO)
#define EVENT_IVS_SCENE_CHANGE                  0x0000016D        // ¼(Ӧ DEV_ALRAM_SCENECHANGE_INFO,CFG_VIDEOABNORMALDETECTION_INFO)
#define EVENT_IVS_LETRACK                       0x0000016E        // 򵥸¼(δо¼)
#define EVENT_IVS_OBJECT_ACTION                 0x0000016F        // ¼(δо¼)
#define EVENT_IVS_TRAFFIC_ANALYSE_PRESNAP       0x00000170        // ԤץͼƬ¼(Ӧ DEV_EVENT_TRAFFIC_ANALYSE_PRESNAP_INFO)
#define EVENT_ALARM_EQSTATE                     0x00000171        // ܲ״̬ϱ(δо¼)
#define EVENT_IVS_ALARM_IPC                     0x00000172        // DVR/NVR豸ϵIPC(Ӧ DEV_EVENT_ALARM_IPC_INFO)
#define EVENT_IVS_POS_RECORD                    0x00000173        // POS¼ѯ¼(δо¼)
#define EVENT_IVS_NEAR_DISTANCE_DETECTION       0x00000174        // Ӵ¼(Ӧ DEV_EVENT_NEAR_DISTANCE_DETECTION_INFO)
#define EVENT_IVS_OBJECTSTRUCTLIZE_PERSON       0x00000175        // ¼(Ӧ DEV_EVENT_OBJECTSTRUCTLIZE_PERSON_INFO)
#define EVENT_IVS_OBJECTSTRUCTLIZE_NONMOTOR     0x00000176        // ǻ¼(Ӧ DEV_EVENT_OBJECTSTRUCTLIZE_NONMOTOR_INFO)
#define EVENT_IVS_TUMBLE_DETECTION              0x00000177        // ر¼(Ӧ DEV_EVENT_TUMBLE_DETECTION_INFO)
#define EVENT_IVS_TRAFFIC_ALL                   0x000001FF        // trafficͷ¼,Ŀǰָ
                                                                  // EVENT_IVS_TRAFFICCONTROL -> EVENT_TRAFFICSNAPSHOT
                                                                  // EVENT_IVS_TRAFFIC_RUNREDLIGHT -> EVENT_IVS_TRAFFIC_UNDERSPEED
#define EVENT_IVS_VIDEOANALYSE                  0x00000200      // ܷ¼ 
#define EVENT_IVS_LINKSD                        0x00000201      // LinkSD¼(Ӧ DEV_EVENT_LINK_SD)
#define EVENT_IVS_VEHICLEANALYSE                0x00000202      // (ӦDEV_EVENT_VEHICLEANALYSE)
#define EVENT_IVS_FLOWRATE                      0x00000203      // ʹ¼(Ӧ DEV_EVENT_FLOWRATE_INFO)
#define EVENT_IVS_ACCESS_CTL                    0x00000204      // Ž¼ (Ӧ DEV_EVENT_ACCESS_CTL_INFO)
#define EVENT_IVS_SNAPMANUAL                    0x00000205      // SnapManual¼(Ӧ DEV_EVENT_SNAPMANUAL)
#define EVENT_IVS_TRAFFIC_ELETAGINFO            0x00000206      // RFIDӳƱǩ¼(Ӧ DEV_EVENT_TRAFFIC_ELETAGINFO_INFO)
#define EVENT_IVS_TRAFFIC_TIREDPHYSIOLOGICAL    0x00000207      // ƣͼʻ¼(Ӧ DEV_EVENT_TIREDPHYSIOLOGICAL_INFO)
#define EVENT_IVS_TRAFFIC_BUSSHARPTURN          0x00000208      // ת¼(ӦDEV_EVENT_BUSSHARPTURN_INFO)
#define EVENT_IVS_CITIZEN_PICTURE_COMPARE       0x00000209      // ֤ȶ¼(Ӧ DEV_EVENT_CITIZEN_PICTURE_COMPARE_INFO)
#define EVENT_IVS_TRAFFIC_TIREDLOWERHEAD        0x0000020A      // ͷ¼(ӦDEV_EVENT_TIREDLOWERHEAD_INFO)
#define EVENT_IVS_TRAFFIC_DRIVERLOOKAROUND      0x0000020B      // α¼(ӦDEV_EVENT_DRIVERLOOKAROUND_INFO)
#define EVENT_IVS_TRAFFIC_DRIVERLEAVEPOST       0x0000020C      // ڱ¼(ӦDEV_EVENT_DRIVERLEAVEPOST_INFO)
#define EVENT_IVS_MAN_STAND_DETECTION           0x0000020D      // Ӿվ¼(ӦDEV_EVENT_MANSTAND_DETECTION_INFO)
#define EVENT_IVS_MAN_NUM_DETECTION             0x0000020E      // Ӿͳ¼(ӦDEV_EVENT_MANNUM_DETECTION_INFO)
#define EVENT_IVS_STEREO_NUMBERSTAT             0x0000020F      // ͳ¼(δо¼)
#define EVENT_IVS_TRAFFIC_DRIVERYAWN            0x00000210      // Ƿ¼(ӦDEV_EVENT_DRIVERYAWN_INFO)
#define EVENT_IVS_NUMBERSTAT_PLAN               0x00000211      // ͳƼƻ(δо¼,ʹ,Ӧýṹ CFG_NUMBERSTAT_INFO)
#define EVENT_IVS_HEATMAP_PLAN                  0x00000212      // ȶͼƻ(δо¼,ʹ,Ӧýṹ CFG_IVS_HEATMAP_INFO)
#define EVENT_IVS_CALLNOANSWERED                0x00000213      // ޴Ӧ¼
#define EVENT_IVS_IGNOREINVITE                  0x00000214      // ¼
#define EVENT_IVS_HUMANTRAIT                    0x00000215      // ¼(Ӧ DEV_EVENT_HUMANTRAIT_INFO)
#define EVENT_ALARM_LE_HEADDETECTION            0x00000216      // ֳͷ¼,ֻڶֻ
#define EVENT_IVS_FACEANALYSIS                  0x00000217      // ¼ (δо¼)
#define EVENT_IVS_TRAFFIC_TURNLEFTAFTERSTRAIGHT 0x00000218      // תֱ¼(Ӧ DEV_EVENT_TURNLEFTAFTERSTRAIGHT_INFO)
#define EVENT_IVS_TRAFFIC_BIGBENDSMALLTURN      0x00000219      // Сת¼(Ӧ DEV_EVENT_BIGBENDSMALLTURN_INFO)
#define EVENT_IVS_ROAD_CONSTRUCTION             0x0000021A      // ·ʩ¼(ӦDEV_EVENT_ROAD_CONSTRUCTION_INFO)
#define EVENT_IVS_ROAD_BLOCK                    0x0000021B      // ·ϼ¼(ӦDEV_EVENT_ROAD_BLOCK_INFO)
#define EVENT_IVS_TRAFFIC_QUEUEJUMP             0x0000021C      // ¼(Ӧ DEV_EVENT_TRAFFIC_QUEUEJUMP_INFO)
#define EVENT_IVS_VEHICLE_SUSPICIOUSCAR         0x0000021D      // ɳ¼(Ӧ DEV_EVENT_VEHICLE_SUSPICIOUSCAR_INFO)
#define EVENT_IVS_TRAFFIC_TURNRIGHTAFTERSTRAIGHT  0x0000021E    // תֱ¼(Ӧ DEV_EVENT_TURNRIGHTAFTERSTRAIGHT_INFO)
#define EVENT_IVS_TRAFFIC_TURNRIGHTAFTERPEOPLE    0x0000021F    // תֱ(Ӧ DEV_EVENT_TURNRIGHTAFTERPEOPLE_INFO)
#define EVENT_IVS_INSTALL_CARDREADER            0x00000220      // װ¼(Ӧ DEV_EVENT_INSTALL_CARDREADER_INFO)
#define EVENT_ALARM_YALE_DROPBOX_BADTOKEN       0x00000221      // Yale tokenʧЧ¼ֻڶֻ
#define EVENT_IVS_ACC_OFF_SNAP                  0x00000222      // 豸ϵǰץϴ¼(Ӧ DEV_EVENT_ACC_OFF_SNAP_INFO)
#define EVENI_IVS_XRAY_DETECTION				0x00000223		// X¼ (Ӧ DEV_EVENT_XRAY_DETECTION_INFO)
#define EVENT_IVS_NOTCLEARCAR					0x00000224		// δ峵澯(Ӧ DEV_EVENT_NOTCLEARCAR_INFO)
#define EVENT_IVS_SOSALEART						0x00000225		// sosȱ(Ӧ DEV_EVENT_SOSALEART_INFO)
#define EVENT_IVS_OVERLOAD						0x00000226		// ץͼ(Ӧ DEV_EVENT_OVERLOAD_INFO)
#define EVENT_IVS_NONWORKINGTIME				0x00000227		// ǹʱ澯(Ӧ DEV_EVENT_NONWORKINGTIME_INFO)
#define EVENT_IVS_TRAFFIC_HIGH_BEAM				0x00000228		// ԶΥ¼(Ӧ DEV_EVENT_TRAFFIC_HIGH_BEAM_INFO)
#define EVENT_IVS_TRAFFIC_TRUCKFORBID			0x00000229		// ֹ¼(Ӧ DEV_EVENT_TRAFFICTRUCKFORBID_INFO)
#define EVENT_IVS_DRIVINGWITHOUTCARD			0x0000022A		// ޿ʻ¼(Ӧ DEV_EVENT_DRIVINGWITHOUTCARD_INFO)
#define EVENT_IVS_HIGHSPEED						0x0000022B		// ٱ¼(Ӧ DEV_EVENT_HIGHSPEED_INFO)
#define EVENT_IVS_CROWDDETECTION				0x0000022C		// Ⱥܶȼ¼(Ӧṹ DEV_EVENT_CROWD_DETECTION_INFO)
#define EVENT_IVS_TRAFFIC_CARDISTANCESHORT		0x0000022D		// С¼(Ӧ DEV_EVENT_TRAFFIC_CARDISTANCESHORT_INFO)
#define EVENT_IVS_PEDESTRIAN_JUNCTION			0x00000230		// ˿¼(Ӧ DEV_EVENT_PEDESTRIAN_JUNCTION_INFO)
#define EVENT_IVS_VEHICLE_RECOGNITION           0x00000231      // ƶԱ¼(ʯǻۼվĿ)(Ӧ DEV_EVENT_VEHICLE_RECOGNITION_INFO)
#define EVENT_IVS_PASS_CHANGE					0x00000232		// ԤõͼƬ仯¼ (Ӧ DEV_EVENT_PASS_CHANGE_INFO)
#define EVENT_IVS_TRAFFIC_PARKING_SPACEDETECTION 0x00000233		// ΥͣƵλ¼
#define EVENT_IVS_TRAFFIC_WAITINGAREA           0x00000234		// Υ½¼(Ӧ DEV_EVENT_TRAFFIC_WAITINGAREA_INFO)
#define EVENT_IVS_TRAFFIC_BAN					0x00000235		// Υʶ¼(Ӧ DEV_EVENT_TRAFFIC_BAN_INFO)
#define EVENT_IVS_POS_EXCHANGE					0x00000236		// POS¼(Ӧ DEV_EVENT_POS_EXCHANGE_INFO)
#define EVENT_IVS_STEREO_FIGHTDETECTION         0x00000237      // Ϊ/˶(ڹãӦ¼ EVENT_IVS_FIGHTDETECTION)
#define EVENT_IVS_STEREO_DISTANCE_DETECTION		0x00000238		// Ϊ쳣/Ա(ڹãӦ¼)
#define EVENT_IVS_STEREO_STEREOFALLDETECTION    0x00000239      // Ϊ(ڹãӦ¼ EVENT_IVS_TUMBLE_DETECTION)
#define EVENT_IVS_STEREO_STAYDETECTION    		0x0000023A      // ΪԱ(ڹãӦ¼ EVENT_IVS_STAYDETECTION)
#define EVENT_IVS_BANNER_DETECTION				0x0000023B		// ¼(Ӧ DEV_EVENT_BANNER_DETECTION_INFO)
#define EVENT_IVS_NORMAL_FIGHTDETECTION         0x0000023C      // ͨ¼(ֻܹͨ, ¼EVENT_IVS_FIGHTDETECTION)
#define EVENT_IVS_ELEVATOR_ABNORMAL				0x0000023D		// 綯쳣¼ (ӦDEV_EVENT_ELEVATOR_ABNORMAL_INFO)
#define EVENT_IVS_NONMOTORDETECT                0x0000023E      // ǻ (Ӧṹ DEV_EVENT_NONMOTORDETECT_INFO)
#define EVENT_IVS_VEHICLEDETECT                 0x0000023F      //  (ֻڹã¼EVENT_IVS_TRAFFICJUNCTION)
#define EVENT_IVS_TRAFFIC_PARKING_B             0x00000240      // ͨΥ-BΥͣ(Ӧ DEV_EVENT_TRAFFIC_PARKING_B_INFO)
#define EVENT_IVS_TRAFFIC_PARKING_C             0x00000241      // ͨΥ-CΥͣ(Ӧ DEV_EVENT_TRAFFIC_PARKING_C_INFO)
#define EVENT_IVS_TRAFFIC_PARKING_D             0x00000242      // ͨΥ-DΥͣ(Ӧ DEV_EVENT_TRAFFIC_PARKING_D_INFO)
#define EVENT_IVSS_FACEATTRIBUTE                0x00000243      // IVSS¼ (δо¼)
#define EVENT_IVSS_FACECOMPARE                  0x00000244      // IVSSʶ¼ (δо¼)
#define EVENT_IVS_FIREWARNING					0x00000245		// ¼(Ӧ DEV_EVENT_FIREWARNING_INFO)
#define EVENT_IVS_SHOPPRESENCE					0x00000246      // ռӪ¼(Ӧ DEV_EVENT_SHOPPRESENCE_INFO)
#define EVENT_IVS_WASTEDUMPED					0x00000247      // Υ㵹¼(Ӧ DEV_EVENT_WASTEDUMPED_INFO)
#define EVENT_IVS_SPILLEDMATERIAL_DETECTION		0x00000248      // ¼(Ӧ DEV_EVENT_SPILLEDMATERIAL_DETECTION_INFO)
#define EVENT_IVS_STEREO_MANNUM_DETECTION		0x00000249		// Ϊ쳣 (ڹãӦ¼ EVENT_IVS_MAN_NUM_DETECTION)
#define EVENT_IVS_DISTANCE_DETECTION			0x0000024A		// 쳣¼ (Ӧ DEV_EVENT_DISTANCE_DETECTION_INFO)
#define EVENT_IVS_TRAFFIC_NONMOTOR_OVERLOAD		0x0000024B		// ǻ¼ (Ӧ DEV_EVENT_TRAFFIC_NONMOTOR_OVERLOAD_INFO)
#define EVENT_IVS_TRAFFIC_NONMOTOR_WITHOUTSAFEHAT	0x0000024C	// ǻδȫñ¼ (Ӧ DEV_EVENT_TRAFFIC_NONMOTOR_WITHOUTSAFEHAT_INFO)
#define EVENT_IVS_TRAFFIC_JAM_STOP_ON_ZEBRACROSSING 0x0000024D		// ӵ¼ (Ӧ DEV_EVENT_TRAFFIC_JAM_STOP_ON_ZEBRACROSSING_INFO)
#define EVENT_IVS_FLOWBUSINESS					0x0000024E		// ̯¼ (Ӧ DEV_EVENT_FLOWBUSINESS_INFO)
#define EVENT_IVS_CITY_MOTORPARKING				0x0000024F		// лΥͣ¼ (Ӧ DEV_EVENT_CITY_MOTORPARKING_INFO)
#define EVENT_IVS_CITY_NONMOTORPARKING			0x00000250		// лǶΥͣ¼ (Ӧ DEV_EVENT_CITY_NONMOTORPARKING_INFO)
#define EVENT_IVS_LANEDEPARTURE_WARNNING		0X00000251		// ƫԤ(Ӧ DEV_EVENT_LANEDEPARTURE_WARNNING_INFO)
#define EVENT_IVS_FORWARDCOLLISION_WARNNING		0x00000252		// ǰײԤ(Ӧ DEV_EVENT_FORWARDCOLLISION_WARNNING_INFO)
#define EVENT_IVS_MATERIALSSTAY					0x00000253		// ϶ѷ¼(Ӧ DEV_EVENT_MATERIALSSTAY_INFO)
#define EVENT_IVS_TRAFFIC_NONMOTOR_HOLDUMBRELLA 0x00000254		// ǻװɡ(Ӧ DEV_EVENT_TRAFFIC_NONMOTOR_HOLDUMBRELLA_INFO)
#define EVENT_IVS_JABLOTRON_ALARM				0x00000255		// ͻƷ
#define EVENT_IVS_VIDEOUNFOCUS_ALARM			0x00000256		// Ƶ齹¼(ӦDEV_EVENT_VIDEOUNFOCUS_INFO)
#define EVENT_IVS_FLOATINGOBJECT_DETECTION		0x00000257		// Ư¼ (Ӧ DEV_EVENT_FLOATINGOBJECT_DETECTION_INFO)
#define EVENT_IVS_SHIP_DETECTION				0x00000258		// ¼ (Ӧ DEV_EVENT_SHIP_DETECTION_INFO)
#define EVENT_IVS_AIRPLANE_DETECTION			0x00000259		// ɻΪ¼(Ӧ DEV_EVENT_AIRPLANE_DETECTION_INFO)
#define EVENT_IVS_PHONECALL_DETECT				0x0000025A		// 绰¼(Ӧ DEV_EVENT_PHONECALL_DETECT_INFO)
#define EVENT_IVS_SMOKING_DETECT				0x0000025B		// ̼¼(Ӧ DEV_EVENT_SMOKING_DETECT_INFO)
#define EVENT_IVS_RADAR_SPEED_LIMIT_ALARM       0x0000025C      // ״ٱ¼(Ӧ DEV_EVENT_RADAR_SPEED_LIMIT_ALARM_INFO)
#define EVENT_IVS_WATER_LEVEL_DETECTION			0x0000025D		// ˮλ¼ (Ӧ DEV_EVENT_WATER_LEVEL_DETECTION_INFO)
#define EVENT_IVS_HOLD_UMBRELLA			        0x0000025E		// Υɡ¼ (Ӧ DEV_EVENT_HOLD_UMBRELLA_INFO)
#define EVENT_IVS_GARBAGE_EXPOSURE			    0x0000025F		// ¶¼ (Ӧ DEV_EVENT_GARBAGE_EXPOSURE_INFO)
#define EVENT_IVS_DUSTBIN_OVER_FLOW			    0x00000260		// Ͱ¼ (Ӧ DEV_EVENT_DUSTBIN_OVER_FLOW_INFO)
#define EVENT_IVS_DOOR_FRONT_DIRTY			    0x00000261		// ǰҼ¼ (Ӧ DEV_EVENT_DOOR_FRONT_DIRTY_INFO)
#define EVENT_IVS_QUEUESTAY_DETECTION			0X00000262		// Ŷʱ䱨¼ (Ӧ DEV_EVENT_QUEUESTAY_DETECTION_INFO)
#define EVENT_IVS_QUEUENUM_DETECTION			0X00000263		// Ŷ쳣¼Ӧ DEV_EVENT_QUEUENUM_DETECTION_INFO
#define EVENT_IVS_GENERATEGRAPH_DETECTION		0X00000264		// ͼ¼Ӧ DEV_EVENT_GENERATEGRAPH_DETECTION_INFO
#define EVENT_IVS_TRAFFIC_PARKING_MANUAL		0x00000265		// ͨΥ-ֶȡ֤(Ӧ DEV_EVENT_TRAFFIC_PARKING_MANUAL_INFO)
#define EVENT_IVS_HELMET_DETECTION      		0x00000266		// ȫñ¼(Ӧ DEV_EVENT_HELMET_DETECTION_INFO)
#define EVENT_IVS_DEPOSIT_DETECTION      		0x00000267		// ѻ̶ȼ¼(Ӧ DEV_EVENT_DEPOSIT_DETECTION_INFO)
#define EVENT_IVS_HOTSPOT_WARNING				0x00000268		// ȵ쳣¼(Ӧ DEV_EVENT_HOTSPOT_WARNING_INFO)
#define EVENT_IVS_WEIGHING_PLATFORM_DETECTION	0x00000269		// ƽ̨¼(Ӧ DEV_EVENT_WEIGHING_PLATFORM_DETECTION_INFO)
#define EVENT_IVS_CLASSROOM_BEHAVIOR			0x0000026A		// Ϊ¼(Ӧ DEV_EVENT_CLASSROOM_BEHAVIOR_INFO)
#define EVENT_IVS_VEHICLE_DISTANCE_NEAR			0x0000026B		// ȫʻ¼(Ӧ DEV_EVENT_VEHICLE_DISTANCE_NEAR_INFO)
#define EVENT_IVS_TRAFFIC_DRIVER_ABNORMAL       0x0000026C		// ʻԱ쳣¼(Ӧ DEV_EVENT_TRAFFIC_DRIVER_ABNORMAL_INFO)
#define EVENT_IVS_TRAFFIC_DRIVER_CHANGE         0x0000026D		// ʻԱ¼(Ӧ DEV_EVENT_TRAFFIC_DRIVER_CHANGE_INFO)
#define EVENT_IVS_WORKCLOTHES_DETECT			0x0000026E		// װ(ȫñ/)¼(Ӧ DEV_EVENT_WORKCLOTHES_DETECT_INFO)
#define EVENT_IVS_SECURITYGATE_PERSONALARM      0x0000026F      // Ա¼(Ӧ DEV_EVENT_SECURITYGATE_PERSONALARM_INFO)
#define EVENT_IVS_STAY_ALONE_DETECTION          0x00000270		// ˶¼(Ӧ DEV_EVENT_STAY_ALONE_DETECTION_INFO)
#define EVENT_IVS_TRAFFIC_ROAD_BLOCK            0x00000271		// ͨ·ϼ¼(Ӧ DEV_EVENT_TRAFFIC_ROAD_BLOCK_INFO)
#define EVENT_IVS_TRAFFIC_ROAD_CONSTRUCTION     0x00000272		// ͨ·ʩ¼(Ӧ DEV_EVENT_TRAFFIC_ROAD_CONSTRUCTION_INFO)
#define EVENT_IVS_XRAY_DETECT_BYOBJECT			0x00000273		// Xⰴ, Ӧ¼ EVENI_IVS_XRAY_DETECTION
#define EVENT_IVS_WORKSTATDETECTION				0x00000274		// ҵͳ¼(Ӧ DEV_EVENT_WORKSTATDETECTION_INFO)
#define EVENT_IVS_INFRAREDBLOCK                 0x00000275        // ¼(Ӧ DEV_EVENT_INFRAREDBLOCK_INFO)
#define EVENT_IVS_FEATURE_ABSTRACT				0x00000276		// ȡ¼(Ӧ DEV_EVENT_FEATURE_ABSTRACT_INFO)
#define EVENT_IVS_INTELLI_SHELF				    0x00000277		// ܲ¼(Ӧ DEV_EVENT_INTELLI_SHELF_INFO)
#define EVENT_IVS_PANORAMA_SHOT					0x00000278		// ȫץ¼(Ӧ DEV_EVENT_PANORAMA_SHOT_INFO)
#define EVENT_ALARM_SMARTMOTION_HUMAN           0x00000279      // Ƶƶ¼()Ŀǰֻڶֻ, ޾¼
#define EVENT_ALARM_SMARTMOTION_VEHICLE         0x0000027A      // Ƶƶ¼(),Ŀǰֻڶֻ, ޾¼
#define EVENT_IVS_CAR_DRIVING_IN_OUT			0x0000027B		// ʻʻ״̬¼(Ӧ DEV_EVENT_CAR_DRIVING_IN_OUT_INFO)
#define EVENT_IVS_PARKINGSPACE_STATUS			0x0000027C		// ͣλ״̬¼(Ӧ DEV_EVENT_PARKINGSPACE_STATUS_INFO)
#define EVENT_IVS_VIOLENT_THROW_DETECTION		0x0000027D		// (Ӧ DEV_EVENT_VIOLENT_THROW_DETECTION_INFO)
#define EVENT_IVS_TRAMCARSECTIONS_DETECTION		0x0000027E		// 󳵳ұ¼(Ӧ DEV_EVENT_TRAMCARSECTIONS_DETECTION_INFO)
#define EVENT_IVS_ALARM_BOX_ALARM               0x0000027F      // ͨĴ¼, Ŀǰֻڶֻ
#define EVENT_IVS_FACE_COMPARISION              0x00000280      // ȶ¼, רֻ͵ʶ¼, Ŀǰֻڶֻ
#define EVENT_IVS_FACEBODY_DETECT				0x00000281		// ¼Ӧ DEV_EVENT_FACEBODY_DETECT_INFO
#define EVENT_IVS_FACEBODY_ANALYSE				0x00000282		// ʶ¼Ӧ DEV_EVENT_FACEBODY_ANALYSE_INFO
#define EVENT_IVS_GASSTATION_VEHICLE_DETECT     0x00000283      // վ¼ (Ӧ DEV_EVENT_GASSTATION_VEHICLE_DETECT_INFO)
#define EVENT_IVS_CONGESTION_DETECTION			0x00000284		// ·ӵ±¼Ӧ DEV_EVENT_CONGESTION_DETECTION_INFO
#define EVENT_IVS_VEHICLELIMIT_DETECTION		0x00000285		// ͣͣޱӦ DEV_EVENT_VEHICLELIMIT_DETECTION_INFO
#define EVENT_IVS_ANIMAL_DETECTION              0x00000286      // ¼,(Ӧ DEV_EVENT_ANIMAL_DETECTION_INFO) 
#define EVENT_IVS_SHOP_WINDOW_POST              0x00000287      // ¼ (Ӧ DEV_EVENT_SHOP_WINDOW_POST_INFO)
#define EVENT_IVS_SHOP_SIGN_ABNORMAL            0x00000288      // 쳣¼ (Ӧ DEV_EVENT_SHOP_SIGN_ABNORMAL_INFO)
#define EVENT_IVS_BREED_DETECTION               0x00000289      // ǻֳ¼ (Ӧ DEV_EVENT_BREED_DETECTION_INFO)
#define EVENT_IVS_AIRPORT_VEHICLE_DETECT		0x0000028A		// ܱϳ¼ (Ӧ DEV_EVENT_AIRPORT_VEHICLE_DETECT_INFO)
#define EVENT_IVS_PIG_TEMPERATURE_DETECT        0x0000028B      // ǻֳ¼ (ֻڹ)

#define EVENT_IVS_MAN_CAR_COEXISTANCE           0x0000028C      // ˳¼ (Ӧ DEV_EVENT_MAN_CAR_COEXISTANCE_INFO)
#define EVENT_IVS_HIGH_TOSS_DETECT              0x0000028D      // ߿(ӦDEV_EVENT_HIGH_TOSS_DETECT_INFO)
#define EVENT_IVS_ELECTRIC_GLOVE_DETECT         0x0000028E      // ׼¼(ӦDEV_EVENT_ELECTRIC_GLOVE_DETECT_INFO)
#define EVENT_IVS_ELECTRIC_LADDER_DETECT        0x0000028F      // Ӽ¼(ӦDEV_EVENT_ELECTRIC_LADDER_DETECT_INFO)
#define EVENT_IVS_ELECTRIC_CURTAIN_DETECT       0x00000290      // Ⲽ᣼¼(ӦDEV_EVENT_ELECTRIC_CURTAIN_DETECT_INFO)
#define EVENT_IVS_ELECTRIC_FENCE_DETECT         0x00000291      // Χ¼(ӦDEV_EVENT_ELECTRIC_FENCE_DETECT_INFO)
#define EVENT_IVS_ELECTRIC_SIGNBOARD_DETECT     0x00000292      // ʶƼ¼(ӦDEV_EVENT_ELECTRIC_SIGNBOARD_DETECT_INFO)
#define EVENT_IVS_ELECTRIC_BELT_DETECT          0x00000293      // ⰲȫ¼(ӦDEV_EVENT_ELECTRIC_BELT_DETECT_INFO)
#define EVENT_IVS_RADAR_LINE_DETECTION          0x00000294      // ״ﾯ/߼(ӦDEV_EVENT_RADAR_LINE_DETECTION_INFO)
#define EVENT_IVS_RADAR_REGION_DETECTION        0x00000295      // ״ﾯ¼(ӦDEV_EVENT_RADAR_REGION_DETECTION_INFO)
#define EVENT_IVS_AUDIO_INTENSITY				0x00000296		// 쳣¼(Ӧ DEV_EVENT_AUDIO_INTENSITY_INFO)
#define EVENT_IVS_PARKING_LOT_STATUS_DETECTION  0x00000297      // ͣλ״̬ (Ӧ DEV_EVENT_PARKING_LOT_STATUS_DETECTION_INFO)
#define EVENT_IVS_VEHICLE_COMPARE               0x00000298      // (ֻڹ)


//豸洢,豸
#define STOR_POINT_READ_WRITE                   0x00001001      // д,ԭΪ"ReadWrite*","ReadWrite*",д, м"*"Ϊ,Ϊһ
#define STOR_POINT_READ_ONLY                    0x00001002      // ֻ
#define STOR_POINT_REDUNDANT                    0x00001003      // ,"ReadWirte"һั
#define STOR_POINT_BACKUP                       0x00001004      // ,дֹͣ,ѭ
#define STOR_POINT_DRAW_FRAME                   0x00001005      // ʷ֡,ʵʱ¼ָʱ,֡д
#define STOR_POINT_NAS_FTP                      0x00001006      // Զ洢(ЭFTP),ܻж
#define STOR_POINT_NAS_NFS                      0x00001007      // Զ洢(ЭNFS),ܻж
#define STOR_POINT_NAS_SMB                      0x00001008      // Զ洢(ЭSMB),ܻж
#define STOR_POINT_NAS_ISCSI                    0x00001009      // Զ洢(ЭISCSI),ܻж
#define STOR_POINT_NAS_CLOUD                    0x0000100A      // Զ洢(ЭCloud),ܻж

//ͳ¼ʹú
#define FLOWSTAT_ADDR_NAME                      16                //еص

//ԽӿCLIENT_OperateTrafficListַȶ
#define DH_TARFFIC_NAME_LEN                     16                
#define DH_CREATE_TIME_LEN                      32
#define DH_AUTHORITY_NUM                        16

// ʹ,ӦCLIENT_GetLastErrorӿڵķֵ
#define _EC(x)                                  (0x80000000|x)
#define NET_NOERROR                             0                 // ûд
#define NET_ERROR                               -1                // δ֪
#define NET_SYSTEM_ERROR                        _EC(1)            // ϵͳ
#define NET_NETWORK_ERROR                       _EC(2)            // ,Ϊ糬ʱ
#define NET_DEV_VER_NOMATCH                     _EC(3)            // 豸Э鲻ƥ
#define NET_INVALID_HANDLE                      _EC(4)            // Ч
#define NET_OPEN_CHANNEL_ERROR                  _EC(5)            // ͨʧ
#define NET_CLOSE_CHANNEL_ERROR                 _EC(6)            // رͨʧ
#define NET_ILLEGAL_PARAM                       _EC(7)            // ûϷ
#define NET_SDK_INIT_ERROR                      _EC(8)            // SDKʼ
#define NET_SDK_UNINIT_ERROR                    _EC(9)            // SDK
#define NET_RENDER_OPEN_ERROR                   _EC(10)           // renderԴ
#define NET_DEC_OPEN_ERROR                      _EC(11)           // 򿪽
#define NET_DEC_CLOSE_ERROR                     _EC(12)           // رս
#define NET_MULTIPLAY_NOCHANNEL                 _EC(13)           // ໭Ԥм⵽ͨΪ0
#define NET_TALK_INIT_ERROR                     _EC(14)           // ¼ʼʧ
#define NET_TALK_NOT_INIT                       _EC(15)           // ¼δʼ
#define NET_TALK_SENDDATA_ERROR                 _EC(16)           // Ƶݳ
#define NET_REAL_ALREADY_SAVING                 _EC(17)           // ʵʱѾڱ״̬
#define NET_NOT_SAVING                          _EC(18)           // δʵʱ
#define NET_OPEN_FILE_ERROR                     _EC(19)           // ļ
#define NET_PTZ_SET_TIMER_ERROR                 _EC(20)           // ̨ƶʱʧ
#define NET_RETURN_DATA_ERROR                   _EC(21)           // ԷݵУ
#define NET_INSUFFICIENT_BUFFER                 _EC(22)           // û㹻Ļ
#define NET_NOT_SUPPORTED                       _EC(23)           // ǰSDKδָ֧ù
#define NET_NO_RECORD_FOUND                     _EC(24)           // ѯ¼
#define NET_NOT_AUTHORIZED                      _EC(25)           // ޲Ȩ
#define NET_NOT_NOW                             _EC(26)           // ʱ޷ִ
#define NET_NO_TALK_CHANNEL                     _EC(27)           // δֶԽͨ
#define NET_NO_AUDIO                            _EC(28)           // δƵ
#define NET_NO_INIT                             _EC(29)           // SDKδʼ
#define NET_DOWNLOAD_END                        _EC(30)           // ѽ
#define NET_EMPTY_LIST                          _EC(31)           // ѯΪ
#define NET_ERROR_GETCFG_SYSATTR                _EC(32)           // ȡϵͳʧ
#define NET_ERROR_GETCFG_SERIAL                 _EC(33)           // ȡкʧ
#define NET_ERROR_GETCFG_GENERAL                _EC(34)           // ȡʧ
#define NET_ERROR_GETCFG_DSPCAP                 _EC(35)           // ȡDSPʧ
#define NET_ERROR_GETCFG_NETCFG                 _EC(36)           // ȡʧ
#define NET_ERROR_GETCFG_CHANNAME               _EC(37)           // ȡͨʧ
#define NET_ERROR_GETCFG_VIDEO                  _EC(38)           // ȡƵʧ
#define NET_ERROR_GETCFG_RECORD                 _EC(39)           // ȡ¼ʧ
#define NET_ERROR_GETCFG_PRONAME                _EC(40)           // ȡЭʧ
#define NET_ERROR_GETCFG_FUNCNAME               _EC(41)           // ȡ232ڹʧ
#define NET_ERROR_GETCFG_485DECODER             _EC(42)           // ȡʧ
#define NET_ERROR_GETCFG_232COM                 _EC(43)           // ȡ232ʧ
#define NET_ERROR_GETCFG_ALARMIN                _EC(44)           // ȡⲿʧ
#define NET_ERROR_GETCFG_ALARMDET               _EC(45)           // ȡ̬ⱨʧ
#define NET_ERROR_GETCFG_SYSTIME                _EC(46)           // ȡ豸ʱʧ
#define NET_ERROR_GETCFG_PREVIEW                _EC(47)           // ȡԤʧ
#define NET_ERROR_GETCFG_AUTOMT                 _EC(48)           // ȡԶάʧ
#define NET_ERROR_GETCFG_VIDEOMTRX              _EC(49)           // ȡƵʧ
#define NET_ERROR_GETCFG_COVER                  _EC(50)           // ȡڵʧ
#define NET_ERROR_GETCFG_WATERMAKE              _EC(51)           // ȡͼˮӡʧ
#define NET_ERROR_GETCFG_MULTICAST              _EC(52)           // ȡʧλã鲥˿ڰͨ
#define NET_ERROR_SETCFG_GENERAL                _EC(55)           // ޸ĳʧ
#define NET_ERROR_SETCFG_NETCFG                 _EC(56)           // ޸ʧ
#define NET_ERROR_SETCFG_CHANNAME               _EC(57)           // ޸ͨʧ
#define NET_ERROR_SETCFG_VIDEO                  _EC(58)           // ޸Ƶʧ
#define NET_ERROR_SETCFG_RECORD                 _EC(59)           // ޸¼ʧ
#define NET_ERROR_SETCFG_485DECODER             _EC(60)           // ޸Ľʧ
#define NET_ERROR_SETCFG_232COM                 _EC(61)           // ޸232ʧ
#define NET_ERROR_SETCFG_ALARMIN                _EC(62)           // ޸ⲿ뱨ʧ
#define NET_ERROR_SETCFG_ALARMDET               _EC(63)           // ޸Ķ̬ⱨʧ
#define NET_ERROR_SETCFG_SYSTIME                _EC(64)           // ޸豸ʱʧ
#define NET_ERROR_SETCFG_PREVIEW                _EC(65)           // ޸Ԥʧ
#define NET_ERROR_SETCFG_AUTOMT                 _EC(66)           // ޸Զάʧ
#define NET_ERROR_SETCFG_VIDEOMTRX              _EC(67)           // ޸Ƶʧ
#define NET_ERROR_SETCFG_COVER                  _EC(68)           // ޸ڵʧ
#define NET_ERROR_SETCFG_WATERMAKE              _EC(69)           // ޸ͼˮӡʧ
#define NET_ERROR_SETCFG_WLAN                   _EC(70)           // ޸Ϣʧ
#define NET_ERROR_SETCFG_WLANDEV                _EC(71)           // ѡ豸ʧ
#define NET_ERROR_SETCFG_REGISTER               _EC(72)           // ޸עʧ
#define NET_ERROR_SETCFG_CAMERA                 _EC(73)           // ޸ͷʧ
#define NET_ERROR_SETCFG_INFRARED               _EC(74)           // ޸ĺⱨʧ
#define NET_ERROR_SETCFG_SOUNDALARM             _EC(75)           // ޸Ƶʧ
#define NET_ERROR_SETCFG_STORAGE                _EC(76)           // ޸Ĵ洢λʧ
#define NET_AUDIOENCODE_NOTINIT                 _EC(77)           // Ƶӿûгɹʼ
#define NET_DATA_TOOLONGH                       _EC(78)           // ݹ
#define NET_UNSUPPORTED                         _EC(79)           // 豸ָ֧ò
#define NET_DEVICE_BUSY                         _EC(80)           // 豸Դ
#define NET_SERVER_STARTED                      _EC(81)           // Ѿ
#define NET_SERVER_STOPPED                      _EC(82)           // δɹ
#define NET_LISTER_INCORRECT_SERIAL             _EC(83)           // к
#define NET_QUERY_DISKINFO_FAILED               _EC(84)           // ȡӲϢʧ
#define NET_ERROR_GETCFG_SESSION                _EC(85)           // ȡSessionϢ
#define NET_USER_FLASEPWD_TRYTIME               _EC(86)           // 󳬹ƴ
#define NET_LOGIN_ERROR_PASSWORD                _EC(100)          // 벻ȷ
#define NET_LOGIN_ERROR_USER                    _EC(101)          // ʻ
#define NET_LOGIN_ERROR_TIMEOUT                 _EC(102)          // ȴ¼سʱ
#define NET_LOGIN_ERROR_RELOGGIN                _EC(103)          // ʺѵ¼
#define NET_LOGIN_ERROR_LOCKED                  _EC(104)          // ʺѱ
#define NET_LOGIN_ERROR_BLACKLIST               _EC(105)          // ʺѱΪ
#define NET_LOGIN_ERROR_BUSY                    _EC(106)          // Դ,ϵͳæ
#define NET_LOGIN_ERROR_CONNECT                 _EC(107)          // ¼豸ʱ,粢
#define NET_LOGIN_ERROR_NETWORK                 _EC(108)          // ʧ
#define NET_LOGIN_ERROR_SUBCONNECT              _EC(109)          // ¼豸ɹ,޷Ƶͨ,״
#define NET_LOGIN_ERROR_MAXCONNECT              _EC(110)          // 
#define NET_LOGIN_ERROR_PROTOCOL3_ONLY          _EC(111)          // ֻ֧3Э
#define NET_LOGIN_ERROR_UKEY_LOST               _EC(112)          // δUܻUϢ
#define NET_LOGIN_ERROR_NO_AUTHORIZED           _EC(113)          // ͻIPַûе¼Ȩ
#define NET_LOGIN_ERROR_USER_OR_PASSOWRD        _EC(117)          // ˺Ż
#define NET_LOGIN_ERROR_DEVICE_NOT_INIT			_EC(118)          // 豸δʼܵ¼ȳʼ豸
#define NET_LOGIN_ERROR_LIMITED					_EC(119)          // ¼,IPޡʱޡЧ
#define NET_RENDER_SOUND_ON_ERROR               _EC(120)          // RenderƵ
#define NET_RENDER_SOUND_OFF_ERROR              _EC(121)          // RenderرƵ
#define NET_RENDER_SET_VOLUME_ERROR             _EC(122)          // Render
#define NET_RENDER_ADJUST_ERROR                 _EC(123)          // Renderû
#define NET_RENDER_PAUSE_ERROR                  _EC(124)          // Renderͣų
#define NET_RENDER_SNAP_ERROR                   _EC(125)          // Renderץͼ
#define NET_RENDER_STEP_ERROR                   _EC(126)          // Renderⲽ
#define NET_RENDER_FRAMERATE_ERROR              _EC(127)          // Render֡ʳ
#define NET_RENDER_DISPLAYREGION_ERROR          _EC(128)          // Renderʾ
#define NET_RENDER_GETOSDTIME_ERROR             _EC(129)          // Renderȡǰʱ
#define NET_GROUP_EXIST                         _EC(140)          // Ѵ
#define NET_GROUP_NOEXIST                       _EC(141)          // 
#define NET_GROUP_RIGHTOVER                     _EC(142)          // Ȩ޳ȨбΧ
#define NET_GROUP_HAVEUSER                      _EC(143)          // û,ɾ
#define NET_GROUP_RIGHTUSE                      _EC(144)          // ĳȨޱûʹ,ܳ
#define NET_GROUP_SAMENAME                      _EC(145)          // ͬظ
#define NET_USER_EXIST                          _EC(146)          // ûѴ
#define NET_USER_NOEXIST                        _EC(147)          // û
#define NET_USER_RIGHTOVER                      _EC(148)          // ûȨ޳Ȩ
#define NET_USER_PWD                            _EC(149)          // ʺ,޸
#define NET_USER_FLASEPWD                       _EC(150)          // 벻ȷ
#define NET_USER_NOMATCHING                     _EC(151)          // 벻ƥ
#define NET_USER_INUSE                          _EC(152)          // ˺ʹ
#define NET_ERROR_GETCFG_ETHERNET               _EC(300)          // ȡʧ
#define NET_ERROR_GETCFG_WLAN                   _EC(301)          // ȡϢʧ
#define NET_ERROR_GETCFG_WLANDEV                _EC(302)          // ȡ豸ʧ
#define NET_ERROR_GETCFG_REGISTER               _EC(303)          // ȡעʧ
#define NET_ERROR_GETCFG_CAMERA                 _EC(304)          // ȡͷʧ
#define NET_ERROR_GETCFG_INFRARED               _EC(305)          // ȡⱨʧ
#define NET_ERROR_GETCFG_SOUNDALARM             _EC(306)          // ȡƵʧ
#define NET_ERROR_GETCFG_STORAGE                _EC(307)          // ȡ洢λʧ
#define NET_ERROR_GETCFG_MAIL                   _EC(308)          // ȡʼʧ
#define NET_CONFIG_DEVBUSY                      _EC(309)          // ʱ޷
#define NET_CONFIG_DATAILLEGAL                  _EC(310)          // ݲϷ
#define NET_ERROR_GETCFG_DST                    _EC(311)          // ȡʱʧ
#define NET_ERROR_SETCFG_DST                    _EC(312)          // ʱʧ
#define NET_ERROR_GETCFG_VIDEO_OSD              _EC(313)          // ȡƵOSDʧ
#define NET_ERROR_SETCFG_VIDEO_OSD              _EC(314)          // ƵOSDʧ
#define NET_ERROR_GETCFG_GPRSCDMA               _EC(315)          // ȡCDMA\GPRSʧ
#define NET_ERROR_SETCFG_GPRSCDMA               _EC(316)          // CDMA\GPRSʧ
#define NET_ERROR_GETCFG_IPFILTER               _EC(317)          // ȡIPʧ
#define NET_ERROR_SETCFG_IPFILTER               _EC(318)          // IPʧ
#define NET_ERROR_GETCFG_TALKENCODE             _EC(319)          // ȡԽʧ
#define NET_ERROR_SETCFG_TALKENCODE             _EC(320)          // Խʧ
#define NET_ERROR_GETCFG_RECORDLEN              _EC(321)          // ȡ¼ʧ
#define NET_ERROR_SETCFG_RECORDLEN              _EC(322)          // ¼ʧ
#define NET_DONT_SUPPORT_SUBAREA                _EC(323)          // ֧Ӳ̷
#define NET_ERROR_GET_AUTOREGSERVER             _EC(324)          // ȡ豸עϢʧ
#define NET_ERROR_CONTROL_AUTOREGISTER          _EC(325)          // עضע
#define NET_ERROR_DISCONNECT_AUTOREGISTER       _EC(326)          // Ͽע
#define NET_ERROR_GETCFG_MMS                    _EC(327)          // ȡmmsʧ
#define NET_ERROR_SETCFG_MMS                    _EC(328)          // mmsʧ
#define NET_ERROR_GETCFG_SMSACTIVATION          _EC(329)          // ȡżʧ
#define NET_ERROR_SETCFG_SMSACTIVATION          _EC(330)          // öżʧ
#define NET_ERROR_GETCFG_DIALINACTIVATION       _EC(331)          // ȡżʧ
#define NET_ERROR_SETCFG_DIALINACTIVATION       _EC(332)          // òżʧ
#define NET_ERROR_GETCFG_VIDEOOUT               _EC(333)          // ѯƵʧ
#define NET_ERROR_SETCFG_VIDEOOUT               _EC(334)          // Ƶʧ
#define NET_ERROR_GETCFG_OSDENABLE              _EC(335)          // ȡosdʹʧ
#define NET_ERROR_SETCFG_OSDENABLE              _EC(336)          // osdʹʧ
#define NET_ERROR_SETCFG_ENCODERINFO            _EC(337)          // ͨǰ˱ʧ
#define NET_ERROR_GETCFG_TVADJUST               _EC(338)          // ȡTVʧ
#define NET_ERROR_SETCFG_TVADJUST               _EC(339)          // TVʧ
#define NET_ERROR_CONNECT_FAILED                _EC(340)          // ʧ
#define NET_ERROR_SETCFG_BURNFILE               _EC(341)          // ¼ļϴʧ
#define NET_ERROR_SNIFFER_GETCFG                _EC(342)          // ȡץϢʧ
#define NET_ERROR_SNIFFER_SETCFG                _EC(343)          // ץϢʧ
#define NET_ERROR_DOWNLOADRATE_GETCFG           _EC(344)          // ѯϢʧ
#define NET_ERROR_DOWNLOADRATE_SETCFG           _EC(345)          // Ϣʧ
#define NET_ERROR_SEARCH_TRANSCOM               _EC(346)          // ѯڲʧ
#define NET_ERROR_GETCFG_POINT                  _EC(347)          // ȡԤƵϢ
#define NET_ERROR_SETCFG_POINT                  _EC(348)          // ԤƵϢ
#define NET_SDK_LOGOUT_ERROR                    _EC(349)          // SDKûǳ豸
#define NET_ERROR_GET_VEHICLE_CFG               _EC(350)          // ȡʧ
#define NET_ERROR_SET_VEHICLE_CFG               _EC(351)          // óʧ
#define NET_ERROR_GET_ATM_OVERLAY_CFG           _EC(352)          // ȡatmʧ
#define NET_ERROR_SET_ATM_OVERLAY_CFG           _EC(353)          // atmʧ
#define NET_ERROR_GET_ATM_OVERLAY_ABILITY       _EC(354)          // ȡatmʧ
#define NET_ERROR_GET_DECODER_TOUR_CFG          _EC(355)          // ȡѲʧ
#define NET_ERROR_SET_DECODER_TOUR_CFG          _EC(356)          // ýѲʧ
#define NET_ERROR_CTRL_DECODER_TOUR             _EC(357)          // ƽѲʧ
#define NET_GROUP_OVERSUPPORTNUM                _EC(358)          // 豸֧ûĿ
#define NET_USER_OVERSUPPORTNUM                 _EC(359)          // 豸֧ûĿ
#define NET_ERROR_GET_SIP_CFG                   _EC(368)          // ȡSIPʧ
#define NET_ERROR_SET_SIP_CFG                   _EC(369)          // SIPʧ
#define NET_ERROR_GET_SIP_ABILITY               _EC(370)          // ȡSIPʧ
#define NET_ERROR_GET_WIFI_AP_CFG               _EC(371)          // ȡWIFI apʧ
#define NET_ERROR_SET_WIFI_AP_CFG               _EC(372)          // WIFI apʧ
#define NET_ERROR_GET_DECODE_POLICY             _EC(373)          // ȡʧ
#define NET_ERROR_SET_DECODE_POLICY             _EC(374)          // ýʧ
#define NET_ERROR_TALK_REJECT                   _EC(375)          // ܾԽ
#define NET_ERROR_TALK_OPENED                   _EC(376)          // Խͻ˴
#define NET_ERROR_TALK_RESOURCE_CONFLICIT       _EC(377)          // Դͻ
#define NET_ERROR_TALK_UNSUPPORTED_ENCODE       _EC(378)          // ֵ֧ʽ
#define NET_ERROR_TALK_RIGHTLESS                _EC(379)          // Ȩ
#define NET_ERROR_TALK_FAILED                   _EC(380)          // Խʧ
#define NET_ERROR_GET_MACHINE_CFG               _EC(381)          // ȡʧ
#define NET_ERROR_SET_MACHINE_CFG               _EC(382)          // ûʧ
#define NET_ERROR_GET_DATA_FAILED               _EC(383)          // 豸޷ȡǰ
#define NET_ERROR_MAC_VALIDATE_FAILED           _EC(384)          // MACַ֤ʧ 
#define NET_ERROR_GET_INSTANCE                  _EC(385)          // ȡʵʧ
#define NET_ERROR_JSON_REQUEST                  _EC(386)          // ɵjsonַ
#define NET_ERROR_JSON_RESPONSE                 _EC(387)          // Ӧjsonַ
#define NET_ERROR_VERSION_HIGHER                _EC(388)          // Э汾ڵǰʹõİ汾
#define NET_SPARE_NO_CAPACITY                   _EC(389)          // ȱʧ, 
#define NET_ERROR_SOURCE_IN_USE                 _EC(390)          // ʾԴռ
#define NET_ERROR_REAVE                         _EC(391)          // ߼ûռͼûԴ
#define NET_ERROR_NETFORBID                     _EC(392)          // ֹ 
#define NET_ERROR_GETCFG_MACFILTER              _EC(393)          // ȡMACʧ
#define NET_ERROR_SETCFG_MACFILTER              _EC(394)          // MACʧ
#define NET_ERROR_GETCFG_IPMACFILTER            _EC(395)          // ȡIP/MACʧ
#define NET_ERROR_SETCFG_IPMACFILTER            _EC(396)          // IP/MACʧ
#define NET_ERROR_OPERATION_OVERTIME            _EC(397)          // ǰʱ 
#define NET_ERROR_SENIOR_VALIDATE_FAILED        _EC(398)          // ߼Уʧ 
#define NET_ERROR_DEVICE_ID_NOT_EXIST           _EC(399)          // 豸ID
#define NET_ERROR_UNSUPPORTED                   _EC(400)          // ֵ֧ǰ
#define NET_ERROR_PROXY_DLLLOAD                 _EC(401)          // ʧ
#define NET_ERROR_PROXY_ILLEGAL_PARAM           _EC(402)          // ûϷ
#define NET_ERROR_PROXY_INVALID_HANDLE          _EC(403)          // Ч
#define NET_ERROR_PROXY_LOGIN_DEVICE_ERROR      _EC(404)          // ǰ豸ʧ
#define NET_ERROR_PROXY_START_SERVER_ERROR      _EC(405)          // ʧ
#define NET_ERROR_SPEAK_FAILED                  _EC(406)          // 󺰻ʧ
#define NET_ERROR_NOT_SUPPORT_F6                _EC(407)          // 豸ִ֧F6ӿڵ
#define NET_ERROR_CD_UNREADY                    _EC(408)          // δ
#define NET_ERROR_DIR_NOT_EXIST                 _EC(409)          // Ŀ¼
#define NET_ERROR_UNSUPPORTED_SPLIT_MODE        _EC(410)          // 豸ֵ֧ķָģʽ
#define NET_ERROR_OPEN_WND_PARAM                _EC(411)          // Ϸ
#define NET_ERROR_LIMITED_WND_COUNT             _EC(412)          // 
#define NET_ERROR_UNMATCHED_REQUEST             _EC(413)          // 뵱ǰģʽƥ
#define NET_RENDER_ENABLELARGEPICADJUSTMENT_ERROR   _EC(414)      // RenderøͼڲԳ
#define NET_ERROR_UPGRADE_FAILED                _EC(415)          // 豸ʧ
#define NET_ERROR_NO_TARGET_DEVICE              _EC(416)          // ҲĿ豸
#define NET_ERROR_NO_VERIFY_DEVICE              _EC(417)          // Ҳ֤豸
#define NET_ERROR_CASCADE_RIGHTLESS             _EC(418)          // ޼Ȩ
#define NET_ERROR_LOW_PRIORITY                  _EC(419)          // ȼ
#define NET_ERROR_REMOTE_REQUEST_TIMEOUT        _EC(420)          // Զ豸ʱ
#define NET_ERROR_LIMITED_INPUT_SOURCE          _EC(421)          // Դ·
#define NET_ERROR_SET_LOG_PRINT_INFO            _EC(422)          // ־ӡʧ
#define NET_ERROR_PARAM_DWSIZE_ERROR            _EC(423)          // εdwsizeֶγ
#define NET_ERROR_LIMITED_MONITORWALL_COUNT     _EC(424)          // ǽ
#define NET_ERROR_PART_PROCESS_FAILED           _EC(425)          // ִֹʧ
#define NET_ERROR_TARGET_NOT_SUPPORT            _EC(426)          // ù֧ܲת
#define NET_ERROR_VISITE_FILE                   _EC(510)          // ļʧ
#define NET_ERROR_DEVICE_STATUS_BUSY            _EC(511)          // 豸æ
#define NET_USER_PWD_NOT_AUTHORIZED             _EC(512)          // ޸Ȩ
#define NET_USER_PWD_NOT_STRONG                 _EC(513)          // ǿȲ
#define NET_ERROR_NO_SUCH_CONFIG                _EC(514)          // ûжӦ
#define NET_ERROR_AUDIO_RECORD_FAILED           _EC(515)          // ¼ʧ
#define NET_ERROR_SEND_DATA_FAILED              _EC(516)          // ݷʧ
#define NET_ERROR_OBSOLESCENT_INTERFACE         _EC(517)          // ӿ
#define NET_ERROR_INSUFFICIENT_INTERAL_BUF      _EC(518)          // ڲ岻
#define NET_ERROR_NEED_ENCRYPTION_PASSWORD      _EC(519)          // ޸豸ipʱ,ҪУ
#define NET_ERROR_NOSUPPORT_RECORD              _EC(520)          // 豸ִ֧˼¼
#define NET_ERROR_SERIALIZE_ERROR               _EC(1010)         // л
#define NET_ERROR_DESERIALIZE_ERROR             _EC(1011)         // ݷл
#define NET_ERROR_LOWRATEWPAN_ID_EXISTED        _EC(1012)         // IDѴ
#define NET_ERROR_LOWRATEWPAN_ID_LIMIT          _EC(1013)         // IDѳ
#define NET_ERROR_LOWRATEWPAN_ID_ABNORMAL       _EC(1014)         // 쳣
#define NET_ERROR_ENCRYPT                       _EC(1015)         // ʧ
#define NET_ERROR_PWD_ILLEGAL                   _EC(1016)         // 벻Ϲ淶
#define NET_ERROR_DEVICE_ALREADY_INIT           _EC(1017)         // 豸Ѿʼ
#define NET_ERROR_SECURITY_CODE                 _EC(1018)         // ȫ
#define NET_ERROR_SECURITY_CODE_TIMEOUT         _EC(1019)         // ȫ볬Ч
#define NET_ERROR_GET_PWD_SPECI                 _EC(1020)         // ȡ淶ʧ
#define NET_ERROR_NO_AUTHORITY_OF_OPERATION     _EC(1021)         // Ȩ޽иò
#define NET_ERROR_DECRYPT                       _EC(1022)         // ʧ
#define NET_ERROR_2D_CODE                       _EC(1023)         // 2D codeУʧ
#define NET_ERROR_INVALID_REQUEST               _EC(1024)         // ǷRPC
#define	NET_ERROR_PWD_RESET_DISABLE			    _EC(1025)		  // ùѹر
#define NET_ERROR_PLAY_PRIVATE_DATA             _EC(1026)         // ʾ˽ݣʧ
#define NET_ERROR_ROBOT_OPERATE_FAILED          _EC(1027)         // ˲ʧ
#define NET_ERROR_PHOTOSIZE_EXCEEDSLIMIT        _EC(1028)         // ͼƬС
#define NET_ERROR_USERID_INVALID                _EC(1029)         // ûID
#define NET_ERROR_EXTRACTFEATURE_FAILED         _EC(1030)         // Ƭֵȡʧ
#define NET_ERROR_PHOTO_EXIST                   _EC(1031)         // ƬѴ
#define NET_ERROR_PHOTO_OVERFLOW                _EC(1032)         // Ƭ
#define NET_ERROR_CHANNEL_ALREADY_OPENED		_EC(1033)		  // ͨѾ
#define NET_ERROR_CREATE_SOCKET					_EC(1034)		  // ׽ʧ
#define NET_ERROR_CHANNEL_NUM					_EC(1035)		  // ͨŴ
#define NET_ERROR_PHOTO_FORMAT					_EC(1036)		  // ͼƬʽ
#define NET_ERROR_DIGITAL_CERTIFICATE_INTERNAL_ERROR				_EC(1037)		  // ڲ(磺Ӳ⣬ȡԿʧܣڲӿڵʧܣдļʧܵȵ)
#define NET_ERROR_DIGITAL_CERTIFICATE_GET_ID_FAILED					_EC(1038)		  // ȡ豸IDʧ
#define NET_ERROR_DIGITAL_CERTIFICATE_IMPORT_ILLEGAL				_EC(1039)		  // ֤ļǷ(ʽֻ֧߲֤ļ)
#define NET_ERROR_DIGITAL_CERTIFICATE_SN_ERROR						_EC(1040)		  // ֤snظ򲻹淶
#define NET_ERROR_DIGITAL_CERTIFICATE_COMMON_NAME_ILLEGAL			_EC(1041)		  // ֤commonNameǷ(豸֤ϵͳеĲƥdevid_cryptoID,߶Զ˵ĲϹ(devid_crytoID))
#define NET_ERROR_DIGITAL_CERTIFICATE_NO_ROOT_CERT					_EC(1042)		  // ֤δ򲻴
#define NET_ERROR_DIGITAL_CERTIFICATE_CERT_REVOKED					_EC(1043)		  // ֤鱻
#define NET_ERROR_DIGITAL_CERTIFICATE_CERT_INVALID					_EC(1044)		  // ֤鲻ûδЧѹ
#define NET_ERROR_DIGITAL_CERTIFICATE_CERT_ERROR_SIGN				_EC(1045)		  // ֤ǩƥ
#define NET_ERROR_DIGITAL_CERTIFICATE_COUNTS_UPPER_LIMIT			_EC(1046)		  // ֤鵼
#define NET_ERROR_DIGITAL_CERTIFICATE_CERT_NO_EXIST					_EC(1047)		  // ֤ļ(֤߻ȡӦ֤ĹԿ)
#define NET_ERROR_DEFULAT_SEARCH_PORT								_EC(1048)		  // Ĭ˿޷ʹã5050,37810
#define NET_ERROR_FACE_RECOGNITION_SERVER_MULTI_APPEND_STOUP				_EC(1049)			// ֹͣ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_MULTI_APPEND_ERROR				_EC(1050)			// ʧ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_GROUP_ID_EXCEED					_EC(1051)			// IDֵ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_GROUP_ID_NOT_IN_REGISTER_GROUP	_EC(1052)			// IDڻΪ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_PICTURE_NOT_FOUND					_EC(1053)			// ͼƬ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_GENERATE_GROUP_ID_FAILED			_EC(1054)			// IDΧ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_SET_CONFIG_FAILED					_EC(1055)			// ʧ
#define NET_ERROR_FACE_RECOGNITION_SERVER_FILE_OPEN_FAILED					_EC(1056)			// ͼƬļʧ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_FILE_READ_FAILED					_EC(1057)			// ͼƬļȡʧ
#define NET_ERROR_FACE_RECOGNITION_SERVER_FILE_WRITE_FAILED					_EC(1058)			// ͼƬļдʧ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_PICTURE_DPI_ERROR					_EC(1059)			// ͼƬֱ쳣
#define	NET_ERROR_FACE_RECOGNITION_SERVER_PICTURE_PX_ERROR					_EC(1060)			// ͼƬ쳣
#define	NET_ERROR_FACE_RECOGNITION_SERVER_PICTURE_SIZE_ERROR				_EC(1061)			// ͼƬС
#define	NET_ERROR_FACE_RECOGNITION_SERVER_DATA_BASE_ERROR					_EC(1062)			// ݿʧ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_FACE_MAX_NUM						_EC(1063)			// Ա
#define	NET_ERROR_FACE_RECOGNITION_SERVER_BIRTH_DAY_FORMAT_ERROR			_EC(1064)			// ڸʽ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_UID_ERROR							_EC(1065)			// ԱUIDڻΪ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_TOKEN_ERROR						_EC(1066)			// ƲڻΪ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_BEGIN_NUM_OVER_RUN				_EC(1067)			// ѯʼ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_ABSTRACT_NUM_ZERO					_EC(1068)			// ֶģΪ0
#define	NET_ERROR_FACE_RECOGNITION_SERVER_ABSTRACT_INIT_ERROR				_EC(1069)			// ģʧ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_AUTO_ABSTRACT_STATE				_EC(1070)			// 豸Զģ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_ABSTRACT_STATE					_EC(1071)			// 豸ֶģ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_IM_EX_STATE						_EC(1072)			// 豸ڵ뵼 
#define	NET_ERROR_FACE_RECOGNITION_SERVER_PIC_WRITE_FAILED					_EC(1073)			// ͼƬдʧ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_GROUP_SPACE_EXCEED				_EC(1074)			// ռС
#define	NET_ERROR_FACE_RECOGNITION_SERVER_GROUP_PIC_COUNT_EXCEED			_EC(1075)			// ͼƬ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_GROUP_NOT_FOUND					_EC(1076)			// ⲻ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_FIND_RECORDS_ERROR				_EC(1077)			// ѯԭݽЧ
#define	NET_ERROR_FACE_RECOGNITION_SERVER_DELETE_PERSON_ERROR				_EC(1078)			// ɾԭʧ
#define NET_ERROR_FACE_RECOGNITION_SERVER_DELETE_GROUP_ERROR                _EC(1079)           // ɾʧ
#define NET_ERROR_FACE_RECOGNITION_SERVER_NAME_FORMAT_ERROR                 _EC(1080)           // ʽ
#define NET_ERROR_FACE_RECOGNITION_SERVER_FILEPATH_NOT_SET                  _EC(1081)           // ͼƬ·δ

#define NET_ERROR_DEVICE_PARSE_PROTOCOL			_EC(1079)		  // 豸Э
#define NET_ERROR_DEVICE_INVALID_REQUEST		_EC(1080)		  // 豸Ч
#define NET_ERROR_DEVICE_INTERNAL_ERROR			_EC(1081)		  // 豸ڲ
#define NET_ERROR_DEVICE_REQUEST_TIMEOUT		_EC(1082)		  // 豸ڲʱ
#define NET_ERROR_DEVICE_KEEPALIVE_FAIL			_EC(1083)		  // 豸ʧ
#define NET_ERROR_DEVICE_NETWORK_ERROR			_EC(1084)		  // 豸
#define NET_ERROR_DEVICE_UNKNOWN_ERROR			_EC(1085)		  // 豸ڲδ֪
#define NET_ERROR_DEVICE_COM_INTERFACE_NOTFOUND	_EC(1086)		  // 豸ӿûҵ
#define NET_ERROR_DEVICE_COM_IMPLEMENT_NOTFOUND	_EC(1087)		  // 豸ʵûҵ
#define NET_ERROR_DEVICE_COM_NOTFOUND			_EC(1088)		  // 豸ûҵ
#define NET_ERROR_DEVICE_COM_INSTANCE_NOTEXIST	_EC(1089)		  // 豸ʵ
#define NET_ERROR_DEVICE_CREATE_COM_FAIL		_EC(1090)		  // 豸ʧ
#define NET_ERROR_DEVICE_GET_COM_FAIL			_EC(1091)		  // 豸ȡʵʧ
#define NET_ERROR_DEVICE_BAD_REQUEST			_EC(1092)		  // 豸ҵ󲻱
#define NET_ERROR_DEVICE_REQUEST_IN_PROGRESS	_EC(1093)		  // 豸Ѿڴ󣬲ظ
#define NET_ERROR_DEVICE_LIMITED_RESOURCE		_EC(1094)		  // 豸Դ
#define NET_ERROR_DEVICE_BUSINESS_TIMEOUT		_EC(1095)		  // 豸ҵʱ
#define NET_ERROR_DEVICE_TOO_MANY_REQUESTS		_EC(1096)		  // 豸չ
#define NET_ERROR_DEVICE_NOT_ALREADY			_EC(1097)		  // 豸δ׼ҵ
#define NET_ERROR_DEVICE_SEARCHRECORD_TIMEOUT	_EC(1098)		  // 豸¼ѯʱ
#define NET_ERROR_DEVICE_SEARCHTIME_INVALID		_EC(1099)		  // 豸¼ѯʱЧ
#define NET_ERROR_DEVICE_SSID_INVALID			_EC(1100)		  // 豸УSSIDЧ
#define NET_ERROR_DEVICE_CHANNEL_STREAMTYPE_ERROR		_EC(1101)	// 豸УͨŻЧ
#define NET_ERROR_DEVICE_STREAM_PACKINGFORMAT_UNSUPPORT	_EC(1102)	// 豸ָ֧ʽ
#define NET_ERROR_DEVICE_AUDIO_ENCODINGFORMAT_UNSUPPORT	_EC(1103)	// 豸ָ֧ʽ
#define NET_ERROR_SECURITY_ERROR_SUPPORT_GUI            _EC(1104)	// Уȫʧ,ʹñGUIʽ
#define NET_ERROR_SECURITY_ERROR_SUPPORT_MULT           _EC(1105)	// Уȫʧ,ʹôAPPconfigtool
#define NET_ERROR_SECURITY_ERROR_SUPPORT_UNIQUE         _EC(1106)	// Уȫʧ,ɵ½Webҳ
#define NET_ERROR_STREAMCONVERTOR_DEFECT				_EC(1107)	// תȱʧ



#define NET_ERROR_SECURITY_GENERATE_SAFE_CODE           _EC(1108)   	// ô󻪼ܿȫʧ
#define NET_ERROR_SECURITY_GET_CONTACT                  _EC(1109)   	// ȡϵʽʧ
#define NET_ERROR_SECURITY_GET_QRCODE                   _EC(1110)   	// ȡĶάϢʧ
#define NET_ERROR_SECURITY_CANNOT_RESET                 _EC(1111)   	// 豸δʼ,޷
#define NET_ERROR_SECURITY_NOT_SUPPORT_CONTACT_MODE     _EC(1112)   	// ֧øϵʽ,ֻֻ֧ţȴ
#define NET_ERROR_SECURITY_RESPONSE_TIMEOUT             _EC(1113)   	// ԶӦʱ
#define NET_ERROR_SECURITY_AUTHCODE_FORBIDDEN           _EC(1114)   	// УAuthCodeֹ࣬У
#define NET_ERROR_TRANCODE_LOGIN_REMOTE_DEV				_EC(1115)		// (ת)½Զ豸ʧ
#define	NET_ERROR_TRANCODE_NOFREE_CHANNEL				_EC(1116)		// (ת)ûпõͨԴ
#define NET_ERROR_VK_INFO_DECRYPT_FAILED				_EC(1117)		// VKϢʧ
#define NET_ERROR_VK_INFO_DESERIALIZE_FAILED			_EC(1118)		// VKϢʧ
#define NET_ERROR_GDPR_ABILITY_NOT_ENABLE				_EC(1119)		// SDK GDPRδʹ

/*Žٵ뼰˴ start*/
#define NET_ERROR_FAST_CHECK_NO_AUTH					_EC(1120)	// Žٸ:Ȩ
#define NET_ERROR_FAST_CHECK_NO_FILE					_EC(1121)	// Žٸ:ļ
#define NET_ERROR_FAST_CHECK_FILE_FAIL					_EC(1122)	// Žٸ:ļ׼ʧ
#define NET_ERROR_FAST_CHECK_BUSY						_EC(1123)	// Žٸ:ϵͳæ
#define NET_ERROR_FAST_CHECK_NO_PASSWORD				_EC(1124)	// Žٸ:δ, 
#define NET_ERROR_IMPORT_ACCESS_SEND_FAILD				_EC(1125)	// Žٵ:Žʧ
#define NET_ERROR_IMPORT_ACCESS_BUSY					_EC(1126)	// Žٵ:ϵͳæ, Ѿе
#define NET_ERROR_IMPORT_ACCESS_DATAERROR				_EC(1127)	// Žٵ:ݰʧ
#define NET_ERROR_IMPORT_ACCESS_DATAINVALID				_EC(1128)	// Žٵ:ݰǷ
#define NET_ERROR_IMPORT_ACCESS_SYNC_FALID				_EC(1129)	// Žٵ:ͬʧ,ݿ޷
#define NET_ERROR_IMPORT_ACCESS_DBFULL					_EC(1130)	// Žٵ:ݿ, ޷
#define NET_ERROR_IMPORT_ACCESS_SDFULL					_EC(1131)	// Žٵ:洢ռ, ޷
#define NET_ERROR_IMPORT_ACCESS_CIPHER_ERROR			_EC(1132)	// Žٵ:ѹ벻
/*Žٵ뼰˴ end*/

#define NET_ERROR_INVALID_PARAM							_EC(1133)	// Ч
#define NET_ERROR_INVALID_PASSWORD						_EC(1134)	// Ч
#define NET_ERROR_INVALID_FINGERPRINT					_EC(1135)	// ָЧ
#define NET_ERROR_INVALID_FACE							_EC(1136)	// Ч
#define NET_ERROR_INVALID_CARD							_EC(1137)	// Ч
#define NET_ERROR_INVALID_USER							_EC(1138)	// ûЧ
#define NET_ERROR_GET_SUBSERVICE						_EC(1139)	// ӷȡʧ
#define NET_ERROR_GET_METHOD							_EC(1140)   // ȡķʧ
#define NET_ERROR_GET_SUBCAPS							_EC(1141) 	// ȡԴʵʧ
#define NET_ERROR_UPTO_INSERT_LIMIT						_EC(1142)   // Ѵ
#define NET_ERROR_UPTO_MAX_INSERT_RATE					_EC(1143)   // Ѵٶ
#define NET_ERROR_ERASE_FINGERPRINT						_EC(1144)   // ָʧ
#define NET_ERROR_ERASE_FACE							_EC(1145)   // ʧ
#define NET_ERROR_ERASE_CARD							_EC(1146)   // ʧ
#define NET_ERROR_NO_RECORD								_EC(1147)   // ûм¼
#define NET_ERROR_NOMORE_RECORDS						_EC(1148)   // ҵûи¼
#define NET_ERROR_RECORD_ALREADY_EXISTS					_EC(1149)   // ·ָʱظ
#define NET_ERROR_EXCEED_MAX_FINGERPRINT_PERUSER		_EC(1150)   // ָƼ¼
#define NET_ERROR_EXCEED_MAX_CARD_PERUSER				_EC(1151)   // Ƭ¼	
#define NET_ERROR_EXCEED_ADMINISTRATOR_LIMIT			_EC(1152)   // ŽԱ

#define NET_LOGIN_ERROR_DEVICE_NOT_SUPPORT_HIGHLEVEL_SECURITY_LOGIN		_EC(1153)   // 豸ָ֧߰ȫȼ¼
#define NET_LOGIN_ERROR_DEVICE_ONLY_SUPPORT_HIGHLEVEL_SECURITY_LOGIN	_EC(1154)   // 豸ָֻ֧߰ȫȼ¼

#define NET_ERROR_VIDEO_CHANNEL_OFFLINE                 _EC(1155)   // ʾƵͨߣʧ
#define NET_ERROR_USERID_FORMAT_INCORRECT				_EC(1156)	// ûŲ淶
#define NET_ERROR_CANNOT_FIND_CHANNEL_RELATE_TO_SN		_EC(1157)	// ҲSNӦͨ
#define NET_ERROR_TASK_QUEUE_OF_CHANNEL_IS_FULL			_EC(1158)	// ͨ
#define NET_ERROR_APPLY_USER_INFO_BLOCK_FAIL			_EC(1159)	// 벻µûϢ(Ȩ)
#define NET_ERROR_EXCEED_MAX_PASSWD_PERUSER				_EC(1160)	// û
#define NET_ERROR_PARSE_PROTOCOL						_EC(1161)	// 豸ڲ쳣Э
#define	NET_ERROR_CARD_NUM_EXIST						_EC(1162)	// Ѵ
#define	NET_ERROR_FINGERPRINT_EXIST						_EC(1163)	// ָѴ

#define NET_ERROR_OPEN_PLAYGROUP_FAIL					_EC(1164)	// 򿪲ʧ
#define NET_ERROR_ALREADY_IN_PLAYGROUP					_EC(1165)	// λڲ
#define NET_ERROR_QUERY_PLAYGROUP_TIME_FAIL				_EC(1166)	// ѯʱʧ
#define NET_ERROR_SET_PLAYGROUP_BASECHANNEL_FAIL		_EC(1167)	// ò׼ͨʧ
#define NET_ERROR_SET_PLAYGROUP_DIRECTION_FAIL			_EC(1168)	// ò鷽ʧ
#define NET_ERROR_SET_PLAYGROUP_SPEED_FAIL				_EC(1169)	// òٶʧ
#define NET_ERROR_ADD_PLAYGROUP_FAIL					_EC(1170)	// 벥ʧ

#define NET_ERROR_EXPORT_AOL_LOGFILE_NO_AUTH			_EC(1171)	// AOL־:Ȩ
#define NET_ERROR_EXPORT_AOL_LOGFILE_NO_FILE			_EC(1172)	// AOL־:ļ
#define NET_ERROR_EXPORT_AOL_LOGFILE_FILE_FAIL			_EC(1173)	// AOL־:ļ׼ʧ
#define NET_ERROR_EXPORT_AOL_LOGFILE_BUSY				_EC(1174)	// AOL־:ϵͳæ

// 豸APPװش
#define NET_ERROR_EMPTY_LICENSE                         _EC(1175)   // LicenseΪ
#define NET_ERROR_UNSUPPORTED_MODE                      _EC(1176)   // ָ֧ģʽ
#define NET_ERROR_URL_APP_NOT_MATCH                     _EC(1177)   // URLAPPƥ
#define NET_ERROR_READ_INFO_FAILED                      _EC(1178)   // ȡϢʧ
#define NET_ERROR_WRITE_FAILED                          _EC(1179)   // дʧ
#define NET_ERROR_NO_SUCH_APP                           _EC(1180)   // δҵAPP
#define NET_ERROR_VERIFIF_FAILED                        _EC(1181)   // Уʧ
#define NET_ERROR_LICENSE_OUT_DATE                      _EC(1182)   // Licenseѹ

#define NET_ERROR_UPGRADE_PROGRAM_TOO_OLD				_EC(1183)	// 汾


/************************************************************************
 ** öٶ
 ***********************************************************************/

//ȡϢ CLIENT_QueryNetStat  ӿʹ
typedef enum tagEM_NET_QUERY_TYPE
{
    NET_APP_DATA_STAT ,     // ȡЭջͳ,(ṹNET_IN_NETAPP_NET_DATA_STAT,ṹNET_OUT_NETAPP_NET_DATA_STAT)
    NET_APP_LINK_STAT ,     // ȡ·״̬,(ṹNET_IN_NETAPP_LINK_STATUS,ṹNET_OUT_NETAPP_LINK_STATUS)
}EM_NET_QUERY_TYPE;

// ץͼ CLIENT_CapturePictureEx ӿʹ
typedef enum tagNET_CAPTURE_FORMATS
{
    NET_CAPTURE_BMP,        // BMP
    NET_CAPTURE_JPEG,       // 100%JPEG
    NET_CAPTURE_JPEG_70,    // 70%JPEG
    NET_CAPTURE_JPEG_50,    // 50%JPEG
    NET_CAPTURE_JPEG_30,    // 30%JPEG
    NET_CAPTURE_JPEG_10     // 10%JPEG
}NET_CAPTURE_FORMATS;

// 豸
typedef enum tagNET_DEVICE_TYPE 
{
    NET_PRODUCT_NONE = 0,
    NET_DVR_NONREALTIME_MACE,     // ʵʱMACE
    NET_DVR_NONREALTIME,          // ʵʱ
    NET_NVS_MPEG1,                // Ƶ
    NET_DVR_MPEG1_2,              // MPEG1·¼
    NET_DVR_MPEG1_8,              // MPEG1·¼
    NET_DVR_MPEG4_8,              // MPEG4·¼
    NET_DVR_MPEG4_16,             // MPEG4ʮ·¼
    NET_DVR_MPEG4_SX2,            // LBϵ¼
    NET_DVR_MEPG4_ST2,            // GBϵ¼
    NET_DVR_MEPG4_SH2,            // HBϵ¼               10
    NET_DVR_MPEG4_GBE,            // GBEϵ¼
    NET_DVR_MPEG4_NVSII,          // IIƵ
    NET_DVR_STD_NEW,              // ±׼Э
    NET_DVR_DDNS,                 // DDNS
    NET_DVR_ATM,                  // ATM
    NET_NB_SERIAL,                // ʵʱNBϵл
    NET_LN_SERIAL,                // LNϵвƷ
    NET_BAV_SERIAL,               // BAVϵвƷ
    NET_SDIP_SERIAL,              // SDIPϵвƷ
    NET_IPC_SERIAL,               // IPCϵвƷ                20
    NET_NVS_B,                    // NVS Bϵ
    NET_NVS_C,                    // NVS Hϵ
    NET_NVS_S,                    // NVS Sϵ
    NET_NVS_E,                    // NVS Eϵ
    NET_DVR_NEW_PROTOCOL,         // QueryDevStateвѯ豸,ַʽ
    NET_NVD_SERIAL,               // 
    NET_DVR_N5,                   // N5
    NET_DVR_MIX_DVR,              // DVR
    NET_SVR_SERIAL,               // SVRϵ
    NET_SVR_BS,                   // SVR-BS                     30
    NET_NVR_SERIAL,               // NVRϵ
    NET_DVR_N51,                  // N51
    NET_ITSE_SERIAL,              // ITSE ܷ
    NET_ITC_SERIAL,               // ܽͨ豸
    NET_HWS_SERIAL,               // ״HWS
    NET_PVR_SERIAL,               // ЯʽƵ¼
    NET_IVS_SERIAL,               // IVSƵϵУ
    NET_IVS_B,                    // ͨƵ
    NET_IVS_F,                    // ʶ
    NET_IVS_V,                    // ƵϷ         40
    NET_MATRIX_SERIAL,            // 
    NET_DVR_N52,                  // N52
    NET_DVR_N56,                  // N56
    NET_ESS_SERIAL,               // ESS
    NET_IVS_PC,                   // ͳƷ
    NET_PC_NVR,                   // pc-nvr
    NET_DSCON,                    // 
    NET_EVS,                      // Ƶ洢
    NET_EIVS,                     // ǶʽܷƵϵͳ
    NET_DVR_N6,                   // DVR-N6                     50
    NET_UDS,                      // ܽ
    NET_AF6016,                   // б
    NET_AS5008,                   // Ƶ籨
    NET_AH2008,                   // 籨
    NET_A_SERIAL,                 // ϵ
    NET_BSC_SERIAL,               // ŽϵвƷ
    NET_NVS_SERIAL,               // NVSϵвƷ
    NET_VTO_SERIAL,               // VTOϵвƷ
    NET_VTNC_SERIAL,              // VTNCϵвƷ
    NET_TPC_SERIAL,               // TPCϵвƷ, ȳ豸  60
    NET_ASM_SERIAL,               // м豸
    NET_VTS_SERIAL,               // 
    NET_ARC2016C,                 // ARC2016C
    NET_ASA,                      // ڻ
	NET_VTT_SERIAL,				  // ҵԽն
	NET_VTA_SERIAL,				  // 
	NET_VTNS_SERIAL,			  // SIP
	NET_VTH_SERIAL,				  // ڻ
	NET_IVSS,					  // IVSSƷ
	NET_ASG,                      // բ
	NET_RADAR,					  // ״Ʒ
	NET_RADAR_PTZ,				  // ״ϵͳ
	NET_RADAR_CAM,				  // ״
	NET_ASE,					  // ݿ豸
}NET_DEVICE_TYPE ;

// 
typedef enum __LANGUAGE_TYPE
{
    DH_LANGUAGE_ENGLISH,                // Ӣ    
    DH_LANGUAGE_CHINESE_SIMPLIFIED,     //     
    DH_LANGUAGE_CHINESE_TRADITIONAL,    //     
    DH_LANGUAGE_ITALIAN,                //     
    DH_LANGUAGE_SPANISH,                // 
    DH_LANGUAGE_JAPANESE,               // İ    
    DH_LANGUAGE_RUSSIAN,                // İ        
    DH_LANGUAGE_FRENCH,                 // İ        
    DH_LANGUAGE_GERMAN,                 // İ        
    DH_LANGUAGE_PORTUGUESE,             //     
    DH_LANGUAGE_TURKEY,                 //     
    DH_LANGUAGE_POLISH,                 //     
    DH_LANGUAGE_ROMANIAN,               //     
    DH_LANGUAGE_HUNGARIAN,              //     
    DH_LANGUAGE_FINNISH,                //     
    DH_LANGUAGE_ESTONIAN,               // ɳ    
    DH_LANGUAGE_KOREAN,                 //     
    DH_LANGUAGE_FARSI,                  // ˹     
    DH_LANGUAGE_DANSK,                  // 
    DH_LANGUAGE_CZECHISH,               // ݿ
    DH_LANGUAGE_BULGARIA,               // 
    DH_LANGUAGE_SLOVAKIAN,              // ˹工
    DH_LANGUAGE_SLOVENIA,               // ˹
    DH_LANGUAGE_CROATIAN,               // ޵
    DH_LANGUAGE_DUTCH,                  // 
    DH_LANGUAGE_GREEK,                  // ϣ
    DH_LANGUAGE_UKRAINIAN,              // ڿ
    DH_LANGUAGE_SWEDISH,                // 
    DH_LANGUAGE_SERBIAN,                // ά
    DH_LANGUAGE_VIETNAMESE,             // Խ
    DH_LANGUAGE_LITHUANIAN,             // 
    DH_LANGUAGE_FILIPINO,               // ɱ
    DH_LANGUAGE_ARABIC,                 // 
    DH_LANGUAGE_CATALAN,                // ̩
    DH_LANGUAGE_LATVIAN,                // ά
    DH_LANGUAGE_THAI,                   // ̩
    DH_LANGUAGE_HEBREW,                 // ϣ
    DH_LANGUAGE_Bosnian,                // ˹
} DH_LANGUAGE_TYPE;

// 
typedef enum __EM_UPGRADE_TYPE
{
    DH_UPGRADE_BIOS_TYPE = 1,           // BIOS
    DH_UPGRADE_WEB_TYPE,                // WEB
    DH_UPGRADE_BOOT_YPE,                // BOOT
    DH_UPGRADE_CHARACTER_TYPE,          // ֿ
    DH_UPGRADE_LOGO_TYPE,               // LOGO
    DH_UPGRADE_EXE_TYPE,                // EXE,粥
    DH_UPGRADE_DEVCONSTINFO_TYPE,       // 豸Ϣ(磺ӲID,MAC,к)
    DH_UPGRADE_PERIPHERAL_TYPE,         // Ƭ(糵287оƬ)
    DH_UPGRADE_GEOINFO_TYPE,            // ϢλоƬ
    DH_UPGRADE_MENU,                    // ˵豸ͼƬ
    DH_UPGRADE_ROUTE,                   // ·ļ繫·
    DH_UPGRADE_ROUTE_STATE_AUTO,        // վƵ·׵ıվƵ
    DH_UPGRADE_SCREEN,                  // 繫
} EM_UPGRADE_TYPE;

// ¼(ʱ̬⡢)
typedef enum __REC_TYPE
{
    DH_REC_TYPE_TIM = 0,
    DH_REC_TYPE_MTD,
    DH_REC_TYPE_ALM,
    DH_REC_TYPE_NUM,
} REC_TYPE;

//  
typedef enum __GPRSCDMA_NETWORK_TYPE
{
    DH_TYPE_AUTOSEL = 0,                        // Զѡ
    DH_TYPE_TD_SCDMA,                           // TD-SCDMA 
    DH_TYPE_WCDMA,                              // WCDMA
    DH_TYPE_CDMA_1x,                            // CDMA 1.x
    DH_TYPE_EDGE,                               // GPRS
    DH_TYPE_EVDO,                               // EVDO
    DH_TYPE_WIFI,                               // 
} EM_GPRSCDMA_NETWORK_TYPE;

// ӿ,ӦCLIENT_SetSubconnCallBackӿ
typedef enum __EM_INTERFACE_TYPE
{
    DH_INTERFACE_OTHER = 0x00000000,            // δ֪ӿ
    DH_INTERFACE_REALPLAY,                      // ʵʱӽӿ
    DH_INTERFACE_PREVIEW,                       // ໭Ԥӿ
    DH_INTERFACE_PLAYBACK,                      // طŽӿ
    DH_INTERFACE_DOWNLOAD,                      // ؽӿ
    DH_INTERFACE_REALLOADPIC,                   // ͼƬӿ
} EM_INTERFACE_TYPE;

// ƵӶϿ¼
typedef enum _EM_REALPLAY_DISCONNECT_EVENT_TYPE
{
    DISCONNECT_EVENT_REAVE,                     // ʾ߼ûռͼûԴ
    DISCONNECT_EVENT_NETFORBID,                 // ֹ
    DISCONNECT_EVENT_SUBCONNECT,                // ̬ӶϿ
}EM_REALPLAY_DISCONNECT_EVENT_TYPE;

// ¼ļļǩ
typedef enum __EM_EVENT_FILETAG
{
    DH_ATMBEFOREPASTE = 1,                      // ATMǰ
    DH_ATMAFTERPASTE,                           // ATM
}EM_EVENT_FILETAG;

// IPC
typedef enum __EM_IPC_TYPE
{
    DH_IPC_PRIVATE,                                 // ˽
    DH_IPC_AEBELL,                                  // 籴
    DH_IPC_PANASONIC,                               // 
    DH_IPC_SONY,                                    // 
    DH_IPC_DYNACOLOR,                               // Dynacolor
    DH_IPC_TCWS = 5,                                // 
    DH_IPC_SAMSUNG,                                 // 
    DH_IPC_YOKO,                                    // YOKO
    DH_IPC_AXIS,                                    // Ѷ
    DH_IPC_SANYO,                                   //        
    DH_IPC_BOSH = 10,                               // Bosch
    DH_IPC_PECLO,                                   // Peclo
    DH_IPC_PROVIDEO,                                // Provideo
    DH_IPC_ACTI,                                    // ACTi
    DH_IPC_VIVOTEK,                                 // Vivotek
    DH_IPC_ARECONT = 15,                            // Arecont
    DH_IPC_PRIVATEEH,                               // PrivateEH    
    DH_IPC_IMATEK,                                  // IMatek
    DH_IPC_SHANY,                                   // Shany
    DH_IPC_VIDEOTREC,                               // ӯ
    DH_IPC_URA = 20,                                // Ura
    DH_IPC_BITICINO,                                // Bticino 
    DH_IPC_ONVIF,                                   // OnvifЭ
    DH_IPC_SHEPHERD,                                // Ӱ
    DH_IPC_YAAN,                                    // ǰ
    DH_IPC_AIRPOINT = 25,                           // Airpop
    DH_IPC_TYCO,                                    // TYCO
    DH_IPC_XUNMEI,                                  // Ѷ
    DH_IPC_HIKVISION,                               // 
    DH_IPC_LG,                                      // LG
    DH_IPC_AOQIMAN = 30,                            // 
    DH_IPC_BAOKANG,                                 //     
    DH_IPC_WATCHNET,                                // Watchnet
    DH_IPC_XVISION,                                 // Xvision
    DH_IPC_FUSITSU,                                 // ʿͨ
    DH_IPC_CANON = 35,                              // Canon
    DH_IPC_GE,                                      // GE
    DH_IPC_Basler,                                  // ˹
    DH_IPC_Patro,                                   // 
    DH_IPC_CPKNC,                                   // CPPLUS Kϵ
    DH_IPC_CPRNC = 40,                              // CPPLUS Rϵ
    DH_IPC_CPUNC,                                   // CPPLUS Uϵ
    DH_IPC_CPPLUS,                                  // CPPLUS IPC
    DH_IPC_XunmeiS,                                 // Ѷs,ʵЭΪOnvif
    DH_IPC_GDDW,                                    // 㶫
    DH_IPC_PSIA = 45,                               // PSIA
    DH_IPC_GB2818,                                  // GB2818    
    DH_IPC_GDYX,                                    // GDYX
    DH_IPC_OTHER,                                   // ûԶ
    DH_IPC_CPUNR,                                   // CPPLUS NVR
    DH_IPC_CPUAR = 50,                              // CPPLUS DVR
    DH_IPC_AIRLIVE,                                 // Airlive    
    DH_IPC_NPE,                                     // NPE    
    DH_IPC_AXVIEW,                                  // AXVIEW
    DH_IPC_DFWL,                                    // 
    DH_IPC_HYUNDAI = 56,                            // HYUNDAI DVR
    DH_IPC_APHD,                                    // ջ
    DH_IPC_WELLTRANS ,                              // ΢
    DH_IPC_CDJF,                                    // ɶѷ
    DH_IPC_JVC = 60,                                // JVC
    DH_IPC_INFINOVA,                                // Ӣ
    DH_IPC_ADT,                                     // ADT
    DH_IPC_SIVIDI,                                  // ϴ
    DH_IPC_CPUNP,                                   // CPPLUS 
    DH_IPC_HX = 65,                                 // 
    DH_IPC_TJGS,                                    // 
    DH_IPC_MULTICAST = 79,                          // 鲥
    DH_IPC_RVI = 84,                                // RVi
}EM_IPC_TYPE;

// H264 뼶
typedef enum __EM_H264_PROFILE_RANK
{
    DH_PROFILE_BASELINE = 1,                       // ṩI/P֡,֧progressive(ɨ)CAVLC
    DH_PROFILE_MAIN,                               // ṩI/P/B֡,֧progressivinterlaced,ṩCAVLCCABAC
    DH_PROFILE_EXTENDED,                           // ṩI/P/B/SP/SI֡,֧progressive(ɨ)CAVLC
    DH_PROFILE_HIGH,                               // FRExt,Main_Profile8x8 intra prediction(8x8 ֡Ԥ), custom 
                                                   // quant(Զ), lossless video coding(Ƶ), yuvʽ
}EM_H264_PROFILE_RANK;

typedef enum __EM_DISK_TYPE
{
    DH_DISK_READ_WRITE,                         // д
    DH_DISK_READ_ONLY,                          // ֻ
    DH_DISK_BACKUP,                             // ý
    DH_DISK_REDUNDANT,                          // 
    DH_DISK_SNAPSHOT,                           // 
}EM_DISK_TYPE;

// 㷨ģʽ
typedef enum  __EM_ENCRYPT_ALOG_WORKMODE
{
    ENCRYPT_ALOG_WORKMODE_ECB,                  // ECBģʽ
    ENCRYPT_ALOG_WORKMODE_CBC,                  // CBCģʽ
    ENCRYPT_ALOG_WORKMODE_CFB,                  // CFBģʽ
    ENCRYPT_ALOG_WORKMODE_OFB,                  // OFBģʽ
}EM_ENCRYPT_ALOG_WORKMODE;

typedef enum __EM_MOBILE_PPP_STATE
{
    MOBILE_PPP_UP = 0,                          // Ѿ
    MOBILE_PPP_DOWN,                            // pppӶϿ        
    MOBILE_PPP_CONNECTING,                      // ڴ        
    MOBILE_PPP_CLOSEING,                        // ڹرPPP
} EM_MOBILE_PPP_STATE;

typedef enum __EM_3GMOBILE_STATE
{
    MOBILE_MODULE_OFF,                          // ʾ3gģر           
    MOBILE_MODULE_STARTING,                     // ʾ3gģ    
    MOBILE_MODULE_WORKING,                      // ʾ3gģڹ
}EM_3GMOBILE_STATE;

typedef enum tagEM_LOGIN_SPAC_CAP_TYPE
{
    EM_LOGIN_SPEC_CAP_TCP               = 0,    // TCP½, ĬϷʽ
    EM_LOGIN_SPEC_CAP_ANY               = 1,    // ½
    EM_LOGIN_SPEC_CAP_SERVER_CONN       = 2,    // עĵ
    EM_LOGIN_SPEC_CAP_MULTICAST         = 3,    // 鲥½
    EM_LOGIN_SPEC_CAP_UDP               = 4,    // UDPʽµĵ
    EM_LOGIN_SPEC_CAP_MAIN_CONN_ONLY    = 6,    // ֻµĵ
    EM_LOGIN_SPEC_CAP_SSL               = 7,    // SSLܷʽ½

    EM_LOGIN_SPEC_CAP_INTELLIGENT_BOX   = 9,    // ¼ܺԶ豸
    EM_LOGIN_SPEC_CAP_NO_CONFIG         = 10,   // ¼豸ȡò
    EM_LOGIN_SPEC_CAP_U_LOGIN           = 11,   // U豸ĵ
    EM_LOGIN_SPEC_CAP_LDAP              = 12,   // LDAPʽ¼
    EM_LOGIN_SPEC_CAP_AD                = 13,   // ADActiveDirectory¼ʽ
    EM_LOGIN_SPEC_CAP_RADIUS            = 14,   // Radius ¼ʽ 
    EM_LOGIN_SPEC_CAP_SOCKET_5          = 15,   // Socks5½ʽ
    EM_LOGIN_SPEC_CAP_CLOUD             = 16,   // Ƶ½ʽ
    EM_LOGIN_SPEC_CAP_AUTH_TWICE        = 17,   // μȨ½ʽ
    EM_LOGIN_SPEC_CAP_TS                = 18,   // TSͻ˵½ʽ
    EM_LOGIN_SPEC_CAP_P2P               = 19,   // ΪP2P½ʽ
    EM_LOGIN_SPEC_CAP_MOBILE            = 20,   // ֻͻ˵½
    EM_LOGIN_SPEC_CAP_INVALID                   // Чĵ½ʽ
}EM_LOGIN_SPAC_CAP_TYPE;

//////////////////////////////////////////////////////////////////

// Ԥ,ӦCLIENT_RealPlayExӿ
typedef enum _RealPlayType
{
    DH_RType_Realplay = 0,                      // ʵʱԤ
    DH_RType_Multiplay,                         // ໭Ԥ
    DH_RType_Realplay_0,                        // ʵʱ-,ͬDH_RType_Realplay
    DH_RType_Realplay_1,                        // ʵʱ-1
    DH_RType_Realplay_2,                        // ʵʱ-2
    DH_RType_Realplay_3,                        // ʵʱ-3    
    DH_RType_Multiplay_1,                       // ໭Ԥ1
    DH_RType_Multiplay_4,                       // ໭Ԥ4
    DH_RType_Multiplay_8,                       // ໭Ԥ8
    DH_RType_Multiplay_9,                       // ໭Ԥ9
    DH_RType_Multiplay_16,                      // ໭Ԥ16
    DH_RType_Multiplay_6,                       // ໭Ԥ6
    DH_RType_Multiplay_12,                      // ໭Ԥ12
    DH_RType_Multiplay_25,                      // ໭Ԥ25
    DH_RType_Multiplay_36,                      // ໭Ԥ36
	DH_RType_Multiplay_64,						// ໭Ԥ64
	DH_RType_Multiplay_255,						// ޸ĵǰԤͨ
    DH_RType_Realplay_Test = 255,               // 
} DH_RealPlayType;

/////////////////////////////////̨/////////////////////////////////

// ̨ͨ
typedef enum _PTZ_ControlType
{

    DH_PTZ_UP_CONTROL = 0,                      // 
    DH_PTZ_DOWN_CONTROL,                        // 
    DH_PTZ_LEFT_CONTROL,                        // 
    DH_PTZ_RIGHT_CONTROL,                       // 
    DH_PTZ_ZOOM_ADD_CONTROL,                    // 䱶+
    DH_PTZ_ZOOM_DEC_CONTROL,                    // 䱶-
    DH_PTZ_FOCUS_ADD_CONTROL,                   // -
    DH_PTZ_FOCUS_DEC_CONTROL,                   // +
    DH_PTZ_APERTURE_ADD_CONTROL,                // Ȧ+
    DH_PTZ_APERTURE_DEC_CONTROL,                // Ȧ-
    DH_PTZ_POINT_MOVE_CONTROL,                  // תԤõ
    DH_PTZ_POINT_SET_CONTROL,                   // 
    DH_PTZ_POINT_DEL_CONTROL,                   // ɾ
    DH_PTZ_POINT_LOOP_CONTROL,                  // Ѳ
    DH_PTZ_LAMP_CONTROL                         // ƹˢ
} DH_PTZ_ControlType;

// ̨չ
typedef enum _EXTPTZ_ControlType
{
    DH_EXTPTZ_LEFTTOP = 0x20,                   // 
    DH_EXTPTZ_RIGHTTOP,                         // 
    DH_EXTPTZ_LEFTDOWN,                         // 
    DH_EXTPTZ_RIGHTDOWN,                        // 
    DH_EXTPTZ_ADDTOLOOP,                        // Ԥõ㵽Ѳ Ѳ· Ԥõֵ
    DH_EXTPTZ_DELFROMLOOP,                      // ɾѲԤõ Ѳ· Ԥõֵ
    DH_EXTPTZ_CLOSELOOP,                        // Ѳ Ѳ·
    DH_EXTPTZ_STARTPANCRUISE,                   // ʼˮƽת
    DH_EXTPTZ_STOPPANCRUISE,                    // ֹͣˮƽת
    DH_EXTPTZ_SETLEFTBORDER,                    // ߽
    DH_EXTPTZ_SETRIGHTBORDER,                   // ұ߽
    DH_EXTPTZ_STARTLINESCAN,                    // ʼɨ
    DH_EXTPTZ_CLOSELINESCAN,                    // ֹͣɨ
    DH_EXTPTZ_SETMODESTART,                     // ģʽʼ    ģʽ·
    DH_EXTPTZ_SETMODESTOP,                      // ģʽ    ģʽ·
    DH_EXTPTZ_RUNMODE,                          // ģʽ    ģʽ·
    DH_EXTPTZ_STOPMODE,                         // ֹͣģʽ    ģʽ·
    DH_EXTPTZ_DELETEMODE,                       // ģʽ    ģʽ·
    DH_EXTPTZ_REVERSECOMM,                      // ת
    DH_EXTPTZ_FASTGOTO,                         // ٶλ ˮƽ(8192) ֱ(8192) 䱶(4)
    DH_EXTPTZ_AUXIOPEN,                         // ؿ (param4Ӧ PTZ_CONTROL_AUXILIARY,param1param2param3Ч,dwStopΪFALSE)
    DH_EXTPTZ_AUXICLOSE,                        // ع (param4Ӧ PTZ_CONTROL_AUXILIARY,param1param2param3Ч,dwStopΪFALSE)
    DH_EXTPTZ_OPENMENU = 0x36,                  // ˵
    DH_EXTPTZ_CLOSEMENU,                        // رղ˵
    DH_EXTPTZ_MENUOK,                           // ˵ȷ
    DH_EXTPTZ_MENUCANCEL,                       // ˵ȡ
    DH_EXTPTZ_MENUUP,                           // ˵
    DH_EXTPTZ_MENUDOWN,                         // ˵
    DH_EXTPTZ_MENULEFT,                         // ˵
    DH_EXTPTZ_MENURIGHT,                        // ˵
    DH_EXTPTZ_ALARMHANDLE = 0x40,               // ̨ parm1ͨparm21-Ԥõ2-ɨ3-Ѳparm3ֵ,Ԥõ
    DH_EXTPTZ_MATRIXSWITCH = 0x41,              // л parm1(Ƶ)parm2Ƶţparm3
    DH_EXTPTZ_LIGHTCONTROL,                     // ƹ
    DH_EXTPTZ_EXACTGOTO,                        // άȷλ parm1ˮƽǶ(0~3600)parm2ֱ(0~900)parm3䱶(1~128),䱶Ϊλ,ʵʱ䱶
    DH_EXTPTZ_RESETZERO,                        // άλλ
    DH_EXTPTZ_MOVE_ABSOLUTELY,                  // ƶ,param4Ӧṹ PTZ_CONTROL_ABSOLUTELY
    DH_EXTPTZ_MOVE_CONTINUOUSLY,                // ƶ,param4Ӧṹ PTZ_CONTROL_CONTINUOUSLY
    DH_EXTPTZ_GOTOPRESET,                       // ̨,һٶתԤλ,parm4ӦṹPTZ_CONTROL_GOTOPRESET
    DH_EXTPTZ_SET_VIEW_RANGE = 0x49,            // ÿ(param4Ӧṹ PTZ_VIEW_RANGE_INFO)
    DH_EXTPTZ_FOCUS_ABSOLUTELY = 0x4A,          // Ծ۽(param4ӦṹPTZ_FOCUS_ABSOLUTELY)
    DH_EXTPTZ_HORSECTORSCAN = 0x4B,             // ˮƽɨ(param4ӦPTZ_CONTROL_SECTORSCAN,param1param2param3Ч)
    DH_EXTPTZ_VERSECTORSCAN = 0x4C,             // ֱɨ(param4ӦPTZ_CONTROL_SECTORSCAN,param1param2param3Ч)
    DH_EXTPTZ_SET_ABS_ZOOMFOCUS = 0x4D,         // 趨Խࡢ۽ֵ,param1Ϊ,Χ:[0,255],param2Ϊ۽,Χ:[0,255],param3param4Ч
    DH_EXTPTZ_SET_FISHEYE_EPTZ = 0x4E,          // ۵̨,param4Ӧṹ PTZ_CONTROL_SET_FISHEYE_EPTZ  
    DH_EXTPTZ_SET_TRACK_START = 0x4F,           // ʼ(param4ӦṹΪ PTZ_CONTROL_SET_TRACK_CONTROL,dwStopFALSE, param1param2param3Ч)
    DH_EXTPTZ_SET_TRACK_STOP = 0x50,            // ֹͣ(param4ӦṹΪ PTZ_CONTROL_SET_TRACK_CONTROL,dwStopFALSE,param1param2param3Ч)
    DH_EXTPTZ_RESTART = 0x51,                   // ̨(param1param2param3 param4 Ч,dwStopΪFALSE)
	DH_EXTPTZ_INTELLI_TRACKMOVE = 0x52,         // ̨ƶ,ǹר,param4Ӧṹ PTZ_CONTROL_INTELLI_TRACKMOVE
    DH_EXTPTZ_SET_FOCUS_REGION = 0x53,          // ۽(param4ӦṹΪPTZ_CONTROL_SET_FOCUS_REGION,dwStopFALSE,param1param2param3Ч)
	DH_EXTPTZ_PAUSELINESCAN = 0x54,             // ͣɨ(param1param2param3param4ЧdwStopΪFALSE)
	DH_EXTPTZ_INTELLI_SETLENSWISDOMSTATE = 0x55,// Ŀʱþ۽ģʽ(param4ӦṹΪPTZ_CONTROL_INTELLI_SETLENSWISDOMSTATE,dwStopFALSE,param1param2param3Ч) 
	DH_EXTPTZ_INTELLI_SETFOCUSAREA = 0x56,		// þ۽(param4ӦṹΪPTZ_CONTROL_INTELLI_SETFOCUSAREA,dwStopFALSE,param1param2param3Ч)
												// עĿþ۽۽Ϯϴ״̬ô˽ӿȡþ۽

    DH_EXTPTZ_UP_TELE = 0x70,                   //  + TELE param1=ٶ(1-8),ͬ
    DH_EXTPTZ_DOWN_TELE,                        //  + TELE
    DH_EXTPTZ_LEFT_TELE,                        //  + TELE
    DH_EXTPTZ_RIGHT_TELE,                       //  + TELE
    DH_EXTPTZ_LEFTUP_TELE,                      //  + TELE
    DH_EXTPTZ_LEFTDOWN_TELE,                    //  + TELE
    DH_EXTPTZ_TIGHTUP_TELE,                     //  + TELE
    DH_EXTPTZ_RIGHTDOWN_TELE,                   //  + TELE
    DH_EXTPTZ_UP_WIDE,                          //  + WIDE param1=ٶ(1-8),ͬ
    DH_EXTPTZ_DOWN_WIDE,                        //  + WIDE
    DH_EXTPTZ_LEFT_WIDE,                        //  + WIDE
    DH_EXTPTZ_RIGHT_WIDE,                       //  + WIDE
    DH_EXTPTZ_LEFTUP_WIDE,                      //  + WIDE
    DH_EXTPTZ_LEFTDOWN_WIDE,                    //  + WIDE
    DH_EXTPTZ_TIGHTUP_WIDE,                     //  + WIDE
    DH_EXTPTZ_RIGHTDOWN_WIDE,                   //  + WIDE
	DH_EXTPTZ_GOTOPRESETSNAP = 0x80,            // תԤõ㲢ץͼ
    DH_EXTPTZ_DIRECTIONCALIBRATION = 0x82,      // У׼̨˫У׼
    DH_EXTPTZ_SINGLEDIRECTIONCALIBRATION = 0x83, // У׼̨򣨵У׼,param4Ӧṹ NET_IN_CALIBRATE_SINGLEDIRECTION
    DH_EXTPTZ_MOVE_RELATIVELY = 0x84,			// ̨Զλ,param4Ӧṹ NET_IN_MOVERELATIVELY_INFO
    DH_EXTPTZ_SET_DIRECTION = 0x85,				// ̨, param4Ӧṹ NET_IN_SET_DIRECTION_INFO
	DH_EXTPTZ_TOTAL,                            // ֵ
} DH_EXTPTZ_ControlType;

// ۵̨
typedef enum tagNET_FISHEYE_EPTZ_CMD
{
    NET_FISHEYE_EPTZ_CMD_UNKOWN,                    // δ֪
	NET_FISHEYE_EPTZ_CMD_ZOOMIN,                    // Ŵ,dwParam1ʾ,Χ18
	NET_FISHEYE_EPTZ_CMD_ZOOMOUT,                   // С,dwParam1ʾ,Χ18
    NET_FISHEYE_EPTZ_CMD_UP,                        // ƶ,dwParam1ʾ,Χ18
    NET_FISHEYE_EPTZ_CMD_DOWN,                      // ƶ,dwParam1ʾ,Χ18
    NET_FISHEYE_EPTZ_CMD_LEFT,                      // ƶ,dwParam1ʾ,Χ18
    NET_FISHEYE_EPTZ_CMD_RIGHT,                     // ƶ,dwParam1ʾ,Χ18
    NET_FISHEYE_EPTZ_CMD_ROTATECLOCK,               // Զ˳ʱת,dwParam1ʾ,Χ18
    NET_FISHEYE_EPTZ_CMD_ROTATEANTICLOCK,           // Զʱת,dwParam1ʾ,Χ18
    NET_FISHEYE_EPTZ_CMD_STOP,                      // ֹԶת
    NET_FISHEYE_EPTZ_CMD_TAPVIEW,                   // ʾָλ,㼴,dwParam1ʾeptz̨Ľ,ڽͼеĺ,ȡֵͼĿ
    // dwParam2ʾeptz̨Ľ,ڽͼе,ȡֵͼĸ
    NET_FISHEYE_EPTZ_CMD_SHOEREGION,                // ѡŴ,wParam1ʾѡĵĺ,
    // dwParam2ʾѡĵ,dwParam3ʾѡεĿ
    // dwParam4ʾѡεĸ
}NET_FISHEYE_EPTZ_CMD;

// 
typedef enum tagNET_TRACK_CONTROL_CMD
{
    NET_TRACK_CONTROL_CMD_UP,                       // ƶ,dwParam1ʾ,Χ18 
    NET_TRACK_CONTROL_CMD_DOWN,                     // ƶ,dwParam1ʾ,Χ18
    NET_TRACK_CONTROL_CMD_LEFT,                     // ƶ,dwParam1ʾ,Χ18
    NET_TRACK_CONTROL_CMD_RIGHT,                    // ƶ,dwParam1ʾ,Χ18
    NET_TRACK_CONTROL_CMD_SETPRESET,                // Ԥõ,dwParam1ʾԤõֵ
    NET_TRACK_CONTROL_CMD_CLEARPRESET,              // Ԥõ,dwParam1ʾԤõֵ
    NET_TRACK_CONTROL_CMD_GOTOPRESET,               // תԤõ,dwParam1ʾԤõֵ
} NET_TRACK_CONTROL_CMD;

// ۽ģʽ
typedef enum tagNET_CALIBRATE_MODE
{
    NET_FISHEYE_CALIBRATE_MODE_UNKOWN,                      // δ֪ģʽ 
    NET_FISHEYE_CALIBRATE_MODE_ORIGIAL,                     // ԭʼͼģʽ
    NET_FISHEYE_CALIBRATE_MODE_CONFIG,                      // ģ
    NET_FISHEYE_CALIBRATE_MODE_PANORAMA,                    // ȫģʽ
    NET_FISHEYE_CALIBRATE_MODE_DOUBLEPANORAMA,              // ˫ȫģʽ
    NET_FISHEYE_CALIBRATE_MODE_ORIGIALPLUSTHREEEPTZREGION,  // 1+3ģʽһԭʼͼ3EPtzͼ
    NET_FISHEYE_CALIBRATE_MODE_SINGLE,                      // EPtzģʽֻһEPtz棩
    NET_FISHEYE_CALIBRATE_MODE_FOUREPTZREGION,              // 4ģʽ4EPtzƻ棩
    NET_FISHEYE_CALIBRATE_MODE_NORMAL,                      // ͨģʽ
}NET_FISHEYE_CALIBRATE_MODE;

typedef enum tagNET_FISHEYE_TYPE
{
    NET_FISHEYE_UNKOWN =0   ,               //δ֪
    NET_FISHEYE_CHIP        ,               //֧豸۽
    NET_FISHEYE_PLUGIN      ,               //ֿ֧ؼ۽
    NET_FISHEYE_CHIP_PLUGIN ,               //߶֧
}NET_FISHEYE_TYPE;

// ۰װģʽ
typedef enum tagNET_FISHEYE_MOUNT_MODE
{
    NET_FISHEYE_MOUNT_MODE_UNKOWN,                          // δ֪ģʽ                  
    NET_FISHEYE_MOUNT_MODE_CEIL,                            // װģʽ 
    NET_FISHEYE_MOUNT_MODE_WALL,                            // װģʽ  
    NET_FISHEYE_MOUNT_MODE_FLOOR,                           // װģʽ  
}NET_FISHEYE_MOUNT_MODE;
/////////////////////////////////־/////////////////////////////////

// ־ѯ
typedef enum _DH_LOG_QUERY_TYPE
{
    DHLOG_ALL = 0,                              // ־
    DHLOG_SYSTEM,                               // ϵͳ־
    DHLOG_CONFIG,                               // ־
    DHLOG_STORAGE,                              // 洢
    DHLOG_ALARM,                                // ־
    DHLOG_RECORD,                               // ¼
    DHLOG_ACCOUNT,                              // ʺ
    DHLOG_CLEAR,                                // ־
    DHLOG_PLAYBACK,                             // ط
    DHLOG_MANAGER                               // ǰ˹
} DH_LOG_QUERY_TYPE;

// ־
typedef enum _DH_LOG_TYPE
{
    DH_LOG_REBOOT = 0x0000,                     // 豸
    DH_LOG_SHUT,                                // 豸ػ
    DH_LOG_REPORTSTOP,
    DH_LOG_REPORTSTART,
    DH_LOG_UPGRADE = 0x0004,                    // 豸
    DH_LOG_SYSTIME_UPDATE = 0x0005,             // ϵͳʱ
    DH_LOG_GPS_TIME_UPDATE = 0x0006,            // GPSʱ
    DH_LOG_AUDIO_TALKBACK,                      // Խ, true,falseر    
    DH_LOG_COMM_ADAPTER,                        // ͸, true,falseر    
    DH_LOG_NET_TIMING,                          // Уʱ
    DH_LOG_CONFSAVE = 0x0100,                   // 
    DH_LOG_CONFLOAD,                            // ȡ
    DH_LOG_FSERROR = 0x0200,                    // ļϵͳ
    DH_LOG_HDD_WERR,                            // Ӳд
    DH_LOG_HDD_RERR,                            // Ӳ̶
    DH_LOG_HDD_TYPE,                            // Ӳ
    DH_LOG_HDD_FORMAT,                          // ʽӲ
    DH_LOG_HDD_NOSPACE,                         // ǰ̿ռ䲻
    DH_LOG_HDD_TYPE_RW,                         // ӲΪд
    DH_LOG_HDD_TYPE_RO,                         // ӲΪֻ    
    DH_LOG_HDD_TYPE_RE,                         // ӲΪ
    DH_LOG_HDD_TYPE_SS,                         // ӲΪ
    DH_LOG_HDD_NONE,                            // Ӳ̼¼
    DH_LOG_HDD_NOWORKHDD,                       // ޹(ûжд)
    DH_LOG_HDD_TYPE_BK,                         // ӲΪ
    DH_LOG_HDD_TYPE_REVERSE,                    // ӲΪ
    DH_LOG_HDD_START_INFO = 0x20e ,             // ¼ʱӲϢ
    DH_LOG_HDD_WORKING_DISK,                    // ¼̺Ĺ̺
    DH_LOG_HDD_OTHER_ERROR,                     // ¼Ӳ
    DH_LOG_HDD_SLIGHT_ERR,                      // Ӳ̴΢
    DH_LOG_HDD_SERIOUS_ERR,                     // Ӳ̴
    DH_LOG_HDD_NOSPACE_END,                     // ǰ̿ռ䲻㱨
    DH_LOG_HDD_TYPE_RAID_CONTROL,               // Raid
    DH_LOG_HDD_TEMPERATURE_HIGH,                // ¶ȹ
    DH_LOG_HDD_TEMPERATURE_LOW,                 // ¶ȹ
    DH_LOG_HDD_ESATA_REMOVE,                    // ƳeSATA
    DH_LOG_ALM_IN = 0x0300,                     // ⲿ뱨ʼ
    DH_LOG_NETALM_IN,                           // 籨
    DH_LOG_ALM_END = 0x0302,                    // ⲿ뱨ֹͣ
    DH_LOG_LOSS_IN,                             // Ƶʧʼ
    DH_LOG_LOSS_END,                            // Ƶʧ
    DH_LOG_MOTION_IN,                           // ̬ⱨʼ
    DH_LOG_MOTION_END,                          // ̬ⱨ
    DH_LOG_ALM_BOSHI,                           // 
    DH_LOG_NET_ABORT = 0x0308,                  // Ͽ
    DH_LOG_NET_ABORT_RESUME,                    // ָ
    DH_LOG_CODER_BREAKDOWN,                     // 
    DH_LOG_CODER_BREAKDOWN_RESUME,              // ϻָ
    DH_LOG_BLIND_IN,                            // Ƶڵ
    DH_LOG_BLIND_END,                           // Ƶڵָ
    DH_LOG_ALM_TEMP_HIGH,                       // ¶ȹ
    DH_LOG_ALM_VOLTAGE_LOW,                     // ѹ
    DH_LOG_ALM_BATTERY_LOW,                     // 
    DH_LOG_ALM_ACC_BREAK,                       // ACCϵ
    DH_LOG_ALM_ACC_RES,
    DH_LOG_GPS_SIGNAL_LOST,                     // GPSź
    DH_LOG_GPS_SIGNAL_RESUME,                   // GPSźŻָ
    DH_LOG_3G_SIGNAL_LOST,                      // 3Gź
    DH_LOG_3G_SIGNAL_RESUME,                    // 3GźŻָ
    DH_LOG_ALM_IPC_IN,                          // IPCⲿ
    DH_LOG_ALM_IPC_END,                         // IPCⲿָ
    DH_LOG_ALM_DIS_IN,                          // 
    DH_LOG_ALM_DIS_END,                         // ָ
    DH_LOG_ALM_UPS_IN, 				            // UPS澯
    DH_LOG_ALM_UPS_END, 				        // UPS澯ָ
    DH_LOG_ALM_NAS_IN,				            // NAS쳣
    DH_LOG_ALM_NAS_END,				            // NAS쳣ָ
    DH_LOG_ALM_REDUNDANT_POWER_IN,              // Դ澯
    DH_LOG_ALM_REDUNDANT_POWER_END,             // Դ澯ָ
    DH_LOG_ALM_RECORD_FAILED_IN,				// ¼ʧܸ澯
    DH_LOG_ALM_RECORD_FAILED_END,			    // ¼ʧܸ澯ָ
    DH_LOG_ALM_VGEXCEPT_IN,				        // 洢쳣
    DH_LOG_ALM_VGEXCEPT_END,				    // 洢쳣ָ	
    DH_LOG_ALM_FANSPEED_IN,			            // ȱʼ
    DH_LOG_ALM_FANSPEED_END,			        // ȱ
    DH_LOG_ALM_DROP_FRAME_IN,			        // ֡ʼ
    DH_LOG_ALM_DROP_FRAME_END,			        // ֡
    DH_LOG_ALM_DISK_STATE_CHECK,		        // ԤѲ챨¼־
    DH_LOG_ALARM_COAXIAL_SMOKE,		            // ̸ͬб¼
    DH_LOG_ALARM_COAXIAL_TEMP_HIGH,	            // ͬ¶ȱ¼
    DH_LOG_ALARM_COAXIAL_ALM_IN,		        // ͬⲿ¼
    DH_LOG_INFRAREDALM_IN = 0x03a0,             // ߱ʼ
    DH_LOG_INFRAREDALM_END,                     // ߱
    DH_LOG_IPCONFLICT,                          // IPͻ
    DH_LOG_IPCONFLICT_RESUME,                   // IPָ
    DH_LOG_SDPLUG_IN,                           // SD(DH_LOG_ITEMеreservedֵΪ3ʾU̲)
    DH_LOG_SDPLUG_OUT,                          // SDγ(DH_LOG_ITEMеreservedֵΪ3ʾṴγ)
    DH_LOG_NET_PORT_BIND_FAILED,                // ˿ڰʧ
    DH_LOG_HDD_BEEP_RESET,                      // Ӳ̴󱨾
    DH_LOG_MAC_CONFLICT,                        // MACͻ
    DH_LOG_MAC_CONFLICT_RESUME,                 // MACͻָ
    DH_LOG_ALARM_OUT,                           // ״̬
    DH_LOG_ALM_RAID_STAT_EVENT,                 // RAID״̬仯¼ 
    DH_LOG_ABLAZE_ON,                           // 𾯱,̸л¶
    DH_LOG_ABLAZE_OFF,                          // 𾯱 ָ
    DH_LOG_INTELLI_ALARM_PLUSE,                 // ͱ
    DH_LOG_INTELLI_ALARM_IN,                    // ܱʼ
    DH_LOG_INTELLI_ALARM_END,                   // ܱ
    DH_LOG_3G_SIGNAL_SCAN,                      // 3Gźż
    DH_LOG_GPS_SIGNAL_SCAN,                     // GPSźż
    DH_LOG_AUTOMATIC_RECORD = 0x0400,           // Զ¼
    DH_LOG_MANUAL_RECORD = 0x0401,              // ֶ¼
    DH_LOG_CLOSED_RECORD,                       // ֹͣ¼
    DH_LOG_LOGIN = 0x0500,                      // ¼
    DH_LOG_LOGOUT,                              // ע
    DH_LOG_ADD_USER,                            // û
    DH_LOG_DELETE_USER,                         // ɾû
    DH_LOG_MODIFY_USER,                         // ޸û
    DH_LOG_ADD_GROUP,                           // û
    DH_LOG_DELETE_GROUP,                        // ɾû
    DH_LOG_MODIFY_GROUP,                        // ޸û
    DH_LOG_NET_LOGIN = 0x0508,                  // û¼
    DH_LOG_MODIFY_PASSWORD,                     // ޸
    DH_LOG_CLEAR = 0x0600,                      // ־
    DH_LOG_SEARCHLOG,                           // ѯ־
    DH_LOG_SEARCH = 0x0700,                     // ¼ѯ
    DH_LOG_DOWNLOAD,                            // ¼
    DH_LOG_PLAYBACK,                            // ¼ط
    DH_LOG_BACKUP,                              // ¼ļ
    DH_LOG_BACKUPERROR,                         // ¼ļʧ
    DH_LOG_BACK_UPRT,                           // ʵʱ,̿¼
    DH_LOG_BACKUPCLONE,                         // ̸ơ
    DH_LOG_DISK_CHANGED,                        // ֶ
    DH_LOG_IMAGEPLAYBACK,                       // ͼƬط
    DH_LOG_LOCKFILE,                            // ¼
    DH_LOG_UNLOCKFILE,                          // ¼
    DH_LOG_ATMPOS,                              // ATMŵ־
    DH_PLAY_PAUSE,                              // ͣط
    DH_PLAY_START,                              // 
    LOG_PLAY_STOP,                              // ֹͣط
    LOG_PLAY_BACK,                              // 
    LOG_PLAY_FAST,                              // 
    LOG_PLAY_SLOW,                              // 
    LOG_SMART_SEARCH,                           // ܼ
    LOG_RECORD_SNAP,                            // ¼ץͼ
    LOG_ADD_TAG,                                // ӱǩ
    LOG_DEL_TAG,                                // ɾǩ
    LOG_USB_IN,                                 // USB豸
    LOG_USB_OUT,                                // USB豸Ͽ
    LOG_BACKUP_FILE,                            // ļ
    LOG_BACKUP_LOG,                             // ־
    LOG_BACKUP_CONFIG,                          // ñ

    DH_LOG_TIME_UPDATE  = 0x0800,               // ʱͬ
    DH_LOG_REMOTE_STATE = 0x0850,               // Զ־ 
    DH_LOG_USER_DEFINE = 0x0900,
    DH_LOG_TYPE_NR = 10,
} DH_LOG_TYPE;

// չ־,ӦCLIENT_QueryLogExӿ,(int nType = 1reserved = &nType)
typedef enum _DH_NEWLOG_TYPE
{
    DH_NEWLOG_REBOOT = 0x0000,                     // 豸
    DH_NEWLOG_SHUT,                                // 豸ػ
    DH_NEWLOG_REPORTSTOP,
    DH_NEWLOG_REPORTSTART,
    DH_NEWLOG_UPGRADE = 0x0004,                    // 豸
    DH_NEWLOG_SYSTIME_UPDATE = 0x0005,             // ϵͳʱ
    DH_NEWLOG_GPS_TIME_UPDATE = 0x0006,            // GPSʱ

    DH_NEWLOG_AUDIO_TALKBACK,                      // Խ, true,falseر    
    DH_NEWLOG_COMM_ADAPTER,                        // ͸, true,falseر    
    DH_NEWLOG_NET_TIMING,                          // Уʱ

    DH_NEWLOG_CONFSAVE = 0x0100,                   // 
    DH_NEWLOG_CONFLOAD,                            // ȡ
    DH_NEWLOG_FSERROR = 0x0200,                    // ļϵͳ
    DH_NEWLOG_HDD_WERR,                            // Ӳд
    DH_NEWLOG_HDD_RERR,                            // Ӳ̶
    DH_NEWLOG_HDD_TYPE,                            // Ӳ
    DH_NEWLOG_HDD_FORMAT,                          // ʽӲ
    DH_NEWLOG_HDD_NOSPACE,                         // ǰ̿ռ䲻
    DH_NEWLOG_HDD_TYPE_RW,                         // ӲΪд
    DH_NEWLOG_HDD_TYPE_RO,                         // ӲΪֻ    
    DH_NEWLOG_HDD_TYPE_RE,                         // ӲΪ
    DH_NEWLOG_HDD_TYPE_SS,                         // ӲΪ
    DH_NEWLOG_HDD_NONE,                            // Ӳ̼¼־
    DH_NEWLOG_HDD_NOWORKHDD,                       // ޹(ûжд)
    DH_NEWLOG_HDD_TYPE_BK,                         // ӲΪ
    DH_NEWLOG_HDD_TYPE_REVERSE,                    // ӲΪ
    DH_NEWLOG_HDD_START_INFO = 0x20e,              // ¼ʱӲϢ
    DH_NEWLOG_HDD_WORKING_DISK,                    // ¼̺Ĺ̺
    DH_NEWLOG_HDD_OTHER_ERROR,                     // ¼Ӳ
    DH_NEWLOG_HDD_SLIGHT_ERR,                      // Ӳ̴΢
    DH_NEWLOG_HDD_SERIOUS_ERR,                     // Ӳ̴
    DH_NEWLOG_HDD_NOSPACE_END,                     // ǰ̿ռ䲻㱨

    DH_NEWLOG_HDD_TYPE_RAID_CONTROL,               // Raid
    DH_NEWLOG_HDD_TEMPERATURE_HIGH,                // ¶ȹ
    DH_NEWLOG_HDD_TEMPERATURE_LOW,                 // ¶ȹ
    DH_NEWLOG_HDD_ESATA_REMOVE,                    // ƳeSATA

    DH_NEWLOG_ALM_IN = 0x0300,                     // ⲿ뱨ʼ
    DH_NEWLOG_NETALM_IN,                           // 籨
    DH_NEWLOG_ALM_END = 0x0302,                    // ⲿ뱨ֹͣ
    DH_NEWLOG_LOSS_IN,                             // Ƶʧʼ
    DH_NEWLOG_LOSS_END,                            // Ƶʧ
    DH_NEWLOG_MOTION_IN,                           // ̬ⱨʼ
    DH_NEWLOG_MOTION_END,                          // ̬ⱨ
    DH_NEWLOG_ALM_BOSHI,                           // 
    DH_NEWLOG_NET_ABORT = 0x0308,                  // Ͽ
    DH_NEWLOG_NET_ABORT_RESUME,                    // ָ
    DH_NEWLOG_CODER_BREAKDOWN,                     // 
    DH_NEWLOG_CODER_BREAKDOWN_RESUME,              // ϻָ
    DH_NEWLOG_BLIND_IN,                            // Ƶڵ
    DH_NEWLOG_BLIND_END,                           // Ƶڵָ
    DH_NEWLOG_ALM_TEMP_HIGH,                       // ¶ȹ
    DH_NEWLOG_ALM_VOLTAGE_LOW,                     // ѹ
    DH_NEWLOG_ALM_BATTERY_LOW,                     // 
    DH_NEWLOG_ALM_ACC_BREAK,                       // ACCϵ
    DH_NEWLOG_ALM_ACC_RES,
    DH_NEWLOG_GPS_SIGNAL_LOST,                     // GPSź
    DH_NEWLOG_GPS_SIGNAL_RESUME,                   // GPSźŻָ
    DH_NEWLOG_3G_SIGNAL_LOST,                      // 3Gź
    DH_NEWLOG_3G_SIGNAL_RESUME,                    // 3GźŻָ

    DH_NEWLOG_ALM_IPC_IN,                          // IPCⲿ
    DH_NEWLOG_ALM_IPC_END,                         // IPCⲿָ
    DH_NEWLOG_ALM_DIS_IN,                          // 
    DH_NEWLOG_ALM_DIS_END,                         // ָ

    DH_NEWLOG_INFRAREDALM_IN = 0x03a0,             // ߱ʼ
    DH_NEWLOG_INFRAREDALM_END,                     // ߱
    DH_NEWLOG_IPCONFLICT,                          // IPͻ
    DH_NEWLOG_IPCONFLICT_RESUME,                   // IPָ
    DH_NEWLOG_SDPLUG_IN,                           // SD
    DH_NEWLOG_SDPLUG_OUT,                          // SDγ
    DH_NEWLOG_NET_PORT_BIND_FAILED,                // ˿ڰʧ
    DH_NEWLOG_HDD_BEEP_RESET,                      // Ӳ̴󱨾
    DH_NEWLOG_MAC_CONFLICT,                        // MACͻ
    DH_NEWLOG_MAC_CONFLICT_RESUME,                 // MACͻָ
    DH_NEWLOG_ALARM_OUT,                           // ״̬
    DH_NEWLOG_ALM_RAID_STAT_EVENT,                 // RAID״̬仯¼ 
    DH_NEWLOG_ABLAZE_ON,                           // 𾯱,̸л¶
    DH_NEWLOG_ABLAZE_OFF,                          // 𾯱 ָ
    DH_NEWLOG_INTELLI_ALARM_PLUSE,                 // ͱ
    DH_NEWLOG_INTELLI_ALARM_IN,                    // ܱʼ
    DH_NEWLOG_INTELLI_ALARM_END,                   // ܱ
    DH_NEWLOG_3G_SIGNAL_SCAN,                      // 3Gźż
    DH_NEWLOG_GPS_SIGNAL_SCAN,                     // GPSźż
    DH_NEWLOG_AUTOMATIC_RECORD = 0x0400,           // Զ¼
    DH_NEWLOG_MANUAL_RECORD,                       // ֶ¼
    DH_NEWLOG_CLOSED_RECORD,                       // ֹͣ¼
    DH_NEWLOG_LOGIN = 0x0500,                      // ¼
    DH_NEWLOG_LOGOUT,                              // ע
    DH_NEWLOG_ADD_USER,                            // û
    DH_NEWLOG_DELETE_USER,                         // ɾû
    DH_NEWLOG_MODIFY_USER,                         // ޸û
    DH_NEWLOG_ADD_GROUP,                           // û
    DH_NEWLOG_DELETE_GROUP,                        // ɾû
    DH_NEWLOG_MODIFY_GROUP,                        // ޸û
    DH_NEWLOG_NET_LOGIN = 0x0508,                  // û¼
    DH_NEWLOG_CLEAR = 0x0600,                      // ־
    DH_NEWLOG_SEARCHLOG,                           // ѯ־
    DH_NEWLOG_SEARCH = 0x0700,                     // ¼ѯ
    DH_NEWLOG_DOWNLOAD,                            // ¼
    DH_NEWLOG_PLAYBACK,                            // ¼ط
    DH_NEWLOG_BACKUP,                              // ¼ļ
    DH_NEWLOG_BACKUPERROR,                         // ¼ļʧ

    DH_NEWLOG_BACK_UPRT,                           // ʵʱ,̿¼
    DH_NEWLOG_BACKUPCLONE,                         // ̸ơ
    DH_NEWLOG_DISK_CHANGED,                        // ֶ
    DH_NEWLOG_IMAGEPLAYBACK,                       // ͼƬط
    DH_NEWLOG_LOCKFILE,                            // ¼
    DH_NEWLOG_UNLOCKFILE,                          // ¼
    DH_NEWLOG_ATMPOS,                              // ATMŵ־

    DH_NEWLOG_TIME_UPDATE  = 0x0800,               // ʱ
    DH_NEWLOG_REMOTE_STATE = 0x0850,               // Զ־ 

    DH_NEWLOG_USER_DEFINE = 0x0900,
    DH_NEWLOG_TYPE_NR = 10,        
} DH_NEWLOG_TYPE;

///////////////////////////////Խ///////////////////////////////

// 
typedef enum __TALK_CODING_TYPE 
{
    DH_TALK_DEFAULT = 0,                        // ͷPCM
    DH_TALK_PCM = 1,                            // ͷPCM
    DH_TALK_G711a,                              // G711a
    DH_TALK_AMR,                                // AMR
    DH_TALK_G711u,                              // G711u
    DH_TALK_G726,                               // G726
    DH_TALK_G723_53,                            // G723_53
    DH_TALK_G723_63,                            // G723_63
    DH_TALK_AAC,                                // AAC
    DH_TALK_OGG,                                // OGG
    DH_TALK_G729 = 10,                          // G729
    DH_TALK_MPEG2,                               // MPEG2
    DH_TALK_MPEG2_Layer2,                        // MPEG2-Layer2
    DH_TALK_G722_1,                             // G.722.1
    DH_TALK_ADPCM = 21,                         // ADPCM
    DH_TALK_MP3   = 22,                            // MP3
    
} DH_TALK_CODING_TYPE;

// ¼ļ
typedef enum __NET_RECORD_TYPE
{
    NET_RECORD_TYPE_ALL,                        // ¼
    NET_RECORD_TYPE_NORMAL,                     // ͨ¼
    NET_RECORD_TYPE_ALARM,                      // ⲿ¼
    NET_RECORD_TYPE_MOTION,                     // 챨¼
}NET_RECORD_TYPE;

// Խʽ
typedef enum __EM_USEDEV_MODE
{
    DH_TALK_CLIENT_MODE,                        // ÿͻ˷ʽԽ
    DH_TALK_SERVER_MODE,                        // ÷ʽԽ
    DH_TALK_ENCODE_TYPE,                        // Խʽ(ӦDHDEV_TALKDECODE_INFO)
    DH_ALARM_LISTEN_MODE,                       // ñķʽ
    DH_CONFIG_AUTHORITY_MODE,                   // ͨȨ޽ù
    DH_TALK_TALK_CHANNEL,                       // öԽͨ(0~MaxChannel-1)
    DH_RECORD_STREAM_TYPE,                      // ôѯʱطŵ¼(0-,1-,2-)  
    DH_TALK_SPEAK_PARAM,                        // ,Ӧṹ NET_SPEAK_PARAM
    DH_RECORD_TYPE,                             // ðʱ¼طżص¼ļ(NET_RECORD_TYPE)
    DH_TALK_MODE3,                              // 豸Խ, Ӧṹ NET_TALK_EX
    DH_PLAYBACK_REALTIME_MODE ,                 // ʵʱطŹ(0-ر,1)
    DH_TALK_TRANSFER_MODE,                      // ԽǷΪתģʽ, Ӧṹ NET_TALK_TRANSFER_PARAM
    DH_TALK_VT_PARAM,                           // VTԽ, Ӧṹ NET_VT_TALK_PARAM
    DH_TARGET_DEV_ID,                           // Ŀ豸ʾ, Բѯϵͳ(0-תϵͳϢ)
	DH_AUDIO_RECORD_LENGTH = 15,                // ¼, ӦΪһint
} EM_USEDEV_MODE;


typedef enum __EM_TALK_DATA_TYPE
{ 
    NET_TALK_DATA_LOCAL_AUDIO = 0,              // ¼ɼƵ
    NET_TALK_DATA_RECV_AUDIO,                   // յ豸Ƶ
    NET_TALK_DATA_RESPOND,                      // ԽӦ
    NET_TALK_DATA_RECV_VIDEO,                   // յ豸Ƶ
}EM_TALK_DATA_TYPE;

typedef struct tagNET_TALK_VIDEO_FORMAT
{
    DWORD               dwSize;
    DWORD               dwCompression;          // Ƶѹʽ
    int                 nFrequency;             // ƵƵ
}NET_TALK_VIDEO_FORMAT;
// 豸Խ,ӦCLIENT_SetDeviceMode()DH_TALK_MODE3
typedef struct tagNET_TALK_EX
{
    DWORD               dwSize;
    int                 nChannel;                               // ͨ
    int                 nAudioPort;                             // Ƶ˿
    int                 nWaitTime;                              // ȴʱ, λms,Ϊ0ʹĬֵ
    HWND                hVideoWnd;                              // ӶԽƵʾ
    NET_TALK_VIDEO_FORMAT stuVideoFmt;                          // Ƶʽ
    char                szMulticastAddr[DH_MAX_IPADDR_LEN_EX];  // 鲥ַ
    WORD                wMulticastLocalPort;                    // 鲥ض˿
    WORD                wMulticastRemotePort;                   // 鲥Զ̶˿
}NET_TALK_EX;

// AMR
typedef enum __EM_ARM_ENCODE_MODE
{
    DH_TALK_AMR_AMR475 = 1,                     // AMR475
    DH_TALK_AMR_AMR515,                         // AMR515
    DH_TALK_AMR_AMR59,                          // AMR59
    DH_TALK_AMR_AMR67,                          // AMR67
    DH_TALK_AMR_AMR74,                          // AMR74
    DH_TALK_AMR_AMR795,                         // AMR795
    DH_TALK_AMR_AMR102,                         // AMR102
    DH_TALK_AMR_AMR122,                         // AMR122
} EM_ARM_ENCODE_MODE;

// 
typedef struct __NET_SPEAK_PARAM
{
    DWORD           dwSize;                     // ṹС
    int             nMode;                      // 0ԽĬģʽ,1ӺлԽҪ
    											// 2: лģʽҪ
    int             nSpeakerChannel;            // ͨ,ʱЧ
    BOOL            bEnableWait;                // ԽʱǷȴ豸Ӧ,Ĭϲȴ.TRUE:ȴ;FALSE:ȴ
                                                // ʱʱCLIENT_SetNetworkParam,ӦNET_PARAMnWaittimeֶ
} NET_SPEAK_PARAM;

// ǷԽתģʽ
typedef struct tagNET_TALK_TRANSFER_PARAM
{
    DWORD           dwSize;
    BOOL            bTransfer;                  // ǷԽתģʽ, TRUE: ת, FALSE: رת
}NET_TALK_TRANSFER_PARAM;

//////////////////////////////////////////////////////////////////

// ,Ӧ CLIENT_ControlDevice ӿ
typedef enum _CtrlType
{
    DH_CTRL_REBOOT = 0,                            // 豸    
    DH_CTRL_SHUTDOWN,                              // ر豸
    DH_CTRL_DISK,                                  // Ӳ̹
    DH_KEYBOARD_POWER = 3,                         // 
    DH_KEYBOARD_ENTER,
    DH_KEYBOARD_ESC,
    DH_KEYBOARD_UP,
    DH_KEYBOARD_DOWN,
    DH_KEYBOARD_LEFT,
    DH_KEYBOARD_RIGHT,
    DH_KEYBOARD_BTN0,
    DH_KEYBOARD_BTN1,
    DH_KEYBOARD_BTN2,
    DH_KEYBOARD_BTN3,
    DH_KEYBOARD_BTN4,
    DH_KEYBOARD_BTN5,
    DH_KEYBOARD_BTN6,
    DH_KEYBOARD_BTN7,
    DH_KEYBOARD_BTN8,
    DH_KEYBOARD_BTN9,
    DH_KEYBOARD_BTN10,
    DH_KEYBOARD_BTN11,
    DH_KEYBOARD_BTN12,
    DH_KEYBOARD_BTN13,
    DH_KEYBOARD_BTN14,
    DH_KEYBOARD_BTN15,
    DH_KEYBOARD_BTN16,
    DH_KEYBOARD_SPLIT,
    DH_KEYBOARD_ONE,
    DH_KEYBOARD_NINE,
    DH_KEYBOARD_ADDR,
    DH_KEYBOARD_INFO,
    DH_KEYBOARD_REC,
    DH_KEYBOARD_FN1,
    DH_KEYBOARD_FN2,
    DH_KEYBOARD_PLAY,
    DH_KEYBOARD_STOP,
    DH_KEYBOARD_SLOW,
    DH_KEYBOARD_FAST,
    DH_KEYBOARD_PREW,
    DH_KEYBOARD_NEXT,
    DH_KEYBOARD_JMPDOWN,
    DH_KEYBOARD_JMPUP,
    DH_KEYBOARD_10PLUS,
    DH_KEYBOARD_SHIFT,
    DH_KEYBOARD_BACK,               
    DH_KEYBOARD_LOGIN ,                            // ̹
    DH_KEYBOARD_CHNNEL ,                           // лƵͨ
    DH_TRIGGER_ALARM_IN = 100,                     // 
    DH_TRIGGER_ALARM_OUT,                          // 
    DH_CTRL_MATRIX,                                // 
    DH_CTRL_SDCARD,                                // SD(IPCƷ)ͬӲ̿
    DH_BURNING_START,                              // ¼,ʼ¼
    DH_BURNING_STOP,                               // ¼,¼
    DH_BURNING_ADDPWD,                             // ¼,('\0'Ϊβַ,󳤶8λ)
    DH_BURNING_ADDHEAD,                            // ¼,Ƭͷ('\0'Ϊβַ,󳤶1024ֽ,ַ֧,зָ'\n')
    DH_BURNING_ADDSIGN,                            // ¼,Ӵ㵽¼Ϣ()
    DH_BURNING_ADDCURSTOMINFO,                     // ¼,Զ('\0'Ϊβַ,󳤶1024ֽ,ַ֧,зָ'\n')
    DH_CTRL_RESTOREDEFAULT,                        // ָ豸Ĭ
    DH_CTRL_CAPTURE_START,                         // 豸ץͼ
    DH_CTRL_CLEARLOG,                              // ־
    DH_TRIGGER_ALARM_WIRELESS = 200,               // ߱(IPCƷ)
    DH_MARK_IMPORTANT_RECORD,                      // ʶҪ¼ļ
    DH_CTRL_DISK_SUBAREA,                          // Ӳ̷    
    DH_BURNING_ATTACH,                             // ¼,¼.
    DH_BURNING_PAUSE,                              // ¼ͣ
    DH_BURNING_CONTINUE,                           // ¼
    DH_BURNING_POSTPONE,                           // ¼˳
    DH_CTRL_OEMCTRL,                               // ͣ
    DH_BACKUP_START,                               // 豸ݿʼ
    DH_BACKUP_STOP,                                // 豸ֹͣ
    DH_VIHICLE_WIFI_ADD,                           // ֶWIFI
    DH_VIHICLE_WIFI_DEC,                           // ֶɾWIFI
    DH_BUZZER_START,                               // ƿʼ
    DH_BUZZER_STOP,                                // ƽ
    DH_REJECT_USER,                                // ޳û
    DH_SHIELD_USER,                                // û
    DH_RAINBRUSH,                                  // ܽͨ, ˢ 
    DH_MANUAL_SNAP,                                // ܽͨ, ֶץ (Ӧṹ MANUAL_SNAP_PARAMETER)
    DH_MANUAL_NTP_TIMEADJUST,                      // ֶNTPУʱ
    DH_NAVIGATION_SMS,                             // ϢͶϢ
    DH_CTRL_ROUTE_CROSSING,                        // ·ߵλϢ
    DH_BACKUP_FORMAT,                              // ʽ豸
    DH_DEVICE_LOCALPREVIEW_SLIPT,                  // 豸˱Ԥָ(ӦṹDEVICE_LOCALPREVIEW_SLIPT_PARAMETER)    
    DH_CTRL_INIT_RAID,                             // RAIDʼ
    DH_CTRL_RAID,                                  // RAID
    DH_CTRL_SAPREDISK,                             // ȱ̲
    DH_WIFI_CONNECT,                               // ֶWIFI(ӦṹWIFI_CONNECT)
    DH_WIFI_DISCONNECT,                            // ֶϿWIFI(ӦṹWIFI_CONNECT)
    DH_CTRL_ARMED,                                 // 
    DH_CTRL_IP_MODIFY,                             // ޸ǰIP(ӦṹDHCTRL_IPMODIFY_PARAM)                     
    DH_CTRL_WIFI_BY_WPS,                           // wpswifi(ӦṹDHCTRL_CONNECT_WIFI_BYWPS)
    DH_CTRL_FORMAT_PATITION,                       // ʽ(ӦṹDH_FORMAT_PATITION)
    DH_CTRL_EJECT_STORAGE,                         // ֶж豸(ӦṹDH_EJECT_STORAGE_DEVICE)
    DH_CTRL_LOAD_STORAGE,                          // ֶװ豸(ӦṹDH_LOAD_STORAGE_DEVICE)
    DH_CTRL_CLOSE_BURNER,                          // رտ¼(Ӧṹ NET_CTRL_BURNERDOOR) һҪ6
    DH_CTRL_EJECT_BURNER,                          // ¼(Ӧṹ NET_CTRL_BURNERDOOR) һҪ4
    DH_CTRL_CLEAR_ALARM,                           // (Ӧṹ NET_CTRL_CLEAR_ALARM)
    DH_CTRL_MONITORWALL_TVINFO,                    // ǽϢʾ(Ӧṹ NET_CTRL_MONITORWALL_TVINFO)
    DH_CTRL_START_VIDEO_ANALYSE,                   // ʼƵܷ(Ӧṹ NET_CTRL_START_VIDEO_ANALYSE)
    DH_CTRL_STOP_VIDEO_ANALYSE,                    // ֹͣƵܷ(Ӧṹ NET_CTRL_STOP_VIDEO_ANALYSE)
    DH_CTRL_UPGRADE_DEVICE,                        // 豸,豸,Ҫļ
    DH_CTRL_MULTIPLAYBACK_CHANNALES,               // лͨԤطŵͨ(Ӧṹ NET_CTRL_MULTIPLAYBACK_CHANNALES)
    DH_CTRL_SEQPOWER_OPEN,                         // Դʱ򿪿(Ӧ NET_CTRL_SEQPOWER_PARAM)
    DH_CTRL_SEQPOWER_CLOSE,                        // Դʱرտ(Ӧ NET_CTRL_SEQPOWER_PARAM)
    DH_CTRL_SEQPOWER_OPEN_ALL,                     // Դʱ򿪿(Ӧ NET_CTRL_SEQPOWER_PARAM)
    DH_CTRL_SEQPOWER_CLOSE_ALL,                    // Դʱرտ(Ӧ NET_CTRL_SEQPOWER_PARAM)
    DH_CTRL_PROJECTOR_RISE,                        // ͶӰ(Ӧ NET_CTRL_PROJECTOR_PARAM)
    DH_CTRL_PROJECTOR_FALL,                        // ͶӰ½(Ӧ NET_CTRL_PROJECTOR_PARAM)
    DH_CTRL_PROJECTOR_STOP,                        // ͶӰֹͣ(Ӧ NET_CTRL_PROJECTOR_PARAM)
    DH_CTRL_INFRARED_KEY,                          // ⰴ(Ӧ NET_CTRL_INFRARED_KEY_PARAM)
    DH_CTRL_START_PLAYAUDIO,                       // 豸ʼƵļ(Ӧṹ NET_CTRL_START_PLAYAUDIO)
    DH_CTRL_STOP_PLAYAUDIO,                        // 豸ֹͣƵļ
    DH_CTRL_START_ALARMBELL,                       // (Ӧṹ NET_CTRL_ALARMBELL)
    DH_CTRL_STOP_ALARMBELL,                        // رվ(Ӧṹ NET_CTRL_ALARMBELL)
    DH_CTRL_ACCESS_OPEN,                           // Ž-(Ӧṹ NET_CTRL_ACCESS_OPEN)
    DH_CTRL_SET_BYPASS,                            // ·(Ӧṹ NET_CTRL_SET_BYPASS)
    DH_CTRL_RECORDSET_INSERT,                      // Ӽ¼,ü¼(Ӧ NET_CTRL_RECORDSET_INSERT_PARAM)
    DH_CTRL_RECORDSET_UPDATE,                      // ĳ¼ŵļ¼(ӦNET_CTRL_RECORDSET_PARAM)
    DH_CTRL_RECORDSET_REMOVE,                      // ݼ¼ɾĳ¼(ӦNET_CTRL_RECORDSET_PARAM)
    DH_CTRL_RECORDSET_CLEAR,                       // м¼Ϣ(ӦNET_CTRL_RECORDSET_PARAM)
    DH_CTRL_ACCESS_CLOSE,                          // Ž-(Ӧṹ NET_CTRL_ACCESS_CLOSE)
    DH_CTRL_ALARM_SUBSYSTEM_ACTIVE_SET,            // ϵͳ(ӦṹNET_CTRL_ALARM_SUBSYSTEM_SETACTIVE)
    DH_CTRL_FORBID_OPEN_STROBE,                    // ֹ豸˿բ(Ӧṹ NET_CTRL_FORBID_OPEN_STROBE)
    DH_CTRL_OPEN_STROBE,                           // բ(Ӧṹ NET_CTRL_OPEN_STROBE)
    DH_CTRL_TALKING_REFUSE,                        // Խܾ(Ӧṹ NET_CTRL_TALKING_REFUSE)
    DH_CTRL_ARMED_EX,                              // (Ӧṹ CTRL_ARM_DISARM_PARAM_EX), CTRL_ARM_DISARM_PARAM ,
    DH_CTRL_REMOTE_TALK,                           // Զ̶Խ(ӦṹNET_CTRL_REMOTETALK_PARAM)
    DH_CTRL_NET_KEYBOARD = 400,                    // ̿(Ӧṹ DHCTRL_NET_KEYBOARD)
    DH_CTRL_AIRCONDITION_OPEN,                     // 򿪿յ(Ӧṹ NET_CTRL_OPEN_AIRCONDITION)
    DH_CTRL_AIRCONDITION_CLOSE,                    // رտյ(Ӧṹ NET_CTRL_CLOSE_AIRCONDITION)
    DH_CTRL_AIRCONDITION_SET_TEMPERATURE,          // 趨յ¶(Ӧṹ NET_CTRL_SET_TEMPERATURE)
    DH_CTRL_AIRCONDITION_ADJUST_TEMPERATURE,       // ڿյ¶(Ӧṹ NET_CTRL_ADJUST_TEMPERATURE)
    DH_CTRL_AIRCONDITION_SETMODE,                  // ÿյģʽ(Ӧṹ NET_CTRL_ADJUST_TEMPERATURE)
    DH_CTRL_AIRCONDITION_SETWINDMODE,              // ÿյͷģʽ(Ӧṹ NET_CTRL_AIRCONDITION_SETMODE)
    DH_CTRL_RESTOREDEFAULT_EX ,                    // ָ豸ĬЭ(ӦṹNET_CTRL_RESTORE_DEFAULT)
                                                   // ָʹøö,ӿʧ,
                                                   // CLIENT_GetLastErrorNET_UNSUPPORTED,ٳʹDH_CTRL_RESTOREDEFAULTָ
    DH_CTRL_NOTIFY_EVENT,                          // 豸¼(Ӧṹ NET_NOTIFY_EVENT_DATA)
    DH_CTRL_SILENT_ALARM_SET,                      // 
    DH_CTRL_START_PLAYAUDIOEX,                     // 豸ʼ(Ӧṹ NET_CTRL_START_PLAYAUDIOEX)
    DH_CTRL_STOP_PLAYAUDIOEX,                      // 豸ֹͣ
    DH_CTRL_CLOSE_STROBE,                          // رյբ(Ӧṹ NET_CTRL_CLOSE_STROBE)
    DH_CTRL_SET_ORDER_STATE,                       // óλԤ״̬(Ӧṹ NET_CTRL_SET_ORDER_STATE)
    DH_CTRL_RECORDSET_INSERTEX,                    // ָƼ¼,ü¼(Ӧ NET_CTRL_RECORDSET_INSERT_PARAM)
    DH_CTRL_RECORDSET_UPDATEEX,                    // ָƼ¼ŵļ¼(ӦNET_CTRL_RECORDSET_PARAM)
    DH_CTRL_CAPTURE_FINGER_PRINT,                  // ָƲɼ(Ӧṹ NET_CTRL_CAPTURE_FINGER_PRINT)
    DH_CTRL_ECK_LED_SET,                           // ͣڿLED(Ӧṹ NET_CTRL_ECK_LED_SET_PARAM)
    DH_CTRL_ECK_IC_CARD_IMPORT,                    // ͣϵͳڻICϢ(Ӧṹ NET_CTRL_ECK_IC_CARD_IMPORT_PARAM)
    DH_CTRL_ECK_SYNC_IC_CARD,                      // ͣϵͳڻICϢָͬ,յָ,豸ɾԭICϢ(Ӧṹ NET_CTRL_ECK_SYNC_IC_CARD_PARAM)
    DH_CTRL_LOWRATEWPAN_REMOVE,                    // ɾָ豸(Ӧṹ NET_CTRL_LOWRATEWPAN_REMOVE)
    DH_CTRL_LOWRATEWPAN_MODIFY,                    // ޸豸Ϣ(Ӧṹ NET_CTRL_LOWRATEWPAN_MODIFY)
	DH_CTRL_ECK_SET_PARK_INFO,                     // ͣϵͳڻóλϢ(Ӧṹ NET_CTRL_ECK_SET_PARK_INFO_PARAM)
    DH_CTRL_VTP_DISCONNECT,                        // ҶƵ绰(Ӧṹ NET_CTRL_VTP_DISCONNECT)
    DH_CTRL_UPDATE_FILES,                          // ԶͶŶýļ(Ӧṹ NET_CTRL_UPDATE_FILES)
    DH_CTRL_MATRIX_SAVE_SWITCH,                    // λϵ(Ӧṹ NET_CTRL_MATRIX_SAVE_SWITCH)
    DH_CTRL_MATRIX_RESTORE_SWITCH,                 // ָλϵ(Ӧṹ NET_CTRL_MATRIX_RESTORE_SWITCH)
    DH_CTRL_VTP_DIVERTACK,                         // תӦ(Ӧṹ NET_CTRL_VTP_DIVERTACK)	
    DH_CTRL_RAINBRUSH_MOVEONCE,                    // ˢˢһ,ˢģʽΪֶģʽʱЧ(Ӧṹ NET_CTRL_RAINBRUSH_MOVEONCE)
    DH_CTRL_RAINBRUSH_MOVECONTINUOUSLY,            // ˢѭˢ,ˢģʽΪֶģʽʱЧ(Ӧṹ NET_CTRL_RAINBRUSH_MOVECONTINUOUSLY)
    DH_CTRL_RAINBRUSH_STOPMOVE,                    // ˢֹͣˢ,ˢģʽΪֶģʽʱЧ(Ӧṹ NET_CTRL_RAINBRUSH_STOPMOVE)
    DH_CTRL_ALARM_ACK,                             // ¼ȷ(Ӧṹ NET_CTRL_ALARM_ACK)
                                                   // DH_CTRL_ALARM_ACK òڱصӿе
    DH_CTRL_RECORDSET_IMPORT,                      // ¼Ϣ(ӦNET_CTRL_RECORDSET_PARAM)
    DH_CTRL_DELIVERY_FILE,                         // ƵͶƵͼƬļ, ¥ԽʹãͬһʱͶ(ӦNET_CTRL_DELIVERY_FILE)
	DH_CTRL_FORCE_BREAKING,                        // ǿƲΥ(Ӧ NET_CTRL_FORCE_BREAKING)
	DH_CTRL_RESTORE_EXCEPT,						   // ָָΪĬϡ
	DH_CTRL_SET_PARK_INFO,						   // ͣϢƽ̨øڵʾ(Ӧṹ NET_CTRL_SET_PARK_INFO)
	DH_CTRL_CLEAR_SECTION_STAT,					   // ǰʱͳϢ, ´0ʼ(ӦṹNET_CTRL_CLEAR_SECTION_STAT_INFO)
    DH_CTRL_DELIVERY_FILE_BYCAR,                   // ƵͶƵͼƬļ, ʹã浥ʱͶ(ӦNET_CTRL_DELIVERY_FILE_BYCAR)
	DH_CTRL_ECK_GUIDINGPANEL_CONTENT,              // յʾ(Ӧṹ NET_CTRL_ECK_GUIDINGPANEL_CONTENT)
	DH_CTRL_SET_SAFE_LEVEL,						   // Žȫȼ(Ӧṹ壬pInBuf= NET_IN_SET_SAFE_LEVEL*, pOutBuf= NET_OUT_SET_SAFE_LEVEL * )
    DH_CTRL_VTP_INVITEACK,                           // Խظ(Ӧṹ NET_CTRL_VTP_INVITEACK)
    DH_CTRL_ACCESS_RESET_PASSWORD,                 // Ž-(Ӧṹ NET_CTRL_ACCESS_RESET_PASSWORD)
    DH_CTRL_ACCESS_CALL_LIFT,                      // Ž-(Ӧṹ NET_CTRL_ACCESS_CALL_LIFT)
                                                   // ֻ CLIENT_ControlDeviceEx Ч
    DH_CTRL_THERMO_GRAPHY_ENSHUTTER = 0x10000,     // ȳ/, pInBuf= NET_IN_THERMO_EN_SHUTTER*, pOutBuf= NET_OUT_THERMO_EN_SHUTTER * 
    DH_CTRL_RADIOMETRY_SETOSDMARK,                 // òosdΪ, pInBuf= NET_IN_RADIOMETRY_SETOSDMARK*, pOutBuf= NET_OUT_RADIOMETRY_SETOSDMARK *    
    DH_CTRL_AUDIO_REC_START_NAME,                  // Ƶ¼õ¼, pInBuf = NET_IN_AUDIO_REC_MNG_NAME *, pOutBuf = NET_OUT_AUDIO_REC_MNG_NAME *
    DH_CTRL_AUDIO_REC_STOP_NAME,                   // رƵ¼ļ, pInBuf = NET_IN_AUDIO_REC_MNG_NAME *, pOutBuf = NET_OUT_AUDIO_REC_MNG_NAME *
    DH_CTRL_SNAP_MNG_SNAP_SHOT,                    // ʱץͼ(ֶץͼ), pInBuf = NET_IN_SNAP_MNG_SHOT *, pOutBuf = NET_OUT_SNAP_MNG_SHOT *
    DH_CTRL_LOG_STOP,                              // ǿͬݵݿⲢرݿ, pInBuf = NET_IN_LOG_MNG_CTRL *, pOutBuf = NET_OUT_LOG_MNG_CTRL *
    DH_CTRL_LOG_RESUME,                            // ָݿ, pInBuf = NET_IN_LOG_MNG_CTRL *, pOutBuf = NET_OUT_LOG_MNG_CTRL *
    DH_CTRL_POS_ADD,                               // һPos豸, pInBuf = NET_IN_POS_ADD *, pOutBuf = NET_OUT_POS_ADD *
    DH_CTRL_POS_REMOVE,                            // ɾһPos豸, pInBuf = NET_IN_POS_REMOVE *, pOutBuf = NET_OUT_POS_REMOVE *
    DH_CTRL_POS_REMOVE_MULTI,                      // ɾPos豸, pInBuf = NET_IN_POS_REMOVE_MULTI *, pOutBuf = NET_OUT_POS_REMOVE_MULTI *
    DH_CTRL_POS_MODIFY,                            // ޸һPos豸, pInBuf = NET_IN_POS_ADD *, pOutBuf = NET_OUT_POS_ADD *
    DH_CTRL_SET_SOUND_ALARM,                       // , pInBuf = NET_IN_SOUND_ALARM *, pOutBuf = NET_OUT_SOUND_ALARM *
	DH_CTRL_AUDIO_MATRIX_SILENCE,				   // Ƶ֤һ(ӦpInBuf = NET_IN_AUDIO_MATRIX_SILENCE, pOutBuf =  NET_OUT_AUDIO_MATRIX_SILENCE)
    DH_CTRL_MANUAL_UPLOAD_PICTURE,                 // ֶϴ, pInBuf = NET_IN_MANUAL_UPLOAD_PICTURE *, pOutBUf = NET_OUT_MANUAL_UPLOAD_PICTURE *
    DH_CTRL_REBOOT_NET_DECODING_DEV,               // 豸, pInBuf = NET_IN_REBOOT_NET_DECODING_DEV *, pOutBuf = NET_OUT_REBOOT_NET_DECODING_DEV *
	DH_CTRL_SET_IC_SENDER,						   // ParkingControl ÷豸, pInBuf = NET_IN_SET_IC_SENDER *, pOutBuf = NET_OUT_SET_IC_SENDER * 
    DH_CTRL_SET_MEDIAKIND,                         // ü,Ƶ,Ƶ,Ƶ pInBuf = NET_IN_SET_MEDIAKIND *, pOutBuf = NET_OUT_SET_MEDIAKIND *
                                                   // Ϲбʹ, EN_ENCODE_CHN,2-֧Ƶֿȡ
	DH_CTRL_LOWRATEWPAN_ADD,                       // 豸Ϣ(Ӧṹ pInBuf = NET_CTRL_LOWRATEWPAN_ADD *, pOutBUf = NULL)
	DH_CTRL_LOWRATEWPAN_REMOVEALL,                 // ɾе豸Ϣ(Ӧṹ pInBuf = NET_CTRL_LOWRATEWPAN_REMOVEALL *, pOutBUf = NULL)
	DH_CTRL_SET_DOOR_WORK_MODE,                    // ģʽ(Ӧṹ pInBuf = NET_IN_CTRL_ACCESS_SET_DOOR_WORK_MODE *, pOutBUf = NULL)	
    DH_CTRL_TEST_MAIL,                             // ʼ pInBuf = NET_IN_TEST_MAIL *, pOutBUf = NET_OUT_TEST_MAIL *
    DH_CTRL_CONTROL_SMART_SWITCH,                  // ܿ pInBuf = NET_IN_CONTROL_SMART_SWITCH *, pOutBUf = NET_OUT_CONTROL_SMART_SWITCH *
	DH_CTRL_LOWRATEWPAN_SETWORKMODE,          	   // ̽Ĺģʽ(ӦṹpInBuf = NET_IN_CTRL_LOWRATEWPAN_SETWORKMODE *, pOutBUf = NULL)
	DH_CTRL_COAXIAL_CONTROL_IO,					   // ͬIO(ӦṹpInBuf = NET_IN_CONTROL_COAXIAL_CONTROL_IO*, pOutBUf = NET_OUT_CONTROL_COAXIAL_CONTROL_IO*)
	DH_CTRL_START_REMOTELOWRATEWPAN_ALARMBELL,		// ߾ (ӦṹpInBuf = NET_IN_START_REMOTELOWRATEWPAN_ALARMBELL*, pOutBUf = NET_OUT_START_REMOTELOWRATEWPAN_ALARMBELL*)
	DH_CTRL_STOP_REMOTELOWRATEWPAN_ALARMBELL,		// ر߾ (ӦṹpInBuf = NET_IN_STOP_REMOTELOWRATEWPAN_ALARMBELL*, pOutBUf = NET_OUT_STOP_REMOTELOWRATEWPAN_ALARMBELL*)
	DH_CTRL_THERMO_DO_FFC,							// ȳFFCУ׼(Ӧṹ pInBuf = NET_IN_THERMO_DO_FFC *,pOutBuf = NET_OUT_THERMO_DO_FFC *)
	DH_CTRL_THERMO_FIX_FOCUS,						// ȳ˫Ŀ(Ӧṹ pInBuf = NET_IN_THERMO_FIX_FOCUS *,pOutBuf = NET_OUT_THERMO_FIX_FOCUS *)
	DH_CTRL_SET_THIRD_CALLSTATUS,					// öԽ״̬(ӦṹpInBuf = NET_IN_VTP_THIRDCALL_STATUS*, pOutBuf = NET_OUT_VTP_THIRDCALL_STATUS*)


	/**********LowRateWPAN(0x10100-0x10150)**********************************************************************************/
	DH_CTRL_LOWRATEWPAN_GETWIRELESSDEVSIGNAL = 0x10100,      // ȡ豸źǿ(Ӧṹ pInBuf = NET_IN_CTRL_LOWRATEWPAN_GETWIRELESSDEVSIGNAL *,pOutBuf = NET_OUT_CTRL_LOWRATEWPAN_GETWIRELESSDEVSIGNAL *)
} CtrlType;

#define DH_MAX_WIRELESS_DEV_NUM 80                                    //豸

//ȡ豸źǿ(ӦDH_CTRL_LOWRATEWPAN_GETWIRELESSDEVSIGNAL)
typedef struct tagNET_IN_CTRL_LOWRATEWPAN_GETWIRELESSDEVSIGNAL
{
	DWORD                       dwSize;                               //ṹС
	int                         nStartIndex;                          //ʼţ0ʼ
	int                         nDevStateNum;                         //λȡ豸״ֵ̬СڵMaxPageSizeֶεֵ
}NET_IN_CTRL_LOWRATEWPAN_GETWIRELESSDEVSIGNAL;

//豸źϢ
typedef struct tagNET_WIRELESSDEVSIGNAL_INFO
{
	char                        szDevSN[32];                          //豸к    
	UINT                        unSignal;                             //źǿȰٷֱ
	BYTE                        byReserver[512];                      //ֽ
}NET_WIRELESSDEVSIGNAL_INFO;

//ȡ豸źǿȳ(ӦDH_CTRL_LOWRATEWPAN_GETWIRELESSDEVSIGNAL)
typedef struct tagNET_OUT_CTRL_LOWRATEWPAN_GETWIRELESSDEVSIGNAL
{
	DWORD                       dwSize;                               //ṹС
	int                         nWirelessDevNum;                      //ȡ豸
	NET_WIRELESSDEVSIGNAL_INFO  stuDevSignal[DH_MAX_WIRELESS_DEV_NUM];//豸źǿ
}NET_OUT_CTRL_LOWRATEWPAN_GETWIRELESSDEVSIGNAL;

// λϵ(ӦDH_CTRL_MATRIX_SAVE_SWITCH)
typedef struct tagNET_CTRL_MATRIX_SAVE_SWITCH 
{
    DWORD           dwSize;
    const char*     pszName;                        // λϵ
} NET_CTRL_MATRIX_SAVE_SWITCH;

// ָλϵ(ӦDH_CTRL_MATRIX_RESTORE_SWITCH)
typedef struct tagNET_CTRL_MATRIX_RESTORE_SWITCH
{
    DWORD           dwSize;
    const char*     pszName;                        // λϵ
} NET_CTRL_MATRIX_RESTORE_SWITCH;

// ָĬЭ
typedef struct tagNET_CTRL_RESTORE_DEFAULT
{
    DWORD               dwSize;
    const char*         szCfgNames;                     // '&&'Ϊ,μdhconfigsdk.hCLIENT_GetNewDevConfigCLIENT_SetNewDevConfigӿڵ
}NET_CTRL_RESTORE_DEFAULT;

// ָĬ
typedef struct tagNET_CTRL_RESTORE_EXCEPT
{
	DWORD			dwSize;
	char		 	szCfgName[DH_MAX_STRING_LEN];				// ƣμdhconfigsdk.hCLIENT_GetNewDevConfigCLIENT_SetNewDevConfigӿڵ
}NET_CTRL_RESTORE_EXCEPT;

// 򿪿յ(ӦDH_CTRL_AIRCONDITION_OPEN)
typedef struct tagNET_CTRL_OPEN_AIRCONDITION
{
    DWORD               dwSize;
    char                szDeviceID[DH_MAX_DEV_ID_LEN];  // 豸Ωһʶ
} NET_CTRL_OPEN_AIRCONDITION;

// رտյ(ӦDH_CTRL_AIRCONDITION_CLOSE)
typedef struct tagNET_CTRL_CLOSE_AIRCONDITION
{
    DWORD               dwSize;
    char                szDeviceID[DH_MAX_DEV_ID_LEN];  // 豸Ωһʶ
} NET_CTRL_CLOSE_AIRCONDITION;

// ÿյ¶Ȳ(ӦDH_CTRL_AIRCONDITION_SET_TEMPERATURE)
typedef struct tagNET_CTRL_SET_TEMPERATURE
{
    DWORD               dwSize;
    char                szDeviceID[DH_MAX_DEV_ID_LEN];  // 豸Ωһʶ
    int                 nTemperature;                   // ¶ֵ(λ϶)
} NET_CTRL_SET_TEMPERATURE;

// ڿյ¶Ȳ(ӦDH_CTRL_AIRCONDITION_ADJUST_TEMPERATURE)
typedef struct tagNET_CTRL_ADJUST_TEMPERATURE
{
    DWORD               dwSize;
    char                szDeviceID[DH_MAX_DEV_ID_LEN];  // 豸Ωһʶ
    int                 nTemperatureScale;              // õֵ, -1ʾ¶µһ(λ϶)
} NET_CTRL_ADJUST_TEMPERATURE;

// ÿյģʽ(ӦDH_CTRL_AIRCONDITION_SETMODE)
typedef struct tagNET_CTRL_AIRCONDITION_SETMODE
{
    DWORD                   dwSize;
    char                    szDeviceID[DH_MAX_DEV_ID_LEN];  // 豸Ωһʶ
    EM_AIRCONDITION_MODE    emAirconditionMode;             // յģʽ
    int                     nTemperature;                   // õֵ(λ϶)
} NET_CTRL_AIRCONDITION_SETMODE;

// ÿյͷģʽ(ӦDH_CTRL_AIRCONDITION_SETWINDMODE)
typedef struct tagNET_CTRL_AIRCONDITION_SETWINDMODE
{
    DWORD                       dwSize;
    char                        szDeviceID[DH_MAX_DEV_ID_LEN];  // 豸Ωһʶ
    EM_AIRCONDITION_WINDMODE    emAirconditionWindMode;         // յͷģʽ
} NET_CTRL_AIRCONDITION_SETWINDMODE;

// IO,ӦCLIENT_QueryIOControlStateӿ
typedef enum _IOTYPE
{
    DH_ALARMINPUT = 1,                             // Ʊ,ӦṹΪALARM_CONTROL
    DH_ALARMOUTPUT = 2,                            // ƱӦṹΪALARM_CONTROL
    DH_DECODER_ALARMOUT = 3,                       // ƱӦṹΪDECODER_ALARM_CONTROL
    DH_WIRELESS_ALARMOUT = 5,                      // ߱ӦṹΪALARM_CONTROL
    DH_ALARM_TRIGGER_MODE = 7,                     // ʽֶ,Զ,رգ,ʹTRIGGER_MODE_CONTROLṹ
} DH_IOTYPE;

//////////////////////////////////////////////////////////////////

// ֱö,DH_DSP_ENCODECAPʹ
typedef enum _CAPTURE_SIZE
{
    CAPTURE_SIZE_D1,                               // 704*576(PAL)  704*480(NTSC),WWxHH,ͬ
    CAPTURE_SIZE_HD1,                              // 352*576(PAL)  352*480(NTSC)
    CAPTURE_SIZE_BCIF,                             // 704*288(PAL)  704*240(NTSC)
    CAPTURE_SIZE_CIF,                              // 352*288(PAL)  352*240(NTSC)
    CAPTURE_SIZE_QCIF,                             // 176*144(PAL)  176*120(NTSC)
    CAPTURE_SIZE_VGA,                              // 640*480
    CAPTURE_SIZE_QVGA,                             // 320*240
    CAPTURE_SIZE_SVCD,                             // 480*480
    CAPTURE_SIZE_QQVGA,                            // 160*128
    CAPTURE_SIZE_SVGA,                             // 800*592
    CAPTURE_SIZE_XVGA,                             // 1024*768
    CAPTURE_SIZE_WXGA,                             // 1280*800
    CAPTURE_SIZE_SXGA,                             // 1280*1024  
    CAPTURE_SIZE_WSXGA,                            // 1600*1024  
    CAPTURE_SIZE_UXGA,                             // 1600*1200
    CAPTURE_SIZE_WUXGA,                            // 1920*1200
    CAPTURE_SIZE_LTF,                              // 240*192,ND1
    CAPTURE_SIZE_720,                              // 1280*720
    CAPTURE_SIZE_1080,                             // 1920*1080
    CAPTURE_SIZE_1_3M,                             // 1280*960
    CAPTURE_SIZE_2M,                               // 1872*1408,2_5M
    CAPTURE_SIZE_5M,                               // 3744*1408
    CAPTURE_SIZE_3M,                               // 2048*1536
    CAPTURE_SIZE_5_0M,                             // 2432*2050
    CPTRUTE_SIZE_1_2M,                             // 1216*1024
    CPTRUTE_SIZE_1408_1024,                        // 1408*1024
    CPTRUTE_SIZE_8M,                               // 3296*2472
    CPTRUTE_SIZE_2560_1920,                        // 2560*1920(5_1M)
    CAPTURE_SIZE_960H,                             // 960*576(PAL) 960*480(NTSC)
    CAPTURE_SIZE_960_720,                          // 960*720
    CAPTURE_SIZE_NHD,                              // 640*360
    CAPTURE_SIZE_QNHD,                             // 320*180
    CAPTURE_SIZE_QQNHD,                            // 160*90
    CAPTURE_SIZE_960_540,                          // 960*540
    CAPTURE_SIZE_640_352,                          // 640*352
    CAPTURE_SIZE_640_400,                          // 640*400
    CAPTURE_SIZE_320_192,                          // 320*192    
    CAPTURE_SIZE_320_176,                          // 320*176
	CAPTURE_SIZE_SVGA1,                            // 800*600
    CAPTURE_SIZE_NR=255  
} CAPTURE_SIZE;

// ļ,CLIENT_ExportConfigFileӿʹ
typedef enum __DH_CONFIG_FILE_TYPE
{
    DH_CONFIGFILE_ALL = 0,                         // ȫļ
    DH_CONFIGFILE_LOCAL,                           // ļ
    DH_CONFIGFILE_NETWORK,                         // ļ
    DH_CONFIGFILE_USER,                            // ûļ
} DH_CONFIG_FILE_TYPE;

// NTP
typedef enum __DH_TIME_ZONE_TYPE
{
    DH_TIME_ZONE_0,                                // {0, 0*3600,"GMT+00:00"}
    DH_TIME_ZONE_1,                                // {1, 1*3600,"GMT+01:00"}
    DH_TIME_ZONE_2,                                // {2, 2*3600,"GMT+02:00"}
    DH_TIME_ZONE_3,                                // {3, 3*3600,"GMT+03:00"}
    DH_TIME_ZONE_4,                                // {4, 3*3600+1800,"GMT+03:30"}
    DH_TIME_ZONE_5,                                // {5, 4*3600,"GMT+04:00"}
    DH_TIME_ZONE_6,                                // {6, 4*3600+1800,"GMT+04:30"}
    DH_TIME_ZONE_7,                                // {7, 5*3600,"GMT+05:00"}
    DH_TIME_ZONE_8,                                // {8, 5*3600+1800,"GMT+05:30"}
    DH_TIME_ZONE_9,                                // {9, 5*3600+1800+900,"GMT+05:45"}
    DH_TIME_ZONE_10,                               // {10, 6*3600,"GMT+06:00"}
    DH_TIME_ZONE_11,                               // {11, 6*3600+1800,"GMT+06:30"}
    DH_TIME_ZONE_12,                               // {12, 7*3600,"GMT+07:00"}
    DH_TIME_ZONE_13,                               // {13, 8*3600,"GMT+08:00"}
    DH_TIME_ZONE_14,                               // {14, 9*3600,"GMT+09:00"}
    DH_TIME_ZONE_15,                               // {15, 9*3600+1800,"GMT+09:30"}
    DH_TIME_ZONE_16,                               // {16, 10*3600,"GMT+10:00"}
    DH_TIME_ZONE_17,                               // {17, 11*3600,"GMT+11:00"}
    DH_TIME_ZONE_18,                               // {18, 12*3600,"GMT+12:00"}
    DH_TIME_ZONE_19,                               // {19, 13*3600,"GMT+13:00"}
    DH_TIME_ZONE_20,                               // {20, -1*3600,"GMT-01:00"}
    DH_TIME_ZONE_21,                               // {21, -2*3600,"GMT-02:00"}
    DH_TIME_ZONE_22,                               // {22, -3*3600,"GMT-03:00"}
    DH_TIME_ZONE_23,                               // {23, -3*3600-1800,"GMT-03:30"}
    DH_TIME_ZONE_24,                               // {24, -4*3600,"GMT-04:00"}
    DH_TIME_ZONE_25,                               // {25, -5*3600,"GMT-05:00"}
    DH_TIME_ZONE_26,                               // {26, -6*3600,"GMT-06:00"}
    DH_TIME_ZONE_27,                               // {27, -7*3600,"GMT-07:00"}
    DH_TIME_ZONE_28,                               // {28, -8*3600,"GMT-08:00"}
    DH_TIME_ZONE_29,                               // {29, -9*3600,"GMT-09:00"}
    DH_TIME_ZONE_30,                               // {30, -10*3600,"GMT-10:00"}
    DH_TIME_ZONE_31,                               // {31, -11*3600,"GMT-11:00"}
    DH_TIME_ZONE_32,                               // {32, -12*3600,"GMT-12:00"}
} DH_TIME_ZONE_TYPE;

typedef enum _SNAP_TYPE
{
    SNAP_TYP_TIMING = 0,
    SNAP_TYP_ALARM,
    SNAP_TYP_NUM,
} SNAP_TYPE;

typedef enum _CONNECT_STATE
{
    CONNECT_STATE_UNCONNECT  = 0,	// δ
    CONNECT_STATE_CONNECTING,		// 
    CONNECT_STATE_CONNECTED,		// 
	CONNECT_STATE_EMPTY,			// ͨδãϢ
	CONNECT_STATE_CHANGED,			// ӵ豸ϢиĶ
    CONNECT_STATE_ERROR = 255,		// δ֪豸״̬
} CONNECT_STATE;

// ץģʽ
typedef enum tagDH_TRAFFIC_SNAP_MODE
{    
    DH_TRAFFIC_SNAP_MODE_COIL = 1,                       // Ȧץ
    DH_TRAFFIC_SNAP_MODE_COIL_PICANALYSIS,               // Ȧץ, ͼƬ
    DH_TRAFFIC_SNAP_MODE_STREAM,                         // Ƶץ
    DH_TRAFFIC_SNAP_MODE_STREAM_IDENTIFY,                // Ƶץ, ʶ
} DH_TRAFFIC_SNAP_MODE;

// λ
typedef enum 
{
    NET_CARPORTLIGHT_TYPE_RED,                           // 
    NET_CARPORTLIGHT_TYPE_GREEN,                         // ̵
}NET_CARPORTLIGHT_TYPE;

// λƷʽ
typedef enum
{
    NET_CARPORTLIGHT_MODE_OFF,                           //  
    NET_CARPORTLIGHT_MODE_ON,                            // 
    NET_CARPORTLIGHT_MODE_GLINT,                         // ˸
}NET_CARPORTLIGHT_MODE;

/////////////////////////////////ܽͨ/////////////////////////////////
//ڰ
typedef enum _EM_OPERATE_TYPE
{
    NET_TRAFFIC_LIST_INSERT,                             // Ӽ¼(Ӧṹ NET_INSERT_RECORD_INFO)
    NET_TRAFFIC_LIST_UPDATE,                             // ¼¼(Ӧṹ NET_UPDATE_RECORD_INFO)
    NET_TRAFFIC_LIST_REMOVE,                             // ɾ¼(Ӧṹ NET_REMOVE_RECORD_INFO)
    NET_TRAFFIC_LIST_MAX,
}EM_RECORD_OPERATE_TYPE ;

//
typedef enum _EM_NET_PLATE_TYPE
{
    NET_PLATE_TYPE_UNKNOWN,
    NET_PLATE_TYPE_NORMAL,                              // "Normal" ƺ
    NET_PLATE_TYPE_YELLOW,                              // "Yellow" 
    NET_PLATE_TYPE_DOUBLEYELLOW,                        // "DoubleYellow" ˫β
    NET_PLATE_TYPE_POLICE,                              // "Police" 
    NET_PLATE_TYPE_ARMED,                               // "Armed" 侯
    NET_PLATE_TYPE_MILITARY,                            // "Military" Ӻ
    NET_PLATE_TYPE_DOUBLEMILITARY,                      // "DoubleMilitary" ˫
    NET_PLATE_TYPE_SAR,                                 // "SAR" ۰    
    NET_PLATE_TYPE_TRAINNING,                           // "Trainning" 
    NET_PLATE_TYPE_PERSONAL,                            // "Personal" Ժ
    NET_PLATE_TYPE_AGRI,                                // "Agri" ũ
    NET_PLATE_TYPE_EMBASSY,                             // "Embassy" ʹݺ
    NET_PLATE_TYPE_MOTO,                                // "Moto" Ħг
    NET_PLATE_TYPE_TRACTOR,                             // "Tractor" 
    NET_PLATE_TYPE_OFFICIALCAR,                         // "OfficialCar " 
    NET_PLATE_TYPE_PERSONALCAR,                         // "PersonalCar" ˽ҳ
    NET_PLATE_TYPE_WARCAR,                              // "WarCar"  
    NET_PLATE_TYPE_OTHER,                               // "Other" 
	NET_PLATE_TYPE_CIVILAVIATION,                       // "Civilaviation" 񺽺
	NET_PLATE_TYPE_BLACK,                               // "Black" 
	NET_PLATE_TYPE_PURENEWENERGYMICROCAR,               // "PureNewEnergyMicroCar" 綯ԴС
	NET_PLATE_TYPE_MIXEDNEWENERGYMICROCAR,              // "MixedNewEnergyMicroCar" ԴС
	NET_PLATE_TYPE_PURENEWENERGYLARGECAR,               // "PureNewEnergyLargeCar" 綯Դ
	NET_PLATE_TYPE_MIXEDNEWENERGYLARGECAR,              // "MixedNewEnergyLargeCar" Դ
}EM_NET_PLATE_TYPE;


//ɫ
typedef enum _EM_NET_PLATE_COLOR_TYPE
{
    NET_PLATE_COLOR_OTHER,                              // ɫ
    NET_PLATE_COLOR_BLUE,                               // ɫ "Blue"
    NET_PLATE_COLOR_YELLOW,                             // ɫ "Yellow"    
    NET_PLATE_COLOR_WHITE,                              // ɫ "White"
    NET_PLATE_COLOR_BLACK,                              // ɫ "Black"
    NET_PLATE_COLOR_YELLOW_BOTTOM_BLACK_TEXT,           // Ƶ׺ "YellowbottomBlackText"
    NET_PLATE_COLOR_BLUE_BOTTOM_WHITE_TEXT,             // װ "BluebottomWhiteText" 
    NET_PLATE_COLOR_BLACK_BOTTOM_WHITE_TEXT,            // ڵװ "BlackBottomWhiteText"
	NET_PLATE_COLOR_SHADOW_GREEN,						//  "ShadowGreen"
	NET_PLATE_COLOR_YELLOW_GREEN,						// ˫ƴ "YellowGreen"
}EM_NET_PLATE_COLOR_TYPE;


//
typedef enum _EM_NET_VEHICLE_TYPE
{
    NET_VEHICLE_TYPE_UNKNOW,                            // δ֪
    NET_VEHICLE_TYPE_MOTOR,                             // "Motor"            
    NET_VEHICLE_TYPE_NON_MOTOR,                         // "Non-Motor"ǻ        
    NET_VEHICLE_TYPE_BUS,                               // "Bus"        
    NET_VEHICLE_TYPE_BICYCLE,                           // "Bicycle" г        
    NET_VEHICLE_TYPE_MOTORCYCLE,                        // "Motorcycle"Ħг        
    NET_VEHICLE_TYPE_UNLICENSEDMOTOR,                   // "UnlicensedMotor": ƻ
    NET_VEHICLE_TYPE_LARGECAR,                          // "LargeCar"  
    NET_VEHICLE_TYPE_MICROCAR,                          // "MicroCar" С
    NET_VEHICLE_TYPE_EMBASSYCAR,                        // "EmbassyCar" ʹ
    NET_VEHICLE_TYPE_MARGINALCAR,                       // "MarginalCar" 
    NET_VEHICLE_TYPE_AREAOUTCAR,                        // "AreaoutCar" 
    NET_VEHICLE_TYPE_FOREIGNCAR,                        // "ForeignCar" ⼮
    NET_VEHICLE_TYPE_DUALTRIWHEELMOTORCYCLE,            // "DualTriWheelMotorcycle"Ħг
    NET_VEHICLE_TYPE_LIGHTMOTORCYCLE,                   // "LightMotorcycle" Ħг
    NET_VEHICLE_TYPE_EMBASSYMOTORCYCLE,                 // "EmbassyMotorcycle "ʹĦг
    NET_VEHICLE_TYPE_MARGINALMOTORCYCLE,                // "MarginalMotorcycle "Ħг
    NET_VEHICLE_TYPE_AREAOUTMOTORCYCLE,                 // "AreaoutMotorcycle "Ħг
    NET_VEHICLE_TYPE_FOREIGNMOTORCYCLE,                 // "ForeignMotorcycle "⼮Ħг
    NET_VEHICLE_TYPE_FARMTRANSMITCAR,                   // "FarmTransmitCar" ũ䳵
    NET_VEHICLE_TYPE_TRACTOR,                           // "Tractor" 
    NET_VEHICLE_TYPE_TRAILER,                           // "Trailer"  ҳ
    NET_VEHICLE_TYPE_COACHCAR,                          // "CoachCar"
    NET_VEHICLE_TYPE_COACHMOTORCYCLE,                   // "CoachMotorcycle "Ħг
    NET_VEHICLE_TYPE_TRIALCAR,                          // "TrialCar" 
    NET_VEHICLE_TYPE_TRIALMOTORCYCLE,                   // "TrialMotorcycle "Ħг
    NET_VEHICLE_TYPE_TEMPORARYENTRYCAR,                 // "TemporaryEntryCar"ʱ뾳
    NET_VEHICLE_TYPE_TEMPORARYENTRYMOTORCYCLE,          // "TemporaryEntryMotorcycle"ʱ뾳Ħг
    NET_VEHICLE_TYPE_TEMPORARYSTEERCAR,                 // "TemporarySteerCar"ʱʻ
    NET_VEHICLE_TYPE_PASSENGERCAR,                      // "PassengerCar" ͳ
    NET_VEHICLE_TYPE_LARGETRUCK,                        // "LargeTruck" 
    NET_VEHICLE_TYPE_MIDTRUCK,                          // "MidTruck" л
    NET_VEHICLE_TYPE_SALOONCAR,                         // "SaloonCar" γ
    NET_VEHICLE_TYPE_MICROBUS,                          // "Microbus"
    NET_VEHICLE_TYPE_MICROTRUCK,                        // "MicroTruck"С
    NET_VEHICLE_TYPE_TRICYCLE,                          // "Tricycle"ֳ
    NET_VEHICLE_TYPE_PASSERBY,                          // "Passerby" 
}EM_NET_VEHICLE_TYPE;


//ɫ
typedef enum _EM_NET_VEHICLE_COLOR_TYPE
{
    NET_VEHICLE_COLOR_OTHER,                            //ɫ    
    NET_VEHICLE_COLOR_WHITE,                            //ɫ	"White"
    NET_VEHICLE_COLOR_BLACK,                            //ɫ	"Black"
    NET_VEHICLE_COLOR_RED,                              //ɫ	"Red"
    NET_VEHICLE_COLOR_YELLOW,                           //ɫ	"Yellow"
    NET_VEHICLE_COLOR_GRAY,                             //ɫ	"Gray"
    NET_VEHICLE_COLOR_BLUE,                             //ɫ	"Blue"
    NET_VEHICLE_COLOR_GREEN,                            //ɫ	"Green"
    NET_VEHICLE_COLOR_PINK,                             //ۺɫ "Pink"
    NET_VEHICLE_COLOR_PURPLE,                           //ɫ	"Purple"
    NET_VEHICLE_COLOR_BROWN,                            //ɫ	"Brown"
}EM_NET_VEHICLE_COLOR_TYPE;

//
typedef enum _EM_NET_TRAFFIC_CAR_CONTROL_TYPE
{
    NET_CAR_CONTROL_OTHER,
    NET_CAR_CONTROL_OVERDUE_NO_CHECK,                   // δ	"OverdueNoCheck"
    NET_CAR_CONTROL_BRIGANDAGE_CAR,                     // 	"BrigandageCar"
    NET_CAR_CONTROL_BREAKING,                           // Υ		"Breaking"
    NET_CAR_CONTROL_CAUSETROUBLE_ESCAPE,                //   "CausetroubleEscape"
}EM_NET_TRAFFIC_CAR_CONTROL_TYPE;

typedef enum _EM_NET_AUTHORITY_TYPE
{
    NET_AUTHORITY_UNKNOW,
    NET_AUTHORITY_OPEN_GATE,                            //բȨ
}EM_NET_AUTHORITY_TYPE;

typedef enum _EM_NET_RECORD_TYPE
{
    NET_RECORD_UNKNOWN,

    NET_RECORD_TRAFFICREDLIST,                          // ͨ˻¼
                                                        // ѯӦ FIND_RECORD_TRAFFICREDLIST_CONDITION ṹ
                                                        // ¼ϢӦ NET_TRAFFIC_LIST_RECORD ṹ
    NET_RECORD_TRAFFICBLACKLIST,                        // ͨ˺ż¼
                                                        // ѯӦ FIND_RECORD_TRAFFICREDLIST_CONDITION ṹ
                                                        // ¼ϢӦ NET_TRAFFIC_LIST_RECORD ṹ
    NET_RECORD_BURN_CASE,                               // ¼¼
                                                        // ѯӦ FIND_RECORD_BURN_CASE_CONDITION ṹ
                                                        // ¼ϢӦ NET_BURN_CASE_INFO ṹ
    NET_RECORD_ACCESSCTLCARD,                           // Ž
                                                        // ѯӦ FIND_RECORD_ACCESSCTLCARD_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORDSET_ACCESS_CTL_CARD ṹ
    NET_RECORD_ACCESSCTLPWD,                            // Ž
                                                        // ѯӦ FIND_RECORD_ACCESSCTLPWD_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORDSET_ACCESS_CTL_PWD
    NET_RECORD_ACCESSCTLCARDREC,                        // Ž¼ͬʱźʱβѯ,NET_RECORD_ACCESSCTLCARDREC_EXѯ
                                                        // ѯӦ FIND_RECORD_ACCESSCTLCARDREC_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORDSET_ACCESS_CTL_CARDREC ṹ
    NET_RECORD_ACCESSCTLHOLIDAY,                        // ռ¼
                                                        // ѯӦ FIND_RECORD_ACCESSCTLHOLIDAY_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORDSET_HOLIDAY ṹ
    NET_RECORD_TRAFFICFLOW_STATE,                       // ѯͨ¼
                                                        // ѯӦ FIND_RECORD_TRAFFICFLOW_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORD_TRAFFIC_FLOW_STATE ṹ
    NET_RECORD_VIDEOTALKLOG,                            // ͨ¼
                                                        // ѯӦ FIND_RECORD_VIDEO_TALK_LOG_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORD_VIDEO_TALK_LOG ṹ
    NET_RECORD_REGISTERUSERSTATE,                       // ״̬¼
                                                        // ѯӦ FIND_RECORD_REGISTER_USER_STATE_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORD_REGISTER_USER_STATE ṹ
    NET_RECORD_VIDEOTALKCONTACT,                        // ϵ˼¼
                                                        // ѯӦ FIND_RECORD_VIDEO_TALK_CONTACT_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORD_VIDEO_TALK_CONTACT ṹ

	NET_RECORD_ANNOUNCEMENT,							//¼
                                                        //ѯӦ FIND_RECORD_ANNOUNCEMENT_CONDITION ṹ
                                                        //¼ϢӦ NET_RECORD_ANNOUNCEMENT_INFO ṹ
														
														
	NET_RECORD_ALARMRECORD,							    //¼
                                                        //ѯӦ FIND_RECORD_ALARMRECORD_CONDITION ṹ
                                                        //¼ϢӦ NET_RECORD_ALARMRECORD_INFO ṹ
														

    NET_RECORD_COMMODITYNOTICE,                         // ·Ʒ¼
                                                        // ѯӦ FIND_RECORD_COMMODITY_NOTICE_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORD_COMMODITY_NOTICE ṹ
                                                        
    NET_RECORD_HEALTHCARENOTICE,                        // Ϣ¼
                                                        // ѯӦ FIND_RECORD_HEALTH_CARE_NOTICE_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORD_HEALTH_CARE_NOTICE ṹ

    NET_RECORD_ACCESSCTLCARDREC_EX,                     // Ž¼(ѡ񲿷ѯ,NET_RECORD_ACCESSCTLCARDREC)
                                                        // ѯӦ FIND_RECORD_ACCESSCTLCARDREC_CONDITION_EX ṹ
                                                        // ¼ϢӦ NET_RECORDSET_ACCESS_CTL_CARDREC ṹ

    NET_RECORD_GPS_LOCATION,                            // GPSλϢ¼, ֻʵimportclear
                                                        // ¼ϢӦ NET_RECORD_GPS_LOCATION_INFO ṹ

	NET_RECORD_RESIDENT,                                // ⷿ⻧Ϣ
														// ѯӦ FIND_RECORD_RESIDENT_CONDTIONṹ
                                                        // ¼ϢӦ NET_RECORD_RESIDENT_INFO ṹ

	NET_RECORD_SENSORRECORD,                            // ݼ¼
														// ѯӦ FIND_RECORD_SENSORRECORD_CONDITION ṹ
														// ¼ϢӦ NET_RECORD_SENSOR_RECORD ṹ
	
	NET_RECORD_ACCESSQRCODE,							//Ŷά¼
														//¼ϢӦ NET_RECORD_ACCESSQRCODE_INFO ṹ
														
	NET_RECORD_ELECTRONICSTAG,							// ӳƲѯ
														// ѯӦFIND_RECORD_ELECTRONICSTAG_CONDITION ṹ
                                                        // ¼ϢӦNET_RECORD_ELECTRONICSTAG_INFO ṹ

    NET_RECORD_ACCESS_BLUETOOTH,						// ż¼
                                                        // ѯӦ FIND_RECORD_ACCESS_BLUETOOTH_INFO_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORD_ACCESS_BLUETOOTH_INFO ṹ

    NET_RECORD_ACCESS_ALARMRECORD,                      // Ž¼
                                                        // ѯӦ FIND_NET_RECORD_ACCESS_ALARMRECORD_INFO_CONDITION ṹ
                                                        // ¼ϢӦ NET_RECORD_ACCESS_ALARMRECORD_INFO ṹ
}EM_NET_RECORD_TYPE;

// ʱ
typedef enum
{
    NET_TIME_TYPE_ABSLUTE,                                  // ʱ
    NET_TIME_TYPE_RELATIVE,                                 // ʱ,Ƶļͷ֡Ϊʱ,ͷ֡ӦUTC(0000-00-00 00:00:00)
}EM_TIME_TYPE;

// ɫ
typedef enum
{
    NET_COLOR_TYPE_RED,                                     // ɫ
    NET_COLOR_TYPE_YELLOW,                                  // ɫ
    NET_COLOR_TYPE_GREEN,                                   // ɫ
    NET_COLOR_TYPE_CYAN,                                    // ɫ
    NET_COLOR_TYPE_BLUE,                                    // ɫ
    NET_COLOR_TYPE_PURPLE,                                  // ɫ
    NET_COLOR_TYPE_BLACK,                                   // ɫ
    NET_COLOR_TYPE_WHITE,                                   // ɫ
    NET_COLOR_TYPE_MAX,
}EM_COLOR_TYPE;

/////////////////////////////////ʶ/////////////////////////////////
// Ա
typedef enum 
{
    PERSON_TYPE_UNKNOWN,
    PERSON_TYPE_NORMAL,                                     // ͨԱ
    PERSON_TYPE_SUSPICION,                                  // Ա
	PERSON_TYPE_THIEF,                                      // С͵
	PERSON_TYPE_VIP,                                        // ҪԱ
	PERSON_TYPE_FATECHECK,                                  // Ա
	PERSON_TYPE_STAFF,                                      // Ա
}EM_PERSON_TYPE;

// ֤
typedef enum
{
    CERTIFICATE_TYPE_UNKNOWN,
    CERTIFICATE_TYPE_IC,                                    // ֤
    CERTIFICATE_TYPE_PASSPORT,                              //  
	CERTIFICATE_TYPE_MILITARY,								// ֤
}EM_CERTIFICATE_TYPE;

// ʶݿ
typedef enum
{
    NET_FACERECONGNITIONDB_UNKOWN, 
    NET_FACERECONGNITIONDB_ADD,                         // ԱϢ,ԱѾ,ͼƬݺԭݺϲ
    NET_FACERECONGNITIONDB_DELETE,                      // ɾԱϢ
    NET_FACERECONGNITIONDB_MODIFY,                      // ޸ԱϢ,ԱUIDʶ 
    NET_FACERECONGNITIONDB_DELETE_BY_UID,               // ͨUIDɾԱϢ
}EM_OPERATE_FACERECONGNITIONDB_TYPE;

// Աģʽ
typedef enum 
{
    NET_FACE_COMPARE_MODE_UNKOWN,
    NET_FACE_COMPARE_MODE_NORMAL,                       // 
    NET_FACE_COMPARE_MODE_AREA,                         // ָ
    NET_FACE_COMPARE_MODE_AUTO,                         // ģʽ,㷨Զѡȡ 
}EM_FACE_COMPARE_MODE;

// 
typedef enum
{
    NET_FACE_AREA_TYPE_UNKOWN,
    NET_FACE_AREA_TYPE_EYEBROW,                         // üë
    NET_FACE_AREA_TYPE_EYE,                             // ۾
    NET_FACE_AREA_TYPE_NOSE,                            // 
    NET_FACE_AREA_TYPE_MOUTH,                           // 
    NET_FACE_AREA_TYPE_CHEEK,                           // 
}EM_FACE_AREA_TYPE;

// 
typedef enum
{
    NET_FACE_DB_TYPE_UNKOWN,
    NET_FACE_DB_TYPE_HISTORY,                           // ʷݿ,ŵǼϢ,һûаӦԱϢ
    NET_FACE_DB_TYPE_BLACKLIST,                         // ݿ(ע)
    NET_FACE_DB_TYPE_WHITELIST,                         // ݿ,
    NET_FACE_DB_TYPE_ALARM  ,                           // , 
    NET_FACE_DB_TYPE_PASSERBY,							// ·˿
}EM_FACE_DB_TYPE;

// ʶ¼
typedef enum 
{
    NET_FACERECOGNITION_ALARM_TYPE_UNKOWN,
    NET_FACERECOGNITION_ALARM_TYPE_ALL,                // ڰ
    NET_FACERECOGNITION_ALARM_TYPE_BLACKLIST,          // 
    NET_FACERECOGNITION_ALARM_TYPE_WHITELIST,          // 
}EM_FACERECOGNITION_ALARM_TYPE;

// ʶ
typedef enum
{
    EM_FACERECOGNITION_FACE_TYPE_UNKOWN,
    EM_FACERECOGNITION_FACE_TYPE_ALL,                  //    
    EM_FACERECOGNITION_FACE_TYPE_REC_SUCCESS,          // ʶɹ
    EM_FACERECOGNITION_FACE_TYPE_REC_FAIL,             // ʶʧ
}EM_FACERECOGNITION_FACE_TYPE;

// ֡öֵ  
typedef enum __EM_FRAME_TYPE
{
    EM_FRAME_UNKOWN,                                   // δ֪ 
    EM_FRAME_TYPE_MOTION,                              // ֡,Ӧ֡Ϣṹ NET_MOTION_FRAME_INFO
}EM_FRAME_TYPE;

/////////////////////////////////̭/////////////////////////////////

// ,ĿǰʹøöٵĽӿ̭,벻Ҫʹ
typedef enum _CFG_INDEX
{
    CFG_GENERAL = 0,                                    // ͨ
    CFG_COMM,                                           // 
    CFG_NET,                                            // 
    CFG_RECORD,                                         // ¼
    CFG_CAPTURE,                                        // ͼ
    CFG_PTZ,                                            // ̨
    CFG_DETECT,                                         // ̬
    CFG_ALARM,                                          // 
    CFG_DISPLAY,                                        // ʾ
    CFG_RESERVED,                                       // ,ʹ
    CFG_TITLE = 10,                                     // ͨ
    CFG_MAIL = 11,                                      // ʼ
    CFG_EXCAPTURE = 12,                                 // Ԥͼ
    CFG_PPPOE = 13,                                     // pppoe
    CFG_DDNS = 14,                                      // DDNS
    CFG_SNIFFER    = 15,                                // Ӳ
    CFG_DSPINFO    = 16,                                // Ϣ
    CFG_COLOR = 126,                                    // ɫϢ
    CFG_ALL,                                            // 
} CFG_INDEX;

/************************************************************************
 ** ṹ嶨
 ***********************************************************************/

//ʾԭʾڵ
typedef struct
{
    double                dleft;                  //ʾԭʾڵ 
    double                dright;                 //ʾԭʾڵ
    double                dtop;                   //ʾԭʾڵ
    double                dbottom;                //ʾԭʾڵ
} DH_DISPLAYRREGION;
// ʱ


typedef struct tagNET_TIME
{
    DWORD                dwYear;                  // 
    DWORD                dwMonth;                 // 
    DWORD                dwDay;                   // 
    DWORD                dwHour;                  // ʱ
    DWORD                dwMinute;                // 
    DWORD                dwSecond;                // 
} NET_TIME,*LPNET_TIME;

typedef struct tagNET_TIME_EX
{
    DWORD                dwYear;                  // 
    DWORD                dwMonth;                 // 
    DWORD                dwDay;                   // 
    DWORD                dwHour;                  // ʱ
    DWORD                dwMinute;                // 
    DWORD                dwSecond;                // 
    DWORD                dwMillisecond;           // 
    DWORD                dwUTC;                   // utcʱ(ȡʱ0ʾЧ0Ч   ·Ч)
    DWORD				 dwReserved[1];			  // Ԥֶ
} NET_TIME_EX,*LPNET_TIME_EX;

typedef struct tagUTCTime
{
	unsigned int		utc;					  // utcʱ
	unsigned int		tolerance;				  // ݲʾʱ͵ǰڲ޸ (·ʱõ)
	char				reserved[8];			  // Ԥֶ
}NET_UTCTIME, *LPNET_UTCTIME;

// ־Ϣʱ䶨
typedef struct _DHDEVTIME
{
    DWORD                second:6;                //     1-60        
    DWORD                minute:6;                //     1-60        
    DWORD                hour:5;                  // ʱ    1-24        
    DWORD                day:5;                   //     1-31        
    DWORD                month:4;                 //     1-12        
    DWORD                year:6;                  //     2000-2063    
} DHDEVTIME, *LPDHDEVTIME;

typedef struct tagRANGE
{
    float               fMax;                               // ֵ
    float               fMin;                               // Сֵ
    BOOL                abStep;                             // Ƿò
    float               fStep;                              // 
    BOOL                abDefault;                          // ǷĬֵ
    float               fDefault;                           // Ĭֵ
    char reserved[16];
} RANGE;

//ƽԶУڷΧ
typedef struct tagNET_FFCPERIOD_RANGE
{
	int                 nMaxN;                              // ֵ(NTSCʽ)
	int                 nMaxP;                              // ֵ(PALʽ)
	int                 nMin;                               // Сֵ
	int                 nStep;                              // 
	BYTE reserved[16];
} NET_FFCPERIOD_RANGE;


// ص(첽ӿ)
typedef struct __NET_CALLBACK_DATA 
{
    int                  nResultCode;            // 룻0ɹ
    char                 *pBuf;                  // , ûٵ,ӽӿβδ룬СΪnRetLen
    int                  nRetLen;                // ճ
    LLONG                lOperateHandle;         // 
    void*                userdata;               // Ӧû
    char                 reserved[16];
} NET_CALLBACK_DATA, *LPNET_CALLBACK_DATA;

///////////////////////////////ض///////////////////////////////

// صƵ֡֡ṹ
typedef struct _tagVideoFrameParam
{
    BYTE                 encode;                 // 
    BYTE                 frametype;              // I = 0, P = 1, B = 2...
    BYTE                 format;                 // PAL - 0, NTSC - 1
    BYTE                 size;                   // CIF - 0, HD1 - 1, 2CIF - 2, D1 - 3, VGA - 4, QCIF - 5, QVGA - 6 ,
                                                 // SVCD - 7,QQVGA - 8, SVGA - 9, XVGA - 10,WXGA - 11,SXGA - 12,WSXGA - 13,UXGA - 14,WUXGA - 15, LFT - 16, 720 - 17, 1080 - 18 ,1_3M-19
												 // 2M-20, 5M-21;size=255ʱԱwidth,height Ч
    DWORD                fourcc;                 // H264Ϊ0ֵΪ*( DWORD*)"DIVX"0x58564944
    WORD				 width;					 // λأsize=255ʱЧ
	WORD				 height;				 // ߣλأsize=255ʱЧ
    NET_TIME             struTime;               // ʱϢ
} tagVideoFrameParam;

// صƵ֡֡ṹ
typedef struct _tagCBPCMDataParam
{
    BYTE                channels;                // 
    BYTE                samples;                 //  0 - 8000, 1 - 11025, 2 - 16000, 3 - 22050, 4 - 32000, 5 - 44100, 6 - 48000
    BYTE                depth;                   //  ȡֵ816ȡֱӱʾ
    BYTE                param1;                  // 0 - ָʾ޷,1-ָʾз
    DWORD               reserved;                // 
} tagCBPCMDataParam;

// ת֡
typedef enum tagEM_STREAMCONVERT_FRAMEDATA_TYPE
{	
	EM_STREAMCONVERT_FRAMEDATA_UNKNOWN,					// δ֪
	EM_STREAMCONVERT_FRAMEDATA_VIDEO,					// Ƶ֡
	EM_STREAMCONVERT_FRAMEDATA_AUDIO,					// Ƶ֡	
} EM_STREAMCONVERT_FRAMEDATA_TYPE;

// תϢ
typedef struct tagNET_STREAMCONVERT_INFO
{
	EM_STREAMCONVERT_FRAMEDATA_TYPE		emDataType;		// ת֡
	void*								pFrameInfo;		// ֡Ϣ
														// emDataType Ϊ EM_STREAMCONVERT_FRAMEDATA_VIDEO ʱӦ tagVideoFrameParam ṹ
														// emDataType Ϊ EM_STREAMCONVERT_FRAMEDATA_AUDIO ʱӦ tagCBPCMDataParam ṹ
}NET_STREAMCONVERT_INFO;

// ͨĻӵݽṹ
typedef struct _DH_CHANNEL_OSDSTRING
{
    BOOL                bEnable;                            // ʹ
    DWORD               dwPosition[MAX_STRING_LINE_LEN];    //ַλá1-9ʾ,СλöӦ
                                                            // 7    8        9
                                                            // 4      5        6
                                                            // 1    2        3
    char                szStrings[MAX_STRING_LINE_LEN][MAX_PER_STRING_LEN];    // ַ,ÿ20ֽ
} DH_CHANNEL_OSDSTRING;

//صYUVݵĲṹ
typedef struct _tagCBYUVDataParam
{
    long                nWidth;                 // ͼĿ
    long                nHeight;                // ͼĸ
    NET_TIME            stNetTime;              // еʱ
    DWORD               reserved[2];            // 
} tagCBYUVDataParam;

///////////////////////////////طض///////////////////////////////
// ¼ѯ
typedef enum tagEmQueryRecordType
{
    EM_RECORD_TYPE_ALL              = 0,            // ¼
    EM_RECORD_TYPE_ALARM            = 1,            // ⲿ¼
    EM_RECORD_TYPE_MOTION_DETECT    = 2,            // ̬ⱨ¼
    EM_RECORD_TYPE_ALARM_ALL        = 3,            // б¼
    EM_RECORD_TYPE_CARD             = 4,            // Ųѯ
    EM_RECORD_TYPE_CONDITION        = 5,            // ѯ
    EM_RECORD_TYPE_JOIN             = 6,            // ϲѯ
    EM_RECORD_TYPE_CARD_PICTURE     = 8,            // ŲѯͼƬ,HB-UNVSʹ
    EM_RECORD_TYPE_PICTURE          = 9,            // ѯͼƬ,HB-UNVSʹ
    EM_RECORD_TYPE_FIELD            = 10,           // ֶβѯ
    EM_RECORD_TYPE_INTELLI_VIDEO   = 11,           // ¼ѯ
    EM_RECORD_TYPE_NET_DATA         = 15,           // ѯ,ɵʹ
    EM_RECORD_TYPE_TRANS_DATA       = 16,           // ѯ͸¼
    EM_RECORD_TYPE_IMPORTANT        = 17,           // ѯҪ¼
    EM_RECORD_TYPE_TALK_DATA        = 18,           // ѯ¼ļ
    EM_RECORD_TYPE_POS				= 19,			// POS¼

    EM_RECORD_TYPE_INVALID          = 256,          // ЧĲѯ
    
}EM_QUERY_RECORD_TYPE;

// ¼ļϢ
typedef struct tagNET_RECORDFILE_INFO
{
    unsigned int        ch;                         // ͨ
    char                filename[124];              // ļ
    unsigned int        framenum;                   // ļ֡
    unsigned int        size;                       // ļ, λΪKbyte
    NET_TIME            starttime;                  // ʼʱ
    NET_TIME            endtime;                    // ʱ
    unsigned int        driveno;                    // ̺(¼ͱ¼,0127ʾ¼,64ʾ1,128ʾ¼)
    unsigned int        startcluster;               // ʼغ
    BYTE                nRecordFileType;            // ¼ļ  0ͨ¼1¼2ƶ⣻3¼4ͼƬ, 5: ¼, 19: POS¼, 255:¼
    BYTE                bImportantRecID;            // 0:ͨ¼ 1:Ҫ¼
    BYTE                bHint;                      // ļλ(nRecordFileType==4<ͼƬ>ʱ,bImportantRecID<<8 +bHint ,ͼƬλ )
    BYTE                bRecType;                   // 0-¼ 1-1¼ 2-2 3-3¼	
} NET_RECORDFILE_INFO, *LPNET_RECORDFILE_INFO;

// Ũ¼ļϢ
typedef struct tagNET_SynopsisFileInfo
{
    DWORD               dwSize;                     // ýṹС
    char                szFileName[MAX_PATH];       // ļ,C:\a.dav
    NET_TIME            stuStartTime;               // ʼʱ
    NET_TIME            stuEndTime;                 // ʱ
    unsigned int        nTaskID;                    // ڷıʾ,ļ2ѡ1ʹ
    BYTE                bFileType;                  // 1-ƵŨ¼ļ,2-ƵŨԴļ
    BYTE                byMode;                     // ģʽ: 0-ļ, 1-ʱ, 2-ļƫ
    BYTE                bReserved[2];
    unsigned int        nFileLength;                // ļС,λ:KB
    unsigned int        nStartFileOffset;           // ʼļƫ, λ: KB
    unsigned int        nEndFileOffset;             // ļƫ, λ: KB
    int                 nChannel;                   // ͨ, NVRطר(ûTaskID), ŨЧ
    int                 nCluster;                   // غ, NVRطר(ûTaskID), ŨЧ
}NET_SYNOPSISFILE_INFO, *LPNET_SYNOPSISFILE_INFO;

// طݻصԭ
// pBuffer: ݻڴSDKڲͷ
// 豸ǲܵ,dwDataType:0-ܵ¼ļԭʼ
// 豸Ǽܵ,dwDataType: 0-ܺĴ˽(֡ݣ,2-ܵԭʼ   
typedef int (CALLBACK *fDataCallBack)(LLONG lRealHandle, DWORD dwDataType, BYTE *pBuffer, DWORD dwBufSize, LDWORD dwUser);

typedef struct __NET_MULTI_PLAYBACK_PARAM 
{
    DWORD                      dwSize; 
    int                        nChannels[DH_MAX_MULTIPLAYBACK_CHANNEL_NUM]; // Ԥͨ
    int                        nChannelNum;                             // Ԥͨ 
    int                        nType;                                   // طļ,0ͨ¼1¼2ƶ⣻3¼4ͼƬ
    NET_TIME                   stStartTime;                             // طſʼʱ
    NET_TIME                   stEndTime;                               // طŽʱ
    int                        nFPS;                                    // ֡,1~25
    int                        nBitRate;                                // ֵ,192~1024
    char                       szResolution[DH_MAX_CAPTURE_SIZE_NUM];   // ֱ,"D1""HD1""2CIF""CIF""QCIF"   
    int                        nWaitTime;                               // ʱȴʱ 
    HWND                       hWnd;                                    // ƵŴھ
    fDataCallBack              fDownLoadDataCallBack;                   // Ƶݻص
    LDWORD                     dwDataUser;                              // 
}NET_MULTI_PLAYBACK_PARAM;

// ĳµĸǷ¼״̬Ϣ
typedef struct
{
    BYTE        flag[32];           //ĳڵĸǷ¼״̬,0ʾû,1ʾС
    BYTE        Reserved[64];       //
}NET_RECORD_STATUS, *LPNET_RECORD_STATUS;

// 첽ѯصԭ,
// nError = 0 ʾѯɹ;
// nError = 1 ʾڴʧ;
// nError = 2 ʾʱ, ʱʱδָʱε, pFileinfos,nFileNumѲ鵽¼б;
// nError = 3 ʾ豸У鲻ͨ;
// nError = 4 Ͳѯʧ
// nError = 5 
// nError = 6 ͨʧ
// nError = 7 Ȩ
typedef void (CALLBACK *fQueryRecordFileCallBack)(LLONG lQueryHandle, LPNET_RECORDFILE_INFO pFileinfos, int nFileNum, int nError, void *pReserved, LDWORD dwUser);

// Ƿϲ¼
typedef enum tagNET_EM_COMBINATION_MODE
{
	EM_COMBINATION_MODE_DEFAULT = 0,					// ĬΪϲ
	EM_COMBINATION_MODE_YES,							// ϲ
	EM_COMBINATION_MODE_NO,								// ϲ
}NET_EM_COMBINATION_MODE;

// CLIENT_StartQueryRecordFileӿ
typedef struct tagNET_IN_START_QUERY_RECORDFILE
{ 
    DWORD               dwSize;                            // ṹС, ߱ʼֶ
    int                 nChannelId;                        // ѯͨ, 0ʼ
    int                 nRecordFileType;                   // ѯ¼,  EM_QUERY_RECORD_TYPE 
    int                 nStreamType;                       // ѯ,0-,1-,2-
    NET_TIME            stStartTime;                       // ѯʼʱ
    NET_TIME            stEndTime;                         // ѯʱ
    char*               pchCardid;                         // ϢտŲѯʱЧûڴ
														   // nRecordFileType = 4510,ڴС256ֽ
														   // nRecordFileType = 8,ڴС20ֽ
    int                 nWaitTime;                         // ʱȴʱ,λms 
    fQueryRecordFileCallBack cbFunc;                       // ѯص 
    LDWORD              dwUser;                            // ûϢ
	BOOL				bByTime;						   // Ƿʱѯ
	NET_EM_COMBINATION_MODE	emCombination;				   // ѯǷϲ¼ļ
}NET_IN_START_QUERY_RECORDFILE;

typedef struct tagNET_OUT_START_QUERY_RECORDFILE
{
    DWORD                dwSize;                           // ṹС
    LLONG                lQueryHandle;                     // ؾ    
}NET_OUT_START_QUERY_RECORDFILE;

// طŽȻصԭ
// dwDownLoadSize == -1 ʾûطŻؽ
// dwDownLoadSize ==- 2 ʾûûлطŻزȨ
typedef void (CALLBACK *fDownLoadPosCallBack)(LLONG lPlayHandle, DWORD dwTotalSize, DWORD dwDownLoadSize, LDWORD dwUser);

// Ŀ
typedef enum tagEM_OBJECT_TYPE
{
	EM_OBJECT_TYPE_UNKNOWN    = -1,         // δ֪
	EM_OBJECT_TYPE_FACE,                    // 
	EM_OBJECT_TYPE_HUMAN,                   // 
	EM_OBJECT_TYPE_VECHILE,                 // 
	EM_OBJECT_TYPE_NOMOTOR,                 // ǻ
	EM_OBJECT_TYPE_ALL,                     // 
} EM_OBJECT_TYPE;


// ¼Ϣ
typedef struct tagEVENT_INFO
{
	int                 nEvent;								// ¼,μ¼ͣ EVENT_IVS_ALL
	EM_OBJECT_TYPE		arrayObejctType[16];				// ֵ֧ͣǰ֧ EM_OBJECT_TYPE_HUMAN, EM_OBJECT_TYPE_VECHILE, EM_OBJECT_TYPE_NOMOTOR, EM_OBJECT_TYPE_ALL
	int					nObjectCount;						// szObejctType 
	BYTE				byReserved[512];					// Ԥֶ
}EVENT_INFO;


// ¼طϢ
typedef struct tagNET_IN_PLAY_BACK_BY_TIME_INFO
{
    NET_TIME            stStartTime;                       // ʼʱ
    NET_TIME            stStopTime;                        // ʱ
    HWND                hWnd;                              // Ŵ, ΪNULL
    fDownLoadPosCallBack cbDownLoadPos;                    // Ȼص
    LDWORD              dwPosUser;                         // ȻصûϢ
    fDataCallBack       fDownLoadDataCallBack;             // ݻص
    LDWORD              dwDataUser;                        // ݻصûϢ
    int                 nPlayDirection;                    // ŷ, 0:; 1:;
    int                 nWaittime;                         // ӿڳʱʱ, Ŀǰʹ
	EVENT_INFO*			pstuEventInfo;				   	   // ¼Ϣƣûڴ棬ʱֵΪNULL
	UINT				nEventInfoCount;				   // pstuEventInfo Ϊ 16
    BYTE                bReserved[1012];                   // Ԥֶ
}NET_IN_PLAY_BACK_BY_TIME_INFO;

// ¼طųϢ
typedef struct tagNET_OUT_PLAY_BACK_BY_TIME_INFO
{
    BYTE                bReserved[1024];                   // Ԥֽ
}NET_OUT_PLAY_BACK_BY_TIME_INFO;

// ¼طٶ
typedef enum tagEM_PLAY_BACK_SPEED
{
	EM_PLAY_BACK_SPEED_SLOW_16 = -4,               // 1/16
	EM_PLAY_BACK_SPEED_SLOW_8,                     // 1/8
	EM_PLAY_BACK_SPEED_SLOW_4,                     // 1/4
	EM_PLAY_BACK_SPEED_SLOW_2,                     // 1/2
	EM_PLAY_BACK_SPEED_NORMAL = 0,                 // ٶ
	EM_PLAY_BACK_SPEED_FAST_2,                     // 2
	EM_PLAY_BACK_SPEED_FAST_4,                     // 4
	EM_PLAY_BACK_SPEED_FAST_8,                     // 8
	EM_PLAY_BACK_SPEED_FAST_16,                    // 16
}EM_PLAY_BACK_SPEED;

typedef struct
{
    unsigned short      left;                        // 0~8192
    unsigned short      right;                       // 0~8192
    unsigned short      top;                         // 0~8192
    unsigned short      bottom;                      // 0~8192
} MotionDetectRect;

// ܻطϢ
typedef struct 
{
    MotionDetectRect    motion_rect;               // ֡
    NET_TIME            stime;                     // طŵĿʼʱ
    NET_TIME            etime;                     // طŵĽʱ
    BYTE                bStart;                    // ʼֹͣ: 1,ʼ,2:ֹͣ
    BYTE                reserved[116];
} IntelligentSearchPlay, *LPIntelligentSearchPlay;

// ¼ʱ
typedef struct  
{
    int                 nChnCount;                  // ͨĿ
    NET_TIME            stuFurthestTime[16];        // ¼ʱ,ЧֵΪǰ0  (nChnCount-1).ĳͨû¼Ļ,¼ʱȫΪ0
    DWORD               dwFurthestTimeAllSize;      // ͨ16ʱ,ʹáʾpStuFurthestTimeAllڴС
    NET_TIME*           pStuFurthestTimeAll;        // ͨ16ʱ,ʹá˲ڴҪû,СΪ(ͨ*sizeof(NET_TIME))
    BYTE                bReserved[376];             // ֶ
} NET_FURTHEST_RECORD_TIME;

// CLIENT_FindFrameInfo ӿ
typedef struct __NET_IN_FIND_FRAMEINFO_PRAM
{
    DWORD                 dwSize;                   // ṹС 
    BOOL                  abFileName;               // ļǷΪЧĲѯ,ļЧ,ļϢstRecordInfo
    char                  szFileName[MAX_PATH];     // ļ
    NET_RECORDFILE_INFO   stuRecordInfo;            // ļϢ
    DWORD                 dwFramTypeMask;           // ֡,FRAME_TYPE_MOTION ֡;  FRAME_TYPE_HUMAN֡(); FRAME_TYPE_VEHICLE֡()
}NET_IN_FIND_FRAMEINFO_PRAM;

// CLIENT_FindFrameInfo ӿ
typedef struct __NET_OUT_FIND_FRAMEINFO_PRAM
{
    DWORD                 dwSize;               // ṹС 
    LLONG                 lFindHandle;          // ļҾ
}NET_OUT_FIND_FRAMEINFO_PRAM;

// ֡Ϣ
typedef struct __NET_MOTION_FRAME_INFO
{
    DWORD                 dwSize;               // ṹС
    NET_TIME              stuTime;              // ǰ֡,ʱ 
    int                   nMotionRow;           // ̬
    int                   nMotionCol;           // ̬
    BYTE                  byRegion[DH_MOTION_ROW][DH_MOTION_COL];// ,32*32
    int					  nHumanMotionRow;		// ˶̬
    int					  nHumanMotionCol;	    // ˶̬
    BYTE				  byHumanRegion[DH_MOTION_ROW][DH_MOTION_COL]; // ˼, 32*32
    int					  nVehicleMotionRow;	// ̬
    int					  nVehicleMotionCol;	// ̬
    BYTE				  byVehicleRegion[DH_MOTION_ROW][DH_MOTION_COL]; // , 32*32
}NET_MOTION_FRAME_INFO;

// ļ֡Ϣ
typedef struct __NET_FILE_FRAME_INFO
{
    DWORD                 dwSize;               // ṹС
    int                   nChannelId;           // ͨ
    NET_TIME              stuStartTime;         // ʼʱ
    NET_TIME              stuEndTime;           // ʱ
    WORD                  wRecType;             // 0-¼ 1-1¼ 2-2 3-3¼
    WORD                  wFameType;            // ֡,EM_FRAME_TYPE
    void*                 pFramInfo;            // Ӧ֡Ϣ,ռû,ڴСΪsizeof(NET_MOTION_FRAME_INFO)
}NET_FILE_FRAME_INFO;

// CLIENT_FindNextFrameInfo ӿ
typedef struct __NET_IN_FINDNEXT_FRAMEINFO_PRAM
{
    DWORD                 dwSize;               // ṹС  
    int                   nFramCount;           // ѯ֡,0,ʾѯϲѯ֡Ϣ
}NET_IN_FINDNEXT_FRAMEINFO_PRAM;

// CLIENT_FindNextFrameInfo ӿ
typedef struct __NET_OUT_FINDNEXT_FRAMEINFO_PRAM
{
    DWORD                 dwSize;               // ṹС 
    NET_FILE_FRAME_INFO*  pFramInfos;           // ֡Ϣ,ûռ,ռСΪ sizeof(NET_FILE_FRAME_INFO) * nMaxFramCount
    int                   nMaxFramCount;        // û֡Ϣ
    int                   nRetFramCount;        // ʵʷص֡Ϣ
}NET_OUT_FINDNEXT_FRAMEINFO_PRAM;

#define	MAX_LABEL_ARRAY		1024

// ǩ
typedef struct tagNET_FILE_STREAM_TAG_INFO
{
	DWORD				dwSize;									// ṹС
	NET_TIME			stuTime;								// ǩʱ
	char				szContext[DH_COMMON_STRING_64];			// ǩݣıʹutf8
	char				szUserName[DH_COMMON_STRING_32];		// ûıʹutf8룬EVS
	char				szChannelName[DH_COMMON_STRING_64];		// ͨƣıʹutf8룬EVS
	int 				nDuration;							    // ¼ʱ䣬λ
} NET_FILE_STREAM_TAG_INFO;

// ļ
typedef enum tagNET_FILE_STREAM_TYPE
{
	NET_FILE_STREAM_TYPE_UNKNOWN = 0,				// δ֪
	NET_FILE_STREAM_TYPE_NORMAL,					// ͨ
	NET_FILE_STREAM_TYPE_ALARM,						// 
	NET_FILE_STREAM_TYPE_DETECTION,					// 
} NET_FILE_STREAM_TYPE;

// ѯıǩϢ
typedef struct tagNET_FILE_STREAM_TAG_INFO_EX
{
	DWORD					dwSize;	
	NET_TIME				stuTime;									// ǩƵʱ䣬ȷ
	int						nMillisecond;								// 
	int						nSequence;									// Ƶк
	char					szContext[DH_COMMON_STRING_64];				// ǩݣıʹutf8
	NET_TIME				stuStartTime;								// ¼ļʼʱ
	NET_TIME				stuEndTime;									// ¼ļʱ
	NET_FILE_STREAM_TYPE	emType;										// ļ
	char					szUserName[DH_COMMON_STRING_32];			// ûıʹutf8룬EVS
	char					szChannelName[DH_COMMON_STRING_64];			// ͨƣıʹutf8룬EVS
	int						nDuration;								    // ¼ʱ䣬λ
} NET_FILE_STREAM_TAG_INFO_EX;


// CLIENT_FileStreamClearTags / CLIENT_FileStreamSetTags ӿ
typedef struct tagNET_IN_FILE_STREAM_TAGS_INFO
{
	DWORD						dwSize;								// ṹС 
	int							nArrayCount;						// ǩ
	NET_FILE_STREAM_TAG_INFO*	pstuTagInfo;						// ǩ飬ݹϵΪ"", ûڴ,СΪsizeof(NET_FILE_STREAM_TAG_INFO)*nArrayCount						
} NET_IN_FILE_STREAM_TAGS_INFO;

// CLIENT_FileStreamClearTags / CLIENT_FileStreamSetTags ӿ
typedef struct tagNET_OUT_FILE_STREAM_TAGS_INFO
{
	DWORD						dwSize;					// ṹС 
} NET_OUT_FILE_STREAM_TAGS_INFO;


// CLIENT_FileStreamGetTags ӿ
typedef struct tagNET_IN_FILE_STREAM_GET_TAGS_INFO
{
	DWORD					dwSize;					// ṹС 
} NET_IN_FILE_STREAM_GET_TAGS_INFO;

// CLIENT_FileStreamGetTags / CLIENT_FileStreamfilterTags ӿ
typedef struct tagNET_OUT_FILE_STREAM_GET_TAGS_INFO
{
	DWORD							dwSize;								// ṹС 
	int								nMaxNumber;							// ǩ
	int								nRetTagsNumber;						// ǩʵʷصĸ
	NET_FILE_STREAM_TAG_INFO_EX*	pstuTagInfo;						// ǩ
} NET_OUT_FILE_STREAM_GET_TAGS_INFO;


// CLIENT_FileStreamFilterTags ӿ
typedef struct tagNET_IN_FILE_STREAM_FILTER_TAGS_INFO
{
	DWORD						dwSize;									// ṹС 
	char						szContext[DH_COMMON_STRING_64];			// ǩݣıʹutf8
	char						szUserName[DH_COMMON_STRING_32];		// ûıʹutf8룬EVS
	char						szChannelName[DH_COMMON_STRING_64];		// ͨƣıʹutf8룬EVS			
} NET_IN_FILE_STREAM_FILTER_TAGS_INFO;

// CLIENT_FileStreamfilterTags ӿ
// typedef struct tagNET_OUT_FILE_STREAM_FILTER_TAGS_INFO
// {
// 	DWORD							dwSize;								// ṹС 
// 	NET_FILE_STREAM_TAG_INFO_EX		stuTagInfo[MAX_LABEL_ARRAY];		// ǩ
// 	int								nRetTagsCount;						// ʵʷصıǩϢ
// } NET_OUT_FILE_STREAM_FILTER_TAGS_INFO;

// ӱǩϢ
typedef struct tagNET_TAGMANAGER_SUB_TAG_INFO
{
	NET_TIME					stuTime;								// ӱǩʱ
	char						szSubTagName[DH_COMMON_STRING_64];		// ӱǩ
	BYTE						byReserved[512];						// ֶ
}NET_TAGMANAGER_SUB_TAG_INFO;

// ǩϢñǩпʼͽʱ䣬 NET_FILE_STREAM_TAG_INFO_EX ͬ
typedef struct tagNET_TAGMANAGER_TAG_INFO
{
	char						szContext[DH_COMMON_STRING_64];			// ǩ	
	NET_TIME					stuStartTime;							// ¼ǩʼʱ
	NET_TIME					stuEndTime;								// ¼ǩʱ
	int							nSubTagVaildNum;						// ӱǩЧ
	NET_TAGMANAGER_SUB_TAG_INFO stuSubTag[MAX_SUB_TAG_NUM];				// ӱǩ
	BYTE						byReserved[1024];						// ֶ
}NET_TAGMANAGER_TAG_INFO;

// ǩѯϢ
typedef struct tagNET_FINDTAGS_CONDITION_INFO
{
	char						szContext[DH_COMMON_STRING_64];			// ǩ	
	BYTE						byReserved[1024];						// ֶ
}NET_FINDTAGS_CONDITION_INFO;

// ѯǩϢ, CLIENT_FileStreamFindTags 
typedef struct tagNET_IN_FINDTAGS_INFO
{
	DWORD							dwSize;
	BOOL							bConditionEnable;					// ΪTrueʱ, stuConditionЧ, lTokenЧ; ΪFalseʱ, stuConditionЧ, lTokenЧ
	NET_FINDTAGS_CONDITION_INFO		stuCondition;						// ѯһβѯʱʹ
	UINT							lToken;								// ѯڶβѯʱʼʹãɵһε NET_OUT_FINDTAGS_INFO ȡ
	int								nOffset;							// ѯƫ
	int								nCount;								// βѯ60
}NET_IN_FINDTAGS_INFO;

// // ѯǩϢ, CLIENT_FileStreamFindTags 
typedef struct tagNET_OUT_FINDTAGS_INFO
{
	DWORD							dwSize;
	UINT							lToken;									// ѯһβѯ
	int								nTotal;									// 豸صļ¼
	int								nMaxTagsNumber;							// ǩ(pstuTagInfo), С NET_IN_FINDTAGS_INFO nCountֶ 
	int								nRetTagsNumber;							// ǩ(pstuTagInfo)ʵʷصĸ
	NET_TAGMANAGER_TAG_INFO*		pstuTagInfo;							// ǩָ, ûڴ, СΪsizeof(NET_TAGMANAGER_TAG_INFO)*nMaxTagsNumber
}NET_OUT_FINDTAGS_INFO;

// ǩ״̬
typedef struct tagNET_TAGMANAGER_TAGSTATE_INFO
{
	int							nChannel;								// ͨ
	char						szContext[DH_COMMON_STRING_64];			// ǩ	
	NET_TIME					stuStartTime;							// ǩʼʱ
	int							nSubTagVaildNum;						// ӱǩ(stuSubTag)Ч
	NET_TAGMANAGER_SUB_TAG_INFO stuSubTag[MAX_SUB_TAG_NUM];				// ӱǩ
	BYTE						byReserved[1024];						// ֶ
}NET_TAGMANAGER_TAGSTATE_INFO;

// ȡ豸ǩ״̬, CLIENT_TagManagerGetTagState 
typedef struct tagNET_IN_TAGMANAGER_GETTAGSTATE_INFO
{
	DWORD							dwSize;
}NET_IN_TAGMANAGER_GETTAGSTATE_INFO;

// ȡ豸ǩ״̬, CLIENT_TagManagerGetTagState 
typedef struct tagNET_OUT_TAGMANAGER_GETTAGSTATE_INFO
{
	DWORD							dwSize;
	int								nState;								// ǩ״̬, 0δǩ, 1ڴǩ
	int								nMaxTagStaeNumber;					// ǩ(pstuTagStateInfo)
	int								nRetTagStaeNumber;					// ǩ(pstuTagStateInfo)ʵʷصĸ
	NET_TAGMANAGER_TAGSTATE_INFO*	pstuTagStateInfo;					// ǩָ, ûڴ, СΪsizeof(NET_TAGMANAGER_TAGSTATE_INFO)*nMaxTagStaeNumber
}NET_OUT_TAGMANAGER_GETTAGSTATE_INFO;

// ʼǩ, CLIENT_TagManagerStartTag 
typedef struct tagNET_IN_TAGMANAGER_STARTTAG_INFO
{
	DWORD						dwSize;
	int							nChannel;								// ͨ
	char						szContext[DH_COMMON_STRING_64];			// ǩ	
}NET_IN_TAGMANAGER_STARTTAG_INFO;

// ʼǩ, CLIENT_TagManagerStartTag 
typedef struct tagNET_OUT_TAGMANAGER_STARTTAG_INFO
{
	DWORD						dwSize;
}NET_OUT_TAGMANAGER_STARTTAG_INFO;

// ӱǩ, CLIENT_TagManagerSetSubTag 
typedef struct tagNET_IN_TAGMANAGER_SETSUBTAG_INFO
{
	DWORD						dwSize;
	int							nChannel;								// ͨ
	char						szSubTagName[DH_COMMON_STRING_64];		// ӱǩ	
}NET_IN_TAGMANAGER_SETSUBTAG_INFO;

// ӱǩ, CLIENT_TagManagerSetSubTag 
typedef struct tagNET_OUT_TAGMANAGER_SETSUBTAG_INFO
{
	DWORD						dwSize;
}NET_OUT_TAGMANAGER_SETSUBTAG_INFO;

// ֹͣǩ, CLIENT_TagManagerStopTag 
typedef struct tagNET_IN_TAGMANAGER_STOPTAG_INFO
{
	DWORD						dwSize;
	int							nChannel;								// ͨ
}NET_IN_TAGMANAGER_STOPTAG_INFO;

// ֹͣǩ, CLIENT_TagManagerStopTag 
typedef struct tagNET_OUT_TAGMANAGER_STOPTAG_INFO
{
	DWORD						dwSize;
}NET_OUT_TAGMANAGER_STOPTAG_INFO;


///////////////////////////////ض///////////////////////////////

// ͨϢ
typedef struct
{
    int                  channelcount;
    int                  alarminputcount;
    unsigned char        alarm[16];                // ⲿ
    unsigned char        motiondection[16];        // ̬
    unsigned char        videolost[16];            // Ƶʧ
} NET_CLIENT_STATE;

// ͨϢ
typedef struct
{
    int                  channelcount;
    int                  alarminputcount;
    unsigned char        alarm[32];                // ⲿ
    unsigned char        motiondection[32];        // ̬
    unsigned char        videolost[32];            // Ƶʧ
    BYTE                 bReserved[32];
} NET_CLIENT_STATE_EX;

// ⲿ״̬ϢӦṹ
typedef struct
{
    DWORD                dwSize;
    int                  alarminputcount;
    DWORD                dwAlarmState[DH_MAX_CHANMASK]; //ÿһDWORDλʾ32ͨı״̬, 0-ʾޱ, 1-ʾб
}NET_CLIENT_ALARM_STATE;

// Ƶʧ״̬ϢӦṹ
typedef struct
{
    DWORD                dwSize;
    int                  channelcount;
    DWORD                dwAlarmState[DH_MAX_CHANMASK]; //ÿһDWORDλʾ32ͨı״̬, 0-ʾޱ, 1-ʾб
}NET_CLIENT_VIDEOLOST_STATE;

// ̬ⱨ״̬ϢӦṹ
typedef struct
{
    DWORD                dwSize;
    int                  channelcount;
    DWORD                dwAlarmState[DH_MAX_CHANMASK]; //ÿһDWORDλʾ32ͨı״̬, 0-ʾޱ, 1-ʾб
}NET_CLIENT_MOTIONDETECT_STATE;

// Ƶڵ״̬ϢӦṹ
typedef struct
{
    DWORD                dwSize;
    int                  channelcount;
    DWORD                dwAlarmState[DH_MAX_CHANMASK]; //ÿһDWORDλʾ32ͨı״̬, 0-ʾޱ, 1-ʾб
}NET_CLIENT_VIDEOBLIND_STATE;

// ѯ ̬ⱨ״̬ϸϢӦṹ
typedef struct
{
    DWORD               dwSize;
    int                 nChannelID;                 // ͨ
    BOOL                bAlarm;                     // Ƿ񱨾 TRUE/FALSE
    int                 nLevel;                     // ,λǧ֮,Զ췢СС
}NET_CLIENT_DETAILEDMOTION_STATE;

// IO
typedef struct 
{
    unsigned short       index;                    // ˿
    unsigned short       state;                    // ˿״̬0 - رգ1 - 
} ALARM_CONTROL;

// ʽ
typedef struct
{
    unsigned short       index;                    // ˿
    unsigned short       mode;                     // ʽ(0ر1ֶ2Զ);õͨ,sdkĬϽԭá
    BYTE                 bReserved[28];            
} TRIGGER_MODE_CONTROL;

// 
typedef struct 
{
    int                 decoderNo;               // ,0ʼ
    unsigned short      alarmChn;                // ,0ʼ
    unsigned short      alarmState;              // ״̬1,0ر
} DECODER_ALARM_CONTROL;

// Ӧ𱨾¼
typedef struct __ALARM_NO_RESPONSE_INFO
{
    DWORD               dwSize;
    char                szCallID[DH_MAX_CALLID];                             //Call ID
}ALARM_NO_RESPONSE_INFO;

// ϴܵıϢ
typedef struct  
{
    DWORD               dwAlarmType;                            // ͣdwAlarmType = DH_UPLOAD_EVENTʱdwAlarmMaskbAlarmDecoderIndexЧ
    DWORD               dwAlarmMask;                            // Ϣ룬λʾͨ״̬
    char                szGlobalIP[DH_MAX_IPADDR_LEN];          // ͻIPַ
    char                szDomainName[DH_MAX_DOMAIN_NAME_LEN];   // ͻ
    int                 nPort;                                  // ϴʱͻӵĶ˿
    char                szAlarmOccurTime[DH_ALARM_OCCUR_TIME_LEN];    // ʱ
    BYTE                bAlarmDecoderIndex;                     // ʾڼdwAlarmType = DH_UPLOAD_DECODER_ALARM Ч.
    BYTE                bChannelIndex;                          // ͨʼֵ(0,1,2...)0Ч, dwHighAlarmMask ͬʾ32ͨı״̬
                                                                //  bChannelIndex=1,ʾdwHighAlarmMaskΪͨ33-64ı״̬
    BYTE                bReserved[2];
    DWORD               dwHighAlarmMask;                        // 32ͨıϢ,λʾͨ״̬
    BYTE                bReservedSpace[8];
} NEW_ALARM_UPLOAD;

// : pir 豸鱨
typedef struct tagALARM_UPLOAD_PIRDETECTION_INFO
{
	int				nIndex;						// к
	NET_TIME_EX		UTC;						// ¼ʱ
	char			szName[DH_EVENT_NAME_LEN];	// ¼
	int				nAction;					// ¼, 0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	BYTE			byReserved[1024];       	//  
} ALARM_UPLOAD_PIRDETECTION_INFO;

// : pir 豸𱨾
typedef struct tagALARM_UPLOAD_PIRTAMPER_INFO
{
	int				nIndex;						// к
	NET_TIME_EX		UTC;						// ¼ʱ
	char			szName[DH_EVENT_NAME_LEN];	// ¼
	int				nAction;					// ¼, 0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	BYTE			byReserved[1024];       	//  
} ALARM_UPLOAD_PIRTAMPER_INFO;

// : pir 豸ڵ
typedef struct tagALARM_UPLOAD_PIRCLOAK_INFO
{
	int				nIndex;						// к
	NET_TIME_EX		UTC;						// ¼ʱ
	char			szName[DH_EVENT_NAME_LEN];	// ¼
	int				nAction;					// ¼, 0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	BYTE			byReserved[1024];       	//  
} ALARM_UPLOAD_PIRCLOAK_INFO;

// : pir 豸𶯱
typedef struct tagALARM_UPLOAD_PIRSHOCK_INFO
{
	int				nIndex;						// к
	NET_TIME_EX		UTC;						// ¼ʱ
	char			szName[DH_EVENT_NAME_LEN];	// ¼
	int				nAction;					// ¼, 0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	BYTE			byReserved[1024];       	//  
} ALARM_UPLOAD_PIRSHOCK_INFO;

// : pir 豸ϱ
typedef struct tagALARM_UPLOAD_PIRFAILURE_INFO
{
	int				nIndex;						// к
	NET_TIME_EX		UTC;						// ¼ʱ
	char			szName[DH_EVENT_NAME_LEN];	// ¼
	int				nAction;					// ¼, 0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	BYTE			byReserved[1024];       	//  
} ALARM_UPLOAD_PIRFAILURE_INFO;

// : pir 豸صͱ
typedef struct tagALARM_UPLOAD_PIRBATTERYLOW_INFO
{
	int				nIndex;						// к
	NET_TIME_EX		UTC;						// ¼ʱ
	char			szName[DH_EVENT_NAME_LEN];	// ¼
	int				nAction;					// ¼, 0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	BYTE			byReserved[1024];       	//  
} ALARM_UPLOAD_PIRBATTERYLOW_INFO;

// : pir 豸źŶʧ
typedef struct tagALARM_UPLOAD_PIRMISSINGCALL_INFO
{
	int				nIndex;						// к
	NET_TIME_EX		UTC;						// ¼ʱ
	char			szName[DH_EVENT_NAME_LEN];	// ¼
	int				nAction;					// ¼, 0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	BYTE			byReserved[1024];       	//  
} ALARM_UPLOAD_PIRMISSINGCALL_INFO;

// : Ƶ齹¼
typedef struct tagALARM_UPLOAD_VIDEO_UNFOCUS_INFO
{
	int				nIndex;						// к
	NET_TIME_EX		UTC;						// ¼ʱ
	char			szName[DH_EVENT_NAME_LEN];	// ¼
	int				nAction;					// ¼, 0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	BYTE			byReserved[1024];       	//  
} ALARM_UPLOAD_VIDEO_UNFOCUS_INFO;

// : PIR¼
typedef struct tagALARM_UPLOAD_ALARMPIR_INFO
{
	int				nIndex;						// к
	NET_TIME_EX		UTC;						// ¼ʱ
	char			szName[DH_EVENT_NAME_LEN];	// ¼
	int				nAction;					// ¼, 0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	BYTE			byReserved[1024];       	//  
} ALARM_UPLOAD_ALARMPIR_INFO;

// ¼
typedef struct tagALARM_UPLOAD_HEARTBEAT_INFO
{
    char            szGlobalIP[DH_MAX_IPADDR_LEN];               // ͻIPַ
    char            szMAC[DH_MACADDR_LEN];                       // MACַ
    int             nKeepAlive;                                  // 豸˱ʱ䣬ûᷢһλ
    NET_TIME_EX     stuTime;                                     // ¼ʱ    
    BYTE            byReserved[1024];                            // ֽ
}ALARM_UPLOAD_HEARTBEAT_INFO;

// /¼
typedef struct tagALARM_UPLOAD_ONLINE_INFO
{
    char            szGlobalIP[DH_MAX_IPADDR_LEN];               // ͻIPַ
    int             nPort;                                       // ͻ˶˿
    NET_TIME_EX     stuTime;                                     // ¼ʱ
    BOOL            bOnLine;                                     // :TRUE()  FALSE()
    BYTE            byReserved[1020];                            // ֽ
}ALARM_UPLOAD_ONLINE_INFO;

// ̸б¼
typedef struct __ALARM_UPLOAD_SMOKESENSOR_INFO
{
    DWORD           dwSize;
    char            szGlobalIP[DH_MAX_IPADDR_LEN];               // ͻIPַ
    char            szDomainName[DH_MAX_DOMAIN_NAME_LEN];        // ͻ
    int             nPort;                                       // ϴʱͻӵĶ˿
    char            szAlarmOccurTime[DH_ALARM_OCCUR_TIME_LEN];   // ʱ
    int             nChannel;                                    // ͨ 0ʼ
    BYTE            byHighTemperature;                           // 1:±ʼ,0±
    BYTE            bySmoke;                                     // 1:̸бʼ,0̸б
}ALARM_UPLOAD_SMOKESENSOR_INFO;

// ַ
typedef enum tagNET_CROSSREGION_DIRECTION_INFO
{
    EM_CROSSREGION_DIRECTION_UNKNOW = 0 , 
    EM_CROSSREGION_DIRECTION_ENTER      ,   //
    EM_CROSSREGION_DIRECTION_LEAVE      ,   //뿪
    EM_CROSSREGION_DIRECTION_APPEAR     ,   //
    EM_CROSSREGION_DIRECTION_DISAPPEAR  ,   //ʧ
}NET_CROSSREGION_DIRECTION_INFO;

// ܱ¼
typedef struct __ALARM_UPLOAD_IVS_INFO
{
    DWORD           dwSize;
    NET_TIME        stuTime;                                    // ¼ʱ    
    char            szDomainName[DH_MAX_DOMAIN_NAME_LEN];       // ͻ
    int             nChannelID;                                 // ͨ,0ʼ
    char            szType[MAX_PATH];                           // , 
                                                                // "CrossLineDetection" 
                                                                // "CrossFenceDetection" ԽΧ
                                                                // "CrossRegionDetection" 
                                                                // "PasteDetection" ATM
                                                                // "LeftDetection" Ʒ
                                                                // "Preservation" Ʒȫ
                                                                // "TakenAwayDetection" Ʒ
                                                                // "StayDetection" ͣ/
                                                                // "ParkingDetection" Ƿͣ
                                                                // "WanderDetection" ǻ
                                                                // "MoveDetection" ˶
                                                                // "TailDetection" β
                                                                // "RioterDetection" ۼ
                                                                // "FightDetection" 
                                                                // "RetrogradeDetection" 
                                                                // "FireDetection" 
                                                                // "SmokeDetection" 
                                                                // "NumberStat" ͳ
                                                                // "VideoAbnormalDetection" Ƶ쳣
                                                                // "PrisonerRiseDetection" 
                                                                // "FaceDetection" 
                                                                // "FaceRecognition" ʶ
                                                                // "DensityDetection" ܼȼ
                                                                // "QueueDetection" ŶӼ
    int             nState;                                     // ״̬,0-λ,1-λ, 2-ʽ
    char            szRuleName[DH_COMMON_STRING_128];           //   
    char            szIPAddress[DH_MAX_IPADDR_LEN_EX];          // 豸IPַ  
    int             nPort;                                      // 豸˿ں
    char            szMacAddress[DH_MACADDR_LEN];               // 豸macַ
    char            szPicFilePath[MAX_PATH];                    // ͼƬļ·
    int             nPicFileNum;                                // ǰӦͼƬļ
    int             nUploadPicFileNum;                          // ϴFTPͼƬļ
    DWORD           dwChannelMask;                              // ץͼƵͨ,15ʾ˴αץͼ1,2,3,4ͨ 
	NET_CROSSREGION_DIRECTION_INFO  emDirection;                // ַ, szType ΪCrossRegionDetection ʱЧ
} ALARM_UPLOAD_IVS_INFO;

// ⲿչϢ
typedef struct _ALARM_UPLOAD_ALARMEX_INFO
{
    DWORD           dwSize;
    NET_TIME        stuTime;                                    // ¼ʱ    
    char            szDomainName[DH_MAX_DOMAIN_NAME_LEN];       // ͻ
    DWORD           dwAlarmMask;                                // Ϣ,λʾͨ״̬, 7ʾ1,2,3ͨ
    char            szDevMac[DH_MACADDR_LEN];                   // 豸macַ
    char            szPicFilePath[MAX_PATH];                    // ͼƬļ·
    int             nPicFileNum;                                // ǰӦͼƬļ
    int             nUploadPicFileNum;                          // ϴFTPͼƬļ
    char            szAreaName[DH_COMMON_STRING_128];           // 
    DWORD           dwChannelMask;                              // ץͼƵͨ,15ʾ˴αץͼ1,2,3,4ͨ 
}ALARM_UPLOAD_ALARMEX_INFO;

typedef enum _EM_LOGIN_FAILED_TYPE
{
    LOGIN_FAILED_UNKNOW = 0 ,
    LOGIN_FAILED_PASSWORD   ,           //벻ȷ
    LOGIN_FAILED_USER       ,           //ʺŲ
    LOGIN_FAILED_TIMEOUT    ,           //ȴ¼سʱ
    LOGIN_FAILED_RELOGGIN   ,           //ʺѾ¼
    LOGIN_FAILED_LOCKED     ,           //ʺѱ
    LOGIN_FAILED_BLACKLIST  ,           //ʺű
    LOGIN_FAILED_ERROR_BUSY ,           //Դ,ϵͳæ
    LOGIN_FAILED_VERSION    ,           //汾,޷½ 
}EM_LOGIN_FAILED_TYPE;

//Զ̵¼ʧܱϢ
typedef struct  __ALARM_UPLOAD_LOGIN_FAILED_INFO
{
    DWORD                   dwSize;
    EM_LOGIN_FAILED_TYPE    emFailedType;                       //½ʧ
    char                    szDeviceIP[DH_COMMON_STRING_64];    //豸IP
    DWORD                   nDevicePort;                        //豸˿
}ALARM_UPLOAD_LOGIN_FAILED_INFO;

// ¼״̬仯Ϣ
typedef struct
{
    int                 nChannel;               // ¼ͨ
    char                reserved[12];
} ALARM_RECORDING_CHANGED;

// Ƶ
typedef enum tagNET_STREAM_TYPE
{
    NET_EM_STREAM_ERR,                      // 
    NET_EM_STREAM_MAIN,                     // "Main"-
    NET_EM_STREAM_EXTRA_1,                  // "Extra1"-1
    NET_EM_STREAM_EXTRA_2,                  // "Extra2"-2
    NET_EM_STREAM_EXTRA_3,                  // "Extra3"-3
    NET_EM_STREAM_SNAPSHOT,                 // "Snapshot"-ץͼ
    NET_EM_STREAM_OBJECT,                   // "Object"-
    NET_EM_STREAM_AUTO,                     // "Auto"-Զѡ
    NET_EM_STREAM_PREVIEW,                  // "Preview"-Ԥ
    NET_EM_STREAM_NONE,                     // Ƶ(Ƶ)
}NET_STREAM_TYPE;

// ¼״̬仯(DH_ALARM_RECORD_CHANGED_EX)
typedef struct __ALARM_RECORD_CHANGED_INFO_EX
{
    int                 nAction;                // 0:ʼ 1:ֹͣ
	int                 nChannel;               // ͨ
	char				szStoragePoint[DH_COMMON_STRING_64];	// ¼洢
	NET_STREAM_TYPE		emStreamType;							// ¼
	char				szUser[DH_COMMON_STRING_128];			// û
	BYTE                byReserved[828];						//  
} ALARM_RECORD_CHANGED_INFO_EX;

// MPT¼NVRĽ¼(DH_ALARM_POLICE_RECORD_PROGRESS)
typedef struct tagALARM_POLICE_RECORD_PROGRESS_INFO
{
    int                 nAction;                // 0:pulse,-1δ֪
    int                 nUsbSlot;               // MPTUSBλ
    UINT                nTotalSize;             // ļܴСλKB
    UINT                nTransferSize;          // ѾNVRļСλKB
    BYTE                byReserved[1024];       //  
}ALARM_POLICE_RECORD_PROGRESS_INFO;

// MPT豸״̬
typedef enum tagEM_MPT_STATE
{
    EM_MPT_STATE_UNKNOWN,                                       // δ֪
    EM_MPT_STATE_PLUGIN_OUT,                                    // 豸γ
    EM_MPT_STATE_PLUGIN_IN_WORKING_PROPERLY,                    // 豸ҹ
    EM_MPT_STATE_PLUGIN_IN_STORAGE_ERROR,                       // 豸뵫洢
}EM_MPT_STATE;

// MPTγ豸¼(DH_ALARM_POLICE_PLUGIN)
typedef struct tagALARM_POLICE_PLUGIN_INFO
{
    int                 nAction;                                // 0:pulse,-1δ֪
    int                 nUsbSlot;                               // MPTUSBλ
    EM_MPT_STATE        eState;                                 // MPT״̬
    char                szSerialNumber[DH_COMMON_STRING_32];    // MPT豸к
    BYTE                byReserved[1024];                       //  
}ALARM_POLICE_PLUGIN_INFO;

// GPSδλ(DH_ALARM_GPS_NOT_ALIGNED)
typedef struct tagALARM_GPS_NOT_ALIGNED_INFO
{
    int                                 nAction;                        // ¼,0ʾ¼,1ʾʼ,2ʾ;  
	NET_TIME_EX                         stuTime;                        // ¼ʱ
	NET_TIME_EX							stuStartTime;					// ʼʱ,nActionΪ2ʱϱֶ
	BYTE                                byReserved[988];                // ֽ 
}ALARM_GPS_NOT_ALIGNED_INFO;

// δӱ(wifi3G/4G)(DH_ALARM_WIRELESS_NOT_CONNECTED)
typedef struct tagALARM_WIRELESS_NOT_CONNECTED_INFO
{
    int                                 nAction;                        // ¼,0ʾ¼,1ʾʼ,2ʾ;  
	NET_TIME_EX                         stuTime;                        // ¼ʱ
	BYTE                                byReserved[1024];               // ֽ 
}ALARM_WIRELESS_NOT_CONNECTED_INFO;

// ־ͬ״̬
typedef enum tagEM_OFFLINE_LOGSYNC_STATE
{
    EM_OFFLINE_LOGSYNC_STATE_UNKNOWN,                             // δ֪
    EM_OFFLINE_LOGSYNC_STATE_SUCCEEDED,                           // ɹ
    EM_OFFLINE_LOGSYNC_STATE_FAILED,                              // ʧ
}EM_OFFLINE_LOGSYNC_STATE;

//ͬ־¼
typedef struct tagALARM_OFFLINE_LOGSYNC_INFO
{
    int                                 nAction;                        // ¼,0ʾ¼,1ʾʼ,2ʾ;  
	NET_TIME_EX                         stuTime;                        // ¼ʱ
	int                                 nDevAddrs;                      // ֿID
	EM_OFFLINE_LOGSYNC_STATE            emState;                        //ͬ
	BYTE                                byReserved[1024];               // ֽ 
}ALARM_OFFLINE_LOGSYNC_INFO;

#define NET_MAX_WINDINGID_NUM    8

// Ȧ/
typedef struct __ALARM_WINGDING_INFO
{
    int                 nDriveWayID;            // 
    int                 nWindingID;             // ȦID,ֶηϳ,nWindingIDsΪ׼
    NET_TIME            stuTime;                // ʱ
    int                 nState;                 // 豸״̬,0ʾϻָ,1ʾ
    DWORD               dwChannel;              // ͨ
    char                reserve[28];
    int                 nWindingIDNum;          // ȦID
    int                 nWindingIDs[NET_MAX_WINDINGID_NUM];// ȦID 
} ALARM_WINGDING_INFO;

// ͨӵ
typedef struct __ALARM_TRAF_CONGESTION_INFO
{
    int                 nDriveWayID;            // 
    int                 nCongestionLevel;       // ͨӵȼ:1,2,3,4,5,6;1
    NET_TIME            stuTime;                // ʱ
    int                 nState;                 // 豸״̬,0ʾϻָ,1ʾ
    DWORD               dwChannel;              // ͨ
    char                reserve[28];
} ALARM_TRAF_CONGESTION_INFO;

// ͨ쳣
typedef struct __ALARM_TRAF_EXCEPTION_INFO
{
    int                 nDriveWayID;            // 
    NET_TIME            stuTime;                // ʱ
    int                 nState;                 // 豸״̬,0ʾϻָ,1ʾ
    DWORD               dwChannel;              // ͨ
    char                reserve[28];
} ALARM_TRAF_EXCEPTION_INFO;

// 豸ϱ
typedef struct __ALARM_EQUIPMENT_FILL_INFO
{
    int                 nDriveWayID;            // 
    NET_TIME            stuTime;                // ʱ
    int                 nState;                 // 豸״̬,0ʾϻָ,1ʾ
    DWORD               dwChannel;              // ͨ
    char                reserve[28];
} ALARM_EQUIPMENT_FILL_INFO;

// ״̬Ϣ
typedef struct __ALARM_ARM_DISARM_STATE_INFO
{
    BYTE                bState;                 // ״̬,0ʾ,1ʾ,2ʾǿƲ
    char                reserve[31];
} ALARM_ARM_DISARM_STATE_INFO;

// 3Gֵ״̬Ϣ 
typedef struct __DHDEV_3GFLOW_EXCEED_STATE_INFO
{
    BYTE                bState;                 // 3Gֵ״̬,0ʾδֵ,1ʾֵ
    char                reserve[31];
} DHDEV_3GFLOW_EXCEED_STATE_INFO;

// ٱ·ٱ (DH_DEVSTATE_SPEED_LIMIT)
typedef struct __ALARM_SPEED_LIMIT
{
    char                szType[DH_SPEEDLIMIT_TYPE_LEN];     // ٱLowerSpeed, UpperSpeed
    int                 iSpeedLimit;                        //  λKM/H 
    int                 iSpeed;                             // ٶ λKM/H
    char                szCrossingID[DH_MAX_CROSSING_ID];   // ·к
    DWORD               dwLongitude;                        // (λǰ֮,Χ0-360)綫120.178274ȱʾΪ300178274
    DWORD               dwLatidude;                         // γ(λǰ֮,Χ0-180)籱γ30.183382ȱʾΪ120183382
                                                            // γȵľתʽԲοṹ NET_WIFI_GPS_INFO еע
    DHDEVTIME           stTime;                             // ʱ
    BYTE                bOffline;                           // 0-ʵʱ 1- 
    char                reserve[19];
}ALARM_SPEED_LIMIT;

// ٱ

// ر
typedef struct __ALARM_OVER_LOADING
{
    NET_TIME            stuCurTime;                         // ǰʱ
    DWORD               dwLatidude;                         // γ(λǰ֮,Χ0-180)籱γ30.183382ȱʾΪ120183382
    DWORD               dwLongitude;                        // (λǰ֮,Χ0-360)綫120.178274ȱʾΪ300178274
                                                            // γȵľתʽԲοṹ NET_WIFI_GPS_INFO еע
    char                szDriverNo[DH_VEHICLE_DRIVERNO_LEN];// ʻԱID
    DWORD               dwCurSpeed;                         // ǰٶ
    BYTE                byReserved[128]; 
}ALARM_OVER_LOADING;

// ɲ
typedef struct __ALARM_HARD_BRAKING
{
    NET_TIME        stuCurTime;                             // ǰʱ
    DWORD           dwLatidude;                             // γ(λǰ֮,Χ0-180)籱γ30.183382ȱʾΪ120183382
    DWORD           dwLongitude;                            // (λǰ֮,Χ0-360)綫120.178274ȱʾΪ300178274
                                                            // γȵľתʽԲοṹ NET_WIFI_GPS_INFO еע
    char            szDriverNo[DH_VEHICLE_DRIVERNO_LEN];    // ʻԱID
    DWORD           dwCurSpeed;                             // ǰٶ
    BYTE            byReserved[128]; 
}ALARM_HARD_BRAKING;

// ̸б
typedef struct __ALARM_SMOKE_SENSOR
{
    NET_TIME        stuCurTime;             // ǰʱ
    int             nChannel;               // ͨ
    BYTE            byHighTemperature;      // 1:±ʼ,0±
    BYTE            bySmoke;                // 1:̸бʼ,0̸б
    BYTE            byReservrd[126];
}ALARM_SMOKE_SENSOR;

// ͨƹϱ
typedef struct _LIGHT_INFO
{
    BYTE               byDirection;            // ͨƷ: 1-,2-,3-ֱ, 4-ͷ
    BYTE               byState;                // ͨ״̬: 1-,2-
    BYTE               byReserved[62];         // ֽ 
}LIGHT_INFO;

typedef struct __ALARM_TRAFFIC_LIGHT_FAULT 
{
    NET_TIME           stTime;                 // ʱ
    int                nInfoNumber;            // Ϣ
    LIGHT_INFO         stLightInfo[8];         // ͨƹϢ
    BYTE               byReserved[128];        // ֶ
}ALARM_TRAFFIC_LIGHT_FAULT;

// ͳƱͨϢ
typedef struct __ALARM_TRAFFIC_FLUX_LANE_INFO
{
    NET_TIME            stuCurTime;            // ǰʱ
    int                 nLane;                 // 
    int                 nState;                // ״ֵ̬1-ʾӵ, 2-ʾӵ»ָ, 3-ʾ, 4-ʾж, 5-ʾжϻָ
    int                 nFlow;                 // ֵ,λ/
    BYTE                byReserved[124];       // 
}ALARM_TRAFFIC_FLUX_LANE_INFO;

// SIP״̬ı䱨()
typedef struct __ALARM_SIP_STATE
{
    int     nChannelID;
    BYTE    byStatus;                         //0:עɹ,1:δע,2:Ч,3:ע,4:ͨ
    BYTE    bReserved[63];                    //
}ALARM_SIP_STATE;

// ԶϢϴ(DH_DEVSTATE_VIHICLE_INFO_UPLOAD)
typedef struct __ALARM_VEHICLE_INFO_UPLOAD
{
    char                szType[DH_VEHICLE_TYPE_LEN];                 // Ϣ: DriverCheck˾ǩǩ
    char                szCheckInfo[DH_VEHICLE_INFO_LEN];            // ǩ룺CheckInǩCheckOut  
    char                szDirverNO[DH_VEHICLE_DRIVERNO_LEN];         // ˾ַ
    DHDEVTIME           stTime;                                      // ʱ
    BYTE                bOffline;                                    // 0-ʵʱ 1- 
    char                reserved[59];                     
}ALARM_VEHICLE_INFO_UPLOAD;
// ԶϢϴ

// ¼Ϣϴ
typedef struct __ALARM_CARD_RECORD_INFO_UPLOAD
{
    int                 nChannel;                           // ͨ
    BOOL                bEnable;                            // Ƿڿ¼
    char                szCardInfo[DH_MAX_CARD_INFO_LEN];   // Ϣ
    NET_TIME            stuTime;                            // ÿЧʼʱ
    BOOL                bPreviewOverlayEn;                  // Ԥʹ
    BYTE                byOverlayPos;                       // λ,1-,2-,3-,4-
    char                reserved[59];
}ALARM_CARD_RECORD_INFO_UPLOAD;



typedef enum __ATMTradeTypes{
    TRADE_TYPE_INC = 0,        //忨INSERTCARD
    TRADE_TYPE_WDC,            //˿WITHDRAWCARD
    TRADE_TYPE_CKT,            //УʱCHECKTIME
    TRADE_TYPE_INQ,            //ѯ
    TRADE_TYPE_CWD,            //ȡ
    TRADE_TYPE_PIN,            //
    TRADE_TYPE_TFR,            //ת
    TRADE_TYPE_DEP,            //
    TRADE_TYPE_NCINQ,          //޿ѯ
    TRADE_TYPE_NCDEP,          //޿
    TRADE_TYPE_OTHERS,         //
    TRADE_TYPE_ALL,            //
}DH_eATMTradeTypes;

typedef struct __ALARM_ATM_INFO_UPLOAD_CHNL
{
    int                 nChannel;                   // ѯĵڼͨATMϢ,Χ0-N-1Nʾͨ
    char                szATMID[32];                // ATMն˺
    char                szCardNo[32];               //     6222421541208230456 
    char                szTradetime[32];            // ʱ    20111118112200ʾ2011-11-18 11:22:00
    DH_eATMTradeTypes   emTradeType;                //     Χ: ATMTradeTypes
    int                 nAmount;                    // ׽    0-4294967296
    BYTE                byRerved[32];               // 
}ALARM_ATM_INFO_UPLOAD_CHNL;

// ATMϢϴ(DH_ALARM_ATM_INFO_UPLOAD)¼Ӧṹ
typedef struct __ALARM_ATM_INFO_UPLOAD
{
    int                           nCnt;
    ALARM_ATM_INFO_UPLOAD_CHNL    m_stAtmInfo[DH_MAX_CHANNUM];
}ALARM_ATM_INFO_UPLOAD;

// λ¼
typedef struct __ALARM_CAMERA_MOVE_INFO
{
    int                         nChannelNum;                        // ͨ
    unsigned char               alarmChannels[DH_MAX_CHANNUM_EX];   // ͨϢ
    BYTE                        byReserved[128];
}ALARM_CAMERA_MOVE_INFO;

// ϸ챨Ϣ
typedef struct __ALARM_DETAILEDMOTION_CHNL_INFO
{
    DWORD              dwSize;
    int                nChannelID;    // ͨ
    BOOL               bAlarm;        // Ƿ񱨾 TRUE/FALSE
    int                nLevel;        // ,λǧ֮,Զ췢СС
}ALARM_DETAILEDMOTION_CHNL_INFO;

/// 洢쳣
typedef struct __ALARM_STORAGE_FAILURE
{
    DWORD     dwSize;                                     // ṹС
    UINT      ActionType;                                 // 0ֹͣ, 1ʼ
    char      szProtocol[DH_MAX_STRING_LEN];              // Э,Ŀǰֻ֧FTP
    char      szServerAddr[DH_MAX_IPADDR_OR_DOMAIN_LEN];  // IPַ
    DWORD     dwPort;                                     // ˿ں
    NET_TIME  stuTime;                                    // ¼ʱ
    int       nChannel;                                   // ͨ, 1ʼ, 0ʾͨ
}ALARM_STORAGE_FAILURE;

// ǰ˶Ϣ
typedef struct __ALARM_FRONTDISCONNET_INFO
{
    DWORD              dwSize;                           // ṹС
    int                nChannelID;                       // ͨ
    int                nAction;                          // 0:ʼ 1:ֹͣ
    NET_TIME           stuTime;                          // ¼ʱ
    char               szIpAddress[MAX_PATH];            // ǰIPCIPַ
}ALARM_FRONTDISCONNET_INFO;

// صѹͱ
typedef struct __ALARM_BATTERYLOWPOWER_INFO
{
    DWORD             dwSize;                            // ṹС
    int               nAction;                           // 0:ʼ 1:ֹͣ
    int               nBatteryLeft;                      // ʣٷֱ,λ%
    NET_TIME          stTime;                            // ¼ʱ
    int               nChannelID;                        // ͨ, ʶ豸, 0ʼ
}ALARM_BATTERYLOWPOWER_INFO;

// ¶ȹ߱
typedef struct __ALARM_TEMPERATURE_INFO
{
    DWORD              dwSize;                           // ṹС
    char               szSensorName[DH_MACHINE_NAME_NUM];// ¶ȴ
    int                nChannelID;                       // ͨ
    int                nAction;                          // 0:ʼ 1:ֹͣ
    float              fTemperature;                     // ǰ¶ֵ, λ϶
    NET_TIME           stTime;                           // ¼ʱ
}ALARM_TEMPERATURE_INFO;

// ƣͼʻ
typedef struct __ALARM_TIREDDRIVE_INFO
{
    DWORD             dwSize;                            // ṹС
    int               nAction;                           // 0:ʼ 1:ֹͣ
    int               nDriveTime;                        // ʻʱ,λ
    NET_TIME          stTime;                            // ¼ʱ
}ALARM_TIREDDRIVE_INFO;

// ¼¼
typedef struct __ALARM_LOST_RECORD
{
    DWORD     dwSize;                                     //ṹС
    UINT      ActionType;                                 // 0ֹͣ, 1ʼ
    UINT      nChannelID;                                 // ͨ,1ʼ
    UINT      nStreamType;                                // ,01122334ץͼ
    NET_TIME  stuTime;                                    // ¼ʱ    
}ALARM_LOST_RECORD;

// CPUռʹ¼,ݶ95%
typedef struct __ALARM_HIGH_CPU
{
    DWORD     dwSize;                                     //ṹС
    UINT      ActionType;                                 // 0ֹͣ, 1ʼ
    UINT      nUsed;                                      // CPUռʵ1000
    NET_TIME  stuTime;                                    // ¼ʱ    
}ALARM_HIGH_CPU;

// 緢ݶ¼
typedef struct __ALARM_LOST_NETPACKET
{
    DWORD     dwSize;                                     //ṹС
    UINT      ActionType;                                 // 0ֹͣ, 1ʼ
    UINT      nChannelID;                                 // ͨ,1ʼ
    UINT      nStreamType;                                // ,01122334ץͼ
    char      szRemoteIP[DH_MAX_IPADDR_LEN];              // ͶIPַ
    DWORD     dwRemotePort;                               // Ͷ˵Ķ˿ڵַ
    NET_TIME  stuTime;                                    // ¼ʱ    
}ALARM_LOST_NETPACKET;

// ڴռʹ¼,ݶ95%
typedef struct __ALARM_HIGH_MEMORY
{
    DWORD     dwSize;                                     //ṹС
    UINT      ActionType;                                 // 0ֹͣ, 1ʼ
    UINT      nUsed;                                      // ڴռʵ1000
    NET_TIME  stuTime;                                    // ¼ʱ    
}ALARM_HIGH_MEMORY;

// ץ¼
typedef struct __DH_BLACKLIST_SNAP_INFO
{
    DWORD     dwSize;
    char      szPlateNumber[32];                          // ƺ
    NET_TIME  stuTime;                                    // ¼ʱ
}DH_BLACKLIST_SNAP_INFO;

// Ӳ쳣¼
typedef struct __ALARM_DISK_FLUX
{
    DWORD                dwSize;    
    DWORD                dwAction;                         // 0-ʼ, 1-ֹͣ
    DWORD                dwDataFlux;                       // ǰ, KB            
    NET_TIME             stuTime;                          // ¼ʱ
} ALARM_DISK_FLUX;

// 쳣¼
typedef struct __ALARM_NET_FLUX
{
    DWORD                dwSize;    
    DWORD                dwAction;                           // 0-ʼ, 1-ֹͣ
    DWORD                dwDataFlux;                         // ǰ, KB
    NET_TIME             stuTime;                            // ¼ʱ
} ALARM_NET_FLUX;

// ת쳣¼
typedef struct __ALARM_FAN_SPEED
{
    DWORD                dwSize;    
    DWORD                dwAction;                            // 0-ʼ, 1-ֹͣ
    DWORD                dwIndex;                             // 
    char                 szName[DH_MACHINE_NAME_NUM];         // 
    NET_TIME             stuTime;                             // ¼ʱ
    DWORD                dwCurrent;                           // ǰת
} ALARM_FAN_SPEED;

// Ӳ̱
typedef struct __ALARM_DISK_INFO 
{
    DWORD                dwSize;
    DWORD                nChannel;                            // Ӳͨ
    DWORD                nHDDNumber;                          // , 0: ,1: չ1,  2: չ2 
    DWORD                nHDDState;                           // Ӳ״̬, 0: Unknown, 1: Running, 2: Offline, 3: Warning, 4: Failed
} ALARM_DISK_INFO;

// ļϵͳ澯
typedef struct __ALARM_FILE_SYSTEM_INFO 
{
    DWORD                dwSize;
    char                 szMountDir[MAX_PATH];                // ļϵͳ
    DWORD                nState;                              // ļϵͳ״̬, 0: Unkown, 1: Normal, 2: Error
} ALARM_FILE_SYSTEM_INFO;

// ԶⲿϢ
typedef struct __ALARM_REMOTE_ALARM_INFO
{
    DWORD      dwSize;
    int        nChannelID;                               // ͨ,1ʼ
    int        nState;                                   // ״̬,0-λ,1-λ
}ALARM_REMOTE_ALARM_INFO;

// ܱ¼
typedef struct __ALARM_IVS_INFO
{
    DWORD      dwSize;
    NET_TIME   stuTime;                                  // ¼ʱ    
    int        nChannelID;                               // ͨ,0ʼ
    char       szType[MAX_PATH];                         // 
    int        nState;                                   // ״̬,0-λ,1-λ, 2-ʽ
}ALARM_IVS_INFO;

// ػر
typedef struct __ALARM_GOODS_WEIGHT_INFO
{
    DWORD        dwSize;
    int          nAction;                               // 0-ʼ, 1-ֹͣ
    int          nAlarmType;                            // 0-, 1-СС, 2-ر仯ֵ
    DWORD        dwGoodsWeight;                         // ǰ(kg)
    DWORD        dwSelfWeight;                          // (kg)
    DWORD        dwTotalWeight;                         // (kg)
    DWORD        dwStandardWeight;                      // ˶(kg)
    DWORD        dwWeightScale;                         // ر
    DWORD        dwMaxGoodsWeight;                      // (kg)
    DWORD        dwMinGoodsWeight;                      // С(kg)
    DWORD        dwAlarmWeight;                         // ֵ(kg)
    int          nWeightChange;                         // ɼʱڻر仯(kg)
    int          nCheckTime;                            // ֹɼʱ(s)
} ALARM_GOODS_WEIGHT_INFO;

// ػϢϴ
typedef struct __ALARM_GOODS_WEIGHT_UPLOAD_INFO 
{
    DWORD        dwSize;
    DWORD        dwGoodsWeight;                         // ǰ(kg)
    DWORD        dwSelfWeight;                          // (kg)
    DWORD        dwTotalWeight;                         // (kg)
    DWORD        dwStandardWeight;                      // ˶(kg)
    DWORD        dwWeightScale;                         // ر
    char         szCardNO[DH_MAX_CARDINFO_LEN];         // 
} ALARM_GOODS_WEIGHT_UPLOAD_INFO;

// Դ
typedef enum tagEM_DATE_SOURCE
{
    EM_DATE_SOURCE_GPS,                                     // GPS 
    EM_DATE_SOURCE_INERTIALNAVIGATION,                      // Ե
}EM_DATE_SOURCE;

// GPS״̬Ϣ
typedef struct _NET_GPS_STATUS_INFO
{
    NET_TIME                revTime;                        // λʱ
    char                    DvrSerial[50];                  // 豸к
    BYTE                    byRserved1[6];                  // ֽ
    double                  longitude;                      // (λǰ֮,Χ0-360)
    double                  latidude;                       // γ(λǰ֮,Χ0-180)
    double                  height;                         // ߶()
    double                  angle;                          // (Ϊԭ,˳ʱΪ)
    double                  speed;                          // ٶ(λkm/H)
    WORD                    starCount;                      // λ, emDateSourceΪ EM_DATE_SOURCE_GPSʱЧ
    BYTE                    byRserved2[2];                  // ֽ
    NET_THREE_STATUS_BOOL   antennaState;                   // ״̬, emDateSourceΪ EM_DATE_SOURCE_GPSʱЧ    
    NET_THREE_STATUS_BOOL   orientationState;               // λ״̬
    int                     workStae;                       // ״̬(0=δλ,1=ǲֶλ,2=ֶλ,3=ЧPPS,6=ڹ 
                                                            // emDateSourceΪ EM_DATE_SOURCE_GPSʱЧ
    int                     nAlarmCount;                    // ıλø
    int                     nAlarmState[128];               // ıλ,ֵܶ, emDateSourceΪ EM_DATE_SOURCE_GPSʱЧ
    BYTE                    bOffline;                       // 0-ʵʱ 1- 
    BYTE                    bSNR;                           // GPS,ʾGPSźǿ,ֵԽ,źԽǿ Χ0~100,0ʾ	
    BYTE                    byRserved3[2];                  // ֽ
    EM_DATE_SOURCE          emDateSource;                   // Դ
    BYTE                    byRserved[124];                 // ֽ
} NET_GPS_STATUS_INFO,*LPNET_GPS_STATUS_INFO;

// Ӳ̿¼¼
typedef struct __ALARM_DISKBURNED_FULL_INFO
{
    DWORD       dwSize;
    int         nIndex;                             //̺
}ALARM_DISKBURNED_FULL_INFO;

// 洢¼
typedef struct tagALARM_STORAGE_LOW_SPACE_INFO 
{
    DWORD               dwSize;
    int                 nAction;                            // 0:ʼ 1:ֹͣ
    char                szName[DH_EVENT_NAME_LEN];          // ¼
    char                szDevice[DH_STORAGE_NAME_LEN];      // 洢豸
    char                szGroup[DH_STORAGE_NAME_LEN];       // 洢
    INT64               nTotalSpace;                        // , byte
    INT64               nFreeSpace;                         // ʣ, byte
    int                 nPercent;                           // Ѿʹõİٷֱ
} ALARM_STORAGE_LOW_SPACE_INFO;

// 洢
typedef enum __EM_STORAGE_ERROR
{
    STORAGE_ERROR_NONE,                             // 
    STORAGE_ERROR_PATITION,                         //           
    STORAGE_ERROR_INIT_FS,                          // ʼļϵͳ    
    STORAGE_ERROR_READ_DATA,                        // ʧ
    STORAGE_ERROR_WRITE_DATA,                       // дʧ
    STORAGE_ERROR_RAID_FAILED,                      // RAID
    STORAGE_ERROR_RAID_DEGRADED,                    // RAID
    STORAGE_ERROR_ISCSI_FAILED,                     // iSCSI
} EM_STORAGE_ERROR;

// 洢󱨾
typedef struct __ALARM_STORAGE_FAILURE_EX
{
    DWORD               dwSize;
    int                 nAction;                            // 0:ʼ 1:ֹͣ
    char                szName[DH_EVENT_NAME_LEN];          // ¼
    char                szDevice[DH_STORAGE_NAME_LEN];      // 洢豸
    char                szGroup[DH_STORAGE_NAME_LEN];       // 洢
    char                szPath[MAX_PATH];                   // ·
    EM_STORAGE_ERROR    emError;                            // 
    int                 nPhysicNo;                          // Ӳڲ۱, 1ʼ
    NET_TIME_EX			stuTime;							// ¼ʱ
} ALARM_STORAGE_FAILURE_EX;

// ¼쳣
typedef struct __ALARM_RECORD_FAILED_INFO 
{
    DWORD                dwSize;
    int                  nAction;                           // 0:ʼ 1:ֹͣ
    int                  nIndex;                            // ͨ
} ALARM_RECORD_FAILED_INFO;

// 洢¼
typedef struct __ALARM_STORAGE_BREAK_DOWN_INFO 
{
    DWORD                dwSize;
    int                  nAction;                           // 0:ʼ 1:ֹͣ
} ALARM_STORAGE_BREAK_DOWN_INFO;

//Ȳζ
typedef enum tagEM_STORAGE_HOT_PLUG_ACTION
{
    HOT_PLUG_ACTION_UNKNOW = 0  ,
    HOT_PLUG_ACTION_ADD         ,       //豸
    HOT_PLUG_ACTION_REMOVE      ,       //γ豸
}EM_STORAGE_HOT_PLUG_ACTION;

//洢Ȳ¼(Ӧ¼ DH_ALARM_STORAGE_HOT_PLUG)
typedef struct __ALARM_STORAGE_HOT_PLUG_INFO
{
    int                         nAction;                            // 0:ʼ 1:ֹͣ
    EM_STORAGE_HOT_PLUG_ACTION  emHotPLugAction;                    // Ȳζ
    char                        szDevice[DH_STORAGE_NAME_LEN];      // 洢豸
    char                        szMediaType[DH_COMMON_STRING_32];   // 
    char                        szBusType[DH_COMMON_STRING_32];     // 
    char                        szMountOn[DH_COMMON_STRING_128];    // 豸ص
                                                                    // ǿ,ʱʾ豸ѹ
                                                                    //          γʱʾ豸ûж
    int                         nPhysicNo;                          // ,1ʼ
    int                         nLogicNo;                           // ߼
    BYTE                        bReserved[256];                     // ֽ,չ.
}ALARM_STORAGE_HOT_PLUG_INFO;

// ʹ¼(Ӧ¼DH_ALARM_FLOW_RATE)
typedef struct tagALARM_FLOW_RATE_INFO
{
	int				nAction;				// 0:ͣ, 1:ʼ, 2:ֹͣ
	int				nChannelID;				// ͨ
	UINT			nFlowRate;				// ֵ(λ:MB)
	BYTE			bReserved[512];			// ֽ
} ALARM_FLOW_RATE_INFO;
 
typedef enum tagEM_NET_UPS_STATUS
{
    EM_NET_UPS_SYS_SIGN=0,              //ϵͳ¶ֵλ. 1:ʾ¶ȸ; 0:ʾ¶
    EM_NET_UPS_SYS_SHUTDOWN,            //ϵͳػ.         1:ʾػ״̬
    EM_NET_UPS_SYS_TEST,                //ϵͳ.       1:ʾ
    EM_NET_UPS_SYS_TYPE,                //UPS .         1:ʾ󱸻 ; 0:ʾ߻
    EM_NET_UPS_SYS_FAULT,               //UPS .         1:ʾUPSڲ ; 0:
    EM_NET_UPS_ELE_SUPPLY,              //·/״̬.    1:AC ; 0:ع
    EM_NET_UPS_VOL_LOW,                 //صѹ.       1:ʾصѹ ; 0:ʾ
    EM_NET_UPS_BYPASS_STATUS,           //е.         1:ʾе ; 0:ʾе
    EM_NET_UPS_MAX = 64,                //
}EM_NET_UPS_STATUS;

typedef struct tagNET_UPS_INFO
{
    DWORD dwSize;
    float fInputVoltage;                        //ѹ    ο ܽͨרõԴͨЭ(V1.2),רö
    float fInputAbnormalVoltage;                //쳣ѹ    
    float fOutputVoltage;                       //ѹ
    float fOutputCurrent;                       //ٷֱ,λ(%)
    float fInputFrequency;                      //Ƶ
    float fVoltage;                             //ѹ
    float fTemp;                                //¶
    BYTE  bStatusInfo[EM_NET_UPS_MAX];          //UPS״̬,μNET_UPS_STATUSö
    char  szVersionInfo[DH_MAX_VERSION_STR];    //汾
}NET_UPS_INFO;

typedef struct tagALARM_COMM_PORT_EVENT_INFO
{
    DWORD           dwSize;
    UINT            nEventAction;       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    NET_UPS_INFO    stUPSInfo;          // UPSϢ
}ALARM_COMM_PORT_EVENT_INFO;

// ƵͨʧЧ¼õƵͨ,豸DH_ALARM_VIDEO_ININVALID
typedef struct __ALARM_VIDEO_ININVALID_INFO 
{
    DWORD               dwSize;                         // ṹС
    int                 nChannelID;                     // ͨ,0ʼ
} ALARM_VIDEO_ININVALID_INFO;


// 洢鲻¼Ϣ
typedef struct tagALARM_STORAGE_NOT_EXIST_INFO 
{
    DWORD           dwSize;
    int             nAction;                            // 0:ʼ 1:ֹͣ
    char            szGroup[DH_STORAGE_NAME_LEN];       // ¼ץͼ洢õڵ
    NET_TIME        stuTime;                            // ¼ʱ
}ALARM_STORAGE_NOT_EXIST_INFO;

//¼
typedef enum __EM_NETABORT_EVENT_TYPE
{
    EM_NETABORT_EVENT_TYPE_WIRE = 0,                    // ¼
    EM_NETABORT_EVENT_TYPE_WIRELESS,                    // ¼
    EM_NETABORT_EVENT_TYPE_3G,                          // 3G¼
}EM_NETABORT_EVENT_TYPE;

// ¼
typedef struct tagALARM_NETABORT_INFO
{
    DWORD                   dwSize;
    int                     nAction;                    // 0:ʼ 1:ֹͣ
    EM_NETABORT_EVENT_TYPE  emNetAbortType;             // ¼
    NET_TIME                stuTime;                    // ¼ʱ

	char					szInterface[DH_MAX_ETH_NAME];	//ͻ
}ALARM_NETABORT_INFO;

// IPͻ¼
typedef struct tagALARM_IP_CONFLICT_INFO
{
    DWORD            dwSize;
    int              nAction;                        // 0:ʼ 1:ֹͣ
    NET_TIME         stuTime;                        // ¼ʱ
}ALARM_IP_CONFLICT_INFO;


// MACͻ¼
typedef struct tagALARM_MAC_CONFLICT_INFO
{
    DWORD           dwSize;
    int             nAction;                        // 0:ʼ 1:ֹͣ
    NET_TIME        stuTime;                        // ¼ʱ
}ALARM_MAC_CONFLICT_INFO;


// Դ
typedef enum __EM_POWER_TYPE
{
    EM_POWER_TYPE_MAIN = 0,                          // Դ
    EM_POWER_TYPE_BACKUP,                            // õԴ
}EM_POWER_TYPE;

// Դ¼
typedef enum __EM_POWERFAULT_EVENT_TYPE
{
	EM_POWERFAULT_EVENT_UNKNOWN = -1,				 // δ֪
	EM_POWERFAULT_EVENT_LOST = 0,                    // 硢زλ
	EM_POWERFAULT_EVENT_LOST_ADAPTER,                // λ
	EM_POWERFAULT_EVENT_LOW_BATTERY,				 // Ƿѹ
	EM_POWERFAULT_EVENT_LOW_ADAPTER,				 // Ƿѹ
}EM_POWERFAULT_EVENT_TYPE;

// Դ¼
typedef struct tagALARM_POWERFAULT_INFO
{
    DWORD                    dwSize;            
    EM_POWER_TYPE            emPowerType;            // Դ
    EM_POWERFAULT_EVENT_TYPE emPowerFaultEvent;      // Դ¼
    NET_TIME                 stuTime;                // ¼ʱ
    int                      nAction;                // 0:ʼ 1:ֹͣ
}ALARM_POWERFAULT_INFO;

// 𱨾¼
typedef struct tagALARM_CHASSISINTRUDED_INFO
{
    DWORD               dwSize;
    int                 nAction;                // 0:ʼ 1:ֹͣ
    NET_TIME            stuTime;                // ¼ʱ
    int                 nChannelID;             // ͨ
    char                szReaderID[DH_COMMON_STRING_32];// ID    
    UINT 			    nEventID;				//¼ID
    char                szSN[32];               // 豸к
}ALARM_CHASSISINTRUDED_INFO;

// չģ鱨¼
typedef struct tagALARM_ALARMEXTENDED_INFO
{
    DWORD               dwSize;
    int                 nChannelID;             // ͨ
    int                 nAction;                // 0:ʼ 1:ֹͣ
    NET_TIME            stuTime;                // ¼ʱ
}ALARM_ALARMEXTENDED_INFO;


// Խ
typedef enum __EM_TALKING_CALLER
{
    EM_TALKING_CALLER_UNKNOWN = 0,                 // δ֪
    EM_TALKING_CALLER_PLATFORM,                    // ԽΪƽ̨
}EM_TALKING_CALLER;

// Invite¼Զ豸Э
typedef enum tagTALKINGINVITE_REMOTEDEVICE_PROTOCOL
{
    EM_TALKINGINVITE_REMOTEDEVICE_PROTOCOL_UNKNOWN = 0,    // δ֪
    EM_TALKINGINVITE_REMOTEDEVICE_PROTOCOL_HIKVISION       // 
}EM_TALKINGINVITE_REMOTEDEVICE_PROTOCOL;

#define MAX_REMOTEDEVICEINFO_IPADDR_LEN         128       // Զ豸IPַ󳤶
#define MAX_REMOTEDEVICEINFO_USERNAME_LEN       128       // Զ豸û󳤶
#define MAX_REMOTEDEVICEINFO_USERPSW_LENGTH     128       // Զ豸󳤶

// Invite¼Զ豸Ϣ
typedef struct tagTALKINGINVITE_REMOTEDEVICEINFO
{
    char		                            szIP[MAX_REMOTEDEVICEINFO_IPADDR_LEN];	        // 豸IP
	int	                                    nPort;					                        // ˿
	EM_TALKINGINVITE_REMOTEDEVICE_PROTOCOL  emProtocol;                                     // Э
	char		                            szUser[MAX_REMOTEDEVICEINFO_USERNAME_LEN];	    // û
	char		                            szPassword[MAX_REMOTEDEVICEINFO_USERPSW_LENGTH];// 
	char                                    szReverse[1024];                                // ֶ
}TALKINGINVITE_REMOTEDEVICEINFO;

// ¼DH_ALARM_TALKING_INVITE(豸ԷԽ¼)ӦϢ
typedef struct tagALARM_TALKING_INVITE_INFO
{
    DWORD                                   dwSize;
    EM_TALKING_CALLER                       emCaller;                       // 豸ϣĶԽ
    NET_TIME                                stuTime;                        // ¼ʱ
    char                                    szCallID[DH_COMMON_STRING_64];  // Ωһʶ
    int                                     nLevel;                         // ʾ豸㼶
    TALKINGINVITE_REMOTEDEVICEINFO          stuRemoteDeviceInfo;             // Զ豸Ϣ
}ALARM_TALKING_INVITE_INFO;

// ¼DH_ALARM_TALKING_IGNORE_INVITE(豸ȡԽ¼)ӦϢ
typedef struct tagALARM_TALKING_IGNORE_INVITE_INFO
{
    DWORD                dwSize;
} ALARM_TALKING_IGNORE_INVITE_INFO;

// ¼DH_ALARM_TALKING_HANGUPӦϢ
typedef struct tagALARM_TALKING_HANGUP_INFO 
{
    DWORD               dwSize;
    NET_TIME            stuTime;                // ¼ʱ
}ALARM_TALKING_HANGUP_INFO;

// ͤ¼״̬
typedef enum tagEM_GUARD_EVENT_STATE
{
    EM_GUARD_EVENT_STATE_UNKNOWN = 0,   // δ֪״̬
    EM_GUARD_EVNET_STATE_ONGUARD,       // 
    EM_GUARD_EVENT_STATE_OFFGUARD       // 
}EM_GUARD_EVENT_STATE;

// ͤϢ¼,DH_ALARM_GUARD_INFO_UNPDATEõϢ
typedef struct tagALARM_GUARD_UPDATE_INFO
{
    DWORD                dwSize;
    EM_GUARD_EVENT_STATE emEventState;                          // ͤ¼״̬
    int                  nIDCount;                              // ¼ԱID
    int                  nIDArray[DH_MAX_GUARD_DETECT_ID_COUNT];// ԱID
    NET_TIME             stuTime;                               // ¼ʱ
}ALARM_GUARD_UPDATE_INFO;

// ͤ¼,DH_ALARM_GUARD_DETECTӦϢ
typedef struct tagALARM_GUARD_DETECT_INFO
{
    DWORD               dwSize;
    int                 nAction;                                // 0:ʼ 1:ֹͣ
    int                 nIndex;                                 // ͤ± 
    int                 nIDCount;                               // ¼ԱID
    int                 nIDArray[DH_MAX_GUARD_DETECT_ID_COUNT]; // ԱID
    NET_TIME            stuTime;                                // ¼ʱ
}ALARM_GUARD_DETECT_INFO;

//п忨¼DH_ALARM_BANKCARDINSERTӦϢ
typedef struct tagALARM_BANKCARDINSERT_INFO 
{
    DWORD               dwSize;
    int                 nAction;                // -1:δ֪ 0:ʼ 1:ֹͣ
}ALARM_BANKCARDINSERT_INFO;

#define MAX_CARD_RECORD_FIELD_NUM 16            // ¼

// ¼¼,stopʱı
typedef enum tagNET_RECORD_SAVEFLAG
{
    NET_RECORD_SAVEFLAG_UNKNOWN = 0,            //δ֪
    NET_RECORD_SAVEFLAG_MARK,                   //¼񡢲
    NET_RECORD_SAVEFLAG_SAVE,                   //¼
}NET_RECORD_SAVEFLAG;

//¼¼ DH_ALARM_CARD_RECORD ӦϢ
typedef struct tagALARM_CARD_RECORD_INFO 
{
    DWORD               dwSize;					
    int                 nAction;                // -1:δ֪ 0:ʼ 1:ֹͣ
    int                 nChannelID;             // ͨ,0ʼ
    unsigned int        nFieldCount;            // 
    char                szFields[MAX_CARD_RECORD_FIELD_NUM][DH_COMMON_STRING_256]; // Ϣ
    NET_RECORD_SAVEFLAG emRecordSaveFlag;       // ¼¼,stopʱı,ö NET_RECORD_SAVEFLAG
}ALARM_CARD_RECORD_INFO;

// 籨¼ DH_ALARM_CARD_RECORD ӦϢ
typedef struct tagALARM_NET_INFO
{
    DWORD               dwSize;
    int                 nAction;                // -1:δ֪ 0:ʼ 1:ֹͣ
    int                 nChannelID;             // ͨ,0ʼ
} ALARM_NET_INFO;

//¼Ӧ DH_ALARM_VIDEOMOTION_EVENT  
typedef struct tagALARM_VIDEOMOTION_EVENT_INFO
{
	DWORD				 dwSize;
	int                  nAction;             // -1:δ֪ 0:ʼ 1:ֹͣ
	int                  nChannelID;          // ͨ,0ʼ	
}ALARM_VIDEOMOTION_EVENT_INFO;

//WideViewRegions¼ Ӧ DH_ALARM_WIDE_VIEW_REGION_EVENT  
typedef struct tagALARM_WIDE_VIEW_REGION_EVENT_INFO
{
    DWORD				 dwSize;
    int                  nAction;             // -1:δ֪ 0:(Pusle)   
}ALARM_WIDE_VIEW_REGION_EVENT_INFO;

// CLIENT_ControlDeviceӿڵ DH_CTRL_NOTIFY_EVNENT (豸¼)
typedef struct tagNET_NOTIFY_EVENT_DATA
{
    DWORD                       dwSize;
    LONG                        lCommand;       // ¼
    void*                       pEventData;     // ¼,lCommandӦĽṹָ
}NET_NOTIFY_EVENT_DATA;

// Ӧʽö
typedef enum tagNET_SENSE_METHOD
{
    NET_SENSE_UNKNOWN = -1,      //δ֪
    NET_SENSE_DOOR=0,            //Ŵ
    NET_SENSE_PASSIVEINFRA,      //
    NET_SENSE_GAS,               //
    NET_SENSE_SMOKING,           //̸
    NET_SENSE_WATER,             //ˮ
    NET_SENSE_ACTIVEFRA,         //
    NET_SENSE_GLASS,             //
    NET_SENSE_EMERGENCYSWITCH,   //
    NET_SENSE_SHOCK,             //
    NET_SENSE_DOUBLEMETHOD,      //˫(+΢)
    NET_SENSE_THREEMETHOD,       //
    NET_SENSE_TEMP,              //¶
    NET_SENSE_HUMIDITY,          //ʪ
    NET_SENSE_WIND,              //
    NET_SENSE_CALLBUTTON,        //аť
    NET_SENSE_GASPRESSURE,       //ѹ
    NET_SENSE_GASCONCENTRATION,  //ȼŨ
    NET_SENSE_GASFLOW,           //
    NET_SENSE_OTHER,             //
    NET_SENSE_OIL,               // ,͡͵ȳͼ
    NET_SENSE_MILEAGE,           //    
    NET_SENSE_URGENCYBUTTON,     //ť
    NET_SENSE_STEAL,             //
    NET_SENSE_PERIMETER,         //ܽ
    NET_SENSE_PREVENTREMOVE,     //
    NET_SENSE_DOORBELL,          //
    NET_SENSE_ALTERVOLT,         //ѹ
    NET_SENSE_DIRECTVOLT,        //ֱѹ
    NET_SENSE_ALTERCUR,          //
    NET_SENSE_DIRECTCUR,         //ֱ
    NET_SENSE_RSUGENERAL,        //ͨģ	4~20mA0~5V
    NET_SENSE_RSUDOOR,           //ŽӦ
    NET_SENSE_RSUPOWEROFF,       //˶ϵӦ	
    NET_SENSE_TEMP1500 ,         //1500¶ȴ	
    NET_SENSE_TEMPDS18B20 ,      //DS18B20¶ȴ	
    NET_SENSE_HUMIDITY1500,      //1500ʪȴ
    NET_SENSE_INFRARED,          //ⱨ
    NET_SENSE_FIREALARM,         //
	NET_SENSE_CO2,				 //CO2Ũȼ,ֵ:0~5000ppm
	NET_SNESE_SOUND,			 //,ֵ:30~130dB
	NET_SENSE_PM25,				 //PM2.5,ֵ:0~1000ug/m3
	NET_SENSE_SF6,				 //SF6Ũȼ,ֵ:0~3000ppm
	NET_SENSE_O3,				 //Ũȼ,ֵ:0~100ppm
	NET_SENSE_AMBIENTLIGHT,		 //ռ,ֵ:0~20000Lux
    NET_SENSE_SIGNINBUTTON,      //ǩ밴ť
	NET_SENSE_LIQUIDLEVEL,		 //Һλ
	NET_SENSE_DISTANCE,			 //
	NET_SENSE_WATERFLOW,		 //ˮ



	NET_SENSE_NUM               //ö
}NET_SENSE_METHOD;

//ӦʽӦλö
typedef enum tagEM_SENSE_METHOD_UNIT
{
	EM_SENSE_UNIT_UNKOWN =-1,		 // δ֪
	EM_SENSE_TEMP_CENTIGRADE = 0,    // ¶ȵλ: Centigrade
	EM_SENSE_TEMP_FAHRENHEIT,	     // ¶ȵλFahrenheit
	EM_SENSE_WIND_SPEED,             // ٵλm/s
	EM_SENSE_HUMIDITY_PERCENT,       // ʪȵλ: Percent          
}EM_SENSE_METHOD_UNIT;	

// ģʽ
typedef enum tagNET_ALARM_MODE
{    
    NET_ALARM_MODE_UNKNOWN = -1,        // δ֪
    NET_ALARM_MODE_DISARMING,           // 
    NET_ALARM_MODE_ARMING,              // 
    NET_ALARM_MODE_FORCEON,             // ǿƲ
    NET_ALARM_MODE_PARTARMING,          // ֲ
}NET_ALARM_MODE;

// ģʽ
typedef enum tagNET_SCENE_MODE
{
    NET_SCENE_MODE_UNKNOWN,             // δ֪
    NET_SCENE_MODE_OUTDOOR,             // ģʽ
    NET_SCENE_MODE_INDOOR,              // ģʽ
    NET_SCENE_MODE_WHOLE,               // ȫģʽ
    NET_SCENE_MODE_RIGHTNOW,            // ģʽ
    NET_SCENE_MODE_SLEEPING,            // ģʽ
    NET_SCENE_MODE_CUSTOM,              // Զģʽ
}NET_SCENE_MODE;

// ʽ
typedef enum tagNET_EM_TRIGGER_MODE
{
    NET_EM_TRIGGER_MODE_UNKNOWN = 0,
    NET_EM_TRIGGER_MODE_NET,            // û(ƽ̨Web)
    NET_EM_TRIGGER_MODE_KEYBOARD,       // 
    NET_EM_TRIGGER_MODE_REMOTECONTROL,  // ң
}NET_EM_TRIGGER_MODE;

// ״̬仯¼Ϣ
typedef struct tagALARM_ARMMODE_CHANGE_INFO
{
    DWORD               dwSize;
    NET_TIME            stuTime;        // ¼ʱ
    NET_ALARM_MODE      bArm;           // 仯״̬
    NET_SCENE_MODE      emSceneMode;    // 龰ģʽ
    DWORD               dwID;           // ID, ңŻ̵ַ, emTriggerModeΪNET_EM_TRIGGER_MODE_NETʱΪ0
    NET_EM_TRIGGER_MODE emTriggerMode;  // ʽ
    char 				szNetClientAddr[64]; //ûIPַַ
    UINT            nUserCode;  //ûID0:Ա1~20ͨû21װԱ22Юû  
}ALARM_ARMMODE_CHANGE_INFO;

// 
typedef enum
{
    NET_DEFENCEAREA_TYPE_UNKNOWN,       // δ֪ͷ
    NET_DEFENCEAREA_TYPE_ALARM,         // 
    NET_DEFENCEAREA_TYPE_ANALOGALARM,   // ģⱨ                 
}NET_DEFENCEAREA_TYPE;

// ·״̬
typedef enum
{
    NET_BYPASS_MODE_UNKNOW,             //δ֪״̬
    NET_BYPASS_MODE_BYPASS,             //·
    NET_BYPASS_MODE_NORMAL,             //
    NET_BYPASS_MODE_ISOLATED,           //
}NET_BYPASS_MODE;

// ·״̬仯¼Ϣ
typedef struct tagALARM_BYPASSMODE_CHANGE_INFO
{
    DWORD                   dwSize;
    int                     nChannelID;                 // ͨ
    NET_TIME                stuTime;                    // ¼ʱ
    NET_DEFENCEAREA_TYPE    emDefenceType;              // 
    int                     nIsExtend;                  // ǷΪչ(ͨ), 1:չͨ, 0: չͨ
    NET_BYPASS_MODE         emMode;                     // 仯ģʽ
    DWORD                   dwID;                       // ID, ңŻ̵ַ, emTriggerModeΪNET_EM_TRIGGER_MODE_NETʱΪ0
    NET_EM_TRIGGER_MODE     emTriggerMode;              // ʽ
}ALARM_BYPASSMODE_CHANGE_INFO;


// ¼(ӦDH_URGENCY_ALARM_EX2, ԭеDH_URGENCY_ALARM_EX͵, ָΪĽ¼, һ㴦ⲿͨѶ)
typedef struct tagALARM_URGENCY_ALARM_EX2 
{
    DWORD           dwSize;
    NET_TIME        stuTime;                     // ¼ʱ
    DWORD           nID;                         // ڱʶͬĽ¼
}ALARM_URGENCY_ALARM_EX2;

// Դ¼(ֻҪͻ¼,۷ǰģʽ,޷)
typedef struct tagALARM_INPUT_SOURCE_SIGNAL_INFO
{
    DWORD           dwSize;
    int             nChannelID;                         // ͨ
    int             nAction;                            // 0:ʼ 1:ֹͣ
    NET_TIME        stuTime;                            // ¼ʱ
}ALARM_INPUT_SOURCE_SIGNAL_INFO;

// ģͨ¼Ϣ(ӦDH_ALARM_ANALOGALARM_EVENT)
typedef struct tagALARM_ANALOGALARM_EVENT_INFO 
{
    DWORD           dwSize;
    int             nChannelID;                         // ͨ
    int             nAction;                            // 0:ʼ 1:ֹͣ
    NET_TIME        stuTime;                            // ¼ʱ
    NET_SENSE_METHOD  emSensorType;                     // 
    char            szName[DH_COMMON_STRING_128];       // ͨ
    int             nIsValid;                           // ǷЧ,-1:δ֪,0:Ч,1:Ч
    int             nStatus;                            // ״̬, -1:δ֪,0:,1:Ч(),
                                                        // 2:ֵ1,3:ֵ2,4:ֵ3,5:ֵ4,
                                                        // 6:ֵ1,7:ֵ2,8:ֵ3,9:ֵ4
    float           fValue;                             // ֵ̽
    NET_TIME        stuCollectTime;                     // ݲɼʱ(UTC)
    NET_GPS_STATUS_INFO stGPSStatus;                    // GPSϢ 
}ALARM_ANALOGALARM_EVENT_INFO;


// Ž״̬
typedef enum tagNET_ACCESS_CTL_STATUS_TYPE
{
    NET_ACCESS_CTL_STATUS_TYPE_UNKNOWN = 0,
    NET_ACCESS_CTL_STATUS_TYPE_OPEN,                    // 
    NET_ACCESS_CTL_STATUS_TYPE_CLOSE,                   // 
    NET_ACCESS_CTL_STATUS_TYPE_ABNORMAL,                // 쳣
    NET_ACCESS_CTL_STATUS_TYPE_FAKELOCKED,              // 
    NET_ACCESS_CTL_STATUS_TYPE_CLOSEALWAYS,           // 
    NET_ACCESS_CTL_STATUS_TYPE_OPENALWAYS,            // 
}NET_ACCESS_CTL_STATUS_TYPE;

// Ž״̬¼
typedef struct tagALARM_ACCESS_CTL_STATUS_INFO 
{
    DWORD                       dwSize;
    int                         nDoor;                  // ͨ
    NET_TIME                    stuTime;                // ¼ʱ
    NET_ACCESS_CTL_STATUS_TYPE  emStatus;               // Ž״̬
    char                        szSerialNumber[256];              //豸к()
}ALARM_ACCESS_CTL_STATUS_INFO;

// Žץͼ
typedef enum tagNET_ACCESS_SNAP_TYPE
{
    NET_ACCESS_SNAP_TYPE_UNKNOWN = 0,
    NET_ACCESS_SNAP_TYPE_CARD,                          // ˢ
    NET_ACCESS_SNAP_TYPE_PASSWORD,                      // 
	NET_ACCESS_SNAP_TYPE_REMOTE,						// Զ̿
	NET_ACCESS_SNAP_TYPE_BUTTON,						// Űť
	NET_ACCESS_SNAP_TYPE_FINGERPRINT,					// ָ
	NET_ACCESS_SNAP_TYPE_QRCODE,						// ά
	NET_ACCESS_SNAP_TYPE_BLUETOOTH,						// 
	NET_ACCESS_SNAP_TYPE_FACE,							// 
}NET_ACCESS_SNAP_TYPE;

// Žץͼ¼
typedef struct tagALARM_ACCESS_SNAP_INFO
{
    DWORD           dwSize;
    NET_ACCESS_SNAP_TYPE emType;                        // 
    char            szCardNO[DH_COMMON_STRING_32];      // , ˢʱЧ
    char            szPassword[DH_COMMON_STRING_64];    // , 뿪ʱЧ    
    char            szFtpUrl[MAX_PATH];                 // ftpϴַ, ͼƬ·
    int             nImageNum;                          // ץͼ
    NET_TIME        stuTime;                            // ¼ʱ
}ALARM_ACCESS_SNAP_INFO;

// ¼
typedef struct tagALARM_ALARMCLEAR_INFO 
{
    DWORD           dwSize;
    int             nChannelID;                         // ͨ
    NET_TIME        stuTime;                            // ¼ʱ
    int             bEventAction;                       // ¼0ʾ¼,1ʾ¼ʼ,2ʾ¼;
}ALARM_ALARMCLEAR_INFO;

// CID¼
typedef struct tagALARM_CIDEVENT_INFO
{
    DWORD           dwSize;
    NET_TIME        stuTime;                            // ¼ʱ
    char            szCID[DH_COMMON_STRING_32];         // CID,׼Э ַΪ16,ֵַΪ0~F
                                                        // 4λû + 2λʶ + 1λ¼޶ + 3λ¼ + 2λϵͳ + 3λ + 1λУ
}ALARM_CIDEVENT_INFO;

// ¼
typedef enum tagEM_RCEMERGENCY_CALL_TYPE
{
    EM_RCEMERGENCY_CALL_UNKNOWN = 0,
    EM_RCEMERGENCY_CALL_FIRE,                           // 
    EM_RCEMERGENCY_CALL_DURESS,                         // в
    EM_RCEMERGENCY_CALL_ROBBER,                         // ˾
    EM_RCEMERGENCY_CALL_MEDICAL,                        // ҽ
    EM_RCEMERGENCY_CALL_EMERGENCY,                      // 
}EM_RCEMERGENCY_CALL_TYPE;

// ʽ
typedef enum tagEM_RCEMERGENCY_MODE_TYPE
{
    EM_RCEMERGENCY_MODE_UNKNOWN = 0,
    EM_RCEMERGENCY_MODE_KEYBOARD,                       // 
    EM_RCEMERGENCY_MODE_WIRELESS_CONTROL,               // ң
}EM_RCEMERGENCY_MODE_TYPE;

// ¼
typedef struct tagALARM_RCEMERGENCY_CALL_INFO 
{
    DWORD                       dwSize;
    int                         nAction;                // -1:δ֪ 0:ʼ 1:ֹͣ
    EM_RCEMERGENCY_CALL_TYPE    emType;                 // 
    NET_TIME                    stuTime;                // ¼ʱ
    EM_RCEMERGENCY_MODE_TYPE    emMode;                 // ʽ
    DWORD                       dwID;                   // ڱʾͬĽ¼(ֻemModeңʱЧ, ʾңı, 0ʾЧID)
}ALARM_RCEMERGENCY_CALL_INFO;

// Ͽ¼(ӦDH_ALARM_OPENDOORGROUP)
typedef struct tagALARM_OPEN_DOOR_GROUP_INFO
{
    DWORD           dwSize;
    int             nChannelID;                         // ͨ(0ʼ)
    NET_TIME        stuTime;                            // ¼ʱ
}ALARM_OPEN_DOOR_GROUP_INFO;

// ȡָ¼(ӦDH_ALARM_FINGER_PRINT)
typedef struct tagALARM_CAPTURE_FINGER_PRINT_INFO 
{
    DWORD           dwSize;
    int             nChannelID;                         // ͨ(0ʼ)
    NET_TIME        stuTime;                            // ¼ʱ
    char            szReaderID[DH_COMMON_STRING_32];    // ŶID
    int             nPacketLen;                         // ָݰ
    int             nPacketNum;                         // ָݰ
    char*           szFingerPrintInfo;                  // ָ(ܳȼnPacketLen*nPacketNum)
	BOOL			bCollectResult;						// ɼ
	char			szCardNo[32];						// ָԱţƣ
	char			szUserID[32];						// ָԱIDƣ
}ALARM_CAPTURE_FINGER_PRINT_INFO;

// ϵͳ״̬
typedef enum __EM_SUBSYSTEM_STATE_TYPE
{
    EM_SUBSYSTEM_STATE_UNKNOWN = 0,                     // δ֪
    EM_SUBSYSTEM_STATE_ACTIVE,                          // Ѽ
    EM_SUBSYSTEM_STATE_INACTIVE,                        // δ
}EM_SUBSYSTEM_STATE_TYPE;

// ϵͳ״̬ı¼
typedef struct tagALARM_SUBSYSTEM_STATE_CHANGE_INFO 
{
    DWORD                   dwSize;
    int                     nChannelID;                 // ϵͳ(0ʼ)
    NET_TIME                stuTime;                    // ¼ʱ
    EM_SUBSYSTEM_STATE_TYPE emState;                    // 仯״̬
}ALARM_SUBSYSTEM_STATE_CHANGE_INFO;

// صʱ֪ͨ¼
typedef struct tagALARM_BATTERYPOWER_INFO
{
    DWORD       dwSize;
    int         nChannel;                                  // 
    NET_TIME    stuTime;                                   // ¼ʱ
    int         nPercent;                                  // صٷֱ
    float       fVoltage;                                  // ѹ,λ:
    BOOL        bCharging;                                 // Ƿڳ true:ڳ false:ûг
}ALARM_BATTERYPOWER_INFO;

// ״̬¼
typedef struct tagALARM_BELLSTATUS_INFO 
{
    DWORD       dwSize;
    int         nChannel;                                   // ͨ 
    NET_TIME    stuTime;                                    // ¼ʱ
    int         nAction;                                    // 0:ʼ 1:ֹͣ
}ALARM_BELLSTATUS_INFO;

// ״̬仯¼, Ӧ¼DH_ALARM_DEFENCE_STATE_CHANGE_EVENT
typedef struct tagALARM_DEFENCE_STATUS_CHANGE_INFO 
{
    DWORD                   dwSize;
    int                     nChannelID;                     // ID,ͨ(0ʼ)
    NET_TIME                stuTime;                        // ¼ʱ
    EM_DEFENCE_STATE_TYPE   emStatus;                       // 仯״̬
}ALARM_DEFENCE_STATUS_CHANGE_INFO;

// ½ʧ¼
typedef struct tagALARM_LOGIN_FAILIUR_INFO
{
    DWORD                   dwSize;
    int                     nAction;                        // 0:ʼ 1:ֹͣ
    unsigned int            nSequence;                      // 
    char                    szName[DH_EVENT_NAME_LEN];      // ¼,û
    char                    szType[DH_COMMON_STRING_128];   // ¼
    char                    szAddr[DH_MAX_IPADDR_EX_LEN];   // ԴIPַ
    int                     nError;                         // û½ʧܴ
}ALARM_LOGIN_FAILIUR_INFO;

// ƱͳϢ¼ Ӧ¼ DH_ALARM_TICKET_STATISTIC
typedef struct tagALARM_TICKET_STATISTIC
{
    DWORD                   dwSize;
    NET_GPS_STATUS_INFO     stuGPSStatusInfo;               // GPSϢ
    NET_TIME                stuTime;                        // ¼ϱʱ
    int                     nNormalCount;                   // ͨƱ
    int                     nDiscountCount;                 // ŻƱ
    int                     nSubsidyCount;                  // ײƱ
    int                     nDriverCount;                   // ˾Ʊ
    int                     nNormalPrice;                   // ͨƱ۸
    int                     nDiscountPrice;                 // ŻƱ۸
    int                     nSubsidyPrice;                  // ײƱ۸
}ALARM_TICKET_STATISTIC;

#define MAX_ALARMEXT_MODULE_NUM        256                  // չģĿ

// 
typedef enum tagNET_BUS_TYPE
{
    NET_BUS_TYPE_UNKNOWN = 0,
    NET_BUS_TYPE_MBUS,                                      // M-BUS
    NET_BUS_TYPE_RS485,                                     // RS-485
    NET_BUS_TYPE_CAN,                                       // CAN
	NET_BUS_TYPE_NET,										// 豸
}NET_BUS_TYPE;

// չģ¼ Ӧ¼ DH_ALARM_MODULE_LOST
typedef struct tagALARM_MODULE_LOST_INFO 
{
    DWORD                   dwSize;
    NET_TIME                stuTime;                        // ¼ϱʱ
    int                     nSequence;                      // չģӵߵ(0ʼ)
    NET_BUS_TYPE            emBusType;                      // 
    int                     nAddr;                          // ߵչģĿ
    int                     anAddr[MAX_ALARMEXT_MODULE_NUM];// ߵչģ(0ʼ)
	char					szDevType[DH_COMMON_STRING_64];	// 豸 "SmartLock",Ǽ豸;豸"AlarmDefence"ӿΪ
															// "LiftController":ݿ豸
	BOOL					bOnline;						// ,ĬFALSE. false:ߣtrue:
    char                    szSN[32];                       // к	
}ALARM_MODULE_LOST_INFO;

// PSTN¼
typedef struct tagALARM_PSTN_BREAK_LINE_INFO
{
    DWORD                   dwSize;
    int                     nChannelID;                 // 绰(0ʼ)
    int                     nAction;                    // 0:ʼ 1:ֹͣ
    NET_TIME                stuTime;                    // ¼ʱ
}ALARM_PSTN_BREAK_LINE_INFO;

// ģ¼(˲ʱ¼), ضʱ(糬١̡)Ŵ
typedef struct tagALARM_ANALOGPULSE_INFO 
{
    DWORD                   dwSize;
    int                     nChannelID;                     // ģͨ
    NET_TIME                stuEventTime;                   // ¼ʱ
    NET_SENSE_METHOD        emSense;                        // 
    char                    szName[DH_COMMON_STRING_128];   // 
    int                     nStatus;                        // ״̬, -1:δ֪,0:,1:Ч(),
                                                            // 2:ֵ1,3:ֵ2,4:ֵ3,5:ֵ4,
                                                            // 6:ֵ1,7:ֵ2,8:ֵ3,9:ֵ4
    float                   fValue;                         // ֵ
    NET_TIME                stuCollectTime;                 // ɼʱ
    NET_GPS_STATUS_INFO     stuGPSStatusInfo;               // GPSϢ
}ALARM_ANALOGPULSE_INFO;

//Ϣȷ϶
typedef enum tagNET_MISSION_CONFIRM_TYPE
{
    NET_MISSION_CONFIRM_UNKNOWN = 0  ,  //δ֪
    NET_MISSION_CONFIRM_YES ,           //ͬⲢִ
    NET_MISSION_CONFIRM_NO ,            //ִܾ
}NET_MISSION_CONFIRM_TYPE;

// ȷ¼(ӦDH_ALARM_MISSION_CONFIRM)
typedef struct tagALARM_MISSION_CONFIRM_INFO 
{
    DWORD                   dwSize;
    char                    szTitle[DH_COMMON_STRING_256];   // 
    char                    szMissionID[DH_COMMON_STRING_256];// ID
    char                    szComment[DH_COMMON_STRING_256]; // ظ
    NET_GPS_STATUS_INFO     stuGPSStatusInfo;                // GPSϢ
    NET_MISSION_CONFIRM_TYPE emConfirmType;                  //Ϣȷ϶
}ALARM_MISSION_CONFIRM_INFO;

// Ⱥڵ
typedef enum tagNET_CLUSTER_GROUP_TYPE
{
    NET_CLUSTER_GROUP_UNKNOWN,                          // δ֪
    NET_CLUSTER_GROUP_IDLE,                             // 
    NET_CLUSTER_GROUP_MASTER,                           // 
    NET_CLUSTER_GROUP_SLAVE,                            // 
}NET_CLUSTER_GROUP_TYPE;

// ڵ㼤¼, Ӧ¼ DH_ALARM_NODE_ACTIVE
typedef struct tagALARM_NODE_ACTIVE_INFO 
{
    DWORD                   dwSize;
    int                     nChannelID;                 // ȺеĽڵ
    NET_TIME                stuTime;                    // ¼¼
    NET_CLUSTER_GROUP_TYPE  emGroup;                    // ǰڵ
}ALARM_NODE_ACTIVE_INFO;

// Ⱥڵ״̬
typedef struct tagNET_CLUSTER_STATE_INFO 
{
    DWORD                   dwSize;
    NET_CLUSTER_GROUP_TYPE  emGroup;                    // ǰڵ
}NET_CLUSTER_STATE_INFO;

// 豸ģʽ
typedef enum tagEM_ALARM_VIDEO_STATIC_MODE
{
    EM_ALARM_VIDEO_STATIC_MODE_UNKNOWN,                 // δ֪
    EM_ALARM_VIDEO_STATIC_MODE_INDOOR,                  // ģʽ "Indoor"
    EM_ALARM_VIDEO_STATIC_MODE_OUTDOOR,                 // ģʽ "Outdoor"
}EM_ALARM_VIDEO_STATIC_MODE;

// Ƶ̬¼, Ӧ¼ DH_ALARM_VIDEO_STATIC
typedef struct tagALARM_VIDEO_STATIC_INFO 
{
    DWORD                       dwSize;
    DWORD                       dwAction;                       // ¼, 0:Start, 1:Stop
    EM_ALARM_VIDEO_STATIC_MODE  emMode;                         // 豸ģʽ
    int                         nChannelID;                     // Ƶ̬ⱨͨ
}ALARM_VIDEO_STATIC_INFO;

// ע豸µ½¼, Ӧ¼ DH_ALARM_REGISTER_REONLINE
typedef struct tagALARM_REGISTER_REONLINE_INFO
{
    DWORD           dwSize;
}ALARM_REGISTER_REONLINE_INFO;

// ״̬
typedef enum tagEM_ALARM_ISCSI_STATUS
{
    EM_ALARM_ISCSI_STATUS_UNKNOWN,                  // δ֪
    EM_ALARM_ISCSI_STATUS_CONNECTED,                // 
    EM_ALARM_ISCSI_STATUS_NOT_CONNECTED,            // δ
    EM_ALARM_ISCSI_STATUS_CONNECT_FAILED,           // ʧ
    EM_ALARM_ISCSI_STATUS_AUTHENTICATION_FAILED,    // ֤ʧ
    EM_ALARM_ISCSI_STATUS_CONNECT_TIMEOUT,          // ӳʱ
    EM_ALARM_ISCSI_STATUS_NOT_EXIST,                // 豸
}EM_ALARM_ISCSI_STATUS;

// ISCSI澯¼, Ӧ¼ DH_ALARM_ISCSI_STATUS
typedef struct tagALARM_ISCSI_STATUS_INFO
{
    DWORD                   dwSize;
    int                     nIndex;                             // ʾISCSI豸
    char                    szAddress[DH_COMMON_STRING_32];     // ַ
    char                    szName[DH_COMMON_STRING_64];        // Target
    char                    szUserName[DH_COMMON_STRING_64];    // û
    EM_ALARM_ISCSI_STATUS   emStatus;                           // ״̬
}ALARM_ISCSI_STATUS_INFO;

//SCADA
typedef enum tagEM_ALARM_SCADA_DEV_TYPE
{
	EM_ALARM_SCADA_DEV_UNKNOWN,						// δ֪
	EM_ALARM_SCADA_DEV_LEAKAGE,						// ©ˮ
	EM_ALARM_SCADA_DEV_THCONTROLLER,				// ʪ¶
	EM_ALARM_SCADA_DEV_UPS,							// UPS
	EM_ALARM_SCADA_DEV_SWITCH,						// صԴ
	EM_ALARM_SCADA_DEV_ELECTRICMETER,				// ܵ
	EM_ALARM_SCADA_DEV_COMMERCIALPOWER,				// е
	EM_ALARM_SCADA_DEV_BATTERY,						// 
	EM_ALARM_SCADA_DEV_AIRCONDITION,				// յ
	EM_ALARM_SCADA_DEV_ACCESS,						// Ž
	EM_ALARM_SCADA_DEV_SMOKINGSENSOR,				// ̸
	EM_ALARM_SCADA_DEV_INFRARED,					// 
	EM_ALARM_SCADA_DEV_CHEMICAL,					// 
 	EM_ALARM_SCADA_DEV_PERIMETER,					// ܽ
	EM_ALARM_SCADA_DEV_DOORMAGNETISM,				// Ŵ
	EM_ALARM_SCADA_DEV_DISTANCE,					// 
	EM_ALARM_SCADA_DEV_WINDSENSOR,					// 
	EM_ALARM_SCADA_DEV_LOCATION,					// λ
	EM_ALARM_SCADA_DEV_ATMOSPHERE,					// 
	EM_ALARM_SCADA_DEV_SOLARPOWER,					// ̫
}EM_ALARM_SCADA_DEV_TYPE;

//豸״̬
typedef enum tagEM_SCADA_DEVICE_STATUS
{
	EM_SCADA_DEVICE_STATUS_KNOWN = -1,								// δ֪
	EM_SCADA_DEVICE_STATUS_NORMAL,									// 
	EM_SCADA_DEVICE_STATUS_ALARM,									// 
	EM_SCADA_DEVICE_STATUS_OFFLINE,									// 
}EM_SCADA_DEVICE_STATUS;

// ɼ豸¼, Ӧ¼ DH_ALARM_SCADA_DEV_ALARM
typedef struct tagALARM_SCADA_DEV_INFO 
{
    DWORD							dwSize;
    int								nChannel;                           // ͨ
    NET_TIME						stuTime;                            // ¼ʱ
    char							szDevName[DH_COMMON_STRING_64];     // 豸
    char							szDesc[DH_COMMON_STRING_256];       // 
    int								nAction;                            // -1:δ֪ 0: 1:ʼ 2:ֹͣ
    char							szID[DH_COMMON_STRING_32];          // λID, Ŀǰʹ16ֽ
    char							szSensorID[DH_COMMON_STRING_32];    // 豸ID, Ŀǰʹ16ֽ
    char							szDevID[DH_COMMON_STRING_32];       // ID, Ŀǰʹ16ֽ
    char							szPointName[DH_COMMON_STRING_64];   // λ,ƥ
    int								nAlarmFlag;                         // 0:ʼ, 1:
	EM_ALARM_SCADA_DEV_TYPE			emDevType;							// 豸
	EM_SCADA_DEVICE_STATUS			emDevStatus;						// 豸״̬
}ALARM_SCADA_DEV_INFO;

// ACC¼, Ӧ¼ DH_ALARM_VEHICLE_ACC
typedef struct tagALARM_VEHICLE_ACC_INFO 
{
    DWORD                   dwSize;
    int                     nACCStatus;                         // ACC״̬, 0:Ч, 1:, 2:ر 
    int                     nAction;                            // ¼, 0:Start, 1:Stop
    NET_GPS_STATUS_INFO     stuGPSStatusInfo;                   // GPSϢ
    int                     nConstantElectricStatus;            // ״̬, 0:δ֪, 1:, 2:Ͽ                            
	NET_TIME_EX				stuTime;							// ¼ʱ
	unsigned int			nTotalMileage;						// ܵ,λ:,nACCStatusΪ2ʱ,ntotalMileageϱ
	NET_TIME_EX				stuStartTime;						// nACCStatusΪ1ʱ̵ʱ
	NET_GPS_STATUS_INFO		stuStartGPS;						// nACCStatusΪ1ʱ̵GPSϢ
}ALARM_VEHICLE_ACC_INFO;

typedef NET_ACCESS_CTL_STATUS_TYPE  NET_ACCESS_LOCK_STATUS_TYPE;

// ״̬¼, Ӧ¼ DH_ALARM_ACCESS_LOCK_STATUS
typedef struct tagALARM_ACCESS_LOCK_STATUS_INFO 
{
    DWORD                       dwSize;
    int                         nChannel;                       // ͨ(0ʼ)
    NET_TIME                    stuTime;                        // ¼ʱ
    NET_ACCESS_LOCK_STATUS_TYPE emLockStatus;                   // ״̬
}ALARM_ACCESS_LOCK_STATUS_INFO;

// ҵ
typedef enum tagEM_ALARM_FINACE_SCHEME_BUSINESS_SEVER_TYPE
{
    EM_ALARM_FINACE_SCHEME_BUSINESS_SEVER_TYPE_UNKNOWN,         // δ֪
    EM_ALARM_FINACE_SCHEME_BUSINESS_SEVER_TYPE_ORGANIZATION,    // 
    EM_ALARM_FINACE_SCHEME_BUSINESS_SEVER_TYPE_SEAL,            // ʽ
    EM_ALARM_FINACE_SCHEME_BUSINESS_SEVER_TYPE_EXCLUSIVE,       // ר
    EM_ALARM_FINACE_SCHEME_BUSINESS_SEVER_TYPE_GATHER,          // Ƽƻ
    EM_ALARM_FINACE_SCHEME_BUSINESS_SEVER_TYPE_EVEN,            // 
}EM_ALARM_FINACE_SCHEME_BUSINESS_SEVER_TYPE;

// ƾ¼, Ӧ¼ DH_ALARM_FINACE_SCHEME
typedef struct tagALARM_FINACE_SCHEME_INFO 
{
    DWORD                       dwSize;
    int                         nChannel;                                   // Ƶͨ
    char                        szBusinessSeverID[DH_COMMON_STRING_64];     // ҵ񵥺
    EM_ALARM_FINACE_SCHEME_BUSINESS_SEVER_TYPE  emBusinessSeverType;        // ҵ
    NET_TIME                    stuFinaceSchemeTime;                        // ƾʱ
    NET_TIME                    stuSchemeStartTime;                         // Чʱ
    NET_TIME                    stuSchemeEndTime;                           // ʧЧʱ
    char                        szProductName[DH_COMMON_STRING_128];        // ƲƷ
    char                        szCardNo[DH_COMMON_STRING_64];              // п
    char                        szPersonID[DH_COMMON_STRING_64];            // ͻ֤
    char                        szPersonName[DH_COMMON_STRING_64];          // ͻ
    char                        szOrgNo[DH_COMMON_STRING_64];               // ֧л
    char                        szStuffID[DH_COMMON_STRING_64];             // Ա
    NET_TIME                    stuRecStartTime;                            // ¼ʼʱ
    NET_TIME                    stuRecEndTime;                              // ¼ʱ
}ALARM_FINACE_SCHEME_INFO;

//////////////////////////////////////////////////////////////////////////

// ¼(insert)
typedef struct tagNET_CTRL_RECORDSET_IN
{
    DWORD           dwSize;
    EM_NET_RECORD_TYPE emType;                          // ¼Ϣ
    void*           pBuf;                               // ¼Ϣ,EM_NET_RECORD_TYPEעͣûڴ.
	int             nBufLen;                            // ¼ϢС,Сռ¼ϢͶӦĽṹ
}NET_CTRL_RECORDSET_INSERT_IN;

// ¼(insert)
typedef struct tagNET_CTRL_RECORDSET_OUT 
{
    DWORD           dwSize;
    int             nRecNo;                             // ¼(insertʱ豸)
}NET_CTRL_RECORDSET_INSERT_OUT;

// ¼(insert)
typedef struct tagNET_CTRL_RECORDSET_INSERT_PARAM 
{
    DWORD                           dwSize;
    NET_CTRL_RECORDSET_INSERT_IN    stuCtrlRecordSetInfo;       // ¼Ϣ(ûд)
    NET_CTRL_RECORDSET_INSERT_OUT   stuCtrlRecordSetResult;     // ¼Ϣ(豸)
}NET_CTRL_RECORDSET_INSERT_PARAM;

// ¼
typedef struct tagNET_CTRL_RECORDSET_PARAM 
{
    DWORD               dwSize;
    EM_NET_RECORD_TYPE  emType;                         // ¼Ϣ
    void*               pBuf;                           // \\ѯ\ʱ,Ϊ¼Ϣ, EM_NET_RECORD_TYPE ע,ûڴ棬ΪnBufLen
                                                        // ɾʱ,Ϊż¼ŵڴַ(Ϊint*)
    int                 nBufLen;                        // ¼ϢС,Сռ¼ϢͶӦĽṹ
}NET_CTRL_RECORDSET_PARAM;

// Ƶģʽ
typedef enum tagEM_VIDEO_PLAY_MODE_TYPE
{
    EM_VIDEO_PLAY_MODE_TYPE_UNKNOWN,                    // δ֪
    EM_VIDEO_PLAY_MODE_TYPE_ONCE,                       // һ
    EM_VIDEO_PLAY_MODE_TYPE_REPEAT,                     // ѭ
}EM_VIDEO_PLAY_MODE_TYPE;

#define MAX_DELIVERY_FILE_NUM 128                       // Ͷļ
#define DELIVERY_FILE_URL_LEN 128                       // ͶļURL

// Ͷŵļ
typedef enum tagEM_DELIVERY_FILE_TYPE
{
    EM_DELIVERY_FILE_TYPE_UNKNOWN,                      // δ֪
    EM_DELIVERY_FILE_TYPE_VIDEO,                        // Ƶ
    EM_DELIVERY_FILE_TYPE_IMAGE,                        // ͼƬ
	EM_DELIVERY_FILE_TYPE_AUDIO,                        // Ƶ
}EM_DELIVERY_FILE_TYPE;

// ļģʽ
typedef enum tagEM_PLAY_WITH_MODE
{
    EM_PLAY_WITH_MODE_UNKNOWN,                          // δ֪
    EM_PLAY_WITH_MODE_RECOGNITION,                      // ʶģʽ
    EM_PLAY_WITH_MODE_INFORMATION_RELEASE,              // Ϣģʽ
} EM_PLAY_WITH_MODE;

// ͶļϢ
typedef struct tagNET_DELIVERY_FILE_INFO
{
    EM_DELIVERY_FILE_TYPE   emFileType;                         // ļ
    char                    szFileURL[DELIVERY_FILE_URL_LEN];   // ļԴַ
    int                     nImageSustain;                      // ÿͼƬͣ೤ʱ䣬λ (emFileTypeΪEM_DELIVERY_FILE_TYPE_IMAGEʱֶЧ)
    EM_PLAY_WITH_MODE       emPlayWithMode;                     // ļģʽ
    BYTE                    byReserved[1020];                   // ֽ
}NET_DELIVERY_FILE_INFO;

// ƵͶƵͼƬļ
typedef struct tagNET_CTRL_DELIVERY_FILE 
{
    DWORD                   dwSize;                             // ṹС
    int                     nPort;                              // Ƶ
    EM_VIDEO_PLAY_MODE_TYPE emPlayMode;                         // 
    NET_TIME                stuStartPlayTime;                   // ʼŵʱ
    NET_TIME                stuStopPlayTime;                    // ŵʱ䣬emPlayModeΪEM_VIDEO_PLAY_MODE_TYPE_REPEATʱֵЧ    
    int                     nFileCount;                         // Ͷŵļ
    NET_DELIVERY_FILE_INFO  stuFileInfo[MAX_DELIVERY_FILE_NUM]; // ͶŵļϢ
}NET_CTRL_DELIVERY_FILE;

// ͶļϢ
typedef struct tagNET_DELIVERY_FILE_BYCAR_INFO
{
    EM_DELIVERY_FILE_TYPE   emFileType;                         // ļ
    char                    szFileURL[DELIVERY_FILE_URL_LEN];   // ļԴַ
    int                     nImageSustain;                      // ÿͼƬͣ೤ʱ䣬λ (emFileTypeΪEM_DELIVERY_FILE_TYPE_IMAGEʱֶЧ)
    NET_TIME                stuStartPlayTime;                   // ʼŵʱ
    NET_TIME                stuStopPlayTime;                    // ŵʱ䣬emPlayModeΪEM_VIDEO_PLAY_MODE_TYPE_REPEATʱֵЧ    
    BYTE                    byReserved[1024];                   // ֽ
}NET_DELIVERY_FILE_BYCAR_INFO;

// ƵͶƵͼƬļ, ʹã浥ʱͶ
typedef struct tagNET_CTRL_DELIVERY_FILE_BYCAR
{
    DWORD                           dwSize;                             // ṹС
    int                             nPort;                              // Ƶ
    EM_VIDEO_PLAY_MODE_TYPE         emPlayMode;                         // 
    int                             nFileCount;                         // Ͷŵļ
    NET_DELIVERY_FILE_BYCAR_INFO    stuFileInfo[MAX_DELIVERY_FILE_NUM]; // ͶŵļϢ
}NET_CTRL_DELIVERY_FILE_BYCAR;

// ״̬
typedef enum tagNET_ACCESSCTLCARD_STATE
{
    NET_ACCESSCTLCARD_STATE_UNKNOWN = -1,
    NET_ACCESSCTLCARD_STATE_NORMAL = 0,                 // 
    NET_ACCESSCTLCARD_STATE_LOSE   = 0x01,              // ʧ
    NET_ACCESSCTLCARD_STATE_LOGOFF = 0x02,              // ע
    NET_ACCESSCTLCARD_STATE_FREEZE = 0x04,              // 
    NET_ACCESSCTLCARD_STATE_ARREARAGE = 0x08,           // Ƿ
    NET_ACCESSCTLCARD_STATE_OVERDUE = 0x10,             // 
    NET_ACCESSCTLCARD_STATE_PREARREARAGE = 0x20,        // ԤǷ(ǿԿ,ʾ)
}NET_ACCESSCTLCARD_STATE;

// 
typedef enum tagNET_ACCESSCTLCARD_TYPE
{
    NET_ACCESSCTLCARD_TYPE_UNKNOWN = -1,
    NET_ACCESSCTLCARD_TYPE_GENERAL,                     // һ㿨
    NET_ACCESSCTLCARD_TYPE_VIP,                         // VIP
    NET_ACCESSCTLCARD_TYPE_GUEST,                       // 
    NET_ACCESSCTLCARD_TYPE_PATROL,                      // Ѳ߿
    NET_ACCESSCTLCARD_TYPE_BLACKLIST,                   // 
    NET_ACCESSCTLCARD_TYPE_CORCE,                       // вȿ
	NET_ACCESSCTLCARD_TYPE_POLLING,                     // Ѳ쿨
	NET_ACCESSCTLCARD_TYPE_GB_CUSTOM1,                  // Զ1,Ϻµر궨ƣ֧ףĿ
	NET_ACCESSCTLCARD_TYPE_GB_CUSTOM2,                  // Զ2,Ϻµر궨ƣ֧ףĿ
	NET_ACCESSCTLCARD_TYPE_TEMPORARY_PERSON = 0x09,		// ʱԱĿ֧ףĿ
	NET_ACCESSCTLCARD_TYPE_INVENTORY_PERSON,			// ԱĿ֧ףĿ
	NET_ACCESSCTLCARD_TYPE_INVENTORY_DIRECTOR,			// ܣĿ֧ףĿ
	NET_ACCESSCTLCARD_TYPE_SECURITY_GUARD,				// ԱĿ֧ףĿ
	NET_ACCESSCTLCARD_TYPE_SECURITYGUARD_DIRECTOR,		// ܣĿ֧ףĿ
	NET_ACCESSCTLCARD_TYPE_STORE_KEEPER,				// ԱĿ֧ףĿ
	NET_ACCESSCTLCARD_TYPE_STORE_DIRECTOR,				// ܣĿ֧ףĿ
	NET_ACCESSCTLCARD_TYPE_ESCORT_PERSON,				// ѺԱĿ֧ףĿ
	NET_ACCESSCTLCARD_TYPE_REPAIR_PERSON,				// άԱĿ֧ףĿ
	NET_ACCESSCTLCARD_TYPE_INSPECTOR = 0x12,			// ԱĿ֧ףĿ
    NET_ACCESSCTLCARD_TYPE_MOTHERCARD = 0xff,           // ĸ
}NET_ACCESSCTLCARD_TYPE;

#define DH_MAX_DOOR_NUM               32                // ȨŽĿ
#define DH_MAX_TIMESECTION_NUM        32                // ЧʱĿ
#define DH_MAX_CARDNAME_LEN           64                // Ž󳤶
#define DH_MAX_CARDNO_LEN             32                // Ž󳤶
#define DH_MAX_USERID_LEN             32                // ŽûID󳤶
#define DH_MAX_IC_LEN				  32				// ֤󳤶
#define DH_MAX_QRCODE_LEN			  128				// QRCode 󳤶

// ָݣֻ·Ϣ
typedef struct tagNET_ACCESSCTLCARD_FINGERPRINT_PACKET
{
    DWORD   dwSize; 
    int     nLength;        // ݰ,λֽ
    int     nCount;         // 
    char*   pPacketData;    // ָݰûڴ沢䣬Ϊ nLength*nCount
}NET_ACCESSCTLCARD_FINGERPRINT_PACKET;

// ָչ·ͻȡϢ
typedef struct tagNET_ACCESSCTLCARD_FINGERPRINT_PACKET_EX
{
    int     nLength;        // ݰ,λֽ
    int     nCount;         // 
    char*   pPacketData;    // ָݰ, ûڴ,СΪnLength * nCount
    int     nPacketLen;     // pPacketData ָڴĴСûд
    int     nRealPacketLen; // ظûʵָܴС
	int	    nDuressIndex;   // вָţΧ1~nCount
    BYTE    byReverseed[1020]; //С
}NET_ACCESSCTLCARD_FINGERPRINT_PACKET_EX;

#define MAX_REPEATENTERROUTE_NUM   12 //Ǳ·

// ñӿʽ
typedef enum tagEM_HAT_STYLE
{
	EM_HAT_UNKNOWN,									// δ֪
	EM_HAT_ORDINARY,								// ͨñ
	EM_HAT_HELMET,									// ͷ
	EM_HAT_SAFETYHAT,								// ȫñ
	EM_HAT_EAVELESS,								// ñ
	EM_HAT_PEAKEDCAP,								// Ѽñ
	EM_HAT_FISHERMANHAT,							// ñ
	EM_HAT_NONE,									// δñ
} EM_HAT_STYLE;

// ͳһɫö
typedef enum tagEM_UNIFIED_COLOR_TYPE
{
	EM_UNIFIED_COLOR_TRANSPARENT = -1,				// ͸
	EM_UNIFIED_COLOR_UNKNOWN,						// δ֪
	EM_UNIFIED_COLOR_WHITE,							// ɫ
	EM_UNIFIED_COLOR_ORANGE,						// ɫ
	EM_UNIFIED_COLOR_PINK,							// ɫ
	EM_UNIFIED_COLOR_BLACK,							// ɫ
	EM_UNIFIED_COLOR_RED,							// ɫ
	EM_UNIFIED_COLOR_YELLOW,						// ɫ
	EM_UNIFIED_COLOR_GRAY,							// ɫ
	EM_UNIFIED_COLOR_BLUE,							// ɫ
	EM_UNIFIED_COLOR_GREEN,							// ɫ
	EM_UNIFIED_COLOR_PURPLE,						// ɫ
	EM_UNIFIED_COLOR_BROWN,							// ɫ	
}EM_UNIFIED_COLOR_TYPE;

// Ա
typedef enum tagNET_ACCESSCTLCARD_SEX
{
    NET_ACCESSCTLCARD_SEX_UNKNOWN,
    NET_ACCESSCTLCARD_SEX_MALE,                           // 
    NET_ACCESSCTLCARD_SEX_FEMALE,                         // Ů    
}NET_ACCESSCTLCARD_SEX;

// ûȨ
typedef enum tagNET_ACCESSCTLCARD_AUTHORITY
{
    NET_ACCESSCTLCARD_AUTHORITY_UNKNOWN,                  // δ֪
    NET_ACCESSCTLCARD_AUTHORITY_ADMINISTRATORS,           // Ա 
    NET_ACCESSCTLCARD_AUTHORITY_CUSTOMER,                 // ͨû      
}NET_ACCESSCTLCARD_AUTHORITY;

// Ž¼Ϣ
typedef struct tagNET_RECORDSET_ACCESS_CTL_CARD
{
    DWORD           dwSize;
    int             nRecNo;                                 // ¼,ֻ
    NET_TIME        stuCreateTime;                          // ʱ
    char            szCardNo[DH_MAX_CARDNO_LEN];            // 
    char            szUserID[DH_MAX_USERID_LEN];            // ûID, 豸ݲ֧
    NET_ACCESSCTLCARD_STATE       emStatus;                 // ״̬
    NET_ACCESSCTLCARD_TYPE        emType;                   // 
    char            szPsw[DH_MAX_CARDPWD_LEN];              // 
    int             nDoorNum;                               // ЧĿ;
    int             sznDoors[DH_MAX_DOOR_NUM];              // Ȩ޵,CFG_CMD_ACCESS_EVENTõ±
    int             nTimeSectionNum;                        // ЧĵĿʱĿ
    int             sznTimeSectionNo[DH_MAX_TIMESECTION_NUM];  // ʱ,CFG_ACCESS_TIMESCHEDULE_INFO±
    int             nUserTime;                              // ʹô,ʱЧ
    NET_TIME        stuValidStartTime;                      // ʼЧ, 豸ݲ֧ʱ
    NET_TIME        stuValidEndTime;                        // Ч, 豸ݲ֧ʱ
    BOOL            bIsValid;                               // ǷЧ,TRUEЧ;FALSEЧ
    NET_ACCESSCTLCARD_FINGERPRINT_PACKET stuFingerPrintInfo;// ·ָϢΪԱʹ stuFingerPrintInfoEx
    BOOL            bFirstEnter;                            // Ƿӵ׿Ȩ
    char            szCardName[DH_MAX_CARDNAME_LEN];        // 
    char            szVTOPosition[DH_COMMON_STRING_64];     // ſڻλ
    BOOL            bHandicap;                              // ǷΪм˿
    BOOL            bEnableExtended;                        // óԱ stuFingerPrintInfoEx
    NET_ACCESSCTLCARD_FINGERPRINT_PACKET_EX     stuFingerPrintInfoEx;	// ָϢ
    int             nFaceDataNum;                           // ݸ20
    char            szFaceData[MAX_FACE_DATA_NUM][MAX_FACE_DATA_LEN];	// ģ
	char			szDynamicCheckCode[MAX_COMMON_STRING_16];			// ̬У롣
																		// VTO豸ᱣУ룬Ժÿˢһ㷨У벢дICУͬʱVTO豸У룬ֻпźʹУͬʱ֤ͨʱſɿš
																		// ȱ㣺Ŀǰֻ֧һˢһ豸
    int             nRepeatEnterRouteNum;                         // Ǳ·
    int             arRepeatEnterRoute[MAX_REPEATENTERROUTE_NUM]; // Ǳ·
    int             nRepeatEnterRouteTimeout;                     // Ǳʱʱ
    BOOL            bNewDoor;                                     // Ƿ¿ȨֶΣTRUEʾʹnNewDoorNumnNewDoorsֶ·Ȩ
    int             nNewDoorNum;                                  // ЧĿ;
    int             nNewDoors[MAX_ACCESSDOOR_NUM];                // Ȩ޵,CFG_CMD_ACCESS_EVENTõ±
    int             nNewTimeSectionNum;                           // ЧĵĿʱĿ
    int             nNewTimeSectionNo[MAX_ACCESSDOOR_NUM];        // ʱ,CFG_ACCESS_TIMESCHEDULE_INFO±
	char			szCitizenIDNo[MAX_COMMON_STRING_32];		  // ֤
	int				nSpecialDaysScheduleNum;					  // ռƻʾ
	int				arSpecialDaysSchedule[MAX_ACCESSDOOR_NUM];	  // ռƻʶ
    UINT            nUserType;                                    // û, 0 ͨû, 1 û
    int             nFloorNum;                                              // Ч¥
    char            szFloorNo[MAX_ACCESS_FLOOR_NUM][DH_COMMON_STRING_4];   // ¥
	char			szSection[MAX_COMMON_STRING_64];				// 
    int             nScore;                                         // û
    char            szCompanyName[MAX_COMPANY_NAME_LEN];            // λ
	UINT			nSectionID;										// ID
    NET_ACCESSCTLCARD_SEX        emSex;                             // Ա
    char            szRole[MAX_COMMON_STRING_32];                   // ɫ
    char            szProjectNo[MAX_COMMON_STRING_32];              // ĿID
    char            szProjectName[MAX_COMMON_STRING_64];            // Ŀ
    char            szBuilderName[MAX_COMMON_STRING_64];            // ʩλȫ
    char            szBuilderID[MAX_COMMON_STRING_32];              // ʩλID
    char            szBuilderType[MAX_COMMON_STRING_32];            // ʩλ
    char            szBuilderTypeID[MAX_COMMON_STRING_8];           // ʩλID
    char            szPictureID[MAX_COMMON_STRING_64];              // ԱƬID
    char            szContractID[MAX_COMMON_STRING_16];             // ԭͬϵͳͬ
    char            szWorkerTypeID[MAX_COMMON_STRING_8];            // ID
    char            szWorkerTypeName[MAX_COMMON_STRING_32];         // 
    BOOL            bPersonStatus;                                  // Ա״̬, TRUE:, FALSE:
    NET_ACCESSCTLCARD_AUTHORITY   emAuthority;                      // ûȨ
    char			szCompanionName[120];							// ͬ
    char			szCompanionCompany[200];						// ͬ˵λ
	NET_TIME		stuTmpAuthBeginTime;							// ʱȨʼʱ,ʱʱͬʱЧʱԴʱΪȼ
	NET_TIME		stuTmpAuthEndTime;								// ʱȨʱ,ʱʱͬʱЧʱԴʱΪȼ
	BOOL			bFloorNoExValid;								// ¥չ szFloorNoEx ǷЧ
	int             nFloorNumEx;									// Ч¥չ
	char            szFloorNoEx[512][DH_COMMON_STRING_4];			// ¥չ
	char			szSubUserID[32];								// ûIDƣ
}NET_RECORDSET_ACCESS_CTL_CARD;

// Ž¼Ϣ
typedef struct tagNET_RECORDSET_ACCESS_CTL_PWD 
{
    DWORD           dwSize;
    int             nRecNo;                                 // ¼,ֻ
    NET_TIME        stuCreateTime;                          // ʱ
    char            szUserID[DH_MAX_USERID_LEN];            // ûID, 豸ݲ֧
    char            szDoorOpenPwd[DH_MAX_CARDPWD_LEN];      // 
    char            szAlarmPwd[DH_MAX_CARDPWD_LEN];         // 
    int             nDoorNum;                               // ЧĵĿ
    int             sznDoors[DH_MAX_DOOR_NUM];              // Ȩ޵,CFG_CMD_ACCESS_EVENTCFG_ACCESS_EVENT_INFO±
    char            szVTOPosition[DH_COMMON_STRING_64];     // ſڻλ
    int             nTimeSectionNum;                        // ʱθ
    int             nTimeSectionIndex[DH_MAX_TIMESECTION_NUM];  // ʱ,Ǹ飬ÿԪsznDoorsеŶӦ
    BOOL            bNewDoor;                               // Ƿ¿ȨֶΣTRUEʾʹnNewDoorNumnNewDoorsֶ·Ȩ
    int             nNewDoorNum;                            // ЧĿ;
    int             nNewDoors[MAX_ACCESSDOOR_NUM];          // Ȩ޵,CFG_CMD_ACCESS_EVENTõ±
    int             nNewTimeSectionNum;                     // ЧĵĿʱĿ
    int             nNewTimeSectionNo[MAX_ACCESSDOOR_NUM];  // ʱ,CFG_ACCESS_TIMESCHEDULE_INFO±
    NET_TIME        stuValidStartTime;                      // ʼЧ
    NET_TIME        stuValidEndTime;                        // Ч
    int        		nValidCounts;							// Ч
	char			szCitizenIDNo[20];						// ֤
}NET_RECORDSET_ACCESS_CTL_PWD;


// ŷʽ(Ž,ŵһֹģʽ)
typedef enum tagNET_DOOR_OPEN_METHOD
{
    NET_DOOR_OPEN_METHOD_UNKNOWN = 0,
    NET_DOOR_OPEN_METHOD_PWD_ONLY,                          // ֻ뿪
    NET_DOOR_OPEN_METHOD_CARD,                              // ֻˢ
    NET_DOOR_OPEN_METHOD_PWD_OR_CARD,                       // ˢ
    NET_DOOR_OPEN_METHOD_CARD_FIRST,                        // ˢ뿪
    NET_DOOR_OPEN_METHOD_PWD_FIRST,                         // ˢ
    NET_DOOR_OPEN_METHOD_SECTION,                           // ʱο
}NET_DOOR_OPEN_METHOD;

// ŷʽ(Ž¼,Ž¼,ʵʵĿŷʽ)
typedef enum tagNET_ACCESS_DOOROPEN_METHOD
{
    NET_ACCESS_DOOROPEN_METHOD_UNKNOWN = 0,
    NET_ACCESS_DOOROPEN_METHOD_PWD_ONLY,                    // 뿪
    NET_ACCESS_DOOROPEN_METHOD_CARD,                        // ˢ
    NET_ACCESS_DOOROPEN_METHOD_CARD_FIRST,                  // ˢ뿪
    NET_ACCESS_DOOROPEN_METHOD_PWD_FIRST,                   // ˢ
    NET_ACCESS_DOOROPEN_METHOD_REMOTE,                      // Զ̿,ͨڻƽ̨ſڻ
    NET_ACCESS_DOOROPEN_METHOD_BUTTON,                      // ťп
    NET_ACCESS_DOOROPEN_METHOD_FINGERPRINT,                 // ָƿ
    NET_ACCESS_DOOROPEN_METHOD_PWD_CARD_FINGERPRINT,        // +ˢ+ָϿ
    NET_ACCESS_DOOROPEN_METHOD_PWD_FINGERPRINT = 10,        // +ָϿ
    NET_ACCESS_DOOROPEN_METHOD_CARD_FINGERPRINT = 11,       // ˢ+ָϿ
    NET_ACCESS_DOOROPEN_METHOD_PERSONS = 12,                // ˿
    NET_ACCESS_DOOROPEN_METHOD_KEY = 13,                    // Կ׿
    NET_ACCESS_DOOROPEN_METHOD_COERCE_PWD = 14,             // в뿪
    NET_ACCESS_DOOROPEN_METHOD_QRCODE = 15,                 // ά뿪
    NET_ACCESS_DOOROPEN_METHOD_FACE_RECOGNITION = 16,       // ʶ
    NET_ACCESS_DOOROPEN_METHOD_FACEIDCARD = 18,             // ֤Ա
    NET_ACCESS_DOOROPEN_METHOD_FACEIDCARD_AND_IDCARD = 19,	// ֤+ ֤ȶ
    NET_ACCESS_DOOROPEN_METHOD_BLUETOOTH = 20,				//
    NET_ACCESS_DOOROPEN_METHOD_CUSTOM_PASSWORD = 21,        // Ի뿪
    NET_ACCESS_DOOROPEN_METHOD_USERID_AND_PWD = 22,         // UserID+
    NET_ACCESS_DOOROPEN_METHOD_FACE_AND_PWD = 23,           // +뿪
    NET_ACCESS_DOOROPEN_METHOD_FINGERPRINT_AND_PWD = 24,    // ָ+뿪
    NET_ACCESS_DOOROPEN_METHOD_FINGERPRINT_AND_FACE = 25,   // ָ+
    NET_ACCESS_DOOROPEN_METHOD_CARD_AND_FACE = 26,          // ˢ+
    NET_ACCESS_DOOROPEN_METHOD_FACE_OR_PWD = 27,            // 뿪
    NET_ACCESS_DOOROPEN_METHOD_FINGERPRINT_OR_PWD = 28,     // ָƻ뿪
    NET_ACCESS_DOOROPEN_METHOD_FINGERPRINT_OR_FACE = 29,    // ָƻ
    NET_ACCESS_DOOROPEN_METHOD_CARD_OR_FACE = 30,           // ˢ
    NET_ACCESS_DOOROPEN_METHOD_CARD_OR_FINGERPRINT = 31,    // ˢָƿ
    NET_ACCESS_DOOROPEN_METHOD_FINGERPRINT_AND_FACE_AND_PWD   = 32,             // ָ++뿪
    NET_ACCESS_DOOROPEN_METHOD_CARD_AND_FACE_AND_PWD = 33,                      // ˢ++뿪
    NET_ACCESS_DOOROPEN_METHOD_CARD_AND_FINGERPRINT_AND_PWD = 34,               // ˢ+ָ+뿪
    NET_ACCESS_DOOROPEN_METHOD_CARD_AND_PWD_AND_FACE = 35,                      // +ָ+Ͽ
    NET_ACCESS_DOOROPEN_METHOD_FINGERPRINT_OR_FACE_OR_PWD = 36,                 // ָƻ
    NET_ACCESS_DOOROPEN_METHOD_CARD_OR_FACE_OR_PWD = 37,                        // 뿪
    NET_ACCESS_DOOROPEN_METHOD_CARD_OR_FINGERPRINT_OR_FACE = 38,                // ָƻ
    NET_ACCESS_DOOROPEN_METHOD_CARD_AND_FINGERPRINT_AND_FACE_AND_PWD = 39,      // +ָ++Ͽ 
    NET_ACCESS_DOOROPEN_METHOD_CARD_OR_FINGERPRINT_OR_FACE_OR_PWD     = 40,     // ָƻ뿪
    NET_ACCESS_DOOROPEN_METHOD_FACEIPCARDANDIDCARD_OR_CARD_OR_FACE    = 41,     //(֤+֤ȶ) ˢ  
    NET_ACCESS_DOOROPEN_METHOD_FACEIDCARD_OR_CARD_OR_FACE = 42,                 // ֤ȶ  ˢ(ά)  
    NET_ACCESS_DOOROPEN_METHOD_DTMF = 43,					//DTMF(SIPINFO,RFC2833,INBAND)
	NET_ACCESS_DOOROPEN_METHOD_REMOTE_QRCODE = 44,			// Զ̶ά뿪
	NET_ACCESS_DOOROPEN_METHOD_REMOTE_FACE = 45,			// Զ
	NET_ACCESS_DOOROPEN_METHOD_CITIZEN_FINGERPRINT = 46,		// ֤ȶԿ(ָ)
}NET_ACCESS_DOOROPEN_METHOD;

//״̬
typedef enum tagNET_ATTENDANCESTATE
{
    NET_ATTENDANCESTATE_UNKNOWN,
    NET_ATTENDANCESTATE_SIGNIN,                    //ǩ
    NET_ATTENDANCESTATE_GOOUT,                     //
    NET_ATTENDANCESTATE_GOOUT_AND_RETRUN,          //
    NET_ATTENDANCESTATE_SIGNOUT,                   // ǩ
    NET_ATTENDANCESTATE_WORK_OVERTIME_SIGNIN,      // Ӱǩ
    NET_ATTENDANCESTATE_WORK_OVERTIME_SIGNOUT,     // Ӱǩ
}NET_ATTENDANCESTATE;

// ŷ
typedef enum tagNET_ENUM_DIRECTION_ACCESS_CTL
{
    NET_ENUM_DIRECTION_UNKNOWN,
    NET_ENUM_DIRECTION_ENTRY,                              //              
    NET_ENUM_DIRECTION_EXIT,                               // 
}NET_ENUM_DIRECTION_ACCESS_CTL;
// 
typedef enum tagEM_CITIZENIDCARD_ETHNICITY_TYPE
{
	EM_CITIZENIDCARD_ETHNICITY_Unknown = 0,				// δ֪
	EM_CITIZENIDCARD_ETHNICITY_Han,						// 
	EM_CITIZENIDCARD_ETHNICITY_Mongolian,				// ɹ
	EM_CITIZENIDCARD_ETHNICITY_Hui,						// 
	EM_CITIZENIDCARD_ETHNICITY_Tibetan,					// 
	EM_CITIZENIDCARD_ETHNICITY_Uygur,					// ά
	EM_CITIZENIDCARD_ETHNICITY_Miao,					// 
	EM_CITIZENIDCARD_ETHNICITY_Yi,						// 
	EM_CITIZENIDCARD_ETHNICITY_Zhuang,					// ׳
	EM_CITIZENIDCARD_ETHNICITY_Bouyei,					// 
	EM_CITIZENIDCARD_ETHNICITY_Korean,					// 
	EM_CITIZENIDCARD_ETHNICITY_Manchu,					// 
	EM_CITIZENIDCARD_ETHNICITY_Dong,					// 
	EM_CITIZENIDCARD_ETHNICITY_Yao,						// 
	EM_CITIZENIDCARD_ETHNICITY_Bai,						// 
	EM_CITIZENIDCARD_ETHNICITY_Tujia,					// 
	EM_CITIZENIDCARD_ETHNICITY_Hani,					// 
	EM_CITIZENIDCARD_ETHNICITY_Kazak,					// 
	EM_CITIZENIDCARD_ETHNICITY_Dai,						// 
	EM_CITIZENIDCARD_ETHNICITY_Li,						// 
	EM_CITIZENIDCARD_ETHNICITY_Lisu,					// 
	EM_CITIZENIDCARD_ETHNICITY_Va,						// 
	EM_CITIZENIDCARD_ETHNICITY_She,						// 
	EM_CITIZENIDCARD_ETHNICITY_Gaoshan,					// ɽ
	EM_CITIZENIDCARD_ETHNICITY_Lahu,					// 
	EM_CITIZENIDCARD_ETHNICITY_Shui,					// ˮ
	EM_CITIZENIDCARD_ETHNICITY_Dongxiang,				// 
	EM_CITIZENIDCARD_ETHNICITY_Naxi,					// 
	EM_CITIZENIDCARD_ETHNICITY_Jingpo,					// 
	EM_CITIZENIDCARD_ETHNICITY_Kirgiz,					// ¶
	EM_CITIZENIDCARD_ETHNICITY_Tu,						// 
	EM_CITIZENIDCARD_ETHNICITY_Daur,					// Ӷ
	EM_CITIZENIDCARD_ETHNICITY_Mulam,					// 
	EM_CITIZENIDCARD_ETHNICITY_Qoiang,					// Ǽ
	EM_CITIZENIDCARD_ETHNICITY_Blang,					// 
	EM_CITIZENIDCARD_ETHNICITY_Salar,					// 
	EM_CITIZENIDCARD_ETHNICITY_Maonan,					// ë
	EM_CITIZENIDCARD_ETHNICITY_Gelo,					// 
	EM_CITIZENIDCARD_ETHNICITY_Xibe,					// 
	EM_CITIZENIDCARD_ETHNICITY_Achang,					// 
	EM_CITIZENIDCARD_ETHNICITY_Pumi,					// 
	EM_CITIZENIDCARD_ETHNICITY_Tajik,					// 
	EM_CITIZENIDCARD_ETHNICITY_Nu,						// ŭ
	EM_CITIZENIDCARD_ETHNICITY_Ozbek,					// α
	EM_CITIZENIDCARD_ETHNICITY_Russian,					// ˹
	EM_CITIZENIDCARD_ETHNICITY_Ewenkl,					// ¿
	EM_CITIZENIDCARD_ETHNICITY_Deang,					// °
	EM_CITIZENIDCARD_ETHNICITY_Bonan,					// 
	EM_CITIZENIDCARD_ETHNICITY_Yugur,					// ԣ
	EM_CITIZENIDCARD_ETHNICITY_Jing,					// 
	EM_CITIZENIDCARD_ETHNICITY_Tatar,					// 
	EM_CITIZENIDCARD_ETHNICITY_Drung,					// 
	EM_CITIZENIDCARD_ETHNICITY_Oroqen,					// ״
	EM_CITIZENIDCARD_ETHNICITY_Hezhen,					// 
	EM_CITIZENIDCARD_ETHNICITY_Moinba,					// Ű
	EM_CITIZENIDCARD_ETHNICITY_Lhoba,					// 
	EM_CITIZENIDCARD_ETHNICITY_Jino						// ŵ
}EM_CITIZENIDCARD_ETHNICITY_TYPE;

//Ա
typedef enum tagEM_CITIZENIDCARD_SEX_TYPE
{
	EM_CITIZENIDCARD_SEX_TYPE_UNKNOWN,          // δ֪
	EM_CITIZENIDCARD_SEX_TYPE_MALE,             // 
	EM_CITIZENIDCARD_SEX_TYPE_FEMALE,           // Ů
	EM_CITIZENIDCARD_SEX_TYPE_UNTOLD,           // δ˵
}EM_CITIZENIDCARD_SEX_TYPE;

// Žˢ¼¼Ϣ
typedef struct tagNET_RECORDSET_ACCESS_CTL_CARDREC
{
    DWORD           dwSize;
    int             nRecNo;                                 // ¼,ֻ
    char            szCardNo[DH_MAX_CARDNO_LEN];            // 
    char            szPwd[DH_MAX_CARDPWD_LEN];              // 
    NET_TIME        stuTime;                                // ˢʱ
    BOOL            bStatus;                                // ˢ,TRUEʾɹ,FALSEʾʧ
    NET_ACCESS_DOOROPEN_METHOD    emMethod;                 // ŷʽ
    int             nDoor;                                  // ź,CFG_CMD_ACCESS_EVENTCFG_ACCESS_EVENT_INFO±
    char            szUserID[DH_MAX_USERID_LEN];            // ûID
    int             nReaderID;                              // ID (,ʹ)
	char			szSnapFtpUrl[MAX_PATH];					// ץϴFTPַ

	char            szReaderID[DH_COMMON_STRING_32];        // ID													// ŲϴץƬ,ڼ¼¼洢ַ,ɹ
    NET_ACCESSCTLCARD_TYPE      emCardType;                 // 
    int                         nErrorCode;                 // ʧܵԭ,bStatusΪFALSEʱЧ
                                                            // 0x00 ûд
                                                            // 0x10 δȨ
                                                            // 0x11 ʧע
                                                            // 0x12 ûиȨ
                                                            // 0x13 ģʽ
                                                            // 0x14 Чڴ
                                                            // 0x15 Ǳģʽ
                                                            // 0x16 вȱδ
                                                            // 0x17 ų״̬
                                                            // 0x18 AB״̬
                                                            // 0x19 Ѳ߿
                                                            // 0x1A 豸ڴ뱨״̬
                                                            // 0x20 ʱδ
                                                            // 0x21 ڿʱδ
                                                            // 0x30 Ҫ֤׿Ȩ޵ĿƬ
                                                            // 0x40 Ƭȷ,
                                                            // 0x41 Ƭȷ,볬ʱ
                                                            // 0x42 Ƭȷ,ָƴ
                                                            // 0x43 Ƭȷ,ָƳʱ
                                                            // 0x44 ָȷ,
                                                            // 0x45 ָȷ,볬ʱ
                                                            // 0x50 Ͽ˳
                                                            // 0x51 ϿҪ֤
                                                            // 0x60 ֤ͨ,̨δȨ
                                                            // 0x61 Ƭȷ,
                                                            // 0x62 Ƭȷ,ʱ
                                                            // 0x63 ظ
                                                            // 0x64 δȨ,Ҫƽ̨ʶ

    char           szRecordURL[MAX_COMMON_STRING_128];      // ˢ¼ĵַ
    int            nNumbers;                                // ץͼ
	NET_ATTENDANCESTATE         emAttendanceState;          // ״̬ 
    NET_ENUM_DIRECTION_ACCESS_CTL   emDirection;            // ŷ
	char						szClassNumber[MAX_CLASS_NUMBER_LEN];		// ༶ڿǶƣ
	char						szPhoneNumber[MAX_PHONENUMBER_LEN];			// 绰ڿǶƣ
	char						szCardName[DH_MAX_CARDNAME_LEN];			// 
    char                        szSN[DH_COMMON_STRING_32];					// к,Ҫֶ

	BOOL						bCitizenIDResult;							// ֤ȶԽ	
	char						szCitizenIDName[30];						// 
	BYTE						byReserved1[2];								// ֽڶ
	EM_CITIZENIDCARD_SEX_TYPE			emCitizenIDSex;						// Ա
	EM_CITIZENIDCARD_ETHNICITY_TYPE		emCitizenIDEthnicity;				// 
	NET_TIME					stuCitizenIDBirth;							// (ʱЧ)
	char						szCitizenIDAddress[108];					// סַ
	char						szCitizenIDAuthority[48];					// ǩ
	NET_TIME					stuCitizenIDStart;							// Чʼ(ʱЧ)
	NET_TIME					stuCitizenIDEnd;							// Чֹ(ʱЧ, ΪʱʾЧ)
	BOOL						bIsEndless;									// ǷЧ
	char						szSnapFaceURL[DH_COMMON_STRING_128];		// ͼƬַ
	char						szCitizenPictureURL[DH_COMMON_STRING_128];	// ֤ͼƬַ
	char						szCitizenIDNo[20];							// ֤
    NET_ACCESSCTLCARD_SEX       emSex;                                      // Ա
    char                        szRole[MAX_COMMON_STRING_32];               // ɫ
    char                        szProjectNo[MAX_COMMON_STRING_32];          // ĿID
    char                        szProjectName[MAX_COMMON_STRING_64];        // Ŀ
    char                        szBuilderName[MAX_COMMON_STRING_64];        // ʩλȫ
    char                        szBuilderID[MAX_COMMON_STRING_32];          // ʩλID
    char                        szBuilderType[MAX_COMMON_STRING_32];        // ʩλ
    char                        szBuilderTypeID[MAX_COMMON_STRING_8];       // ʩλID
    char                        szPictureID[MAX_COMMON_STRING_64];          // ԱƬID
    char                        szContractID[MAX_COMMON_STRING_16];         // ԭͬϵͳͬ
    char                        szWorkerTypeID[MAX_COMMON_STRING_8];        // ID
    char                        szWorkerTypeName[MAX_COMMON_STRING_32];     // 
    BOOL                        bPersonStatus;                              // Ա״̬, TRUE:, FALSE:
	EM_HAT_STYLE				emHatStyle;									// ñ
	EM_UNIFIED_COLOR_TYPE		emHatColor;									// ñɫ
}NET_RECORDSET_ACCESS_CTL_CARDREC;

// ռ¼Ϣ
typedef struct tagNET_RECORDSET_HOLIDAY
{
    DWORD           dwSize;
    int             nRecNo;                                 // ¼,ֻ
    int             nDoorNum;                               // ЧĵĿ    
    int             sznDoors[DH_MAX_DOOR_NUM];              // Ȩ޵,CFG_CMD_ACCESS_EVENTCFG_ACCESS_EVENT_INFO±
    NET_TIME        stuStartTime;                           // ʼʱ
    NET_TIME        stuEndTime;                             // ʱ
    BOOL            bEnable;                                // ʹ
    char            szHolidayNo[DH_COMMON_STRING_32];       // ڱ
    char            szHolidayName[DH_COMMON_STRING_128];    // 
}NET_RECORDSET_HOLIDAY;

// ʡ
typedef enum tagEM_CARD_PROVINCE
{
	EM_CARD_UNKNOWN			= 10,		// δ֪ʡ
	EM_CARD_BEIJING			= 11,		// 
	EM_CARD_TIANJIN			= 12,		// 
	EM_CARD_HEBEI			= 13,		// ӱ
	EM_CARD_SHANXI_TAIYUAN	= 14,		// ɽ
	EM_CARD_NEIMENGGU		= 15,		// ɹ
	EM_CARD_LIAONING		= 21,		// 
	EM_CARD_JILIN			= 22,		// 
	EM_CARD_HEILONGJIANG	= 23,		// 
	EM_CARD_SHANGHAI		= 31,		// Ϻ
	EM_CARD_JIANGSU			= 32,		// 
	EM_CARD_ZHEJIANG		= 33,		// 㽭
	EM_CARD_ANHUI			= 34,		// 
	EM_CARD_FUJIAN			= 35,		// 
	EM_CARD_JIANGXI			= 36,		// 
	EM_CARD_SHANDONG		= 37,		// ɽ
	EM_CARD_HENAN			= 41,		// 
	EM_CARD_HUBEI			= 42,		// 
	EM_CARD_HUNAN			= 43,		// 
	EM_CARD_GUANGDONG		= 44,		// 㶫
	EM_CARD_GUANGXI			= 45,		// 
	EM_CARD_HAINAN			= 46,		// 
	EM_CARD_CHONGQING		= 50,		// 
	EM_CARD_SICHUAN			= 51,		// Ĵ
	EM_CARD_GUIZHOU			= 52,		// 
	EM_CARD_YUNNAN			= 53,		// 
	EM_CARD_XIZANG			= 54,		// 
	EM_CARD_SHANXI_XIAN		= 61,		// 
	EM_CARD_GANSU			= 62,		// 
	EM_CARD_QINGHAI			= 63,		// ຣ
	EM_CARD_NINGXIA			= 64,		// 
	EM_CARD_XINJIANG		= 65,		// ½
	EM_CARD_XIANGGANG		= 71,		// 
	EM_CARD_AOMEN			= 82,		// 
} EM_CARD_PROVINCE;

// 
typedef enum tagEM_CAR_TYPE
{	
	EM_CAR_0,					//
	EM_CAR_1,					//ͨͳ
	EM_CAR_2,					//˫ͳ
	EM_CAR_3,					//̿ͳ
	EM_CAR_4,					//ͽ½ӿͳ
	EM_CAR_5,					//ԽҰͳ
	EM_CAR_6,					//ͽγ
	EM_CAR_7,					//רÿͳ
	EM_CAR_8,					//רУ
	EM_CAR_9,					//ͨͳ
	EM_CAR_10,					//˫ͳ 
	EM_CAR_11,					//̿ͳ
	EM_CAR_12,					//ͽ½ӿͳ
	EM_CAR_13,					//ԽҰͳ
	EM_CAR_14,					//ͽγ 
	EM_CAR_15,					//רÿͳ 
	EM_CAR_16,					//רУ 
	EM_CAR_17,					//Сͨͳ 
	EM_CAR_18,					//СԽҰͳ 
	EM_CAR_19,					//Сͽγ 
	EM_CAR_20,					//Сרÿͳ 
	EM_CAR_21,					//СרУ 
	EM_CAR_22,					//С 
	EM_CAR_23,					//΢ͨͳ 
	EM_CAR_24,					//΢ԽҰͳ 
	EM_CAR_25,					//΢ͽγ
	EM_CAR_26,					//΢
	EM_CAR_27,					//Ͱǣ
	EM_CAR_28,					//ȫǣ
	EM_CAR_29,					//Ͱǣ
	EM_CAR_30,					//ȫǣ
	EM_CAR_31,					//Ͱǣ
	EM_CAR_32,					//ȫǣ 
	EM_CAR_33,					//ͷػרҵ
	EM_CAR_34,					//ػרҵ 
	EM_CAR_35,					//ͷػרҵ
	EM_CAR_36,					//ػרҵ 
	EM_CAR_37,					//Сͷػרҵ
	EM_CAR_38,					//Сػרҵ 
	EM_CAR_39,					//΢ͷػרҵ
	EM_CAR_40,					//΢ػרҵ 
	EM_CAR_41,					//ͷػרҵ
	EM_CAR_42,					//ػרҵ 
	EM_CAR_43,					//ͷػרҵ
	EM_CAR_44,					//ػרҵ 
	EM_CAR_45,					//ͨĦг 
	EM_CAR_46,					//Ħг 
	EM_CAR_47,					//ؿĦг 
	EM_CAR_48,					//ػĦг 
	EM_CAR_49,					//Ħг 
	EM_CAR_50,					//ͨĦг 
	EM_CAR_51,					//Ħг 
	EM_CAR_52,					//޹糵 
	EM_CAR_53,					//й糵 
	EM_CAR_54,					// 
	EM_CAR_55,					//ʽװػе 
	EM_CAR_56,					//ʽھе 
	EM_CAR_57,					//ʽƽػе 
	EM_CAR_58,					//ͨ 
	EM_CAR_59,					//ʽ 
	EM_CAR_60,					//ͷջ 
	EM_CAR_61,					//͹ʽ 
	EM_CAR_62,					//ƽ 
	EM_CAR_63,					//ͼװ䳵 
	EM_CAR_64,					//ж 
	EM_CAR_65,					//ṹ 
	EM_CAR_66,					//Ͳդʽ 
	EM_CAR_67,					//ͳ䳵 
	EM_CAR_68,					//ʽж 
	EM_CAR_69,					//͹ʽж 
	EM_CAR_70,					//ƽж 
	EM_CAR_71,					//ͼװж 
	EM_CAR_72,					//ṹж
	EM_CAR_73,					//Ͳդʽж 
	EM_CAR_74,					//ͨ 
	EM_CAR_75,					//ʽ 
	EM_CAR_76,					//ͷջ 
	EM_CAR_77,					//͹ʽ 
	EM_CAR_78,					//ƽ 
	EM_CAR_79,					//ͼװ䳵 
	EM_CAR_80,					//ж 
	EM_CAR_81,					//ṹ 
	EM_CAR_82,					//Ͳդʽ 
	EM_CAR_83,					//ͳ䳵 
	EM_CAR_84,					//ʽж 
	EM_CAR_85,					//͹ʽж 
	EM_CAR_86,					//ƽж 
	EM_CAR_87,					//ͼװж 
	EM_CAR_88,					//ṹж
	EM_CAR_89,					//Ͳդʽж 
	EM_CAR_90,					//ͨ 
	EM_CAR_91,					//ʽ 
	EM_CAR_92,					//ͷջ 
	EM_CAR_93,					//͹ʽ 
	EM_CAR_94,					//ƽ 
	EM_CAR_95,					//ж 
	EM_CAR_96,					//ṹ 
	EM_CAR_97,					//Ͳդʽ 
	EM_CAR_98,					//ͳ䳵 
	EM_CAR_99,					//ʽж 
	EM_CAR_100,					//͹ʽж 
	EM_CAR_101,					//ƽж 
	EM_CAR_102,					//ṹж 
	EM_CAR_103,					//Ͳդʽж 
	EM_CAR_104,					//΢ͨ 
	EM_CAR_105,					//΢ʽ 
	EM_CAR_106,					//΢ͷջ 
	EM_CAR_107,					//΢͹ʽ 
	EM_CAR_108,					//΢ж 
	EM_CAR_109,					//΢ṹ 
	EM_CAR_110,					//΢Ͳդʽ 
	EM_CAR_111,					//΢ͳ䳵 
	EM_CAR_112,					//΢ʽж 
	EM_CAR_113,					//΢͹ʽж 
	EM_CAR_114,					//΢ṹж 
	EM_CAR_115,					//΢Ͳդʽж 
	EM_CAR_116,					//ͨٻ 
	EM_CAR_117,					//ʽٻ 
	EM_CAR_118,					//ʽٻ 
	EM_CAR_119,					//жٻ 
	EM_CAR_120,					//դʽٻ 
	EM_CAR_121,					//ʽжٻ 
	EM_CAR_122,					//ʽжٻ 
	EM_CAR_123,					//ͨȫҳ 
	EM_CAR_124,					//ʽȫҳ 
	EM_CAR_125,					//͹ʽȫҳ 
	EM_CAR_126,					//ƽȫҳ 
	EM_CAR_127,					//ͼװȫҳ 
	EM_CAR_128,					//жȫҳ 
	EM_CAR_129,					//Ͳդʽȫҳ 
	EM_CAR_130,					//þȫҳ 
	EM_CAR_131,					//רҵȫҳ 
	EM_CAR_132,					//ʽжȫҳ 
	EM_CAR_133,					//͹ʽжȫҳ 
	EM_CAR_134,					//ƽжȫҳ 
	EM_CAR_135,					//ͼװжȫҳ 
	EM_CAR_136,					//Ͳդʽжȫҳ 
	EM_CAR_137,					//רҵжȫҳ 
	EM_CAR_138,					//ͨȫҳ 
	EM_CAR_139,					//ʽȫҳ 
	EM_CAR_140,					//͹ʽȫҳ 
	EM_CAR_141,					//ƽȫҳ 
	EM_CAR_142,					//ͼװȫҳ 
	EM_CAR_143,					//жȫҳ 
	EM_CAR_144,					//Ͳդʽȫҳ 
	EM_CAR_145,					//þȫҳ 
	EM_CAR_146,					//רҵȫҳ 
	EM_CAR_147,					//ʽжȫҳ 
	EM_CAR_148,					//͹ʽжȫҳ 
	EM_CAR_149,					//ƽжȫҳ 
	EM_CAR_150,					//ͼװжȫҳ 
	EM_CAR_151,					//Ͳդʽжȫҳ 
	EM_CAR_152,					//רҵжȫҳ 
	EM_CAR_153,					//ͨȫҳ 
	EM_CAR_154,					//ʽȫҳ 
	EM_CAR_155,					//͹ʽȫҳ 
	EM_CAR_156,					//ƽȫҳ 
	EM_CAR_157,					//жȫҳ 
	EM_CAR_158,					//Ͳդʽȫҳ 
	EM_CAR_159,					//þȫҳ 
	EM_CAR_160,					//רҵȫҳ 
	EM_CAR_161,					//ʽжȫҳ 
	EM_CAR_162,					//͹ʽжȫҳ 
	EM_CAR_163,					//ƽжȫҳ 
	EM_CAR_164,					//ͼװжȫҳ 
	EM_CAR_165,					//Ͳդʽжȫҳ 
	EM_CAR_166,					//רҵжȫҳ 
	EM_CAR_167,					//ͨҳ 
	EM_CAR_168,					//ʽҳ 
	EM_CAR_169,					//͹ʽҳ 
	EM_CAR_170,					//ƽҳ 
	EM_CAR_171,					//ͼװҳ 
	EM_CAR_172,					//жҳ 
	EM_CAR_173,					//ṹҳ 
	EM_CAR_174,					//Ͳդʽҳ 
	EM_CAR_175,					//þӰҳ 
	EM_CAR_176,					//רҵҳ 
	EM_CAR_177,					//͵ƽҳ 
	EM_CAR_178,					//ͳҳ 
	EM_CAR_179,					//͹ʽжҳ 
	EM_CAR_180,					//ƽжҳ 
	EM_CAR_181,					//ͼװжҳ 
	EM_CAR_182,					//ṹжҳ 
	EM_CAR_183,					//Ͳդʽжҳ 
	EM_CAR_184,					//רҵжҳ 
	EM_CAR_185,					//͵ƽжҳ 
	EM_CAR_186,					//þӹҳ 
	EM_CAR_187,					//ᳵ䳵 
	EM_CAR_188,					//ͨҳ 
	EM_CAR_189,					//ͨҳ 
	EM_CAR_190,					//ʽҳ 
	EM_CAR_191,					//͹ʽҳ 
	EM_CAR_192,					//ƽҳ 
	EM_CAR_193,					//ͼװҳ 
	EM_CAR_194,					//жҳ 
	EM_CAR_195,					//ṹҳ 
	EM_CAR_196,					//Ͳդʽҳ 
	EM_CAR_197,					//þӰҳ 
	EM_CAR_198,					//רҵҳ 
	EM_CAR_199,					//͵ƽҳ 
	EM_CAR_200,					//ͳҳ 
	EM_CAR_201,					//͹ʽжҳ 
	EM_CAR_202,					//ƽжҳ 
	EM_CAR_203,					//ͼװжҳ 
	EM_CAR_204,					//ṹжҳ 
	EM_CAR_205,					//Ͳդʽжҳ 
	EM_CAR_206,					//רҵжҳ 
	EM_CAR_207,					//͵ƽжҳ 
	EM_CAR_208,					//þӹҳ 
	EM_CAR_209,					//ᳵ䳵
	EM_CAR_210,					//ͨҳ 
	EM_CAR_211,					//ͨҳ 
	EM_CAR_212,					//ʽҳ 
	EM_CAR_213,					//͹ʽҳ 
	EM_CAR_214,					//ƽҳ 
	EM_CAR_215,					//жҳ 
	EM_CAR_216,					//Ͳդʽҳ 
	EM_CAR_217,					//þӰҳ 
	EM_CAR_218,					//רҵҳ 
	EM_CAR_219,					//͵ƽҳ 
	EM_CAR_220,					//ͳҳ 
	EM_CAR_221,					//͹ʽжҳ 
	EM_CAR_222,					//ƽжҳ 
	EM_CAR_223,					//ͼװжҳ 
	EM_CAR_224,					//ṹжҳ 
	EM_CAR_225,					//Ͳդʽжҳ 
	EM_CAR_226,					//רҵжҳ 
	EM_CAR_227,					//͵ƽжҳ 
	EM_CAR_228,					//þӹҳ 
	EM_CAR_229,					//ᳵ䳵 
	EM_CAR_230,					//ͨҳ
} EM_CAR_TYPE;

// 
typedef enum tagEM_PLATE_TYPE
{
	EM_PLATE_OTHER,					// 
	EM_PLATE_BIG_CAR,				// 
	EM_PLATE_SMALL_CAR,				// С
	EM_PLATE_EMBASSY_CAR,			// ʹ
	EM_PLATE_CONSULATE_CAR,			// 
	EM_PLATE_ABROAD_CAR,			// 
	EM_PLATE_FOREIGN_CAR,			// ⼮
	EM_PLATE_LOW_SPEED_CAR,			// ٳ
	EM_PLATE_COACH_CAR,				// 
	EM_PLATE_MOTORCYCLE,			// Ħг
	EM_PLATE_NEW_POWER_CAR,			// Դ 
	EM_PLATE_POLICE_CAR,			// ó
	EM_PLATE_HONGKONG_MACAO_CAR,	// ۰س 
	EM_PLATE_ARMEDPOLICE_CAR,		// 侯
	EM_PLATE_MILITARY_CAR,			// ӳ
	EM_PLATE_TEMPORARY_LICENSE_FOR_NON_MOTOR_VEHICLES,	  // ǻʱ
	EM_PLATE_OFFICIAL_LICENSE_PLATE_FOR_NON_MOTOR_VEHICLE, // ǻʽ
} EM_PLATE_TYPE;

// ɫ
typedef enum tagEM_CAR_COLOR_TYPE
{
	EM_CAR_COLOR_WHITE,				// ɫ
	EM_CAR_COLOR_BLACK,				// ɫ
	EM_CAR_COLOR_RED,				// ɫ
	EM_CAR_COLOR_YELLOW,			// ɫ
	EM_CAR_COLOR_GRAY,				// ɫ
	EM_CAR_COLOR_BLUE,				// ɫ
	EM_CAR_COLOR_GREEN,				// ɫ
	EM_CAR_COLOR_PINK,				// ɫ
	EM_CAR_COLOR_PURPLE,			// ɫ
	EM_CAR_COLOR_DARK_PURPLE,		// ɫ
	EM_CAR_COLOR_BROWN,				// ɫ
	EM_CAR_COLOR_MAROON,			// ɫ
	EM_CAR_COLOR_SILVER_GRAY,		// ɫ
	EM_CAR_COLOR_DARK_GRAY,			// ɫ
	EM_CAR_COLOR_WHITE_SMOKE,		// ɫ
	EM_CAR_COLOR_DEEP_ORANGE,		// ɫ
	EM_CAR_COLOR_LIGHT_ROSE,		// ǳõɫ
	EM_CAR_COLOR_TOMATO_RED,		// Ѻɫ
	EM_CAR_COLOR_OLIVE,				// ɫ
	EM_CAR_COLOR_GOLDEN,			// ɫ
	EM_CAR_COLOR_DARK_OLIVE,		// ɫ
	EM_CAR_COLOR_YELLOW_GREEN,		// ɫ
	EM_CAR_COLOR_GREEN_YELLOW,		// ̻ɫ
	EM_CAR_COLOR_FOREST_GREEN,		// ɭ
	EM_CAR_COLOR_OCEAN_BLUE,		// 
	EM_CAR_COLOR_DEEP_SKYBLUE,		// 	
	EM_CAR_COLOR_CYAN,				// ɫ
	EM_CAR_COLOR_DEEP_BLUE,			// ɫ
	EM_CAR_COLOR_DEEP_RED,			// ɫ
	EM_CAR_COLOR_DEEP_GREEN,		// ɫ
	EM_CAR_COLOR_DEEP_YELLOW,		// ɫ
	EM_CAR_COLOR_DEEP_PINK,			// ɫ
	EM_CAR_COLOR_DEEP_PURPLE,		// ɫ
	EM_CAR_COLOR_DEEP_BROWN,		// ɫ
	EM_CAR_COLOR_DEEP_CYAN,			// ɫ
	EM_CAR_COLOR_ORANGE,			// ɫ
	EM_CAR_COLOR_DEEP_GOLDEN,		// ɫ
	EM_CAR_COLOR_OTHER	= 255,		// δʶ
} EM_CAR_COLOR_TYPE;

// ʹ
typedef enum tagEM_USE_PROPERTY_TYPE
{
	EM_USE_PROPERTY_NONOPERATING,			// Ӫ
	EM_USE_PROPERTY_HIGWAY,					// ·,ο
	EM_USE_PROPERTY_BUS,					// 
	EM_USE_PROPERTY_TAXI,					// 
	EM_USE_PROPERTY_FREIGHT,				// 
	EM_USE_PROPERTY_LEASE,					// 
	EM_USE_PROPERTY_SECURITY,				// ,,Ȼ,̾
	EM_USE_PROPERTY_COACH,					// 
	EM_USE_PROPERTY_SCHOOLBUS,				// ׶У,СѧУ,У
	EM_USE_PROPERTY_FOR_DANGE_VEHICLE,		// ΣƷ
	EM_USE_PROPERTY_OTHER,					// 
	EM_USE_PROPERTY_ONLINE_CAR_HAILING,		// Լ
	EM_USE_PROPERTY_NON_MOTORIZED_TAKE_OUT_VEHICLE,	// ǻ
	EM_USE_PROPERTY_NON_MOTORIZED_EXPRESS_CAR,		// ǻݳ
} EM_USE_PROPERTY_TYPE;

// RFID ӳƱǩϢ
typedef struct tagNET_RFIDELETAG_INFO
{
	BYTE					szCardID[MAX_RFIDELETAG_CARDID_LEN];			// 
	int						nCardType;										// , 0:ͨطп, 1:³Ԥװ
	EM_CARD_PROVINCE		emCardPrivince;									// ʡ
	char					szPlateNumber[DH_MAX_PLATE_NUMBER_LEN];			// ƺ
	char					szProductionDate[MAX_RFIDELETAG_DATE_LEN];		// 
	EM_CAR_TYPE				emCarType;										// 
	int						nPower;											// ,λǧʱֵΧ0~254255ʾóʴڿɴ洢ֵ
	int						nDisplacement;									// ,λٺֵΧ0~254255ʾóڿɴ洢ֵ
	int						nAntennaID;										// IDȡֵΧ:1~4
	EM_PLATE_TYPE			emPlateType;									// 
	char					szInspectionValidity[MAX_RFIDELETAG_DATE_LEN];	// Чڣ-
	int						nInspectionFlag;								// δ־, 0:, 1:δ
	int						nMandatoryRetirement;							// ǿƱڣӼЧڿʼǿƱڵ
	EM_CAR_COLOR_TYPE		emCarColor;										// ɫ
	int						nApprovedCapacity;								// ˶ؿֵ<0ʱЧֵʾ˶ؿͣλΪ
	int						nApprovedTotalQuality;							// ֵʾλΪǧˣֵ<0ʱЧֵЧΧΪ0~0x3FF0x3FF1023ʾֵ˿ɴ洢ֵ
	NET_TIME_EX				stuThroughTime;									// ʱ
	EM_USE_PROPERTY_TYPE	emUseProperty;									// ʹ
	char					szPlateCode[MAX_COMMON_STRING_8];				// ƴţUTF-8
	char					szPlateSN[MAX_COMMON_STRING_16];				// ƺţUTF-8
	char					szTID[MAX_COMMON_STRING_64];					// ǩ(Ψһʶ), UTF-8
	BYTE               		bReserved[40];		                      		// ֽ,չ.
} NET_RFIDELETAG_INFO;

// ӳƼ¼Ϣ
typedef struct tagNET_RECORD_ELECTRONICSTAG_INFO
{
	DWORD					dwSize;
	int						nRecNo;							// ¼,ֻ
	BOOL					bMatch;							// ǷƥͼƬ
	UINT					unDevID;						// дţ0ʼ
	NET_RFIDELETAG_INFO		stuEleTagInfo;					// ӳƱǩϢ
} NET_RECORD_ELECTRONICSTAG_INFO;

// GPSλü¼Ϣ
typedef struct tagNET_RECORD_GPS_LOCATION_INFO
{
    DWORD           dwSize;                                 // ṹС
    int             nRecNo;                                 // ¼,ֻ
    double          dLongitude;                             // GPS꾭ֵ, λ
    double          dLatitude;                              // GPSγֵ, λ
    char            szPlaceName[128];                       // GPSӦĵ
    char            szRadius[16];                           // 뾶
} NET_RECORD_GPS_LOCATION_INFO;

// ⷿ⻧¼Ϣ
typedef struct tagNET_RECORD_RESIDENT_INFO
{
    DWORD           dwSize;                                 // ṹС
    int             nRecNo;                                 // ¼,ֻ
    char            szResidentName[DH_MAX_USERID_LEN];      // û
    char            szCardNo[DH_MAX_CARDNO_LEN];            // 
    NET_TIME        stuStartTime;                           // Чڿʼʱ
    NET_TIME        stuEndTime;                             // Чڽֹʱ
    char 			szICNum[DH_MAX_IC_LEN];					// ֤
}NET_RECORD_RESIDENT_INFO;

// ݼ¼Ϣ
typedef struct tagNET_RECORD_SENSOR_RECORD
{
	DWORD						dwSize;                                 // ṹС
	UINT						uRecNo;                                 // ¼,ֻ
	NET_TIME					stuTime;								// ɼʱ, ֶΪ"time" 
	UINT						uDeviceID;                              // ɼ豸ID, 8λʾǱͣ24λʾǱšǱ£0- 1-ģ⴫
	BYTE						byStatus;                               // ״̬, 0:,1:쳣
	BYTE						byExceptionCode;                        // 쳣״̬룬ǱStatus =1ʱЧ
	// 豸ΪʱΪ:Bit0-Ƿѹ,Bit1-ѹ,Bit2-Ƿ,Bit3-,Bit4-״̬Ч״̬ͬʱλ
	BYTE						bySwitchOn;								// ,0أ1:
	BYTE						byReserved;                             // ֽ
	int							nPowerVoltage;                          // ѹ,λmV
	int							nPowerCurrent;                          // ,λmA
	int							nPowerValue;							// ,λmW
	BYTE						byReservedSpace[4];                     // ֽ							
	double						dActualValue;							// ģʹáֵģǱ
	char			            szName[128];							// Ǳ
	NET_SENSE_METHOD			emSenseMethod;						    // SenseMethod, Ӧʽ,μöٶ
	EM_SENSE_METHOD_UNIT		emUnit;							        // λ, 嵥λemSenseMethodй
} NET_RECORD_SENSOR_RECORD;

//Ŷά¼Ϣ
typedef struct tagNET_RECORD_ACCESSQRCODE_INFO
{
	DWORD                       dwSize;                                 // ṹС
	int                         nRecNo;                                 // ¼,ֻ
	char						szQRCode[DH_MAX_QRCODE_LEN];            // ά
	UINT						nLeftTimes;                             // ʣЧ
	NET_TIME        			stuStartTime;                           // Чڿʼʱ
    NET_TIME        			stuEndTime;                             // Чڽֹʱ
    char                        szRoomNumber[16];                       // 
}NET_RECORD_ACCESSQRCODE_INFO;

//ż¼Ϣ
typedef struct tagNET_RECORD_ACCESS_BLUETOOTH_INFO
{
    DWORD                       dwSize;                                 // ṹС
    int                         nRecNo;                                 // ¼,ֻ
    char						szUserName[DH_COMMON_STRING_128];       // û
    char						szPassword[DH_COMMON_STRING_128];       // 
    char        			    szMac[DH_COMMON_STRING_32];             // macַ
    char        			    szNote[DH_COMMON_STRING_128];           // ûעϢ
}NET_RECORD_ACCESS_BLUETOOTH_INFO;

// ż¼Ϣѯ
typedef struct tagFIND_RECORD_ACCESS_BLUETOOTH_INFO_CONDITION
{
    DWORD					dwSize;
    char					szUserName[DH_COMMON_STRING_128];           // û
} FIND_RECORD_ACCESS_BLUETOOTH_INFO_CONDITION;

// 
typedef enum tagEM_RECORD_ACCESS_ALARM_TYPE
{
    EM_RECORD_ACCESS_ALARM_TYPE_UNKNOWN,                                // δ֪
    EM_RECORD_ACCESS_ALARM_TYPE_DOOR_NOTCLOSE,                          // δ
    EM_RECORD_ACCESS_ALARM_TYPE_BREAK_IN,                               // 
    EM_RECORD_ACCESS_ALARM_TYPE_REPEAT_ENTER,                           // Ǳ
    EM_RECORD_ACCESS_ALARM_TYPE_DURESS,                                 // в
    EM_RECORD_ACCESS_ALARM_TYPE_ALARMLOCAL,                             // 
    EM_RECORD_ACCESS_ALARM_TYPE_CHASSIS_INTRUDED,                       // 
}EM_RECORD_ACCESS_ALARM_TYPE;

// Ž¼Ϣ
typedef struct tagNET_RECORD_ACCESS_ALARMRECORD_INFO
{
    DWORD                       dwSize;                                  // ṹС
    int                         nRecNo;                                  // ¼,ֻ
    char					    szUserID[DH_COMMON_STRING_128];          // ûID
    EM_RECORD_ACCESS_ALARM_TYPE emAlarmType;                             // 
    int                         nDevAddress;                             // ֿID,0 ʾпֱ豸 0 ʾֿ
    int                         nChannel;                                // ͨ
    NET_TIME                    stuTime;                                 // ¼ʱ
}NET_RECORD_ACCESS_ALARMRECORD_INFO;

typedef struct tagFIND_NET_RECORD_ACCESS_ALARMRECORD_INFO_CONDITION
{   
    DWORD					    dwSize;
    char					    szUserID[DH_COMMON_STRING_128];          // ûID
    NET_TIME                    stStartTime;                             // ʼʱ
    NET_TIME                    stEndTime;                               // ʱ
}FIND_NET_RECORD_ACCESS_ALARMRECORD_INFO_CONDITION;

// 
typedef enum tagEM_VIDEO_TALK_LOG_CALLTYPE
{
    EM_VIDEO_TALK_LOG_CALLTYPE_UNKNOWN = 0,         // δ֪
    EM_VIDEO_TALK_LOG_CALLTYPE_INCOMING,            // 
    EM_VIDEO_TALK_LOG_CALLTYPE_OUTGOING,            // 
    EM_VIDEO_TALK_LOG_CALLTYPE_MAX,                 //
}EM_VIDEO_TALK_LOG_CALLTYPE;

// ״̬
typedef enum tagEM_VIDEO_TALK_LOG_ENDSTATE
{
    EM_VIDEO_TALK_LOG_ENDSTATE_UNKNOWN = 0,         // δ֪
    EM_VIDEO_TALK_LOG_ENDSTATE_MISSED,              // δ
    EM_VIDEO_TALK_LOG_ENDSTATE_RECEIVED,            // ѽ
    EM_VIDEO_TALK_LOG_ENDSTATE_MAX,                 //
}EM_VIDEO_TALK_LOG_ENDSTATE;

// Է
typedef enum tagEM_VIDEO_TALK_LOG_PEERTYPE
{
    EM_VIDEO_TALK_LOG_PEERTYPE_UNKNOWN = 0,         // δ֪
    EM_VIDEO_TALK_LOG_PEERTYPE_VTO,                 // ſڻ
    EM_VIDEO_TALK_LOG_PEERTYPE_VTH,                 // ڻ
    EM_VIDEO_TALK_LOG_PEERTYPE_VTS,                 // 
}EM_VIDEO_TALK_LOG_PEERTYPE;


//¼ǷѾ
typedef enum tagNET_RECORD_READFLAG
{
	NET_RECORD_READFLAG_UNREADED = 0, //δ
	NET_RECORD_READFLAG_READED,	    //Ѷ
	NET_RECORD_READFLAG_UNKNOWN,      //δ֪
}NET_RECORD_READFLAG;

// ƽ̨
typedef enum tagNET_EM_OFFLINE_CALL_TYPE
{
	NET_EM_OFFLINE_CALL_UNKNOWN = -1,			// δ֪
	NET_EM_OFFLINE_CALL_ONLINECALL,				// ߺ
	NET_EM_OFFLINE_CALL_OFFLINECALL,			// ߺ
	NET_EM_OFFLINE_CALL_NONE = 255,				// 
}NET_EM_OFFLINE_CALL_TYPE;
// ͨ¼¼Ϣ
typedef struct tagNET_RECORD_VIDEO_TALK_LOG
{
    DWORD                           dwSize;
    int                             nRecNo;                             // ¼,ֻ
    NET_TIME                        stuCreateTime;                      // ʼʱ
    EM_VIDEO_TALK_LOG_CALLTYPE      emCallType;                         // 
    EM_VIDEO_TALK_LOG_ENDSTATE      emEndState;                         // ״̬
    char                            szPeerNumber[DH_COMMON_STRING_64];  // Է Ƕ̺,кŻ򳤺
    EM_VIDEO_TALK_LOG_PEERTYPE      emPeerType;                         // Է
    char                            szLocalNumber[DH_COMMON_STRING_64]; //  Ƕ̺,кŻ򳤺
    int                             nTalkTime;                          // ͨʱ λ
    int                             nMessageTime;                       // ʱ λ
    char                            szPicturePath[DH_COMMON_STRING_128];// Ƭ·
	NET_EM_OFFLINE_CALL_TYPE		emOfflineCall;						// ƽ̨Ƿ
}NET_RECORD_VIDEO_TALK_LOG;

// Խ״̬
typedef enum tagEM_REGISTER_USER_STATE
{
    EM_REGISTER_USER_STATE_UNKNOWN = 0,         // δ֪
    EM_REGISTER_USER_STATE_IDLE,                // ʼ״̬
    EM_REGISTER_USER_STATE_CALLING,             // ״̬ԷδӦ
    EM_REGISTER_USER_STATE_RINGING,             // ״̬ԷӦ,ûн
    EM_REGISTER_USER_STATE_PREVIEWING,          // Ԥ
    EM_REGISTER_USER_STATE_LEAVINGMESSAGE,      // 
    EM_REGISTER_USER_STATE_TALKING,             // ͨ
    EM_REGISTER_USER_STATE_MAX,                 //
}EM_REGISTER_USER_STATE;

// 豸
typedef enum tagEM_REGISTER_USER_STATE_DEV_TYPE
{
    EM_REGISTER_USER_STATE_DEV_TYPE_UNKNOWN = 0,            // δ֪
    EM_REGISTER_USER_STATE_DEV_TYPE_DIGIT_VTH,              // VTH
    EM_REGISTER_USER_STATE_DEV_TYPE_ANALOG_VTH,             // ģVTH
    EM_REGISTER_USER_STATE_DEV_TYPE_DIGIT_VTO,              // VTO
    EM_REGISTER_USER_STATE_DEV_TYPE_ANALOG_VTO,             // ģVTO
    EM_REGISTER_USER_STATE_DEV_TYPE_MAX,                    //
}EM_REGISTER_USER_STATE_DEV_TYPE;

// Ƿ֧
typedef enum tagEM_REGISTER_USER_STATE_SUPPORTLOCK_TYPE
{
    EM_REGISTER_USER_STATE_SUPPORTLOCK_TYPE_UNKNOWN = 0,                // δ֪
    EM_REGISTER_USER_STATE_SUPPORTLOCK_TYPE_SUPPORTLOCK,                // ֧
    EM_REGISTER_USER_STATE_SUPPORTLOCK_TYPE_NOT_SUPPORTLOCK,            // ֧
}EM_REGISTER_USER_STATE_SUPPORTLOCK_TYPE;

typedef enum tagNET_MONITORSTATE_TYPE
{
	NET_MONITORSTATE_TYPE_UNMONITORED = 0,		// 0 δӣʼ״̬
	NET_MONITORSTATE_TYPE_MONITORREQUEST,		// 1 յ
	NET_MONITORSTATE_TYPE_MONITORED,			// 2 ״̬
	NET_MONITORSTATE_TYPE_UNKNOWN,				// δ֪״̬
}NET_MONITORSTATE_TYPE;


// ״̬¼¼Ϣ
typedef struct tagNET_RECORD_REGISTER_USER_STATE
{
    DWORD                                   dwSize;
    int                                     nRecNo;                             // ¼,ֻ
    NET_TIME                                stuCreateTime;                      // ʱ
    char                                    szUserID[DH_MAX_USERID_LEN];       // ûID
    BOOL                                    bOnline;                            // Ƿ
    char                                    szAddress[DH_MAX_IPADDR_OR_DOMAIN_LEN];     // ַ
    int                                     nPort;                              // ˿ں
    EM_REGISTER_USER_STATE                  emVideoTalkState;                   // Խ״̬
    NET_TIME                                stuOnlineTime;                      // ʱ
    NET_TIME                                stuOfflineTime;                     // ʱ
    EM_REGISTER_USER_STATE_DEV_TYPE         emDevType;                          // 豸
    EM_REGISTER_USER_STATE_SUPPORTLOCK_TYPE emSupportLock;                      // Ƿ֧
	NET_MONITORSTATE_TYPE					emMonitorState;						// ״̬
}NET_RECORD_REGISTER_USER_STATE;

// ӶԽģڻʱģʽ
typedef enum tagEM_VIDEO_TALK_CONTACT_VTSLAVEBINDMODE
{
    EM_VIDEO_TALK_CONTACT_VTSLAVEBINDMODE_UNKNOWN,              // δ֪
    EM_VIDEO_TALK_CONTACT_VTSLAVEBINDMODE_SLAVEADDRESS,         // ͨSlaveAddress
    EM_VIDEO_TALK_CONTACT_VTSLAVEBINDMODE_SLAVEID_SLAVEPORT,    // ͨSlaveID+SlavePort
}EM_VIDEO_TALK_CONTACT_VTSLAVEBINDMODE;

// û
typedef enum tagEM_VIDEO_TALK_CONTACT_TYPE
{
    EM_VIDEO_TALK_CONTACT_TYPE_UNKNOWN,             // δ֪
    EM_VIDEO_TALK_CONTACT_TYPE_VTH,                 // "VTH" ڻ
    EM_VIDEO_TALK_CONTACT_TYPE_VTO,                 // "VTO" ſڻ
}EM_VIDEO_TALK_CONTACT_TYPE;

// ע᷽ʽ
typedef enum tagEM_VIDEO_TALK_CONTACT_REGISTER_TYPE
{
    EM_VIDEO_TALK_CONTACT_REGISTER_TYPE_UNKNOWN,                // δ֪
    EM_VIDEO_TALK_CONTACT_REGISTER_TYPE_PUBLIC,                 // "public"
    EM_VIDEO_TALK_CONTACT_REGISTER_TYPE_LOCAL,                  // "local"
}EM_VIDEO_TALK_CONTACT_REGISTER_TYPE;

// ϵ˼¼¼Ϣ
typedef struct tagNET_RECORD_VIDEO_TALK_CONTACT
{
    DWORD                                   dwSize;
    int                                     nRecNo;                                 // ¼,ֻ
    NET_TIME                                stuCreateTime;                          // ʱ
    char                                    szFirstName[DH_COMMON_STRING_32];       // 
    char                                    szFamilyName[DH_COMMON_STRING_32];      // 
    char                                    szVTShortNumber[DH_COMMON_STRING_16];   // ӶԽ̺
    char                                    szVTMiddleNumber[DH_COMMON_STRING_32];  // ӶԽк
    char                                    szVTLongNumber[DH_COMMON_STRING_64];    // ӶԽ,VTHģڻк
    char                                    szVTNetAddress[DH_MAX_IPADDR_LEN_EX];   // ӶԽַ
    char                                    szVTOPosition[DH_COMMON_STRING_64];     // ڻſڻλ
    EM_VIDEO_TALK_CONTACT_VTSLAVEBINDMODE   emVTSlaveBindMode;                      // ӶԽģڻʱģʽ
    char                                    szVTSlaveId[DH_COMMON_STRING_32];       // ֶѷ,ʹ nVTSlaveId
    char                                    szVTSlavePort[DH_COMMON_STRING_32];     // ֶѷ,ʹ nVTSlavePort
    char                                    szVTSlaveAddress[DH_COMMON_STRING_64];  // ӶԽģڻĵַ
    char                                    szNickname[DH_COMMON_STRING_64];        // ǳ
    char                                    szNotes[DH_COMMON_STRING_64];           // ע
    EM_VIDEO_TALK_CONTACT_TYPE              emType;                                 // û
    EM_VIDEO_TALK_CONTACT_REGISTER_TYPE     emRegisterType;                         // ע᷽ʽ
    char                                    szVTHPassword[DH_COMMON_STRING_64];     // ע
    char                                    szVTOBuilding[DH_COMMON_STRING_64];     // 
    char                                    szVTOUnit[DH_COMMON_STRING_64];         // Ԫ
    char                                    szGroupNumber[DH_COMMON_STRING_64];     // Ⱥ
    int                                     nVTSlaveId;                             // ӶԽģڻʱķַ
    int                                     nVTSlavePort;                           // ӶԽģڻʱķ˿
}NET_RECORD_VIDEO_TALK_CONTACT;

//״̬
typedef enum tagNET_ANNOUNCE_STATE
{
	NET_ANNOUNCE_STATE_UNSENDED = 0, //ʼ״̬(δ)
	NET_ANNOUNCE_STATE_SENDED,		//Ѿ
	NET_ANNOUNCE_STATE_EXPIRED,		//Ѿ
	NET_ANNOUNCE_STATE_UNKNOWN,		//δ֪
}NET_ANNOUNCE_STATE;

//ǷѾ
typedef enum tagNET_ANNOUNCE_READFLAG
{
	NET_ANNOUNCE_READFLAG_UNREADED = 0, //δ
	NET_ANNOUNCE_READFLAG_READED,	    //Ѷ
	NET_ANNOUNCE_READFLAG_UNKNOWN,      //δ֪
}NET_ANNOUNCE_READFLAG;

//¼Ϣ
typedef struct tagNET_RECORD_ANNOUNCEMENT_INFO
{
	DWORD									dwSize;									
	int										nRecNo;									// ¼,ֻ
	NET_TIME                                stuCreateTime;                          // ʱ
	NET_TIME								stuIssueTime;							// 淢ʱ
	char									szAnnounceTitle[DH_COMMON_STRING_64];	// 
	char									szAnnounceContent[DH_COMMON_STRING_256];	//
	char									szAnnounceDoor[DH_COMMON_STRING_16];	//Ҫ͵ķ
	NET_TIME								stuExpireTime;							//ڵʱ
	NET_ANNOUNCE_STATE						emAnnounceState;						//״̬
	NET_ANNOUNCE_READFLAG					emAnnounceReadFlag;						//ǷѾ
}NET_RECORD_ANNOUNCEMENT_INFO;


// ¼Ϣѯ
typedef struct tagFIND_RECORD_ANNOUNCEMENT_CONDITION
{
	DWORD                     dwSize;
	BOOL                      bTimeEnable;                      // ʱβѯ
	NET_TIME                  stStartTime;                      // ʼʱ
	NET_TIME                  stEndTime;                        // ʱ
}FIND_RECORD_ANNOUNCEMENT_CONDITION;


//¼Ϣ
typedef struct tagNET_RECORD_ALARMRECORD_INFO
{
	DWORD									dwSize;
	int										nRecNo;									// ¼,ֻ
	NET_TIME                                stuCreateTime;							// ʱ,UTC,ֻ
	int										nChannelID;								// ͨ
	NET_SENSE_METHOD						emSenseMethod;							// Ӧʽ
	char									szRoomNumber[DH_MAX_DOOR_NUM];			//  
	NET_ANNOUNCE_READFLAG					emReadFlag;								//0δ1Ѷ
}NET_RECORD_ALARMRECORD_INFO;

//¼Ϣѯ
typedef struct tagFIND_RECORD_ALARMRECORD_CONDITION
{
	DWORD                     dwSize;
	BOOL                      bTimeEnable;                      // ʱβѯ
	NET_TIME                  stStartTime;                      // ʼʱ
	NET_TIME                  stEndTime;                        // ʱ
}FIND_RECORD_ALARMRECORD_CONDITION;


// Žδ¼ϸϢ
typedef struct tagALARM_ACCESS_CTL_NOT_CLOSE_INFO 
{
    DWORD           dwSize;
    int             nDoor;                                  // ͨ
    char            szDoorName[DH_MAX_DOORNAME_LEN];        // Ž
    NET_TIME        stuTime;                                // ¼ʱ
    int             nAction;                                // 0:ʼ 1:ֹͣ    
    UINT 		    nEventID;				                //¼ID
}ALARM_ACCESS_CTL_NOT_CLOSE_INFO;

// 뷽ʽ
typedef enum tagEM_BREAK_IN_METHOD
{
    EM_BREAK_IN_METHOD_UNKNOWN,                             // δ֪
    EM_BREAK_IN_METHOD_ILLEGAL,                             // Ƿ:δȨʱ
    EM_BREAK_IN_METHOD_REVERSE,                             // :Ȩſ,˽
} EM_BREAK_IN_METHOD;

// ¼ϸϢ
typedef struct tagALARM_ACCESS_CTL_BREAK_IN_INFO 
{
    DWORD           dwSize;
    int             nDoor;                                  // ͨ
    char            szDoorName[DH_MAX_DOORNAME_LEN];        // Ž
    NET_TIME        stuTime;                                // ¼ʱ    
    UINT 			nEventID;				                //¼ID
    EM_BREAK_IN_METHOD   emMethod;                          // 뷽ʽ
    BYTE            reserved[4];                            // ֽڶ
}ALARM_ACCESS_CTL_BREAK_IN_INFO;


// ¼ϸϢ
typedef struct tagALARM_ACCESS_CTL_REPEAT_ENTER_INFO 
{
    DWORD           dwSize;
    int             nDoor;                                  // ͨ
    char            szDoorName[DH_MAX_DOORNAME_LEN];        // Ž
    NET_TIME        stuTime;                                // ¼ʱ
    char            szCardNo[DH_MAX_CARDNO_LEN];            //     
    UINT 			nEventID;				                //¼ID
}ALARM_ACCESS_CTL_REPEAT_ENTER_INFO;


// вȿˢ¼ϸϢ
typedef struct tagALARM_ACCESS_CTL_DURESS_INFO 
{
    DWORD           dwSize;
    int             nDoor;                                  // ͨ
    char            szDoorName[DH_MAX_DOORNAME_LEN];        // Ž
    char            szCardNo[DH_MAX_CARDNO_LEN];            // вȿ
    NET_TIME        stuTime;                                // ¼ʱ    
    UINT 			nEventID;				                // ¼ID
    char            szSN[32];                               // 豸к
	char			szUserID[12];							// ûID
}ALARM_ACCESS_CTL_DURESS_INFO;


// Ž¼
typedef enum tagNET_ACCESS_CTL_EVENT_TYPE
{
    NET_ACCESS_CTL_EVENT_UNKNOWN = 0,
    NET_ACCESS_CTL_EVENT_ENTRY,                             // 
    NET_ACCESS_CTL_EVENT_EXIT,                              // 
}NET_ACCESS_CTL_EVENT_TYPE;

// ǰŲɼ״̬
typedef enum tagEM_CARD_STATE
{
	EM_CARD_STATE_UNKNOWN = -1,			// δ֪
	EM_CARD_STATE_SWIPE,				// Žˢ
	EM_CARD_STATE_COLLECTION,			// Žɼ
}EM_CARD_STATE;

// ݿطʽ
typedef enum tagEM_LIFT_CALLER_TYPE
{
	EM_LIFT_CALLER_TYPE_UNKNOWN = 0,	// δ֪
	EM_LIFT_CALLER_TYPE_VTO,			// VTO 
	EM_LIFT_CALLER_TYPE_PLATFORM,		// ƽ̨
	EM_LIFT_CALLER_TYPE_LOCAL_AUTH,		// Ȩ
}EM_LIFT_CALLER_TYPE;


// Ž¼
typedef struct tagALARM_ACCESS_CTL_EVENT_INFO 
{
    DWORD                       dwSize;
    int                         nDoor;                              // ͨ
    char                        szDoorName[DH_MAX_DOORNAME_LEN];    // Ž
    NET_TIME                    stuTime;                            // ¼ʱ
    NET_ACCESS_CTL_EVENT_TYPE   emEventType;                        // Ž¼
    BOOL                        bStatus;                            // ˢ,TRUEʾɹ,FALSEʾʧ
    NET_ACCESSCTLCARD_TYPE      emCardType;                         // 
    NET_ACCESS_DOOROPEN_METHOD  emOpenMethod;                       // ŷʽ
    char                        szCardNo[DH_MAX_CARDNO_LEN];        // 
    char                        szPwd[DH_MAX_CARDPWD_LEN];          // 
    char                        szReaderID[DH_COMMON_STRING_32];    // ŶID
    char                        szUserID[DH_COMMON_STRING_64];      // û
    char                        szSnapURL[DH_COMMON_STRING_256];    // ץƬ洢ַ
    int                         nErrorCode;                         // ʧܵԭ,bStatusΪFALSEʱЧ
                                                                    // 0x00 ûд
                                                                    // 0x10 δȨ
                                                                    // 0x11 ʧע
                                                                    // 0x12 ûиȨ
                                                                    // 0x13 ģʽ
                                                                    // 0x14 Чڴ
                                                                    // 0x15 Ǳģʽ
                                                                    // 0x16 вȱδ
                                                                    // 0x17 ų״̬
                                                                    // 0x18 AB״̬
                                                                    // 0x19 Ѳ߿
                                                                    // 0x1A 豸ڴ뱨״̬
                                                                    // 0x20 ʱδ
                                                                    // 0x21 ڿʱδ
                                                                    // 0x30 Ҫ֤׿Ȩ޵ĿƬ
                                                                    // 0x40 Ƭȷ,
                                                                    // 0x41 Ƭȷ,볬ʱ
                                                                    // 0x42 Ƭȷ,ָƴ
                                                                    // 0x43 Ƭȷ,ָƳʱ
                                                                    // 0x44 ָȷ,
                                                                    // 0x45 ָȷ,볬ʱ
                                                                    // 0x50 Ͽ˳
                                                                    // 0x51 ϿҪ֤
                                                                    // 0x60 ֤ͨ,̨δȨ
                                                                    // 0x61 Ƭȷ,
                                                                    // 0x62 Ƭȷ,ʱ
                                                                    // 0x63 ظ
                                                                    // 0x64 δȨ,Ҫƽ̨ʶ
																	// 0xA8 δȫñƣ
    int                         nPunchingRecNo;                     // ˢ¼еļ¼
	int							nNumbers;							// ץͼ
    NET_ACCESSCTLCARD_STATE     emStatus;		                    // ״̬ 
    char                        szSN[32];                           // к
    NET_ATTENDANCESTATE         emAttendanceState;                  // ״̬
    char                        szQRCode[512];                      // ά
    char                        szCallLiftFloor[16];				// ¥
	EM_CARD_STATE				emCardState;							// ǷΪɼƬ
	char						szCitizenIDNo[20];					// ֤
	char				        szCompanionCards[MAX_COMPANION_CARD_NUM][DH_MAX_CARDINFO_LEN];    // ͬ߿Ϣ
	int				            nCompanionCardCount;				// ͬ߿Ÿ
	EM_HAT_STYLE				emHatStyle;							// ñ
	EM_UNIFIED_COLOR_TYPE		emHatColor;							// ñɫ
	EM_LIFT_CALLER_TYPE			emLiftCallerType;					// ݿطʽ
}ALARM_ACCESS_CTL_EVENT_INFO;

typedef enum tagEM_NET_RECORD_COMMODITY_NOTICE_SOURCE_TYPE
{
    EM_NET_RECORD_COMMODITY_NOTICE_SOURCE_TYPE_UNKNOWN,        // δ֪
    EM_NET_RECORD_COMMODITY_NOTICE_SOURCE_TYPE_SUPERMARKET,    // 
    EM_NET_RECORD_COMMODITY_NOTICE_SOURCE_TYPE_RESTAURANT,     // 
    EM_NET_RECORD_COMMODITY_NOTICE_SOURCE_TYPE_FRUITSTORE,     // ˮ
}EM_NET_RECORD_COMMODITY_NOTICE_SOURCE_TYPE;

typedef enum tagEM_NET_RECORD_COMMODITY_NOTICE_BARGAIN_TYPE
{
    EM_NET_RECORD_COMMODITY_NOTICE_BARGAIN_TYPE_UNKNOWN,        // δ֪
    EM_NET_RECORD_COMMODITY_NOTICE_BARGAIN_TYPE_YES,            // ؼ
    EM_NET_RECORD_COMMODITY_NOTICE_BARGAIN_TYPE_NO,             // ؼ
}EM_NET_RECORD_COMMODITY_NOTICE_BARGAIN_TYPE;

// ·Ʒ¼¼Ϣ
typedef struct tagNET_RECORD_COMMODITY_NOTICE
{
    DWORD                                           dwSize;
    int                                             nRecNo;                                 // ¼,ֻ
    NET_TIME                                        stuSaleTime;                            // Ʒϼʱ
    char                                            szName[DH_COMMON_STRING_128];           // Ʒ
    EM_NET_RECORD_COMMODITY_NOTICE_SOURCE_TYPE      emSource;                               // Ʒ
    char                                            szURL[DH_COMMON_STRING_256];            // ƷͼƬ·, ftp ·
    float                                           fPrice;                                 // Ʒ۸, λԪ float
    char                                            szID[DH_COMMON_STRING_64];              // ID,ƽ̨ͳһ	һֻƷΨһIDʶ
    EM_NET_RECORD_COMMODITY_NOTICE_BARGAIN_TYPE     emBargain;                              // ǷؼƷ
}NET_RECORD_COMMODITY_NOTICE;


typedef enum tagEM_NET_RECORD_HEALTH_CARE_NOTICE_OFFICE_TYPE
{
    EM_NET_RECORD_HEALTH_CARE_NOTICE_OFFICE_TYPE_UNKNOWN,           // δ֪
    EM_NET_RECORD_HEALTH_CARE_NOTICE_OFFICE_TYPE_DIGEST,            // 
    EM_NET_RECORD_HEALTH_CARE_NOTICE_OFFICE_TYPE_STOMATOLOGY,       // ǻ
}EM_NET_RECORD_HEALTH_CARE_NOTICE_OFFICE_TYPE;

// Ϣ¼¼Ϣ
typedef struct tagNET_RECORD_HEALTH_CARE_NOTICE
{
    DWORD                                           dwSize;
    int                                             nRecNo;                                 // ¼,ֻ
    NET_TIME                                        stuStartTime;                           // ϰʱ
    NET_TIME                                        stuEndTime;                             // °ʱ
    char                                            szHospital[DH_COMMON_STRING_128];       // ҽԺ
    EM_NET_RECORD_HEALTH_CARE_NOTICE_OFFICE_TYPE    emOffice;                               // 
    char                                            szOfficeNumber[DH_COMMON_STRING_64];    // Һ
    char                                            szDoctorName[DH_COMMON_STRING_128];     // ҽ
    char                                            szID[DH_COMMON_STRING_64];              // ID,ƽ̨ͳһ	һֻƷΨһIDʶ
}NET_RECORD_HEALTH_CARE_NOTICE;

///////////////////////// ܽͨ¼[CLIENT_StartListenEx] /////////////////////////////////////

//¼ DH_IVS_TRAFFIC_REALFLOWINFO(ͨʵʱϢ¼)ӦݿϢ
typedef struct tagALARM_IVS_TRAFFIC_REALFLOW_INFO
{
    int                 nChannelID;                     // ͨ
    char                szName[128];                    // ¼
    char                bReserved1[4];                  // ֽڶ
    double              PTS;                            // ʱ(λǺ)
    NET_TIME_EX         UTC;                            // ¼ʱ
    int                 nEventID;                       // ¼ID
    unsigned int        nSequence;                      // 
    BYTE                bEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[3];
    int                 nLane;                          // Ӧ
    int                 nCount;                         // 
    int                 nSpeed;                         // ,km/h
    int                 nOverPercent;                   // ƽٰٷֱ
    int                 nMetersUints;                   // ٶȵλ,0,1Ӣ
    BYTE                bReserved[1024];                // ֽ,չ.
}ALARM_IVS_TRAFFIC_REALFLOW_INFO;

//¼ DH_YUEQINGLIGHTING_STATE_EVENT(ƽ̨ͳƵƹ⿪صʱ¼)ӦݿϢ 
typedef struct tagDEV_YUEQINGLIGHTING_STATE_INFO
{
	DWORD               dwAction;                       // ¼, 0:ʼ, 1:
	int                 nChannelID;                     // ͨ
	NET_TIME_EX         UTC;							// ¼ʱ 
	BYTE                bReserved[1024];                // ֽ,չ.
}DEV_YUEQINGLIGHTING_STATE_INFO;

// ¼ DH_ALARM_VEHICLE_TURNOVER(෭¼)ӦϢ
typedef struct tagALARM_VEHICEL_TURNOVER_EVENT_INFO
{
    NET_GPS_STATUS_INFO stGPSStatusInfo;                // GPSϢ
    BYTE                bEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byRserved[3];                   // 
    NET_TIME_EX         UTC;							// ¼ʱ
    BYTE                bReserved[984];                // ֽ,չ.
}ALARM_VEHICEL_TURNOVER_EVENT_INFO;

// ¼DH_ALARM_VEHICLE_COLLISION(ײ¼)ӦϢ
typedef struct tagALARM_VEHICEL_COLLISION_EVENT_INFO
{
    NET_GPS_STATUS_INFO stGPSStatusInfo;                // GPSϢ
    BYTE                bEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byRserved[3];                   // 
    NET_TIME_EX         UTC;							// ¼ʱ
    BYTE                bReserved[984];                 // ֽ,չ.
}ALARM_VEHICEL_COLLISION_EVENT_INFO;

// ¼DH_ALARM_VEHICLE_CONFIRM(ϴϢ¼)ӦϢ
typedef struct tagALARM_VEHICEL_CONFIRM_INFO
{
    DWORD               dwStructSize;                   // ṹС
    NET_GPS_STATUS_INFO stGPSStatusInfo;                // GPSϢ
    BYTE                bEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byRserved[3];                   // 
    char                szInfo[128];                    // ϴϢ
}ALARM_VEHICEL_CONFIRM_INFO;

//¼DH_EVENT_REGISTER_OFF(豸¼)ӦϢ
typedef struct tagEVENT_REGISTER_OFF_INFO
{
    DWORD               dwStructSize;                   // ṹС
    NET_GPS_STATUS_INFO stGPSStatusInfo;                // GPSϢ
    BYTE                bEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byRserved[3];                   // 
}EVENT_REGISTER_OFF_INFO;

// ¼DH_ALARM_VIDEO_TIMING(Ƶʱ¼)ӦϢ
typedef struct tagALARM_VIDEO_TIMING
{
    DWORD               dwStructSize;                   // ṹС
    DWORD               dwAction;                       // ¼, 0:Pause, 1:Start, 2:Stop
    DWORD               dwChannelID;                    // Ƶͨ
}ALARM_VIDEO_TIMING;

// ¼DH_ALARM_VEHICLE_LARGE_ANGLE(ͷǶŤת¼)ӦϢ
typedef struct tagALARM_VEHICEL_LARGE_ANGLE
{
    DWORD               dwStructSize;                   // ṹС
    NET_GPS_STATUS_INFO stGPSStatusInfo;                // GPSϢ
    BYTE                bEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byRserved[3];                   // 
    unsigned int        nSequence;                      // 
}ALARM_VEHICEL_LARGE_ANGLE;

// ¼DH_ALARM_AUDIO_ANOMALY(Ƶ쳣¼)ӦϢ
typedef struct tagALARM_AUDIO_ANOMALY
{
    DWORD               dwStructSize;                   // ṹС
    DWORD               dwAction;                       // ¼, 0:Start, 1:Stop
    DWORD               dwChannelID;                    // Ƶͨ

    int                 nDecibel;                       // ǿ
    int                 nFrequency;                     // Ƶ
}ALARM_AUDIO_ANOMALY;

// ¼DH_ALARM_AUDIO_MUTATION(ǿͻ¼)ӦϢ
typedef struct tagALARM_AUDIO_MUTATION
{
    DWORD               dwStructSize;                   // ṹС
    DWORD               dwAction;                       // ¼, 0:Start, 1:Stop
    DWORD               dwChannelID;                    // Ƶͨ
}ALARM_AUDIO_MUTATION;

// ¼ DH_ALARM_AUDIO_DETECT (Ƶ¼)ӦϢ
typedef struct tagALARM_AUDIO_DETECT
{
    DWORD               dwAction;                       // ¼, 1:Start, 2:Stop
    DWORD               dwChannelID;                    // Ƶͨ
    char                reserved[512];                  // 
} ALARM_AUDIO_DETECT;

#define MAX_SENSORID_NUMBER 20                          // 
#define MAX_TYRE_NUM        128                         // ̥
// ̥澯־λӦö
typedef enum tagAlarmTyreFlag
{
    ALARM_TYRE_FLAG_NONE,                               // Ч
    ALARM_TYRE_FLAG_NORMAL,                             // 
    ALARM_TYRE_FLAG_HIGHPRESSURE,                       // ѹ
    ALARM_TYRE_FLAG_LOWERPRESSURE,                      // ѹ
    ALARM_TYRE_FLAG_HIGHTEMP,                           // 
    ALARM_TYRE_FLAG_HIGHTEMP_HIGHPRESSURE,              // ¡ѹ
    ALARM_TYRE_FLAG_HIGHTEMP_LOWERPRESSURE,             // ¡ѹ

    ALARM_TYRE_FLAG_INVALID,                            // Ƿı־λ
}EM_ALARM_TYER_FALG;

// ̥Ϣṹ
typedef struct tagTYRE_INFO_UNIT
{
    DWORD               dwStructSize;                    // ṹС
    DWORD               dwSensorIDNum;                   // 
    DWORD               dwSensorID[MAX_SENSORID_NUMBER]; // IDϢ
    DWORD               dwTyreNum;                       // ̥λ
    DWORD               dwTyrePlace;                     // ̥λڵڼ

    EM_ALARM_TYER_FALG  emAlarmFlag;                     // ̥澯־λ

    int                 nTemp;                           // ¶,λ
    int                 nTempLimit;                      // ¶,λ

    float               fPressure;                       // ѹ,λKpa
    float               fUpperLimit;                     // 澯ѹֵ,λKpa
    float               fLowerLimit;                     // 澯ѹֵ,λKpa
    float               fVoltage;                        // ǰĴѹ,λ V
}TYRE_INFO_UNIT;

// ¼DH_EVENT_TYREINFO(̥Ϣϱ¼)ӦϢ
typedef struct tagEVENT_TYRE_INFO
{
    DWORD               dwStructSize;                   // ṹС
    DWORD               dwAction;                       // ¼, 0:Pause, 1:Stop
    DWORD               dwTyreNum;                      // ̥
    TYRE_INFO_UNIT      *pstuTyre;                      // ̥Ϣ
}EVENT_TYRE_INFO;

/////////////////////////////Խض/////////////////////////////

// ƵʽϢ
typedef struct
{
    BYTE                byFormatTag;                    // ,0PCM
    WORD                nChannels;                      // 
    WORD                wBitsPerSample;                 //             
    DWORD               nSamplesPerSec;                 // 
} DH_AUDIO_FORMAT, *LPDH_AUDIO_FORMAT;

/////////////////////////////ûض/////////////////////////////

// ֧û󳤶Ϊ8λ豸,ӦCLIENT_QueryUserInfoCLIENT_OperateUserInfoӿ
// ȨϢ
typedef struct _OPR_RIGHT
{
    DWORD               dwID;
    char                name[DH_RIGHT_NAME_LENGTH];
    char                memo[DH_MEMO_LENGTH];
} OPR_RIGHT;

// ûϢ
typedef struct _USER_INFO
{
    DWORD               dwID;
    DWORD               dwGroupID;
    char                name[DH_USER_NAME_LENGTH];
    char                passWord[DH_USER_PSW_LENGTH];
    DWORD               dwRightNum;
    DWORD               rights[DH_MAX_RIGHT_NUM];
    char                memo[DH_MEMO_LENGTH];
    DWORD               dwReusable;                     // Ƿã1,0
} USER_INFO;

// ûϢ
typedef struct _USER_GROUP_INFO
{
    DWORD               dwID;
    char                name[DH_USER_NAME_LENGTH];
    DWORD               dwRightNum;
    DWORD               rights[DH_MAX_RIGHT_NUM];
    char                memo[DH_MEMO_LENGTH];
} USER_GROUP_INFO;

// ûϢ
typedef struct _USER_MANAGE_INFO
{
    DWORD                dwRightNum;                    // ȨϢ
    OPR_RIGHT            rightList[DH_MAX_RIGHT_NUM];
    DWORD                dwGroupNum;                    // ûϢ
    USER_GROUP_INFO      groupList[DH_MAX_GROUP_NUM];
    DWORD                dwUserNum;                     // ûϢ
    USER_INFO            userList[DH_MAX_USER_NUM];
    DWORD                dwSpecial;                     // û1֧û,0֧û
} USER_MANAGE_INFO;

// ֧û󳤶Ϊ8λ16λ豸,ӦչӿCLIENT_QueryUserInfoExCLIENT_OperateUserInfoEx
#define DH_USER_NAME_LENGTH_EX       16                 // û
#define DH_USER_PSW_LENGTH_EX        16                 // 

// ȨϢ
typedef struct _OPR_RIGHT_EX
{
    DWORD                dwID;
    char                 name[DH_RIGHT_NAME_LENGTH];
    char                 memo[DH_MEMO_LENGTH];
} OPR_RIGHT_EX;

// ûϢ
typedef struct _USER_INFO_EX
{
    DWORD                dwID;
    DWORD                dwGroupID;
    char                 name[DH_USER_NAME_LENGTH_EX];
    char                 passWord[DH_USER_PSW_LENGTH_EX];
    DWORD                dwRightNum;
    DWORD                rights[DH_MAX_RIGHT_NUM];
    char                 memo[DH_MEMO_LENGTH];
    DWORD                dwFouctionMask;                // ,0x00000001 - ֧û
    BYTE                 byReserve[32];
} USER_INFO_EX;

// ûϢ
typedef struct _USER_GROUP_INFO_EX
{
    DWORD                dwID;
    char                 name[DH_USER_NAME_LENGTH_EX];
    DWORD                dwRightNum;
    DWORD                rights[DH_MAX_RIGHT_NUM];
    char                 memo[DH_MEMO_LENGTH];
} USER_GROUP_INFO_EX;

// ûϢ
typedef struct _USER_MANAGE_INFO_EX
{
    DWORD                dwRightNum;                    // ȨϢ
    OPR_RIGHT_EX         rightList[DH_MAX_RIGHT_NUM];
    DWORD                dwGroupNum;                    // ûϢ
    USER_GROUP_INFO_EX   groupList[DH_MAX_GROUP_NUM];
    DWORD                dwUserNum;                     // ûϢ
    USER_INFO_EX         userList[DH_MAX_USER_NUM];
    DWORD                dwFouctionMask;                // 룻0x00000001 - ֧û,0x00000002 - ޸ҪУ
    BYTE                 byNameMaxLength;               // ֵ֧û󳤶
    BYTE                 byPSWMaxLength;                // ֵ֧󳤶
    BYTE                 byReserve[254];
} USER_MANAGE_INFO_EX;

// ֧64ͨ豸,ӦչӿCLIENT_QueryUserInfoNewCLIENT_OperateUserInfoNew
#define DH_NEW_MAX_RIGHT_NUM        1024
#define DH_NEW_USER_NAME_LENGTH     128                 // û
#define DH_NEW_USER_PSW_LENGTH      128                 // 


// ȨϢ
typedef struct _OPR_RIGHT_NEW
{
    DWORD               dwSize;
    DWORD               dwID;
    char                name[DH_RIGHT_NAME_LENGTH];
    char                memo[DH_MEMO_LENGTH];
} OPR_RIGHT_NEW;

// ûϢ
typedef struct _USER_INFO_NEW
{
    DWORD               dwSize;
    DWORD               dwID;
    DWORD               dwGroupID;
    char                name[DH_NEW_USER_NAME_LENGTH];
    char                passWord[DH_NEW_USER_PSW_LENGTH];
    DWORD               dwRightNum;
    DWORD               rights[DH_NEW_MAX_RIGHT_NUM];
    char                memo[DH_MEMO_LENGTH];
    DWORD               dwFouctionMask;                 // ,0x00000001 - ֧û
    NET_TIME            stuTime;                        // ޸ʱ
    BYTE                byIsAnonymous;                  // Ƿ¼, 0:¼, 1: ¼
    BYTE                byReserve[7];
} USER_INFO_NEW;

// ʣ޸ĳԴʱ
typedef struct tagREMAIN_MODIFY_TIME_AND_LOCK_SECOND
{
	DWORD			dwSize;						// ṹС
	int				nRemainModifytimes;			// ʣɳԵĴ
	int				nRemainLockSecond;			// ﵽ޶ֵʣʱ䣬λ
}REMAIN_MODIFY_TIME_AND_LOCK_SECOND;
// ûϢ
typedef struct _USER_GROUP_INFO_NEW
{
    DWORD               dwSize;
    DWORD               dwID;
    char                name[DH_USER_NAME_LENGTH_EX];
    DWORD               dwRightNum;
    DWORD               rights[DH_NEW_MAX_RIGHT_NUM];
    char                memo[DH_MEMO_LENGTH];
} USER_GROUP_INFO_NEW;

// ûϢչ,ûӳ
typedef struct _USER_GROUP_INFO_EX2
{
    DWORD               dwSize;
    DWORD               dwID;
    char                name[DH_NEW_USER_NAME_LENGTH];
    DWORD               dwRightNum;
    DWORD               rights[DH_NEW_MAX_RIGHT_NUM];
    char                memo[DH_MEMO_LENGTH];
} USER_GROUP_INFO_EX2;

// ûϢ
typedef struct _USER_MANAGE_INFO_NEW
{
    DWORD               dwSize;
    DWORD               dwRightNum;                         // ȨϢ
    OPR_RIGHT_NEW       rightList[DH_NEW_MAX_RIGHT_NUM];
    DWORD               dwGroupNum;                         // û
    USER_GROUP_INFO_NEW groupList[DH_MAX_GROUP_NUM];        // ûϢ,˲,ʹgroupListEx
    DWORD               dwUserNum;                          // ûϢ
    USER_INFO_NEW       userList[DH_MAX_USER_NUM];
    DWORD               dwFouctionMask;                     // 룻0x00000001 - ֧û,0x00000002 - ޸ҪУ
    BYTE                byNameMaxLength;                    // ֵ֧û󳤶
    BYTE                byPSWMaxLength;                     // ֵ֧󳤶
    BYTE                byReserve[254];
    USER_GROUP_INFO_EX2 groupListEx[DH_MAX_GROUP_NUM];      // ûϢչ
} USER_MANAGE_INFO_NEW;

///////////////////////////////ѯض///////////////////////////////

// 豸֧
typedef struct _DH_LANGUAGE_DEVINFO
{
    DWORD               dwLanguageNum;                      // ֧Ը
    BYTE                byLanguageType[252];                // öֵ,DH_LANGUAGE_TYPE
} DH_DEV_LANGUAGE_INFO, *LPDH_DEV_LANGUAGE_INFO;

// ѯ豸ֵ֧IPCϢ
typedef struct
{
    int                 nTypeCount;                         // ֵ֧IPC
    BYTE                bSupportTypes[128];                 // öֵ,EM_IPC_TYPE
}DH_DEV_IPC_INFO;

//3GϢ
typedef struct
{
    int                 nStrategy;                          // ²,0-,1-ʱ
    int                 nUplimit;                           // , ԶӦ, , λMB; ʱ,λСʱ
    int                 nUsed;                              // ʹ,λnUplimitͬ
    BYTE                bReserved[64];                      // ֶ
}DH_DEV_3GFLOW_INFO;

// 3GģϢ
typedef struct
{
    BYTE                byEthNum;                           // 3Gģ
    BYTE                byReserved[255];                    // ֽ
}DH_DEV_3GMODULE_INFO;

typedef struct
{
    DWORD               dwId;                               // ddns id
    char                szState[DH_MAX_DDNS_STATE_LEN];     // ddns ״̬
    BYTE                bReserved[512];                     // ֶ
}DH_DEV_DNS_INFO;
typedef struct
{
    DWORD               dwDdnsServerNum;    
    DH_DEV_DNS_INFO     stDdns[DH_MAX_DDNS_NUM];
}DH_DEV_MULTI_DDNS_INFO;

// 豸URLϢ
typedef struct
{
    char               szURLInfo[512];                      //豸URLϢ, ַ
    BYTE               bReserved[512];
}DH_DEV_URL_INFO;
// ӲϢ
typedef struct
{
    DWORD               dwVolume;                           // Ӳ̵, λMB(Bʾֽ)
    DWORD               dwFreeSpace;                        // Ӳ̵ʣռ, λMB(Bʾֽ)
    BYTE                dwStatus;                           // λֵʾӲ,öEM_DISK_TYPEλֵʾӲ̵״̬,0-,1-,2-ϵȣDWORDĸBYTE
    BYTE                bDiskNum;                           // Ӳ̺
    BYTE                bSubareaNum;                        // 
    BYTE                bSignal;                            // ʶ,0Ϊ 1ΪԶ
} NET_DEV_DISKSTATE,*LPNET_DEV_DISKSTATE;

// 豸ӲϢ
typedef struct _DH_HARDDISK_STATE
{
    DWORD                dwDiskNum;                         // 
    NET_DEV_DISKSTATE    stDisks[DH_MAX_DISKNUM];           // Ӳ̻Ϣ
} DH_HARDDISK_STATE, *LPDH_HARDDISK_STATE;

typedef DH_HARDDISK_STATE    DH_SDCARD_STATE;             // SD,ݽṹͬӲϢ

// Ϣ
typedef struct  
{
    DH_TALK_CODING_TYPE encodeType;                         // , ĿǰֻDH_TALK_PCM
    int                 nAudioBit;                          // λ,816, Ŀǰֻ16
    DWORD               dwSampleRate;                       // ,800016000, Ŀǰֻ16000
    int                 nPacketPeriod;                      // , λms, Ŀǰֻ25
    char                reserved[60];
} DHDEV_TALKDECODE_INFO;

// 豸ֵ֧Խ
typedef struct 
{
    int                     nSupportNum;                    // 
    DHDEV_TALKDECODE_INFO   type[64];                       // 
    char                    reserved[64];
} DHDEV_TALKFORMAT_LIST;

// ̨Ϣ
#define  NAME_MAX_LEN 16
typedef struct 
{
    DWORD               dwHighMask;                 // λ
    DWORD               dwLowMask;                  // λ
    char                szName[NAME_MAX_LEN];       // Э
    WORD                wCamAddrMin;                // ַͨСֵ
    WORD                wCamAddrMax;                // ֵַͨ
    WORD                wMonAddrMin;                // ӵַСֵ
    WORD                wMonAddrMax;                // ӵֵַ
    BYTE                bPresetMin;                 // ԤõСֵ
    BYTE                bPresetMax;                 // Ԥõֵ
    BYTE                bTourMin;                   // ԶѲ·Сֵ
    BYTE                bTourMax;                   // ԶѲ·ֵ
    BYTE                bPatternMin;                // 켣·Сֵ
    BYTE                bPatternMax;                // 켣·ֵ
    BYTE                bTileSpeedMin;              // ֱٶȵСֵ
    BYTE                bTileSpeedMax;              // ֱٶȵֵ
    BYTE                bPanSpeedMin;               // ˮƽٶȵСֵ
    BYTE                bPanSpeedMax;               // ˮƽٶȵֵ
    BYTE                bAuxMin;                    // ܵСֵ
    BYTE                bAuxMax;                    // ֵܵ
    int                 nInternal;                  // ʱ
    char                cType;                      // Э
    BYTE                bReserved_1;                // 
    BYTE                bFuncMask;                  // Э鹦,λʾ,ãʾ֧,һλʾ̨,λʱ
    BYTE                bReserved_2;
    char                Reserved[4];
} PTZ_OPT_ATTR;

// ״̬
typedef enum tagEM_NET_BURN_DEV_TRAY_TYPE
{
    EM_NET_BURN_DEV_TRAY_TYPE_UNKNOWN,    // δ֪
	EM_NET_BURN_DEV_TRAY_TYPE_READY,      // ̾
	EM_NET_BURN_DEV_TRAY_TYPE_OPEN,       // ̵
	EM_NET_BURN_DEV_TRAY_TYPE_NODISK,     // 
	EM_NET_BURN_DEV_TRAY_TYPE_NOT_READY,  // δ
}EM_NET_BURN_DEV_TRAY_TYPE;

// ʹ״̬
typedef enum tagEM_NET_BURN_DEV_OPERATE_TYPE
{
    EM_NET_BURN_DEV_OPERATE_TYPE_UNKNOWN, // δ֪
	EM_NET_BURN_DEV_OPERATE_TYPE_WRITE,   // ִд
	EM_NET_BURN_DEV_OPERATE_TYPE_READ,    // ִж
	EM_NET_BURN_DEV_OPERATE_TYPE_IDLE,    // 
}EM_NET_BURN_DEV_OPERATE_TYPE;

// ¼Ϣ
typedef struct _NET_DEV_BURNING
{
    DWORD               dwDriverType;               // ¼ͣ0DHFS,1DISK,2CDRW
    DWORD               dwBusType;                  // ͣ0USB,11394,2IDE, 3: SATA, 4: ESATA
    DWORD               dwTotalSpace;               // (KB)
    DWORD               dwRemainSpace;              // ʣ(KB)
    BYTE                dwDriverName[DH_BURNING_DEV_NAMELEN];    // ¼
	EM_NET_BURN_DEV_TRAY_TYPE  emTrayType;						 // ״̬
	EM_NET_BURN_DEV_OPERATE_TYPE emOperateType;					 // ʹ״̬
} NET_DEV_BURNING, *LPNET_DEV_BURNING;

// 豸¼Ϣ
typedef struct _DH_BURNING_DEVINFO
{
    DWORD               dwDevNum;                           // ¼豸
    NET_DEV_BURNING     stDevs[DH_MAX_BURNING_DEV_NUM];     // ¼豸Ϣ
} DH_BURNING_DEVINFO, *LPDH_BURNING_DEVINFO;

// ¼
typedef struct _DH_BURNING_PROGRESS
{

    BYTE                bBurning;                   // ¼״̬0Կ¼,1¼Ͳ,һǹ豸,
                                                    // 2δҵ¼(ʣռΪ0),3ڿ¼,4¼ڷǿ״̬,ڱݡ¼ط
    BYTE                bRomType;                   // Ƭͣ0˽ļϵͳ,1ƶӲ̻U,2
    BYTE                bOperateType;               // ͣ0,1ڱ,2ڿ¼,3ڽй̻ط, 4: ̿¼
    BYTE                bType;                      // ݻ¼״̬0-ֹͣ 1-ʼ 2- 3- 4- 5-ڳʼ 6-ͣ 7-ȴ
    NET_TIME            stTimeStart;                // ʼʱ䡡
    DWORD               dwTimeElapse;               // ѿ¼ʱ()
    DWORD               dwTotalSpace;               // 
    DWORD               dwRemainSpace;              // ʣ
    DWORD               dwBurned;                   // ѿ¼
    WORD                dwStatus;                   // 
    WORD                wChannelMask;               // ڿ¼ͨ
} DH_BURNING_PROGRESS, *LPDH_BURNING_PROGRESS;

// ־Ϣ,ӦӿCLIENT_QueryLogӿ
typedef struct _DH_LOG_ITEM
{
    DHDEVTIME           time;                       // 
    unsigned short      type;                       // ־ͣӦṹ DH_LOG_TYPE
    unsigned char       reserved;                   // 
    unsigned char       data;                       // 
    unsigned char       context[8];                 // 
} DH_LOG_ITEM, *LPDH_LOG_ITEM;

// ־Ϣ,ӦչӿCLIENT_QueryLogEx,reserved(int nType=1;reserved=&nType;)
typedef struct _DH_NEWLOG_ITEM
{
    DHDEVTIME           time;                       // 
    WORD                type;                       // չ־ͣӦṹ DH_NEWLOG_TYPE
    WORD                data;                       // 
    char                szOperator[8];              // û
    BYTE                context[16];                //     
} DH_NEWLOG_ITEM, *LPDH_NEWLOG_ITEM;

// ־Ϣ,ӦӿCLIENT_QueryDeviceLogӿ
typedef struct _DH_DEVICE_LOG_ITEM
{
    int                 nLogType;                   // ־
    DHDEVTIME           stuOperateTime;             // 
    char                szOperator[16];             // 
    BYTE                bReserved[3];
    BYTE                bUnionType;                 //  unionṹ,0:szLogContext1:stuOldLog
    union
    {
        char            szLogContext[64];           // ־עϢ
        struct 
        {
            DH_LOG_ITEM     stuLog;                 // ɵ־ṹ
            BYTE            bReserved[48];          // 
        }stuOldLog;
    };
    char                reserved[16];
} DH_DEVICE_LOG_ITEM, *LPDH_DEVICE_LOG_ITEM;

// ־Ϣṹ,ӦӿCLIENT_QueryDeviceLogӿ
typedef struct _DH_DEVICE_LOG_ITEM_EX
{
    int                 nLogType;                   // ־
    DHDEVTIME           stuOperateTime;             // 
    char                szOperator[16];             // 
    BYTE                bReserved[3];
    BYTE                bUnionType;                 //  unionṹ,0:szLogContext1:stuOldLog
    union
    {
        char            szLogContext[64];           // ־עϢ
        struct 
        {
            DH_LOG_ITEM     stuLog;                 // ɵ־ṹ
            BYTE            bReserved[48];          // 
        }stuOldLog;
    };
    char                szOperation[32];            // Ĳ
    char                szDetailContext[4*1024];    // ϸ־Ϣ
} DH_DEVICE_LOG_ITEM_EX, *LPDH_DEVICE_LOG_ITEM_EX;

// ¼־Ϣ,Ӧ־ṹcontext
typedef struct _LOG_ITEM_RECORD
{
    DHDEVTIME           time;                       // ʱ
    BYTE                channel;                    // ͨ
    BYTE                type;                       // ¼
    BYTE                reserved[2];
} LOG_ITEM_RECORD, *LPLOG_ITEM_RECORD;

typedef struct _QUERY_DEVICE_LOG_PARAM
{
    DH_LOG_QUERY_TYPE   emLogType;                  // ѯ־
    NET_TIME            stuStartTime;               // ѯ־Ŀʼʱ
    NET_TIME            stuEndTime;                 // ѯ־Ľʱ
    int                 nStartNum;                  // ʱдӵڼ־ʼѯ,ʼһβѯΪ0
    int                 nEndNum;                    // һβѯеڼ־,־ֵΪ1024
    BYTE                nLogStuType;                // ־ݽṹ,0:ʾDH_DEVICE_LOG_ITEM1:ʾDH_DEVICE_LOG_ITEM_EX
    BYTE                reserved[3];                //  
    unsigned int        nChannelID;                 // ͨ,0:֮ǰʾͨ,ͨŴ1ʼ; 1:һͨ
    BYTE                bReserved[40];
} QUERY_DEVICE_LOG_PARAM;

// ϱ־
typedef enum tagNET_EM_LOG_QUERY_TYPE
{
	EM_LOG_QUERY_TYPE_UNKNOWN,
	EM_LOG_QUERY_TYPE_TEXT = 1,             //ı־
}NET_EM_LOG_QUERY_TYPE;

// 豸Ӳ¼Ϣ
typedef struct __DEV_DISK_RECORD_INFO 
{
    NET_TIME            stuBeginTime;               // ¼ʱ
    NET_TIME            stuEndTime;                 // ¼ʱ
    char                reserved[128];
} DEV_DISK_RECORD_INFO;

// 豸Ӳ¼ʱϢ
typedef struct __DEV_DISK_RECORD_TIME
{
    NET_TIME            stuStartTime1;              // ¼ʱ1ʼʱ
    NET_TIME            stuEndTime1;                // ¼ʱ1ʱ
    BOOL                bTwoPart;                   // Ƿеڶ
    NET_TIME            stuStartTime2;              // ¼ʱ2ʼʱ
    NET_TIME            stuEndTime2;                // ¼ʱ2ʱ
    BYTE                bDiskNum;                   // Ӳ̺
    BYTE                bSubareaNum;                // 
    BYTE                byReserved[62];             // ֽ  

}DEV_DISK_RECORD_TIME;

///////////////////////////////ض///////////////////////////////
//̿
typedef struct _NKB_PARAM
{
    BYTE                bAddressCode;               // ΪDVR豸ַ,0xFFΪ㲥ַ
    BYTE                bKeyStatus;                 // ״̬ 0/1 0ʾ 1ʾſ
    BYTE                bExtern1;                   // չֽ1
    BYTE                bExtern2;                   // չֽ2
    BYTE                bReserved[60];
}NKB_PARAM;

// Ӳ̲
typedef struct _DISKCTRL_PARAM
{
    DWORD               dwSize;                     // ṹС,汾
    int                 nIndex;                     // ΪӲϢṹDH_HARDDISK_STATEstDisks±,0ʼ
    int                 ctrlType;                   // ,
                                                    // 0 - , 1 - Ϊд, 2 - Ϊֻ
                                                    // 3 - Ϊ, 4 - ָ, 5 - Ϊ,7 - SDSDЧ
    NET_DEV_DISKSTATE   stuDisk;                    // Ϣ, ڴ˳ܸı䵼±겻׼, ±
} DISKCTRL_PARAM;

typedef struct  
{
    BYTE                bSubareaNum;                // Ԥĸ
    BYTE                bIndex;                     // ΪӲϢṹDH_HARDDISK_STATEstDisks±,0ʼ
    BYTE                bSubareaSize[32];           // Сٷֱȣ
    BYTE                bReserved[30];              // 
} DISKCTRL_SUBAREA;

// ״̬
typedef struct _ALARMCTRL_PARAM
{
    DWORD               dwSize;
    int                 nAlarmNo;                   // ͨ,0ʼ
    int                 nAction;                    // 1,0ֹͣ
} ALARMCTRL_PARAM;

// 
typedef struct _MATRIXCTRL_PARAM
{
    DWORD               dwSize;
    int                 nChannelNo;                 // Ƶ,0ʼ
    int                 nMatrixNo;                  // ,0ʼ
} MATRIXCTRL_PARAM;

// ¼
typedef struct _BURNING_PARM
{
    int                 channelMask;                // ͨ,λʾҪ¼ͨ
    BYTE                devMask;                    // ¼,ݲѯĿ¼б,λʾ
    BYTE                bySpicalChannel;            // лͨ(ͨ+31,4ͨ豸,ֵӦΪ35)
    BYTE                byReserved[2];              // ֶ
} BURNNG_PARM;

// ¼
typedef struct _BURNING_PARM_ATTACH
{
    BOOL                bAttachBurn;                // ǷΪ¼,0:; 1:
    BYTE                bReserved[12];              // ֶ
} BURNING_PARM_ATTACH;

// ֶץĲ
typedef struct  _MANUAL_SNAP_PARAMETER{
    int                 nChannel;                   // ץͼͨ,0ʼ
    BYTE                bySequence[64];             // ץͼкַ
    BYTE                byReserved[60];             // ֶ
}MANUAL_SNAP_PARAMETER;

// 豸˱Ԥָ
typedef struct _DEVICE_LOCALPREVIEW_SLIPT_PARAMETER
{
    int                 nSliptMode;                 // ָģʽ,豸˱Ԥֵ֧ķָģʽ
    int                 nSubSliptNum;               // ǰҪԤӷָ,1ʼ
    BYTE                byReserved[64];             // ֶ
}DEVICE_LOCALPREVIEW_SLIPT_PARAMETER;

// 豸˱Ԥֵ֧ķָģʽ
typedef struct _DEVICE_LOCALPREVIEW_SLIPT_CAP
{
    int                 nModeNumber;
    int                 nSliptMode[36];             // ֵ֧ķָģʽ,
    BYTE                byReserved[64];             // ֶ
}DEVICE_LOCALPREVIEW_SLIPT_CAP;

// ·Ϣ
typedef struct  _CROSSING_INFO
{
    char                szCrossingID[DH_MAX_CROSSING_ID];   // ·к
    DWORD               dwLatitude;                         // γ(λǰ֮,Χ0-180)籱γ30.183382ȱʾΪ120183382)
    DWORD               dwLongitude;                        // (λǰ֮,Χ0-360) 綫100.178274ȱʾΪ280178274
                                                            // γȵľתʽԲοṹ NET_WIFI_GPS_INFO еע
    WORD                wSpeedLimit;                        // ·ֵ,λKm/h 0ʾ,ʾֵ
    BYTE                byReserved[22];
}CROSSING_INFO;

// ·ߵλϢ
typedef struct  _ROUTE_CROSSING_INFO
{
    BYTE                byCrossingNum;                      // ·ЧΧ1~DH_MAX_CROSSING_NUM
    BYTE                byReserved1;
    WORD                wCrossingRange;                     // λȷΧλm
    CROSSING_INFO       stCrossingInfo[DH_MAX_CROSSING_NUM];// ·Ϣ֧128·
    BYTE                byReserved2[2044];
}ROUTE_CROSSING_INFO;

// raid
typedef struct _CTRL_RAID_INFO
{
    char                szAction[16];                       // Add,Deleteɾ
    char                szName[16];                         // Raid
    int                 nType;                              //  1:Jbod     2:Raid0      3:Raid1     4:Raid5
    int                 nStatus;                            // ״̬ 0:unknown ,1:active,2:degraded,3:inactive,4:recovering
    int                 nCntMem;                            // nMemberЧݸ
    int                 nMember[32];                        // 1,2,3,... ɴͨ,Ǹ
    int                 nCapacity;                          // ,λG
    int                 nRemainSpace;                       // ʣ,λM
    int                 nTank;                              // չ 0:,1:չ1,2:չ2,
    char                reserved[128];
}CTRL_RAID_INFO;

// ȱ
typedef struct _CTRL_SPARE_DISK_INFO
{
    char                szAction[16];                       // Enable,ʹ,Disable,ʹ
    char                szScope[16];                        // Global,ȫȱ,Local,ȫȱ
    char                szName[16];                         // ȱ,ScopeΪGlobal,Ϊȱص,ʾRaid
    unsigned int        nIndex;                             // 
    const char*         pszDevName;                         // 洢豸,ûڴ
    char                reserved[124];
}CTRL_SPARE_DISK_INFO;

typedef struct _CTRL_SPARE_DISK_INFO_A
{
    int                     nCnt;                           // ȱ̵ĸ
    CTRL_SPARE_DISK_INFO    stSpaceDiskInfo[32];
}CTRL_SPARE_DISK_INFO_A;

// 
typedef struct __CTRL_ARM_DISARM_PARAM
{
    BYTE                bState;                             // ״̬,0ʾ,1ʾ,2ʾǿƲ
    char                reserve[3];
    const char*         szDevPwd;                           // û
    NET_SCENE_MODE      emSceneMode;                        // 龰ģʽ
    const char*         szDevID;                            // תĿ豸ID,ΪNULLʾת
    char                reserve1[16];
} CTRL_ARM_DISARM_PARAM;

// չ
typedef struct tagCTRL_ARM_DISARM_PARAM_EX_IN
{
    DWORD               dwSize;
    NET_ALARM_MODE      emState;                            // ״̬
    const char*         szDevPwd;                           // û
    NET_SCENE_MODE      emSceneMode;                        // 龰ģʽ
    const char*         szDevID;                            // תĿ豸ID,ΪNULLʾת
} CTRL_ARM_DISARM_PARAM_EX_IN;

#define ARM_DISARM_ZONE_MAX (256)                           // 

// չ
typedef struct tagCTRL_ARM_DISARM_PARAM_EX_OUT
{
    DWORD               dwSize;
    DWORD               dwSourceNum;                        // бԴ벼ʧܵķ
    int                 nSource[ARM_DISARM_ZONE_MAX];       // бԴʧܵķ, Ŵ0ʼ
    DWORD               dwLinkNum;                          // ʧܵķ
    int                 nLink[ARM_DISARM_ZONE_MAX];         // ʧܵķ, Ŵ0ʼ
} CTRL_ARM_DISARM_PARAM_EX_OUT;

// չ(ӦDH_CTRL_ARMED_EX)
typedef struct tagCTRL_ARM_DISARM_PARAM_EX
{
    DWORD                        dwSize;
    CTRL_ARM_DISARM_PARAM_EX_IN  stuIn;                     // 
    CTRL_ARM_DISARM_PARAM_EX_OUT stuOut;                    // 
} CTRL_ARM_DISARM_PARAM_EX;

typedef struct tagDHCTRL_CONNECT_WIFI_BYWPS_IN
{
    DWORD               dwSize;
    int                 nType;                              // WPS,0:ⰴťʽ; 1:(豸)pin뷽ʽ; 2:(wifiȵ)pin뷽ʽ
    char                szSSID[DH_MAX_SSID_LEN];            // SSID,nTypeΪ12ʱЧ,֧32λ
    char                szApPin[DH_MAX_APPIN_LEN];          // APPIN, nTypeΪ2ʱЧ,PINΪ8λ,pinǴwifiȵõ
    char                szWLanPin[DH_MAX_APPIN_LEN];        // 豸pin,nTypeΪ1ʱЧ:Ϊʱ豸;Ϊʱʾû趨,֧8λ,pinҪWIFIȵ
}DHCTRL_CONNECT_WIFI_BYWPS_IN;

typedef struct tagDHCTRL_CONNECT_WIFI_BYWPS_OUT
{
    DWORD               dwSize;
    char                szRetWLanPin[DH_MAX_APPIN_LEN];// 豸PIN,WPSΪ(豸)pin뷽ʽʱЧ
}DHCTRL_CONNECT_WIFI_BYWPS_OUT;

// CLIENT_ControlDeviceӿڵDH_CTRL_WIFI_BY_WPS(WPSWIFI)
typedef struct tagDHCTRL_CONNECT_WIFI_BYWPS
{
    DWORD                dwSize;
    DHCTRL_CONNECT_WIFI_BYWPS_IN     stuWpsInfo;            // Ӳ(ûд)
    DHCTRL_CONNECT_WIFI_BYWPS_OUT    stuWpsResult;          // (豸)
} DHCTRL_CONNECT_WIFI_BYWPS;

// CLIENT_ControlDeviceӿڵ DH_CTRL_CLOSE_BURNER  
typedef struct tagNET_CTRL_BURNERDOOR
{
    DWORD               dwSize;
    const char*         szBurnerName;                       // ,硰/dev/sda
    BOOL                bResult;                            // 
    BOOL                bSafeEject;                         // Ƿȫ, TRUE-ǰݱ, FALSE-ֱӵ
}NET_CTRL_BURNERDOOR;

// CLIENT_ControlDeviceӿڵ DH_CTRL_START_PLAYAUDIO 
typedef struct tagNET_CTRL_START_PLAYAUDIO
{
    DWORD               dwSize;
    char                szAudioPath[DH_MAX_AUDIO_PATH];
}NET_CTRL_START_PLAYAUDIO;

// Ԫ
typedef enum tagNET_PLAYAUDIO_TYPE
{
    NET_PLAYAUDIO_TYPE_UNKNOWN = 0,
    NET_PLAYAUDIO_TYPE_PHRASE,                          // ,н,ζÿ,иֵļ֧
    NET_PLAYAUDIO_TYPE_FILE,                            // ָ·ļ(豸·)
    NET_PLAYAUDIO_TYPE_PLATERNUM,                       // ƺ,ƺʽ
    NET_PLAYAUDIO_TYPE_MONEY,                           // ,ʽ
    NET_PLAYAUDIO_TYPE_DATE,                            // ,ʽ
    NET_PLAYAUDIO_TYPE_TIME,                            // ʱ,ʱʽ
    NET_PLAYAUDIO_TYPE_EMPTY,                           // ,ͣһַʱ
}NET_PLAYAUDIO_TYPE;


// ȼ
enum EM_PLAYAUDIO_PRIORITY
{
	EM_PLAYAUDIO_PRIORITY_UNKNOWN,						// δ֪			
	EM_PLAYAUDIO_PRIORITY_FRONT,						// 벥Ŷǰˣļ󲥷ԭļ
	EM_PLAYAUDIO_PRIORITY_BACK,							// 벥Ŷ󣬵ȴļٲŸļ
	EM_PLAYAUDIO_PRIORITY_EMERGENCY,					// ȼͬ EM_PLAYAUDIO_PRIORITY_FRONTȡڲļ
};


// 
typedef struct tagNET_CTRL_PLAYAUDIO_INFO
{
    DWORD						dwSize;
    NET_PLAYAUDIO_TYPE			emPlayAudioType;                // Ԫ,NET_PLAYAUDIO_TYPE
    char						szDetail[DH_COMMON_STRING_128]; // ϸݸϸݣ
																// Phrase:"ӭ"
																// File: "/home/ͣ.pcm"
																// PlateNumbe: "A12345"
																// Money: "80.12Ԫ"
																// Date: "2014410"
																// Time: "110Сʱ205
	int							nRepeatTimes;					// ظ
	EM_PLAYAUDIO_PRIORITY		emPriority;						// ȼ
}NET_CTRL_PLAYAUDIO_INFO;

#define DH_MAX_PLAYAUDIO_COUNT    16  // 󲥱Ŀ

// CLIENT_ControlDeviceӿڵ DH_CTRL_START_PLAYAUDIOEX 
typedef struct tagNET_CTRL_START_PLAYAUDIOEX
{
    DWORD                       dwSize;
    unsigned int                nAudioCount;                            // Ŀ               
    NET_CTRL_PLAYAUDIO_INFO     stuAudioInfos[DH_MAX_PLAYAUDIO_COUNT];  // 
}NET_CTRL_START_PLAYAUDIOEX;

// CLIENT_ControlDeviceӿڵ DH_CTRL_START_ALARMBELLDH_CTRL_STOP_ALARMBELL
typedef struct tagNET_CTRL_ALARMBELL
{
    DWORD               dwSize;
    int                 nChannelID;             // ͨ(0ʼ)            
}NET_CTRL_ALARMBELL;

// Ž--ŷʽ
typedef enum tagEM_OPEN_DOOR_TYPE
{
	EM_OPEN_DOOR_TYPE_UNKNOWN = 0,
	EM_OPEN_DOOR_TYPE_REMOTE,						// Զ̿
	EM_OPEN_DOOR_TYPE_LOCAL_PASSWORD,				// 뿪
	EM_OPEN_DOOR_TYPE_LOCAL_CARD,					// ˢ
	EM_OPEN_DOOR_TYPE_LOCAL_BUTTON,					// ذť
}EM_OPEN_DOOR_TYPE;

// ŷ
typedef enum tagEM_OPEN_DOOR_DIRECTION
{
	EM_OPEN_DOOR_DIRECTION_UNKNOWN,						// δ֪豸о
	EM_OPEN_DOOR_DIRECTION_FROM_ENTER,					// ŷ
	EM_OPEN_DOOR_DIRECTION_FROM_LEAVE,					// ŷ
}EM_OPEN_DOOR_DIRECTION;

// CLIENT_ControlDeviceӿڵ DH_CTRL_ACCESS_OPEN 
typedef struct tagNET_CTRL_ACCESS_OPEN
{
    DWORD               		dwSize;
    int                 		nChannelID;                    	// ͨ(0ʼ)
    const char*         		szTargetID;                    	// תĿ豸ID,ΪNULLʾת
    char                		szUserID[MAX_COMMON_STRING_32];	// ԶûID
	EM_OPEN_DOOR_TYPE			emOpenDoorType;                	// ŷʽ
	EM_OPEN_DOOR_DIRECTION		emOpenDoorDirection;			// ŷ
}NET_CTRL_ACCESS_OPEN;

// Žģʽ
typedef enum tagEM_NET_DOOR_WORK_MODE_TYPE
{
    NET_DOOR_WORK_MODE_UNKNOWN,            // δ֪
	NET_DOOR_WORK_MODE_NORMAL,             // ģʽ
	NET_DOOR_WORK_MODE_SHUTDOWN,           // ر
	NET_DOOR_WORK_MODE_UNUSED,             // ͣ
	NET_DOOR_WORK_MODE_OPEN_DOOR_CONTINUE, // 

}EM_NET_DOOR_WORK_MODE_TYPE;

// ŽģʽΣ
typedef struct tagNET_IN_CTRL_ACCESS_SET_DOOR_WORK_MODE
{
	DWORD                   dwSize;
	EM_NET_DOOR_WORK_MODE_TYPE emWorkMode;    // ģʽ
}NET_IN_CTRL_ACCESS_SET_DOOR_WORK_MODE;

// ŽģʽΣ
typedef struct tagNET_OUT_CTRL_ACCESS_SET_DOOR_WORK_MODE
{
    DWORD                   dwSize;
}NET_OUT_CTRL_ACCESS_SET_DOOR_WORK_MODE;

// ͬLEDʱ䣨Σ
typedef struct tagNET_IN_CTRL_SYNC_CABINLED_TIME
{
	DWORD                   dwSize;
}NET_IN_CTRL_SYNC_CABINLED_TIME;

// ͬLEDʱ䣨Σ
typedef struct tagNET_OUT_CTRL_SYNC_CABINLED_TIME
{
    DWORD                   dwSize;
}NET_OUT_CTRL_SYNC_CABINLED_TIME;

// LEDſ
typedef enum tagEM_NET_CABIN_LED_PLAY_CONTROL_MODE
{
    NET_CABIN_LED_PLAY_CONTROL_MODE_UNKNOWN,          // δ֪
    NET_CABIN_LED_PLAY_CONTROL_MODE_NORMAL_TURN_ON,   //  (  )
    NET_CABIN_LED_PLAY_CONTROL_MODE_NEXT_PROGRAM,     // һĿ       
    NET_CABIN_LED_PLAY_CONTROL_MODE_PREVIOUS_PROGRAM, // ǰһĿ
    NET_CABIN_LED_PLAY_CONTROL_MODE_PAUSE,            // ͣ
    NET_CABIN_LED_PLAY_CONTROL_MODE_PAUSE_TURN_OFF,   // ͣ (  )
    NET_CABIN_LED_PLAY_CONTROL_MODE_PLAY_GO_ON,       // 
    NET_CABIN_LED_PLAY_CONTROL_MODE_GO_TO_TEST_ITSELF,// Բ
    NET_CABIN_LED_PLAY_CONTROL_MODE_EXIT_TEST_ITSELF, // ˳Բ
    NET_CABIN_LED_PLAY_CONTROL_MODE_SYSTEM_RESET,     // λϵͳ
}EM_NET_CABIN_LED_PLAY_CONTROL_MODE;

// LEDſƣΣ
typedef struct tagNET_IN_CTRL_CABINLED_PLAYCONTROL
{
	DWORD                                   dwSize;
	EM_NET_CABIN_LED_PLAY_CONTROL_MODE         emAction; // 
}NET_IN_CTRL_CABINLED_PLAYCONTROL;

// LEDſƣΣ
typedef struct tagNET_OUT_CTRL_CABINLED_PLAYCONTROL
{
    DWORD                   dwSize;
}NET_OUT_CTRL_CABINLED_PLAYCONTROL;

// LEDݵ
typedef enum tagEM_NET_CABIN_LED_MODIFY_CONTENT_CMD_TYPE
{
    NET_CABIN_LED_MODIFY_CONTENT_CMD_TYPE_UNKNOWN,
    NET_CABIN_LED_MODIFY_CONTENT_CMD_TYPE_ADD       = 0, // 
    NET_CABIN_LED_MODIFY_CONTENT_CMD_TYPE_MODIFY    = 1, // ޸
    NET_CABIN_LED_MODIFY_CONTENT_CMD_TYPE_DELETE    = 2, // ɾ
}EM_NET_CABIN_LED_MODIFY_CONTENT_CMD_TYPE;

// LEDſЧ
typedef enum tagEM_NET_CABIN_LED_MODIFY_CONTENT_EFFECT_TYPE
{
    NET_MODIFY_CONTENT_EFFECT_TYPE_UNKNOWN = -1,
    NET_MODIFY_CONTENT_EFFECT_TYPE_SHOW = 0,                      // ʾ
    NET_MODIFY_CONTENT_EFFECT_TYPE_MOVE_LEFT,                     // 
    NET_MODIFY_CONTENT_EFFECT_TYPE_MOVE_RIGHT,                    // 
    NET_MODIFY_CONTENT_EFFECT_TYPE_MOVE_UP,                       // 
    NET_MODIFY_CONTENT_EFFECT_TYPE_MOVE_DOWN,                     // 
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_LEFT,                  // 
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_RIGHT,                 // 
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_UP,                    // 
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_DOWN,                  // 
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_UP_LEFT,               // Ͻ
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_DOWN_LEFT,             // ½
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_UP_RIGHT,              // Ͻ
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_DOWN_RIGHT,            // ½
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_LEFT_RIGHT_TO_CENTER,  // м
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_CENTER_TO_LEFT_RIGHT,  // м
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_UP_DOWN_TO_CENTER,     // м
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_CENTER_TO_UP_DOWN,     // м
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_LEFT_CROSS_RIGHT,      // ҽ
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_UP_CROSS_DOWN,         // ½
    NET_MODIFY_CONTENT_EFFECT_TYPE_VERTICAL_BLINDS,               // ֱҶ
    NET_MODIFY_CONTENT_EFFECT_TYPE_HORIZONTAL_BLINDS,             // ˮƽҶ  
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_CENTER_TO_SIDES,       // мı
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_SIDES_TO_CENTER,       // ıм
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_CENTER_TO_CORNER,      // мĽ
    NET_MODIFY_CONTENT_EFFECT_TYPE_FILL_UP_CORNER_TO_CENTER,      // Ľм
    NET_MODIFY_CONTENT_EFFECT_TYPE_ROTATE_360,                    // ת360
    NET_MODIFY_CONTENT_EFFECT_TYPE_ROTATE_180,                    // ת180
}EM_NET_CABIN_LED_MODIFY_CONTENT_EFFECT_TYPE;

// LEDݸģΣ
typedef struct tagNET_IN_CTRL_CABINLED_MODIFY_CONTENT
{
	DWORD                                    dwSize;
	EM_NET_CABIN_LED_MODIFY_CONTENT_CMD_TYPE emCmd;             // Ϣ
	int                                      nMsgID;            // ϢID ȡֵ1-5
	EM_NET_CABIN_LED_MODIFY_CONTENT_EFFECT_TYPE emEffect;       // Ч
	int                                      nSpeed;            // ʾٶ ȡֵΪ015
	int                                      nDuration;         // ͣʱ λΪ
	char                                     szText[512];       // ı
}NET_IN_CTRL_CABINLED_MODIFY_CONTENT;

// LEDݸģΣ
typedef struct tagNET_OUT_CTRL_CABINLED_MODIFY_CONTENT
{
    DWORD                   dwSize;
}NET_OUT_CTRL_CABINLED_MODIFY_CONTENT;

// ȡLEDݣΣ
typedef struct tagNET_IN_CTRL_CABINLED_GET_CONTENT
{
    DWORD                   dwSize;    
    int                     nMsgID;            // ϢID ȡֵ1-5   
}NET_IN_CTRL_CABINLED_GET_CONTENT;

// ȡLEDݣΣ
typedef struct tagNET_OUT_CTRL_CABINLED_GET_CONTENT
{
    DWORD                   dwSize;
    int                     nMsgID;            // ϢID ȡֵ1-5
    EM_NET_CABIN_LED_MODIFY_CONTENT_EFFECT_TYPE emEffect;          // Ч
    int                     nSpeed;            // ʾٶ ȡֵΪ015
    int                     nDuration;         // ͣʱ λΪ
    char                    szText[512];       // ı
}NET_OUT_CTRL_CABINLED_GET_CONTENT;

// ʱνṹ                                                                
typedef struct tagDH_TSECT
{
    int             bEnable;                        // ʾ¼ʱʱ,λʾĸʹ,ӵλλֱʾ¼󡢱¼ͨ¼󡢶ͱͬʱ¼
													// ʾʱʱ, ʾʹ
                                                    // ʾʱʱ, ʾʹܣ1ʾʹܣ0ʾʹ
    int             iBeginHour;
    int             iBeginMin;
    int             iBeginSec;
    int             iEndHour;
    int             iEndMin;
    int             iEndSec;
} DH_TSECT, *LPDH_TSECT;

#define NET_CABINLED_SCHEDULE_TIME_SECTION_NUM 8  // LEDʾƻʱεĿ

// ÷LEDʾüƻΣ
typedef struct tagNET_IN_CTRL_CABINLED_SET_SCHEDULE
{
    DWORD                       dwSize;    
    int                         nIndex;                                                 // ƻ 0 ʾ 1~6 ʾһ    
    DH_TSECT                    stuTimeSection[NET_CABINLED_SCHEDULE_TIME_SECTION_NUM]; // ʱ DH_TSECTеֶbEnable Ϊ0ʾЧֵʾϢ

}NET_IN_CTRL_CABINLED_SET_SCHEDULE;

// ÷LEDʾüƻΣ
typedef struct tagNET_OUT_CTRL_CABINLED_SET_SCHEDULE
{
    DWORD dwSize;   
}NET_OUT_CTRL_CABINLED_SET_SCHEDULE;

// ȡLEDʾüƻΣ
typedef struct tagNET_IN_CTRL_CABINLED_GET_SCHEDULE
{
    DWORD                       dwSize;    
    int                         nIndex;                                                 // ƻ 0 ʾ 1~6 ʾһ
}NET_IN_CTRL_CABINLED_GET_SCHEDULE;

// ȡLEDʾüƻΣ
typedef struct tagNET_OUT_CTRL_CABINLED_GET_SCHEDULE
{
    DWORD dwSize;
    DH_TSECT                    stuTimeSection[NET_CABINLED_SCHEDULE_TIME_SECTION_NUM]; // ʱ DH_TSECTеֶbEnable Ϊ0ʾЧֵʾϢ
}NET_OUT_CTRL_CABINLED_GET_SCHEDULE;

// ȡLEDʾַ뷽ʽΣ
typedef struct tagNET_IN_CTRL_CABINLED_GET_CHAR_ENCODING
{
    DWORD                       dwSize;                     // ṹС    
}NET_IN_CTRL_CABINLED_GET_CHAR_ENCODING;

// ȡLEDʾַ뷽ʽΣ
typedef struct tagNET_OUT_CTRL_CABINLED_GET_CHAR_ENCODING
{
    DWORD dwSize;                                           // ṹС
    int nCharacterEncoding;                                 // ַ뷽ʽ 0-GB2312 1-Unicode                         
}NET_OUT_CTRL_CABINLED_GET_CHAR_ENCODING;


// LED
typedef enum tagEM_CABIN_LED_CONTROL_TYPE
{
    DH_CABIN_LED_CONTROL_UNKNOWN,                       // δ֪                      
    DH_CABIN_LED_CONTROL_SYNC_TIME,                     // ͬLEDʱ(pInParamӦṹNET_IN_CTRL_SYNC_CABINLED_TIME,pOutParamӦṹNET_OUT_CTRL_SYNC_CABINLED_TIME)
    DH_CABIN_LED_CONTROL_PLAY_CONTROL,                  // LEDſ(pInParamӦṹNET_IN_CTRL_CABINLED_PLAYCONTROL,pOutParamӦṹNET_OUT_CTRL_CABINLED_PLAYCONTROL)
    DH_CABIN_LED_CONTROL_MODIFY_CONTENT,                // LED(pInParamӦṹNET_IN_CTRL_CABINLED_MODIFY_CONTENT,pOutParamӦṹNET_OUT_CTRL_CABINLED_MODIFY_CONTENT)
    DH_CABIN_LED_CONTROL_GET_CONTENT,                   // ȡLED(pInParamӦṹNET_IN_CTRL_CABINLED_GET_CONTENT,pOutParamӦṹNET_OUT_CTRL_CABINLED_GET_CONTENT)
    DH_CABIN_LED_CONTROL_SET_SCHEDULE,                  // ÷LEDʾƻ(pInParamӦṹNET_IN_CTRL_CABINLED_SET_SCHEDULE,pOutParamӦṹNET_OUT_CTRL_CABINLED_SET_SCHEDULE)
    DH_CABIN_LED_CONTROL_GET_SCHEDULE,                  // ȡLEDʾƻ(pInParamӦṹNET_IN_CTRL_CABINLED_GET_SCHEDULE,pOutParamӦṹNET_OUT_CTRL_CABINLED_GET_SCHEDULE)
    DH_CABIN_LED_CONTROL_GET_CHAR_ENCODING,             // ȡLEDʾַ뷽ʽ(pInParamӦṹNET_IN_CTRL_CABINLED_GET_CHAR_ENCODING,pOutParamӦṹNET_OUT_CTRL_CABINLED_GET_CHAR_ENCODING)
}EM_CABIN_LED_CONTROL_TYPE;

// CLIENT_ControlDeviceӿڵ DH_CTRL_ACCESS_CLOSE 
typedef struct tagNET_CTRL_ACCESS_CLOSE
{
    DWORD						dwSize;					// ṹС
    int							nChannelID;             // ͨ(0ʼ)
}NET_CTRL_ACCESS_CLOSE;

typedef enum tagNET_ALARM_TYPE
{
    NET_ALARM_LOCAL = 0,                        //ı¼(Ӧ DH_ALARM_ALARM_EX2 ¼)
    NET_ALARM_ALARMEXTENDED,                    //չģ鱨¼(Ӧ DH_ALARM_ALARMEXTENDED ¼)
    NET_ALARM_TEMP,                             //¶ȱ¼(Ӧ DH_ALARM_TEMPERATURE ¼)
    NET_ALARM_URGENCY,                          //¼(Ӧ DH_URGENCY_ALARM_EX ¼)
    NET_ALARM_RCEMERGENCYCALL,                  //б¼(Ӧ DH_ALARM_RCEMERGENCY_CALL ¼)
    NET_ALARM_ALL,                              //б¼
}NET_ALARM_TYPE;

// CLIENT_ControlDeviceӿڵ DH_CTRL_CLEAR_ALARM 
typedef struct tagNET_CTRL_CLEAR_ALARM
{
    DWORD               dwSize;
    int                 nChannelID;             // ͨ, -1 ʾͨ
    NET_ALARM_TYPE      emAlarmType;            // ¼(ֵ֧ͽ,nEventTypeֶ)
    const char*         szDevPwd;               // ½豸,粻ʹü,ֱӸֵΪNULL
    BOOL                bEventType;             // ʾǷnEventTypeֶ, TRUE:nEventTypeemAlarmTypeֶ, FALSE:emAlarmTypeֶ,nEventTypeֶ
    int                 nEventType;             // ¼, Ӧ fMessCallBack صϵlCommandֶ, CLIENT_StartListenExӿڻ¼
                                                // DH_ALARM_ALARM_EX2ʾر¼
}NET_CTRL_CLEAR_ALARM;

// ǽʾϢƲ
typedef struct tagNET_CTRL_MONITORWALL_TVINFO 
{
    DWORD               dwSize;
    int                 nMonitorWallID;         // ǽID, DH_CTRL_MONITORWALL_TVINFO  DH_DEVSTATE_MONITORWALL_TVINFOҪд
    BOOL                bDecodeChannel;         // ʾͨϢ, DH_CTRL_MONITORWALL_TVINFO д
    BOOL                bControlID;             // ʾĻID, DH_CTRL_MONITORWALL_TVINFO д
    BOOL                bCameraID;              // ʾͨƵԴID, DH_CTRL_MONITORWALL_TVINFO д
} NET_CTRL_MONITORWALL_TVINFO;

// CLIENT_ControlDeviceӿڵ DH_CTRL_START_VIDEO_ANALYSE 
typedef struct tagNET_CTRL_START_VIDEO_ANALYSE
{
    DWORD               dwSize; 
    int                 nChannelId;             // ͨ  
}NET_CTRL_START_VIDEO_ANALYSE;

// CLIENT_ControlDeviceӿڵ DH_CTRL_STOP_VIDEO_ANALYSE 
typedef struct tagNET_CTRL_STOP_VIDEO_ANALYSE
{
    DWORD               dwSize; 
    int                 nChannelId;             // ͨ  
}NET_CTRL_STOP_VIDEO_ANALYSE;

// CLIENT_ControlDeviceӿڵ DH_CTRL_MULTIPLAYBACK_CHANNALES  
typedef struct tagNET_CTRL_MULTIPLAYBACK_CHANNALES
{
    DWORD               dwSize;
    LLONG               lPlayBackHandle;        // طž,CLIENT_MultiPlayBackӿڷֵ
    int                 nChannels[DH_MAX_MULTIPLAYBACK_CHANNEL_NUM];// Ԥͨ
    int                 nChannelNum;            // Ԥͨ 
}NET_CTRL_MULTIPLAYBACK_CHANNALES;

// CLIENT_ControlDeviceӿڵ DH_CTRL_SET_BYPASS 
typedef struct tagNET_CTRL_SET_BYPASS
{
    DWORD               dwSize;
    const char*         szDevPwd;               // 豸
    NET_BYPASS_MODE     emMode;                 // ͨ״̬
    int                 nLocalCount;            // رͨ
    int*                pnLocal;                // رͨ    
    int                 nExtendedCount;         // չģ鱨ͨ
    int*                pnExtended;             // չģ鱨ͨ
}NET_CTRL_SET_BYPASS;
 
// CLIENT_ControlDeviceӿڵ  DH_CTRL_SET_MEDIAKIND 
typedef struct tagNET_CTRL_SET_MEDIAKIND
{
    DWORD                dwSize;                        //  ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_CTRL_SET_MEDIAKIND)
    int                  nMediaKind;                    //  ý,0:ƵƵ,1:ֻƵ,2:ֻƵ
    DWORD                dwChannelCount;                //  Чͨ
    int                  nChannels[256];                //  Ƶͨ(0ʼ)
} NET_IN_SET_MEDIAKIND;

// CLIENT_ControlDeviceӿڵ  DH_CTRL_SET_MEDIAKIND 
typedef struct tagNET_OUT_SET_MEDIAKIND
{
    DWORD                dwSize;                        //  ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_OUT_SET_MEDIAKIND)
} NET_OUT_SET_MEDIAKIND;

///////////////////////////////////////////////////////////////////////////////////////////////////////
// CLIENT_QueryDevStateӿڵ DH_DEVSTATE_GET_BYPASS 
typedef struct tagNET_DEVSTATE_GET_BYPASS
{
    DWORD               dwSize;
    int                 nLocalCount;            // رͨ
    int*                pnLocal;                // رͨ    
    int                 nExtendedCount;         // չģ鱨ͨ
    int*                pnExtended;             // չģ鱨ͨ
    NET_BYPASS_MODE*    pemLocal;               // رͨ״̬
    NET_BYPASS_MODE*    pemExtended;            // չģ鱨ͨ״̬
}NET_DEVSTATE_GET_BYPASS;

// CLIENT_QueryDevStateӿڵ DH_DEVSTATE_BURNERDOOR 
typedef struct tagNET_DEVSTATE_BURNERDOOR
{
    DWORD               dwSize;
    const char*         szBurnerName;            // ,硰/dev/sda
    bool                bEjected;                // ǷѾ
    BYTE                Reserved[3];             // 
}NET_DEVSTATE_BURNERDOOR;

// CLIENT_QueryDevStateӿڵ DH_DEVSTATE_GET_DATA_CHECK 
typedef struct tagNET_DEVSTATE_DATA_CHECK
{
    DWORD               dwSize;                     // ṹС
    const char*         szBurnerName;               // ,硰/dev/s",Ƕ̵Ļ,κһ̶
    char                szState[DH_MAX_STRING_LEN]; // "NotStart":δʼ,"Verifying":У,"Failed":ʧ,"Successed":ɹ
    int                 nPercent;                   // Уٷֱ:0-100,stateVerifyingʱЧ
}NET_DEVSTATE_DATA_CHECK;

// CLIENT_ListenServer ӿڻصfServiceCallBackֵ֧
enum { 
    DH_DVR_DISCONNECT=-1,                           // ֤ڼ豸߻ص
    DH_DVR_SERIAL_RETURN=1,                         // 豸עЯк Ӧ char* szDevSerial
    NET_DEV_AUTOREGISTER_RETURN,                    // 豸עЯкź ӦNET_CB_AUTOREGISTER
    NET_DEV_NOTIFY_IP_RETURN,                       // 豸ϱIP, Ϊע, ûȡipֻܰԼĶ˿ڰշע͵¼
};
typedef struct tagNET_CB_AUTOREGISTER
{
    DWORD           dwSize;                          // ṹС
    char            szDevSerial[DH_DEV_SERIALNO_LEN];// к
    char            szToken[MAX_PATH];               // 
}NET_CB_AUTOREGISTER;

// עؽṹ
typedef struct tagCLOUDSERVICE_CONNECT_PARAM
{
    DWORD               dwSize;   
    char                szDstIp[DH_MAX_IPADDR_EX_LEN];    // IP
    int                 nDstPort;                         // ˿ں 
    DWORD               dwConnectType;                    // ͣ0ʾ,1ʾ,2, 3̬עӣʹ0xb4עᣩ  
    char                szToken[MAX_PATH];                // ʹԶ豸ͨΨһID
}NET_CLOUDSERVICE_CONNECT_PARAM;

typedef struct tagCLOUDSERVICE_CONNECT_RESULT
{
    DWORD               dwSize;  
    DWORD               dwConnectState;                           // ǰ״̬1ɹ,0ʧ
    char                szMessage[DH_MAX_CLOUDCONNECT_STATE_LEN]; // ״̬Ϣ,"Success","Password Error","Network Error","Timeout"
}NET_CLOUDSERVICE_CONNECT_RESULT;
///////////////////////////////ض///////////////////////////////

//-------------------------------豸---------------------------------
// 豸Ϣ
typedef struct
{
    BYTE                sSerialNumber[DH_SERIALNO_LEN];     // к
    BYTE                byAlarmInPortNum;                   // DVR
    BYTE                byAlarmOutPortNum;                  // DVR
    BYTE                byDiskNum;                          // DVRӲ̸
    BYTE                byDVRType;                          // DVR,ö NET_DEVICE_TYPE
    union
    {
        BYTE            byChanNum;                          // DVRͨ,½ɹʱЧ
        BYTE            byLeftLogTimes;                     // ½ʧԭΪʱ,ͨ˲֪ͨû,ʣ½,Ϊ0ʱʾ˲Ч
    };
} NET_DEVICEINFO, *LPNET_DEVICEINFO;

// 豸Ϣչ
typedef struct
{
    BYTE                sSerialNumber[DH_SERIALNO_LEN];     // к
    int                 nAlarmInPortNum;                    // DVR
    int                 nAlarmOutPortNum;                   // DVR
    int                 nDiskNum;                           // DVRӲ̸
    int                 nDVRType;                           // DVR,ö NET_DEVICE_TYPE
    int                 nChanNum;                           // DVRͨ
    BYTE                byLimitLoginTime;                   // ߳ʱʱ,Ϊ0ʾƵ½,0ʾƵķ
    BYTE                byLeftLogTimes;                     // ½ʧԭΪʱ,ͨ˲֪ͨû,ʣ½,Ϊ0ʱʾ˲Ч
    BYTE                bReserved[2];                       // ֽ,ֽڶ
    int                 nLockLeftTime;                      // ½ʧ,ûʣʱ䣨, -1ʾ豸δøò
    char                Reserved[24];                       // 
} NET_DEVICEINFO_Ex, *LPNET_DEVICEINFO_Ex;

// TLSܲ
typedef enum tagEM_TLS_ENCRYPTION_POLICY
{
	EM_TLS_ENCRYPTION_SELFADAPTION,	// ӦTLSܷʽʹTLSܣ򲻼
	EM_TLS_ENCRYPTION_COMPULSIVE,	// ǿʹTLS, Ƶݶ
	EM_TLS_ENCRYPTION_NOTLS,		// TLS, Ƶݶ
	EM_TLS_ENCRYPTION_SIGNAL_TLS,	// ֻ, Ƶݲ
} EM_TLS_ENCRYPTION_POLICY;

// ½ӿ
typedef struct tagNET_LOGIN_PARAM
{
	DWORD		dwSize;
	char		szDVRIP[MAX_ADDRESS_LENGTH];			// 豸ipַ
	WORD		wDVRPort;								// 豸˿ں
	char		szUserName[MAX_USERNAME_LENGTH];		// û
	char 		szPassword[MAX_PASSWORD_LENGTH];		// û
	void	   *pCapParam; 								// ½
	EM_LOGIN_SPAC_CAP_TYPE 		emSpecCap;				// ½
	EM_TLS_ENCRYPTION_POLICY	emTlsPolicy;			// TLSܲ
} NET_LOGIN_PARAM;

// 豸汾Ϣ,16λʾ汾,16λʾΰ汾
typedef struct 
{
    DWORD               dwSoftwareVersion;
    DWORD               dwSoftwareBuildDate;
    DWORD               dwDspSoftwareVersion;
    DWORD               dwDspSoftwareBuildDate;
    DWORD               dwPanelVersion;
    DWORD               dwPanelSoftwareBuildDate;
    DWORD               dwHardwareVersion;
    DWORD               dwHardwareDate;
    DWORD               dwWebVersion;
    DWORD               dwWebBuildDate;
} DH_VERSION_INFO, *LPDH_VERSION_INFO;

// 豸汾Ϣ,ӦCLIENT_QueryDevStateӿ
typedef struct  
{
    char                szDevSerialNo[DH_DEV_SERIALNO_LEN];         // к
    char                byDevType;                                  // 豸,öNET_DEVICE_TYPE
    char                szDevType[DH_DEV_TYPE_LEN];                 // 豸ϸͺ,ַʽ,Ϊ
    int                 nProtocalVer;                               // Э汾
    char                szSoftWareVersion[DH_MAX_URL_LEN];
    DWORD               dwSoftwareBuildDate;
    char                szPeripheralSoftwareVersion[DH_MAX_URL_LEN];// Ƭ汾Ϣ,ַʽ,Ϊ
    DWORD               dwPeripheralSoftwareBuildDate;
    char                szGeographySoftwareVersion[DH_MAX_URL_LEN]; // ϢλоƬ汾Ϣ,ַʽ,Ϊ
    DWORD               dwGeographySoftwareBuildDate;
    char                szHardwareVersion[DH_MAX_URL_LEN];
    DWORD               dwHardwareDate;
    char                szWebVersion[DH_MAX_URL_LEN];
    DWORD               dwWebBuildDate;
    char                szDetailType[MAX_COMMON_STRING_64];          // 豸ϸͺ,ַʽ,Ϊ
    char                reserved[192];
} DHDEV_VERSION_INFO;

// DSP,ӦCLIENT_GetDevConfigӿ
typedef struct 
{
    DWORD               dwVideoStandardMask;        // Ƶʽ,λʾ豸ֵܹ֧Ƶʽ
    DWORD               dwImageSizeMask;            // ֱ,λʾ豸ֵܹ֧ķֱ
    DWORD               dwEncodeModeMask;           // ģʽ,λʾ豸ֵܹ֧ıģʽ    
    DWORD               dwStreamCap;                // λʾ豸ֵ֧Ķý幦,
                                                    // һλʾ֧
                                                    // ڶλʾָ֧1
                                                    // λʾָ֧2
                                                    // λʾ֧jpgץͼ
    DWORD               dwImageSizeMask_Assi[8];    // ʾΪֱʱ,ֵ֧ĸֱ롣
    DWORD               dwMaxEncodePower;           // DSPֵ֧߱ 
    WORD                wMaxSupportChannel;         // ÿDSP֧Ƶͨ 
    WORD                wChannelMaxSetSync;         // DSPÿͨǷͬ0ͬ,1ͬ
} DH_DSP_ENCODECAP, *LPDH_DSP_ENCODECAP;

// DSP,չ,ӦCLIENT_QueryDevStateӿ
typedef struct 
{
    DWORD               dwVideoStandardMask;        // Ƶʽ,λʾ豸ֵܹ֧Ƶʽ
    DWORD               dwImageSizeMask;            // ֱ,λʾ豸ֵܹ֧ķֱ
    DWORD               dwEncodeModeMask;           // ģʽ,λʾ豸ֵܹ֧ıģʽ
    DWORD               dwStreamCap;                // λʾ豸ֵ֧Ķý幦,
                                                    // һλʾ֧
                                                    // ڶλʾָ֧1
                                                    // λʾָ֧2
                                                    // λʾ֧jpgץͼ
    DWORD               dwImageSizeMask_Assi[32];   // ʾΪֱʱ,ֵ֧ĸֱ롣
    DWORD               dwMaxEncodePower;           // DSPֵ֧߱ 
    WORD                wMaxSupportChannel;         // ÿDSP֧Ƶͨ 
    WORD                wChannelMaxSetSync;         // DSPÿͨǷͬ0ͬ,1ͬ
    BYTE                bMaxFrameOfImageSize[32];   // ֱͬµɼ֡,dwVideoStandardMaskλӦ
    BYTE                bEncodeCap;                 // ־,ʱҪ,òЧ
                                                    // 0ı+ı <= 豸ı,
                                                    // 1ı+ı <= 豸ı,
                                                    // ı <= ı,
                                                    // ķֱ <= ķֱ,
                                                    // ͸֡ <= ǰƵɼ֡
                                                    // 2N5ļ㷽
                                                    // ķֱ <= ķֱ
                                                    // ѯֵ֧ķֱʺӦ֡
    char                reserved[95];
} DHDEV_DSP_ENCODECAP, *LPDHDEV_DSP_ENCODECAP;

// DSPչ,ӦCLIENT_QueryDevStateӿ
typedef struct 
{
    DWORD               dwVideoStandardMask;        // Ƶʽ,λʾ豸ֵܹ֧Ƶʽ
    DWORD               dwImageSizeMask;            // ֱ,λʾ豸ֵܹ֧ķֱ
    DWORD               dwEncodeModeMask;           // ģʽ,λʾ豸ֵܹ֧ıģʽ
    DWORD               dwStreamCap;                // λʾ豸ֵ֧Ķý幦,
                                                    // һλʾ֧
                                                    // ڶλʾָ֧1
                                                    // λʾָ֧2
                                                    // λʾָ֧3
                                                    // λʾ֧jpgץͼ
    DWORD               dwImageSizeMask_Assi[3][64];// ʾΪֱʱ,ֵ֧ĸֱ, е0,1,2Ԫطֱ1,2,3
    DWORD               dwMaxEncodePower;           // DSPֵ֧߱ 
    WORD                wMaxSupportChannel;         // ÿDSP֧Ƶͨ 
    WORD                wChannelMaxSetSync;         // DSPÿͨǷͬ0ͬ,1ͬ
    BYTE                bMaxFrameOfImageSize[32];   // ֱͬµɼ֡,dwVideoStandardMaskλӦ
    BYTE                bEncodeCap;                 // ־,ʱҪ,òЧ
                                                    // 0ı+ı <= 豸ı,
                                                    // 1ı+ı <= 豸ı,
                                                    // ı <= ı,
                                                    // ķֱ <= ķֱ,
                                                    // ͸֡ <= ǰƵɼ֡
                                                    // 2N5ļ㷽
                                                    // ķֱ <= ķֱ
                                                    // ѯֵ֧ķֱʺӦ֡
    BYTE                btReserve1[3];              // ֽڶ

    DWORD               dwExtraStream;              // 0λʾ, λαʾ, һλʾ1,ڶǱʾ2
    DWORD               dwCompression[3];           // ÿһֵʾӦıʽ֧
    
    char                reserved[108];
} DHDEV_DSP_ENCODECAP_EX, *LPDHDEV_DSP_ENCODECAP_EX;

// ϵͳϢ
typedef struct 
{
    DWORD               dwSize;
    /* 豸ֻ */
    DH_VERSION_INFO     stVersion;
    DH_DSP_ENCODECAP    stDspEncodeCap;                     // DSP
    BYTE                szDevSerialNo[DH_DEV_SERIALNO_LEN]; // к
    BYTE                byDevType;                          // 豸,öNET_DEVICE_TYPE
    BYTE                szDevType[DH_DEV_TYPE_LEN];         // 豸ϸͺ,ַʽ,Ϊ
    BYTE                byVideoCaptureNum;                  // Ƶ
    BYTE                byAudioCaptureNum;                  // Ƶ
    BYTE                byTalkInChanNum;                    // Խӿ
    BYTE                byTalkOutChanNum;                   // Խӿ
    BYTE                byDecodeChanNum;                    // NSP
    BYTE                byAlarmInNum;                       // 
    BYTE                byAlarmOutNum;                      // 
    BYTE                byNetIONum;                         // 
    BYTE                byUsbIONum;                         // USB
    BYTE                byIdeIONum;                         // IDE
    BYTE                byComIONum;                         // 
    BYTE                byLPTIONum;                         // 
    BYTE                byVgaIONum;                         // NSP
    BYTE                byIdeControlNum;                    // NSP
    BYTE                byIdeControlType;                   // NSP
    BYTE                byCapability;                       // NSP,չ
    BYTE                byMatrixOutNum;                     // Ƶ
    /* 豸Ŀд */
    BYTE                byOverWrite;                        // Ӳʽ(ǡֹͣ)
    BYTE                byRecordLen;                        // ¼
    BYTE                byDSTEnable;                        // Ƿʵʱ 1-ʵ 0-ʵ
    WORD                wDevNo;                             // 豸,ң
    BYTE                byVideoStandard;                    // Ƶʽ:0-PAL,1-NTSC
    BYTE                byDateFormat;                       // ڸʽ
    BYTE                byDateSprtr;                        // ڷָ(0".",1"-",2"/")
    BYTE                byTimeFmt;                          // ʱʽ (0-24Сʱ,112Сʱ)
    BYTE                byLanguage;                         // öֵDH_LANGUAGE_TYPE
} DHDEV_SYSTEM_ATTR_CFG, *LPDHDEV_SYSTEM_ATTR_CFG;

// ޸豸÷Ϣ
typedef struct
{
    DWORD               dwType;                     // (GetDevConfigSetDevConfig)
    WORD                wResultCode;                // 룻0ɹ,1ʧ,2ݲϷ,3ʱ޷,4ûȨ
    WORD                wRebootSign;                // ־0Ҫ,1ҪЧ
    DWORD               dwReserved[2];              //     
} DEV_SET_RESULT;

// ӻطŵĴ󷵻Ϣ
typedef struct
{
    DWORD               dwResultCode;               // 󷵻
                                                    // 1:Ȩ,2:豸ִ֧˲,3:Դ, 4:豸޷ȡǰ
                                                    // 11:ʾ߼ûռͼûԴ, 12:ֹ, 13:̶
                                                    // 14: ໭ԤѴ,Դ,ѹطʧ, 15: ѹطŹѴ,ʧ
                                                    // 16: ʾƵͨߣʧ
                                                    // 21: δ֪ѹʧԭ, 22: ѹʧ,
                                                    // 23: ѹѹʧ, 24: ԭʼѹʧ
                                                    // 25: ѹͨڵĴƬߣѹʧ
    LLONG               lPlayHandle;                // Ӧֵ
    BYTE                byReserved[32];             // ֽ                         

}DEV_PLAY_RESULT;

// ԽĴ󷵻Ϣ
typedef struct
{
    DWORD               dwResultCode;               // 󷵻 CLIENT_GetLastErrorӿڵķֵ
                                                    // NET_ERROR_TALK_REJECT _EC(375) // ܾԽ
                                                    // NET_ERROR_TALK_RESOURCE_CONFLICIT _EC(377) // Դͻ
                                                    // NET_ERROR_TALK_UNSUPPORTED_ENCODE _EC(378) // ֵ֧ʽ
                                                    // NET_ERROR_TALK_RIGHTLESS _EC(379) // Ȩ
    LLONG               lTalkHandle;                // Ӧֵ
    BYTE                byReserved[32];             // ֽ                         
}DEV_TALK_RESULT;

//DST(ʱ)
typedef struct  
{
    int                 nYear;                      // [200 - 2037]
    int                 nMonth;                     // [1 - 12]
    int                 nHour;                      // Сʱ [0 - 23]
    int                 nMinute;                    //  [0 - 59]
    int                 nWeekOrDay;                 // [-1 - 4]0:ʾʹðڼķ
                                                    // 1: ܼ: һ,2: ڶ,3: ,4: ,-1: һ
    union
    {
        int             iWeekDay;                   // [0 - 6](nWeekOrDayܼʱ)0:, 1:һ, 2:ڶ,3:,4:,5:,6:
        int             iDay;                       // [1 - 31] (nWeekOrDayڼ)
    };
    
    DWORD               dwReserved[8];              //     
}DH_DST_POINT;

typedef struct  
{
    DWORD               dwSize;
    int                 nDSTType;                   // ʱλʽ 0:ڶλʽ, 1:ܶλʽ
    DH_DST_POINT        stDSTStart;                 // ʼʱ
    DH_DST_POINT        stDSTEnd;                   // ʱ
    DWORD               dwReserved[16];             //     
}DHDEV_DST_CFG;


// Զά
typedef struct
{
    DWORD               dwSize;
    BYTE                byAutoRebootDay;            // Զ0Ӳ, 1ÿ,2ÿ,3ÿһ,......
    BYTE                byAutoRebootTime;           // 00:00,11:00,......2323:00
    BYTE                byAutoDeleteFilesTime;      // Զɾļ0Ӳ,124H,248H,372H,496H,5ONE WEEK,6ONE MONTH
    BYTE                reserved[13];               // λ
} DHDEV_AUTOMT_CFG;

// ӲϢ
typedef struct  
{
    DWORD               dwSize;                                     // ṹС,Աʼ
    DWORD               dwVolume;                                   // Ӳ
    DWORD               dwFreeSpace;                                // Ӳ̵ʣռ, λMB(Bʾֽ)
    BYTE                byModle[DH_MAX_HARDDISK_TYPE_LEN];          // Ӳͺ
    BYTE                bySerialNumber[DH_MAX_HARDDISK_SERIAL_LEN]; // Ӳк
}DHDEV_VEHICLE_DISK;

// ص3GģϢ,֧DH_MAX_SIM_NUMģ
typedef struct
{
    DWORD               dwSize;                                     // ṹС,Աʼ
    BYTE                szIMSI[DH_MAX_SIM_LEN];                     // SIMֵ460012002778636 ,ǰ3λΪҴMCC,4-6λΪMNC,ΪƶûݱʶMSIN,ܹᳬ15ַ
    BYTE                szMDN[DH_MAX_MDN_LEN];                      // SIMMDNֵ
}DHDEV_VEHICLE_3GMODULE;

// صĻϢ
typedef struct 
{
    DWORD                   dwSize;                                 // ṹС,Աʼ
    DWORD                   dwSoftwareBuildDate;                    // 
    char                    szVersion[DH_MAX_VERSION_LEN];          // 汾
    char                    szDevSerialNo[DH_DEV_SERIALNO_LEN];     // к
    char                    szDevType[DH_DEV_TYPE_LEN];             // 豸ϸͺ,ַʽ,Ϊ
    DWORD                   dwDiskNum;                              // Ӳ̸
    DHDEV_VEHICLE_DISK      stuHarddiskInfo[DH_MAX_DISKNUM];        // ӲϢ
    DWORD                   dw3GModuleNum;                          // 3Gģ
    DHDEV_VEHICLE_3GMODULE  stu3GModuleInfo[DH_MAX_SIM_NUM];        // 3GģϢ
}DHDEV_VEHICLE_INFO;

// ӿ,֧DH_MAX_NETINTERFACE_NUM
typedef struct tagDHDEV_NETINTERFACE_INFO
{
    int             dwSize;
    BOOL            bValid;                                         // ǷЧ
    BOOL            bVirtual;                                       // Ƿ
    int             nSpeed;                                         // ٶ(Mbps)
    int             nDHCPState;                                     // 0-δʹ, 1-ڻȡ, 2-ȡɹ
    char            szName[DH_NETINTERFACE_NAME_LEN];               // 
    char            szType[DH_NETINTERFACE_TYPE_LEN];               // 
    char            szMAC[DH_MACADDR_LEN];                          // MACַ
    char            szSSID[DH_MAX_SSID_LEN];                        // SSID, ֻЧ(szType == "Wireless")
    char            szConnStatus[DH_MAX_CONNECT_STATUS_LEN];        // Wifi3G״̬,"Inexistence" : 粻 "Down"ر "Disconn"δ "Connecting" "Connected" 
    int             nSupportedModeNum;                              // ʵ3Gֵ֧ģʽ
    char            szSupportedModes[DH_MAX_MODE_NUM][DH_MAX_MODE_LEN];// 3Gֵ֧ģʽ    "TD-SCDMA", "WCDMA", "CDMA1x", "EDGE", "EVDO"
	
	BOOL            bSupportLongPoE;                                // Ƿֳ֧POEٶЭ̣ҪͽЭ̺ȷ
	char			szNetCardName[8];								// ʵ
} DHDEV_NETINTERFACE_INFO;

//-----------------------------ͼͨ-------------------------------

// 򣻸߾ఴ8192ı
typedef struct 
{
   long             left;
   long             top;
   long             right;
   long             bottom;
} DH_RECT, *LPDH_RECT;

typedef struct tagNET_RECT
{
    int             nLeft;
    int             nTop;
    int             nRight;
    int             nBottom;
} NET_RECT;

// άռ
typedef struct 
{
   short            nx;
   short            ny;
} DH_POINT, *LPDH_POINT, NET_POINT, *LPNET_POINT;

// ߶Ϣ
typedef struct
{
    int        nPointNum;                               // 
    DH_POINT   stuPoints[DH_MAX_DETECT_REGION_NUM];     // Ϣ
}DH_POLY_POINTS;

// OSDԽṹ
typedef struct  tagENCODE_WIDGET
{
    DWORD               rgbaFrontground;                // ǰֽڱʾ,ֱΪ졢̡͸
    DWORD               rgbaBackground;                 // ıֽڱʾ,ֱΪ졢̡͸
    DH_RECT             rcRect;                         // λ
    BYTE                bShow;                          // ʾʹ
    BYTE                bExtFuncMask;                   // չʹ , 
                                                        // bit0 ʾǷʾڼ,0-ʾ 1-ʾ 
    BYTE                byReserved[2];
} DH_ENCODE_WIDGET, *LPDH_ENCODE_WIDGET;

// ͨƵ
typedef struct 
{
    // Ƶ
    BYTE                byVideoEnable;                  // Ƶʹܣ1,0ر
    BYTE                byBitRateControl;               // ƣճ""
    BYTE                byFramesPerSec;                 // ֡
    BYTE                byEncodeMode;                   // ģʽճ"ģʽ"
    BYTE                byImageSize;                    // ֱʣճ"ֱ"
    BYTE                byImageQlty:7;                  // byImageQltyչ,byImageQltyΪ0,ץͼõImgQltyΪ10/30/50/60/80/100ֵ,õImgQltyֵΪ1-6,֮ǰ1-6,//ImgQltyTypeΪ1,ImgQltyΧΪ0~100
    BYTE                byImageQltyType:1;       
    WORD                wLimitStream;                   // 
    // Ƶ
    BYTE                byAudioEnable;                  // Ƶʹܣ1,0ر
    BYTE                wFormatTag;                     // Ƶ: 0:G711A,1:PCM,2:G711U,3:AMR,4:AAC
    WORD                nChannels;                      // 
    WORD                wBitsPerSample;                 //     
    BYTE                bAudioOverlay;                  // Ƶʹ
    BYTE                bH264ProfileRank;               // H.264 Profileȼ(ģʽΪH264ʱ˲ֵЧ),öEM_H264_PROFILE_RANK,0,ǰ,ʾֶЧ,ҪǼ
    DWORD               nSamplesPerSec;                 // 
    BYTE                bIFrameInterval;                // I֡֡,I֮֡P֡,0-149
    BYTE                bScanMode;                      // NSP
    BYTE                bReserved_3;
    BYTE                bReserved_4;
} DH_VIDEOENC_OPT, *LPDH_VIDEOENC_OPT;

// ɫ
typedef struct 
{
    DH_TSECT            stSect;
    BYTE                byBrightness;                   // ȣ0-100
    BYTE                byContrast;                     // Աȶȣ0-100
    BYTE                bySaturation;                   // Ͷȣ0-100
    BYTE                byHue;                          // ɫȣ0-100
    BYTE                byGainEn;                       // ʹ
    BYTE                byGain;                         // 棻0-100
    BYTE                byGamma;                        // ٤ֵ 0-100
    BYTE                byReserved[1];
} DH_COLOR_CFG, *LPDH_COLOR_CFG;

// ͼͨԽṹ
typedef struct 
{
    WORD                dwSize;
    BYTE                bNoise;
    BYTE                bMode;                          // ()ģʽһ():¼ֱʲ4·D1,֡2fps,128kbps(ÿСʱ225MB)
                                                        // ģʽ():¼ֱʲ4·CIF,֡12fps,256kbps(ÿСʱ550MB)
                                                        // ģʽ(Զ)¼ֱʿûԶ,޶Ϊ4CIF/25fps
    char                szChannelName[DH_CHAN_NAME_LEN];
    DH_VIDEOENC_OPT     stMainVideoEncOpt[DH_REC_TYPE_NUM];
    DH_VIDEOENC_OPT     stAssiVideoEncOpt[DH_N_ENCODE_AUX];        
    DH_COLOR_CFG        stColorCfg[DH_N_COL_TSECT];
    DH_ENCODE_WIDGET    stTimeOSD;
    DH_ENCODE_WIDGET    stChannelOSD;
    DH_ENCODE_WIDGET    stBlindCover[DH_N_COVERS];      // ڵ
    BYTE                byBlindEnable;                  // ڸǿأ0x00ʹڸ,0x01ڸ豸Ԥ,0x10ڸ¼Ԥ,0x11ڸ
    BYTE                byBlindMask;                    // ڸ룻һλ豸Ԥڶλ¼(Ԥ) */
    BYTE                bVolume;                        // ֵ(0~100ɵ)
    BYTE                bVolumeEnable;                  // ֵʹ
} DHDEV_CHANNEL_CFG, *LPDHDEV_CHANNEL_CFG;

// Ԥͼ
typedef struct 
{
    DWORD               dwSize;
    DH_VIDEOENC_OPT     stPreView;
    DH_COLOR_CFG        stColorCfg[DH_N_COL_TSECT];
}DHDEV_PREVIEW_CFG;

// ץͼ
typedef struct _config_snap_control
{
    BYTE                bySnapState[32];                // ÿͨӦץͼ 0:Զ(ʾǷץͼ,ú¼); 1:ץͼ; 2:ץͼر
    BYTE                byReserved[480];
}DHDEV_SNAP_CONTROL_CFG;

enum _gps_mode
{
    GPS_OR_GLONASS_MODE,            // GPSGLONASSģʽ(ģ鶨λݴGPSGLONASSлȡ,Դĸϵͳȷ,ģڲԶᴦ)
    GLONASS_MODE,                   // GLONASSģʽ(ģĶλݴӶ˹GLONASSλϵͳлȡ)
    GPS_MODE,                       // GPSģʽ(ģĶλݴGPSϵͳлȡ) 
};
// DH_DEV_GPS_MODE_CFG ýṹ
typedef struct tagDHDEV_GPS_MODE_CFG
{
    BYTE                byGPSMode;                      // GPSλģʽ,
    BYTE                byRev[255];
}DHDEV_GPS_MODE_CFG;

// ͼƬϴϢ DH_DEV_SNAP_UPLOAD_CFG ýṹ
typedef struct tagDHDEV_SNAP_UPLOAD_CFG
{
    int                 nUploadInterval;                //ʱץͼͼƬϴ,λ
    BYTE                byReserved[252];    
}DHDEV_SNAP_UPLOAD_CFG;


// DHDEV_SPEED_LIMIT_CFG ýṹ
typedef struct tagDHDEV_SPEED_LIMIT_CFG
{
    BYTE                byEnable;                       // ʹ1ʹܣ0ʹܡ
    BYTE                byReserved1;                    // ֶ
    WORD                wMaxSpeed;                      // ٶֵλKM/H 0ʾ,0ʾ
    WORD                wMinSpeed;                      // ٶֵλKM/H 0ʾ,0ʾ
    BYTE                byReserved2[122];               // ֶ
}DHDEV_SPEED_LIMIT_CFG;

// ·
typedef struct
{
    BOOL                bEnable;                        // ʹ
    char                szSSID[36];                     // SSID
    BOOL                bHideSSID;                      // ǷSSID
    char                szIP[DH_MAX_IPADDR_LEN];        // IP
    char                szSubMark[DH_MAX_IPADDR_LEN];   // 
    char                szGateWay[DH_MAX_IPADDR_LEN];   // 
    char                szCountry[32];                  // , DefaultĬϲָбο·Ϣ
    int                 nSafeType;                      // Ȩģʽ: 1-; 2-WEPģʽ; 2-WPA-PSKģʽ; 3-WPA2-PSKģʽ
    int                 nEncryption;                    // ܷʽ: WEPģʽ(1-Զ 2- 3-); WPA-PSKģʽ/WPA2-PSKģʽ(4-TKIP 5-AES)
    char                szKey[32];                      // Կ
    int                 nChannel;                       // ŵ, Чŵбο·Ϣ
    BOOL                bAutoChannelSelect;             // Զѡŵ    
}DHDEV_WIRELESS_ROUTING_CFG;

//----------------------------------------------------------------

// ڻ
typedef struct
{
    BYTE                byDataBit;                      // λ05,16,27,38
    BYTE                byStopBit;                      // ֹͣλ01λ,11.5λ,22λ
    BYTE                byParity;                       // Уλ0У,1У飻2żУ; 3:־У; 4:У
    BYTE                byBaudRate;                     // ʣ0300,1600,21200,32400,44800,
                                                        // 59600,619200,738400,857600,9115200
} DH_COMM_PROP;

// 485
typedef struct
{ 
    DH_COMM_PROP        struComm;
    BYTE                wProtocol;                      // Э,Ӧ"Эб"±
    BYTE                bPTZType;                       // 0-,̨ 1-Զ̨,ͨѯ(DEV_ENCODER_CFG)
    BYTE                wDecoderAddress;                // ַ0 - 255
    BYTE                byMartixID;                     // 
} DH_485_CFG;

// 232
typedef struct
{
    DH_COMM_PROP        struComm;
    BYTE                byFunction;                     // ڹ,Ӧ"б"±
    BYTE                byReserved[3];
} DH_RS232_CFG;

// ýṹ
typedef struct
{
    DWORD               dwSize;

    DWORD               dwDecProListNum;                                        // Э
    char                DecProName[DH_MAX_DECPRO_LIST_SIZE][DH_MAX_NAME_LEN];   // Эб
    DH_485_CFG          stDecoder[DH_MAX_DECODER_NUM];                          // ǰ

    DWORD               dw232FuncNameNum;                                       // 232ܸ
    char                s232FuncName[DH_MAX_232FUNCS][DH_MAX_NAME_LEN];         // б
    DH_RS232_CFG        st232[DH_MAX_232_NUM];                                  // 232ڵǰ
} DHDEV_COMM_CFG;

// չýṹ
typedef struct
{
    DWORD               dwSize;
    
    DWORD               dwDecProListNum;                                        // Э
    char                DecProName[DH_MAX_DECPRO_LIST_SIZE][DH_MAX_NAME_LEN];   // Эб
    DH_485_CFG          stDecoder[DH_MAX_DECODER_NUM];                          // ǰ
    
    DWORD               dw232FuncNameNum;                                       // 232ܸ
    char                s232FuncName[DH_MAX_232FUNCS][DH_MAX_NAME_LEN];         // б
    DWORD               dw232ComNum;                                            // 232ڸ   
    DH_RS232_CFG        st232[DH_MAX_232_NUM_EX];                               // 232ڵǰ
} DHDEV_COMM_CFG_EX;

// ״̬
typedef struct
{
    unsigned int        uBeOpened;
    unsigned int        uBaudRate;
    unsigned int        uDataBites;
    unsigned int        uStopBits;
    unsigned int        uParity;
    BYTE                bReserved[32];
} DH_COMM_STATE;

//-------------------------------¼---------------------------------

// ʱ¼
typedef struct 
{
    DWORD               dwSize;
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT];
    BYTE                byPreRecordLen;                     // Ԥ¼ʱ,λs,0ʾԤ¼
    BYTE                byRedundancyEn;                     // ¼࿪
    BYTE                byRecordType;                       // ¼ͣ0- 1-1 2-2 3-3
    BYTE                byReserved;
} DHDEV_RECORD_CFG, *LPDH_RECORD_CFG;

// NTP
typedef struct  
{
    BOOL                bEnable;                            // Ƿ
    int                 nHostPort;                          // NTPĬ϶˿Ϊ123
    char                szHostIp[32];                       // IP
    char                szDomainName[128];                  // 
    int                 nType;                              // ,0ʾIP,1ʾ,2ʾIP
    int                 nUpdateInterval;                    // ʱ()
    int                 nTimeZone;                          // DH_TIME_ZONE_TYPE
    char                reserved[128];
} DHDEV_NTP_CFG;

// FTPϴ
typedef struct
{
    struct
    {
        DH_TSECT        struSect;                           // ʱڵġʹܡЧ,ɺ
        BOOL            bMdEn;                              // ϴ̬¼
        BOOL            bAlarmEn;                           // ϴⲿ¼
        BOOL            bTimerEn;                           // ϴͨʱ¼
        DWORD           dwRev[4];
    } struPeriod[DH_TIME_SECTION];
} DH_FTP_UPLOAD_CFG;

typedef struct
{
    DWORD               dwSize;
    BOOL                bEnable;                            // Ƿ
    char                szHostIp[DH_MAX_IPADDR_LEN];        // IP
    WORD                wHostPort;                          // ˿
    char                szDirName[DH_FTP_MAX_PATH];         // FTPĿ¼·
    char                szUserName[DH_FTP_USERNAME_LEN];    // û
    char                szPassword[DH_FTP_PASSWORD_LEN];    // 
    int                 iFileLen;                           // ļ
    int                 iInterval;                          // ļʱ(1~600),λ 
    DH_FTP_UPLOAD_CFG   struUploadCfg[DH_MAX_CHANNUM][DH_N_WEEKS];
    char                protocol;                           // 0-FTP 1-SMB 2-NFS,3-ISCSI
    char                NASVer;                             // 洢汾0=ϵFTP(ʾʱ),1=NAS洢(ʱ)
    DWORD               dwFunctionMask;                     // ,λʾ,16λ(洢)αʾFTP,SMB,NFS,ISCSI, 16λ(ش洢)ΪDISK,U
    BYTE                bDataType;                          // , 0-, 1-Ƶ, 2-ͼƬ
    BYTE                reserved[123];
} DHDEV_FTP_PROTO_CFG;

// FTPϴչ(֧ͨFTP洢·,洢ͼƬ)
typedef struct 
{
    int            nMaxPictures;                             // ܴ洢,ÿһͨļеͼƬ,
                                                             // ƾ͸ϵļ,0:ʾ,дΪֹ
    char           szPreChannelName[DH_FTP_MAX_SUB_PATH];    // ͼƬļ
    char           szFTPChannelPath[DH_FTP_MAX_SUB_PATH];    // ftp洢·(洢Ŀ¼)
    char           szRev[128];                               // ֶ
}DHDEV_FTP_CHANNEL_CFG; 


typedef struct 
{ 
    DHDEV_FTP_PROTO_CFG       stuFtpNormalSet;                     // FTPԭй,չͨ
    DHDEV_FTP_CHANNEL_CFG     stuFtpChannelSet[DH_MAX_CHANNUM];    // FTPչ
    char                      szRev[128];                          // ֶ
}DHDEV_FTP_PROTO_CFG_EX;

//----------------------------------------------------------------

// ̫
typedef struct 
{
    char                sDevIPAddr[DH_MAX_IPADDR_LEN];      // DVR IP ַ
    char                sDevIPMask[DH_MAX_IPADDR_LEN];      // DVR IP ַ
    char                sGatewayIP[DH_MAX_IPADDR_LEN];      // صַ

    /*
     * 110Mbps ȫ˫
     * 210Mbps Ӧ
     * 310Mbps ˫
     * 4100Mbps ȫ˫
     * 5100Mbps Ӧ
     * 6100Mbps ˫
     * 7Ӧ
     */
    // ΪչDWORDĸ
    BYTE                dwNetInterface;                     // NSP
    BYTE                bTranMedia;                         // 0,1
    BYTE                bValid;                             // λʾ,һλ1Ч 0Чڶλ0DHCPر 1DHCPʹܣλ0֧DHCP 1֧DHCP
    BYTE                bDefaultEth;                        // ǷΪĬϵ 1Ĭ 0Ĭ
    char                byMACAddr[DH_MACADDR_LEN];          // MACַ,ֻ
} DH_ETHERNET; 

// Զ
typedef struct 
{
    BYTE                byEnable;                           // ʹ
    BYTE                byAssistant;                        // ĿǰֻPPPoE,0ţ1ϲ
    WORD                wHostPort;                          // Զ ˿
    char                sHostIPAddr[DH_MAX_IPADDR_LEN];     // Զ IP ַ        
    char                sHostUser[DH_MAX_HOST_NAMELEN];     // Զ û
    char                sHostPassword[DH_MAX_HOST_PSWLEN];  // Զ 
} DH_REMOTE_HOST;

// ʼ
typedef struct 
{
    char                sMailIPAddr[DH_MAX_IPADDR_LEN];     // ʼIPַ
    WORD                wMailPort;                          // ʼ˿
    WORD                wReserved;                          // 
    char                sSenderAddr[DH_MAX_MAIL_ADDR_LEN];  // ͵ַ
    char                sUserName[DH_MAX_NAME_LEN];         // û
    char                sUserPsw[DH_MAX_NAME_LEN];          // û
    char                sDestAddr[DH_MAX_MAIL_ADDR_LEN];    // Ŀĵַ
    char                sCcAddr[DH_MAX_MAIL_ADDR_LEN];      // ͵ַ
    char                sBccAddr[DH_MAX_MAIL_ADDR_LEN];     // ַ
    char                sSubject[DH_MAX_MAIL_SUBJECT_LEN];  // 
} DH_MAIL_CFG;

// ýṹ
typedef struct
{ 
    DWORD               dwSize; 
    char                sDevName[DH_MAX_NAME_LEN];          // 豸
    WORD                wTcpMaxConnectNum;                  // TCP
    WORD                wTcpPort;                           // TCP֡˿
    WORD                wUdpPort;                           // UDP˿
    WORD                wHttpPort;                          // HTTP˿ں
    WORD                wHttpsPort;                         // HTTPS˿ں
    WORD                wSslPort;                           // SSL˿ں
    DH_ETHERNET         stEtherNet[DH_MAX_ETHERNET_NUM];    // ̫
    DH_REMOTE_HOST      struAlarmHost;                      // 
    DH_REMOTE_HOST      struLogHost;                        // ־
    DH_REMOTE_HOST      struSmtpHost;                       // SMTP
    DH_REMOTE_HOST      struMultiCast;                      // ಥ
    DH_REMOTE_HOST      struNfs;                            // NFS
    DH_REMOTE_HOST      struPppoe;                          // PPPoE
    char                sPppoeIP[DH_MAX_IPADDR_LEN];        // PPPoEע᷵صIP
    DH_REMOTE_HOST      struDdns;                           // DDNS
    char                sDdnsHostName[DH_MAX_HOST_NAMELEN]; // DDNS
    DH_REMOTE_HOST      struDns;                            // DNS
    DH_MAIL_CFG         struMail;                           // ʼ
} DHDEV_NET_CFG;

// ̫չ
typedef struct 
{
	char                sDevIPAddr[DH_MAX_IPADDR_LEN];      // DVR IP ַ
	char                sDevIPMask[DH_MAX_IPADDR_LEN];      // DVR IP ַ
	char                sGatewayIP[DH_MAX_IPADDR_LEN];      // صַ

	/*
	* 110Mbps ȫ˫
	* 210Mbps Ӧ
	* 310Mbps ˫
	* 4100Mbps ȫ˫
	* 5100Mbps Ӧ
	* 6100Mbps ˫
	* 7Ӧ
	*/
	// ΪչDWORDĸ
	BYTE                dwNetInterface;                     // NSP
	BYTE                bTranMedia;                         // 0,1
	BYTE                bValid;                             // λʾ,һλ1Ч 0Чڶλ0DHCPر 1DHCPʹܣλ0֧DHCP 1֧DHCP
	BYTE                bDefaultEth;                        // ǷΪĬϵ 1Ĭ 0Ĭ
	char                byMACAddr[DH_MACADDR_LEN];          // MACַ,ֻ
	BYTE                bMode;                              // ģʽ, 0:ģʽ, 1:ؾģʽ, 2:ַģʽ, 3:ݴģʽ
	BYTE                bReserved1[3];                      // ֽڶ
	char                szEthernetName[DH_MAX_NAME_LEN];    // ,ֻ
	BYTE                bReserved[12];                      // ֽ   
} DH_ETHERNET_EX; 

// չýṹ
typedef struct
{ 
	DWORD               dwSize; 
    char                sDevName[DH_MAX_NAME_LEN];          // 豸
    WORD                wTcpMaxConnectNum;                  // TCP
    WORD                wTcpPort;                           // TCP֡˿
    WORD                wUdpPort;                           // UDP˿
    WORD                wHttpPort;                          // HTTP˿ں
    WORD                wHttpsPort;                         // HTTPS˿ں
    WORD                wSslPort;                           // SSL˿ں
    int                 nEtherNetNum;                       // ̫
    DH_ETHERNET_EX      stEtherNet[DH_MAX_ETHERNET_NUM_EX]; // ̫
    DH_REMOTE_HOST      struAlarmHost;                      // 
    DH_REMOTE_HOST      struLogHost;                        // ־
    DH_REMOTE_HOST      struSmtpHost;                       // SMTP
    DH_REMOTE_HOST      struMultiCast;                      // ಥ
    DH_REMOTE_HOST      struNfs;                            // NFS
    DH_REMOTE_HOST      struPppoe;                          // PPPoE
    char                sPppoeIP[DH_MAX_IPADDR_LEN];        // PPPoEע᷵صIP
    DH_REMOTE_HOST      struDdns;                           // DDNS
    char                sDdnsHostName[DH_MAX_HOST_NAMELEN]; // DDNS
    DH_REMOTE_HOST      struDns;                            // DNS
    DH_MAIL_CFG         struMail;                           // ʼ
    BYTE                bReserved[128];                     // ֽ
} DHDEV_NET_CFG_EX;

typedef struct tagDEV_IPV4_CFG
{
	DWORD				dwSize;								// ṹС
	char                szDevName[DH_MAX_NAME_LEN];         // 豸
	WORD                wTcpMaxConnectNum;                  // TCP
	WORD                wTcpPort;                           // TCP֡˿
	WORD                wUdpPort;                           // UDP˿
	WORD                wHttpPort;                          // HTTP˿ں
	WORD                wHttpsPort;                         // HTTPS˿ں
	WORD                wSslPort;                           // SSL˿ں	
	DH_ETHERNET_EX      stuEtherNet[DH_MAX_ETHERNET_NUM_EX];// ̫
	int					nEtherNetNum;						// stuEtherNet 
}DEV_IPV4_CFG;

// ddnsýṹ
typedef struct
{
    DWORD               dwId;                                           // ddnsid
    BOOL                bEnable;                                        // ʹ,ͬһʱֻһddnsʹ״̬
    char                szServerType[DH_MAX_SERVER_TYPE_LEN];           // ,ϣ..
    char                szServerIp[DH_MAX_DOMAIN_NAME_LEN];             // ip
    DWORD               dwServerPort;                                   // ˿
    char                szDomainName[DH_MAX_DOMAIN_NAME_LEN];           // dvr,jeckean.3322.org
    char                szUserName[DH_MAX_HOST_NAMELEN];                // û
    char                szUserPsw[DH_MAX_HOST_PSWLEN];                  // 
    char                szAlias[DH_MAX_DDNS_ALIAS_LEN];                 // 
    DWORD               dwAlivePeriod;                                  // DDNS ʱ
    BYTE                ByMode;                                         // ģʽ:0-ֶ,szDomainNameЧ; 1-ĬszDefaultDomainNameЧ
    char                szDefaultDomainName[DH_MAX_DEFAULT_DOMAIN_LEN]; // Ĭ,ֻ
    BYTE                bReserved[3];                                   // ֽڶ
    char                szEmailUserName[DH_MAX_MAIL_NAME_LEN];          // û
    char                reserved[128];
} DH_DDNS_SERVER_CFG;

typedef struct
{
    DWORD                dwSize;
    DWORD                dwDdnsServerNum;    
    DH_DDNS_SERVER_CFG   struDdnsServer[DH_MAX_DDNS_NUM];    
} DHDEV_MULTI_DDNS_CFG;

// ʼýṹ
typedef struct 
{
    char                sMailIPAddr[DH_MAX_DOMAIN_NAME_LEN];    // ʼַ(IP)
    char                sSubMailIPAddr[DH_MAX_DOMAIN_NAME_LEN];
    WORD                wMailPort;                              // ʼ˿
    WORD                wSubMailPort;
    WORD                wReserved;                              // 
    char                sSenderAddr[DH_MAX_MAIL_ADDR_LEN];      // ͵ַ
    char                sUserName[DH_MAX_MAIL_NAME_LEN];        // û
    char                sUserPsw[DH_MAX_MAIL_NAME_LEN];         // û
    char                sDestAddr[DH_MAX_MAIL_ADDR_LEN];        // Ŀĵַ
    char                sCcAddr[DH_MAX_MAIL_ADDR_LEN];          // ͵ַ
    char                sBccAddr[DH_MAX_MAIL_ADDR_LEN];         // ַ
    char                sSubject[DH_MAX_MAIL_SUBJECT_LEN];      // 
    BYTE                bEnable;                                // ʹ0:false,    1:true
    BYTE                bSSLEnable;                             // SSLʹ
    WORD                wSendInterval;                          // ʱ,[0,3600]
    BYTE                bAnonymous;                             // ѡ[0,1], 0ʾFALSE,1ʾTRUE.
    BYTE                bAttachEnable;                          // ʹ[0,1], 0ʾFALSE,1ʾTRUE.
    char                reserved[154];
} DHDEV_MAIL_CFG;

// DNS
typedef struct  
{
    char                szPrimaryIp[DH_MAX_IPADDR_LEN];
    char                szSecondaryIp[DH_MAX_IPADDR_LEN];
    char                reserved[256];
} DHDEV_DNS_CFG;

// ¼ز
typedef struct
{
    DWORD               dwSize;
    BOOL                bEnable;                                // TRUE,FALSEͨ
}DHDEV_DOWNLOAD_STRATEGY_CFG;

// 紫
typedef struct
{
    DWORD               dwSize;
    BOOL                bEnable;
    int                 iStrategy;                              // 0,1,2Զ
}DHDEV_TRANSFER_STRATEGY_CFG;

// õʱز
typedef struct  
{
    int                 nWaittime;                              // ȴʱʱ(Ϊλ),Ϊ0Ĭ5000ms
    int                 nConnectTime;                           // ӳʱʱ(Ϊλ),Ϊ0Ĭ1500ms
    int                 nConnectTryNum;                         // ӳԴ,Ϊ0Ĭ1
    int                 nSubConnectSpaceTime;                   // ֮ĵȴʱ(Ϊλ),Ϊ0Ĭ10ms
    int                 nGetDevInfoTime;                        // ȡ豸Ϣʱʱ,Ϊ0Ĭ1000ms
    int                 nConnectBufSize;                        // ÿӽݻС(ֽΪλ),Ϊ0Ĭ250*1024
    int                 nGetConnInfoTime;                       // ȡϢʱʱ(Ϊλ),Ϊ0Ĭ1000ms
    int                 nSearchRecordTime;                      // ʱѯ¼ļĳʱʱ(Ϊλ),Ϊ0ĬΪ3000ms
    int                 nsubDisconnetTime;                      // Ӷߵȴʱ(Ϊλ),Ϊ0ĬΪ60000ms
    BYTE                byNetType;                              // , 0-LAN, 1-WAN
    BYTE                byPlaybackBufSize;                      // طݽջСMΪλ,Ϊ0ĬΪ4M
    BYTE                bDetectDisconnTime;                     // ʱ(λΪ),Ϊ0ĬΪ60s,СʱΪ2s
    BYTE                bKeepLifeInterval;                      // ͼ(λΪ),Ϊ0ĬΪ10s,СΪ2s
    int                 nPicBufSize;                            // ʵʱͼƬջСֽΪλ,Ϊ0ĬΪ2*1024*1024
    BYTE                bReserved[4];                           // ֶֶ
} NET_PARAM;

// UDP鲥
typedef struct tagNET_UDP_OPTION
{
   unsigned int nPacketArriveTimeout;           // ȴﳬʱʱ, λΪms, ĬΪ50ms, ֵΪ200ms, Ϊ0ʾĵǰֵ
   unsigned int nRetransmitPacketArriveTimeout; // ȴشĳʱʱ,        λΪms, ĬΪ100ms, ֵΪ400ms, Ϊ0ʾĵǰֵ
   unsigned int nMaxLostNumOfMulitcastSeqNo;    // Ŀɽܵ鲥, ĬΪ1000, ֵΪ2000, Ϊ0ʾĵǰֵ
   unsigned int nMaxWaitNumOfUdpSeqNo;          // ĵȴUDP򵽴İ, ĬΪ30, ֵΪ1000, Ϊ0ʾĵǰֵ
   unsigned int nMultiSocketSendBufferSize;     // 鲥׽ַͻС, λByte, Ĭ64K, С8K, 1M, Ϊ0ʾĵǰֵ
   unsigned int nMultiSocketRecvBufferSize;     // 鲥׽ֽܻС, λByte, Ĭ1M, С8K, 1M, Ϊ0ʾĵǰֵ
   unsigned int nUdpSocketSendBufferSize;       // UDP׽ַͻС, λByte, Ĭ64K, С8K, 1M, Ϊ0ʾĵǰֵ
   unsigned int nUdpSocketRecvBufferSize;       // UDP׽ֽܻС, λByte, Ĭ1M, С8K, 1M, Ϊ0ʾĵǰֵ
   BYTE bReserved[128];                         // ֶֶ
}NET_UDP_OPTION;

// ӦCLIENT_SearchDevicesӿ
typedef struct 
{
    char                szIP[DH_MAX_IPADDR_LEN];                // IP
    int                 nPort;                                  // tcp˿
    char                szSubmask[DH_MAX_IPADDR_LEN];           // 
    char                szGateway[DH_MAX_IPADDR_LEN];           // 
    char                szMac[DH_MACADDR_LEN];                  // MACַ
    char                szDeviceType[DH_DEV_TYPE_LEN];          // 豸
    BYTE                byManuFactory;                          // Ŀ豸,οEM_IPC_TYPE
    BYTE                byIPVersion;                            // 4: IPv4, szXXXΪַʽ;  6:IPv6, szXXXΪ128λ(16ֽ)ֵʽ
	BYTE				byInitStatus;							// 豸ʼ״̬λȷʼ״̬
																// bit0~10-豸ûгʼ 1-δʼ˺ 2-ѳʼ˻
																// bit2~30-豸 1-δʹ 2-ʹ
																// bit4~50-豸 1-ֱֻδʹ 2-ֱֻʹ
	
	BYTE				byPwdResetWay;							// ֧÷ʽλȷ÷ʽֻ豸гʼ˺ʱ															
																// bit0-֧Ԥֻ bit1-֧Ԥ bit2-֧ļ
	BYTE				bySpecialAbility;						// 豸ʼλȷʼ״̬,bit0-2D Code޸IP: 0 ֧ 1 ֧,bit1-PN:0 ֧ 1 ֧
    BYTE                bReserved[27];                          // ֽ
} DEVICE_NET_INFO;

#define DH_DEV_CUSTOM_DEVICEID_LEN               24				// ID

// ӦCLIENT_StartSearchDevicesӿ
typedef struct 
{
    int                 iIPVersion;                             // 4 for IPV4, 6 for IPV6
    char                szIP[64];                               // IP IPV4"192.168.0.1" IPV6"2008::1/64"
    int                 nPort;                                  // tcp˿
    char                szSubmask[64];                          //  IPV6
    char                szGateway[64];                          // 
    char                szMac[DH_MACADDR_LEN];                  // MACַ
    char                szDeviceType[DH_DEV_TYPE_LEN];          // 豸
    BYTE                byManuFactory;                          // Ŀ豸,οEM_IPC_TYPE    
    BYTE                byDefinition;                           // 1- 2-
    bool                bDhcpEn;                                // Dhcpʹ״̬, true-, false-
    BYTE                byReserved1;                            // ֽڶ
    char                verifyData[88];                         // У ͨ첽صȡ(޸豸IPʱôϢУ)
    char                szSerialNo[DH_DEV_SERIALNO_LEN];        // к
    char                szDevSoftVersion[DH_MAX_URL_LEN];       // 豸汾    
    char                szDetailType[DH_DEV_TYPE_LEN];          // 豸ͺ
    char                szVendor[DH_MAX_STRING_LEN];            // OEMͻ
    char                szDevName[DH_MACHINE_NAME_NUM];         // 豸
    char                szUserName[DH_USER_NAME_LENGTH_EX];     // ½豸û޸豸IPʱҪд
    char                szPassWord[DH_USER_NAME_LENGTH_EX];     // ½豸루޸豸IPʱҪд
    unsigned short      nHttpPort;                              // HTTP˿ں
    WORD                wVideoInputCh;                          // Ƶͨ
    WORD                wRemoteVideoInputCh;                    // ԶƵͨ
    WORD                wVideoOutputCh;                         // Ƶͨ
    WORD                wAlarmInputCh;                          // ͨ
    WORD                wAlarmOutputCh;                         // ͨ
    BOOL                bNewWordLen;                            // TRUEʹֶszNewPassWord
    char                szNewPassWord[DH_COMMON_STRING_64];     // ½豸루޸豸IPʱҪд
    BYTE                byInitStatus;                           // 豸ʼ״̬λȷʼ״̬
                                                                // bit0~10-豸ûгʼ 1-δʼ˺ 2-ѳʼ˻
                                                                // bit2~30-豸 1-δʹ 2-ʹ
                                                                // bit4~50-豸 1-ֱֻδʹ 2-ֱֻʹ
                                                                // bit6~7: 0- δ֪ 1-֧ 2-֧

    BYTE                byPwdResetWay;                          // ֧÷ʽλȷ÷ʽֻ豸гʼ˺ʱ															
                                                                // bit0-֧Ԥֻ bit1-֧Ԥ bit2-֧ļ bit3-֧ܱ bit4-ָֻ֧
    BYTE                bySpecialAbility;                       // 豸ʼλȷʼ,߰λ bit0-2D Code޸IP: 0 ֧ 1 ֧, bit1-PN:0 ֧ 1֧

    char                szNewDetailType[DH_COMMON_STRING_64];   // 豸ͺ 
    BOOL                bNewUserName;               // TRUEʾʹû(szNewUserName)ֶ
    char                szNewUserName[DH_COMMON_STRING_64];     // ½豸û޸豸IPʱҪд
    BYTE                byPwdFindVersion;                       // һصİ汾,豸֧ʱЧ;
                                                                // 0-豸ʹõϷð汾;1-֧Ԥϵʽò;
                                                                // 2-ָ֧ϵʽò;
    char                szDeviceID[DH_DEV_CUSTOM_DEVICEID_LEN]; // ֶ, ΪͨЭ飬Խͨÿͻ
    DWORD               dwUnLoginFuncMask;                      // (δ¼ܺҪǰĹ)
																// Bit0 - Wifiбɨ輰WLanãδ¼ܣ
																// Bit1 - 豸ֻ֧Ự޸Ĺ
																// Bit2 - 豸Ƿִ֧־ضǰܣ
    char                cReserved[12];                          // չֶ
}DEVICE_NET_INFO_EX;

// ӦCLIENT_StartSearchDevicesExӿ
typedef struct 
{
    DEVICE_NET_INFO_EX  stuDevInfo;                             // 豸Ϣṹ						
    char                szLocalIP[MAX_LOCAL_IP_LEN];            // 豸ıIPַ
    char                cReserved[2048];                        // չֶ
}DEVICE_NET_INFO_EX2;

// ӦCLIENT_SearchDevicesByIPsӿ
typedef struct
{
    DWORD               dwSize;                                 // ṹС
    int                 nIpNum;                                 // ǰIP
    char                szIP[DH_MAX_SAERCH_IP_NUM][64];         // IPϢ	
}DEVICE_IP_SEARCH_INFO;

// 豸
typedef struct tagNET_DEVICE_SEARCH_PARAM
{
    DWORD       dwSize;						// ṹС
    BOOL        bUseDefault;				// ǷʹĬ,ĬΪTRUE
    WORD        wBroadcastLocalPort;		// 㲥ض˿, Ĭ5050, ֵΪ0ʱʹһ
    WORD        wBroadcastRemotePort;		// 㲥Զ̶˿, Ĭ5050, ֵΪ0ʱʹһ
    WORD        wMulticastRemotePort;		// 鲥Զ̶˿, Ĭ37810, ֵΪ0ʱʹһ
    BOOL        bMulticastModifyRespond;	// 鲥޸豸ʱǷֻ֧鲥ظ,ĬFALSEʾ鲥ظ
	WORD        wMulticastLocalPort;		// 鲥ض˿, Ĭ37810, ֵΪ0ʱʹһ
	int			iAutoUpdatePortTimes;		// ˿ڲʱԶ¶˿ڴ,Ĭ50ΣΧ[0-65534]		
	WORD        wAOLMulticastRemotePort;	// AOL 鲥Զ̶˿, Ĭ8087, ֵΪ0ʱʹһ
	WORD        wAOLMulticastLocalPort;		// AOL 鲥ض˿, Ĭ37811, ֵΪ0ʱʹһ
}NET_DEVICE_SEARCH_PARAM;

// struct SNMPýṹ
typedef struct
{
    BOOL                bEnable;                                // SNMPʹ
    int                 iSNMPPort;                              // SNMP˿
    char                szReadCommon[DH_MAX_SNMP_COMMON_LEN];   // ͬ
    char                szWriteCommon[DH_MAX_SNMP_COMMON_LEN];  // дͬ
    char                szTrapServer[64];                       // trapַ
    int                 iTrapPort;                              // trap˿
    BYTE                bSNMPV1;                                // 豸Ƿְ֧汾1ʽ,0ʹܣ1ʹ
    BYTE                bSNMPV2;                                // 豸Ƿְ֧汾2ʽ,0ʹܣ1ʹ
    BYTE                bSNMPV3;                                // 豸Ƿְ֧汾3ʽ,0ʹܣ1ʹ
    char                szReserve[125];
}DHDEV_NET_SNMP_CFG;

// ISCSIṹ
typedef struct
{
    char                szServerName[32];                       // 
    union
    { 
        BYTE            c[4];
        WORD            s[2];
        DWORD           l;
    }                   stuIP;                                  // IPַ
    int                 nPort;                                  // ˿ں
    char                szUserName[32];                         // û
    char                szPassword[32];                         // 
    BOOL                bAnonymous;                             // Ƿ¼
}DHDEV_ISCSI_SERVER;

// ISCSIýṹ
typedef struct
{
    BOOL                bEnable;                                // ʹ
    DHDEV_ISCSI_SERVER  stuServer;                              // 
    char                szRemotePath[240];                      // ԶĿ¼
    BYTE                reserved[256];
}DHDEV_ISCSI_CFG;

//----------------------------------------------------------------

// ̨
typedef struct 
{
    int                 iType;                                  // 0-None,1-Preset,2-Tour,3-Pattern
    int                 iValue;
} DH_PTZ_LINK, *LPDH_PTZ_LINK;

// ṹ
typedef struct 
{
    /* Ϣʽ,ͬʱִʽ,
     * 0x00000001 - ϴ
     * 0x00000002 - ¼
     * 0x00000004 - ̨
     * 0x00000008 - ʼ
     * 0x00000010 - Ѳ
     * 0x00000020 - ʾ
     * 0x00000040 - 
     * 0x00000080 - Ftpϴ
     * 0x00000100 - 
     * 0x00000200 - ʾ
     * 0x00000400 - ץͼ
    */


    DWORD               dwActionMask;                           // ǰֵ֧Ĵʽ,λʾ 
    DWORD               dwActionFlag;                           // ,λʾ,嶯ҪĲڸԵ 
    BYTE                byRelAlarmOut[DH_MAX_ALARMOUT_NUM];     // ͨ,,Ϊ1ʾ 
    DWORD               dwDuration;                             // ʱ 
    BYTE                byRecordChannel[DH_MAX_VIDEO_IN_NUM];   // ¼ͨ,Ϊ1ʾͨ 
    DWORD               dwRecLatch;                             // ¼ʱ 
    BYTE                bySnap[DH_MAX_VIDEO_IN_NUM];            // ץͼͨ 
    BYTE                byTour[DH_MAX_VIDEO_IN_NUM];            // Ѳͨ 
    DH_PTZ_LINK         struPtzLink[DH_MAX_VIDEO_IN_NUM];       // ̨ 
    DWORD               dwEventLatch;                           // ʼʱʱ,sΪλ,Χ0~15,Ĭֵ0 
    BYTE                byRelWIAlarmOut[DH_MAX_ALARMOUT_NUM];   // ͨ,,Ϊ1ʾ 
    BYTE                bMessageToNet;
    BYTE                bMMSEn;                                 // űʹ
    BYTE                bySnapshotTimes;                        // ŷץͼ 
    BYTE                bMatrixEn;                              // ʹ 
    DWORD               dwMatrix;                               //            
    BYTE                bLog;                                   // ־ʹ,ĿǰֻWTN̬ʹ 
    BYTE                bSnapshotPeriod;                        // ץͼ֡,ÿ֡ץһͼƬ,һʱץĵץͼ֡йء0ʾ֡,ץ
    BYTE                byEmailType;                            // 0,ͼƬ,1,¼񸽼
    BYTE                byEmailMaxLength;                       // ¼ʱ󳤶,λMB
    BYTE                byEmailMaxTime;                         // ¼ʱʱ䳤,λ
    BYTE                byReserved[99];   
} DH_MSG_HANDLE;

// ⲿ
typedef struct
{
    BYTE                byAlarmType;                            // ,0,1
    BYTE                byAlarmEn;                              // ʹ
    BYTE                byReserved[2];                        
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT];     //NSP
    DH_MSG_HANDLE       struHandle;                             // ʽ
} DH_ALARMIN_CFG, *LPDHDEV_ALARMIN_CFG; 

// ̬ⱨ
typedef struct 
{
    BYTE                byMotionEn;                             // ̬ⱨʹ
    BYTE                byReserved;
    WORD                wSenseLevel;                            // 
    WORD                wMotionRow;                             // ̬
    WORD                wMotionCol;                             // ̬
    BYTE                byDetected[DH_MOTION_ROW][DH_MOTION_COL]; // ,32*32
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT];     //NSP
    DH_MSG_HANDLE       struHandle;                             //ʽ
} DH_MOTION_DETECT_CFG;

// Ƶʧ
typedef struct
{
    BYTE                byAlarmEn;                              // Ƶʧʹ
    BYTE                byReserved[3];
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT];     //NSP
    DH_MSG_HANDLE       struHandle;                             // ʽ
} DH_VIDEO_LOST_CFG;

// ͼڵ
typedef struct
{
    BYTE                byBlindEnable;                          // ʹ
    BYTE                byBlindLevel;                           // 1-6
    BYTE                byReserved[2];
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT];     // NSP
    DH_MSG_HANDLE       struHandle;                             // ʽ
} DH_BLIND_CFG;

// ӲϢ(ڲ)
typedef struct 
{
    BYTE                byNoDiskEn;                             // Ӳʱ
    BYTE                byReserved_1[3];
    DH_TSECT            stNDSect[DH_N_WEEKS][DH_N_REC_TSECT];   // NSP
    DH_MSG_HANDLE       struNDHandle;                           // ʽ
    BYTE                byLowCapEn;                             // Ӳ̵ʱ
    BYTE                byLowerLimit;                           // ֵ,0-99
    BYTE                byReserved_2[2];
    DH_TSECT            stLCSect[DH_N_WEEKS][DH_N_REC_TSECT];   // NSP
    DH_MSG_HANDLE       struLCHandle;                           // ʽ
    BYTE                byDiskErrEn;                            // Ӳ̹ϱ
    BYTE                bDiskNum;
    BYTE                byReserved_3[2];
    DH_TSECT            stEDSect[DH_N_WEEKS][DH_N_REC_TSECT];   //NSP
    DH_MSG_HANDLE       struEDHandle;                           // ʽ
} DH_DISK_ALARM_CFG;

typedef struct
{
    BYTE                byEnable;
    BYTE                byReserved[3];
    DH_MSG_HANDLE       struHandle;
} DH_NETBROKEN_ALARM_CFG;

// 
typedef struct
{
    DWORD dwSize;
    DH_ALARMIN_CFG          struLocalAlmIn[DH_MAX_ALARM_IN_NUM];
    DH_ALARMIN_CFG          struNetAlmIn[DH_MAX_ALARM_IN_NUM];
    DH_MOTION_DETECT_CFG    struMotion[DH_MAX_VIDEO_IN_NUM];
    DH_VIDEO_LOST_CFG       struVideoLost[DH_MAX_VIDEO_IN_NUM];
    DH_BLIND_CFG            struBlind[DH_MAX_VIDEO_IN_NUM];
    DH_DISK_ALARM_CFG       struDiskAlarm;
    DH_NETBROKEN_ALARM_CFG  struNetBrokenAlarm;
} DHDEV_ALARM_SCHEDULE;

#define DECODER_OUT_SLOTS_MAX_NUM        16
#define DECODER_IN_SLOTS_MAX_NUM         16

// 
typedef struct  
{
    DWORD               dwAddr;                                     // ַ
    BOOL                bEnable;                                    // ʹ
    DWORD               dwOutSlots[DECODER_OUT_SLOTS_MAX_NUM];      // ֻ֧8.
    int                 nOutSlotNum;                                // dwOutSlotsЧԪظ.
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT];
    DH_MSG_HANDLE       struHandle[DECODER_IN_SLOTS_MAX_NUM];       // ֻ֧8.
    int                 nMsgHandleNum;                              // stuHandleЧԪظ.
    BYTE                bReserved[120];
} DH_ALARMDEC_CFG;

// ϴ
typedef struct  
{
    BYTE                byEnable;                                   // ϴʹ
    BYTE                bReserverd;                                 // 
    WORD                wHostPort;                                  // ˿
    char                sHostIPAddr[DH_MAX_IPADDR_LEN];             // IP
    int                 nByTimeEn;                                  // ʱϴʹ,ϴIP
    int                 nUploadDay;                                 /* ϴ    
                                                                       "Never = 0", "Everyday = 1", "Sunday = 2", 
                                                                       "Monday = 3", Tuesday = 4", "Wednesday = 5",
                                                                       "Thursday = 6", "Friday = 7", "Saturday = 8"*/    
    int                 nUploadHour;                                // ϴʱ ,[0~23]
    DWORD               dwReserved[300];                            // չ
} ALARMCENTER_UP_CFG;

// ȫл
typedef struct __DH_PANORAMA_SWITCH_CFG 
{
    BOOL                bEnable;                                    // ʹ
    int                 nReserved[5];                               // 
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT];
    DH_MSG_HANDLE       struHandle;                                 // 
} DH_PANORAMA_SWITCH_CFG;

typedef struct __ALARM_PANORAMA_SWITCH_CFG 
{
    int                    nAlarmChnNum;                            // ͨ
    DH_PANORAMA_SWITCH_CFG stuPanoramaSwitch[DH_MAX_VIDEO_IN_NUM];
} ALARM_PANORAMA_SWITCH_CFG;

// ʧȥ㱨
typedef struct __DH_LOST_FOCUS_CFG
{
    BOOL                bEnable;                                    // ʹ
    int                 nReserved[5];                               // 
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT];
    DH_MSG_HANDLE       struHandle;                                 // 
} DH_LOST_FOCUS_CFG;

typedef struct __ALARM_LOST_FOCUS_CFG 
{
    int                 nAlarmChnNum;                               // ͨ
    DH_LOST_FOCUS_CFG   stuLostFocus[DH_MAX_VIDEO_IN_NUM];
} ALARM_LOST_FOCUS_CFG;

// IPͻⱨ
typedef struct __ALARM_IP_COLLISION_CFG
{
    BOOL                bEnable;                                    // ʹ
    DH_MSG_HANDLE       struHandle;                                 // 
    int                 nReserved[300];                             // 
} ALARM_IP_COLLISION_CFG;

// MACͻ
typedef struct __ALARM_MAC_COLLISION_CFG
{
    BOOL                bEnable;                                    // ʹ
    DH_MSG_HANDLE       struHandle;                                 // 
    int                 nReserved[300];                             // 
} ALARM_MAC_COLLISION_CFG;

// 232ڿźš485ڿź¼
typedef struct __COM_CARD_SIGNAL_INFO
{
    WORD                wCardStartPose;                             // ʼλ
    WORD                wCardLenth;                                 // ų
    char                cStartCharacter[32];                        // ʼ
    char                cEndCharacter[32];                          // 
    BYTE                byReserved[28];                             // ֶ 
}COM_CARD_SIGNAL_INFO;

// 232ڿźš485ڿź(ڴڷĿϢõĿϢ,豸ץͼ)
typedef struct __COM_CARD_SIGNAL_LINK_CFG
{
    COM_CARD_SIGNAL_INFO  struCardInfo;                             // Ϣ
    DH_MSG_HANDLE         struHandle;                               // ¼
    BYTE                  byReserved[24];                           // ֶ

}COM_CARD_SIGNAL_LINK_CFG;

//------------------------------ڵ--------------------------------

// ڵϢ
typedef struct __VIDEO_COVER_ATTR
{
    DH_RECT             rcBlock;                                    // ǵ
    int                 nColor;                                     // ǵɫ
    BYTE                bBlockType;                                 // Ƿʽ0ڿ,1
    BYTE                bEncode;                                    // 뼶ڵ1Ч,0Ч
    BYTE                bPriview;                                   // Ԥڵ 1Ч,0Ч
    char                reserved[29];                               // 
} VIDEO_COVER_ATTR;

// ڵ
typedef struct __DHDEV_VIDEOCOVER_CFG 
{
    DWORD               dwSize;
    char                szChannelName[DH_CHAN_NAME_LEN];            // ֻ
    BYTE                bTotalBlocks;                               // ֵ֧ڵ
    BYTE                bCoverCount;                                // õڵ
    VIDEO_COVER_ATTR    CoverBlock[DH_MAX_VIDEO_COVER_NUM];         // ǵ    
    char                reserved[30];                               // 
}DHDEV_VIDEOCOVER_CFG;

// 豸Ľ
typedef struct __DHDEV_DECODEPOLICY_CFG 
{
    int                 nMinTime;                                   // 뻺ʱ䷶Χ(ֻ)Сʱ(λms)
    int                 nMaxTime;                                   // 뻺ʱ䷶Χ(ֻ)󻺳ʱ(λms)
    int                 nDeocdeBufTime;                             // Ŀ豸뻺ʱ(λms)
    char                reserved[128];                              // 
}DHDEV_DECODEPOLICY_CFG;

// ص
typedef struct __DHDEV_MACHINE_CFG 
{
    char                szMachineName[DH_MACHINE_NAME_NUM];         // ƻ
    char                szMachineAddress[DH_MACHINE_NAME_NUM];      // ص
    char                reserved[128];                              // 
}DHDEV_MACHINE_CFG;

////////////////////////////////IPCƷ֧////////////////////////////////

// Ϣ
typedef struct 
{
    int                 nEnable;                    // ʹ, 0: ʹ, 1: ر
    char                szSSID[36];                 // SSID
    int                 nLinkMode;                  // ģʽ0auto,1adhoc,2Infrastructure
    int                 nEncryption;                // ܣ0off,2WEP64bit,3WEP128bit, 4:WPA-PSK-TKIP, 5: WPA-PSK-CCMP
    int                 nKeyType;                   // 0Hex,1ASCII
    int                 nKeyID;                     // 
    union
    {
        char            szKeys[4][32];              // 
        char            szWPAKeys[128];             // nEncryptionΪ45ʱʹ,128,ý
    };
    int                 nKeyFlag;
    BYTE                byConnectedFlag;            // 0: , 1:  
    char                reserved[11];
} DHDEV_WLAN_INFO;

// ѡʹĳ豸
typedef struct  
{
    char                szSSID[36];
    int                 nLinkMode;                  // ģʽ0adhoc,1Infrastructure
    int                 nEncryption;                // ܣ0off,2WEP64bit,3WEP128bit
    char                reserved[48];
} DHDEV_WLAN_DEVICE;

// 豸б
typedef struct  
{
    DWORD               dwSize;
    BYTE                bWlanDevCount;              // 豸
    DHDEV_WLAN_DEVICE   lstWlanDev[DH_MAX_WLANDEVICE_NUM];
    char                reserved[255];
} DHDEV_WLAN_DEVICE_LIST;

// 豸չ
typedef struct
{
    char                szSSID[36];                         // 
    char                szMacAddr[18];                      // macַ
    BYTE                byApConnected;                      // Ƿӳɹ 0:û,1: ӳɹ
    BYTE                byLinkMode;                         // ģʽ 0:adhoc 1:Infrastructure;
    int                 nRSSIQuality;                       // źǿ(dbm)
    unsigned int        unApMaxBitRate;                     // վ
    BYTE                byAuthMode;                         // ֤ģʽ0:OPEN;1:SHARED;2:WPA;3:WPA-PSK;4:WPA2;5:WPA2-PSK;
                                                            // 6:WPA-NONE(adhocģʽ),
                                                            // 7-11ǻģʽ,ѡκһֶԽ 
                                                            // 7:WPA-PSK | WPA2-PSK; 8:WPA | WPA2; 9:WPA | WPA-PSK;
                                                            // 10:WPA2 | WPA2-PSK; 11:WPA | WPA-PSK |WPA2 |WPA2-PSK //12: UnKnown
															// 13:WPA3-SAE; 14:WPA3-SAE/PSK
    BYTE                byEncrAlgr;                         // ģʽ0:off; 2:WEP64bit; 3:WEP128bit; 4:WEP; 5:TKIP; 6:AES(CCMP)
                                                            // 7: TKIP+AES(ģʽ) 8: UnKnown
    BYTE                byLinkQuality;                      // ǿ 0~100(%)
    BYTE                byReserved[129];                    // Reserved 
}DHDEV_WLAN_DEVICE_EX;

// 豸չб
typedef struct  
{
    DWORD               dwSize;
    BYTE                bWlanDevCount;            // 豸
    DHDEV_WLAN_DEVICE_EX  lstWlanDev[DH_MAX_WLANDEVICE_NUM_EX];
    char                reserved[255];
} DHDEV_WLAN_DEVICE_LIST_EX;

// 豸չб
typedef struct  
{
	DWORD					dwSize;
	BYTE					bWlanDevCount;            // 豸
	DHDEV_WLAN_DEVICE_EX	lstWlanDev[MAX_WLAN_DEVICE_NUM];
} DHDEV_WLAN_DEVICE_LIST_EX2;

//Ч
typedef struct
{
    int                 nResult;                  // 0ʾóɹ,1ʾʧ
    BYTE                reserved[32];
} DHDEV_FUNC_TEST;

// FTPϢ
typedef struct
{
    char                szServerName[32];          // 
    char                szIp[16];                  // IPַ
    int                 nPort;                     // ˿ں
    char                szUserName[32];            // û
    char                szPassword[32];            // 
    BOOL                bAnonymity;                // Ƿ¼
    BYTE                byReserved[256];           // ֽ
}FTP_SERVER_CFG;

// ftpӲ
typedef struct
{
    FTP_SERVER_CFG     stuFtpServerInfo;           // ftpϢûд
    DHDEV_FUNC_TEST    stuTestResult;              // ftp״̬(豸)
    BYTE               byReserved[64];
}DHDEV_FTP_SERVER_TEST;

// DDNSϢ
typedef struct
{

    char                szServerType[DH_MAX_SERVER_TYPE_LEN];   // ,ϣ..
    char                szServerIp[DH_MAX_DOMAIN_NAME_LEN];     // ip
    DWORD               dwServerPort;                           // ˿
    char                szDomainName[DH_MAX_DOMAIN_NAME_LEN];   // dvr,jeckean.3322.org
    char                szUserName[DH_MAX_HOST_NAMELEN];        // û
    char                szUserPsw[DH_MAX_HOST_PSWLEN];          // 
    BYTE                byReserved[256];                        // ֽ
}DDNS_DOMAIN_INFO;


// DDNSǷò
typedef struct
{
    DDNS_DOMAIN_INFO   stuDomainInfo;                           // DDNSϢûд
    DHDEV_FUNC_TEST    stuTestResult;                           // Խ
    char               szMemo[128];                             // Խ
    BYTE               byReserved[64];
}DHDEV_DDNS_DOMAIN_TEST;


//ʾӲ̵ĻϢ
typedef struct 
{
    BYTE                byModle[32];                  // ͺ
    BYTE                bySerialNumber[32];           // к
    BYTE                byFirmWare[32];               // ̼
    int                 nAtaVersion;                  // ATAЭ汾
    int                 nSmartNum ;                   // smart Ϣ
    INT64               Sectors;    
    int                 nStatus;                      // ״̬ 0- 1-쳣
    int                 nReserved[33];                // ֽ
} DHDEV_DEVICE_INFO;

//Ӳ̵smartϢ,ܻкܶ,಻30
typedef struct
{
    BYTE    byId;               // ID
    BYTE    byCurrent;          // ֵ
    BYTE    byWorst;            // ֵ
    BYTE    byThreshold;        // ֵ
    char    szName[64];         // 
    char    szRaw[8];           // ʵֵ
    int     nPredict;           // ״̬
    char    reserved[128];
} DHDEV_SMART_VALUE;

//ӲsmartϢѯ
typedef struct
{
    BYTE                nDiskNum;                       // Ӳ̺
    BYTE                byRaidNO;                       // Raid,0ʾ
    BYTE                byReserved[2];                  // ֽ
    DHDEV_DEVICE_INFO   deviceInfo;
    DHDEV_SMART_VALUE   smartValue[MAX_SMART_VALUE_NUM];
} DHDEV_SMART_HARDDISK;

// ģϢ
typedef struct
{
    char               szModuleName[64];      //  ģ
    char               szHardWareVersion[32]; //  ģӲ汾
    char               szSoftwareVersion[32]; //  ģ汾
    BYTE               reserved[128]; 
} DHDEV_SUBMODELE_VALUE;

// ѯ豸ģϢ
typedef struct
{
    int                    nSubModuleNum;                         //  ģ
    DHDEV_SUBMODELE_VALUE  stuSubmoduleValue[MAX_SUBMODULE_NUM];  //  ģϸϢ
    BYTE                   bReserved[256];
} DHDEV_SUBMODULE_INFO;

// ѯӲ̻
typedef struct
{
    BYTE                bDiskDamageLevel[DH_MAX_DISK_NUM];  //̻ȼ
    BYTE                bReserved[128];
} DHDEV_DISKDAMAGE_INFO;


// syslogԶ̷
typedef struct 
{
    char    szServerIp[DH_MAX_IPADDR_OR_DOMAIN_LEN];    //ַ
    int     nServerPort;                                //˿
    BYTE    bEnable;                                    //ʹ
    BYTE    bReserved[255];                             //ֽ
}DHDEV_SYSLOG_REMOTE_SERVER;

// Ƶ
typedef struct
{
    BYTE    backupVideoFormat;                  // ļ, 0:dav, 1:asf
    BYTE    password[6];                        // 
    BYTE    reversed[505];
}DHDEV_BACKUP_VIDEO_FORMAT;


// ע
typedef struct  
{
    char                szServerIp[32];             // עIP
    int                 nServerPort;                // ˿ں
    BYTE                byReserved[3];              // 
    BYTE                bServerIpExEn;              // עIPչʹ,0-ʾЧ, 1-ʾЧ
    char                szServerIpEx[60];           // עIPչ,֧ipv4,ipv6,͵IP
} DHDEV_SERVER_INFO;

typedef struct  
{
    DWORD               dwSize;
    BYTE                bServerNum;                 // ֵ֧ip
    DHDEV_SERVER_INFO   lstServer[DH_MAX_REGISTER_SERVER_NUM];
    BYTE                bEnable;                    // ʹ
    char                szDeviceID[32];             // 豸id
    char                reserved[94];
} DHDEV_REGISTER_SERVER;

// ͷ
typedef struct __DHDEV_CAMERA_INFO
{
    BYTE                bBrightnessEn;              // ȿɵ1,0
    BYTE                bContrastEn;                // Աȶȿɵ
    BYTE                bColorEn;                   // ɫȿɵ
    BYTE                bGainEn;                    // ɵ
    BYTE                bSaturationEn;              // Ͷȿɵ
    BYTE                bBacklightEn;               // ⲹ 0ʾֱ֧ⲹ,1ʾ֧һ,أ,2ʾ֧,,ͣ,3ʾ֧,,,ͣ
    BYTE                bExposureEn;                // عѡ: 0:ʾ֧ع 1:ʾֻ֧Զع n:عĵȼ(1ʾ֧Զع 2~nʾֵֶ֧عĵȼ)
    BYTE                bColorConvEn;               // Զʺתɵ
    BYTE                bAttrEn;                    // ѡ1,0
    BYTE                bMirrorEn;                  // 1֧,0֧
    BYTE                bFlipEn;                    // ת1֧,0֧
    BYTE                iWhiteBalance;              // ƽ 0-ְ֧ƽ,1-֧Զƽ,2-֧Ԥðƽ⣨龰ģʽ 3-֧Զƽ
    BYTE                iSignalFormatMask;          // źŸʽ,λӵ͵λֱΪ0-Inside(ڲ) 1- BT656 2-720p 3-1080i  4-1080p  5-1080sF
    BYTE                bRotate90;                  // 90ת 0-֧ 1-֧
    BYTE                bLimitedAutoExposure;       // Ƿִ֧ʱ޵Զع
    BYTE                bCustomManualExposure;      // Ƿ֧ûԶֶعʱ
    BYTE                bFlashAdjustEn;             // Ƿ֧Ƶ
    BYTE                bNightOptions;              // Ƿ֧ҹѡ
    BYTE                iReferenceLevel;            // Ƿֲ֧οƽ
    BYTE                bExternalSyncInput;         // Ƿ֧ⲿͬź,0-֧,1-֧
    unsigned short      usMaxExposureTime;          // Զععʱ,λ         
    unsigned short      usMinExposureTime;          // ԶعСعʱ,λ
    BYTE                bWideDynamicRange;          // ̬Χ,0-ʾ֧,2~nʾķΧֵ
    BYTE                bDoubleShutter;             // ˫0֧,1-֧˫ȫ֡,ͼƵֻпŲͬ,2-֧˫Ű֡,ͼƵżƽͬ,3-֧˫ȫ֡ʺͰ֡
    BYTE                byExposureCompensation;     // 1֧, 0 ֧
    BYTE                bRev[109];                  // 
} DHDEV_CAMERA_INFO;

//ҹѡ,Ϲ߽ϰʱԶлҹò
typedef struct __DHDEV_NIGHTOPTIONS 
{
    BYTE  bEnable;                                  // 0-л,1-л 
                                                    // ճʱ,֮ճ֮ǰ,ҹá
                                                    // 00:00:00 ~23:59:59
    BYTE  bSunriseHour;
    BYTE  bSunriseMinute;
    BYTE  bSunriseSecond;
    BYTE  bSunsetHour;
    BYTE  bSunsetMinute;
    BYTE  bSunsetSecond;  
    BYTE  bWhiteBalance ;                           // ƽ 0:Disabled,1:Auto 2:sunny 3:cloudy 4:home 5:office 6:night 7: Custom
    BYTE  bGainRed;                                 // ɫ,ƽΪ"Custom"ģʽЧ 0~100
    BYTE  bGainBlue;                                // ɫ,ƽΪ"Custom"ģʽЧ 0~100
    BYTE  bGainGreen;                               // ɫ,ƽΪ"Custom"ģʽЧ 0~100
    BYTE  bGain;                                    // 0~100
    BYTE  bGainAuto;                                // 0-Զ 1-Զ
    BYTE  bBrightnessThreshold ;                    // ֵ 0~100
    BYTE  ReferenceLevel;                           // ƽοֵ 0~100   
    BYTE  bExposureSpeed;                           // ȡֵΧȡ豸0-Զع 1~n-1-ֶعȼ n-ʱ޵Զع n+1-Զʱֶع (nʾֵ֧عȼ
    float ExposureValue1;                           // Զعʱ޻ֶعԶʱ,Ϊλ,ȡֵ0.1ms~80ms
    float ExposureValue2;                           // Զعʱ,Ϊλ,ȡֵ0.1ms~80ms
    BYTE  bAutoApertureEnable;                      // ԶȦʹ,1,0ر
    BYTE  bWideDynamicRange;                        // ֵ̬     ȡֵΧ
    WORD  wNightSyncValue;                          // ҹλ 0~360
    WORD  wNightSyncValueMillValue;                 // ҹλ0~999(ǧ֮һ),wNightSyncValueϹҹλֵ
    BYTE res[10];                                   // 
} DHDEV_NIGHTOPTIONS;

// ͷ
typedef struct __DHDEV_CAMERA_CFG 
{
    DWORD                dwSize;
    BYTE                bExposure;                  // عģʽȡֵΧȡ豸0-Զع,1-عȼ1,2-عȼ2n-1عȼ nʱ޵Զع n+1Զʱֶع (n==bExposureEn
    BYTE                bBacklight;                 // ⲹⲹȼȡֵΧȡ豸,0-ر,1-ⲹǿ1,2-ⲹǿ2n-󱳹ⲹȼ 
    BYTE                bAutoColor2BW;              // /ҹģʽ3-ʱԶл 2(ڰ),1л,0(ɫ)
    BYTE                bMirror;                    // 1,0
    BYTE                bFlip;                      // ת1,0
    BYTE                bLensEn;                    // ԶȦ: 1֧֣0 ֧
    BYTE                bLensFunction;              // ԶȦ: 1:ԶȦ0: رԶȦ
    BYTE                bWhiteBalance;              // ƽ 0:Disabled,1:Auto 2:sunny 3:cloudy 4:home 5:office 6:night 7: Custom
    BYTE                bSignalFormat;              // źŸʽ0-Inside(ڲ) 1- BT656 2-720p 3-1080i  4-1080p  5-1080sF
    BYTE                bRotate90;                  // 0-ת,1-˳ʱ90,2-ʱ90
    BYTE                bReferenceLevel;            // ƽοֵ 0~100  
    BYTE                byReserve;                  // 
    float               ExposureValue1;             // Զعʱ޻ֶعԶʱ,Ϊλ,ȡֵ0.1ms~80ms
    float               ExposureValue2;             // Զعʱ,Ϊλ,ȡֵ0.1ms~80ms    
    DHDEV_NIGHTOPTIONS  stuNightOptions;            // ҹòѡ 
    BYTE                bGainRed;                   // ɫ,ƽΪ"Custom"ģʽЧ 0~100
    BYTE                bGainBlue;                  // ɫ,ƽΪ"Custom"ģʽЧ 0~100
    BYTE                bGainGreen;                 // ɫ,ƽΪ"Custom"ģʽЧ 0~100
    BYTE                bFlashMode;                 // ƹģʽ,0-ر,1-ʼ,2-Զ
    BYTE                bFlashValue;                // ƹֵ, 0-0us, 1-64us, 2-128us,...15-960us
    BYTE                bFlashPole;                 // ƴģʽ0-͵ƽ 1-ߵƽ
    BYTE                bExternalSyncPhase;         // ⲿͬź,0-ڲͬ 1-ⲿͬ
    BYTE                bFlashInitValue;            // Ԥֵ  0~100
    WORD                wExternalSyncValue ;        // ͬλ 0~360(С3λЧ)
    WORD                wExternalSyncValueMillValue;//  ͬλ0~999(ǧ֮һ),wExternalSyncValueϹͬλֵ
    BYTE                bWideDynamicRange;          //ֵ̬     ȡֵΧ
    BYTE                byExposureCompensation;     // عⲹֵ,ĬΪ7,Χ0~14
    char                bRev[54];                   // 
} DHDEV_CAMERA_CFG;

#define ALARM_MAX_NAME 64
// ()ⱨ
typedef struct
{
    BOOL                bEnable;                            // ʹ
    char                szAlarmName[DH_MAX_ALARM_NAME];     // 
    int                 nAlarmInPattern;                    // 벨
    int                 nAlarmOutPattern;                   // 
    char                szAlarmInAddress[DH_MAX_ALARM_NAME];// ַ
    int                 nSensorType;                        // ⲿ豸ͳ or 
    int                 nDefendEfectTime;                   // ʱʱ,ڴʱñЧ
    int                 nDefendAreaType;                    //  
    int                 nAlarmSmoothTime;                   // ƽʱ,ڴʱֻһԵһ
    char                reserved[128];
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT];
    DH_MSG_HANDLE       struHandle;                         // ʽ
} DH_INFRARED_INFO;

// ң
typedef struct 
{
    BYTE                address[ALARM_MAX_NAME];        // ңַ
    BYTE                name[ALARM_MAX_NAME];           // ң
    BYTE                reserved[32];                   // ֶ
} DH_WI_CONFIG_ROBOT;

// ߱
typedef struct 
{
    BYTE                address[ALARM_MAX_NAME];        // ַ
    BYTE                name[ALARM_MAX_NAME];           // 
    BYTE                reserved[32];                   // ֶ
} DH_WI_CONFIG_ALARM_OUT;

typedef struct  
{
    DWORD                   dwSize;
    BYTE                    bAlarmInNum;                // ߱
    BYTE                    bAlarmOutNum;               // ߱
    DH_WI_CONFIG_ALARM_OUT  AlarmOutAddr[16];           // ַ
    BYTE                    bRobotNum;                  // ң
    DH_WI_CONFIG_ROBOT      RobotAddr[16];              // ңַ
    DH_INFRARED_INFO        InfraredAlarm[16];
    char                    reserved[256];
} DH_INFRARED_CFG;

// ƵⱨϢ
typedef struct
{
    int                 channel;                        // ͨ
    int                 alarmType;                      // ͣ0Ƶֵ,1Ƶֵ
    unsigned int        volume;                         // ֵ
    BYTE                byState;                        // Ƶ״̬, 0: Ƶ, 1: Ƶʧ
    char                reserved[255];
} NET_NEW_SOUND_ALARM_STATE;

typedef struct  
{
    int                         channelcount;           // ͨ
    NET_NEW_SOUND_ALARM_STATE   SoundAlarmInfo[DH_MAX_ALARM_IN_NUM];
} DH_NEW_SOUND_ALARM_STATE;

// ץͼԽṹ
typedef struct 
{
    int                 nChannelNum;                // ͨ
    DWORD               dwVideoStandardMask;        // ֱ(λ),鿴ö CAPTURE_SIZE                        
    int                 nFramesCount;               // Frequence[128]Ч
    char                Frames[128];                // ֡(ֵ)
                                                    // -25251֡-24241֡-23231֡-22221֡
                                                    // 
                                                    // 0Ч111֡212֡313֡
                                                    // 414֡515֡17117֡18118֡
                                                    // 19119֡20120֡
                                                    // 
                                                    // 25: 125֡
    int                 nSnapModeCount;             // SnapMode[16]Ч
    char                SnapMode[16];               // (ֵ)0ʱץͼ,1ֶץͼ
    int                 nPicFormatCount;            // Format[16]Ч
    char                PictureFormat[16];          // (ֵ)0BMPʽ,1JPGʽ
    int                 nPicQualityCount;           // Quality[32]Ч
    char                PictureQuality[32];         // ֵ
                                                    // 100ͼ100%80:ͼ80%60:ͼ60%
                                                    // 50:ͼ50%30:ͼ30%10:ͼ10%
    char                nReserved[128];             // 
} DH_QUERY_SNAP_INFO;

typedef struct 
{
    int                 nChannelCount;              // ͨ
    DH_QUERY_SNAP_INFO  stuSnap[DH_MAX_CHANNUM];
} DH_SNAP_ATTR_EN;


/* IP˹ */
#define DH_IPIFILTER_NUM            200             // IP
#define DH_IPIFILTER_NUM_EX         512             // IP

// IPϢ
typedef struct 
{
    DWORD               dwIPNum;                                    // IP
    char                SZIP[DH_IPIFILTER_NUM][DH_MAX_IPADDR_LEN];  // IP
    char                byReserve[32];                              // 
} IPIFILTER_INFO;

// IPýṹ
typedef struct
{
    DWORD               dwSize;
    DWORD               dwEnable;                   // ʹ
    DWORD               dwType;                     // ǰͣ0 1豸ֻʹһЧ,ǰǺ
    IPIFILTER_INFO      BannedIP;                   // 
    IPIFILTER_INFO      TrustIP;                    // 
    char                byReserve[256];             // 
} DHDEV_IPIFILTER_CFG;

// IPϢչ
typedef struct 
{
    DWORD               dwIPNum;                                        // IP
    char                SZIP[DH_IPIFILTER_NUM_EX][DH_MAX_IPADDR_LEN];   // IP
    char                byReserve[32];                                  // 
} IPIFILTER_INFO_EX;

// IPýṹչ
typedef struct
{
    DWORD                dwSize;
    DWORD                dwEnable;                  // ʹ
    DWORD                dwType;                    // ǰͣ0 1豸ֻʹһЧ,ǰǺ
    IPIFILTER_INFO_EX    BannedIP;                  // 
    IPIFILTER_INFO_EX    TrustIP;                   // 
    char                 byReserve[256];            // 
} DHDEV_IPIFILTER_CFG_EX;

/* MAC */
#define DH_MACFILTER_NUM            512             // MAC

// MACϢ
typedef struct 
{
    DWORD                dwSize;                                    // ʹʱ,óʼΪṹС
    DWORD                dwMacNum;                                  // MAC
    char                 szMac[DH_MACFILTER_NUM][DH_MACADDR_LEN];   // MAC
} MACFILTER_INFO;

// MACýṹ
typedef struct
{
    DWORD                 dwSize;                   // ʹʱ,óʼΪṹС
    DWORD                 dwEnable;                 // ʹ
    DWORD                 dwType;                   // ǰͣ0 1豸ֻʹһЧ,ǰǺ
    MACFILTER_INFO        stuBannedMac;             // Mac
    MACFILTER_INFO        stuTrustMac;              // Mac
} DHDEV_MACFILTER_CFG;

/* MAC,IP */
#define DH_MACIPFILTER_NUM           512            // MAC,IP

// MAC,IPϢ
typedef struct
{
    DWORD       dwSize;                             // ʹʱ,óʼΪṹС
    char        szMac[DH_MACADDR_LEN];              // mac
    char        szIp[DH_MAX_IPADDR_LEN];            // ip
}MACIP_INFO;

// MAC,IPýṹ
typedef struct
{
    DWORD                    dwSize;                                // ʹʱ,óʼΪṹС
    DWORD                    dwEnable;                              // ʹ
    DWORD                    dwType;                                // ǰͣ0 1豸ֻʹһЧ,ǰǺ
    DWORD                    dwBannedMacIpNum;                      // MAC,IP(MAC,IPһһӦ)
    MACIP_INFO               stuBannedMacIp[DH_MACIPFILTER_NUM];    // Mac,IP
    DWORD                    dwTrustMacIpNum;                       // MAC,IP(MAC,IPһһӦ)
    MACIP_INFO               stuTrustMacIp[DH_MACIPFILTER_NUM];     // Mac,IP
} DHDEV_MACIPFILTER_CFG;

typedef struct
{
    int                nCardNum;                                        // Ч
    char               cardInfo [DH_MAX_CARD_NUM][DH_MAX_CARDINFO_LEN]; // Ϣַ 
    BYTE               byReserve[32];                                   // ֶ
}DHDEV_NETCARD_CFG;

// RTSP 
typedef struct
{
    WORD               wPort;                  // ˿ں
    BYTE               byReserved[62];         // ֶ
}DHDEV_RTSP_CFG;

//----------------------------------
// ԿϢ36ֽ
typedef struct _ENCRYPT_KEY_INFO
{
    BYTE        byEncryptEnable;       //  Ƿ0:, 1:
    BYTE        byReserved[3]; 
    union
    {
        BYTE    byDesKey[8];           // desԿ
        BYTE    by3DesKey[3][8];       // 3desԿ
        BYTE    byAesKey[32];          // aesԿ

    };
}ENCRYPT_KEY_INFO;

// 㷨
typedef struct _ALGO_PARAM_INFO
{
    WORD       wEncryptLenth;       // Կ,ǰΪAES㷨ʱ,ʾԿλ(Ŀǰ֧128,192,256λ, : wEncryptLenthΪ128,ԿϢENCRYPT_KEY_INFObyAesKey[0]~[15])
                                    // ΪDES㷨ʱ,Կȹ̶Ϊ64λ
                                    // Ϊ3DES㷨ʱ,ʾԿĸ(23Կ)
    BYTE       byAlgoWorkMode ;     // ģʽ,οö EM_ENCRYPT_ALOG_WORKMODE 
    BYTE       reserved[13];        // ֶ
}ALGO_PARAM_INFO;

// Ϣ
typedef struct _DHEDV_STREAM_ENCRYPT
{
    BYTE                    byEncrptAlgoType;           // 㷨ͣ00: AES01:DES02: 3DES
    BYTE                    byReserved1[3];
    ALGO_PARAM_INFO         stuEncrptAlgoparam;         // 㷨
    ENCRYPT_KEY_INFO        stuEncryptKeys[32];         // ͨԿϢ 
    BYTE                    byEncrptPlanEnable;         // ܼƻʹ
    BYTE                    byReserved3[3];
    NET_TIME                stuPreTime;                 // ܼƻĿʼʱ
    BYTE                    reserved2[1360];
}DHEDV_STREAM_ENCRYPT;

// 
typedef struct _DHDEV_BIT_RATE
{
    DWORD                   nExpectCodeRate;          // ,λkps
    BYTE                    byReserved[64];           // ֽ
}DHDEV_LIMIT_BIT_RATE;

// ûԶ
typedef struct _DHDEV_CUSTOM_CFG
{
    char                   szData[1024];            // ûԶϢ
    char                   reserved[3072];          // ֶ
}DHDEV_CUSTOM_CFG;

/*Խ*/
typedef struct
{
    DWORD               dwSize;
    int                 nCompression;               // ѹʽ,öֵ,DH_TALK_CODING_TYPE,豸ֵ֧Խѹʽ
    int                 nMode;                      // ģʽ,öֵ,Ϊ0ʱʾѹʽֱ֧ģʽ
                                                    // ѹʽöӦıʽ,
                                                    // AMREM_ARM_ENCODE_MODE
    char                 byReserve[256];            // 
} DHDEV_TALK_ENCODE_CFG;

// mobile
// (¼ý/ŷ)MMSýṹ
typedef struct
{
    DWORD               dwSize;
    DWORD               dwEnable;                               // ʹ
    DWORD               dwReceiverNum;                          // Ž߸
    char                SZReceiver[DH_MMS_RECEIVER_NUM][32];    // Ž,һΪֻ
    BYTE                byType;                                 // Ϣ 0:MMS1:SMS
    char                SZTitle[32];                            // Ϣ
    char                byReserve[223];                         // 
} DHDEV_MMS_CFG;

// (ż)
typedef struct  
{
    DWORD               dwSize;
    DWORD               dwEnable;                               // ʹ
    DWORD               dwSenderNum;                            // ŷ߸
    char                SZSender[DH_MMS_SMSACTIVATION_NUM][32]; // ŷ,һΪֻ
     char               byReserve[256];                         // 
}DHDEV_SMSACTIVATION_CFG;

// (ż)
typedef struct  
{
    DWORD               dwSize;
    DWORD               dwEnable;                               // ʹ
    DWORD               dwCallerNum;                            // ߸
    char                SZCaller[DH_MMS_DIALINACTIVATION_NUM][32];// , һΪֻ
    char                byReserve[256];                         // 
}DHDEV_DIALINACTIVATION_CFG;
// mobile


// źǿȽṹ
typedef struct
{
    DWORD               dwSize;
    DWORD               dwTDSCDMA;                  // TD-SCDMAǿ,Χ0100
    DWORD               dwWCDMA;                    // WCDMAǿ,Χ0100
    DWORD               dwCDMA1x;                   // CDMA1xǿ,Χ0100
    DWORD               dwEDGE;                     // EDGEǿ,Χ0100
    DWORD               dwEVDO;                     // EVDOǿ,Χ0100
    int                 nCurrentType;               // ǰ
                                                    // 0 豸֧һ
                                                    // 1 TD-SCDMA
                                                    // 2 WCDMA
                                                    // 3 CDMA_1x
                                                    // 4 EDGE
                                                    // 5 EVDO
													// 6 TD-LTE
													// 7 FDD-LTE
    DWORD               dwTDLTE;                    // TD-LTEǿ,Χ0100
    DWORD               dwFDDLTE;                   // FDD-LTEǿ,Χ0100
    char                byReserve[244];             // 
} DHDEV_WIRELESS_RSS_INFO;

typedef struct _DHDEV_SIP_CFG
{
    BOOL        bUnregOnBoot;                       //Unregister on Reboot
    char        szAccoutName[64];                   //Account Name
    char        szSIPServer[128];                   //SIP Server
    char        szOutBoundProxy[128];               //Outbound Proxy
    DWORD       dwSIPUsrID;                         //SIP User ID
    DWORD       dwAuthID;                           //Authenticate ID
    char        szAuthPsw[64];                      //Authenticate Password
    char        szSTUNServer[128];                  //STUN Server
    DWORD       dwRegExp;                           //Registration Expiration
    DWORD       dwLocalSIPPort;                     //Local SIP Port
    DWORD       dwLocalRTPPort;                     //Local RTP Port
    BOOL        bEnable;                            // ʹ
    char        szNotifyID[128];                    // ID
    NET_TIME    stuRegTime;                         // עɹʱ䣻ֶֻ,豸ָ   
    BYTE        bReserved[868];                     //reserved
} DHDEV_SIP_CFG;

typedef struct _DHDEV_SIP_STATE
{
    int         nStatusNum;                         //״̬Ϣܵĸ
    BYTE        byStatus[64];                       //0:עɹ,1:δע,2:Ч,3:ע,4:ͨ
    BYTE        bReserved[64];                      //
}DHDEV_SIP_STATE;

typedef struct _DHDEV_HARDKEY_STATE
{
    BOOL        bState;                             // 0:δHardKey, 1:ѲHardKey
    BYTE        bReserved[64];                      // 
}DHDEV_HARDKEY_STATE;

typedef struct _DHDEV_ISCSI_PATHLIST
{
    int         nCount;
    char        szPaths[DH_MAX_ISCSI_PATH_NUM][MAX_PATH_STOR];    // ԶĿ¼
} DHDEV_ISCSI_PATHLIST;

// ·Ϣ
typedef struct _DHDEV_WIFI_ROUTE_CAP_COUNTRY
{
    char        szCountry[32];                      // 
    int         nValidChnNum;                       // Чͨ
    int         nValideChannels[32];                // Чͨб
    char        reserved[64];                       // 
} DHDEV_WIFI_ROUTE_CAP_COUNTRY;

typedef struct _DHDEV_WIFI_ROUTE_CAP
{
    int         nCountryNum;                        // 
    DHDEV_WIFI_ROUTE_CAP_COUNTRY stuCountry[256];   // ͬҵϢ
    char        reserved[256];                      // 
} DHDEV_WIFI_ROUTE_CAP;

//  ظϢ
typedef struct _MONITOR_INFO
{
    int         nPresetObjectNum;                   // ԤӦĿĿ
    int         nActualObjectNum;                   // ֳʵĿĿ 
    char        reserved[64]; 
}MONITOR_INFO;

typedef struct _DHDEV_MONITOR_INFO
{
    int              nChannelNumber;
    MONITOR_INFO     stMonitorInfo[64];             //  ظϢ
    char             reserved[128];
}DHDEV_MONITOR_INFO;

// ͨԤطŷָ
typedef struct tagNET_MULTIPLAYBACK_SPLIT_CAP
{
    DWORD            dwSize;
    int              nSliptMode[DH_MAX_MULTIPLAYBACK_SPLIT_NUM]; // ֵ֧ķָģʽ,  
    int              nModeNumber;       
}NET_MULTIPLAYBACK_SPLIT_CAP;

/***************************** ̨ԤƵ ***********************************/
typedef struct _POINTEANBLE
{
    BYTE             bPoint;                        //ԤƵЧΧ[1,80],ЧΪ0
    BYTE             bEnable;                       //ǷЧ,0Ч,1Ч
    BYTE             bReserved[2];
} POINTEANBLE;

typedef struct _POINTCFG
{
    char             szIP[DH_MAX_IPADDR_LEN];       // ip
    int              nPort;                         // ˿    
    POINTEANBLE      stuPointEnable[80];            // ԤƵʹ
    BYTE             bReserved[256];
}POINTCFG;

typedef struct _DHDEV_POINT_CFG
{
    int              nSupportNum;                   // ֻ,õʱҪظsdk,ʾֵ֧ԤƵ
    POINTCFG         stuPointCfg[16];               // ά±ʾͨšҪõĵֵǰnSupportNum±档
    BYTE             bReserved[256];                // 
}DHDEV_POINT_CFG;
////////////////////////////////DVR֧////////////////////////////////

// GPSϢ(豸)
typedef struct _GPS_Info
{
    NET_TIME         revTime;                       // λʱ
    char             DvrSerial[50];                 // 豸к
    double           longitude;                     // (λǰ֮,Χ0-360)
    double           latidude;                      // γ(λǰ֮,Χ0-180)
    double           height;                        // ߶()
    double           angle;                         // (Ϊԭ,˳ʱΪ)
    double           speed;                         // ٶ(λǺ,speed/1000*1.852/Сʱ)
    WORD             starCount;                     // λ
    BOOL             antennaState;                  // ״̬(true ,false )
    BOOL             orientationState;              // λ״̬(true λ,false λ)
} GPS_Info,*LPGPS_Info;

// ״̬Ϣ
typedef struct 
{
    int              nAlarmCount;                   // ı¼
    int              nAlarmState[128];              // ı¼
    BYTE             byRserved[128];                // ֽ
}ALARM_STATE_INFO;

// GpsλϢ
typedef struct tagNET_GPS_LOCATION_INFO
{
	GPS_Info	        stuGpsInfo;               // GPSϢ
	ALARM_STATE_INFO    stuAlarmStateInfo;        // ״̬Ϣ
	int				    nTemperature;		      // ¶(λ:0.1϶)
	int					nHumidity;				  // ʪ(λ:0.1%)
	unsigned int		nIdleTime;				  // ʱ(λ:)
	unsigned int        nMileage;				  // (λ:0.1km)
	int					nVoltage;				  // õѹֵ(λ:0.1)
    BYTE                bOffline;                 // 0-ʵʱ 1-  
	BYTE			    byReserved[1023];  
}NET_GPS_LOCATION_INFO, *LPNET_GPS_LOCATION_INFO;

// ץͼṹ
typedef struct _snap_param
{
    unsigned int     Channel;                       // ץͼͨ
    unsigned int     Quality;                       // ʣ1~6
    unsigned int     ImageSize;                     // С0QCIF,1CIF,2D1
    unsigned int     mode;                          // ץͼģʽ-1:ʾֹͣץͼ, 0ʾһ֡, 1ʾʱ, 2ʾ
    unsigned int     InterSnap;                     // ʱ䵥λ룻mode=1ʾʱʱ
													// ֻв豸(磺豸)ֶ֧ͨʵֶʱץͼʱ
													// ͨ CFG_CMD_ENCODE õstuSnapFormat[nSnapMode].stuVideoFormat.nFrameRateֶʵع
    unsigned int     CmdSerial;                     // кţЧֵΧ 0~65535ΧᱻضΪ unsigned short
    unsigned int     Reserved[4];
} SNAP_PARAMS, *LPSNAP_PARAMS;

// ץͼ
typedef struct 
{
    DWORD            dwSize;
    BYTE             bTimingEnable;                 // ʱץͼ(ץͼڸ)
    BYTE             bPicIntervalHour;              // ʱץͼʱСʱ
    short            PicTimeInterval;               // ʱץͼʱ,λΪ,Ŀǰ豸֧ץͼʱΪ30                           
    DH_VIDEOENC_OPT  struSnapEnc[SNAP_TYP_NUM];     // ץͼ,֧еķֱʡʡ֡,֡Ǹ,ʾһץͼĴ
} DHDEV_SNAP_CFG;

// ץͼչ
typedef struct 
{
    DWORD            dwSize;
    BYTE             bTimingEnable;                 // ʱץͼ(ץͼڸ)
    BYTE             bPicIntervalHour;              // ʱץͼʱСʱ
    short            PicTimeInterval;               // ʱץͼʱ,λΪ,Ŀǰ豸֧ץͼʱΪ30                           
    DH_VIDEOENC_OPT  struSnapEnc[SNAP_TYP_NUM];     // ץͼ,֧еķֱʡʡ֡,֡Ǹ,ʾһץͼĴ
    DWORD            dwTrigPicIntervalSecond;       // ÿץͼʱʱ λ
    BYTE             byRserved[256];                // ֽ
} DHDEV_SNAP_CFG_EX;


//wifi״̬
typedef struct  
{
    char            szSSID[128];                    //SSID
    BOOL            bEnable;                        //Ƿwifi, 0:ʹ 1:ʹ
    int             nSafeType;                      //У
                                                    //0:OPEN 
                                                    //1:RESTRICTE
                                                    //2:WEP
                                                    //3:WPA
                                                    //4:WPA2
                                                    //5:WPA-PSK
                                                    //6:WPA2-PSK
    int             nEncryprion;                    //ܷʽ
                                                    //0:OPEN
                                                    //1:TKIP
                                                    //2:WEP
                                                    //3:AES
                                                    //4:NONE(У)
                                                    //5:AUTO
                                                    //6:SHARED
    int             nStrength;                      //APվź
    char            szHostIP[128];                  //ַ
    char            szHostNetmask[128];             //
    char            szHostGateway[128];             //
    int             nPriority;                      //ȼ,(1-32)
    int             nEnDHCP;                        //0ʹ; 1ʹ(ɨ赽dhcpĬʹܴ)
    BYTE            bReserved[1016];
} DHDEV_VEHICLE_WIFI_STATE;

typedef struct
{
    char            szSSID[128];                    //SSID
    int             nPriority;                      //ȼ,(1-32)
    int             nSafeType;                      //У
                                                    //0:OPEN 
                                                    //1:RESTRICTE
                                                    //2:WEP
                                                    //3:WPA
                                                    //4:WPA2
                                                    //5:WPA-PSK
                                                    //6:WPA2-PSK
    int             nEncryprion;                    //ܷʽ
                                                    //0:OPEN
                                                    //1:TKIP
                                                    //2:WEP
                                                    //3:AES
                                                    //4:NONE(У)
                                                    //5:AUTO
                                                    //6:SHARED
    char            szKey[128];                     //Կ
    char            szHostIP[128];                  //ַ
    char            szHostNetmask[128];             //
    char            szHostGateway[128];             //
    int             nEnDHCP;                        //0ʹ; 1ʹ(ɨ赽dhcpĬʹܴ)
    BYTE            byKeyIndex;                     //WEPУµԿ,0֧Կ >0:Կֵ,Χ1-4
    BYTE            bReserved[1019];
} DHDEV_VEHICLE_WIFI_CONFIG;

typedef struct
{
    char    szSSID[128];                            // SSID   
    BYTE    bReserved[256];                         // ֽ
}WIFI_CONNECT;

// IP޸
typedef struct __DHCTRL_IPMODIFY_PARAM
{
    int             nStructSize;
    char            szRemoteIP[DH_MAX_IPADDR_OR_DOMAIN_LEN];        // ǰ豸IP
    char            szSubmask[DH_MAX_IPADDR_LEN];                   // 
    char            szGateway[DH_MAX_IPADDR_OR_DOMAIN_LEN];         // 
    char            szMac[DH_MACADDR_LEN];                          // MACַ
    char            szDeviceType[DH_DEV_TYPE_LEN];                  // 豸
}DHCTRL_IPMODIFY_PARAM;

typedef struct 
{
    BOOL        bIsScan;                            //0:ɨwifi (ֶӵ), 1ɨ赽wifi
    char        szSSID[128];                        //SSID
    int         nSafeType;                          //У
                                                    //0:OPEN 
                                                    //1:RESTRICTE
                                                    //2:WEP
                                                    //3:WPA
                                                    //4:WPA2
                                                    //5:WPA-PSK
                                                    //6:WPA2-PSK
    int        nEncryprion;                         //ܷʽ
                                                    //0:OPEN
                                                    //1:TKIP
                                                    //2:WEP
                                                    //3:AES
                                                    //4:NONE(У)
                                                    //5:AUTO
                                                    //6:SHARED
    char        szKey[128];                         //Կ
    int         nStrength;                          //APվź
    int         nMaxBitRate;                        //APվ,λ ֻ
    int         nIsCnnted;                          //Ƿӳɹֻ
    int         nIsSaved;                           //ǷѾֻ
    int         nPriority;                          //ȼ,(1-32)
    char        szHostIP[128];                      //ַ
    char        szHostNetmask[128];                 //
    char        szHostGateway[128];                 //
    int         nWifiFreq;                          //Ƶ,ͨʶ
    int         nEnDHCP;                            //0ʹ 1ʹ(ɨ赽dhcpĬʹܴ)
    BYTE        byKeyIndex;                         //WEPУµԿ,0֧Կ >0:Կֵ,Χ1-4
    BYTE        bReserved[1019];
}DHDEV_VEHICLE_SINGLE_WIFI_AP_CFG;

typedef struct 
{
    BOOL        bEnable;                            //Ƿwifi, 0:ʹ 1:ʹ
    int         nWifiApNum;                         //DHDEV_VEHICLE_WIFI_AP_CFGṹЧ
    DHDEV_VEHICLE_SINGLE_WIFI_AP_CFG struWifiAp[64];//WIFI AP
    int         nReserved[512];                     //
}DHDEV_VEHICLE_WIFI_AP_CFG;

typedef struct  
{    
    BOOL        bEnable;                            //Ƿwifi, 0:ʹ 1:ʹ
    int         nRetWifiApNum;                      //õDHDEV_VEHICLE_WIFI_AP_CFGṹЧ
    int         nMaxWifiApNum;                      //DHDEV_VEHICLE_SINGLE_WIFI_AP_CFG
    DHDEV_VEHICLE_SINGLE_WIFI_AP_CFG* pWifiAp;      //WIFI AP
    int         nReserved[512];                     //
}DHDEV_VEHICLE_WIFI_AP_CFG_EX;

// GPS־Ϣṹ
typedef struct _DH_DEVICE_GPS_LOG_ITEM
{
    DHDEVTIME       stuDevTime;             // 豸ʱ  
    DWORD           dwLatidude;             // γ(λǰ֮,Χ0-180)籱γ30.183382ȱʾΪ120183382
    DWORD           dwLongitude;            // (λǰ֮,Χ0-360)綫120.178274ȱʾΪ300178274
                                            // γȵľתʽԲοṹ NET_WIFI_GPS_INFO еע
    DWORD           dwSpeed;                // ٶ,λǺ,speed/1000*1.852/Сʱ
    DWORD           dwHight;                // ߶,
    DWORD           dwAngle;                // ,Ƕ0~360,Ϊԭ,˳ʱΪ
    DHDEVTIME       stuGpsTime;             // GPSʱ
    BYTE            bAntStatus;             // GPS״̬,Ϊ0ʾ;Ϊ0ʾ쳣 
    BYTE            bOriStatus;             // λ״̬,Ϊ0ʾλɹ
    BYTE            bSatCount;              // 
    BYTE            bGPSStatus;             // GPS״̬,0,δλ 1,޲ֶλϢ 2,ֶλϢ
    DWORD           dwTemp;                 // ¶ֵ(϶),ʵֵ1000,30.0϶ȱʾΪ30000
    DWORD           dwHumidity;             // ʪֵ(%),ʵֵ1000,30.0%ʾΪ30000
    BYTE            bReserved[24];          // ֽ
    
}DH_DEVICE_GPS_LOG_ITEM;

// GPS ־ѯṹ
typedef struct _QUERY_GPS_LOG_PARAM
{
    NET_TIME            stuStartTime;               // ѯ־Ŀʼʱ
    NET_TIME            stuEndTime;                 // ѯ־Ľʱ
    int                 nStartNum;                  // ʱдӵڼ־ʼѯ,ʼһβѯΪ0
    BYTE                bReserved[20];
} QUERY_GPS_LOG_PARAM;

typedef struct _GPS_TEMP_HUMIDITY_INFO
{
    double              dTemperature;               // ¶ֵ(϶),ʵֵ1000,30.0϶ȱʾΪ30000
    double              dHumidity;                  // ʪֵ(%),ʵֵ1000,30.0%ʾΪ30000
    BYTE                bReserved[128];             // ֽ
}GPS_TEMP_HUMIDITY_INFO;

// Χö
typedef enum
{
    ENCLOSURE_UNKNOWN = 0x00,                       // δ֪
    ENCLOSURE_LIMITSPEED = 0x01,                    // 
    ENCLOSURE_DRIVEALLOW = 0x02,                    // ʻ
    ENCLOSURE_FORBIDDRIVE = 0x04,                   // ֹ
    ENCLOSURE_LOADGOODS = 0x08,                     // װ
    ENCLOSURE_UPLOADGOODS = 0x10,                   // ж
    ENCLOSURE_FLYALLOW = 0x20,                      // 
    ENCLOSURE_MANUALFORBIDFLY = 0x40,               // (ֶ)
    ENCLOSURE_FIXEDFORBIDFLY = 0x80,                // () - 
    ENCLOSURE_FiXEDLIMITFLY = 0x81,                 // Ʒ - 
}ENCLOSURE_TYPE;

typedef enum
{
     ENCLOSURE_ALARM_DRIVEIN ,                      // ʻ
     ENCLOSURE_ALARM_DRIVEOUT,                      // ʻ
     ENCLOSURE_ALARM_OVERSPEED,                     // 
     ENCLOSURE_ALARM_SPEEDCLEAR,                    // ʧ
     ENCLOSURE_ALARM_FLYNEAR,                       // п
}ENCLOSURE_ALARM_TYPE;

typedef struct 
{
    DWORD         dwLongitude;                      // (λǰ֮,Χ0-360)綫120.178274ȱʾΪ300178274
    DWORD         dwLatidude;                       // γ(λǰ֮,Χ0-180)籱γ30.183382ȱʾΪ120183382
                                                    // γȵľתʽԲοṹ NET_WIFI_GPS_INFO еע
}GPS_POINT;

// Χ
typedef struct _DHDEV_ENCLOSURE_CFG
{
    UINT          unType;                              // Χ, ENCLOSURE_TYPE 
    BYTE          bRegion[8];                          // ǰλֱҡʡл(0-255),4bytes
    UINT          unId;                                // һһIDʶ
    UINT          unSpeedLimit;                        // ,λkm/h
    UINT          unPointNum;                          // Χ򶥵
    GPS_POINT     stPoints[128];                       // ΧϢ
    char          szStationName[DH_STATION_NAME_LEN];  // ΧΧĳվվ
    BYTE          bDisenable;                          // ȥʹܡ 0  ;1 
    BYTE          bShape;                              // Χ״ 0  1 ԲΣ
    BYTE          bLimitType;                          // Χ 0 ; 1 ޸; 2 ް뾶; 3 ޸ް뾶
    BYTE          bAction;                             // Χ豸Ķ0 ,ǰ; 1 ֻ; 2 ͣ; 3 ;
    int           nLimitAltitude;                      // ߶ λס 0 Ч
    int           nAlarmAltitude;                      // Ԥ߶ȵλס 0 Ч
    UINT          unLimitRadius;                       // 뾶λס0 Ч
    UINT          unAlarmRadius;                       // Ԥ뾶ס0 Ч
    BYTE          reserved[12];                        // 
}DHDEV_ENCLOSURE_CFG;

// Χ汾
typedef struct _DHDEV_ENCLOSURE_VERSION_CFG
{
    UINT          unType;                              // Χ,LIMITSPEED | DRIVEALLOW
    UINT          unVersion[32];                       // ÿһ汾,ͳһƽ̨豸ϵΧ
    int           nReserved;                           //     
}DHDEV_ENCLOSURE_VERSION_CFG;

// Χ
typedef struct __ALARM_ENCLOSURE_INFO
{
    int           nTypeNumber;                          // ЧΧ͸
    BYTE          bType[16];                            // Χ,  ENCLOSURE_TYPE
    int           nAlarmTypeNumber;                     // Ч͸
    BYTE          bAlarmType[16];                       // ,ENCLOSURE_ALARM_TYPE
    char          szDriverId[DH_VEHICLE_DRIVERNO_LEN];  // ˾
    UINT          unEnclosureId;                        // ΧID
    UINT          unLimitSpeed;                         // ,λkm/h
    UINT          unCurrentSpeed;                       // ǰٶ
    NET_TIME      stAlarmTime;                          // ʱ
    DWORD         dwLongitude;                          // (λǰ֮,Χ0-360)綫120.178274ȱʾΪ300178274
    DWORD         dwLatidude;                           // γ(λǰ֮,Χ0-180)籱γ30.183382ȱʾΪ120183382
                                                        // γȵľתʽԲοṹ NET_WIFI_GPS_INFO еע
    BYTE          bOffline;                             // 0-ʵʱ 1- 
    UINT          unTriggerCount;                       // Χ
    BYTE          byReserved[115];                      // ֽ
}ALARM_ENCLOSURE_INFO;

// RAID쳣Ϣ
#define DH_MAX_RAID_NUM  16
#define DH_MAX_RAID_DEVICE_NAME 16
typedef struct __RAID_STATE_INFO
{
    char          szName[16];                           // Raid
    BYTE          byType;                               //  1:Jbod     2:Raid0      3:Raid1     4:Raid5
    BYTE          byStatus;                             // ״̬ 0:unknown ,1:active,2:degraded,3:inactive,4:recovering
    BYTE          byReserved[2];
    int           nCntMem;                              // nMemberЧݸ
    int           nMember[32];                          // 1,2,3,... ɴͨ,Ǹ
    int           nCapacity;                            // ,λG
    int           nRemainSpace;                         // ʣ,λM
    int           nTank;                                // չ 0:,1:չ1,2:չ2,
    char          reserved[32];
}RAID_STATE_INFO;

typedef struct __ALARM_RAID_INFO
{
    int              nRaidNumber;                       // ϱRAID   
    RAID_STATE_INFO  stuRaidInfo[DH_MAX_RAID_NUM];      // 쳣RAIDϢ
    char             reserved[128];
}ALARM_RAID_INFO;

// RAID
typedef enum tagEM_RAID_ERROR
{
	EM_RAID_ERROR_UNKNOW,                                        // δ֪
	EM_RAID_ERROR_FAILED,                                        // RAID
	EM_RAID_ERROR_DEGRADED,                                      // RAID
} EM_RAID_ERROR;

// ״̬
typedef enum tagEM_RAID_ERR_SUBDISK
{
    EM_RAID_ERR_SUBDISK_UNKNOWN,                                // δ֪
        EM_RAID_ERR_SUBDISK_OFFLINE,                            // 
        EM_RAID_ERR_SUBDISK_FAULTY,                             // 쳣
        EM_RAID_ERR_SUBDISK_WRITEERR,                           // д
} EM_RAID_ERR_SUBDISK;

// ϸϢ
typedef struct tagNET_RAID_ERR_DETAIL_INFO
{
    DWORD                 dwSlotNum;                            // ̲λ
    EM_RAID_ERR_SUBDISK   emErrSubDisk;                         // ״̬
    BYTE                  byReserved[24];                       // 
}NET_RAID_ERR_DETAIL_INFO;

// RAID쳣Ϣ ӦDH_ALARM_RAID_STATE_EX
typedef struct tagALARM_RAID_INFO_EX
{
	DWORD                nAction;                               // 0-ʼ, 1-ֹͣ
	char                 szDevice[DH_MAX_RAID_DEVICE_NAME];     // 豸
	EM_RAID_ERROR        emErrorType;                           // 
    int                  nDetailNum;                            // ЧĹ̸
    NET_RAID_ERR_DETAIL_INFO stuErrDetail[16];                  // ϸϢ
	BYTE                 byReserved[508];                       // 
}ALARM_RAID_INFO_EX;

// IPCĴ洢ʹ¼(SD쳣)ṹ Ӧ DH_ALARM_STORAGE_IPC_FAILURE 
typedef struct tagALARM_STORAGE_IPC_FAILURE_INFO
{
    int                  nAction;                               // 0:ʼ 1:ֹͣ
    int                  nChannelID;                            // ͨ
    BYTE                 byReserved[1024];                      // ֽ
}ALARM_STORAGE_IPC_FAILURE_INFO;

// ֹ,豸ָʱûб仯ֹϢӦ DH_ALARM_DEVICE_STAY
typedef struct tagALARM_DEVICE_STAY_INFO
{
	int					nAction;								// 0:ʼ 1:ֹͣ
	int					nChannelID;								// ͨ
	BYTE				byReserved[1024];						// ֽ
}ALARM_DEVICE_STAY_INFO;

// ״̬
typedef enum tagEM_SUB_WAY_DOOR_STATE_TYPE
{
    EM_SUB_WAY_DOOR_STATE_TYPE_UNKNOWN,     // δ֪
    EM_SUB_WAY_DOOR_STATE_TYPE_LOST,        // ״̬ʧ
    EM_SUB_WAY_DOOR_STATE_TYPE_ISOLATION,   // 
    EM_SUB_WAY_DOOR_STATE_TYPE_UNLOCK,      // 
    EM_SUB_WAY_DOOR_STATE_TYPE_NORMAL,      // 
}EM_SUB_WAY_DOOR_STATE_TYPE;

// 
typedef enum tagEM_SUB_WAY_CARRIAGE_NUMBER_TYPE
{
    EM_SUB_WAY_CARRIAGE_NUMBER_TYPE_UNKNOWN, // δ֪
    EM_SUB_WAY_CARRIAGE_NUMBER_TYPE_TC1,     // TC1
    EM_SUB_WAY_CARRIAGE_NUMBER_TYPE_M1,      // M1
    EM_SUB_WAY_CARRIAGE_NUMBER_TYPE_M2,      // M2
    EM_SUB_WAY_CARRIAGE_NUMBER_TYPE_TC2,     // TC2
}EM_SUB_WAY_CARRIAGE_NUMBER_TYPE;

// ״̬ Ӧ DH_ALARM_SUB_WAY_DOOR_STATE 
typedef struct tagALARM_SUB_WAY_DOOR_STATE_INFO
{
    int                                 nAction;             // ¼0ʾ¼,1ʾ¼ʼ,2ʾ¼
    int					                nEventID;			 // ¼ID
    double				                dbPTS;			     // ʱ(λǺ)
    NET_TIME_EX			                stuTime;			 // ¼ʱ
    int                                 nDoorNumber;         // ź   
    EM_SUB_WAY_DOOR_STATE_TYPE          emDoorState;         // ״̬
    EM_SUB_WAY_CARRIAGE_NUMBER_TYPE     emCarriageNumber;    // 
    BYTE                                byReserved[1024];    // ֽ
}ALARM_SUB_WAY_DOOR_STATE_INFO;

// PECE״̬ Ӧ DH_ALARM_SUB_WAY_PECE_SWITCH 
typedef struct tagALARM_SUB_WAY_PECE_SWITCH_INFO
{
    int                                 nAction;             // ¼0ʾ¼,1ʾ¼ʼ,2ʾ¼
    int					                nEventID;			 // ¼ID
    double				                dbPTS;			     // ʱ(λǺ)
    NET_TIME_EX			                stuTime;			 // ¼ʱ
    int                                 nDoorNumber;         // ź
    int                                 nState;              // ״̬1ʾ򿪣0ʾر,ֵʾδ֪
    EM_SUB_WAY_CARRIAGE_NUMBER_TYPE     emCarriageNumber;    // 
    BYTE                                byReserved[1024];    // ֽ
}ALARM_SUB_WAY_PECE_SWITCH_INFO;

// ¼ Ӧ DH_ALARM_SUB_WAY_FIRE_ALARM 
typedef struct tagALARM_SUB_WAY_FIRE_ALARM_INFO
{
    int                                 nAction;             // ¼0ʾ¼,1ʾ¼ʼ,2ʾ¼
    int					                nEventID;			 // ¼ID
    double				                dbPTS;			     // ʱ(λǺ)
    NET_TIME_EX			                stuTime;			 // ¼ʱ
    int                                 nSourceNumber;       // Դ
    BOOL                                bState;              // ״̬TRUEʾл𾯣FALSEʾ޻    
    BYTE                                byReserved[1024];    // ֽ
}ALARM_SUB_WAY_FIRE_ALARM_INFO;

// ˿ͽֱ Ӧ DH_ALARM_SUB_WAY_EMER_HANDLE 
typedef struct tagALARM_SUB_WAY_EMER_HANDLE_INFO
{
    int                                 nAction;             // ¼0ʾ¼,1ʾ¼ʼ,2ʾ¼
    int					                nEventID;			 // ¼ID
    double				                dbPTS;			     // ʱ(λǺ)
    NET_TIME_EX			                stuTime;			 // ¼ʱ
    BOOL                                bState;              // ״̬TRUEʾжFALSEʾ޶
    EM_SUB_WAY_CARRIAGE_NUMBER_TYPE     emCarriageNumber;    // 
    BYTE                                byReserved[1024];    // ֽ
}ALARM_SUB_WAY_EMER_HANDLE_INFO;

// ˾Ҹǰ״̬ Ӧ DH_ALARM_SUB_WAY_CAB_COVER 
typedef struct tagALARM_SUB_WAY_CAB_COVER_INFO
{
    int                                 nAction;             // ¼0ʾ¼,1ʾ¼ʼ,2ʾ¼
    int					                nEventID;			 // ¼ID
    double				                dbPTS;			     // ʱ(λǺ)
    NET_TIME_EX			                stuTime;			 // ¼ʱ
    int                                 nState;              // ״̬1ʾ򿪣0ʾر,ֵʾδ֪
    EM_SUB_WAY_CARRIAGE_NUMBER_TYPE     emCarriageNumber;    // 
    BYTE                                byReserved[1024];    // ֽ
}ALARM_SUB_WAY_CAB_COVER_INFO;

// ⵽ϰѹ Ӧ DH_ALARM_SUB_WAY_DERA_OBST 
typedef struct tagALARM_SUB_WAY_DERA_OBST_INFO
{
    int                                 nAction;             // ¼0ʾ¼,1ʾ¼ʼ,2ʾ¼
    int					                nEventID;			 // ¼ID
    double				                dbPTS;			     // ʱ(λǺ)
    NET_TIME_EX			                stuTime;			 // ¼ʱ
    BOOL                                bState;              // ״̬TRUEʾ⵽ϰѹ죬FALSEʾδ⵽ϰѹ
    EM_SUB_WAY_CARRIAGE_NUMBER_TYPE     emCarriageNumber;    // 
    BYTE                                byReserved[1024];    // ֽ
}ALARM_SUB_WAY_DERA_OBST_INFO;

// ұ״̬ Ӧ DH_ALARM_SUB_WAY_PECU_CALL 
typedef struct tagALARM_SUB_WAY_PECU_CALL_INFO
{
    int                                 nAction;             // ¼0ʾ¼,1ʾ¼ʼ,2ʾ¼
    int					                nEventID;			 // ¼ID
    double				                dbPTS;			     // ʱ(λǺ)
    NET_TIME_EX			                stuTime;			 // ¼ʱ
    int                                 nCallNumber;         // 
    BOOL                                bState;              // ״̬TRUEʾFALSEʾޱ
    EM_SUB_WAY_CARRIAGE_NUMBER_TYPE     emCarriageNumber;    // 
    BYTE                                byReserved[1024];    // ֽ
}ALARM_SUB_WAY_PECU_CALL_INFO;

// ΪŽṹӦ DH_ALARM_DOOR_CLOSEDMANUALLY 
typedef struct tagALARM_DOOR_CLOSEDMANUALLY_INFO
{
    int                                 nAction;             // ¼-1δ֪1ʾ¼ʼ,2ʾ¼
    int					                nEventID;			 // ¼ID
    double				                dbPTS;			     // ʱ(λǺ)
    NET_TIME_EX			                stuTime;			 // ¼ʱ
    int                                 nDoor;               // ͨ
    char                                szDoorName[DH_MAX_DOORNAME_LEN]; // Ž
    BYTE                                byReserved[1024];    // ֽ
}ALARM_DOOR_CLOSEDMANUALLY_INFO;

// ųʱδضӦ DH_ALARM_DOOR_NOTCLOSED_LONGTIME 
typedef struct tagALARM_DOOR_NOTCLOSED_LONGTIME_INFO
{
    int                                 nAction;             // ¼-1δ֪1ʾ¼ʼ,2ʾ¼
    int					                nEventID;			 // ¼ID
    double				                dbPTS;			     // ʱ(λǺ)
    NET_TIME_EX			                stuTime;			 // ¼ʱ
    int                                 nDoor;               // ͨ
    char                                szDoorName[DH_MAX_DOORNAME_LEN]; // Ž
    BYTE                                byReserved[1024];    // ֽ
}ALARM_DOOR_NOTCLOSED_LONGTIME_INFO;

// ϱϢӦDH_ALARM_CUT_LINE
typedef struct tagALARM_CUT_LINE_INFO
{
	int									nChannel;			 // ͨ
	int                                 nAction;             // ¼-1ʾδ֪0ʾ¼,1ʾ¼ʼ,2ʾ¼
    NET_TIME_EX			                stuTime;			 // ¼ʱ
    BYTE                                byReserved[1024];    // ֽ
} ALARM_CUT_LINE_INFO;

// ˱ϢӦ DH_ALARM_FIBRE_OPTIC_ABORT      
typedef struct tagALARM_FIBRE_OPTIC_ABORT       
{     
	int                                 nAlarmIn;            //            
	int                                 nAction;             // ¼,1ʾ¼ʼ,2ʾ¼;       
	NET_TIME_EX                         UTC;                 // ¼ʱ       
	BYTE                                byReserved[1024];    // ֽ       
}ALARM_FIBRE_OPTIC_ABORT; 

//β汨¼ϢӦ DH_ALARM_TAIL_DETECTION 
typedef struct tagALARM_TAIL_DETECTION_INFO       
{     
	int									nAction;						// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int									nChannelID;						// ͨ
    double								dbPTS;							// ʱ(λǺ)
    NET_TIME_EX							stuTime;						// ¼ʱ
    int									nEventID;						// ¼ID
	BYTE                				byReserved[1024];   			// ֽ     
}ALARM_TAIL_DETECTION_INFO; 

// ӴϢӦDH_ALARM_NEAR_DISTANCE_DETECTION 
typedef struct tagALARM_NEAR_DISTANCE_INFO
{
	int									nChannel;			 // ͨ
	int                                 nAction;             // ¼,1ʾ¼ʼ,2ʾ¼;       
	int					                nEventID;			 // ¼ID
    double				                dbPTS;			     // ʱ(λǺ)
    NET_TIME_EX			                stuTime;			 // ¼ʱ
    BYTE                                byReserved[1024];    // ֽ
} ALARM_NEAR_DISTANCE_INFO; 


// Ӿվ¼Աб
typedef struct tagMAN_STAND_LIST_INFO
{
	DH_POINT			stuCenter;			// վԱλ,8192ϵ
	char                szReversed[128];    // ֽ
} MAN_STAND_LIST_INFO;

// ӾվϢӦDH_ALARM_MAN_STAND_DETECTION 
typedef struct tagALARM_MAN_STAND_INFO
{
	int							nChannel;			 		// ͨ
	int                         nAction;             		// ¼,1ʾ¼ʼ,2ʾ¼;       
	int					        nEventID;			 		// ¼ID
    double				        dbPTS;			     		// ʱ(λǺ)
    NET_TIME_EX			        stuTime;			 		// ¼ʱ

	int							nManListCount;				// Աб
	MAN_STAND_LIST_INFO			stuManList[MAX_MAN_LIST_COUNT];	// Աб
    BYTE                        byReserved[1024];    		// ֽ
} ALARM_MAN_STAND_INFO;

// Ӿͳ¼Աб
typedef struct tagMAN_NUM_LIST_INFO
{
	DH_RECT				stuBoudingBox;			// ԱΧ,8192ϵ
	int					nStature;				// Աߣλcm
	char                szReversed[128];    	// ֽ
} MAN_NUM_LIST_INFO;


// ӾͳƱӦDH_ALARM_MAN_NUM_DETECTION 
typedef struct tagALARM_MAN_NUM_INFO
{
	int							nChannel;			 		// ͨ
	int                         nAction;             		// ¼,1ʾ¼ʼ,2ʾ¼;       
	int					        nEventID;			 		// ¼ID
    double				        dbPTS;			     		// ʱ(λǺ)
    NET_TIME_EX			        stuTime;			 		// ¼ʱ
    int							nManListCount;				// Աб
	MAN_NUM_LIST_INFO			stuManList[MAX_MAN_LIST_COUNT];	// Աб
    BYTE                        byReserved[1024];    		// ֽ
} ALARM_MAN_NUM_INFO;
//ͨ񱨾ϢӦDH_ALARM_BITRATES_OVERLIMIT  
typedef struct tagALARM_BITRATES_OVERLIMIT_INFO        
{      
	int                                 nChannel;                       // Ƶͨ            
	int                                 nAction;                        // ¼,1ʾʼ,2ʾ;   
	int                                 nLimitBps;                      // ʣλKbps 
	int                                 nCurrentBps;                    // ǰʣλKbps  
	BYTE                                byReserved[1024];               // ֽ    
}ALARM_BITRATES_OVERLIMIT_INFO;  

//߷ֱⱨϢӦ DH_ALARM_HIGH_DECIBEL 
typedef struct tagALARM_HIGH_DECIBEL_INFO
{
	int                                 nAudioChannel;                  // Ƶͨ 
	int                                 nAction;                        // ¼,0ʾ¼,1ʾʼ,2ʾ;
	NET_TIME_EX                         stuTime;                        // ¼ʱ
    BYTE                                byReserved[1024];               // ֽ
}ALARM_HIGH_DECIBEL_INFO;

//ҡμⱨϢӦ DH_ALARM_SHAKE_DETECTION 
typedef struct tagALARM_SHAKE_DETECTION_INFO
{          
	int                                 nAction;                        // ¼,0ʾ¼,1ʾʼ,2ʾ;   
    NET_TIME_EX                         stuTime;                        // ¼ʱ
	BYTE                                byReserved[1024];               // ֽ    
}ALARM_SHAKE_DETECTION_INFO;

// Ʒʽ
typedef enum tagNET_ACCESS_METHOD
{
    NET_ACCESS_METHOD_UNKNOWN,                                          // δ֪
    NET_ACCESS_METHOD_CARD,                                             // 
    NET_ACCESS_METHOD_PASSWORD,                                         // 
    NET_ACCESS_METHOD_FINGERPRINT,                                      // ָ 
} NET_ACCESS_METHOD;

//⿪¼ Ӧ DH_ALARM_ACCESS_CTL_MALICIOUS
typedef struct tagALARM_ACCESS_CTL_MALICIOUS
{
    int                                 nAction;                        // ¼,0ʾ¼,1ʾʼ,2ʾ;   
    NET_TIME_EX                         stuTime;                        // ¼ʱ
    NET_ACCESS_METHOD                   emMethod;                       // ŷʽ
    char                                szSerialNum[MAX_COMMON_STRING_32];     // к
	int									nChannel;						// ͨ
	BYTE                                byReserved[1020];               // ֽ  
}ALARM_ACCESS_CTL_MALICIOUS;

// ûע¼, Ӧ DH_ALARM_ACCESS_CTL_USERID_REGISTER
typedef struct tagALARM_ACCESS_CTL_USERID_REGISTER
{
    int                                 nAction;                        // ¼,0ʾ¼,1ʾʼ,2ʾ;   
    NET_TIME_EX                         stuTime;                        // ¼ʱ
    char                                UserID[DH_USER_NAME_LEN_EX];    // û
    NET_ACCESS_METHOD                   emMethod;                       // ע᷽ʽ
    char                                szSerialNum[MAX_COMMON_STRING_32];  // к
	BYTE                                byReserved[1024];               // ֽ 
}ALARM_ACCESS_CTL_USERID_REGISTER;

// ʽ
typedef enum tagNET_ACCESS_CTL_LOCKTYPE
{
    NET_ACCESS_CTL_LOCKTYPE_UNKNOWN,                                    // δ֪
    NET_ACCESS_CTL_LOCKTYPE_DEADBOLT,                                   // 
    NET_ACCESS_CTL_LOCKTYPE_STAYBOLT,                                   // 
}NET_ACCESS_CTL_LOCKTYPE;

// Ϣϱ¼, Ӧ DH_ALARM_ACCESS_CTL_REVERSELOCK
typedef struct tagALARM_ACCESS_CTL_REVERSELOCK
{
    int                                 nAction;                        // ¼,0ʾ¼,1ʾʼ,2ʾ;   
    NET_TIME_EX                         stuTime;                        // ¼ʱ
    BOOL                                bStatus;                        // 
    NET_ACCESS_CTL_LOCKTYPE             emMethod;                       // ʽ
    char                                szSerialNum[MAX_COMMON_STRING_32];     // к
	BYTE                                byReserved[1024];               // ֽ 
}ALARM_ACCESS_CTL_REVERSELOCK;

// ɾûϱ¼, Ӧ DH_ALARM_ACCESS_CTL_USERID_DELETE
typedef struct tagALARM_ACCESS_CTL_USERID_DELETE
{
    int                                 nAction;                        // ¼,0ʾ¼,1ʾʼ,2ʾ;   
    NET_TIME_EX                         stuTime;                        // ¼ʱ
    NET_ACCESS_METHOD                   emMethod;                       // ע᷽ʽ
    char                                szSerialNum[MAX_COMMON_STRING_32];     // к
	BYTE                                byReserved[1024];               // ֽ 
}ALARM_ACCESS_CTL_USERID_DELETE;

//¼DH_ALARM_ACCESS_DOOR_BELL(¼)ӦϢ
typedef struct tagALARM_ACCESS_DOOR_BELL_INFO
{
	int 					nChannelID; 								// ͨ
	NET_TIME_EX       		stuTime;									// ¼UTC ʱ
	char                    szName[DH_MAX_NAME_LEN];     				// Ž
	char                    szWirelessDevSN[DH_MAX_ACCESS_NAME_LEN];	// 豸к
	BYTE			        bReserved[512];				        		// ֽ
}ALARM_ACCESS_DOOR_BELL_INFO;

//¼DH_ALARM_ACCESS_FACTORY_RESET(ָ)ӦϢ
typedef struct tagALARM_ACCESS_FACTORY_RESET_INFO
{					
	NET_TIME_EX   		    stuTime;								// ¼UTC ʱ
	char                    szSmartLockSN[DH_MAX_ACCESS_NAME_LEN];	// к
	BYTE			        bReserved[512];				        	// ֽ
}ALARM_ACCESS_FACTORY_RESET_INFO;


// ſض
typedef enum tagEM_NET_CABINET_SWITCH_ACTION_TYPE
{
    NET_CABINET_SWITCH_ACTION_TYPE_UNKNOWN,							// δ֪
	NET_CABINET_SWITCH_ACTION_TYPE_OPEN,							// 
	NET_CABINET_SWITCH_ACTION_TYPE_CLOSE,							// ع
} EM_NET_CABINET_SWITCH_ACTION_TYPE;

// 豸Ƶͨ
#define MAX_LINK_CHANNEL_NUMBER		16

// ƹ豸͵ƷŵϢʵʱϱ¼(DH_ALARM_CABINET)
typedef struct tagALARM_CABINET_INFO
{
    int									nAction;                                // 0:Pulse,1:Start,2:Stop,3:State
	NET_TIME_EX							stuTime;								// ¼ʱ
	EM_NET_CABINET_SWITCH_ACTION_TYPE	emType;									// ſض
	char								szSerialNo[MAX_COMMON_STRING_32];		// Ʒк
	int									nLinkChannelNum;						// 豸Ƶͨ
	int									nLinkChannel[MAX_LINK_CHANNEL_NUMBER];	// 豸Ƶͨ
    BYTE								byReserved[1024];                       //  
} ALARM_CABINET_INFO;

//¼DH_SWITCH_SCREEN (лĻ¼ )ӦϢ
typedef struct tagDH_SWITCH_SCREEN_INFO
{
	
	int              nChannelID;                                    //ͨ
	
	BYTE             bReserved[512];                               
	
}DH_SWITCH_SCREEN_INFO;

#define MAX_EVENT_INFO_LEN			128          // ¼ϸϢ󳤶

// ΢Ƴ¼Ϣ, Ӧ DH_MCS_GENERAL_CAPACITY_LOW
typedef struct tagALARM_MCS_GENERAL_CAPACITY_LOW_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_GENERAL_CAPACITY_LOW_INFO;

// ΢ƴ洢ڵ¼Ϣ, Ӧ DH_MCS_DATA_NODE_OFFLINE
typedef struct tagALARM_MCS_DATA_NODE_OFFLINE_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_DATA_NODE_OFFLINE_INFO;

// ΢ƴ¼Ϣ, Ӧ DH_MCS_DISK_OFFLINE
typedef struct tagALARM_MCS_DISK_OFFLINE_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ 
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_DISK_OFFLINE_INFO;

// ΢ƴ̱¼Ϣ, Ӧ DH_MCS_DISK_SLOW
typedef struct tagALARM_MCS_DISK_SLOW_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ 
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_DISK_SLOW_INFO;

// ΢ƴ¼Ϣ, Ӧ DH_MCS_DISK_BROKEN
typedef struct tagALARM_MCS_DISK_BROKEN_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ 
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_DISK_BROKEN_INFO;

// ΢ƴδ֪¼Ϣ, Ӧ DH_MCS_DISK_UNKNOW_ERROR
typedef struct tagALARM_MCS_DISK_UNKNOW_ERROR_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ 
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_DISK_UNKNOW_ERROR_INFO;

// ΢Ԫݷ쳣¼Ϣ, Ӧ DH_MCS_METADATA_SERVER_ABNORMAL
typedef struct tagALARM_MCS_METADATA_SERVER_ABNORMAL_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ 
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_METADATA_SERVER_ABNORMAL_INFO;

// ΢Ŀ¼쳣¼Ϣ, Ӧ DH_MCS_CATALOG_SERVER_ABNORMAL
typedef struct tagALARM_MCS_CATALOG_SERVER_ABNORMAL_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ 
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_CATALOG_SERVER_ABNORMAL_INFO;

// ΢Ƴָ¼ϢϢ, Ӧ DH_MCS_GENERAL_CAPACITY_RESUME
typedef struct tagALARM_MCS_GENERAL_CAPACITY_RESUME_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_GENERAL_CAPACITY_RESUME_INFO;

// ΢ƴ洢ڵ¼Ϣ, Ӧ DH_MCS_DATA_NODE_ONLINE
typedef struct tagALARM_MCS_DATA_NODE_ONLINE_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ 
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_DATA_NODE_ONLINE_INFO;

// ΢ƴ¼Ϣ, Ӧ DH_MCS_DISK_ONLINE
typedef struct tagALARM_MCS_DISK_ONLINE_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_DISK_ONLINE_INFO;

// ΢Ԫݱ¼Ϣ, Ӧ DH_MCS_METADATA_SLAVE_ONLINE
typedef struct tagALARM_MCS_METADATA_SLAVE_ONLINE_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ 
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_METADATA_SLAVE_ONLINE_INFO;

// ΢Ŀ¼¼, Ӧ DH_MCS_CATALOG_SERVER_ONLINE
typedef struct tagALARM_MCS_CATALOG_SERVER_ONLINE_INFO
{
	char		szEventInfo[MAX_EVENT_INFO_LEN];			// ¼ϸϢ 
	BYTE		byReserved[1024];							// ֽ
}ALARM_MCS_CATALOG_SERVER_ONLINE_INFO;

//////////////////////////////////ATM֧//////////////////////////////////

typedef struct
{
    int           Offset;                               // ־λλƫ
    int           Length;                               // ־λĳ
    char          Key[16];                              // ־λֵ
} DH_SNIFFER_FRAMEID;

typedef struct 
{
    int           Offset;                       // ־λλƫ
    int           Offset2;                      // ĿǰûӦ
    int           Length;                       // ־λĳ
    int           Length2;                      // ĿǰûӦ
    char          Title[12];                    // ֵ
    char          Key[12];                      // ؼֵֵ
} DH_SNIFFER_CONTENT;

// ץ
typedef struct 
{
    DH_SNIFFER_FRAMEID    snifferFrameId;                           // ÿFRAME ID ѡ
    DH_SNIFFER_CONTENT    snifferContent[DH_SNIFFER_CONTENT_NUM];   // ÿFRAMEӦ4ץ
} DH_SNIFFER_FRAME;

// ÿץӦýṹ
typedef struct
{
    char                SnifferSrcIP[DH_MAX_IPADDR_LEN];        // ץԴַ        
    int                 SnifferSrcPort;                         // ץԴ˿
    char                SnifferDestIP[DH_MAX_IPADDR_LEN];       // ץĿַ
    int                 SnifferDestPort;                        // ץĿ˿
    char                reserved[28];                           // ֶ
    DH_SNIFFER_FRAME    snifferFrame[DH_SNIFFER_FRAMEID_NUM];   // 6FRAME ѡ
    int                 displayPosition;                        // ʾλ
    int                 recdChannelMask;                        // ͨ
} DH_ATM_SNIFFER_CFG;

typedef struct  
{
    DWORD               dwSize;
    DH_ATM_SNIFFER_CFG  SnifferConfig[4];
    char                reserved[256];                          // ֶ
} DHDEV_SNIFFER_CFG;

typedef DH_SNIFFER_FRAMEID DH_SNIFFER_FRAMEID_EX;
typedef DH_SNIFFER_CONTENT DH_SNIFFER_CONTENT_EX;

// ץ
typedef struct  
{
    DH_SNIFFER_FRAMEID    snifferFrameId;                               // ÿFRAME ID ѡ
    DH_SNIFFER_CONTENT    snifferContent[DH_SNIFFER_CONTENT_NUM_EX];    // ÿFRAMEӦ8ץ    
} DH_SNIFFER_FRAME_EX;

// ÿץӦýṹ
typedef struct
{
    char                SnifferSrcIP[DH_MAX_IPADDR_LEN];                // ץԴַ        
    int                 SnifferSrcPort;                                 // ץԴ˿
    char                SnifferDestIP[DH_MAX_IPADDR_LEN];               // ץĿַ
    int                 SnifferDestPort;                                // ץĿ˿
    DH_SNIFFER_FRAME_EX snifferFrame[DH_SNIFFER_FRAMEID_NUM];           // 6FRAME ѡ
    int                 displayPosition;                                // ʾλ
    int                 recdChannelMask;                                // ͨ  0  ~ 31 ͨ
    BOOL                bDateScopeEnable;                               // Դʹ
    BOOL                bProtocolEnable;                                // Эʹ
    char                szProtocolName[DH_SNIFFER_PROTOCOL_SIZE];       // Э
    int                 nSnifferMode;                                   // ץʽ,0:net,1:232.
    int                 recdChannelMask1;                               // ͨ  32 ~ 63 ͨ
    char                reserved[252];
} DH_ATM_SNIFFER_CFG_EX;

// AtmͲѯؽṹ
#define ATM_MAX_TRADE_TYPE_NAME    64
#define ATM_MAX_TRADE_NUM        1024

typedef struct __DH_ATM_QUERY_TRADE   
{
    int  nTradeTypeNum;                                                     // ʵʽ
    int  nExceptionTypeNum;                                                 // ʵ쳣¼
    char szSupportTradeType[ATM_MAX_TRADE_NUM][ATM_MAX_TRADE_TYPE_NAME];    // ¼
    char szSupportExceptionType[ATM_MAX_TRADE_NUM][ATM_MAX_TRADE_TYPE_NAME];// 쳣¼
} DH_ATM_QUERY_TRADE, *LPDH_ATM_QUERY_TRADE;

/////////////////////////////////֧/////////////////////////////////
#define nEncoderID nDecoderID
#define byEncoderID byDecoderID

// Ϣ
typedef struct __DEV_DECODER_INFO 
{
    char            szDecType[64];                      // 
    int             nMonitorNum;                        // TV
    int             nEncoderNum;                        // ͨ
    BYTE            szSplitMode[16];                    // ֵ֧TVָ,ʽʾ,0Ϊβ
    BYTE            bMonitorEnable[16];                 // TVʹ
    BYTE            bTVTipDisplay;                      // ָʾǷ֧TVʾϢ, 0:֧ 1:֧.
    BYTE            reserved1[3];
    BYTE            byLayoutEnable[48];                 // ͨʾϢʹ
    DWORD           dwLayoutEnMask[2];                  // ͨʾϢʹ,ӵλλ֧64ͨ,dwLayoutEnMask[0]ǵ32λ
    char            reserved[4];
} DEV_DECODER_INFO, *LPDEV_DECODER_INFO;

//#define NANJINGDITIE_NVD
#ifndef NANJINGDITIE_NVD
// ӵıϢ
typedef struct __DEV_ENCODER_INFO 
{
    char            szDevIp[DH_MAX_IPADDR_LEN];             // ǰDVRIPַ
    WORD            wDevPort;                               // ǰDVRĶ˿ں
    BYTE            bDevChnEnable;                          // ͨʹ
    BYTE            byDecoderID;                            // ֶѷ, dwDecoderID
    char            szDevUser[DH_USER_NAME_LENGTH_EX];      // û
    char            szDevPwd[DH_USER_PSW_LENGTH_EX];        // 
    int             nDevChannel;                            // ͨ
    int             nStreamType;                            // ,011; 2:snap; 3: 2
    BYTE            byConnType;                             // -1: auto, 0TCP1UDP2鲥
    BYTE            byWorkMode;                             // 0ֱ1ת
    WORD            wListenPort;                            // ָʾĶ˿,תʱЧ
    DWORD           dwProtoType;                            // Э,
                                                            // 0:ǰ
                                                            // 1:󻪶Э
                                                            // 2:ϵͳЭ
                                                            // 3:DSSЭ
                                                            // 4:rtspЭ
    char            szDevName[64];                          // ǰ豸
    BYTE            byVideoInType;                          // ýͨǰƵԴ:0-(SD),1-(HD),ע:豸ָ֧ͨЧ        
    char            szDevIpEx[DH_MAX_IPADDR_OR_DOMAIN_LEN]; // szDevIpչ,ǰDVRIPַ()
    BYTE            bySnapMode;                             // ץͼģʽ(nStreamType==2ʱЧ) 0ʾһ֡,1ʾʱ
    BYTE            byManuFactory;                          // Ŀ豸,οEM_IPC_TYPE
    BYTE            byDeviceType;                           // Ŀ豸豸,0:IPC
    BYTE            byDecodePolicy;                         // Ŀ豸Ľ,0:ǰ
                                                            // 1:ʵʱȼ 2:ʵʱȼ
                                                            // 3:ʵʱȼ 4:Ĭϵȼ
                                                            // 5:ȼ 6:ȼ
                                                            // 7:ȼ
    BYTE            bReserved[3];                           // ֽ
    DWORD           dwHttpPort;                             // Http˿ں,0-65535
    DWORD           dwRtspPort;                             // Rtsp˿ں,0-65535
    char            szChnName[32];                          // Զͨ, ֻжȡƲΪʱſ޸ĸͨ
    DWORD           dwDecoderID;                            // Ӧͨ
} DEV_ENCODER_INFO, *LPDEV_ENCODER_INFO;

#else

// ӵıϢ
typedef struct __DEV_ENCODER_INFO 
{
    char            szDevIp[DH_MAX_IPADDR_LEN];             // ǰDVRIPַ
    WORD            wDevPort;                               // ǰDVRĶ˿ں
    BYTE            bDevChnEnable;                          // ͨʹ
    BYTE            byDecoderID;                            // ֶѷ, dwDecoderID
    char            szDevUser[DH_USER_NAME_LENGTH_EX];      // û
    char            szDevPwd[DH_USER_PSW_LENGTH_EX];        // 
    int             nDevChannel;                            // ͨ
    int             nStreamType;                            // ,011; 2:snap; 3: 2
    BYTE            byConnType;                             // -1: auto, 0TCP1UDP2鲥
    BYTE            byWorkMode;                             // 0ֱ1ת
    WORD            wListenPort;                            // ָʾĶ˿,תʱЧ;byConnTypeΪ鲥ʱ,Ϊಥ˿
    DWORD           dwProtoType;                            // Э,
                                                            // 0:ǰ
                                                            // 1:󻪶Э
                                                            // 2:ϵͳЭ
                                                            // 3:DSSЭ
                                                            // 4:rtspЭ
                                                            // 5:׼TS
    char            szDevName[32];                          // ǰ豸
    BYTE            byVideoInType;                          // ýͨǰƵԴ:0-(SD),1-(HD),ע:豸ָ֧ͨЧ        
    char            szDevIpEx[DH_MAX_IPADDR_OR_DOMAIN_LEN]; // szDevIpչ,ǰDVRIPַ()
    BYTE            bySnapMode;                             // ץͼģʽ(nStreamType==2ʱЧ) 0ʾһ֡,1ʾʱ
    BYTE            byManuFactory;                          // Ŀ豸,οEM_IPC_TYPE
    BYTE            byDeviceType;                           // Ŀ豸豸,0:IPC
    BYTE            byDecodePolicy;                         // Ŀ豸Ľ,0:ǰ
                                                            // 1:ʵʱȼ 2:ʵʱȼ
                                                            // 3:ʵʱȼ 4:Ĭϵȼ
                                                            // 5:ȼ 6:ȼ
                                                            // 7:ȼ
    BYTE            bReserved[3];                           // ֽ
    DWORD           dwHttpPort;                             // Http˿ں,0-65535
    DWORD           dwRtspPort;                             // Rtsp˿ں,0-65535
    char            szChnName[32];                          // Զͨ, ֻжȡƲΪʱſ޸ĸͨ
    char            szMcastIP[DH_MAX_IPADDR_LEN];           // ಥIPַ,byConnTypeΪ鲥ʱЧ
    DWORD           dwDecoderID;                            // Ӧͨ
    char            reserved[124];
} DEV_ENCODER_INFO, *LPDEV_ENCODER_INFO;

#endif

// rtsp url
typedef struct __DHDEV_DECODER_URL_CFG
{
    DWORD           dwSize;
    char            szMainStreamUrl[MAX_PATH];          // url
    char            szExtraStreamUrl[MAX_PATH];         // url
} DHDEV_DECODER_URL_CFG;

typedef enum tagDH_SPLIT_DISPLAY_TYPE
{
    DH_SPLIT_DISPLAY_TYPE_GENERAL=1,          // ͨʾ
    DH_SPLIT_DISPLAY_TYPE_PIP=2,              // лʾ
    DH_SPLIT_DISPLAY_TYPE_CUSTOM=3,           // Ϸָģʽ
} DH_SPLIT_DISPLAY_TYPE;

// CLIENT_CtrlDecTVScreen ӿڲ
typedef struct tagDH_CTRL_DECTV_SCREEN
{
    DWORD           dwSize;                             // ṹС
    int             nSplitType;                         // ָģʽ
    BYTE *          pEncoderChannel;                    // ʾͨ,dwDisplayType=DH_SPLIT_DISPLAY_TYPE_GENERALʱЧ,ûڴ棬߷ڴ泤ȲСnSplitTypeĴС
    BYTE            byGroupNo;                          // ͨ,dwDisplayType=DH_SPLIT_DISPLAY_TYPE_PIPʱʾлʾЧ
    char            reserved[3];                        // ֽ
    DWORD           dwDisplayType;                      // ʾͣDH_SPLIT_DISPLAY_TYPEע͸ģʽʾ"PicInPic", ģʽʾݰNVDйDisChnֶξ,ûһʱ,ĬΪͨʾ,"General"
}DH_CTRL_DECTV_SCREEN;

// TVϢ
typedef struct __DEV_DECODER_TV 
{
    int                 nID;                            // TV
    BOOL                bEnable;                        // ʹ,ر
    int                 nSplitType;                     // ָ
    DEV_ENCODER_INFO    stuDevInfo[16];                 // ϢdwDisplayType=DH_SPLIT_DISPLAY_TYPE_GENERALʱЧ
    BYTE                bySupportSplit[10];             // ֵ֧ķָģʽ
    BYTE                byGroupNo;                      // ͨ,dwDisplayType=DH_SPLIT_DISPLAY_TYPE_PIPʱʾлʾЧ
    char                reserved[1];                    // ֽ
    DWORD               dwDisplayType;                  // ʾͣDH_SPLIT_DISPLAY_TYPEע͸ģʽʾ"PicInPic", ģʽʾݰNVDйDisChnֶξ,ûһʱ,ĬΪͨʾ,"General"
} DEV_DECODER_TV, *LPDEV_DECODER_TV;

// Ϣ
typedef struct __DEC_COMBIN_INFO
{
    int             nCombinID;                          // ID
    int             nSplitType;                         // ָ 
    BYTE            bDisChn[16];                        // ʾͨ
    char            reserved[16];
} DEC_COMBIN_INFO, *LPDEC_COMBIN_INFO;

// ѲϢ
#define DEC_COMBIN_NUM             32                   // Ѳϸ
typedef struct __DEC_TOUR_COMBIN 
{
    int             nTourTime;                          // Ѳ()
    int             nCombinNum;                         // ϸ
    BYTE            bCombinID[DEC_COMBIN_NUM];          // ϱ
    char            reserved1[32];
    BYTE            bCombinState[DEC_COMBIN_NUM];       // ʹ״̬,0أ1
    char            reserved2[32];
} DEC_TOUR_COMBIN, *LPDEC_TOUR_COMBIN;

// ط
typedef enum __DEC_PLAYBACK_MODE
{
    Dec_By_Device_File = 0,                             // ǰ豸ļʽ
    Dec_By_Device_Time,                                 // ǰ豸ʱ䷽ʽ
} DEC_PLAYBACK_MODE;

// طſ
typedef enum __DEC_CTRL_PLAYBACK_TYPE
{
    Dec_Playback_Seek = 0,                              // ϶
    Dec_Playback_Play,                                  // 
    Dec_Playback_Pause,                                 // ͣ
    Dec_Playback_Stop,                                  // ֹͣ
} DEC_CTRL_PLAYBACK_TYPE;

//Ѳ
typedef enum __DEC_CTRL_TOUR_TYPE
{
    Dec_Tour_Stop = 0,                                  // ֹͣ
    Dec_Tour_Start,                                     // ʼ
    Dec_Tour_Pause,                                     // ͣ
    Dec_Tour_Resume,                                    // ָ
} DEC_CTRL_TOUR_TYPE;

// ļطǰ豸
typedef struct __DEC_PLAYBACK_FILE_PARAM 
{
    char            szDevIp[DH_MAX_IPADDR_LEN];         // ǰDVRIPַ
    WORD            wDevPort;                           // ǰDVRĶ˿ں
    BYTE            bDevChnEnable;                      // ͨʹ
    BYTE            byDecoderID;                        // Ӧͨ
    char            szDevUser[DH_USER_NAME_LENGTH_EX];  // û
    char            szDevPwd[DH_USER_PSW_LENGTH_EX];    // 
    NET_RECORDFILE_INFO stuRecordInfo;                  // ¼ļϢ
    char            reserved[12];
} DEC_PLAYBACK_FILE_PARAM, *LPDEC_PLAYBACK_FILE_PARAM;

// ʱطǰ豸
typedef struct __DEC_PLAYBACK_TIME_PARAM 
{
    char            szDevIp[DH_MAX_IPADDR_LEN];         // ǰDVRIPַ
    WORD            wDevPort;                           // ǰDVRĶ˿ں
    BYTE            bDevChnEnable;                      // ͨʹ
    BYTE            byDecoderID;                        // Ӧͨ
    char            szDevUser[DH_USER_NAME_LENGTH_EX];  // û
    char            szDevPwd[DH_USER_PSW_LENGTH_EX];    // 
    int             nChannelID;
    NET_TIME        startTime;
    NET_TIME        endTime;
    char            reserved[12];
} DEC_PLAYBACK_TIME_PARAM, *LPDEC_PLAYBACK_TIME_PARAM;

// ǰͨ״̬Ϣ(ͨ״̬,Ϣ)
typedef struct __DEV_DECCHANNEL_STATE
{
    BYTE            byDecoderID;                        // Ӧͨ
    BYTE            byChnState;                         // ǰͨڲ״̬:0,1ʵʱ,2ط 3 - Ѳ
    BYTE            byFrame;                            // ǰ֡
    BYTE            byReserved;                         // 
    int             nChannelFLux;                       // ͨ
    int             nDecodeFlux;                        // 
    char            szResolution[16];                   // ǰݷֱ
    char            reserved[256];
} DEV_DECCHANNEL_STATE, *LPDEV_DECCHANNEL_STATE;

// 豸TVϢ
typedef struct __DEV_VIDEOOUT_INFO
{
    DWORD           dwVideoStandardMask;            // NSP,Ƶʽ,λʾ豸ֵܹ֧Ƶʽ(ݲ֧)
    int             nVideoStandard;                 // NSP,ǰʽ(ݲ֧,ʹDHDEV_SYSTEM_ATTR_CFGbyVideoStandardʽȡ)
    DWORD           dwImageSizeMask;                // ֱ,λʾ豸ֵܹ֧ķֱ
    int             nImageSize;                     // ǰķֱ
    char            reserved[256];
}DEV_VIDEOOUT_INFO, *LPDEV_VIDEOOUT_INFO;

// TV
typedef struct __DEV_TVADJUST_CFG
{
    int             nTop;                           // ϲ߾ࣨ0100
    int             nBotton;                        // ²߾ࣨ0100
    int             nLeft;                          // ߾ࣨ0100
    int             nRight;                         // Ҳ߾ࣨ0100
    int             reserved[32];
}DHDEV_TVADJUST_CFG, *LPDHDEV_TVADJUST_CFG;

//̨굥Ԫ
typedef struct tagPTZ_SPEED_UNIT
{
    float                  fPositionX;           //̨ˮƽ,һ-1~1
    float                  fPositionY;           //ֱ̨,һ-1~1
    float                  fZoom;                //̨ȦŴ,һ 0~1
    char                   szReserve[32];        //Ԥ32ֽ
}PTZ_SPEED_UNIT;

//̨()굥Ԫ
typedef struct tagPTZ_SPACE_RELATIVELY_UNIT
{
	float                    fPositionX;           // ̨ˮƽ,ЧΧ-1~1
	float                    fPositionY;           // ֱ̨,ЧΧ-1~1
	float	                 fZoom;                // ̨ȦŴ,ЧΧ-1~1
	char					 szReserve[32];        // Ԥ32ֽ
} PTZ_SPACE_RELATIVELY_UNIT;

//̨굥Ԫ
typedef struct tagPTZ_SPACE_UNIT
{
	int                    nPositionX;           //̨ˮƽ˶λ,ЧΧ[0,3600]
	int                    nPositionY;           //ֱ̨˶λ,ЧΧ[-1800,1800]
	int                    nZoom;                //̨Ȧ䶯λ,ЧΧ[0,128]
	char                   szReserve[32];        //Ԥ32ֽ
}PTZ_SPACE_UNIT;

// Ѳ
typedef struct __DEV_DECODER_TOUR_SINGLE_CFG
{
    char        szIP[128];                          // ǰ豸ip."10.7.5.21". ֧.Ҫ'\0'.
    int         nPort;                              // ǰ豸˿.(0, 65535).
    int         nPlayChn;                           // ǰ豸ͨ[1, 16].
    int         nPlayType;                          // ǰ, 0:; 1:.
    char        szUserName[32];                     // ½ǰ豸û,Ҫ'\0'.
    char        szPassword[32];                     // ½ǰ豸,Ҫ'\0'.
    int         nInterval;                          // Ѳʱ[10, 120],λ.
    DWORD       nManuFactory;                       // Ŀ豸(ö IPC_TYPE)
    UINT        nHttpPport;                         // Ŀ豸Ķ˿(Http˿)
    UINT        nRtspPort;                          // Ŀ豸Ķ˿(Rtsp˿)
    BYTE        byServiceType;                      // , -1: auto, 0TCP1UDP2鲥
    BYTE        bReserved[51];                      // ֽ,չ.
}DHDEV_DECODER_TOUR_SINGLE_CFG;

typedef struct __DEV_DECODER_TOUR_CFG
{
    int                             nCfgNum;        // ýṹĿ. ֧32.֧Ŀͨѯ.
    DHDEV_DECODER_TOUR_SINGLE_CFG   tourCfg[64];    // ѯ,ЧṹɳԱ"nCfgNum"ָ. 32չ.
    BYTE                            bReserved[256]; // ֽ,չ.
}DHDEV_DECODER_TOUR_CFG;

/////////////////////////////////֧/////////////////////////////////
// ӦͼƬļϢ
typedef struct  
{
    DWORD           dwOffSet;                       // ļڶݿеƫλ, λ:ֽ
    DWORD           dwFileLenth;                    // ļС, λ:ֽ
    WORD            wWidth;                         // ͼƬ, λ:
    WORD            wHeight;                        // ͼƬ߶, λ:
    char*           pszFilePath;                    // ʷԭ,óԱֻ¼ϱʱЧ
                                                    // ļ·
                                                    // ûʹøֶʱҪռп
    BYTE            bIsDetected;                    // ͼƬǷ㷨ļύʶʱ,
								                    // Ҫʱⶨλͼ,1:,0:ûм
	BYTE			bReserved[3];					// Ԥֽ
	int				nFilePathLen;					// ļ· pszFilePath ûĴС
	DH_POINT		stuPoint;						// СͼϽڴͼλãʹþϵ				
}DH_PIC_INFO;

// ӦͼƬļϢ(ͼƬ·)
typedef struct tagDH_PIC_INFO_EXX
{
    DWORD           dwSize;
    char            szFilePath[DH_COMMON_STRING_256];   // ʷԭ,óԱ/ȡʱЧ
                                                        // ļ·
    DH_PIC_INFO     stuPicInfo;                         // ͼƬϢ
}DH_PIC_INFO_EX2;

// ӦͼƬļϢ(ͼƬ·)
typedef struct
{
    DWORD           dwOffSet;                       // ļڶݿеƫλ, λ:ֽ
    DWORD           dwFileLenth;                    // ļС, λ:ֽ
    WORD            wWidth;                         // ͼƬ, λ:
    WORD            wHeight;                        // ͼƬ߶, λ:
	char            szFilePath[64];                 // ļ·
    BYTE            bIsDetected;                    // ͼƬǷ㷨ļύʶʱ,
	                                                // Ҫʱⶨλͼ,1:,0:ûм
    BYTE            bReserved[11];                  // 
}DH_PIC_INFO_EX3;

// չֶмint64, ǿ4ֽڶ
#ifndef LINUX64_JNA
#pragma pack(push)
#pragma pack(4)
#endif
// ƵϢṹ
typedef struct 
{
    int                 nObjectID;                          // ID,ÿIDʾһΨһ
    char                szObjectType[128];                  // 
    int                 nConfidence;                        // Ŷ(0~255),ֵԽʾŶԽ
    int                 nAction;                            // 嶯:1:Appear 2:Move 3:Stay 4:Remove 5:Disappear 6:Split 7:Merge 8:Rename
    DH_RECT             BoundingBox;                        // Χ
    DH_POINT            Center;                             // 
    int                 nPolygonNum;                        // ζ
    DH_POINT            Contour[DH_MAX_POLYGON_NUM];        // Ͼȷ
    DWORD               rgbaMainColor;                      // ʾơҪɫֽڱʾ,ֱΪ졢̡͸,:RGBֵΪ(0,255,0),͸Ϊ0ʱ, ֵΪ0x00ff0000.
    char                szText[128];                        // صĴ0ı,糵,װŵȵ
                                                            // "ObjectType"Ϊ"Vehicle""Logo"ʱʹLogoVehicleΪ˼ϲƷʾ,֧֣
                                                            // "Unknown"δ֪ 
                                                            // "Audi" µ
                                                            // "Honda" 
                                                            // "Buick" 
                                                            // "Volkswagen" 
                                                            // "Toyota" 
                                                            // "BMW" 
                                                            // "Peugeot" 
                                                            // "Ford" 
                                                            // "Mazda" Դ
                                                            // "Nissan" ɣ(ղ)
                                                            // "Hyundai" ִ
                                                            // "Suzuki" ľ
                                                            // "Citroen" ѩ
                                                            // "Benz" 
                                                            // "BYD" ǵ
                                                            // "Geely" 
                                                            // "Lexus" ׿˹
                                                            // "Chevrolet" ѩ
                                                            // "Chery" 
                                                            // "Kia" 
                                                            // "Charade" 
                                                            // "DF" 
                                                            // "Naveco" ά
                                                            // "SGMW" 
                                                            // "Jinbei" 
                                                            
                                                            // "JAC" 
                                                            // "Emgrand" ۺ
                                                            // "ChangAn" 
                                                            // "Great Wall" 
                                                            // "Skoda" ˹´
                                                            // "BaoJun" 
                                                            // "Subaru" ˹³
                                                            // "LandWind" ½
                                                            // "Luxgen" ǽ
                                                            // "Renault" ŵ
                                                            // "Mitsubishi" 
                                                            // "Roewe" 
                                                            // "Cadillac" 
                                                            // "MG" 
                                                            // "Zotye" ̩
                                                            // "ZhongHua" л
                                                            // "Foton" 
                                                            // "SongHuaJiang" ɻ
                                                            // "Opel" ŷ
                                                            // "HongQi" һ
                                                            // "Fiat" 
                                                            // "Jaguar" ݱ
                                                            // "Volvo" ֶ
                                                            // "Acura" ک
                                                            // "Porsche" ʱ
                                                            
                                                            // "Jeep" 
                                                            // "Bentley" 
                                                            // "Bugatti" ӵ
                                                            // "ChuanQi" 
                                                            // "Daewoo" 
                                                            // "DongNan" 
                                                            // "Ferrari" 
                                                            // "Fudi" 
                                                            // "Huapu" 
                                                            // "HawTai" ̩
                                                            // "JMC" 
                                                            // "JingLong" ͳ
                                                            // "JoyLong" 
                                                            // "Karry" 
                                                            // "Chrysler" ˹
                                                            // "Lamborghini" 
                                                            // "RollsRoyce" ˹˹
                                                            // "Linian" 
                                                            // "LiFan" 
                                                            // "LieBao" Ա
                                                            // "Lincoln" ֿ
                                                            // "LandRover" ·
                                                            // "Lotus" ·˹
                                                            // "Maserati" ɯ
                                                            // "Maybach" ͺ

                                                            // "Mclaren" 
                                                            // "Youngman" ͳ
                                                            // "Tesla" ˹
                                                            // "Rely" 
                                                            // "Lsuzu" ʮ
                                                            // "Yiqi" һ
                                                            // "Infiniti" Ӣ
                                                            // "YuTong" ͨͳ
                                                            // "AnKai" ͳ
                                                            // "Canghe" 
                                                            // "HaiMa" 
                                                            // "Crown" ʹ
                                                            // "HuangHai" ƺ
                                                            // "JinLv" ÿͳ
                                                            // "JinNing" 
                                                            // "KuBo" Ჩ
                                                            // "Europestar" 
                                                            // "MINI" 
                                                            // "Gleagle" ȫӥ
                                                            // "ShiDai" ʱ
                                                            // "ShuangHuan" ˫
                                                            // "TianYe" Ұ
                                                            // "WeiZi" 
                                                            // "Englon" Ӣ
                                                            // "ZhongTong" ͨͳ

                                                            // "Changan" γ
                                                            // "Yuejin" Ծ
                                                            // "Taurus" ţ
                                                            // "Alto" 
                                                            // "Weiwang" 
                                                            // "Chenglong" 
                                                            // "Haige" 
                                                            // "Shaolin" ֿͳ
                                                            // "Beifang" ͳ
                                                            // "Beijing" 
                                                            // "Hafu" 

															// "BeijingTruck" 
															// "Besturn" 
															// "ChanganBus" ͳ
															// "Dodge" 
															// "DongFangHong" 
															// "DongFengTruck" 
                                                            // "DongFengBus" ͳ
															// "MultiBrand" Ʒ
															// "FotonTruck" 
															// "FotonBus" ͳ
															// "GagcTruck" 
															// "HaFei" 
															// "HowoBus" ֿͳ
															// "JACTruck" 
															// "JACBus" ͳ
															// "JMCTruck" 
															// "JieFangTruck" Ż
															// "JinBeiTruck" 𱭻
															// "KaiMaTruck" 
															// "CoasterBus" ˹ͳ
															// "MudanBus" ĵͳ
															// "NanJunTruck" Ͽ
															// "QingLing" 
															// "NissanCivilian" ղͳ
															// "NissanTruck" ղ
															// "MitsubishiFuso" ɣ
															// "SanyTruck" һ
															// "ShanQiTruck" 
															// "ShenLongBus" ͳ
															// "TangJunTruck" ƿ
															// "MicroTruck" ΢
															// "VolvoBus" ֶֿͳ
															// "LsuzuTruck" ʮ
															// "WuZhengTruck" 
															// "Seat" 
															// "YangZiBus" ӿͳ
															// "YiqiBus" һͳ
															// "YingTianTruck" Ӣ
															// "YueJinTruck" Ծ
															// "ZhongDaBus" дͳ
															// "ZxAuto" 

															// "ZhongQiWangPai" 
															// "WAW" ³
															// "BeiQiWeiWang" 
															// "BYDDaimler"	ǵϴķ
															// "ChunLan" 
															// "DaYun" 
															// "DFFengDu" 
															// "DFFengGuang" 
															// "DFFengShen" 
															// "DFFengXing" 
															// "DFLiuQi" 
															// "DFXiaoKang" С
															// "FeiChi" ɳ
															// "FordMustang" Ұ
															// "GuangQi" 
															// "GuangTong" ͨ
															// "HuiZhongTruck" ؿ
															// "JiangHuai" 
															// "SunWin" 
															// "ShiFeng" ʱ
															// "TongXin" ͬ
															// "WZL" 
															// "XiWo" 
															// "XuGong" 칤
															// "JingGong" 
															// "SAAB" 
															// "SanHuanShiTong" ʮͨ
															// "KangDi" 
															// "YaoLong" ҫ¡


    char                szObjectSubType[62];                // ,ݲͬ,ȡͣ
                                                            // Vehicle Category:"Unknown"  δ֪,"Motor" ,"Non-Motor":ǻ,"Bus": ,"Bicycle" г,"Motorcycle":Ħг,"PassengerCar":ͳ,
                                                            // "LargeTruck":,    "MidTruck":л,"SaloonCar":γ,"Microbus":,"MicroTruck":С,"Tricycle":ֳ,    "Passerby":   
                                                            // "DregsCar":, "Excavator":ھ, "Bulldozer":, "Crane":, "PumpTruck":ó, "MachineshopTruck":̳
                                                            //  Plate Category"Unknown" δ֪,"Normal" ƺ,"Yellow" ,"DoubleYellow" ˫β,"Police" "Armed" 侯,
                                                            // "Military" Ӻ,"DoubleMilitary" ˫,"SAR" ۰,"Trainning" 
                                                            // "Personal" Ժ,"Agri" ũ,"Embassy" ʹݺ,"Moto" Ħг,"Tractor" ,"Other" 
															// "Civilaviation"񺽺,"Black"
															// "PureNewEnergyMicroCar"綯ԴС,"MixedNewEnergyMicroCar,"ԴС,"PureNewEnergyLargeCar",綯Դ
															// "MixedNewEnergyLargeCar"Դ
                                                            // HumanFace Category:"Normal" ͨ,"HideEye" ۲ڵ,"HideNose" ڵ,"HideMouth" 첿ڵ,"TankCar"۹޳(װѧҩƷΣƷ)

    
    WORD                wColorLogoIndex;                    // 
    WORD                wSubBrand;                          // Ʒ ҪͨӳõƷ ӳֲ
    BYTE                byReserved1;                     
    bool                bPicEnble;                          // ǷӦͼƬļϢ
    DH_PIC_INFO         stPicInfo;                          // ӦͼƬϢ
    bool                bShotFrame;                         // Ƿץŵʶ
    bool                bColor;                             // ɫ(rgbaMainColor)Ƿ
    BYTE                byReserved2;
    BYTE                byTimeType;                         // ʱʾ,EM_TIME_TYPE˵
    NET_TIME_EX         stuCurrentTime;                     // ƵŨ,ǰʱץĻʶʱ,Ὣʶ֡һƵ֡jpegͼƬ,֡ԭʼƵеĳʱ䣩
    NET_TIME_EX         stuStartTime;                       // ʼʱ忪ʼʱ
    NET_TIME_EX         stuEndTime;                         // ʱʱ
    DH_RECT             stuOriginalBoundingBox;             // Χ()
    DH_RECT             stuSignBoundingBox;                 // Χ
    DWORD               dwCurrentSequence;                  // ǰ֡ţץʱ֡
    DWORD               dwBeginSequence;                    // ʼ֡ţ忪ʼʱ֡ţ
    DWORD               dwEndSequence;                      // ֡ţʱ֡ţ
    INT64               nBeginFileOffset;                   // ʼʱļƫ, λ: ֽڣ忪ʼʱ,Ƶ֡ԭʼƵļļʼƫƣ
    INT64               nEndFileOffset;                     // ʱļƫ, λ: ֽڣʱ,Ƶ֡ԭʼƵļļʼƫƣ
    BYTE                byColorSimilar[NET_COLOR_TYPE_MAX]; // ɫƶ,ȡֵΧ0-100,±ֵĳɫ,EM_COLOR_TYPE
    BYTE                byUpperBodyColorSimilar[NET_COLOR_TYPE_MAX]; // ϰɫƶ(ΪʱЧ)
    BYTE                byLowerBodyColorSimilar[NET_COLOR_TYPE_MAX]; // °ɫƶ(ΪʱЧ)
    int                 nRelativeID;                        // ID
    char                szSubText[20];                      // "ObjectType"Ϊ"Vehicle""Logo"ʱ,ʾµĳһϵ,µA6L,ڳϵ϶,SDKʵʱ͸ֶ,豸ʵд
    WORD                wBrandYear;                         // Ʒ Ҫͨӳõ ӳֲ
} DH_MSG_OBJECT;

// ַ
typedef enum tagEM_MSG_OBJ_PERSON_DIRECTION
{
    EM_MSG_OBJ_PERSON_DIRECTION_UNKOWN,         // δ֪
    EM_MSG_OBJ_PERSON_DIRECTION_LEFT_TO_RIGHT,  // 
    EM_MSG_OBJ_PERSON_DIRECTION_RIGHT_TO_LEFT   // 
}EM_MSG_OBJ_PERSON_DIRECTION;

// ƵϢչṹ
typedef struct tagDH_MSG_OBJECT_EX
{
    DWORD               dwSize;
    int                 nObjectID;                          // ID,ÿIDʾһΨһ
    char                szObjectType[128];                  // 
    int                 nConfidence;                        // Ŷ(0~255),ֵԽʾŶԽ
    int                 nAction;                            // 嶯:1:Appear 2:Move 3:Stay 4:Remove 5:Disappear 6:Split 7:Merge 8:Rename
    DH_RECT             BoundingBox;                        // Χ
    DH_POINT            Center;                             // 
    int                 nPolygonNum;                        // ζ
    DH_POINT            Contour[DH_MAX_POLYGON_NUM];        // Ͼȷ
    DWORD               rgbaMainColor;                      // ʾơҪɫֽڱʾ,ֱΪ졢̡͸,:RGBֵΪ(0,255,0),͸Ϊ0ʱ, ֵΪ0x00ff0000.
    char                szText[128];                        // ͬDH_MSG_OBJECTӦֶ   
    char                szObjectSubType[64];                // ,ݲͬ,ȡͣ
                                                            // ͬDH_MSG_OBJECTӦֶ
    BYTE                byReserved1[3];
    bool                bPicEnble;                          // ǷӦͼƬļϢ
    DH_PIC_INFO         stPicInfo;                          // ӦͼƬϢ
    bool                bShotFrame;                         // Ƿץŵʶ
    bool                bColor;                             // ɫ(rgbaMainColor)Ƿ
    BYTE                bLowerBodyColor;                    // °ɫ(rgbaLowerBodyColor)Ƿ
    BYTE                byTimeType;                         // ʱʾ,EM_TIME_TYPE˵
    NET_TIME_EX         stuCurrentTime;                     // ƵŨ,ǰʱץĻʶʱ,Ὣʶ֡һƵ֡jpegͼƬ,֡ԭʼƵеĳʱ䣩
    NET_TIME_EX         stuStartTime;                       // ʼʱ忪ʼʱ
    NET_TIME_EX         stuEndTime;                         // ʱʱ
    DH_RECT             stuOriginalBoundingBox;             // Χ()
    DH_RECT             stuSignBoundingBox;                 // Χ
    DWORD               dwCurrentSequence;                  // ǰ֡ţץʱ֡
    DWORD               dwBeginSequence;                    // ʼ֡ţ忪ʼʱ֡ţ
    DWORD               dwEndSequence;                      // ֡ţʱ֡ţ
    INT64               nBeginFileOffset;                   // ʼʱļƫ, λ: ֽڣ忪ʼʱ,Ƶ֡ԭʼƵļļʼƫƣ
    INT64               nEndFileOffset;                     // ʱļƫ, λ: ֽڣʱ,Ƶ֡ԭʼƵļļʼƫƣ
    BYTE                byColorSimilar[NET_COLOR_TYPE_MAX]; // ɫƶ,ȡֵΧ0-100,±ֵĳɫ,EM_COLOR_TYPE
    BYTE                byUpperBodyColorSimilar[NET_COLOR_TYPE_MAX]; // ϰɫƶ(ΪʱЧ)
    BYTE                byLowerBodyColorSimilar[NET_COLOR_TYPE_MAX]; // °ɫƶ(ΪʱЧ)
    int                 nRelativeID;                        // ID
    char                szSubText[20];                      // "ObjectType"Ϊ"Vehicle""Logo"ʱ,ʾµĳһϵ,µA6L,ڳϵ϶,SDKʵʱ͸ֶ,豸ʵд

    int                 nPersonStature;                     // Ա,λcm
    EM_MSG_OBJ_PERSON_DIRECTION emPersonDirection;          // Աַ
    DWORD               rgbaLowerBodyColor;                 // ʹ÷ͬrgbaMainColor,ΪʱЧ 
} DH_MSG_OBJECT_EX;


// ƵϢչṹ,չ汾2
typedef struct tagDH_MSG_OBJECT_EX2
{
    DWORD				dwSize;
    int                 nObjectID;                          // ID,ÿIDʾһΨһ
    char                szObjectType[128];                  // 
    int                 nConfidence;                        // Ŷ(0~255),ֵԽʾŶԽ
    int                 nAction;                            // 嶯:1:Appear 2:Move 3:Stay 4:Remove 5:Disappear 6:Split 7:Merge 8:Rename
    DH_RECT             BoundingBox;                        // Χ
    DH_POINT            Center;                             // 
    int                 nPolygonNum;                        // ζ
    DH_POINT            Contour[DH_MAX_POLYGON_NUM];        // Ͼȷ
    DWORD               rgbaMainColor;                      // ʾơҪɫֽڱʾ,ֱΪ졢̡͸,:RGBֵΪ(0,255,0),͸Ϊ0ʱ, ֵΪ0x00ff0000.
    char                szText[128];                        // ͬDH_MSG_OBJECTӦֶ	
    char                szObjectSubType[64];                // ,ݲͬ,ȡͣ
    // ͬDH_MSG_OBJECTӦֶ
    BYTE                byReserved1[3];
    bool                bPicEnble;                          // ǷӦͼƬļϢ
    DH_PIC_INFO         stPicInfo;                          // ӦͼƬϢ
    bool                bShotFrame;                         // Ƿץŵʶ
    bool                bColor;                             // ɫ(rgbaMainColor)Ƿ
    BYTE                bLowerBodyColor;                    // °ɫ(rgbaLowerBodyColor)Ƿ
    BYTE                byTimeType;                         // ʱʾ,EM_TIME_TYPE˵
    NET_TIME_EX         stuCurrentTime;                     // ƵŨ,ǰʱץĻʶʱ,Ὣʶ֡һƵ֡jpegͼƬ,֡ԭʼƵеĳʱ䣩
    NET_TIME_EX         stuStartTime;                       // ʼʱ忪ʼʱ
    NET_TIME_EX         stuEndTime;                         // ʱʱ
    DH_RECT             stuOriginalBoundingBox;             // Χ()
    DH_RECT             stuSignBoundingBox;                 // Χ
    DWORD               dwCurrentSequence;                  // ǰ֡ţץʱ֡
    DWORD               dwBeginSequence;                    // ʼ֡ţ忪ʼʱ֡ţ
    DWORD               dwEndSequence;                      // ֡ţʱ֡ţ
    INT64               nBeginFileOffset;                   // ʼʱļƫ, λ: ֽڣ忪ʼʱ,Ƶ֡ԭʼƵļļʼƫƣ
    INT64               nEndFileOffset;                     // ʱļƫ, λ: ֽڣʱ,Ƶ֡ԭʼƵļļʼƫƣ
    BYTE                byColorSimilar[NET_COLOR_TYPE_MAX]; // ɫƶ,ȡֵΧ0-100,±ֵĳɫ,EM_COLOR_TYPE
    BYTE                byUpperBodyColorSimilar[NET_COLOR_TYPE_MAX]; // ϰɫƶ(ΪʱЧ)
    BYTE                byLowerBodyColorSimilar[NET_COLOR_TYPE_MAX]; // °ɫƶ(ΪʱЧ)
    int                 nRelativeID;                        // ID
    char				szSubText[20];						// "ObjectType"Ϊ"Vehicle""Logo"ʱ,ʾµĳһϵ,µA6L,ڳϵ϶,SDKʵʱ͸ֶ,豸ʵд
    
    int					nPersonStature;						// Ա,λcm
    EM_MSG_OBJ_PERSON_DIRECTION	emPersonDirection;			// Աַ
    DWORD               rgbaLowerBodyColor;                 // ʹ÷ͬrgbaMainColor,ΪʱЧ

    //ƵŨϢ
    int                 nSynopsisSpeed;                             // Ũٶֵ,1~10ʮλ,5ʾŨֻ5ٶȵ塣ǸԵλ
                                                                    // Ϊ0ʱ,ֶЧ
    int                 nSynopsisSize;                              // Ũߴֵ,1~10ʮλ,3ʾŨֻ3ϴС塣ǸԵλ
                                                                    // Ϊ0ʱ,ֶЧ
    BOOL                bEnableDirection;                           // ΪTrueʱ,˶
                                                                    // ΪFalseʱ,˶,
    DH_POINT            stuSynopsisStartLocation;                   // Ũ˶,ʼ,һ[0,8192),bEnableDirectionΪTrueʱЧ
    DH_POINT            stuSynopsisEndLocation;                     // Ũ˶,ֹ,һ[0,8192),bEnableDirectionΪTrueʱЧ
    BYTE                byReserved[2048];                           // չֽ
} DH_MSG_OBJECT_EX2;
#ifndef LINUX64_JNA
#pragma pack(pop)
#endif

// ץϢ
typedef struct
{
    short              snSpeed;                         // ǰٶ,km/h
    short              snCarLength;                     // ǰ,Ϊλ
    float              fRedTime;                        // ǰʱ,.
    float              fCapTime;                        // ǰץʱ,. 
    BYTE               bSigSequence;                    // ǰץ
    BYTE               bType;                           // ǰץ
                                                        // 0: ״;1: ״;2: ;3:
                                                        // 4: ;5: ;6: ;7: ;8: ȫץĻ߿
    BYTE               bDirection;                      // :01:ת;02:ֱк;03:ת
    BYTE               bLightColor;                     // ǰĺ̵״̬,0: ̵, 1: , 2: Ƶ
    BYTE               bSnapFlag[16];                   // 豸ץıʶ
}DH_SIG_CARWAY_INFO;

// Ϣ
typedef struct
{
    BYTE                byRedundance[8];                // ɳץźϢ
    BYTE                bReserved[120];                 // ֶ
}DH_SIG_CARWAY_INFO_EX;

// ÿϢ
typedef struct  
{
    BYTE                bCarWayID;                           // ǰ 
    BYTE                bReserve[2];                         // ֶ
    BYTE                bSigCount;                           // ץĵĸ
    DH_SIG_CARWAY_INFO  stuSigInfo[DH_MAX_SNAP_SIGNAL_NUM];  // ǰ,ץĶӦץϢ    
    BYTE                bReserved[12];                       // ֶ
}DH_CARWAY_INFO;

// ¼ӦļϢ
typedef struct
{
    BYTE               bCount;                               // ǰļļеļ
    BYTE               bIndex;                               // ǰļļеļ(1ʼ)
    BYTE               bFileTag;                             // ļǩ, EM_EVENT_FILETAG
    BYTE               bFileType;                            // ļ,0-ͨ 1-ϳ 2-ͼ
    NET_TIME_EX        stuFileTime;                          // ļʱ
    DWORD              nGroupId;                             // ͬһץļΨһʶ
}DH_EVENT_FILE_INFO;

// ͼƬֱ
typedef struct
{
    unsigned short   snWidth;    // 
    unsigned short   snHight;    // 
}DH_RESOLUTION_INFO;

// ɫRGBA
typedef struct tagDH_COLOR_RGBA
{
    int                 nRed;                       // 
    int                 nGreen;                     // 
    int                 nBlue;                      // 
    int                 nAlpha;                     // ͸
} DH_COLOR_RGBA, NET_COLOR_RGBA;

#define	NET_COUNTRY_LENGTH		3		// д
#define NET_COMMENT_LENGTH		100		// עϢ
#define NET_GROUPID_LENGTH		64		// group id Ϣ
#define NET_GROUPNAME_LENGTH	128		// group name Ϣ
#define NET_FEATUREVALUE_LENGTH	128		//  Ϣ

// ԱϢ (¼(EVENT_IVS_FACERECOGNITION)ṹpszComment/pszGroupID/pszGroupName/pszFeatureValueָSDKڲͷڴ, ṹûͷڴ

//Ӧ
typedef enum tagEM_DEV_EVENT_FACEDETECT_FEATURE_TYPE
{
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_UNKNOWN,               // δ֪
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_WEAR_GLASSES,          // ۾
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_SMILE,                 // ΢Ц
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_ANGER,                 // ŭ
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_SADNESS,               // 
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_DISGUST,               // 
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_FEAR,                  // 
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_SURPRISE,              // 
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_NEUTRAL,               // 
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_LAUGH,                 // Ц
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_NOGLASSES,				// û۾
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_HAPPY,					// 
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_CONFUSED,				// 
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_SCREAM,				// 
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE_WEAR_SUNGLASSES,       // ̫۾
}EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE;

typedef struct tagFACERECOGNITION_PERSON_INFO
{
    char                szPersonName[DH_MAX_NAME_LEN];                  // ,˲                 
    WORD                wYear;                                          // ,Ϊѯʱ,˲0,ʾ˲Ч
    BYTE                byMonth;                                        // ,Ϊѯʱ,˲0,ʾ˲Ч
    BYTE                byDay;                                          // ,Ϊѯʱ,˲0,ʾ˲Ч
    char                szID[DH_MAX_PERSON_ID_LEN];                     // ԱΨһʾ(֤,,)
    BYTE                bImportantRank;                                 // ԱҪȼ,1~10,ֵԽԽҪ,Ϊѯʱ,˲0,ʾ˲Ч
    BYTE                bySex;                                          // Ա,1-,2-Ů,Ϊѯʱ,˲0,ʾ˲Ч
    WORD                wFacePicNum;                                    // ͼƬ
    DH_PIC_INFO         szFacePicInfo[DH_MAX_PERSON_IMAGE_NUM];         // ǰԱӦͼƬϢ
    BYTE                byType;                                         // Ա, EM_PERSON_TYPE
    BYTE                byIDType;                                       // ֤, EM_CERTIFICATE_TYPE
	BYTE				byGlasses;										// Ƿ۾0-δ֪ 1- 2-						
    BYTE                byAge;											// ,0ʾδ֪  
    char                szProvince[DH_MAX_PROVINCE_NAME_LEN];           // ʡ
    char                szCity[DH_MAX_CITY_NAME_LEN];                   // 
    char                szPersonNameEx[DH_MAX_PERSON_NAME_LEN];         // ,,16ֽ޷,Ӵ˲, 
    char                szUID[DH_MAX_PERSON_ID_LEN];                    // ԱΨһʶ,״ɷ,IDֶ
                                                                        // ޸,ɾʱ
	char				szCountry[NET_COUNTRY_LENGTH];					// ,ISO3166淶
	BYTE				byIsCustomType;									// ԱǷΪԶ: 0 ʹType涨 1 Զ,ʹszPersonNameֶ
	char				*pszComment;									// עϢ, ûԼڴʱ, 
																		// ·bCommentLenдӦľ峤ֵƼ NET_COMMENT_LENGTH
																		
	char				*pszGroupID;									// ԱID, ûԼڴʱ, 
																		// ·bGroupIdLenдӦľ峤ֵƼ NET_GROUPID_LENGTH
																		
	char				*pszGroupName;									// Ա, ûԼڴʱ, 
																		// ·bGroupNameLenдӦľ峤ֵƼ NET_GROUPNAME_LENGTH
																		
	char				*pszFeatureValue;								// , ûԼڴʱ, 
																		// ·bFeatureValueLenдӦľ峤ֵƼ NET_FEATUREVALUE_LENGTH
																		
	BYTE				bGroupIdLen;									// pszGroupIDĳ
	BYTE				bGroupNameLen;									// pszGroupNameĳ
	BYTE				bFeatureValueLen;								// pszFeatureValueĳ
	BYTE				bCommentLen;									// pszCommentĳ
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE	emEmotion;					// 						 	
}FACERECOGNITION_PERSON_INFO;

// ۾
typedef enum tagEM_GLASSES_TYPE
{
	EM_GLASSES_UNKNOWN,		// δ֪
	EM_GLASSES_SUNGLASS,	// ̫۾
	EM_GLASSES_GLASS,		// ͨ۾
} EM_GLASSES_TYPE;

// ɫ
typedef enum tagEM_RACE_TYPE
{
	EM_RACE_UNKNOWN,			
	EM_RACE_NODISTI,			
	EM_RACE_YELLOW,				
	EM_RACE_BLACK,				
	EM_RACE_WHITE,				
} EM_RACE_TYPE;

// ۾״̬
typedef enum tagEM_EYE_STATE_TYPE
{
	EM_EYE_STATE_UNKNOWN,		// δ֪
	EM_EYE_STATE_NODISTI,		// δʶ
	EM_EYE_STATE_CLOSE,			// 
	EM_EYE_STATE_OPEN,			// 
} EM_EYE_STATE_TYPE;

// ״̬
typedef enum tagEM_MOUTH_STATE_TYPE
{
	EM_MOUTH_STATE_UNKNOWN,		// δ֪
	EM_MOUTH_STATE_NODISTI,		// δʶ
	EM_MOUTH_STATE_CLOSE,		// 
	EM_MOUTH_STATE_OPEN,		// 
} EM_MOUTH_STATE_TYPE;

// ״̬
typedef enum tagEM_MASK_STATE_TYPE
{
	EM_MASK_STATE_UNKNOWN,		// δ֪
	EM_MASK_STATE_NODISTI,		// δʶ
	EM_MASK_STATE_NOMASK,		// û
	EM_MASK_STATE_WEAR,			// 
} EM_MASK_STATE_TYPE;

// ״̬
typedef enum tagEM_BEARD_STATE_TYPE
{
	EM_BEARD_STATE_UNKNOWN,		// δ֪
	EM_BEARD_STATE_NODISTI,		// δʶ
	EM_BEARD_STATE_NOBEARD,		// û
	EM_BEARD_STATE_HAVEBEARD,	// к
} EM_BEARD_STATE_TYPE;

// ۾
typedef enum tagEM_FACEDETECT_GLASSES_TYPE
{
	EM_FACEDETECT_GLASSES_UNKNOWN,      // δ֪
	EM_FACEDETECT_WITH_GLASSES,         // ۾
	EM_FACEDETECT_WITHOUT_GLASSES,      // ۾
}EM_FACEDETECT_GLASSES_TYPE;

// Աģ״̬
typedef enum tagEM_PERSON_FEATURE_STATE
{
	EM_PERSON_FEATURE_UNKNOWN,			// δ֪
	EM_PERSON_FEATURE_FAIL,				// ģʧ,ͼƬҪ,ҪͼƬ
	EM_PERSON_FEATURE_USEFUL,			// пõֵ
	EM_PERSON_FEATURE_CALCULATING,		// ڼֵ
	EM_PERSON_FEATURE_UNUSEFUL,			// ѽģ㷨ݲãҪ½ģ
} EM_PERSON_FEATURE_STATE;

// ģʧԭ
typedef enum tagEM_PERSON_FEATURE_ERRCODE
{
    EM_PERSON_FEATURE_ERRCODE_UNKNOWN,          // δ֪
    EM_PERSON_FEATURE_ERRCODE_PIC_FORMAT,       // ͼƬʽ
    EM_PERSON_FEATURE_ERRCODE_NO_FACE,          // 
    EM_PERSON_FEATURE_ERRCODE_MULTI_FACE,       // 
    EM_PERSON_FEATURE_ERRCODE_PIC_DECODE_FAIL,  // ͼƬʧ
    EM_PERSON_FEATURE_ERRCODE_NOT_RECOMMEND,    // Ƽ
    EM_PERSON_FEATURE_ERRCODE_FACEDB_FAIL,      // ݿʧ
    EM_PERSON_FEATURE_ERRCODE_GET_PICTURE,      // ȡͼƬʧ
    EM_PERSON_FEATURE_ERRCODE_SYSTEM_ERROR,     // ϵͳ쳣
} EM_PERSON_FEATURE_ERRCODE;

#define DH_MAX_PERSON_INFO_LEN         64      // ԱչϢ󳤶

//עԱϢչṹ
typedef struct tagCUSTOM_PERSON_INFO
{
	char szPersonInfo[DH_MAX_PERSON_INFO_LEN];     //ԱչϢ
    BYTE                        byReserved[124];   		// ֽ
} CUSTOM_PERSON_INFO;

// ע
typedef enum tagEM_REGISTER_DB_TYPE
{
	EM_REGISTER_DB_TYPE_UNKNOWN,		// δ֪
	EM_REGISTER_DB_TYPE_NORMAL,			// ͨ
	EM_REGISTER_DB_TYPE_BLACKLIST,		// 
	EM_REGISTER_DB_TYPE_WHITELIST,		// 
	EM_REGISTER_DB_TYPE_VIP,			// VIP
	EM_REGISTER_DB_TYPE_STAFF,			// Ա
	EM_REGISTER_DB_TYPE_LEADER,			// 쵼
} EM_REGISTER_DB_TYPE;

#define	DH_MAX_CUSTOM_PERSON_INFO_NUM		4	   // עԱϢչ
// ԱϢչṹ
typedef struct tagFACERECOGNITION_PERSON_INFOEX
{
    char                        szPersonName[DH_MAX_PERSON_NAME_LEN];           //              
    WORD                        wYear;                                          // ,Ϊѯʱ,˲0,ʾ˲Ч
    BYTE                        byMonth;                                        // ,Ϊѯʱ,˲0,ʾ˲Ч
    BYTE                        byDay;                                          // ,Ϊѯʱ,˲0,ʾ˲Ч
    BYTE                        bImportantRank;                                 // ԱҪȼ,1~10,ֵԽԽҪ,Ϊѯʱ,˲0,ʾ˲Ч
    BYTE                        bySex;                                          // Ա,1-,2-Ů,Ϊѯʱ,˲0,ʾ˲Ч
    char                        szID[DH_MAX_PERSON_ID_LEN];                     // ԱΨһʾ(֤,,)
    WORD                        wFacePicNum;                                    // ͼƬ
    DH_PIC_INFO                 szFacePicInfo[DH_MAX_PERSON_IMAGE_NUM];         // ǰԱӦͼƬϢ
    BYTE                        byType;                                         // Ա, EM_PERSON_TYPE
    BYTE                        byIDType;                                       // ֤, EM_CERTIFICATE_TYPE
    BYTE                        byGlasses;                                      // Ƿ۾0-δ֪ 1- 2-						
    BYTE                        byAge;                                          // ,0ʾδ֪  
    char                        szProvince[DH_MAX_PROVINCE_NAME_LEN];           // ʡ
    char                        szCity[DH_MAX_CITY_NAME_LEN];                   // 
    char                        szUID[DH_MAX_PERSON_ID_LEN];                    // ԱΨһʶ,״ɷ,IDֶ
                                                                                // ޸,ɾʱ
    char                        szCountry[NET_COUNTRY_LENGTH];                  // ,ISO3166淶
    BYTE                        byIsCustomType;                                 // ԱǷΪԶ: 0 ʹType涨 1 Զ,ʹszCustomTypeֶ
    char                        szCustomType[DH_COMMON_STRING_16];              // ԱԶ
    char                        szComment[NET_COMMENT_LENGTH];                  // עϢ
    char                        szGroupID[NET_GROUPID_LENGTH];                  // ԱID
    char                        szGroupName[NET_GROUPNAME_LENGTH];              // Ա, ûԼڴʱ, 
    EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE    emEmotion;                          // 
    char                        szHomeAddress[DH_COMMON_STRING_128];            // עԱַͥ
    EM_GLASSES_TYPE             emGlassesType;                                  // ۾
    EM_RACE_TYPE                emRace;                                         // 
    EM_EYE_STATE_TYPE           emEye;                                          // ۾״̬
    EM_MOUTH_STATE_TYPE         emMouth;                                        // ״̬
    EM_MASK_STATE_TYPE          emMask;                                         // ״̬
    EM_BEARD_STATE_TYPE         emBeard;                                        // ״̬
    int                         nAttractive;                                    // ֵ, -1ʾЧ, 0δʶʶʱΧ1-100,÷ָ
    EM_PERSON_FEATURE_STATE     emFeatureState;                                 // Աģ״̬
    BOOL                        bAgeEnable;                                     // Ƿָ
    int                         nAgeRange[2];                                   // ䷶Χ
    int                         nEmotionValidNum;               // Ч, emFeature ʹ, Ϊ0ʾѯб
    EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE    emEmotions[DH_MAX_FACEDETECT_FEATURE_NUM];   // , byFeatureValidNum ʹ  òѯʱʹ
    int                         nCustomPersonInfoNum;                                    // עԱϢչ
    CUSTOM_PERSON_INFO          szCustomPersonInfo[DH_MAX_CUSTOM_PERSON_INFO_NUM];       //עԱϢչ
    EM_REGISTER_DB_TYPE         emRegisterDbType;                           // ע
    NET_TIME                    stuEffectiveTime;                           // Чʱ
    EM_PERSON_FEATURE_ERRCODE   emFeatureErrCode;                           // ģʧԭ
    BYTE                        byReserved[1112];                           // ֽ
} FACERECOGNITION_PERSON_INFOEX;

// ѡԱϢ
typedef struct tagCANDIDATE_INFO
{
    FACERECOGNITION_PERSON_INFO  stPersonInfo;            // ԱϢ
                                                          // أ,ָؿԱϢ
                                                          // ʷ,ָʷԱϢ
                                                          // ,ָؿԱϢ

    BYTE                         bySimilarity;            // ͲѯͼƬƶ,ٷֱȱʾ,1~100
    BYTE                         byRange;                 // ԱݿⷶΧ,EM_FACE_DB_TYPE
    BYTE                         byReserved1[2];
    NET_TIME                     stTime;                  // byRangeΪʷݿʱЧ,ʾѯԱֵʱ
    char                         szAddress[MAX_PATH];     // byRangeΪʷݿʱЧ,ʾѯԱֵĵص  
	BOOL                         bIsHit;                  // Ƿʶ,ָڿûбȶԽ
	DH_PIC_INFO_EX3              stuSceneImage;           // ȫͼ
	int							 nChannelID;			  // ͨ
    BYTE                         byReserved[32];          // ֽ
}CANDIDATE_INFO;

// ·ɫ
typedef enum tagEM_CLOTHES_COLOR
{
    EM_CLOTHES_COLOR_UNKNOWN,       // δ֪
    EM_CLOTHES_COLOR_WHITE,         // ɫ
    EM_CLOTHES_COLOR_ORANGE,        // ɫ
    EM_CLOTHES_COLOR_PINK,          // ɫ
    EM_CLOTHES_COLOR_BLACK,         // ɫ
    EM_CLOTHES_COLOR_RED,           // ɫ
    EM_CLOTHES_COLOR_YELLOW,        // ɫ
    EM_CLOTHES_COLOR_GRAY,          // ɫ
    EM_CLOTHES_COLOR_BLUE,          // ɫ
    EM_CLOTHES_COLOR_GREEN,         // ɫ 
    EM_CLOTHES_COLOR_PURPLE,        // ɫ
    EM_CLOTHES_COLOR_BROWN,         // ɫ
    EM_CLOTHES_COLOR_OTHER,         // ɫ
}EM_CLOTHES_COLOR;

//
typedef enum tagEM_COAT_TYPE
{
    EM_COAT_TYPE_UNKNOWN,           // δ֪
    EM_COAT_TYPE_LONG_SLEEVE,       // 
    EM_COAT_TYPE_COTTA,             // 
}EM_COAT_TYPE;

// 
typedef enum tagEM_TROUSERS_TYPE
{
    EM_TROUSERS_TYPE_UNKNOWN,       // δ֪
    EM_TROUSERS_TYPE_TROUSERS,      // 
    EM_TROUSERS_TYPE_SHORTS,        // ̿
    EM_TROUSERS_TYPE_SKIRT,         // ȹ
}EM_TROUSERS_TYPE;

// Ƿñ
typedef enum tagEM_HAS_HAT
{
    EM_HAS_HAT_UNKNOWN,             // δ֪
    EM_HAS_HAT_NO,                  // ñ
    EM_HAS_HAT_YES,                 // ñ
}EM_HAS_HAT;


// Ƿ()
typedef enum tagEM_HAS_BAG
{
    EM_HAS_BAG_UNKNOWN,             // δ֪
    EM_HAS_BAG_NO,                  // 
    EM_HAS_BAG_YES,                 // 
}EM_HAS_BAG;

// Ƿб
typedef enum tagEM_HAS_BACK_BAG
{
    EM_HAS_BACK_BAG_UNKNOWN,        // δ֪
    EM_HAS_BACK_BAG_NO,             // ûб
    EM_HAS_BACK_BAG_YES,            // б
} EM_HAS_BACK_BAG;

// Ƿ
typedef enum tagEM_HAS_CARRIER_BAG
{
    EM_HAS_CARRIER_BAG_UNKNOWN,     // δ֪
    EM_HAS_CARRIER_BAG_NO,          // û
    EM_HAS_CARRIER_BAG_YES,         // 
} EM_HAS_CARRIER_BAG;

// Ƿм
typedef enum tagEM_HAS_SHOULDER_BAG
{
    EM_HAS_SHOULDER_BAG_UNKNOWN,    // δ֪
    EM_HAS_SHOULDER_BAG_NO,         // ûм
    EM_HAS_SHOULDER_BAG_YES,        // м
} EM_HAS_SHOULDER_BAG;

// Ƿб
typedef enum tagEM_HAS_MESSENGER_BAG
{
    EM_HAS_MESSENGER_BAG_UNKNOWN,   // δ֪
    EM_HAS_MESSENGER_BAG_NO,        // ûб
    EM_HAS_MESSENGER_BAG_YES,       // б
} EM_HAS_MESSENGER_BAG;

// Ƕ
typedef enum tagEM_ANGLE_TYPE
{
    EM_ANGLE_UNKNOWN = 0,           // δ֪
    EM_ANGLE_FRONT,                 // 
    EM_ANGLE_SIDE,                  // 
    EM_ANGLE_BACK,                  // 
}EM_ANGLE_TYPE;

// Ƿɡ
typedef enum tagEM_HAS_UMBRELLA
{
    EM_HAS_UMBRELLA_UNKNOWN,        // δ֪
    EM_HAS_UMBRELLA_NO,             // δɡ
    EM_HAS_UMBRELLA_YES,            // ɡ
} EM_HAS_UMBRELLA;

// 
typedef enum tagEM_BAG_TYPE
{
    EM_BAG_UNKNOWN,                 // δ֪
    EM_BAG_HANDBAG,                 // 
    EM_BAG_SHOULDERBAG,             // 
    EM_BAG_KNAPSACK,                // 
    EM_BAG_DRAWBARBOX,              // 
    EM_BAG_WAISTPACK,               // 
    EM_BAG_NONE,                    // ް
} EM_BAG_TYPE;

// ñ
typedef enum tagEM_CAP_TYPE
{
    EM_CAP_UNKNOWN,         // δ֪
    EM_CAP_ORDINARY,        // ͨñ
    EM_CAP_HELMET,          // ͷ
    EM_CAP_SAFE,            // ȫñ
} EM_CAP_TYPE;

// ·ͼ
typedef enum tagEM_CLOTHES_PATTERN
{
    EM_CLOTHES_PATTERN_UNKNOWN,     // δ֪
    EM_CLOTHES_PATTERN_PURE,        // ɫ
    EM_CLOTHES_PATTERN_STRIPE,      // 
    EM_CLOTHES_PATTERN_PATTERN,     // ͼ
    EM_CLOTHES_PATTERN_GAP,         // ϶
    EM_CLOTHES_PATTERN_LATTICE,     // 
    EM_CLOTHES_PATTERN_SPLITJOIN,   // ƴ
} EM_CLOTHES_PATTERN;

// ͷʽ
typedef enum tagEM_HAIR_STYLE
{
    EM_HAIR_UNKNOWN = 0,    // δ֪
    EM_HAIR_LONG_HAIR,      // 
    EM_HAIR_SHORT_HAIR,     // ̷
    EM_HAIR_PONYTAIL,       // β
    EM_HAIR_UPDO,           // ̷
    EM_HAIR_HEAD_BLOCKED,   // ͷڵ
    EM_HAIR_NONE,           // ͷ
} EM_HAIR_STYLE;

// Ա
typedef enum tagEM_SEX_TYPE
{
    EM_SEX_TYPE_UNKNOWN,        //δ֪
    EM_SEX_TYPE_MALE,           //
    EM_SEX_TYPE_FEMALE,         //Ů
}EM_SEX_TYPE;

// ʷͼƬϢ
typedef struct tagNET_HISTORY_HUMAN_IMAGE_INFO
{
    int                 nLength;            // ͼƬС,λ:ֽ
    int                 nWidth;             // ͼƬ
    int                 nHeight;            // ͼƬ߶
    char                szFilePath[260];    // ļ·
} NET_HISTORY_HUMAN_IMAGE_INFO;

// ʷϢ
typedef struct tagNET_HISTORY_HUMAN_INFO
{
    EM_CLOTHES_COLOR                emCoatColor;            // ɫ
    EM_COAT_TYPE                    emCoatType;             // 
    EM_CLOTHES_COLOR                emTrousersColor;        // ɫ
    EM_TROUSERS_TYPE                emTrousersType;         // 
    EM_HAS_HAT                      emHasHat;               // Ƿñ
    EM_HAS_BAG                      emHasBag;               // Ƿ
    NET_RECT                        stuBoundingBox;         // Χ(8192ϵ)
    int                             nAge;                   // 
    EM_SEX_TYPE                     emSex;                  // Ա
    EM_ANGLE_TYPE                   emAngle;                // Ƕ
    EM_HAS_UMBRELLA                 emHasUmbrella;          // Ƿɡ
    EM_BAG_TYPE                     emBag;                  // 
    EM_CLOTHES_PATTERN              emUpperPattern;         // ϰ·ͼ
    EM_HAIR_STYLE                   emHairStyle;            // ͷʽ
    EM_CAP_TYPE                     emCap;                  // ñ
    EM_HAS_BACK_BAG                 emHasBackBag;           // Ƿб
    EM_HAS_CARRIER_BAG              emHasCarrierBag;        // Ƿ
    EM_HAS_SHOULDER_BAG             emHasShoulderBag;       // Ƿм
    EM_HAS_MESSENGER_BAG            emMessengerBag;         // Ƿб
    NET_HISTORY_HUMAN_IMAGE_INFO    stuImageInfo;           // ͼƬϢ
    NET_HISTORY_HUMAN_IMAGE_INFO    stuFaceImageInfo;       // ͼƬϢ
    BYTE                            byReserved[256];        // ֽ
} NET_HISTORY_HUMAN_INFO;

// ѡԱϢչṹ
typedef struct tagCANDIDATE_INFOEX
{
    FACERECOGNITION_PERSON_INFOEX  stPersonInfo;          // ԱϢչ
                                                          // أ,ָؿԱϢ
                                                          // ʷ,ָʷԱϢ
                                                          // ,ָؿԱϢ

    BYTE                         bySimilarity;            // ͲѯͼƬƶ,ٷֱȱʾ,1~100
    BYTE                         byRange;                 // ԱݿⷶΧ,EM_FACE_DB_TYPE
    BYTE                         byReserved1[2];
    NET_TIME                     stTime;                  // byRangeΪʷݿʱЧ,ʾѯԱֵʱ
    char                         szAddress[MAX_PATH];     // byRangeΪʷݿʱЧ,ʾѯԱֵĵص  
    BOOL                         bIsHit;                  // Ƿʶ,ָڿûбȶԽ
    DH_PIC_INFO_EX3              stuSceneImage;           // ȫͼ
    int                          nChannelID;              // ͨ
    char                         szFilePathEx[256];       // ļ·
    NET_HISTORY_HUMAN_INFO       stuHistoryHumanInfo;     // ʷϢ
    BYTE                         byReserved[136];         // ֽ
} CANDIDATE_INFOEX;

// ҵ񷽰       
typedef enum tagEM_CLASS_TYPE        
{
	EM_CLASS_UNKNOWN                	= 0,    // δ֪ҵ       
    EM_CLASS_VIDEO_SYNOPSIS            	= 1,    // ƵŨ       
    EM_CLASS_TRAFFIV_GATE            	= 2,    //       
    EM_CLASS_ELECTRONIC_POLICE        	= 3,    // 羯       
    EM_CLASS_SINGLE_PTZ_PARKING        	= 4,    // Υͣ       
    EM_CLASS_PTZ_PARKINBG            	= 5,    // Υͣ       
    EM_CLASS_TRAFFIC                	= 6,    // ͨ¼"Traffic"       
    EM_CLASS_NORMAL                    	= 7,    // ͨΪ"Normal"       
    EM_CLASS_PRISON                    	= 8,    // Ϊ"Prison"       
    EM_CLASS_ATM                    	= 9,    // Ϊ"ATM"       
    EM_CLASS_METRO                    	= 10,   // Ϊ       
    EM_CLASS_FACE_DETECTION            	= 11,   // "FaceDetection"       
    EM_CLASS_FACE_RECOGNITION        	= 12,   // ʶ"FaceRecognition"       
    EM_CLASS_NUMBER_STAT            	= 13,   // ͳ"NumberStat"       
    EM_CLASS_HEAT_MAP                	= 14,   // ȶͼ"HeatMap"       
    EM_CLASS_VIDEO_DIAGNOSIS        	= 15,   // Ƶ"VideoDiagnosis"       
    EM_CLASS_VIDEO_ENHANCE            	= 16,   // Ƶǿ       
    EM_CLASS_SMOKEFIRE_DETECT        	= 17,   // ̻       
    EM_CLASS_VEHICLE_ANALYSE        	= 18,   // ʶ"VehicleAnalyse"       
    EM_CLASS_PERSON_FEATURE            	= 19,   // Աʶ     
    EM_CLASS_SDFACEDETECTION			= 20,	// Ԥõ"SDFaceDetect"  
    											//һ򵫿ڲͬԤõЧ
	EM_CLASS_HEAT_MAP_PLAN				= 21,	// ȶͼƻ"HeatMapPlan" 
	EM_CLASS_NUMBERSTAT_PLAN			= 22,	// ͳƼƻ "NumberStatPlan"
	EM_CLASS_ATMFD						= 23,	// ⣬쳣ͷATMŻ
	EM_CLASS_HIGHWAY					= 24,	// ٽͨ¼"Highway"
	EM_CLASS_CITY						= 25,	// нͨ¼ "City"
	EM_CLASS_LETRACK					= 26,	// ü׸"LeTrack"
	EM_CLASS_SCR						= 27,	// "SCR"
	EM_CLASS_STEREO_VISION              = 28,   // Ӿ(˫Ŀ)"StereoVision"
	EM_CLASS_HUMANDETECT                = 29,   // "HumanDetect"
	EM_CLASS_FACE_ANALYSIS				= 30,	//  "FaceAnalysis"
	EM_CALSS_XRAY_DETECTION				= 31,	// X "XRayDetection"
	EM_CLASS_STEREO_NUMBER				= 32,	// ˫Ŀͳ "StereoNumber"
    EM_CLASS_CROWDDISTRIMAP				= 33,	// Ⱥֲͼ
    EM_CLASS_OBJECTDETECT				= 34,	// Ŀ
	EM_CLASS_FACEATTRIBUTE				= 35,	// IVSS "FaceAttribute" 
	EM_CLASS_FACECOMPARE				= 36,	// IVSSʶ "FaceCompare" 
	EM_CALSS_STEREO_BEHAVIOR			= 37,	// Ϊ "StereoBehavior"
	EM_CALSS_INTELLICITYMANAGER			= 38,	// ǻ۳ǹ "IntelliCityMgr"
	EM_CALSS_PROTECTIVECABIN			= 39,	// գATMڣ"ProtectiveCabin"
	EM_CALSS_AIRPLANEDETECT				= 40,	// ɻΪ "AirplaneDetect"
	EM_CALSS_CROWDPOSTURE				= 41,	// Ⱥ̬ƣȺֲͼ"CrowdPosture"
	EM_CLASS_PHONECALLDETECT			= 42,	// 绰 "PhoneCallDetect"
	EM_CLASS_SMOKEDETECTION				= 43,	//  "SmokeDetection"
	EM_CLASS_BOATDETECTION				= 44,	// ֻ "BoatDetection"
	EM_CLASS_SMOKINGDETECT				= 45,	// ̼ "SmokingDetect"
	EM_CLASS_WATERMONITOR				= 46,	// ˮ "WaterMonitor"
    EM_CLASS_GENERATEGRAPHDETECTION     = 47,   // ͼ "GenerateGraphDetection" 
    EM_CLASS_TRAFFIC_PARK               = 48,	// ͨͣ "TrafficPark"		  
    EM_CLASS_OPERATEMONITOR 			= 49,	// ҵ "OperateMonitor"
    EM_CLASS_INTELLI_RETAIL				= 50,	// ǻ۴ "IntelliRetail"
    EM_CLASS_CLASSROOM_ANALYSE			= 51,	// ǻۿ"ClassroomAnalyse"
    EM_CLASS_FEATURE_ABSTRACT           = 52,   // ȡ "FeatureAbstract" 
	EM_CLASS_FACEBODY_DETECT			= 53,	//  "FaceBodyDetect"
	EM_CLASS_FACEBODY_ANALYSE			= 54,	// ʶ "FaceBodyAnalyse"
	EM_CLASS_VEHICLES_DISTRI			= 55,	// ܶ "VehiclesDistri"
	EM_CLASS_INTELLI_BREED              = 56,   // ǻֳ "IntelliBreed"
	EM_CLASS_INTELLI_PRISON             = 57,   // Ϊ "IntelliPrison"
	EM_CLASS_ELECTRIC_DETECT            = 58,   //  "ElectricDetect"
	EM_CLASS_RADAR_DETECT				= 59,     // ״ "RadarDetect"
    EM_CLASS_PARKINGSPACE               = 60,     // λ "ParkingSpace" 
} EM_CLASS_TYPE; 


//ҵ񷽰EM_SCENE_TYPEһ
typedef enum tagEM_SCENE_CLASS_TYPE
{
	EM_SCENE_CLASS_UNKNOW,			// δ֪
	EM_SCENE_CLASS_NORMAL,			// "Normal" ͨ
	EM_SCENE_CLASS_TRAFFIC,			// "Traffic" ͨ
	EM_SCENE_CLASS_TRAFFIC_PATROL,	// "TrafficPatrol" ͨѲ
	EM_SCENE_CLASS_FACEDETECTION,	// "FaceDetection" /ʶ
	EM_SCENE_CLASS_ATM,				// "ATM"
	EM_SENCE_CLASS_INDOOR,			// "Indoor"  Ϊͨͬڳ㷨Ż
	EM_SENCE_CLASS_FACERECOGNITION,	// "FaceRecognition" ʶ
	EM_SENCE_CLASS_PRISON,			// "Prison" 
	EM_SENCE_CLASS_NUMBERSTAT,		// "NumberStat" ͳ
	EM_SENCE_CLASS_HEAT_MAP,		// "HeatMap" ȶͼ
	EM_SENCE_CLASS_VIDEODIAGNOSIS,	// "VideoDiagnosis" Ƶ
	EM_SENCE_CLASS_VEHICLEANALYSE,	// "VehicleAnalyse" 
	EM_SENCE_CLASS_COURSERECORD,	// "CourseRecord" Զ¼
	EM_SENCE_CLASS_VEHICLE,			// "Vehicle" س(ҵãͬܽͨTraffic)
	EM_SENCE_CLASS_STANDUPDETECTION,// "StandUpDetection" 
	EM_SCENE_CLASS_GATE,			// "Gate" 
	EM_SCENE_CLASS_SDFACEDETECTION,	// "SDFaceDetect"  Ԥõ⣬һ򵫿ڲͬԤõЧ
	EM_SCENE_CLASS_HEAT_MAP_PLAN,	// "HeatMapPlan" ȶͼƻ
	EM_SCENE_CLASS_NUMBERSTAT_PLAN,	// "NumberStatPlan"	ͳƼƻ
	EM_SCENE_CLASS_ATMFD,			// "ATMFD"⣬쳣ͷATMŻ
	EM_SCENE_CLASS_HIGHWAY,			// "Highway" ٽͨ¼
	EM_SCENE_CLASS_CITY,			// "City" нͨ¼
	EM_SCENE_CLASS_LETRACK,			// "LeTrack" ü׸
	EM_SCENE_CLASS_SCR,				// "SCR" 
	EM_SCENE_CLASS_STEREO_VISION,   // "StereoVision" Ӿ(˫Ŀ)
	EM_SCENE_CLASS_HUMANDETECT,		// "HumanDetect"
	EM_SCENE_CLASS_FACEANALYSIS,	// "FaceAnalysis" 
	EM_SCENE_CLASS_XRAY_DETECTION,	// "XRayDetection" X
	EM_SCENE_CLASS_STEREO_NUMBER,	// "StereoNumber" ˫Ŀͳ
	EM_SCENE_CLASS_CROWDDISTRIMAP,	// "CrowdDistriMap"Ⱥֲͼ
    EM_SCENE_CLASS_OBJECTDETECT,	// "ObjectDetect"Ŀ
	EM_SCENE_CLASS_FACEATTRIBUTE,	// "FaceAttribute" IVSS
	EM_SCENE_CLASS_FACECOMPARE,		// "FaceCompare" IVSSʶ
	EM_SCENE_CLASS_STEREO_BEHAVIOR,	// "StereoBehavior" Ϊ(ͳATM)
	EM_SCENE_CLASS_INTELLICITYMANAGER,	// "IntelliCityMgr" ǻ۳ǹ
	EM_SCENE_CLASS_PROTECTIVECABIN,	// "ProtectiveCabin" գATMڣ
	EM_SCENE_CLASS_AIRPLANEDETECT,	// "AirplaneDetect" ɻΪ
	EM_SCENE_CLASS_CROWDPOSTURE,	// "CrowdPosture" Ⱥ̬ƣȺֲͼ
	EM_SCENE_CLASS_PHONECALLDETECT,	// "PhoneCallDetect"  绰
	EM_SCENE_CLASS_SMOKEDETECTION,	// "SmokeDetection"   
	EM_SCENE_CLASS_BOATDETECTION,	// "BoatDetection"	  ֻ
	EM_SCENE_CLASS_SMOKINGDETECT,	// "SmokingDetect"	  ̼
	EM_SCENE_CLASS_WATERMONITOR,	// "WaterMonitor"	  ˮ
	EM_SCENE_CLASS_GENERATEGRAPHDETECTION,// "GenerateGraphDetection" ͼ 
    EM_SCENE_CLASS_TRAFFIC_PARK,	// "TrafficPark"		  ͨͣ
    EM_SCENE_CLASS_OPERATEMONITOR, 	// "OperateMonitor" ҵ 
    EM_SCENE_CLASS_INTELLI_RETAIL,	// IntelliRetail" ǻ۴ 
    EM_SCENE_CLASS_CLASSROOM_ANALYSE,// "ClassroomAnalyse" ǻۿ
    EM_SCENE_CLASS_FEATURE_ABSTRACT, // "FeatureAbstract" ȡ
	EM_SCENE_CLASS_FACEBODY_DETECT,	// "FaceBodyDetect" 
	EM_SCENE_CLASS_FACEBODY_ANALYSE,// "FaceBodyAnalyse"ʶ
	EM_SCENE_CLASS_VEHICLES_DISTRI,	// "VehiclesDistri" ܶ 
	EM_SCENE_CLASS_INTELLI_BREED,   // "IntelliBreed"ǻֳ
	EM_SCENE_CLASS_INTELLI_PRISON,  // "IntelliPrison"Ϊ
	EM_SCENE_CLASS_ELECTRIC_DETECT, // "ElectricDetect" 
	EM_SCENE_CLASS_RADAR_DETECT,       // "RadarDetect"״
    EM_SCENE_CLASS_PARKINGSPACE,    // "ParkingSpace" λ
} EM_SCENE_CLASS_TYPE;

// ܱ¼Ϣ
typedef struct tagEVENT_INTELLI_COMM_INFO
{
	EM_CLASS_TYPE		emClassType;								// ¼
	int					nPresetID;									// ¼Ԥõ㣬ȡֵΧΪ0~2550ʾڴԤõʱЧ
	BYTE                bReserved[124];                     		// ֽ,չ.
} EVENT_INTELLI_COMM_INFO;

// ¼ץͼϢ
typedef struct tagNET_INTELLIGENCE_IMAGE_INFO
{
	UINT				nOffSet;					// ڶݿеƫ   
	UINT				nLength;					// ͼƬС,λֽ
	UINT				nWidth;						// ͼƬ()
	UINT				nHeight;					// ͼƬ߶()
	BYTE				byReserved[48];				// Ԥֽ
}NET_INTELLIGENCE_IMAGE_INFO;

// ͨϢ
typedef struct tagEVENT_TRAFFIC_CAR_PART_INFO
{
    char                szMachineName[128];                  // ػԶ豸    ԴͨGeneral.MachineName    
    char                szRoadwayNo[32];                     // ·
    char                szPlateNumber[32];                   // ƺ
    char                szCategory[32];                      // 
    BYTE                bReserved[288];                      // ֽ
}EVENT_TRAFFIC_CAR_PART_INFO;

// ͨʻ
typedef enum tagEM_TRAFFICCAR_MOVE_DIRECTION
{
    EM_TRAFFICCAR_MOVE_DIRECTION_UNKNOWN,                           // δ֪
    EM_TRAFFICCAR_MOVE_DIRECTION_STRAIGHT,                          // ֱ
    EM_TRAFFICCAR_MOVE_DIRECTION_TURN_LEFT,                         // ת
    EM_TRAFFICCAR_MOVE_DIRECTION_TURN_RIGHT,                        // ת
    EM_TRAFFICCAR_MOVE_DIRECTION_TURN_AROUND,                       // ͷ
}EM_TRAFFICCAR_MOVE_DIRECTION;

// Ȩб
typedef struct tagNET_WHITE_LIST_AUTHORITY_LIST
{
    BOOL                bOpenGate;                         // ǷпբȨ
    BYTE                bReserved[16];                      // ֽ
}NET_WHITE_LIST_AUTHORITY_LIST;

// Ϣ
typedef struct tagNET_TRAFFICCAR_WHITE_LIST
{
    BOOL                          bTrustCar;              // Ƿڰ
    NET_TIME                       stuBeginTime;           // ʼʱ
    NET_TIME                       stuCancelTime;           // ʱ
    NET_WHITE_LIST_AUTHORITY_LIST         stuAuthorityList;        // Ȩб
    BYTE                          bReserved[32];           // ֽ
}NET_TRAFFICCAR_WHITE_LIST;

// Ϣ
typedef struct tagNET_TRAFFICCAR_BLACK_LIST
{
    BOOL                          bEnable;					// Ƿú
	BOOL						  bIsBlackCar;				// Ƿں
    NET_TIME                      stuBeginTime;				// ʼʱ
    NET_TIME                      stuCancelTime;			// ʱ
    BYTE                          bReserved[32];			// ֽ
}NET_TRAFFICCAR_BLACK_LIST;

// 
typedef enum tagEM_TRAFFICCAR_CAR_TYPE
{
    EM_TRAFFICCAR_CAR_TYPE_UNKNOWN,                       // δ֪
    EM_TRAFFICCAR_CAR_TYPE_TRUST_CAR,                      // 
    EM_TRAFFICCAR_CAR_TYPE_SUSPICIOUS_CAR,                    // 
    EM_TRAFFICCAR_CAR_TYPE_NORMAL_CAR,                      // ǰҷǺ
}EM_TRAFFICCAR_CAR_TYPE;

// 
typedef enum tagEM_TRAFFICCAR_LANE_TYPE
{
    EM_TRAFFICCAR_LANE_TYPE_UNKNOWN,						// δ֪
    EM_TRAFFICCAR_LANE_TYPE_NORMAL,							// ͨ
    EM_TRAFFICCAR_LANE_TYPE_NONMOTOR,						// ǻ
	EM_TRAFFICCAR_LANE_TYPE_LIGHT_DUTY,                     // Сͳ
	EM_TRAFFICCAR_LANE_TYPE_BUS,							// 
	EM_TRAFFICCAR_LANE_TYPE_EMERGENCY,						// Ӧ
	EM_TRAFFICCAR_LANE_TYPE_DANGEROUS,						// ΣƷ
}EM_TRAFFICCAR_LANE_TYPE;

// TrafficCar ͨϢ
typedef struct tagDEV_EVENT_TRAFFIC_TRAFFICCAR_INFO
{
    char               szPlateNumber[32];                   // ƺ
    char               szPlateType[32];                     //  "Unknown" δ֪; "Normal" ƺ; "Yellow" ; "DoubleYellow" ˫β
                                                            // "Police" ; "Armed" 侯; "Military" Ӻ; "DoubleMilitary" ˫
                                                            // "SAR" ۰; "Trainning" ; "Personal" Ժ; "Agri" ũ
                                                            // "Embassy" ʹݺ; "Moto" Ħг; "Tractor" ; "Other" 
    char               szPlateColor[32];                    // ɫ    "Blue","Yellow", "White","Black","YellowbottomBlackText","BluebottomWhiteText","BlackBottomWhiteText","ShadowGreen","YellowGreen"
    char               szVehicleColor[32];                  // ɫ    "White", "Black", "Red", "Yellow", "Gray", "Blue","Green"
    int                nSpeed;                              // ٶ    λKm/H
    char               szEvent[64];                         // ¼    μ¼бEvent List,ֻͨ¼
    char               szViolationCode[32];                 // Υ´    TrafficGlobal.ViolationCode
    char               szViolationDesc[64];                 // Υ
    int                nLowerSpeedLimit;                    // ٶ
    int                nUpperSpeedLimit;                    // ٶ
    int                nOverSpeedMargin;                    // ޸ٿֵ    λkm/h 
    int                nUnderSpeedMargin;                   // ޵ٿֵ    λkm/h 
    int                nLane;                               //     μ¼бEvent Listпں·¼
    int                nVehicleSize;                        // С,-1ʾδ֪,λ
                                                            // 0λ:"Light-duty", Сͳ
                                                            // 1λ:"Medium", ͳ
                                                            // 2λ:"Oversize", ͳ
                                                            // 3λ:"Minisize", ΢ͳ
                                                            // 4λ:"Largesize", 
    float              fVehicleLength;                      //     λ
    int                nSnapshotMode;                       // ץķʽ    0-δ,1-ȫ,2-,4-ͬץ,8-ץ,16-ͼ
    char               szChannelName[32];                   // ػԶ̵ͨ,ǵصϢ    ԴͨChannelTitle.Name 
    char               szMachineName[256];                  // ػԶ豸    ԴͨGeneral.MachineName
    char               szMachineGroup[256];                 // 豸λ    ĬΪ,ûԽͬ豸Ϊһ,ڹ,ظ
    char               szRoadwayNo[64];                     // ·
    char               szDrivingDirection[3][DH_MAX_DRIVINGDIRECTION];      // 
                                                                            // ʻ , "DrivingDirection" : ["Approach", "Ϻ", ""],
                                                                            // "Approach"-,豸ԽԽ"Leave"-,
                                                                            // 豸ԽԽԶ,ڶ͵ֱк
                                                                            // еص
    char              *szDeviceAddress;                     // 豸ַ,OSDӵͼƬϵ,ԴTrafficSnapshot.DeviceAddress,'\0'
    char               szVehicleSign[32];                   // ʶ,  "Unknown"-δ֪, "Audi"-µ, "Honda"- ...
    DH_SIG_CARWAY_INFO_EX stuSigInfo;                       // ɳץźϢ
    char              *szMachineAddr;                       // 豸ص
    float              fActualShutter;                      // ǰͼƬعʱ,λΪ
    BYTE               byActualGain;                        // ǰͼƬ,ΧΪ0~100
    BYTE               byDirection;                         // ,0- 1-򶫱 2- 3- 4- 5- 6- 7- 8-δ֪ 9-Զ
    BYTE               byReserved[2];
    char*              szDetailedAddress;                   // ϸַ, ΪszDeviceAddressĲ
    char               szDefendCode[DH_COMMON_STRING_64];   // ͼƬα  
    int                nTrafficBlackListID;                 // ݿ¼ĬID, 0,Ч> 0,ݼ¼
    DH_COLOR_RGBA      stuRGBA;                             // ɫRGBA
    NET_TIME           stSnapTime;                          // ץʱ
    int                nRecNo;                              // ¼
    char               szCustomParkNo[DH_COMMON_STRING_32 + 1]; // Զ峵λţͣã
    BYTE               byReserved1[3];
    int                nDeckNo;                             // λ
    int                nFreeDeckCount;                      // г
    int                nFullDeckCount;                      // ռó
    int                nTotalDeckCount;                     // ܹ 
    char               szViolationName[64];                 // Υ
    unsigned int	   nWeight;                             // (λ Kg)
    char               szCustomRoadwayDirection[32];        // Զ峵,byDirectionΪ9ʱЧ
    BYTE               byPhysicalLane;                      // ,ȡֵ05
    BYTE               byReserved2[3];
    EM_TRAFFICCAR_MOVE_DIRECTION emMovingDirection;         // ʻ
    NET_TIME           stuEleTagInfoUTC;                    // ӦӳƱǩϢеĹʱ(ThroughTime)
    NET_RECT           stuCarWindowBoundingBox;             // ΧУ0~8191
    NET_TRAFFICCAR_WHITE_LIST   stuWhiteList;               // Ϣ
    EM_TRAFFICCAR_CAR_TYPE      emCarType;                  // 
    EM_TRAFFICCAR_LANE_TYPE     emLaneType;                 // 
    char               szVehicleBrandYearText[64];          // ϵı
    char               szCategory[32];                      // 
	NET_TRAFFICCAR_BLACK_LIST	stuBlackList;				// Ϣ
    BYTE               bReserved[240];                      // ֽ,չ.
}DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO;

#ifndef LINUX64_JNA
#pragma pack(push)
#pragma pack(4)
#endif
// GPSϢ
typedef struct tagNET_GPS_INFO
{
    unsigned int                    nLongitude;         	// (λǰ֮һ)
                                                            // 0 - 180000000				ʵֵӦΪ: 180*1000000 C dwLongitude
                                                            // 180000000 - 360000000		ʵֵӦΪ: dwLongitude C 180*1000000
                                                            // : 300168866ӦΪ300168866 - 180*1000000/1000000 120.168866
    unsigned int					nLatidude;              // γ(λǰ֮һ)
                                                            // γ0 - 90000000				ʵֵӦΪ: 90*1000000 C dwLatidude
                                                            // γ90000000 C 180000000		ʵֵӦΪ: dwLatidude C 90*1000000
															// : 120186268ӦΪ (120186268 - 90*1000000)/1000000 γ30. 186268
    double                          dbAltitude;              // ߶,λΪ
    double                          dbSpeed;                 // ٶ,λkm/H
    double                          dbBearing;               // ,λ
	BYTE                            bReserved[8];           // ֶ
}NET_GPS_INFO;
#ifndef LINUX64_JNA
#pragma pack(pop)
#endif

// ¼չϢ
typedef struct tagNET_EXTENSION_INFO
{
	char        szEventID[MAX_EVENT_ID_LEN];				// ¼ID
	BYTE        byReserved[80];                             // ֽ
} NET_EXTENSION_INFO;

// ȫͼ
typedef struct tagSCENE_IMAGE_INFO_EX
{
	unsigned int	   nOffSet;					// ڶݿеƫ   
	unsigned int	   nLength;					// ͼƬС,λֽ
	unsigned int	   nWidth;					// ͼƬ()
	unsigned int	   nHeight;					// ͼƬ߶()
	char               szFilePath[260];         // ȫͼƬ·
	BYTE			   byReserved[512];			// Ԥֽ
}SCENE_IMAGE_INFO_EX;

// Ʒʽ
typedef enum tagEM_UNIFORM_STYLE
{
    EM_UNIFORM_STYLE_UNKNOWN,						// δ֪
    EM_UNIFORM_STYLE_POLICE,						// 
}EM_UNIFORM_STYLE;

// ⵽Ϣ
typedef struct tagNET_VAOBJECT_NUMMAN
{
    UINT                nObjectID;                          // IDÿIDʾһΨһ
    EM_UNIFORM_STYLE    emUniformStyle;                     // Ʒʽ
    NET_RECT			stuBoundingBox;                     // Χ,׶ȫͼеĿ,Ϊ0~8191
    NET_RECT			stuOriginalBoundingBox;             // Χ,
    BYTE			    byReserved[128];			        // Ԥֽ
}NET_VAOBJECT_NUMMAN;

// ¼EVENT_IVS_CROSSLINEDETECTION(¼)ӦݿϢ
typedef struct tagDEV_EVENT_CROSSLINE_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_MSG_OBJECT       stuObject;                          // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    DH_POINT            DetectLine[DH_MAX_DETECT_LINE_NUM]; // 
    int                 nDetectLineNum;                     // ߶
    DH_POINT            TrackLine[DH_MAX_TRACK_LINE_NUM];   // ˶켣
    int                 nTrackLineNum;                      // ˶켣
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bDirection;                         // ʾַ, 0-, 1-
    BYTE                byReserved[1];
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	NET_EXTENSION_INFO  stuExtensionInfo;                   // չϢ
	SCENE_IMAGE_INFO_EX stuSceneImage;                      // ȫͼ
    UINT                nObjetcHumansNum;                   // ⵽˵
   NET_VAOBJECT_NUMMAN stuObjetcHumans[100];                // ĵ
    BYTE			    byReserved1[512];			        // Ԥֽ 
} DEV_EVENT_CROSSLINE_INFO;

// ¼EVENT_IVS_CROSSLINEDETECTION_EX(¼)ӦݿϢ
typedef struct tagDEV_EVENT_CROSSLINE_INFO_EX 
{
    DWORD               dwSize;
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    float               PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_MSG_OBJECT_EX    stuObject;                          // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    DH_POINT            DetectLine[DH_MAX_DETECT_LINE_NUM]; // 
    int                 nDetectLineNum;                     // ߶
    DH_POINT            TrackLine[DH_MAX_TRACK_LINE_NUM];   // ˶켣
    int                 nTrackLineNum;                      // ˶켣
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bDirection;                         // ʾַ, 0-, 1-
    BYTE                byReserved[1];
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ

    int                 nMsgObjArrayCount;                  // ⵽Ϣ
    DH_MSG_OBJECT_EX*   pMsgObjArray;                       // ⵽Ϣָ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	SCENE_IMAGE_INFO_EX stuSceneImage;                      // ȫͼ
    UINT                nObjetcHumansNum;                	// ⵽˵
    NET_VAOBJECT_NUMMAN stuObjetcHumans[100];               // ĵ
    BYTE			    byReserved1[512];			        // Ԥֽ
} DEV_EVENT_CROSSLINE_INFO_EX;

// ͨϢIPCݿƣ
typedef struct tagNET_CUSTOM_INFO
{
	int					nCargoChannelNum;						// ͨ
	float				fCoverageRate[MAX_CARGO_CHANNEL_NUM];	// ︲
	BYTE				byReserved[40];							// ֽ
} NET_CUSTOM_INFO;

// ¼EVENT_IVS_CROSSREGIONDETECTION(¼)ӦݿϢ
typedef struct tagDEV_EVENT_CROSSREGION_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved2[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_MSG_OBJECT       stuObject;                          // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            TrackLine[DH_MAX_TRACK_LINE_NUM];   // ˶켣
    int                 nTrackLineNum;                      // ˶켣
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bDirection;                         // ʾַ, 0-, 1-뿪,2-,3-ʧ
    BYTE                bActionType;                        // ʾ⶯,0- 1-ʧ 2- 3-Խ
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
	NET_CUSTOM_INFO		stuCustom;							// ͨϢ
	NET_EXTENSION_INFO  stuExtensionInfo;                   // չϢ
	BYTE                bReserved[328];                     // ֽ,չ.
    int                 nObjectNum;                         // ⵽
    DH_MSG_OBJECT       stuObjectIDs[DH_MAX_OBJECT_LIST];   // ⵽
    int                 nTrackNum;                          // 켣(⵽Ӧ)
    DH_POLY_POINTS      stuTrackInfo[DH_MAX_OBJECT_LIST];   // 켣Ϣ(⵽Ӧ)
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	SCENE_IMAGE_INFO_EX stuSceneImage;                      // ȫͼ
    UINT                nObjetcHumansNum;                   // ⵽˵
    NET_VAOBJECT_NUMMAN stuObjetcHumans[100];               // ĵ
    BYTE			    byReserved1[512];			    	// ֽ
} DEV_EVENT_CROSSREGION_INFO;

//
typedef enum tagEM_SPECIAL_REGION_TYPE
{
    EM_SPEICAL_REGION_UNKNOW = 0        , // δ֪
    EM_SPEICAL_REGION_HIGH_LIGHT        , // ;ATM
    EM_SPEICAL_REGION_REGULAR_BLINK     , // ɵ˸;ATM忨
    EM_SPEICAL_REGION_IRREGULAR_BLINK   , // ɵ˸;ATMĻ
}EM_SPECIAL_REGION_TYPE;

// ¼EVENT_IVS_PASTEDETECTION(¼)ӦݿϢ
typedef struct tagDEV_EVENT_PASTE_INFO 
{
    int                     nChannelID;                         // ͨ
    char                    szName[128];                        // ¼
    char                    bReserved1[4];                      // ֽڶ
    double                  PTS;                                // ʱ(λǺ)
    NET_TIME_EX             UTC;                                // ¼ʱ
    int                     nEventID;                           // ¼ID
    DH_MSG_OBJECT           stuObject;                          // ⵽
    DH_EVENT_FILE_INFO      stuFileInfo;                        // ¼ӦļϢ
    int                     nDetectRegionNum;                   // 򶥵
    DH_POINT                DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    BYTE                    bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                    byReserved[2];
    BYTE                    byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD                   dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    unsigned int            nOccurrenceCount;                   // ¼ۼƴ
    EM_SPECIAL_REGION_TYPE  emSpecialRegion;                    // 
    EVENT_INTELLI_COMM_INFO stuIntelliCommInfo;                 // ¼Ϣ
    BYTE                    bReserved[748];                     // ֽ,չ.
} DEV_EVENT_PASTE_INFO;

// ¼EVENT_IVS_LEFTDETECTION(Ʒ¼)ӦݿϢ
typedef struct tagDEV_EVENT_LEFT_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_MSG_OBJECT       stuObject;                          // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	short				nPreserID;							// ¼Ԥõţ1ʼûбʾδ֪
	char				szPresetName[64];					// ¼Ԥ
	NET_EXTENSION_INFO  stuExtensionInfo;                   // չϢ
    BYTE                bReserved[290];                     // ֽ,չ.
} DEV_EVENT_LEFT_INFO;

// ¼EVENT_IVS_PRESERVATION(Ʒȫ¼)ӦݿϢ
typedef struct tagDEV_EVENT_PRESERVATION_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_MSG_OBJECT       stuObject;                          // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
    BYTE                bReserved[488];                     // ֽ,չ.
} DEV_EVENT_PRESERVATION_INFO;

// ¼EVENT_IVS_STAYDETECTION(ͣ¼)ӦݿϢ
typedef struct tagDEV_EVENT_STAY_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_MSG_OBJECT       stuObject;                          // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
    int                 nObjectNum;                         // ⵽
    DH_MSG_OBJECT       stuObjectIDs[DH_MAX_OBJECT_NUM];    // ⵽
	UINT				nAreaID;							// ID(һԤõԶӦID)
    BOOL                bIsCompliant;                       // óǷϹ
	BYTE                bReserved[1016];                    // ֽ,չ.
} DEV_EVENT_STAY_INFO;

// ¼EVENT_IVS_WANDERDETECTION(ǻ¼)ӦݿϢ
typedef struct tagDEV_EVENT_WANDER_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];                      // ֽ
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nObjectNum;                         // ⵽
    DH_MSG_OBJECT       stuObjectIDs[DH_MAX_OBJECT_LIST];   // ⵽
    int                 nTrackNum;                          // 켣(⵽Ӧ)
    DH_POLY_POINTS      stuTrackInfo[DH_MAX_OBJECT_LIST];   // 켣Ϣ(⵽Ӧ)
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];    // 
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	short				nPreserID;							// ¼Ԥõţ1ʼûбʾδ֪
	char				szPresetName[64];					// ¼Ԥ
	NET_EXTENSION_INFO  stuExtensionInfo;                   // չϢ
    BYTE                bReserved[426];                     // ֽ,չ.
} DEV_EVENT_WANDER_INFO;

// ¼EVENT_IVS_MOVEDETECTION(ƶ¼)ӦݿϢ
typedef struct tagDEV_EVENT_MOVE_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_MSG_OBJECT       stuObject;                          // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];    // 
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    int                 nTrackLineNum;                      // ˶켣                 
    DH_POINT            stuTrackLine[DH_MAX_TRACK_LINE_NUM];// ˶켣      
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	NET_EXTENSION_INFO  stuExtensionInfo;                   // չϢ
    BYTE                bReserved[272];                     // ֽ,չ.
} DEV_EVENT_MOVE_INFO;

// ¼EVENT_IVS_TAILDETECTION(β¼)ӦݿϢ
typedef struct tagDEV_EVENT_TAIL_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_MSG_OBJECT       stuObject;                          // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];    // 
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
    BYTE                bReserved[488];                     // ֽ,չ.
} DEV_EVENT_TAIL_INFO;

// ¼ EVENT_IVS_RIOTERDETECTION (¼)ӦݿϢ
typedef struct tagDEV_EVENT_RIOTER_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    int                 nObjectNum;                         // ⵽
    DH_MSG_OBJECT       stuObjectIDs[DH_MAX_OBJECT_LIST];   // ⵽б
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];                      // ֽ
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];    // 

    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	NET_EXTENSION_INFO	stuExtensionInfo;                   // չϢ
    BYTE                bReserved[360];                     // ֽ,չ.
} DEV_EVENT_RIOTERL_INFO;

// ¼EVENT_IVS_FIGHTDETECTION(Ź¼)ӦݿϢ
typedef struct tagDEV_EVENT_FIGHT_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    int                 nObjectNum;                         // ⵽
    DH_MSG_OBJECT       stuObjectIDs[DH_MAX_OBJECT_LIST];   // ⵽б
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];                      // ֽ
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];    // 
    
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	NET_EXTENSION_INFO  stuExtensionInfo;                   // չϢ
    BYTE                bReserved[360];                     // ֽ,չ.
} DEV_EVENT_FIGHT_INFO;

// ¼EVENT_IVS_FIREDETECTION(¼)ӦݿϢ
typedef struct tagDEV_EVENT_FIRE_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_MSG_OBJECT       stuObject;                          // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];                      // ֽ
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];    // 
    
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ), NET_RESERVED_COMMON    
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
    BYTE                bReserved[488];                     // ֽ,չ.
} DEV_EVENT_FIRE_INFO;

// ¼EVENT_IVS_GETOUTBEDDETECTION(´¼)ӦݿϢ
typedef struct tagDEV_EVENT_GETOUTBED_INFO 
{
    // ֶ
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    // ¼Ӧֶ
    DH_MSG_OBJECT       stuObject;                          // Objectʾ´Ϣ
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

    BYTE                byReserved[2];                      // ֽ
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    BYTE                bReserved[1024];                    // ֽ,չ. 
} DEV_EVENT_GETOUTBED_INFO;

// ¼EVENT_IVS_PATROLDETECTION(Ѳ߼¼)ӦݿϢ
typedef struct tagDEV_EVENT_PATROL_INFO 
{
    // ֶ
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    // ¼Ӧֶ
    DH_MSG_OBJECT       stuObject;                          // ObjectʾѲߵϢ
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    
    BYTE                byReserved[2];                      // ֽ
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    BYTE                bReserved[1024];                    // ֽ,չ. 
} DEV_EVENT_PATROL_INFO;

// ¼ EVENT_IVS_ONDUTYDETECTION(վڼ¼)ӦݿϢ
typedef struct tagDEV_EVENT_ONDUTY_INFO
{
    // ֶ
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    // ¼Ӧֶ
    DH_MSG_OBJECT       stuObject;                          // ObjectʾѲߵϢ
    int                 nDetectRegionNum;                   // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    
    BYTE                byReserved[2];                      // ֽ
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    BYTE                bReserved[1024];                    // ֽ,չ. 
} DEV_EVENT_ONDUTY_INFO;

// ¼ EVENT_IVS_ELECTROSPARKDETECTION(¼)ӦݿϢ
typedef struct tagDEV_EVENT_ELECTROSPARK_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_MSG_OBJECT       stuObject;                          // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    BYTE                bReserved[972];                     // ֽ,չ.
    
} DEV_EVENT_ELECTROSPARK_INFO;

// ¼EVENT_IVS_SMOKEDETECTION(¼)ӦݿϢ
typedef struct tagDEV_EVENT_SMOKE_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_MSG_OBJECT       stuObject;                          // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON   
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	PTZ_SPACE_UNIT		stuPtzPosition;						// ̨ͷŴ
    BYTE                bReserved[792];                     // ֽ,չ.
} DEV_EVENT_SMOKE_INFO;

// ¼EVENT_IVS_FLOWSTAT(ͳ¼)ӦݿϢ
typedef struct tagDEV_EVENT_FLOWSTAT_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    int                 nNumberLeft;                        // ߴԽ˵ĸ
    int                 nNumberRight;                       // ұߴԽ˵ĸ
    int                 nUpperLimit;                        // õ
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON  
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    BYTE                bReserved[972];                     // ֽ,չ.

} DEV_EVENT_FLOWSTAT_INFO;

// ¼EVENT_IVS_NUMBERSTAT(ͳ¼)ӦݿϢ
typedef struct tagDEV_EVENT_NUMBERSTAT_INFO 
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved2[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    int                 nNumber;                            // ĸ
    int                 nUpperLimit;                        // õ
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bReserved1[2];                      // ֽڶ
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nEnteredNumber;                     // ʾ߳ڵĸ
    int                 nExitedNumber;                      // ʾ߳ڵĸ
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
    UINT				nAreaID;							// IDһԤõжID
    BOOL                bIsCompliant;                       // óǷϹ
	BYTE                bReserved[820];                     // ֽ,չ.
} DEV_EVENT_NUMBERSTAT_INFO;

// ¼EVENT_IVS_CROSSFENCEDETECTION(ԽΧ¼)ӦݿϢ
typedef struct tagDEV_EVENT_CROSSFENCEDETECTION_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    int                 nUpstairsLinePointNumber;                   // Χϱ߶
    DH_POINT            stuUpstairsLine[DH_MAX_DETECT_LINE_NUM];    // ΧϱϢ
    int                 nDownstairsLinePointNumber;                 // Χ±߶
    DH_POINT            stuDownstairsLine[DH_MAX_DETECT_LINE_NUM];  // Χ±Ϣ  
    int                 nTrackLineNum;                              // ˶켣                 
    DH_POINT            TrackLine[DH_MAX_TRACK_LINE_NUM];           // ˶켣
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bDirection;                                 // ʾַ, 0-, 1-
    BYTE                byReserved[1];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                               // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];                   // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    BYTE                bReserved[616];                             // ֽ,չ.    
} DEV_EVENT_CROSSFENCEDETECTION_INFO;

// ¼EVENT_IVS_INREGIONDETECTION(ڼ¼)ӦݿϢ
typedef struct tagDEV_EVENT_INREGIONDETECTION_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nObjectNum;                                 // ⵽
    DH_MSG_OBJECT       stuObjectIDs[DH_MAX_OBJECT_LIST];           // ⵽
    int                 nTrackNum;                                  // 켣(⵽Ӧ)
    DH_POLY_POINTS      stuTrackInfo[DH_MAX_OBJECT_LIST];           // 켣Ϣ(⵽Ӧ)
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    BYTE                bReserved[1016];                            // ֽ,չ.
    
} DEV_EVENT_INREGIONDETECTION_INFO;

// ¼EVENT_IVS_TAKENAWAYDETECTION(Ʒ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TAKENAWAYDETECTION_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                               // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];                   // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
	short				nPreserID;									// ¼Ԥõţ1ʼûбʾδ֪
	char				szPresetName[64];							// ¼Ԥ
	NET_EXTENSION_INFO  stuExtensionInfo;					        // չϢ
	BYTE                bReserved[418];                             // ֽ,չ.
} DEV_EVENT_TAKENAWAYDETECTION_INFO;

// ¼ EVENT_IVS_VIDEOABNORMALDETECTION(Ƶ쳣¼)ӦݿϢ
typedef struct tagDEV_EVENT_VIDEOABNORMALDETECTION_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bType;                                      // 쳣, 255-壨ͨ豸˷شֵ0-Ƶʧ, 1-Ƶ, 2-ͷڵ, 3-ͷƶ, 4-, 5-, 6-ͼƫɫ, 7-
    BYTE                byReserved[1];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                               // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];                   // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    BYTE                bReserved[620];                             // ֽ,չ.
} DEV_EVENT_VIDEOABNORMALDETECTION_INFO;

// ¼EVENT_IVS_PARKINGDETECTION(Ƿͣ¼)ӦݿϢ
typedef struct tagDEV_EVENT_PARKINGDETECTION_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                               // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];                   // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
	NET_EXTENSION_INFO  stuExtensionInfo;					        // չϢ
    BYTE                bReserved[484];                             // ֽ,չ.
} DEV_EVENT_PARKINGDETECTION_INFO;

// ¼GB30147
typedef enum tagEM_EVENT_LEVEL
{
	EM_EVENT_LEVEL_HINT = 0,										// ʾ
	EM_EVENT_LEVEL_GENERAL,											// ͨ
	EM_EVENT_LEVEL_WARNING											// 
}EM_EVENT_LEVEL;

#define HDBJ_MAX_OBJECTS_NUM 200            // ⵽Ŀ

// ¼EVENT_IVS_SHOPPRESENCE(ռӪ¼)ӦݿϢ
typedef struct tagDEV_EVENT_SHOPPRESENCE_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽壬ƼʹֶstuObjectsȡϢ
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                               // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];                   // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
	char				szPresetName[DH_COMMON_STRING_64];			// ¼Ԥõ
	EM_EVENT_LEVEL		emEventLevel;								// ¼GB30147
	char				szShopAddress[DH_COMMON_STRING_256];		// ̵ַ
    UINT                nViolationDuration;                         // Υʱλ룬ȱʡֵ0ʾ
    int					nObjectNum;									// ⵽
    DH_MSG_OBJECT		stuObjects[HDBJ_MAX_OBJECTS_NUM];			// ⵽
    char				szSourceID[32];								// ¼ID,ͬһͼƬɶ¼ʱSourceIDͬ
	BYTE                byReserved2[2048];							// ֽ
} DEV_EVENT_SHOPPRESENCE_INFO;

// ¼EVENT_IVS_WASTEDUMPED(Υ㵹¼)ӦݿϢ
typedef struct tagDEV_EVENT_WASTEDUMPED_INFO
{
	int                 nChannelID;                                 // ͨ
	char                szName[128];                                // ¼
	char                bReserved1[4];                              // ֽڶ
	double              PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         UTC;                                        // ¼ʱ
	int                 nEventID;                                   // ¼ID
	DH_MSG_OBJECT       stuObject;                                  // ⵽
	int                 nDetectRegionNum;                           // 򶥵
	DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
	BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                byReserved[2];
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	int                 nSourceIndex;                               // ¼Դ豸ϵindex,-1ʾЧ
	char                szSourceDevice[MAX_PATH];                   // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
	unsigned int        nOccurrenceCount;                           // ¼ۼƴ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
	char				szPresetName[DH_COMMON_STRING_64];			// ¼Ԥõ
	EM_EVENT_LEVEL		emEventLevel;								// ¼GB30147
	BYTE                byReserved2[512];							// ֽ,չ.
} DEV_EVENT_WASTEDUMPED_INFO;

// ¼EVENT_IVS_ABNORMALRUNDETECTION(쳣¼)ӦݿϢ
typedef struct tagDEV_EVENT_ABNORMALRUNDETECTION 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    double              dbSpeed;                                    // ˶ٶ,km/h
    double              dbTriggerSpeed;                             // ٶ,km/h
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
    int                 nTrackLineNum;                              // ˶켣                 
    DH_POINT            TrackLine[DH_MAX_TRACK_LINE_NUM];           // ˶켣
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bRunType;                                   // 쳣, 0-ٱ, 1-ͻȻ, 2-ͻȻ
    BYTE                byReserved[1];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                               // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];                   // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    BYTE                bReserved[616];                             // ֽ,չ.
} DEV_EVENT_ABNORMALRUNDETECTION_INFO;

// ¼EVENT_IVS_RETROGRADEDETECTION(Ա¼)ӦݿϢ
typedef struct tagDEV_EVENT_RETROGRADEDETECTION_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    int                 nTrackLineNum;                              // ˶켣                 
    DH_POINT            TrackLine[DH_MAX_TRACK_LINE_NUM];           // ˶켣
    int                 nDirectionPointNum;                         // 涨ķ򶥵
    DH_POINT            stuDirections[DH_MAX_DETECT_LINE_NUM];      // 涨ķ
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                               // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];                   // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    BYTE                bReserved[616];                             // ֽ,չ.
} DEV_EVENT_RETROGRADEDETECTION_INFO;

//ӦԱ
typedef enum tagEM_DEV_EVENT_FACEDETECT_SEX_TYPE
{
    EM_DEV_EVENT_FACEDETECT_SEX_TYPE_UNKNOWN,                   // δ֪
    EM_DEV_EVENT_FACEDETECT_SEX_TYPE_MAN,                       // 
    EM_DEV_EVENT_FACEDETECT_SEX_TYPE_WOMAN,                     // Ů
}EM_DEV_EVENT_FACEDETECT_SEX_TYPE;



// ̬
typedef struct tagNET_EULER_ANGLE
{
	int		nPitch;				// 
	int		nYaw;				// ƫ
	int		nRoll;				// 
} NET_EULER_ANGLE;

// 
typedef struct tagNET_FACE_DATA
{
	EM_DEV_EVENT_FACEDETECT_SEX_TYPE 		emSex;						// Ա
	int        								nAge;						// ,-1ʾֶЧ
    unsigned int        					nFeatureValidNum;           // Ч, emFeature ʹ
    EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE    emFeature[DH_MAX_FACEDETECT_FEATURE_NUM];   // , nFeatureValidNum ʹ
	EM_RACE_TYPE							emRace;						// 
	EM_EYE_STATE_TYPE						emEye;						// ۾״̬
	EM_MOUTH_STATE_TYPE						emMouth;					// ״̬
	EM_MASK_STATE_TYPE 						emMask;						// ״̬
	EM_BEARD_STATE_TYPE						emBeard;					// ״̬
	int										nAttractive;				// ֵ, -1ʾЧ, 0δʶʶʱΧ1-100,÷ָ
	BYTE                					bReserved1[4];              // ֽ
	NET_EULER_ANGLE							stuFaceCaptureAngle;		// ץͼƬеĽǶϢ, nPitch:̧ͷͷĸ, nYawתͷƫ, nRollͷƽƫƫķ
																		// ǶֵȡֵΧ[-90,90], ǶֵΪ999ʾ˽ǶϢЧ
	UINT									nFaceQuality;				// ץ
    int                                     nFaceAlignScore;            // ÷ַ,Χ 0~10000,-1ΪЧֵ
    int                                     nFaceClarity;               // ȷ,Χ 0~10000,-1ΪЧֵ

    BYTE                					bReserved[100];             // ֽ,չ.
} NET_FACE_DATA;

// 洢IVSSĿVIP,ֵϢ
typedef struct tagNET_FEATURE_VECTOR
{
	DWORD				dwOffset;							// Сͼֵڶݿеƫ
	DWORD				dwLength;							// Сͼֵȣλ:ֽ
	BYTE				byReserved[120];					// 
}NET_FEATURE_VECTOR;

// е״̬
typedef enum tagEM_FACE_DETECT_STATUS
{
    EM_FACE_DETECT_UNKNOWN,             // δ֪
    EM_FACE_DETECT_APPEAR,              // 
    EM_FACE_DETECT_INPICTURE,           // ڻ
    EM_FACE_DETECT_EXIT,                // 뿪
} EM_FACE_DETECT_STATUS;

// ·Ϣ
typedef struct tagNET_PASSERBY_INFO
{
	char				szPasserbyUID[MAX_COMMON_STRING_32];			// ·Ψһʶ
	char                szPasserbyGroupId[MAX_COMMON_STRING_64];		// ·˿ID
	char				szPasserbyGroupName[MAX_COMMON_STRING_128];		// ·˿
	BYTE				byReserved[128];									// 
} NET_PASSERBY_INFO;

// ¼EVENT_IVS_FACERECOGNITION(ʶ)ӦݿϢ
typedef struct tagDEV_EVENT_FACERECOGNITION_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    int                 nEventID;                                   // ¼ID
    NET_TIME_EX         UTC;                                        // ¼ʱ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    int                 nCandidateNum;                              // ǰƥ䵽ĺѡ
    CANDIDATE_INFO      stuCandidates[DH_MAX_CANDIDATE_NUM];        // ǰƥ䵽ĺѡϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                byReserved1[2];                             // 
    BOOL                bGlobalScenePic;                            // ȫͼǷ
    DH_PIC_INFO         stuGlobalScenePicInfo;                      // ȫͼƬϢ
    char                szSnapDevAddress[MAX_PATH];                 // ץĵǰ豸ַ,磺·37  
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
	NET_FACE_DATA		stuFaceData;								// 
	char				szUID[DH_COMMON_STRING_32];					// ץԱдݿΨһʶ
	NET_FEATURE_VECTOR	stuFeatureVector;							// ֵϢ
	char				szFeatureVersion[32];						// ֵ㷨汾
	EM_FACE_DETECT_STATUS emFaceDetectStatus;                       // е״̬
    char				szSourceID[32];								// ¼ID,ͬһͼƬɶ¼ʱSourceIDͬ
    NET_PASSERBY_INFO	stuPasserbyInfo;							// ·˿Ϣ
	unsigned int		nStayTime;									// ·˶ʱ λ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ
	BYTE                bReserved[432];                             // ֽ,չ.
    int					nRetCandidatesExNum;						// ǰƥ䵽ĺѡʵʷֵ
	CANDIDATE_INFOEX    stuCandidatesEx[DH_MAX_CANDIDATE_NUM];      // ǰƥ䵽ĺѡϢչ
	char				szSerialUUID[22];							// IDΨһʶ
																	// ʽ£ǰ2λ%d%d:01-ƵƬ,02-ͼƬ,03-ļ,99-;
																	// м14λYYYYMMDDhhmmss:ʱ;5λ%u%u%u%u%uID00001
	BYTE                byReserved[2];                              // 

}DEV_EVENT_FACERECOGNITION_INFO;

// ¼EVENT_IVS_DENSITYDETECTION(Աܶȼ)ӦݿϢ
typedef struct tagDEV_EVENT_DENSITYDETECTTION_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nObjectNum;                                 // ⵽
    DH_MSG_OBJECT       stuObjectIDs[DH_MAX_OBJECT_LIST];           // ⵽б
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];                              // ֽ
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 

    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                               // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];                   // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;					// ¼Ϣ
    int					nUnit;										// ܶȼֵλ(0-Level,1-Percent)
	int					nValue;										// ֵܶλΪLevelʱȡֵ0~3ֱʾ(ϡ裬ϡ裬ܼܼ)λΪPercentʱȡֵ0~100
	BYTE                bReserved[612];                             // ֽ,չ.
}DEV_EVENT_DENSITYDETECTION_INFO;

// ¼ EVENT_IVS_QUEUEDETECTION(ŶӼⱨ¼)ӦݿϢ
typedef struct tagDEV_EVENT_QUEUEDETECTION_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved2[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bReserved1[2];                              // ֽ,չ.
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DH_POINT            stuDetectLine[2];                           // 
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
    BYTE                bReserved[1012];                            // ֽ,չ.
}DEV_EVENT_QUEUEDETECTION_INFO;

// ¼EVENT_IVS_TRAFFICCONTROL(ͨ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFICCONTROL_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[932];                             // ֽ,չ.

} DEV_EVENT_TRAFFICCONTROL_INFO;


// ¼EVENT_IVS_TRAFFICACCIDENT(ͨ¹¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFICACCIDENT_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nObjectNum;                                 // ⵽
    DH_MSG_OBJECT       stuObjectIDs[DH_MAX_OBJECT_LIST];           // ⵽б
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON
    EVENT_TRAFFIC_CAR_PART_INFO   stuTrafficCarPartInfo;            // ͨϢ
    UINT                nLane;                                      // 
    BYTE                bReserved[460];                             // ֽ,չ.

} DEV_EVENT_TRAFFICACCIDENT_INFO;

#define DH_EVENT_MAX_CARD_NUM       16      // ¼ϱϢƬ
#define DH_EVENT_CARD_LEN           36      // ƬƳ

// ¼ϱЯƬϢ
typedef struct tagEVENT_CARD_INFO
{
    char szCardNumber[DH_EVENT_CARD_LEN];           // Ƭַ
    BYTE bReserved[32];                             // ֽ,չ.
}EVENT_CARD_INFO;

typedef enum tagEM_OPEN_STROBE_STATE
{
    NET_OPEN_STROBE_STATE_UNKOWN,                   // δ֪״̬
    NET_OPEN_STROBE_STATE_CLOSE,                    // բ
    NET_OPEN_STROBE_STATE_AUTO,                     // Զբ    
    NET_OPEN_STROBE_STATE_MANUAL,                   // ֶբ
}EM_OPEN_STROBE_STATE;

typedef enum tagEM_VEHICLE_DIRECTION
{
    NET_VEHICLE_DIRECTION_UNKOWN,                   // δ֪
    NET_VEHICLE_DIRECTION_HEAD,                     // ͷ    
    NET_VEHICLE_DIRECTION_TAIL,                     // β  
}EM_VEHICLE_DIRECTION;

//NTPУʱ״̬
typedef enum  tagEM_NTP_STATUS
{
    NET_NTP_STATUS_UNKNOWN = 0 ,
    NET_NTP_STATUS_DISABLE , 
    NET_NTP_STATUS_SUCCESSFUL , 
    NET_NTP_STATUS_FAILED , 
}EM_NTP_STATUS;

#define COMMON_SEAT_MAX_NUMBER        8             // Ĭϼݸ

typedef enum tagEM_COMMON_SEAT_TYPE
{
    COMMON_SEAT_TYPE_UNKNOWN    = 0,                // δʶ
    COMMON_SEAT_TYPE_MAIN       = 1,                // ʻ
    COMMON_SEAT_TYPE_SLAVE      = 2,                // ʻ
}EM_COMMON_SEAT_TYPE;

// Υ״̬
typedef struct tagEVENT_COMM_STATUS                 
{
    BYTE bySmoking;                                 // Ƿ
    BYTE byCalling;                                 // Ƿ绰
    char szReserved[14];                            // Ԥֶ
}EVENT_COMM_STATUS;

typedef enum tagNET_SAFEBELT_STATE
{
    SS_NUKNOW   = 0 ,				//δ֪
	SS_WITH_SAFE_BELT ,				                //ϵȫ  
	SS_WITHOUT_SAFE_BELT ,			                //δϵȫ
}NET_SAFEBELT_STATE;

//״̬
typedef enum tagNET_SUNSHADE_STATE
{
    SS_NUKNOW_SUN_SHADE	= 0 ,						// δ֪
	SS_WITH_SUN_SHADE,				                //   
	SS_WITHOUT_SUN_SHADE,			                // 
}NET_SUNSHADE_STATE;
// ʻλΥϢ
typedef struct tagEVENT_COMM_SEAT
{
    BOOL                    bEnable;                // Ƿ⵽Ϣ
    EM_COMMON_SEAT_TYPE     emSeatType;             // , 0:δʶ; 1:ʻ; 2:ʻ
    EVENT_COMM_STATUS       stStatus;               // Υ״̬
	NET_SAFEBELT_STATE      emSafeBeltStatus;       // ȫ״̬
    NET_SUNSHADE_STATE      emSunShadeStatus;       // ״̬
    char                    szReserved[24];         // Ԥֽ
}EVENT_COMM_SEAT;

// 
typedef enum tagEM_COMM_ATTACHMENT_TYPE      
{       
	COMM_ATTACHMENT_TYPE_UNKNOWN    = 0,            // δ֪       
    COMM_ATTACHMENT_TYPE_FURNITURE  = 1,            // ڼ       
    COMM_ATTACHMENT_TYPE_PENDANT    = 2,            // Ҽ       
    COMM_ATTACHMENT_TYPE_TISSUEBOX  = 3,            // ֽ       
    COMM_ATTACHMENT_TYPE_DANGER     = 4,            // ΣƷ  
    COMM_ATTACHMENT_TYPE_PERFUMEBOX = 5,			// ˮ
 }EM_COMM_ATTACHMENT_TYPE;

// 
typedef struct tagEVENT_COMM_ATTACHMENT      
{       
	EM_COMM_ATTACHMENT_TYPE     emAttachmentType;       //        
	NET_RECT                    stuRect;                //    
    BYTE						bReserved[20];		    // Ԥֽ
 }EVENT_COMM_ATTACHMENT;

// ͨץͼͼƬϢ
typedef struct tagEVENT_PIC_INFO
{
    DWORD                       nOffset;                // ԭʼͼƬƫƣλֽ
    DWORD                       nLength;                // ԭʼͼƬȣλֽ
}EVENT_PIC_INFO;

//շվͷ
typedef enum tagEM_VEHICLE_TYPE
{
	EM_VEHICLE_TYPE_UNKNOWN,                            // δ֪
	EM_VEHICLE_TYPE_PASSENGERCAR1,                      // 1
	EM_VEHICLE_TYPE_TRUCK1,                             // 1
	EM_VEHICLE_TYPE_PASSENGERCAR2,                      // 2 
	EM_VEHICLE_TYPE_TRUCK2,                             // 2
	EM_VEHICLE_TYPE_PASSENGERCAR3,                      // 3
	EM_VEHICLE_TYPE_TRUCK3,                             // 3
	EM_VEHICLE_TYPE_PASSENGERCAR4,                      // 4 
	EM_VEHICLE_TYPE_TRUCK4,                             // 4
	EM_VEHICLE_TYPE_PASSENGERCAR5,                      // 5
	EM_VEHICLE_TYPE_TRUCK5,                             // 5
}EM_VEHICLE_TYPE;

//ץĵ
typedef enum tagEM_SNAPCATEGORY
{
    EM_SNAPCATEGORY_MOTOR,                         // 
    EM_SNAPCATEGORY_NONMOTOR,                      // ǻ
}EM_SNAPCATEGORY;

// ֵܻĳ
typedef enum tagEM_VEHICLE_TYPE_BY_FUNC
{
    EM_VEHICLE_TYPE_BY_FUNC_UNKNOWN,                // δ֪
    /*Ϊֳ*/
    EM_VEHICLE_TYPE_BY_FUNC_TANK_CAR,               // ΣƷ
    EM_VEHICLE_TYPE_BY_FUNC_SLOT_TANK_CAR,          // ۹޳
    EM_VEHICLE_TYPE_BY_FUNC_DREGS_CAR,              // 
    EM_VEHICLE_TYPE_BY_FUNC_CONCRETE_MIXER_TRUCK,   // 賵
    EM_VEHICLE_TYPE_BY_FUNC_TAXI,                   // ⳵
    EM_VEHICLE_TYPE_BY_FUNC_POLICE,                 // 
    EM_VEHICLE_TYPE_BY_FUNC_AMBULANCE,              // Ȼ
    EM_VEHICLE_TYPE_BY_FUNC_GENERAL,                // ͨ
    EM_VEHICLE_TYPE_BY_FUNC_WATERING_CAR,           // ˮ
    EM_VEHICLE_TYPE_BY_FUNC_FIRE_ENGINE,            // 
    EM_VEHICLE_TYPE_BY_FUNC_MACHINESHOP_TRUCK,      // ̳
    EM_VEHICLE_TYPE_BY_FUNC_POWER_LOT_VEHICLE,      // ϳ
    EM_VEHICLE_TYPE_BY_FUNC_SUCTION_SEWAGE_TRUCK,   // ۳
    EM_VEHICLE_TYPE_BY_FUNC_NORMAL_TANK_TRUCK,      // ͨ޳
    EM_VEHICLE_TYPE_BY_FUNC_SCHOOL_BUS,             // У
    EM_VEHICLE_TYPE_BY_FUNC_EXCAVATOR,              // ھ
    EM_VEHICLE_TYPE_BY_FUNC_BULLDOZER,              // 
    EM_VEHICLE_TYPE_BY_FUNC_CRANE,                  // 
    EM_VEHICLE_TYPE_BY_FUNC_PUMP_TRUCK,             // ó
    /*Ϊֳ*/
} EM_VEHICLE_TYPE_BY_FUNC;

// ׼
typedef enum tagEM_STANDARD_VEHICLE_TYPE
{
    EM_STANDARD_VEHICLE_UNKNOWN,               // δ֪
    EM_STANDARD_VEHICLE_MOTOR,                 // 
    EM_STANDARD_VEHICLE_BUS,                   // 
    EM_STANDARD_VEHICLE_UNLICENSED_MOTOR,      // ƻ
    EM_STANDARD_VEHICLE_LARGE_CAR,             // 
    EM_STANDARD_VEHICLE_MICRO_CAR,             // С
    EM_STANDARD_VEHICLE_EMBASSY_CAR,           // ʹ
    EM_STANDARD_VEHICLE_MARGINAL_CAR,          // 
    EM_STANDARD_VEHICLE_AREAOUT_CAR,           // 
    EM_STANDARD_VEHICLE_FOREIGN_CAR,           // ⼮
    EM_STANDARD_VEHICLE_FARM_TRANS_CAR,        // ũ䳵
    EM_STANDARD_VEHICLE_TRACTOR,               // 
    EM_STANDARD_VEHICLE_TRAILER,               // ҳ
    EM_STANDARD_VEHICLE_COACH_CAR,             // 
    EM_STANDARD_VEHICLE_TRIAL_CAR,             // 
    EM_STANDARD_VEHICLE_TEMPORARYENTRY_CAR,    // ʱ뾳
    EM_STANDARD_VEHICLE_TEMPORARYENTRY_MOTORCYCLE,  // ʱ뾳Ħ
    EM_STANDARD_VEHICLE_TEMPORARY_STEER_CAR,        // ʱʻ
    EM_STANDARD_VEHICLE_LARGE_TRUCK,                // 
    EM_STANDARD_VEHICLE_MID_TRUCK,                  // л
    EM_STANDARD_VEHICLE_MICRO_TRUCK,                // С
    EM_STANDARD_VEHICLE_MICROBUS,                   // 
    EM_STANDARD_VEHICLE_SALOON_CAR,                 // γ
    EM_STANDARD_VEHICLE_CARRIAGE,                   // Сγ
    EM_STANDARD_VEHICLE_MINI_CARRIAGE,              // ΢ͽγ
    EM_STANDARD_VEHICLE_SUV_MPV,                    // SUVMPV
    EM_STANDARD_VEHICLE_SUV,                        // SUV
    EM_STANDARD_VEHICLE_MPV,                        // MPV
    EM_STANDARD_VEHICLE_PASSENGER_CAR,              // ͳ
    EM_STANDARD_VEHICLE_MOTOR_BUS,                  // ͳ
    EM_STANDARD_VEHICLE_MID_PASSENGER_CAR,          // пͳ
    EM_STANDARD_VEHICLE_MINI_BUS,                   // Сͳ
    EM_STANDARD_VEHICLE_PICKUP,                     // Ƥ
    EM_STANDARD_VEHICLE_OILTANK_TRUCK,              // ͹޳
} EM_STANDARD_VEHICLE_TYPE;


//⳵еһֻ͵ĳһ֡ר
typedef enum tagEM_OVERSEA_VEHICLE_CATEGORY_TYPE
{
    EM_OVERSEA_VEHICLE_CATEGORY_UNKNOWN,                     // δ֪
    EM_OVERSEA_VEHICLE_CATEGORY_MOTORCYCLE,                  //Ħг
    EM_OVERSEA_VEHICLE_CATEGORY_LIGHT_GOODS_VEHICLE,         //ͻ
    EM_OVERSEA_VEHICLE_CATEGORY_COMPANY_VEHICLE,             //˾˽ҳ        
    EM_OVERSEA_VEHICLE_CATEGORY_PRIVATE_VEHICLE,             //˽ҳ
    EM_OVERSEA_VEHICLE_CATEGORY_TAXI,                        //TAXI߿߳
    EM_OVERSEA_VEHICLE_CATEGORY_TRAILER,                     //ϳ
    EM_OVERSEA_VEHICLE_CATEGORY_ENGINEERING_PLANT_VEHICLE,   //̳
    EM_OVERSEA_VEHICLE_CATEGORY_VERY_HEAVY_GOODS_VEHICLE,    //
    EM_OVERSEA_VEHICLE_CATEGORY_HEAVY_GOODS_VEHICLE,         //
    EM_OVERSEA_VEHICLE_CATEGORY_PUBLIC_BUS,                  //BUS 
    EM_OVERSEA_VEHICLE_CATEGORY_PRIVATE_BUS,                 //˽ӪBUS  
    EM_OVERSEA_VEHICLE_CATEGORY_SPECIAL_VEHICLE,             //⳵
}EM_OVERSEA_VEHICLE_CATEGORY_TYPE;

typedef struct tagEVENT_COMM_INFO
{
    EM_NTP_STATUS               emNTPStatus;                                            // NTPУʱ״̬
    int                         nDriversNum;                                            // ʻԱϢ
    DH_MSG_OBJECT_EX            *pstDriversInfo;                                        // ʻԱϢ 
    char*                       pszFilePath;                                            // Ӳ̻sdɹд·,ΪNULLʱ,·
    char*                       pszFTPPath;                                             // 豸ɹдftp·
    char*                       pszVideoPath;                                           // ǰҪȡǰΥµĹƵFTPϴ·
    EVENT_COMM_SEAT             stCommSeat[COMMON_SEAT_MAX_NUMBER];                     // ʻλϢ
    int                         nAttachmentNum;                                         // 
    EVENT_COMM_ATTACHMENT       stuAttachment[NET_MAX_ATTACHMENT_NUM];                  // Ϣ
    int                         nAnnualInspectionNum;                                   // ־
    NET_RECT                    stuAnnualInspection[NET_MAX_ANNUUALINSPECTION_NUM];     // ־
    float                       fHCRatio;                                               // HCռλ%/1000000 
    float                       fNORatio;                                               // NOռλ%/1000000 
    float                       fCOPercent;                                             // COռٷֱȣλ% ȡֵ0~100
    float                       fCO2Percent;                                            // CO2ռٷֱȣλ% ȡֵ0~100     
    float                       fLightObscuration;                                      // ͸ȣλ% ȡֵ0~100
    int                         nPictureNum;                                            // ԭʼͼƬ
    EVENT_PIC_INFO              stuPicInfos[NET_MAX_EVENT_PIC_NUM];                     // ԭʼͼƬϢ
    float                       fTemperature;                                           // ¶ֵ,λ϶
    int                         nHumidity;                                              // ʪȰٷֱֵ   
    float                       fPressure;                                              // ѹֵ,λKpa
    float                       fWindForce;                                             // ֵ,λm/s
    UINT                        nWindDirection;                                         // ,λ,Χ:[0,360]
    float                       fRoadGradient;                                          // ·¶ֵ,λ
    float                       fAcceleration;                                          // ٶֵ,λ:m/s2   
    NET_RFIDELETAG_INFO         stuRFIDEleTagInfo;                                      // RFID ӳƱǩϢ
    EVENT_PIC_INFO              stuBinarizedPlateInfo;                                  // ֵƿͼ
    EVENT_PIC_INFO              stuVehicleBodyInfo;                                     // дͼ
    EM_VEHICLE_TYPE             emVehicleTypeInTollStation;                             // շվͷ
    EM_SNAPCATEGORY             emSnapCategory;                                         // ץĵͣĬΪ
    int                         nRegionCode;                                            // ,(ϼ⳵ʶĿ),Ĭ-1ʾδʶ
    EM_VEHICLE_TYPE_BY_FUNC     emVehicleTypeByFunc;                                    // ֵܻĳ
    EM_STANDARD_VEHICLE_TYPE    emStandardVehicleType;                                  // ׼
    UINT                        nExtraPlateCount;                                       // ⳵
    char                        szExtraPlateNumber[3][32];                              // ⳵Ϣ
	EM_OVERSEA_VEHICLE_CATEGORY_TYPE emOverseaVehicleCategory;                          // ⳵е
	char						szProvince[64];											// ҵʡݵȵ
    BYTE                        bReserved[500];                                         // Ԥֽ 
    char                        szCountry[20];                                          // 
}EVENT_COMM_INFO;

//ίذƳϢ
typedef struct tagEVENT_CUSTOM_WEIGHT_INFO
{
	DWORD        dwRoughWeight;                    // ë,ػλKG
    DWORD        dwTareWeight;                     // Ƥ,ճλKG
    DWORD        dwNetWeight;                      // ,ػλKG
	BYTE		 bReserved[28];					   // Ԥֽ 
}EVENT_CUSTOM_WEIGHT_INFO;

// ״Ϣ
typedef struct tagNET_RADAR_FREE_STREAM
{
	TP_U64						nABSTime;	// 1110ʱĺ
	int							nVehicleID; // ID
	UINT						unOBUMAC;	// OBUMACַ
	BYTE						byReserved[16];	// ֽ
}NET_RADAR_FREE_STREAM;

//¼רöϱݣӵCustom
typedef struct tagEVENT_JUNCTION_CUSTOM_INFO
{
    EVENT_CUSTOM_WEIGHT_INFO    stuWeightInfo;				// ԭʼͼƬϢ
	DWORD                       nCbirFeatureOffset;			// ƫƣλֽ ڽṹ屣ֽ޵,ڴ˴ ͬ
	DWORD                       nCbirFeatureLength;			// ݴСλֽ 
	DWORD						dwVehicleHeadDirection;		// ͷ 0:δ֪ 1: 2: 3:
	BYTE						byReserved1[4];				// ֽڶ
	NET_RADAR_FREE_STREAM		stuRadarFreeStream;			// ״Ϣ
	BYTE						bReserved[12];				// Ԥֽ 
}EVENT_JUNCTION_CUSTOM_INFO;

// ʻλϢ
typedef struct tagNET_SEAT_INFO
{
    NET_RECT stuFaceRect;   // οϢ(8192ϵ)
    BYTE   bySunShade;      // ״̬ 0: δ֪ 1 2    
    BYTE   byDriverCalling; // 绰״̬ 0: δ֪ 1δ绰 2绰
    BYTE   byDriverSmoking; // ״̬	0: δ֪ 1δ 2
    BYTE   bySafeBelt;      // ȫ״̬	0: δ֪ 1δϵȫ 2ϵȫ
    BYTE   byReserved[32];  // ֽ
}NET_SEAT_INFO;

// ϸ
typedef struct tagNET_VEHICLE_ATTACH
{
    int         nType;              // 	0-δ֪ 1-־ 2-Ҽ 3-ֽ 4-ˮ
    NET_RECT    stuBoundingBox;     // ΧϢ(8192ϵ)

    BYTE        byReserved[32];
}NET_VEHICLE_ATTACH;

// ȫͼ
typedef struct tagSCENE_IMAGE_INFO
{
	unsigned int	   nOffSet;					// ڶݿеƫ   
	unsigned int	   nLength;					// ͼƬС,λֽ
	unsigned int	   nWidth;					// ͼƬ()
	unsigned int	   nHeight;					// ͼƬ߶()
	BYTE			   byReserved[56];			// Ԥֽ
}SCENE_IMAGE_INFO;

// ȫͼ
typedef struct tagFACE_SCENE_IMAGE
{
	unsigned int	   nOffSet;					// ڶݿеƫ   
	unsigned int	   nLength;					// ͼƬС,λֽ
	unsigned int	   nWidth;					// ͼƬ()
	unsigned int	   nHeight;					// ͼƬ߶()
	BYTE			   byReserved[56];			// Ԥֽ
} FACE_SCENE_IMAGE;

// ɫ
typedef enum tagEM_OBJECT_COLOR_TYPE
{
	EM_OBJECT_COLOR_TYPE_UNKNOWN,									    // δ֪
	EM_OBJECT_COLOR_TYPE_WHITE,										    // ɫ
	EM_OBJECT_COLOR_TYPE_ORANGE,									    // ɫ
	EM_OBJECT_COLOR_TYPE_PINK,										    // ɫ
	EM_OBJECT_COLOR_TYPE_BLACK,										    // ɫ
	EM_OBJECT_COLOR_TYPE_RED,										    // ɫ
	EM_OBJECT_COLOR_TYPE_YELLOW,									    // ɫ
	EM_OBJECT_COLOR_TYPE_GRAY,										    // ɫ
	EM_OBJECT_COLOR_TYPE_BLUE,										    // ɫ
	EM_OBJECT_COLOR_TYPE_GREEN,										    // ɫ
	EM_OBJECT_COLOR_TYPE_PURPLE,									    // ɫ
	EM_OBJECT_COLOR_TYPE_BROWN,										    // ɫ
	EM_OBJECT_COLOR_TYPE_SLIVER,									    // ɫ
	EM_OBJECT_COLOR_TYPE_DARKVIOLET,								    // ɫ
	EM_OBJECT_COLOR_TYPE_MAROON,									    // ɫ
	EM_OBJECT_COLOR_TYPE_DIMGRAY,									    // ɫ
	EM_OBJECT_COLOR_TYPE_WHITESMOKE,								    // ɫ
	EM_OBJECT_COLOR_TYPE_DARKORANGE,								    // ɫ
	EM_OBJECT_COLOR_TYPE_MISTYROSE,									    // ǳõɫ
	EM_OBJECT_COLOR_TYPE_TOMATO,									    // Ѻɫ
	EM_OBJECT_COLOR_TYPE_OLIVE,										    // ɫ
	EM_OBJECT_COLOR_TYPE_GOLD,										    // ɫ
	EM_OBJECT_COLOR_TYPE_DARKOLIVEGREEN,							    // ɫ
	EM_OBJECT_COLOR_TYPE_CHARTREUSE,								    // ɫ
	EM_OBJECT_COLOR_TYPE_GREENYELLOW,								    // ̻ɫ
	EM_OBJECT_COLOR_TYPE_FORESTGREEN,								    // ɭɫ
	EM_OBJECT_COLOR_TYPE_SEAGREEN,									    // ɫ
	EM_OBJECT_COLOR_TYPE_DEEPSKYBLUE,								    // ɫ
	EM_OBJECT_COLOR_TYPE_CYAN,									        // ɫ
	EM_OBJECT_COLOR_TYPE_OTHER,										    // ޷ʶ
}EM_OBJECT_COLOR_TYPE;

// ɫ
typedef enum tagEM_COMPLEXION_TYPE
{
	EM_COMPLEXION_NODISTI,				// δʶ
	EM_COMPLEXION_YELLOW,				// 
	EM_COMPLEXION_BLACK,				// 
	EM_COMPLEXION_WHITE,				// 
} EM_COMPLEXION_TYPE;

// Ƿ۾
typedef enum tagEM_HAS_GLASS
{
	EM_HAS_GLASS_UNKNOWN,			// δ֪
	EM_HAS_GLASS_NO,				// δ
	EM_HAS_GLASS_NORMAL,			// ͨ۾
	EM_HAS_GLASS_SUN,				// ̫۾
	EM_HAS_GLASS_BLACK,				// ڿ۾
} EM_HAS_GLASS;

// ¼/״̬
typedef enum tagEM_NONMOTOR_OBJECT_STATUS
{
	EM_NONMOTOR_OBJECT_STATUS_UNKNOWN,								  // δʶ
	EM_NONMOTOR_OBJECT_STATUS_NO,									  // 
	EM_NONMOTOR_OBJECT_STATUS_YES,								  	  // 
}EM_NONMOTOR_OBJECT_STATUS;

// 
typedef enum tagEM_EMOTION_TYPE
{
	EM_EMOTION_TYPE_UNKNOWN,                                          // δ֪
	EM_EMOTION_TYPE_NORMAL,                                           // ͨ/
	EM_EMOTION_TYPE_SMILE,                                            // ΢Ц
	EM_EMOTION_TYPE_ANGER,                                            // ŭ
	EM_EMOTION_TYPE_SADNESS,                                          // 
	EM_EMOTION_TYPE_DISGUST,                                          // 
	EM_EMOTION_TYPE_FEAR,                                             // 
	EM_EMOTION_TYPE_SURPRISE,                                         // 
	EM_EMOTION_TYPE_NEUTRAL,                                          // 
	EM_EMOTION_TYPE_LAUGH,                                            // Ц
	EM_EMOTION_TYPE_HAPPY,                                            // 
	EM_EMOTION_TYPE_CONFUSED,                                         // 
	EM_EMOTION_TYPE_SCREAM,                                           // 
	EM_EMOTION_TYPE_CALMNESS,                                         // ƽ
}EM_EMOTION_TYPE;

typedef enum tagEM_CLOTHES_TYPE
{
	EM_CLOTHES_TYPE_UNKNOWN,                                          //δ֪
	EM_CLOTHES_TYPE_LONG_SLEEVE,                                      //
	EM_CLOTHES_TYPE_SHORT_SLEEVE,                                     //
	EM_CLOTHES_TYPE_TROUSERS,                                         //
	EM_CLOTHES_TYPE_SHORTS,                                           //̿
	EM_CLOTHES_TYPE_SKIRT,                                            //ȹ
	EM_CLOTHES_TYPE_WAISTCOAT,                                        //
	EM_CLOTHES_TYPE_MINIPANTS,                                        //̿
	EM_CLOTHES_TYPE_MINISKIRT,                                        //ȹ
}EM_CLOTHES_TYPE;

// ǻ
typedef enum tagEM_CATEGORY_NONMOTOR_TYPE
{
	EM_CATEGORY_NONMOTOR_TYPE_UNKNOWN,									// δ֪
	EM_CATEGORY_NONMOTOR_TYPE_TRICYCLE,									// "Tricycle" ֳ
	EM_CATEGORY_NONMOTOR_TYPE_MOTORCYCLE,								// "Motorcycle" Ħг
	EM_CATEGORY_NONMOTOR_TYPE_NON_MOTOR,								// "Non-Motor" ǻ 
	EM_CATEGORY_NONMOTOR_TYPE_BICYCLE,									// "Bicycle" г     
	EM_CATEGORY_NONMOTOR_TYPE_DUALTRIWHEELMOTORCYCLE,					// "DualTriWheelMotorcycle"Ħг
	EM_CATEGORY_NONMOTOR_TYPE_LIGHTMOTORCYCLE,							// "LightMotorcycle" Ħг
	EM_CATEGORY_NONMOTOR_TYPE_EMBASSYMOTORCYCLE,						// "EmbassyMotorcycle "ʹĦг
	EM_CATEGORY_NONMOTOR_TYPE_MARGINALMOTORCYCLE,						// "MarginalMotorcycle " Ħг
	EM_CATEGORY_NONMOTOR_TYPE_AREAOUTMOTORCYCLE,						// "AreaoutMotorcycle " Ħг
	EM_CATEGORY_NONMOTOR_TYPE_FOREIGNMOTORCYCLE,						// "ForeignMotorcycle " ⼮Ħг
	EM_CATEGORY_NONMOTOR_TYPE_TRIALMOTORCYCLE,							// "TrialMotorcycle " Ħг
	EM_CATEGORY_NONMOTOR_TYPE_COACHMOTORCYCLE,							// "CoachMotorcycle " Ħг
	EM_CATEGORY_NONMOTOR_TYPE_PASSERBY,									// "Passerby" 
    EM_CATEGORY_NONMOTOR_TYPE_VANTRICYCLE,                              // "VanTricycle" ʽֳ
    EM_CATEGORY_NONMOTOR_TYPE_MANNEDCONVERTIBLETRICYCLE,                // "MannedConvertibleTricycle" ˳ֳ
    EM_CATEGORY_NONMOTOR_TYPE_NOMANNEDCONVERTIBLETRICYCLE,              // "NoMannedConvertibleTricycle" ˳ֳ
}EM_CATEGORY_NONMOTOR_TYPE;

// ǻͼϢ
typedef struct tagNET_NONMOTOR_PIC_INFO
{
	UINT					uOffset;							// ڶݿеƫ
	UINT					uLength;							// ͼƬС,λֽ
	UINT					uWidth;								// ͼƬ
	UINT					uHeight;							// ͼƬ߶
	char					szFilePath[MAX_PATH_LEN];			// ļ·
	BYTE					byReserved[512];					// 
}NET_NONMOTOR_PIC_INFO;

// ﳵͼƬϢ
typedef struct tagRIDER_FACE_IMAGE_INFO
{
	unsigned int	   nOffSet;					// ڶݿеƫ   
	unsigned int	   nLength;					// ͼƬС,λֽ
	unsigned int	   nWidth;					// ͼƬ()
	unsigned int	   nHeight;					// ͼƬ߶()
	BYTE			   byReserved[48];			// 
}RIDER_FACE_IMAGE_INFO;

// б״̬
typedef enum tagEM_STRABISMUS_TYPE
{
	EM_STRABISMUS_UNKNOWN,			// δ֪
	EM_STRABISMUS_NORMAL,			// 
	EM_STRABISMUS_YES,				// б
} EM_STRABISMUS_TYPE;

// 
typedef struct tagNET_FACE_ATTRIBUTE_EX
{
	EM_SEX_TYPE 							emSex;						// Ա
	int        								nAge;						// ,-1ʾֶЧ
	EM_COMPLEXION_TYPE						emComplexion;				// ɫ
	EM_EYE_STATE_TYPE						emEye;						// ۾״̬
	EM_MOUTH_STATE_TYPE						emMouth;					// ״̬
	EM_MASK_STATE_TYPE 						emMask;						// ״̬
	EM_BEARD_STATE_TYPE						emBeard;					// ״̬
	int										nAttractive;				// ֵ, 0δʶʶʱΧ1-100,÷ָ
	EM_HAS_GLASS							emGlass;					// ۾
	EM_EMOTION_TYPE							emEmotion;					// 
	DH_RECT									stuBoundingBox;				// Χ(8192ϵ)
	BYTE                					bReserved1[4];              // Reserved
	EM_STRABISMUS_TYPE						emStrabismus;				// б״̬
	BYTE                					byReserved[64];             // ֽ,չ.
} NET_FACE_ATTRIBUTE_EX;

// ﳵϢ
typedef struct tagNET_RIDER_INFO
{
	BOOL						bFeatureValid;							// ǷʶϢ, TRUEʱݲЧ
	EM_SEX_TYPE		            emSex;								    // Ա
	int					        nAge;								    // 

	EM_NONMOTOR_OBJECT_STATUS   emHelmet;					  		    // ͷ״̬
	EM_NONMOTOR_OBJECT_STATUS   emCall;							        // Ƿڴ绰
	EM_NONMOTOR_OBJECT_STATUS   emBag;					  			    // Ƿб
	EM_NONMOTOR_OBJECT_STATUS   emCarrierBag;					  	    // û
	EM_NONMOTOR_OBJECT_STATUS   emUmbrella;					  	        // Ƿɡ
	EM_NONMOTOR_OBJECT_STATUS   emGlasses;					  	  	    // Ƿд۾
	EM_NONMOTOR_OBJECT_STATUS   emMask;					  	  	        // Ƿ

	EM_EMOTION_TYPE             emEmotion;                              // 
	EM_CLOTHES_TYPE             emUpClothes;                            // 
	EM_CLOTHES_TYPE             emDownClothes;                          // 
	EM_OBJECT_COLOR_TYPE        emUpperBodyColor;                       // ɫ
	EM_OBJECT_COLOR_TYPE        emLowerBodyColor;                       // ɫ
	BOOL						bHasFaceImage;							// ǷﳵͼϢ
	RIDER_FACE_IMAGE_INFO		stuFaceImage;							// ﳵд
	BOOL						bHasFaceAttributes;						// Ƿ
	NET_FACE_ATTRIBUTE_EX		stuFaceAttributes;						// 
    EM_HAS_HAT                  emHasHat;                               // Ƿñ
    EM_CAP_TYPE                 emCap;                                  // ñ
    EM_HAIR_STYLE               emHairStyle;                            // ͷʽ
	BYTE						byReserved[304];						// 
}NET_RIDER_INFO;

#define MAX_RIDER_NUM 16											// ﳵ

// ǻֵڶеλϢ
typedef struct tagNET_NONMOTOR_FEATURE_VECTOR_INFO
{
    UINT                nOffset;            // ǻֵڶеƫ, λ:ֽ
    UINT                nLength;            // ǻֵݳ, λ:ֽ
    BYTE                byReserved[32];     // ֽ
} NET_NONMOTOR_FEATURE_VECTOR_INFO;

// ֵ汾
typedef enum tagEM_FEATURE_VERSION
{
    EM_FEATURE_VERSION_UNKNOWN,                                 // δ֪
    EM_FEATURE_VERSION_FACE_LARGE_1_01_001              = 1,    // ģͣ1.01.001
    EM_FEATURE_VERSION_FACE_LARGE_1_02_001,                     // ģͣ1.02.001
    EM_FEATURE_VERSION_FACE_LARGE_1_03_001,                     // ģͣ1.03.001
    EM_FEATURE_VERSION_FACE_LARGE_1_04_001,                     // ģͣ1.04.001
    EM_FEATURE_VERSION_FACE_MIDDLE_1_01_002             = 31,   // ģͣ1.01.002
    EM_FEATURE_VERSION_FACE_MIDDLE_1_02_002,                    // ģͣ1.02.002
    EM_FEATURE_VERSION_FACE_MIDDLE_1_03_002,                    // ģͣ1.03.002
    EM_FEATURE_VERSION_FACE_MIDDLE_1_04_002,                    // ģͣ1.04.002
    EM_FEATURE_VERSION_FACE_SMALL_1_01_003              = 61,   // Сģͣ1.01.003
    EM_FEATURE_VERSION_FACE_SMALL_1_02_003,                     // Сģͣ1.02.003
    
    EM_FEATURE_VERSION_HUMAN_NONMOTOR                   = 91,   // ˺ͷǻȫް汾
    EM_FEATURE_VERSION_HUMAN_NONMOTOR_FLOAT_1_00_01,            // ˺ͷǻȫָ㣬1.00.01
    EM_FEATURE_VERSION_HUMAN_NONMOTOR_HASH_1_00_01,             // ˺ͷǻȫֹϣ1.00.01
    EM_FEATURE_VERSION_HUMAN_NONMOTOR_FLOAT_1_01_00,            // ˺ͷǻȫָ㣬1.01.00
    EM_FEATURE_VERSION_HUMAN_NONMOTOR_HASH_1_01_00,             // ˺ͷǻȫֹϣ1.01.00
    
    EM_FEATURE_VERSION_TRAFFIC                          = 121,  // ȫް汾
    EM_FEATURE_VERSION_TRAFFIC_FLOAT,                           // ȫָ汾0
    EM_FEATURE_VERSION_TRAFFIC_FLOAT_1_00_01,                   // ȫָ汾1.00.01
    EM_FEATURE_VERSION_TRAFFIC_HASH_1_00_01,                    // ȫֹϣ汾1.00.01
    EM_FEATURE_VERSION_TRAFFIC_FLOAT_1_00_02,                   // ȫָ汾1.00.02
    EM_FEATURE_VERSION_TRAFFIC_HASH_1_00_02,                    // ȫֹϣ汾1.00.02
    
    EM_FEATURE_VERSION_SHANGTANG_FACE_1_5_0             = 151,  // 1.5.0
    EM_FEATURE_VERSION_SHANGTANG_FACE_1_8_1,                    // 1.8.1
    EM_FEATURE_VERSION_SHANGTANG_FACE_2_1_3,                    // 2.1.3
    EM_FEATURE_VERSION_SHANGTANG_FACE_2_39_6,                   // 2.39.6
    EM_FEATURE_VERSION_SHANGTANG_FACE_2_39_7,                   // 2.39.7
    EM_FEATURE_VERSION_SHANGTANG_FACE_2_39_8,                   // 2.39.8
    EM_FEATURE_VERSION_SHANGTANG_FACE_239,                      // 239
    EM_FEATURE_VERSION_SHANGTANG_FACE_242,                      // 242
    EM_FEATURE_VERSION_SHANGTANG_FACE_244,                      // 244
    EM_FEATURE_VERSION_SHANGTANG_FACE_245,                      // 245
    
    EM_FEATURE_VERSION_SHENMO_HUMAN_TRAFFIC_NON_2_4_2   = 181,  // a//ǻ2.4.2
    EM_FEATURE_VERSION_SHENMO_HUMAN_TRAFFIC_NON_2_5_7,          // a//ǻ2.5.7
} EM_FEATURE_VERSION;

// ǻͼƬϢ
typedef struct tagNET_NONMOTOR_PLATE_IMAGE
{
    UINT        nOffset;            // ڶݿеƫ
    UINT        nLength;            // ͼƬС
    UINT        nWidth;             // ͼƬ
    UINT        nHeight;            // ͼƬ߶
    BYTE        byReserved[512];    // ֽ
}NET_NONMOTOR_PLATE_IMAGE;


//ɫ
typedef enum tagEM_PLATE_COLOR_TYPE
{
    EM_PLATE_COLOR_UNKNOWN,                            // δ֪ "Unknown"
    EM_PLATE_COLOR_OTHER,                              // ɫ "Other"
    EM_PLATE_COLOR_BLUE,                               // ɫ "Blue"
    EM_PLATE_COLOR_YELLOW,                             // ɫ "Yellow"    
    EM_PLATE_COLOR_WHITE,                              // ɫ "White"
    EM_PLATE_COLOR_BLACK,                              // ɫ "Black"
    EM_PLATE_COLOR_RED,                                // ɫ "Red"
	EM_PLATE_COLOR_GREEN,                              // ɫ "Green"
	EM_PLATE_COLOR_SHADOW_GREEN,					   //  "ShadowGreen"
	EM_PLATE_COLOR_YELLOW_GREEN,					   // ˫ƴ "YellowGreen""
}EM_PLATE_COLOR_TYPE;

// ǻϢ
typedef struct tagNET_NONMOTOR_PLATE_INFO
{
    char                        szPlateNumber[128];                 // ǻƺ
    NET_RECT					stuBoundingBox;                     // ΧУ ǻο0~8191
    NET_RECT					stuOriginalBoundingBox;             // ΧУ ǻο򣬾
    NET_NONMOTOR_PLATE_IMAGE    stuPlateImage;                      // ǻƿͼ
    EM_PLATE_COLOR_TYPE         emPlateColor;                       // ɫ

    BYTE						byReserved[132];					// 
}NET_NONMOTOR_PLATE_INFO;

// ǻ
typedef struct tagVA_OBJECT_NONMOTOR
{
	int							nObjectID;                          // ID,ÿIDʾһΨһ
	EM_CATEGORY_NONMOTOR_TYPE	emCategory;							// ǻ
	DH_RECT						stuBoundingBox;                     // ΧУ ǻο0~8191
	DH_RECT						stuOriginalBoundingBox;             // ΧУ ǻο򣬾
	NET_COLOR_RGBA				stuMainColor;						// ǻɫ, RGBA
	EM_OBJECT_COLOR_TYPE		emColor;							// ǻɫ, ö
	BOOL						bHasImage;							// Ƿпͼ
	NET_NONMOTOR_PIC_INFO		stuImage;							// ͼ
	int							nNumOfCycling;						// ﳵ
	NET_RIDER_INFO				stuRiderList[MAX_RIDER_NUM];		// ﳵ,nNumOfCycling
	SCENE_IMAGE_INFO			stuSceneImage;						// ȫͼ
	FACE_SCENE_IMAGE			stuFaceSceneImage;					// ȫͼ
	int							nNumOfFace;							// ⵽
	float						fSpeed;								// ٶȣλΪkm/h
    NET_NONMOTOR_FEATURE_VECTOR_INFO stuNonMotorFeatureVectorInfo;  // ǻֵڶеλϢ
    EM_FEATURE_VERSION          emNonMotorFeatureVersion;           // ǻֵ汾

    NET_NONMOTOR_PLATE_INFO     stuNomotorPlateInfo;                // ǻϢ
    NET_POINT                   stuObjCenter;                       // (ǰΧ), 0-8191, ڴͼ
    BYTE						byReserved[3072];				    // 
}VA_OBJECT_NONMOTOR;

// ¼EVENT_IVS_TRAFFICJUNCTION(ͨ·Ϲ¼/Ƶ羯ϵĽͨϹ¼)ӦݿϢ
// ʷԭ,Ҫ¼,DEV_EVENT_TRAFFICJUNCTION_INFOEVENT_IVS_TRAFFICGATEҪһ,ԷֹƵ羯Ȧ羯ͬʱƽ̨
// EVENT_IVS_TRAFFIC_TOLLGATEֻ֧¿¼
typedef struct tagDEV_EVENT_TRAFFICJUNCTION_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    BYTE                byMainSeatBelt;                             // ʻ,ϵȫ״̬,1-ϵȫ,2-δϵȫ
    BYTE                bySlaveSeatBelt;                            // ʻ,ϵȫ״̬,1-ϵȫ,2-δϵȫ
    BYTE                byVehicleDirection;                         // ǰץĵĳǳͷǳβ, EM_VEHICLE_DIRECTION
    BYTE                byOpenStrobeState;                          // բ״̬, EM_OPEN_STROBE_STATE 
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    int                 nLane;                                      // Ӧ
    DWORD               dwBreakingRule;                             // Υ,һλ:; 
                                                                    // ڶλ:涨ʻ;
                                                                    // λ:; λΥµͷ;
                                                                    // λ:ͨ; λ:ͨ쳣
                                                                    // λ:ѹʻ; ĬΪ:ͨ·¼

    NET_TIME_EX         RedLightUTC;                                // ƿʼUTCʱ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    int                 nSpeed;                                     // ʵٶKm/h                 
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byDirection;                                // ·ڷ,1-ʾ,2-ʾ
    BYTE                byLightState;                               // LightStateʾ̵״̬:0 δ֪,1 ̵,2 ,3 Ƶ
    BYTE                byReserved;                                 // ֽ
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    char                szRecordFile[DH_COMMON_STRING_128];         // Ӧԭʼ¼ļϢ
    EVENT_JUNCTION_CUSTOM_INFO   stuCustomInfo;                     // ԶϢ
    BYTE                byPlateTextSource;                          // ʶԴ, 0:㷨ʶ,1:˷㷨ʶ
    BYTE                bReserved1[3];                              // ֽ,չ.
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض

    BYTE                byNoneMotorInfo;                            // 0-޷ǻԱϢϢ,1-зǻԱϢϢ
                                                                    // ֶΪ1ʱ11ֶЧ
    BYTE                byBag;                                      // Ƿ񱳰, 0-δ֪ 1-   2-
    BYTE                byUmbrella;                                 // Ƿɡ, 0-δ֪ 1-ɡ   2-ɡ
    BYTE                byCarrierBag;                               // ״̬,0-δ֪ 1-û 2-    
    BYTE                byHat;                                      // Ƿñ, 0-δ֪ 1-ñ 2-ñ    
    BYTE                byHelmet;                                   // ͷ״̬,0-δ֪ 1-û 2-
    BYTE                bySex;                                      // Ա,0-δ֪ 1- 2-Ů
    BYTE                byAge;                                      // 
    NET_COLOR_RGBA      stuUpperBodyColor;                          // ɫ
    NET_COLOR_RGBA      stuLowerBodyColor;                          // ɫ
    BYTE                byUpClothes;                                // · 0:δ֪ 1: 2: 3: 4:̿ 5:ȹ 6: 7:̿ 8:ȹ
    BYTE                byDownClothes;                              // · 0:δ֪ 1: 2: 3: 4:̿ 5:ȹ 6: 7:̿ 8:ȹ   

    NET_EXTENSION_INFO  stuExtensionInfo;                           // չϢ
    BYTE                bReserved[22];                              // ֽ,չ
    int                 nTriggerType;                               // TriggerType:,0,1״,2Ƶ,3RSU
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    DWORD               dwRetCardNumber;                            // Ƭ
    EVENT_CARD_INFO     stuCardInfo[DH_EVENT_MAX_CARD_NUM];         // ƬϢ   
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

    BOOL                bNonMotorInfoEx;                            // ǷзǻϢ
    VA_OBJECT_NONMOTOR  stuNonMotor;                                // ǻϢ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    BYTE                byReserved2[1916];                          // ֽ,չ
} DEV_EVENT_TRAFFICJUNCTION_INFO;

// ¼EVENT_IVS_TRAFFIC_NONMOTORINMOTORROUTE (ǻռû)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_NONMOTORINMOTORROUTE_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bReserved1[3];                              // ֽ.
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID

    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ

    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ  

    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    char                szRecordFile[DH_COMMON_STRING_128];         // Ӧԭʼ¼ļϢ

    int                 nLane;                                      // Ӧ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣 
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
	BOOL				bHasNonMotor;								// Ƿзǻ
	VA_OBJECT_NONMOTOR	stuNonMotor;								// ǻ
    BYTE                bReserved[4096];                            // ֽ,չ.
} DEV_EVENT_TRAFFIC_NONMOTORINMOTORROUTE_INFO;

// Ϣ
typedef struct tagNET_VEHICLE_INFO
{
    UINT                nUID;                                       // Ψһʶ,ɷڳбʾΩһ
    char                szGroupID[64];                              // ID
    char                szGroupName[128];                           // 
    char                szPlateNumber[64];                          // ƺ
    char                szPlateCountry[4];                          // ڹ,2ֽڣISO3166淶
    int                 nPlateType;                                 //      
                                                                    // 01   Ƶ׺ 
                                                                    // 02  С װ 
                                                                    // 03  ʹ ڵװ֡조ʹ 
                                                                    // 04   ڵװ֡조족 
                                                                    // 05   ڵװס 
                                                                    // 06  ⼮ ڵװ 
                                                                    // 13  ũ䳵 Ƶ׺ֺڿ 
                                                                    // 15  ҳ Ƶ׺ֺڿ 
                                                                    // 16   Ƶ׺ֺڿ 
                                                                    // 18   
                                                                    // 20  ʱ뾳 ׵׺ֺڡʱ뾳 
                                                                    // 22  ʱʻ ׵׺ֺ߿ 
                                                                    // 23  

    int                 nVehicleType;                               // (γ)
                                                                    // 001  Ѳ߳ 
                                                                    // 002   
                                                                    // 003   
                                                                    // 004   
                                                                    // 005   
                                                                    // 006  豸 
                                                                    // 020   
                                                                    // 031  У 
                                                                    // 032  ˳ 
                                                                    // 033  ˳ 
                                                                    // 034   
                                                                    // 035  ⳵ 
                                                                    // 036  ΣƷ
    int                 nBrand;                                     // ,Ҫͨӳõĳ.ͬ¼CarLogoIndex
    int                 nCarSeries;                                 // ƷƣҪͨӳõƷ,ͬ¼SubBrand
    int                 nCarSeriesModelYearIndex;                   // ƷҪͨӳõͬ¼BrandYear ͷŷΧ1~999βŷΧ1001~19990ʾδ֪1000Ԥ
    NET_COLOR_RGBA      stuVehicleColor;                            // ɫ һԪرʾɫֵ ڶԪرʾɫֵ Ԫرʾɫֵ ĸԪرʾ͸ȷ()
    NET_COLOR_RGBA      stuPlateColor;                              // ɫ,ͬɫ
    char                szOwnerName[64];                            // 
    int                 nSex;                                       // Ա 0-δ֪,1-,2,Ů
    int                 nCertificateType;                           // ֤ 0-δ֪ 1-֤ 2- 3-֤
    char                szPersonID[32];                             // Ա֤,,    
    char                szOwnerCountry[4];                          // ,2ֽ,ISO3166淶
    char                szProvince[64];                             // ʡ
    char                szCity[64];                                 // 
    char                szHomeAddress[128];                         // עԱַͥ(IVSS)
    char                szEmail[32];                                // 
    char                szPhoneNo[128];                             // עᳵ绰

    BYTE                bReserved[512];
}NET_VEHICLE_INFO;

#define MAX_CAR_CANDIDATE_NUM (50)

// ѡϢ
typedef struct tagNET_CAR_CANDIDATE_INFO
{   
    NET_VEHICLE_INFO    stuVehicleInfo;                             // Ϣ
    int                 nDifferentAttributresNum;                   // ݿⲻĿ
    int                 nDifferentAttributres[16];                  // ݿⲻԼ,Ԫֵȡֵ:0-δ֪ 1- 2- 3- 4-ɫ 5-ɫ
    
    BYTE                byReserved[512];
}NET_CAR_CANDIDATE_INFO;

// ʶȶ¼Ϣ
typedef struct tagDEV_EVENT_VEHICLE_RECOGNITION_INFO 
{
    char                szName[128];                                // ¼    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nVehicleAction;                             //  0-δ֪,1-ڼ,2-뿪

    DH_MSG_OBJECT       stuObject;                                  // ⵽    
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ    

    NET_SEAT_INFO       stuMainSeatInfo;                            // ʻλϢ
    NET_SEAT_INFO       stuSlaveSeatInfo;                           // ʻλϢ
    int                 nVehicleAttachNum;                          // ϸ
    NET_VEHICLE_ATTACH  stuVehicleAttach[8];                        // ϸ
    char                szCountry[32];                              // ,2ֽ,ISO3166淶

    int                 nCarCandidateNum;                           // ѡ    
    NET_CAR_CANDIDATE_INFO stuCarCandidate[MAX_CAR_CANDIDATE_NUM];  // ѡ

    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
    int                 nChannel;                                   // ͨ
    BYTE                bReserved[1024];
} DEV_EVENT_VEHICLE_RECOGNITION_INFO;


// ¼EVENT_IVS_TRAFFICGATE(ͨϹ¼/Ȧ羯ϵĽͨϹ¼)ӦݿϢ
// ʷԭ,Ҫ¼,DEV_EVENT_TRAFFICJUNCTION_INFOEVENT_IVS_TRAFFICGATEҪһ,ԷֹƵ羯Ȧ羯ͬʱƽ̨
// EVENT_IVS_TRAFFIC_TOLLGATEֻ֧¿¼
typedef struct tagDEV_EVENT_TRAFFICGATE_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    BYTE                byOpenStrobeState;                          // բ״̬,EM_OPEN_STROBE_STATE
    char                bReserved1[3];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽壬
    int                 nLane;                                      // Ӧ
    int                 nSpeed;                                     // ʵٶKm/h
    int                 nSpeedUpperLimit;                           // ٶ λkm/h
    int                 nSpeedLowerLimit;                           // ٶ λkm/h 
    DWORD               dwBreakingRule;                             // Υ,һλ:; 
                                                                    // ڶλ:ѹʻ; λ:ʻ; 
                                                                    // λǷʻ; λ:;λ:·(¼)
                                                                    // λ: ѹ; ڰλ: гռ; ھλ: ռ;ĬΪ:ͨ¼
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ    
    DH_MSG_OBJECT       stuVehicle;                                 // ϢдųϢ
    BYTE                szManualSnapNo[64];                         // ֶץ                
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼; 
    BYTE                byReserved[3];                              // ֽ
    BYTE                szSnapFlag[16];                             // 豸ץıʶ
    BYTE                bySnapMode;                                 // ץķʽ,0-δ 1-ȫ 2- 4-ͬץ 8-ץ 16-ͼ
    BYTE                byOverSpeedPercentage;                      // ٰٷֱ
    BYTE                byUnderSpeedingPercentage;                  // Ƿٰٷֱ
    BYTE                byRedLightMargin;                           // ʱ,λ
    BYTE                byDriveDirection;                           // ʻ,0-(豸ԽԽ),1-(豸ԽԽԶ)
    char                szRoadwayNo[32];                            // ·
    char                szViolationCode[16];                        // Υ´
    char                szViolationDesc[128];                       // Υ
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    char                szVehicleType[32];                          // С Minisize"΢ͳ,"Light-duty"Сͳ,"Medium"ͳ,
                                                                    // "Oversize"ͳ,"Huge","Largesize" "Unknown"δ֪
    BYTE                byVehicleLenth;                             // , λ
    BYTE                byLightState;                               // LightStateʾ̵״̬:0 δ֪,1 ̵,2 ,3 Ƶ
    BYTE                byReserved1;                                // ֽ,չ
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nOverSpeedMargin;                           // ޸ٿֵ    λkm/h 
    int                 nUnderSpeedMargin;                          // ޵ٿֵ    λkm/h 
    char                szDrivingDirection[3][DH_MAX_DRIVINGDIRECTION]; //
                                                                    // "DrivingDirection" : ["Approach", "Ϻ", ""],ʻ
                                                                    // "Approach"-,豸ԽԽ"Leave"-,
                                                                    // 豸ԽԽԶ,ڶ͵ֱк
                                                                    // еص,UTF-8
    char                szMachineName[256];                         // ػԶ豸
    char                szMachineAddress[256];                      // ص㡢·
    char                szMachineGroup[256];                        // 顢豸λ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_SIG_CARWAY_INFO_EX stuSigInfo;                               // ɳץźϢ
    char                szFilePath[MAX_PATH];                       // ļ·
    NET_TIME_EX         RedLightUTC;                                // ƿʼUTCʱ
    char              * szDeviceAddress;                            // 豸ַ,OSDӵͼƬϵ,ԴTrafficSnapshot.DeviceAddress,'\0'
    float               fActualShutter;                             // ǰͼƬعʱ,λΪ
    BYTE                byActualGain;                               // ǰͼƬ,ΧΪ0~100
    BYTE                byDirection;                                // 0- 1-򶫱 2- 3- 4- 5- 6- 7- 8-δ֪
    BYTE                bReserve;                                   // ֽ, ֽڶ
    BYTE                bRetCardNumber;                             // Ƭ
    EVENT_CARD_INFO     stuCardInfo[DH_EVENT_MAX_CARD_NUM];         // ƬϢ
    char               szDefendCode[DH_COMMON_STRING_64];           // ͼƬα
    int                nTrafficBlackListID;                         // ݿ¼ĬID, 0,Ч> 0,ݼ¼
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
    BYTE                bReserved[452];                             // ֽ,չ.
} DEV_EVENT_TRAFFICGATE_INFO;

//¼EVENT_TRAFFICSNAPSHOT(ͨץ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFICSNAPSHOT_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    BYTE                bReserv[3];                                 // ֽ 
    BYTE                bCarWayCount;                               // ץĵĳ
    DH_CARWAY_INFO      stuCarWayInfo[DH_MAX_CARWAY_NUM];           // ץĵĳϢ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    BYTE                bReserved[344];                             // ֽ,չ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
} DEV_EVENT_TRAFFICSNAPSHOT_INFO;

//¼EVENT_IVS_TRAFFIC_RUNREDLIGHT(ͨ-¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_RUNREDLIGHT_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ 
    int                 nLightState;                                // ̵״̬ 0:δ֪ 1̵ 2: 3:Ƶ
    int                 nSpeed;                                     // ,km/h
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    NET_TIME_EX         stRedLightUTC;                              // ƿʼʱ
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    BYTE                byRedLightMargin;                           // ʱ,λ
    BYTE                byAlignment[3];                             // ֽڶ
    int                 nRedLightPeriod;                            // ʾʱ,λ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[928];                             // ֽ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
	BOOL				bHasNonMotor;								// Ƿзǻ
	VA_OBJECT_NONMOTOR	stuNonMotor;								// ǻ
} DEV_EVENT_TRAFFIC_RUNREDLIGHT_INFO;

//¼EVENT_IVS_TRAFFIC_PEDESTRAINRUNREDLIGHT(ͨ-˴¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_PEDESTRAINRUNREDLIGHT_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ 
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    BYTE                bReserved[1024];                            // ֽ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_TRAFFIC_PEDESTRAINRUNREDLIGHT_INFO;

//¼EVENT_IVS_TRAFFIC_PASSNOTINORDER(ͨ-δ涨ͨ)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_PASSNOTINORDER_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ 
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[984];                             // ֽ
}DEV_EVENT_TRAFFIC_PASSNOTINORDER_INFO;

//¼EVENT_IVS_TRAFFIC_OVERLINE(ͨ-ѹ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_OVERLINE_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    int                 nSpeed;                                     // ʵٶ,Km/h
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[968];                             // ֽ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
} DEV_EVENT_TRAFFIC_OVERLINE_INFO;


//¼EVENT_IVS_TRAFFIC_RETROGRADE(ͨ-¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_RETROGRADE_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    int                 nSpeed;                                     // ʵٶ,Km/h
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    BOOL                bIsExistAlarmRecord;                        // rue:жӦı¼; false:޶Ӧı¼
    DWORD               dwAlarmRecordSize;                          // ¼С
    char                szAlarmRecordPath[DH_COMMON_STRING_256];    // ¼·
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[484];                             // ֽ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    int                 nDetectNum;                                 // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
	BOOL				bHasNonMotor;								// Ƿзǻ
	VA_OBJECT_NONMOTOR	stuNonMotor;								// ǻ
} DEV_EVENT_TRAFFIC_RETROGRADE_INFO;

//¼EVENT_IVS_TRAFFIC_TURNLEFT(ͨ-Υת)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_TURNLEFT_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    int                 nSpeed;                                     // ʵٶ,Km/h
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[968];                             // ֽ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
} DEV_EVENT_TRAFFIC_TURNLEFT_INFO;


//¼ EVENT_IVS_TRAFFIC_TURNRIGHT (ͨ-Υת)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_TURNRIGHT_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    int                 nSpeed;                                     // ʵٶ,Km/h
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[968];                             // ֽ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
} DEV_EVENT_TRAFFIC_TURNRIGHT_INFO;

//¼EVENT_IVS_TRAFFIC_UTURN(Υµͷ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_UTURN_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    int                 nSpeed;                                     // ʵٶ,Km/h
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[968];                             // ֽ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_TRAFFIC_UTURN_INFO;

//¼EVENT_IVS_TRAFFIC_OVERSPEED(ͨ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_OVERSPEED_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nSpeed;                                     // ʵٶKm/h
    int                 nSpeedUpperLimit;                           // ٶ λkm/h
    int                 nSpeedLowerLimit;                           // ٶ λkm/h 
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;    
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    char                szFilePath[MAX_PATH];                       // ļ·
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ  ض
	int                 nSpeedingPercentage;                        // ٰٷֱ
    BYTE                bReserved[572];                             // ֽ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_TRAFFIC_OVERSPEED_INFO;

//¼EVENT_IVS_TRAFFIC_UNDERSPEED(ͨǷ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_UNDERSPEED_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved2[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nSpeed;                                     // ʵٶKm/h
    int                 nSpeedUpperLimit;                           // ٶ λkm/h
    int                 nSpeedLowerLimit;                           // ٶ λkm/h 
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bReserved1[2];                              // 
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nUnderSpeedingPercentage;                   // Ƿٰٷֱ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[832];                             // ֽ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_TRAFFIC_UNDERSPEED_INFO;

//¼EVENT_IVS_TRAFFIC_JAM_FORBID_INTO(ͨӵ½¼)ӦݿϢ
typedef struct tagDEV_EVENT_ALARM_JAMFORBIDINTO_INFO
{
	int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[4];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    ///////////////////////////////Ϊֶ//////////////////////////////
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ 
	int					nMark;										// ײĴץ֡
	int					nSource;									// ƵԴַ
	int					nSequence;									// ʾץ,3-2-1/0,1ʾץ,0ʾץ쳣
	int					nFrameSequence;								// ֡
	int					nLane;										// 
	BYTE                byImageIndex;                   			// ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	DH_MSG_OBJECT       stuObject;                      			// ⵽
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
	BYTE                bReserved[984];                             // ֽ
	DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stuTrafficCar;                // ͨϢ
	EVENT_COMM_INFO     stCommInfo;                     			// Ϣ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
} DEV_EVENT_ALARM_JAMFORBIDINTO_INFO;

//¼EVENT_IVS_TRAFFIC_JAM_STOP_ON_ZEBRACROSSING(ӵΥ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_JAM_STOP_ON_ZEBRACROSSING_INFO
{
	int                 nChannelID;                                 // ͨ
	char                szName[DH_EVENT_NAME_LEN];                  // ¼
	char                bReserved1[4];                              // ֽڶ
	double              PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         UTC;                                        // ¼ʱ
	int                 nEventID;                                   // ¼ID
	///////////////////////////////Ϊֶ//////////////////////////////
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ 
	int					nSequence;									// ʾץ,3-2-1/0,1ʾץ,0ʾץ쳣
	int					nLane;										// 
	BYTE                byImageIndex;                   			// ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ  
	BYTE                byReserved[3];
	DH_MSG_OBJECT       stuObject;                      			// ⵽
	DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stuTrafficCar;                // ͨϢ
	EVENT_COMM_INFO     stuCommInfo;                     			// Ϣ
	DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
	DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	BYTE                bReserved[2048];                            // ֽ
} DEV_EVENT_TRAFFIC_JAM_STOP_ON_ZEBRACROSSING_INFO;

//Ϣ
typedef struct tagEVENT_PIC_ANALYSE_INFO
{
	DH_MSG_OBJECT       stuObject;                                  // Ϣ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
	EVENT_COMM_INFO     stuCommInfo;                     			// Ϣ
    BYTE                bReserved[1024];                            // Ԥֽ
}EVENT_PIC_ANAKYSE_INFO;

//¼ DH_ALARM_TRAFFIC_PIC_ANALYSE(ͼƬη¼)ӦݿϢ
typedef struct tagDEV_ALARM_PIC_ANALYSE_INFO
{
    int						nIndex;                                     // ͨ
    char					szName[128];                                // ¼
    double					PTS;                                        // ʱ(λǺ)
    NET_TIME_EX				UTC;                                        // ¼ʱ
    int						nEventID;                                   // ¼ID
    DH_MSG_OBJECT			stuObject;                                  // Ϣ
    DH_MSG_OBJECT			stuVehicle;                                 // Ϣ
    int						nGroupID;									// ¼IDͬһץĹGroupIDͬ
	int						nCountInGroup;								// һ¼ڵץ
	int						nIndexInGroup;								// һ¼ڵץ
	char					szFilePath[MAX_PATH];						// ͼƬ·
	EVENT_COMM_INFO			stuCommInfo;                     			// Ϣ
	EVENT_PIC_ANAKYSE_INFO	stuAnalyseInfo;								// Ϣ
	BYTE					bReserved[1024];							// ֽ
} ALARM_PIC_ANALYSE_INFO;
typedef struct tagNET_BULLET_HOLES_INFO
{
    int                 nObjectID;                          // ID,ÿIDʾһΨһ
    char                szObjectType[128];                  // ,֧: "Unknown", "Human", "Vehicle",
    DH_RECT             stuBoundingBox;                     // Χ
    DH_POINT            stuCenter;                          // 
	int				    nSequence;							// 
	int                 nScore;							    // 
    BYTE                byReserved[512];                    // ֽ
}NET_BULLET_HOLES_INFO;
typedef struct tagDEV_ALARM_PIC_SHOOTINGSCORERECOGNITION_INFO
{
    int						nIndex;                                     // ͨ
    char					szName[128];                                // ¼
    double					dbPTS;                                      // ʱ(λǺ)
    NET_TIME_EX				stuUTC;                                     // ¼ʱ
    int						nEventID;                                   // ¼ID
    int						nGroupID;									// ¼IDͬһץĹGroupIDͬ
	int						nCountInGroup;								// һ¼ڵץ
	int						nIndexInGroup;								// һ¼ڵץ
	char					szFilePath[MAX_PATH];						// ͼƬ·
	DH_POINT				stuDetectRegion;							// 
	int						nValidBulletHolesNum;						// ⵽Ч׸
	NET_BULLET_HOLES_INFO   stuBulletHolesInfo[DH_MAX_BULLET_HOLES];	// ⵽ĵ
	BYTE					bReserved[1024];							// ֽ
} ALARM_PIC_SHOOTINGSCORERECOGNITION_INFO;


//4Gֵı¼(Ӧ¼ DH_ALARM_OIL_4G_OVERFLOW)
typedef struct tagNET_ALARM_OIL_4G_OVERFLOW_INFO
{	
	int					            nChannelID;						// ͨŴ0ʼ	
    double				            dbPTS;							// ʱ(λǺ)    
    NET_TIME_EX			            stuTime;						// ¼ʱ 
	int								nFlowRateCur;					// ǰʹ˵	λMB	
	int								nFlowRateMax;					// ֵ	λMB
	BYTE                			byReserved[1024];   			// ֽ
}NET_ALARM_OIL_4G_OVERFLOW_INFO;

//Դ״̬쳣¼
typedef struct tagDEV_ALARM_POWERSWITCHER_INFO
{
	int                     nEventAction;                       // ¼, 1ʾʼ, 2ʾֹͣ
	int                     nEventIndex;                        // Դ, PowerSwitcher±һ
	char					szName[128];                        // Դ, PowerSwitcherƶӦ
	NET_TIME_EX				stuUTC;                             // ¼ɼʱ
	int                     nPowerVoltage;                      // ѹֵ, λmV
	int                     nPowerCurrent;                      // ֵ, λmA
	int                     nPowerValue;                        // , λmW
	int						nSwitchOn;                          // ͨ, 1Ϊ0Ϊ
	int                     nPowerState;                        // ״̬,ȫ0ʾ, bit0ʾǷѹ, bit1ʾѹ, bit2ʾǷ, bit3ʾ, bit4ʾ״̬(״̬ͬʱλ)
	BYTE					byReserved[1024];				    // ֽ
}DEV_ALRAM_POWERSWITCHER_INFO;

//  ¼ StartListen(Ӧ¼ DH_ALARM_SCENNE_CHANGE_ALARM)
typedef struct tagDEV_ALARM_PIC_SCENECHANGE_INFO
{
    int						nChannelID;                                 // ͨ
	int						nEventAction;								// ¼,  1ʾʼ, 2ʾֹͣ
    double					dbPTS;                                      // ʱ(λǺ)
    NET_TIME_EX				stuUTC;                                     // ¼ʱ
    int						nEventID;                                   // ¼ID
	BYTE					bReserved[1024];							// ֽ
} ALARM_PIC_SCENECHANGE_INFO;


//  ¼ReloadPicture(Ӧ¼ EVENT_IVS_SCENE_CHANGE)
typedef struct tagDEV_ALRAM_SCENECHANGE_INFO
{
    int							nChannelID;									// ͨ
	int                         nEventAction;								// ¼, 1ʾʼ, 2ʾֹͣ
    double						dbPTS;										// ʱ(λǺ)
    NET_TIME_EX					stuUTC;										// ¼ʱ
    int							nEventID;									// ¼ID

    DH_EVENT_FILE_INFO			stuFileInfo;								// ¼ӦļϢ
    BYTE						byImageIndex;								// ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD						dwSnapFlagMask;								// ץͼ־(λ), NET_RESERVED_COMMON    
    BYTE						bReserved[1024];							// ֽ,չ. 
} DEV_ALRAM_SCENECHANGE_INFO;

//¼ EVENT_IVS_SNAPMANUAL(SnapManual¼)ӦݿϢ
typedef struct tagDEV_EVENT_SNAPMANUAL
{
	int                 nChannelID;                                   // ͨ
    char                szName[DH_EVENT_NAME_LEN];                    // ¼
    char                bReserved1[4];                                // ֽڶ
    double              PTS;                                          // ʱ(λǺ)
    NET_TIME_EX         UTC;                                          // ¼ʱ
    int                 nEventID;                                     // ¼ID
	
	DH_EVENT_FILE_INFO	stuFileInfo;								  // ¼ӦļϢ
    BYTE				byImageIndex;								  // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD				dwSnapFlagMask;								  // ץͼ־(λ), NET_RESERVED_COMMON    
    BYTE				bReserved[1024];							  // ֽ,չ. 
}DEV_EVENT_SNAPMANUAL;

// ʱδˢ¼
typedef struct tagALARM_SWIPE_OVERTIME_INFO
{                           
    NET_TIME_EX             stuTime;                            // ¼ʱ
    BYTE					bReserved[1024];
}ALARM_SWIPE_OVERTIME_INFO;

// ޿ʻ¼
typedef struct tagALARM_DRIVING_WITHOUTCARD_INFO
{
    NET_TIME_EX             stuTime;                            // ¼ʱ
    BYTE					bReserved[1024];
}ALARM_DRIVING_WITHOUTCARD_INFO;


// Ϣ
typedef struct tagNET_FACE_INFO
{
    int                 nObjectID;                          // ID,ÿIDʾһΨһ
    char                szObjectType[128];                  // 
    int                 nRelativeID;                        // ͼĴͼID
    DH_RECT             BoundingBox;                        // Χ
    DH_POINT            Center;                             // 
} NET_FACE_INFO;

//¼EVENT_IVS_FACEDETECT(¼)ӦݿϢ
typedef struct tagDEV_EVENT_FACEDETECT_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                reserved[2];                                // ֽ
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON  
    char                szSnapDevAddress[MAX_PATH];                 // ץĵǰ豸ַ,磺·37
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
    EM_DEV_EVENT_FACEDETECT_SEX_TYPE emSex;                         // Ա
    int                 nAge;                                       // ,-1ʾֶЧ
    unsigned int        nFeatureValidNum;                           // Ч, emFeature ʹ
    EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE    emFeature[DH_MAX_FACEDETECT_FEATURE_NUM];   // , nFeatureValidNum ʹ
    int                 nFacesNum;                                  // ָʾstuFacesЧ
    NET_FACE_INFO       stuFaces[10];                               // ʱʹ,ʱûObject
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
	EM_RACE_TYPE				emRace;								// 
	EM_EYE_STATE_TYPE			emEye;								// ۾״̬
	EM_MOUTH_STATE_TYPE			emMouth;							// ״̬
	EM_MASK_STATE_TYPE 			emMask;								// ״̬
	EM_BEARD_STATE_TYPE			emBeard;							// ״̬
	int							nAttractive;						// ֵ, -1ʾЧ, 0δʶʶʱΧ1-100,÷ָ
	char						szUID[DH_COMMON_STRING_32];			// ץԱдݿΨһʶ
	BYTE                		bReserved2[4];						// Reserved
	NET_FEATURE_VECTOR			stuFeatureVector;					// ֵϢ
	char						szFeatureVersion[32];				// ֵ㷨汾
	EM_FACE_DETECT_STATUS       emFaceDetectStatus;                 // е״̬
	NET_EULER_ANGLE				stuFaceCaptureAngle;				// ץͼƬеĽǶϢ, nPitch:̧ͷͷĸ, nYawתͷƫ, nRollͷƽƫƫķ
																	// ǶֵȡֵΧ[-90,90], ǶֵΪ999ʾ˽ǶϢЧ
	UINT						nFaceQuality;						// ץ,Χ 0~10000 
    double                      dHumanSpeed;                        // ˵˶ٶ, km/h
    int                         nFaceAlignScore;                    // ÷ַ,Χ 0~10000,-1ΪЧֵ
    int                         nFaceClarity;                       // ȷ,Χ 0~10000,-1ΪЧֵ
	BYTE                		bReserved[636];                     // ֽ,չ
} DEV_EVENT_FACEDETECT_INFO;

// ¼EVENT_IVS_TRAFFICJAM(ͨӵ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFICJAM_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ               
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bJamLenght;                                 // ʾӵ³(ܳȰٷֱȣ0-100
    BYTE                reserved;                                   // ֽ
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    NET_TIME_EX         stuStartJamTime;                            // ʼͣʱ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣(bEventAction=2ʱ˲Ч)
    int                 nAlarmIntervalTime;                         // ʱ,λ:롣(¼Ϊ¼,յһ¼֮,ڳʱδյ¼ĺ¼,Ϊ¼쳣)
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    int                 nJamRealLength;                             // ʵʵӵ³,λ
	NET_EXTENSION_INFO  stuExtensionInfo;                           // չϢ
    BYTE                bReserved[876];                            // ֽ,չ.
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ  
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
    
} DEV_EVENT_TRAFFICJAM_INFO;

// ¼EVENT_IVS_TRAFFIC_PARKING(ͨΥͣ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_PARKING_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    int                 nLane;                                      // Ӧ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ               
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                reserved[2];                                // ֽ
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    NET_TIME_EX         stuStartParkingTime;                        // ʼͣʱ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣(bEventAction=2ʱ˲Ч)
    int                 nAlarmIntervalTime;                         // ʱ,λ:롣(¼Ϊ¼,յһ¼֮,ڳʱδյ¼ĺ¼,Ϊ¼쳣)
    int                 nParkingAllowedTime;                        // ͣʱ,λ롣
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESEED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    BOOL                bIsExistAlarmRecord;                        // rue:жӦı¼; false:޶Ӧı¼
    DWORD               dwAlarmRecordSize;                          // ¼С
    char                szAlarmRecordPath[DH_COMMON_STRING_256];    // ¼·
    char                szFTPPath[DH_COMMON_STRING_256];            // FTP· 
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
	BYTE				byPreAlarm;									// ǷΪΥԤͼƬ,0 Υͣ¼1 Ԥ¼(Ԥһʱ䣬û뿪жΪΥ)ڴֶλᵼ¼ı䣬ƽ̨ʶԤ¼󣬲дֶ, 
	BYTE                bReserved2[3];                              // ֽ,չ.
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[228];                             // ֽ,չ.
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
} DEV_EVENT_TRAFFIC_PARKING_INFO, DEV_EVENT_TRAFFIC_PARKING_B_INFO, DEV_EVENT_TRAFFIC_PARKING_C_INFO, DEV_EVENT_TRAFFIC_PARKING_D_INFO,DEV_EVENT_TRAFFIC_PARKING_MANUAL_INFO;

//¼EVENT_IVS_TRAFFIC_WRONGROUTE(ͨΥ-ʻ)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_WRONGROUTE_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    int                 nLane;                                      // Ӧ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ               
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];           
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nSpeed;                                     // ʵٶ,km/h
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[972];                             // ֽ,չ.
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
} DEV_EVENT_TRAFFIC_WRONGROUTE_INFO;

//¼EVENT_IVS_TRAFFIC_CROSSLANE(ͨΥ-Υ±)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_CROSSLANE_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    int                 nLane;                                      // Ӧ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ               
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];       
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
     int                nSpeed;                                     // ʵٶ,km/h
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
	BYTE                bReserved[836];                             // ֽ,չ.չ.
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stuTrafficCar;                // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
} DEV_EVENT_TRAFFIC_CROSSLANE_INFO;

//¼EVENT_IVS_TRAFFIC_OVERYELLOWLINE(ͨΥ-ѹ)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_OVERYELLOWLINE_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    int                 nLane;                                      // Ӧ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ               
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];  
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nSpeed;                                     // ʵٶ,km/h
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    BOOL                bIsExistAlarmRecord;                        // rue:жӦı¼; false:޶Ӧı¼
    DWORD               dwAlarmRecordSize;                          // ¼С
    char                szAlarmRecordPath[DH_COMMON_STRING_256];    // ¼·
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    BYTE                bReserved[532];                             // ֽ,չ.
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ

    int                 nDetectNum;                                 // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     //     
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

} DEV_EVENT_TRAFFIC_OVERYELLOWLINE_INFO;

//¼EVENT_IVS_TRAFFIC_DRIVINGONSHOULDER(ͨΥ-·ʻ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_DRIVINGONSHOULDER_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    int                 nLane;                                      // Ӧ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ               
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];      
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nSpeed;                                     // ʵٶ,km/h
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
    
} DEV_EVENT_TRAFFIC_DRIVINGONSHOULDER_INFO;

//¼EVENT_IVS_TRAFFIC_YELLOWPLATEINLANE(ͨΥ-Ƴռ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_YELLOWPLATEINLANE_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    int                 nLane;                                      // Ӧ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ               
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];     
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nSpeed;                                     // ʵٶ,km/h
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    BYTE                bReserved[1016];                            // ֽ,չ.
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

} DEV_EVENT_TRAFFIC_YELLOWPLATEINLANE_INFO;

//¼EVENT_IVS_TRAFFIC_NOPASSING(ͨΥ-ֹͨ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_NOPASSING_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    int                 nTriggerType;                               // TriggerType:,0,1״,2Ƶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 UTCMS;                                      // 
    int                 nMark;                                      // ײĴץ֡
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                byReserved1[3];
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    int                 nFrameSequence;                             // Ƶ֡
    int                 nSource;                                    // ƵԴַ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                byReserved[984];                            // ֽ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

}DEV_EVENT_TRAFFIC_NOPASSING_INFO;

typedef struct tagDH_TRAFFICFLOWSTAT
{
    char                szMachineAddress[256];                      // ͬDEV_EVENT_TRAFFIC_TRAFFICCAR_INFO.MachineGroup
    char                szMachineName[256];                         // ͬDEV_EVENT_TRAFFIC_TRAFFICCAR_INFO.MachineName
    char                szDrivingDirection[3][32];                  // ʻ"Approach"-,豸ԽԽ"Leave"-,豸ԽԽԶ,ڶ͵ֱкеص,UTF-8
    int                 nLane;                                      //  ʹûõĳ
    NET_TIME_EX         UTC;                                        // ͳʱ,תUTC
    int                 nPeriod;                                    // ͳ,λ
    int                 nVehicles;                                  // ͨ
    float               fAverageSpeed;                              // ƽ,λkm/h
    float               fAverageLength;                             // ƽ,λ
    float               fTimeOccupyRatio;                           // ʱռ,λʱͨĳʱܺռλʱı
    float               fSpaceOccupyRatio;                          // ռռ,ٷʼĳܺͳʱڳƽʻ
    float               fSpaceHeadway;                              // ͷ,ڳ֮ľ,λ/
    float               fTimeHeadway;                               // ͷʱ,λ/
    float               fDensity;                                   // ܶ,ÿĳ,λ/km
    int                 nOverSpeedVehicles;                         // ٳ
    int                 nUnderSpeedVehicles;                        // ٳ
    int                 nLargeVehicles;                             //   жϱ׼μTrafficSnapshotñ
    int                 nMediumVehicles;                            // ͳ
    int                 nSmallVehicles;                             // С
    int                 nMotoVehicles;                              // Ħг
    int                 nLongVehicles;                              // 
}DH_TRAFFICFLOWSTAT; 

// ¼ TrafficFlowStat Info(ͨͳ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_FLOWSTAT_INFO
{
    char                szName[128];                                // ¼
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLaneCnt;                                   // ͨ
    DH_TRAFFICFLOWSTAT  stTrafficFlowStats[DH_MAX_LANE_NUM];        // ͳƼ¼,һ
    char                Reserved[4];                                // ֽڶ
}DEV_EVENT_TRAFFIC_FLOWSTAT_INFO;

// ֶץרϱ
typedef struct tagEVENT_MANUALSNAP_CUSTOM_DATA
{
	EVENT_CUSTOM_WEIGHT_INFO	stuWeighInfo;							// ίذƳϢ
	BYTE						byReserved[472];                        // ֽ
}EVENT_MANUALSNAP_CUSTOM_DATA;

//¼EVENT_IVS_TRAFFIC_MANUALSNAP(ֶͨץ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_MANUALSNAP_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    BYTE                szManualSnapNo[64];                         // ֶץ 
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // ⵽ĳϢ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ʾͨݿ¼
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byOpenStrobeState;                          // բ״̬,  EM_OPEN_STROBE_STATE
	BYTE                byReserved[1];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	BYTE                bReserved[504];								// ֽ,չ.
	EVENT_MANUALSNAP_CUSTOM_DATA	stuCustom;						// ֶץרϱ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_TRAFFIC_MANUALSNAP_INFO;

//¼ EVENT_IVS_TRAFFIC_STAY(ͨ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_STAY_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    int                 nLane;                                      // Ӧ
    int                 nSequence;                                  // ץ,3-2-1/0,1ʾץ,0ʾץ쳣
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ʾͨݿ¼
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ               
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved0[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    BYTE                byReserved[1012];         
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

}DEV_EVENT_TRAFFIC_STAY_INFO;

//¼ EVENT_IVS_TRAFFIC_VEHICLEINROUTE(гռ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_VEHICLEINROUTE_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    int                 nLane;                                      // Ӧ
    int                 nSequence;                                  // ץ,3-2-1/0,1ʾץ,0ʾץ쳣
    int                 nSpeed;                                     // 
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ʾͨݿ¼
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ               
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved0[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    BYTE                byReserved[884];           
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

}DEV_EVENT_TRAFFIC_VEHICLEINROUTE_INFO;

// ¼ EVENT_ALARM_LOCALALARM(ⲿ),EVENT_ALARM_MOTIONALARM(챨))
typedef struct tagDEV_EVENT_ALARM_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID  
    
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_ALARM_INFO;

// ¼ EVENT_ALARM_VIDEOBLIND(Ƶڵ)
typedef struct tagDEV_EVENT_ALARM_VIDEOBLIND
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID        
    
    NET_TIME_EX         stuTime;                                    // ¼ʱ, (豸ʱ, һutcʱ)
    char                szDriverID[32];                             // ˾ID
    NET_GPS_STATUS_INFO stuGPSStatus;                               // GPSϢ
    char                szVideoPath[256];                           // Υ¹ƵFTPϴ·
    BYTE                byReserved2[1024];                          // ֽ,չ
}DEV_EVENT_ALARM_VIDEOBLIND;

// ¼ EVENT_ALARM_ANALOGALARM(ģͨ),
typedef struct tagDEV_EVENT_ALARM_ANALOGALRM_INFO 
{
    int                 nChannelID;                                 // (Ƶ)ͨ
    char                szName[DH_COMMON_STRING_128];               // ģͨ
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID 
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ   
    int                 nIndex;                                     // ģͨ
    NET_SENSE_METHOD    emSensor;                                   // 
    int                 nStatus;                                    // ״̬, -1:δ֪,0:,1:Ч(),
                                                                    // 2:ֵ1,3:ֵ2,4:ֵ3,5:ֵ4,
                                                                    // 6:ֵ1,7:ֵ2,8:ֵ3,9:ֵ4
    float               fValue;                                     // ֵ̽
    NET_TIME            stuCollectTime;                             // ݲɼʱ(UTC)
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved2[1023];                          // ֽ,չ
}DEV_EVENT_ALARM_ANALOGALRM_INFO;

//EVENT_ALARM_VEHICLEACC(ACCϵ籨)
typedef struct tagDEV_EVENT_ALARM_VEHICLEACC_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_COMMON_STRING_128];               // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID      
    NET_GPS_STATUS_INFO stGPSStatusInfo;                            // GPSϢ
    int                 nACCStatus;                                 // ACC״̬    0:Ч() , 1: , 2:ر    
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bConstantElectricStatus;                    // ״̬ , 0:Ч() , 1: , 2:Ͽ                            
    BYTE                bReserved[1022];                            // ֽ,չ.
}DEV_EVENT_ALARM_VEHICLEACC_INFO;


// ¼ EVENT_ALARM_VEHICLE_TURNOVER(෭) , EVENT_ALARM_VEHICLE_COLLISION(ײ)
typedef struct tagDEV_EVENT_VEHICEL_ALARM_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID  
    NET_GPS_STATUS_INFO stGPSStatusInfo;                            // GPSϢ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];                              // ֽڶ
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    BYTE                bReserved[1024];                            // ֽ,չ.
}DEV_EVENT_VEHICEL_ALARM_INFO;

// ¼ EVENT_IVS_PRISONERRISEDETECTION (¼) ӦݿϢ
typedef struct tagDEV_EVENT_PRISONERRISEDETECTION_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    double              dInitialUTC;                                // ¼ʼUTCʱ    UTCΪ¼UTC (1970-1-1 00:00:00)
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                               // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];                   // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    BYTE                bReserved[616];                             // ֽ,չ.
}DEV_EVENT_PRISONERRISEDETECTION_INFO;

//¼ EVENT_IVS_TRAFFIC_PEDESTRAINPRIORITY(¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_PEDESTRAINPRIORITY_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nLane;                                      // Ӧ
    double              dInitialUTC;                                // ¼ʼUTCʱ    UTCΪ¼UTC (1970-1-1 00:00:00)
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ʾͨݿ¼
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[984];                             // ֽ,չ.
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

}DEV_EVENT_TRAFFIC_PEDESTRAINPRIORITY_INFO;

//¼ EVENT_IVS_TRAFFIC_VEHICLEINBUSROUTE(ռù¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_VEHICLEINBUSROUTE_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nLane;                                      // Ӧ
    int                 nSequence;                                  // ץ,3-2-1/0,1ʾץ,0ʾץ쳣
    int                 nSpeed;                                     // ,km/h
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ʾͨݿ¼
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[980];                             // ֽ,չ.
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

}DEV_EVENT_TRAFFIC_VEHICLEINBUSROUTE_INFO;

//¼ EVENT_IVS_TRAFFIC_BACKING(Υµ¼)ӦݿϢ
typedef struct tagDEV_EVENT_IVS_TRAFFIC_BACKING_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nLane;                                      // Ӧ
    int                 nSequence;                                  // ץ,3-2-1/0,1ʾץ,0ʾץ쳣
    int                 nSpeed;                                     // ,km/h
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ʾͨݿ¼
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[848];                             // ֽ,չ.
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

}DEV_EVENT_IVS_TRAFFIC_BACKING_INFO;

//¼EVENT_IVS_AUDIO_ABNORMALDETECTION(쳣)ӦݿϢ
typedef struct tagDEV_EVENT_IVS_AUDIO_ABNORMALDETECTION_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    int                 nDecibel;                                   // ǿ
    int                 nFrequency;                                 // Ƶ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    BYTE                bReserved[1024];                            // ֽ,չ.
}DEV_EVENT_IVS_AUDIO_ABNORMALDETECTION_INFO;

//¼ EVENT_IVS_TRAFFIC_RUNYELLOWLIGHT(ͨΥ-Ƶ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_RUNYELLOWLIGHT_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ 
    int                 nLightState;                                // ̵״̬ 0:δ֪ 1̵ 2: 3:Ƶ
    int                 nSpeed;                                     // ,km/h
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    NET_TIME_EX         stYellowLightUTC;                           // Ƶƿʼʱ
    unsigned int        nYellowLightPeriod;                         // Ƶڼʱ,λ
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
     BYTE               byRedLightMargin;                           // Ƶʱ,λ
    char                szSourceDevice[MAX_PATH];                   // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    BYTE                bReserved[1024];                            // ֽ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

} DEV_EVENT_TRAFFIC_RUNYELLOWLIGHT_INFO;

// ڵĴģʽ
typedef enum tagEM_LEAVEDETECTION_TRIGGER_MODE
{
    EM_LEAVEDETECTION_TRIGGER_UNKNOEN,              // δ֪
    EM_LEAVEDETECTION_TRIGGER_NOPERSON,             // 
    EM_LEAVEDETECTION_TRIGGER_LEAVE,                // 뿪
    EM_LEAVEDETECTION_TRIGGER_STATIC,               // ֹ(˯)
    EM_LEAVEDETECTION_TRIGGER_OUTPERSONLIMIT,       // ֵΧ(ֵ쳣)
}EM_LEAVEDETECTION_TRIGGER_MODE;

//¼ EVENT_IVS_LEAVEDETECTION(ڼ¼)ӦݿϢ
typedef struct tagDEV_EVENT_IVS_LEAVE_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM];     // 
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;    
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    EM_LEAVEDETECTION_TRIGGER_MODE emTriggerMode;                   // ڵĴģʽ
	BYTE                bReserved[890];                            // ֽ
} DEV_EVENT_IVS_LEAVE_INFO;

//¼ EVENT_IVS_CLIMBDETECTION(ʸ߼¼)ӦݿϢ
typedef struct tagDEV_EVENT_IVS_CLIMB_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    int                 nDetectLineNum;                             // ߶
    DH_POINT            DetectLine[DH_MAX_DETECT_LINE_NUM];         // 
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    unsigned int        nOccurrenceCount;                           // ¼ۼƴ
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    BYTE                bReserved[890];                            // ֽ
}DEV_EVENT_IVS_CLIMB_INFO;

//¼ EVENT_IVS_MULTISCENESWITCH(ೡл¼)ӦݿϢ
typedef struct tagDEV_EVENT_IVS_MULTI_SCENE_SWICH_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;    
    BYTE                bReserved[1027];                            // ֽ
} DEV_EVENT_IVS_MULTI_SCENE_SWICH_INFO;

//¼ EVENT_IVS_TRAFFIC_PARKINGONYELLOWBOX(ץ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_PARKINGONYELLOWBOX_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[8];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ

    int                 nInterval1;                                 // ڶź͵һŵʱʱ,λ
    int                 nInterval2;                                 // ź͵ڶŵʱʱ,λ
    int                 nFollowTime;                                // ʱ,һǰһʱСڴֵ,ΪǸ,ͣΥ

    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[984];                             // ֽ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

}DEV_EVENT_TRAFFIC_PARKINGONYELLOWBOX_INFO;


//ͣϢ
typedef struct tagDEV_TRAFFIC_PARKING_INFO
{
    int           nFeaturePicAreaPointNum;                  // ͼƬ
    DH_POINT      stFeaturePicArea[DH_MAX_POLYGON_NUM];     // ͼƬϢ
    BYTE          bReserved[572];                           // ֽ
}DEV_TRAFFIC_PARKING_INFO;

//¼ EVENT_IVS_TRAFFIC_PARKINGSPACEPARKING(λг¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_PARKINGSPACEPARKING_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[8];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣    
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    int                 nParkingSpaceStatus;                        // λۺϵ״̬,0-ռ,1-,2-ѹ
    DEV_TRAFFIC_PARKING_INFO stTrafficParingInfo;                   // ͣϢ
    BYTE                byPlateTextSource;                          // ʶԴ, 0:㷨ʶ,1:˷㷨ʶ
    BYTE                byReserved2[3];                             // ֽڶ
	char                szParkingNum[32];                           // λ(ش)ţĿ
	DWORD               dwPresetNum;                                // ԤλţĿ
	BOOL                bParkingFault;                              // λǷйϣĿ
	BYTE                bReserved[364];                             // ֽ 
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
    NET_INTELLIGENCE_IMAGE_INFO stuParkingImage;                    // λͼƬϢ
    BYTE			    byReserved1[1024];			                // ΪͼƬϢԤֽڣֶڸñֽ
}DEV_EVENT_TRAFFIC_PARKINGSPACEPARKING_INFO;


//¼ EVENT_IVS_TRAFFIC_PARKINGSPACENOPARKING(λ޳¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_PARKINGSPACENOPARKING_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[8];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    DEV_TRAFFIC_PARKING_INFO stTrafficParingInfo;                   // ͣϢ
    BYTE                byPlateTextSource;                          // ʶԴ, 0:㷨ʶ,1:˷㷨ʶ
	BYTE                byReserved2[3];                             // ֽڶ
	char                szParkingNum[32];                           // λ(ش)ţĿ
	DWORD               dwPresetNum;                                // ԤλţĿ
	BOOL                bParkingFault;                              // λǷйϣĿ
	BYTE                bReserved[368];                             // ֽ 
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
    NET_INTELLIGENCE_IMAGE_INFO stuGlobalImage;                     // ȫͼϢ                
    NET_INTELLIGENCE_IMAGE_INFO stuParkingImage;                    // λͼƬϢ
    BYTE			    byReserved1[1024];			                // ΪͼƬϢԤֽڣֶڸñֽ
}DEV_EVENT_TRAFFIC_PARKINGSPACENOPARKING_INFO;

// ¼ EVENT_IVS_TRAFFIC_PARKINGSPACEOVERLINE (λѹ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_PARKINGSPACEOVERLINE_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                byEventAction;                              // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                byReserved1[2];
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stuTrafficCar;                // ͨϢ
    DEV_TRAFFIC_PARKING_INFO stTrafficParingInfo;                   // ͣϢ
    BYTE                byReserved[384];                           // ֽ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_TRAFFIC_PARKINGSPACEOVERLINE_INFO;


// ¼ EVENT_IVS_TRAFFIC_TURNLEFTAFTERSTRAIGHT (תδֱ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TURNLEFTAFTERSTRAIGHT_INFO
{
	int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    DWORD               nEventID;                                   // ¼ID
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
	DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO   stTrafficCar;               // Ϣ
    int                 nLane;                                      // Ӧ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                byEventAction;                              // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                byReserved1[2];
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                byReserved[984];                            // ֽ
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_TURNLEFTAFTERSTRAIGHT_INFO;

// ¼ EVENT_IVS_TRAFFIC_BIGBENDSMALLTURN (Сת¼)ӦݿϢ
typedef struct tagDEV_EVENT_BIGBENDSMALLTURN_INFO
{
	int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    DWORD               nEventID;                                   // ¼ID
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
	DH_MSG_OBJECT       stuVehicle;                                 // Ϣ    
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO   stTrafficCar;               // Ϣ
    int                 nLane;                                      // Ӧ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                byEventAction;                              // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                byReserved1[2];
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	BYTE                byReserved[1024];                           // ֽ
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_BIGBENDSMALLTURN_INFO;

// ¼EVENT_IVS_ROAD_CONSTRUCTION (·ʩ¼) ӦݿϢ
typedef struct tagDEV_EVENT_ROAD_CONSTRUCTION_INFO
{
	int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    DWORD               nEventID;                                   // ¼ID
    int                 nEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	EM_CLASS_TYPE		emClassType;								// ¼
	DH_RECT				stuBoudingBox;								// ʩλðΧ,8192ϵ
	BYTE                byReserved[512];                            // ֽ
} DEV_EVENT_ROAD_CONSTRUCTION_INFO;


// ¼EVENT_IVS_ROAD_BLOCK (·ϼ¼) ӦݿϢ
typedef struct tagDEV_EVENT_ROAD_BLOCK_INFO
{
	int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    DWORD               nEventID;                                   // ¼ID
    int                	nEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	EM_CLASS_TYPE		emClassType;								// ¼
	DH_RECT				stuBoudingBox;								// ·λðΧ,8192ϵ
	BYTE                byReserved[512];                            // ֽ
} DEV_EVENT_ROAD_BLOCK_INFO;

// ¼ EVENT_IVS_INSTALL_CARDREADER (װ¼)ӦݿϢ
typedef struct tagDEV_EVENT_INSTALL_CARDREADER_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID        
	BYTE                byReserved[1024];						    // ֽ,չ
}DEV_EVENT_INSTALL_CARDREADER_INFO;

// ¼ EVENT_IVS_ACC_OFF_SNAP (豸ϵǰץϴ¼)ӦݿϢ
typedef struct tagDEV_EVENT_ACC_OFF_SNAP_INFO
{
	int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID        
	BYTE                byReserved[1024];						    // ֽ,չ
}DEV_EVENT_ACC_OFF_SNAP_INFO;

// Σյȼ
typedef enum tagEM_DANGER_GRADE_TYPE
{
	EM_DANGER_GRADE_UNKNOWN  = -1,									// δ֪
	EM_DANGER_GRADE_NORMAL,											// ͨ
	EM_DANGER_GRADE_WARN,											// ʾ
	EM_DANGER_GRADE_DANGER,											// Σռ
} EM_DANGER_GRADE_TYPE;

// Ϣ
typedef struct tagNET_PACKAGE_INFO
{
	EM_DANGER_GRADE_TYPE	emDangerGrade;							// Σյȼ, һжΣյȼʾΣȼ
	BYTE            		byReserved[128];						// ֽ,չ
} NET_PACKAGE_INFO;

// Ʒ
typedef enum tagEM_INSIDE_OBJECT_TYPE
{
	EM_INSIDE_OBJECT_UNKNOWN,										// 㷨δʶƷ
	EM_INSIDE_OBJECT_KNIFE,											// 
	EM_INSIDE_OBJECT_BOTTLELIQUID,									// ƿװҺ
	EM_INSIDE_OBJECT_GUN,											// ǹ֧
	EM_INSIDE_OBJECT_UMBRELLA,										// ɡ
	EM_INSIDE_OBJECT_PHONE,											// ֻ
	EM_INSIDE_OBJECT_NOTEBOOK,										// ʼǱ
	EM_INSIDE_OBJECT_POWERBANK,										// 籦
	EM_INSIDE_OBJECT_SHOES,											// Ь
	EM_INSIDE_OBJECT_ROD,											// 
	EM_INSIDE_OBJECT_METAL,											// 
	EM_INSIDE_OBJECT_EXPLOSIVE,										// ը
    EM_INSIDE_OBJECT_CONTAINERSPRAY,								// 
    EM_INSIDE_OBJECT_EXPLOSIVE_FIREWORKS,							// ̻
    EM_INSIDE_OBJECT_LIGHTER,										// 
    EM_INSIDE_OBJECT_STICK,										    // 
    EM_INSIDE_OBJECT_BRASSKNUCKLE,									// ָ
    EM_INSIDE_OBJECT_HANDCUFFS,										// 
    EM_INSIDE_OBJECT_IVORY,										    // 
    EM_INSIDE_OBJECT_BOOK,										    // 鼮
    EM_INSIDE_OBJECT_CD,										    // 
    EM_INSIDE_OBJECT_HAMMERS,										// 
    EM_INSIDE_OBJECT_PLIERS,										// ǯ
    EM_INSIDE_OBJECT_AXE,										    // ͷ
    EM_INSIDE_OBJECT_SCREW_DRIVER,									// ˿
    EM_INSIDE_OBJECT_WRENCH,										// 
    EM_INSIDE_OBJECT_ELECTRIC_SHOCK_STICK,							// 
} EM_INSIDE_OBJECT_TYPE;

// ƷϢ
typedef struct tagNET_INSIDE_OBJECT
{
	EM_DANGER_GRADE_TYPE	emDangerGrade;							// ƷΣյȼ
	EM_INSIDE_OBJECT_TYPE	emObjType;								// Ʒ
	UINT					nSimilarity;							// ƶ
	NET_RECT             	stuBoundingBox;                         // Χ
	BYTE            		byReserved[108];							// ֽ,չ
} NET_INSIDE_OBJECT;

// XͼƬ
typedef enum tagEM_XRAY_IMAGE_TYPE
{
	EM_XRAY_IMAGE_TYPE_UNKNOWN = -1,								// δ֪
	EM_XRAY_IMAGE_TYPE_COLOR,										// ͼ
	EM_XRAY_IMAGE_COLOR_TYPE_OVERLAY,								// ɫͼ
}EM_XRAY_IMAGE_TYPE;

// Xӽ
typedef enum tagEM_XRAY_VIEW_TYPE
{
	EM_XRAY_VIEW_TYPE_UNKNOWN = -1,									// δ֪
	EM_XRAY_VIEW_TYPE_MASTER,										// ӽ
	EM_XRAY_VIEW_TYPE_SLAVE,										// ӽ
}EM_XRAY_VIEW_TYPE;

// ͼƬб
typedef struct tagNET_XRAY_IMAGE_INFO
{
	EM_XRAY_VIEW_TYPE		emViewType;								// ͼ
	EM_XRAY_IMAGE_TYPE		emImageType;							// ͼƬ
	unsigned int			nOffset;								// ڶݿеƫ
	unsigned int			nLength;								// ͼƬС,λ:ֽ	
	BYTE					byReserved[1024];						// Ԥֽ
}NET_XRAY_IMAGE_INFO;

// ͻԶϢ, Xר
typedef struct tagNET_XRAY_CUSTOM_INFO
{
    EM_XRAY_VIEW_TYPE               emViewType;             // ӽ
    char                            szSerialNumber[128];    // ˮ
    BYTE                            byReserved[124];        // ֽ
} NET_XRAY_CUSTOM_INFO;

// ¼EVENI_IVS_XRAY_DETECTION (X¼)ӦݿϢ
typedef struct tagDEV_EVENT_XRAY_DETECTION_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID        
    EM_CLASS_TYPE       emClassType;                                // 
    NET_PACKAGE_INFO    stuPacketInfo;                              // Ϣ
    char                Reserved1[4];                               // ֽڶ 
    UINT                nObjectNum;                                 // ӽǰƷ
    NET_INSIDE_OBJECT   stuInsideObj[MAX_INSIDEOBJECT_NUM];         // ӽǰƷϢ
    UINT                nSlaveViewObjectNum;                        // ӽǰƷ
    NET_INSIDE_OBJECT   stuSlaveViewInsideObj[MAX_INSIDEOBJECT_NUM];// ӽǰƷϢ
    UINT                nImageCount;                                // ͼƬ
    NET_XRAY_IMAGE_INFO stuImageInfo[8];                            // ͼƬϢ
    UINT                nViewCustomInfoNum;                         // ͻԶϢ
    NET_XRAY_CUSTOM_INFO    stuViewCustomInfo[4];                   // ͻԶϢ, Xר
    BYTE                byReserved[1020];                           // ֽ,չ
} DEV_EVENT_XRAY_DETECTION_INFO;

// ¼ EVENT_IVS_NOTCLEARCAR(δ峵澯)ӦݿϢ
typedef struct tagDEV_EVENT_NOTCLEARCAR_INFO
{
	int					nChannelID;									// ͨ
	NET_TIME_EX         UTC;                                        // ¼ʱ
	BYTE                byEventAction;								// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	BYTE                byReserved1[2];
	DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	BYTE				byReserved[1024];                           // ֽ
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

}DEV_EVENT_NOTCLEARCAR_INFO;

// ¼ EVENT_IVS_SOSALEART(sosȱ)ӦݿϢ
typedef struct tagDEV_EVENT_SOSALEART_INFO
{
	int					nChannelID;									// ͨ
	NET_TIME_EX         UTC;                                        // ¼ʱ
	BYTE                byEventAction;								// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	BYTE                byReserved1[2];
	DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	BYTE				byReserved[1024];                           // ֽ
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_SOSALEART_INFO;

// ¼ EVENT_IVS_OVERLOAD(ץͼ)ӦݿϢ
typedef struct tagDEV_EVENT_OVERLOAD_INFO
{
	int					nChannelID;									// ͨ
	NET_TIME_EX         UTC;                                        // ¼ʱ
	BYTE                byEventAction;								// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	BYTE                byReserved1[2];
	DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	BYTE				byReserved[1024];                           // ֽ
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_OVERLOAD_INFO;

// ¼ EVENT_IVS_NONWORKINGTIME(ǹʱ澯)ӦݿϢ
typedef struct tagDEV_EVENT_NONWORKINGTIME_INFO
{
	int					nChannelID;									// ͨ
	NET_TIME_EX         UTC;                                        // ¼ʱ
	BYTE                byEventAction;								// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	BYTE                byReserved1[2];
	DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	BYTE				byReserved[1024];                           // ֽ
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_NONWORKINGTIME_INFO;

// ¼ EVENT_IVS_TRAFFIC_HIGH_BEAM(ԶΥ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_HIGH_BEAM_INFO
{
	int					nChannelID;									// ͨ
	char				szName[DH_EVENT_NAME_LEN];					// ¼
	BYTE				byReserved1[4];								// ֽڶ
	double              PTS;                                        // ʱ(λǺ)
	int					nEventID;                                   // ¼ID
	NET_TIME_EX         UTC;                                        // ¼ʱ
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	BYTE                byReserved2[3];								// ֽڶ
	DH_MSG_OBJECT       stuObject;                                  // Ϣ
	DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
	int					nLane;										// 
	int					nSequence;									// ץĽ״̬,3/2/1ʾץ0ʾץ쳣
	DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO   stuTrafficCar;              // Ϣ
	DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	EVENT_COMM_INFO     stuCommInfo;                                // Ϣ
	BYTE				byReserved[1024];                           // ֽ
}DEV_EVENT_TRAFFIC_HIGH_BEAM_INFO;

// ¼ EVENT_IVS_TRAFFIC_TRUCKFORBID(ֹ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFICTRUCKFORBID_INFO
{
	int					nChannel;									// ͨ
	char				szName[DH_EVENT_NAME_LEN];					// ¼
	int					nGroupID;									// ¼IDͬһץĹGroupIDͬ
	int					nCountInGroup;								// һ¼ڵץ
	int					nIndexInGroup;								// һ¼ڵץ
	double              PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         UTC;                                        // ¼ʱ
	int					UTCMS;										// UTCʱӦĺ
    int		            nEventID;                                   // ¼ID
	DH_MSG_OBJECT		stuObject;									// Ϣ
	DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
	int					nLane;										// 
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO   stTrafficCar;               // Ϣ
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
	DH_EVENT_FILE_INFO	stuFileInfo;								// ¼ӦļϢ
	DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO	stuResolution;								// ӦͼƬķֱ
	BYTE                byReserved[1016];                           // ֽ
} DEV_EVENT_TRAFFICTRUCKFORBID_INFO;

// ¼ EVENT_IVS_DRIVINGWITHOUTCARD(˼ʻ¼ӦݿϢ 
typedef struct tagDEV_EVENT_DRIVINGWITHOUTCARD_INFO
{
	int                 nChannelID;                                 // ͨ
	BYTE                byEventAction;								// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                byReserved[3];								// ֽ 
	double              PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         UTC;                                        // ¼ʱ
	DWORD				nEventID;									// ¼ID
	BYTE				byReserved1[1024];                          // ֽ
}DEV_EVENT_DRIVINGWITHOUTCARD_INFO;


// ¼ EVENT_IVS_HIGHSPEED(ٱ¼ӦݿϢ 
typedef struct tagDEV_EVENT_HIGHSPEED_INFO
{
	int								nChannelID;                     // ͨ
	int                             nAction;                   		// ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX			            UTC;							// ¼ʱ
	BYTE							byReserved[4];					// ֽ
	double				            dbPTS;							// ʱ(λǺ)	
	NET_GPS_STATUS_INFO 			stGPSStatusInfo;                // GPSϢ
	int								nSpeedLimit;					// ֵ(km/h)
	int								nCurSpeed;						// ǰٶ(km/h)
	int								nMaxSpeed;					    // ٶ(Km/h)
	NET_TIME_EX						stuStartTime;					// ʼʱ(ض),nActionΪ2ʱϱֶ
	BYTE                			byReserved1[1024];       		// ֽ  
}DEV_EVENT_HIGHSPEED_INFO;

// ȫӵȺܶб(Բ)Ϣ
typedef struct tagNET_CROWD_LIST_INFO
{
	DH_POINT			stuCenterPoint;				// ĵ,8192ϵ
	unsigned int		nRadiusNum;					// 뾶ص
	BYTE				byReserved[1024];			// ֽ
}NET_CROWD_LIST_INFO;

// ޵ıIDбϢ
typedef struct tagNET_REGION_LIST_INFO
{	
	unsigned int		nRegionID;				// õ±
	unsigned int		nPeopleNum;				// ͳֵ
	BYTE				byReserved[1024];		// ֽ
}NET_REGION_LIST_INFO;

// ҵ
typedef enum tagEM_ALARM_TYPE
{
	EM_ALARM_TYPE_UNKNOWN,								// δ֪
	EM_ALARM_TYPE_CROWD_DENSITY,						// ӵȺܶȱ
	EM_ALARM_TYPE_NUMBER_EXCEED,						// ޱ
	EM_ALARM_TYPE_CROWD_DENSITY_AND_NUMBER_EXCEED,		// ӵȺܶȱޱ
}EM_ALARM_TYPE;

#define RECT_POINT                2              // ʾε2㣨Ͻ½ǣ
#define MAX_CROWD_RECT_LIST       5              // Ϣ

// ȫӵȺܶб()Ϣ
typedef struct tagNET_CROWD_RECT_LIST_INFO
{
    DH_POINT			stuRectPoint[RECT_POINT];   // εϽǵ½ǵ,8192ϵʾεȺܶȾο
    BYTE				byReserved[32];			    // ֽ
}NET_CROWD_RECT_LIST_INFO;

// ¼ EVENT_IVS_CROWDDETECTION(Ⱥܶȼ¼ӦݿϢ 
typedef struct tagDEV_EVENT_CROWD_DETECTION_INFO
{
    int					  nChannelID;							// ͨ
    int					  nEventID;								// ¼ID
    double				  PTS;									// ʱ(λǺ)
    NET_TIME_EX			  UTC;									// ¼ʱ
    int                   nEventAction;							// ¼,1ʾ¼ʼ,2ʾ¼;
    EM_ALARM_TYPE		  emAlarmType;							// ҵ
    char				  szName[MAX_CROWD_DETECTION_NAME_LEN];	// ¼
    int					  nCrowdListNum;						// صȫӵȺܶб Բ
    int					  nRegionListNum;						// ص޵ıIDб 
    NET_CROWD_LIST_INFO	  stuCrowdList[MAX_CROWD_LIST_NUM];		// ȫӵȺܶбϢԲ
    NET_REGION_LIST_INFO  stuRegionList[MAX_REGION_LIST_NUM];	// ޵ıIDбϢ
    NET_EXTENSION_INFO    stuExtensionInfo;					    // չϢ
    int					  nCrowdRectListNum;					// صȫӵȺܶб ()
    NET_CROWD_RECT_LIST_INFO stuCrowdRectList[MAX_CROWD_RECT_LIST];  // ȫӵȺܶбϢ()
    BYTE				  byReserved[692];						// չֽ
}DEV_EVENT_CROWD_DETECTION_INFO;

// ¼ EVENT_IVS_TRAFFIC_CARDISTANCESHORT (С¼ӦݿϢ 
typedef struct tagDEV_EVENT_TRAFFIC_CARDISTANCESHORT_INFO
{
	int                 nChannelID;											// ͨ
	BYTE				byReserved[4];										// ֽڣΪ˶
	char				szName[MAX_EVENT_NAME_LEN];							// ¼
	double				dbPTS;												// ʱ(λǺ)
	NET_TIME_EX			UTC;												// ¼ʱ
	int					nEventID;											// ¼ID
	DH_MSG_OBJECT		stuObject;											// Ϣ
	DH_MSG_OBJECT       stuVehicle;											// Ϣ
	int					nLane;												// 
	int                 nSequence;											// ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
	DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO   stTrafficCar;						// Ϣ
	DH_EVENT_FILE_INFO	stuFileInfo;										// ¼ӦļϢ
	BYTE                byReserved1[1024];									// ֽ
	EVENT_COMM_INFO     stCommInfo;											// Ϣ
}DEV_EVENT_TRAFFIC_CARDISTANCESHORT_INFO;

// ¼ EVENT_IVS_TRAFFIC_QUEUEJUMP (¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_QUEUEJUMP_INFO
{
	int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    DWORD               nEventID;                                   // ¼ID
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
	DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO   stTrafficCar;               // Ϣ
    int                 nLane;                                      // Ӧ
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                byEventAction;                              // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                byReserved1[2];
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
	BYTE                byReserved[1024];                           // ֽ
} DEV_EVENT_TRAFFIC_QUEUEJUMP_INFO;

// ¼ EVENT_IVS_PEDESTRIAN_JUNCTION (˿¼) ӦݿϢ
typedef struct tagDEV_EVENT_PEDESTRIAN_JUNCTION_INFO
{
	int					nChannelID;									// ͨ
	char				szName[DH_EVENT_NAME_LEN];					// ¼ 
	int					nGroupID;									// ¼ID, ͬһץĹnGroupIDͬ
	int					nCountInGroup;								// һ¼ڵץ
	int					nIndexInGroup;								// һ¼ڵץţ1ʼ
	double				PTS;										// ¼(λǺ)
	NET_TIME_EX			UTC;										// ¼ʱ
	int					UTCMS;										// UTCʱӦĺ
	int					nEventID;									// ¼ID
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
	DH_MSG_OBJECT		stuObject;									// Ϣ
	int					nLane;										// е
	int					nSequence;									// ʾץ,3/2/1,1ʾץĽ,0ʾ쳣
	BYTE				byReserved[1024];							// ֽ
} DEV_EVENT_PEDESTRIAN_JUNCTION_INFO;

// ¼ EVENT_IVS_VEHICLE_SUSPICIOUSCAR (ɳ¼)ӦݿϢ
typedef struct tagDEV_EVENT_VEHICLE_SUSPICIOUSCAR_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                Reserved[4];                                // ֽڶ    
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    DWORD               nEventID;                                   // ¼ID
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ    
    int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                byEventAction;                              // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                byReserved1[2];
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                byReserved[4096];                           // ֽ
}DEV_EVENT_VEHICLE_SUSPICIOUSCAR_INFO;

// Ϣ
typedef struct tagEVENT_VEHICLE_INFO
{
	char				szCategory[MAX_CATEGORY_LEN];				// ͣPasserbyʾ
	BYTE				byReserved[64];								// Ԥֽ				
}EVENT_VEHICLE_INFO;

//¼ EVENT_IVS_TRAFFIC_PEDESTRAIN(ͨ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_PEDESTRAIN_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[8];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),0λ:"*",1λ:"Timing",2λ:"Manual",3λ:"Marked",4λ:"Event",5λ:"Mosaic",6λ:"Cutout" 
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bReserved2[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    EVENT_TRAFFIC_CAR_PART_INFO   stuTrafficCarPartInfo;            // ͨϢ
	EVENT_VEHICLE_INFO  stuVehicle;									// Ϣ
    BYTE                bReserved[252];                             // ֽ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_TRAFFIC_PEDESTRAIN_INFO;

//¼ EVENT_IVS_TRAFFIC_THROW(ͨƷ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_THROW_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[8];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),0λ:"*",1λ:"Timing",2λ:"Manual",3λ:"Marked",4λ:"Event",5λ:"Mosaic",6λ:"Cutout" 
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bReserved2[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nLane;                                      // Ӧ
    DH_MSG_OBJECT       stuObject;                                  // ⵽
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    EVENT_TRAFFIC_CAR_PART_INFO   stuTrafficCarPartInfo;            // ͨϢ
    NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض
    BYTE                bReserved[340];                             // ֽ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

}DEV_EVENT_TRAFFIC_THROW_INFO;

//¼ EVENT_IVS_TRAFFIC_IDLE(ͨ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_IDLE_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[8];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
    DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
    DWORD               dwSnapFlagMask;                             // ץͼ־(λ),0λ:"*",1λ:"Timing",2λ:"Manual",3λ:"Marked",4λ:"Event",5λ:"Mosaic",6λ:"Cutout" 
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bReserved2[2];
    BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    int                 nLane;                                      // Ӧ
    BYTE                bReserved[1024];                            // ֽ
    EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

}DEV_EVENT_TRAFFIC_IDLE_INFO;

// ¼ EVENT_IVS_TRAFFIC_TURNRIGHTAFTERSTRAIGHT(תúֱ)ӦݿϢ
typedef struct tagDEV_EVENT_TURNRIGHTAFTERSTRAIGHT_INFO
{
    int                 nChannelID;                                  // ͨ
    char                szName[DH_EVENT_NAME_LEN];                   // ¼
    char                bReserved[4];                                // ֽڱ
    double              dPTS;                                        // ʱ(λǺ)
    NET_TIME_EX         stuUTC;                                      // ¼ʱ
    int                 nEventID;                                    // ¼ID
    DH_EVENT_FILE_INFO  stuFileInfo;                                 // ¼ӦļϢ
    DH_MSG_OBJECT       stuObject;                                   // Ϣ
    DH_MSG_OBJECT       stuVehicle;                                  // Ϣ    
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO   stTrafficCar;                // Ϣ
    int                 nLane;                                       // 
    int                 nSequence;                                   // ץ, 3, 2, 1, 1ʾץĽ, 0ʾ쳣
	BYTE                byEventAction;								// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	BYTE                byReserved1[2];
	DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	BYTE				byReserved[1012];                            // ֽ
    EVENT_COMM_INFO     stCommInfo;                                  // Ϣ
}DEV_EVENT_TURNRIGHTAFTERSTRAIGHT_INFO;

// ¼ EVENT_IVS_TRAFFIC_TURNRIGHTAFTERPEOPLE(תֱ)ӦݿϢ
typedef struct tagDEV_EVENT_TURNRIGHTAFTERPEOPLE_INFO
{
	int					nChannelID;									// ͨ
	char				szName[DH_EVENT_NAME_LEN];					// ¼
	char				bReserved[4];								// ֽڱ
	double				dPTS;										// ʱ(λǺ)	
	NET_TIME_EX			stuUTC;										// ¼ʱ
	int					nEventID;									// ¼ID
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
	DH_MSG_OBJECT       stuObject;                                  // Ϣ
	DH_MSG_OBJECT       stuVehicle;                                 // Ϣ    
	DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO   stTrafficCar;               // Ϣ
	int					nLane;										// 
	int					nSequence;									// ץţ3, 2, 1, 1ʾץ0ʾץ쳣
	BYTE                byEventAction;                              // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	BYTE                byReserved1[2];
	DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	BYTE				byReserved[1012];							// ֽ
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
}DEV_EVENT_TURNRIGHTAFTERPEOPLE_INFO;

#define MAX_DRIVING_DIR_NUM          16                             //  ʻ

// ʻ
typedef enum tagNET_FLOWSTAT_DIRECTION
{
    DRIVING_DIR_UNKNOW = 0 ,                                        //֮ǰ
    DRIVING_DIR_APPROACH ,                                          //,豸ԽԽ
    DRIVING_DIR_LEAVE ,                                             //,豸ԽԽԶ
}NET_FLOWSTAT_DIRECTION;

// ·
typedef enum tagNET_ROAD_DIRECTION
{
    ROAD_DIR_UNKNOW,             // δ֪  
    ROAD_DIR_TURNLEFT,           // ת 
    ROAD_DIR_TURNRIGHT,          // ת
    ROAD_DIR_STRAIGHT,           // ֱ
    ROAD_DIR_UTURU,              // ͷ
    ROAD_DIR_NUM,    
}NET_ROAD_DIRECTION;

//ͳƳʻϢ 
typedef struct tagNET_TRAFFIC_FLOWSTAT_INFO_DIR
{
    NET_FLOWSTAT_DIRECTION      emDrivingDir;                       //ʻ
    char                        szUpGoing[FLOWSTAT_ADDR_NAME];      //еص 
    char                        szDownGoing[FLOWSTAT_ADDR_NAME];    //еص 
    BYTE                        reserved[32];                       //ֽ
    
}NET_TRAFFIC_FLOWSTAT_INFO_DIR;

//·ӵ״
typedef enum tagNET_TRAFFIC_JAM_STATUS
{
    JAM_STATUS_UNKNOW   =0  ,   //δ֪
    JAM_STATUS_CLEAR        ,   //ͨ
    JAM_STATUS_JAMMED       ,   //ӵ
    JAM_STATUS_SLOWED       ,   //ӵ
}NET_TRAFFIC_JAM_STATUS;

// ·ȼ
typedef enum tagNET_TRAFFIC_ROAD_RANK
{
	ROAD_RANK_UNKNOWN	=0	,
	ROAD_RANK_RAPID		=1	,	//·
	ROAD_RANK_TRUNK		=2	,	//·
	ROAD_RANK_SUBTRUNK	=3	,	//θ·
	ROAD_RANK_BRANCH	=4	,	//֧·
}NET_TRAFFIC_ROAD_RANK;

// Ϣ
typedef enum tagNET_EM_FLOW_ATTRIBUTE
{
	EM_FLOW_ATTRIBUTE_UNKNOWN = 0,
	EM_FLOW_ATTRIBUTE_FLOW_DETECTION,								// 
	EM_FLOW_ATTRIBUTE_QUEUE_DETECTION,								// ŶӼ
}NET_EM_FLOW_ATTRIBUTE;

typedef struct tagNET_TRAFFIC_FLOW_STATE 
{
    int                             nLane;                          // 
    DWORD                           dwState;                        // ״ֵ̬  emJamStateֶΪЧֵ(Ϊ JAM_STATUS_UNKNOW) ,dwStateֶЧ
                                                                    // 1- 
                                                                    // 2- ָ
                                                                    // 3- 
                                                                    // 4- С
                                                                    // 5- Сָ
    DWORD                           dwFlow;                         // ֵ, λ: 
    DWORD                           dwPeriod;                       // ֵӦͳʱ, λ:ӡdwPeriodByMiliһʹá
    NET_TRAFFIC_FLOWSTAT_INFO_DIR   stTrafficFlowDir;               // Ϣ
    int                             nVehicles;                      // ͨ
    float                           fAverageSpeed;                  // ƽ,λkm/h
    float                           fAverageLength;                 // ƽ,λ
    float                           fTimeOccupyRatio;               // ʱռ,λʱͨĳʱܺռλʱı
    float                           fSpaceOccupyRatio;              // ռռ,ٷʼĳܺͳʱڳƽʻ
    float                           fSpaceHeadway;                  // ͷ,ڳ֮ľ,λ/
    float                           fTimeHeadway;                   // ͷʱ,λ/
    float                           fDensity;                       // ܶ,ÿĳ,λ/km
    int                             nOverSpeedVehicles;             // ٳ
    int                             nUnderSpeedVehicles;            // ٳ
    int                             nLargeVehicles;                 // 󳵽ͨ(9<<12),/λʱ
    int                             nMediumVehicles;                // ͳͨ(6<<9),/λʱ
    int                             nSmallVehicles;                 // Сͨ(4<<6),/λʱ,
    int                             nMotoVehicles;                  // Ħнͨ(΢ͳ,<4),/λʱ,
    int                             nLongVehicles;                  // ͨ(>=12),/λʱ,
    int                             nVolume;                        // ͨ, /λʱ, ĳʱͨ·ͨһĳ,1Сʱ, 
    int                             nFlowRate;                      // С,/Сʱ, ͨ·ĳһĳһ·εĵСʱ
    int                             nBackOfQueue;                   // Ŷӳ,λ, źŽͣߵŶӳĩ֮ľ(ϵ dBackOfQueue)
    int                             nTravelTime;                    // ʱ,λ, ͨĳһ·ʱ䡣ͣ
    int                             nDelay;                         // ,λ,ʻԱ˿ͻ˻ѵĶгʱ
    BYTE                            byDirection[MAX_DRIVING_DIR_NUM]; // ,NET_ROAD_DIRECTION
    BYTE                            byDirectionNum;                 // ʻ
    BYTE                            reserved1[3];                    // ֽڶ
    NET_TRAFFIC_JAM_STATUS          emJamState;                     // ·ӵ״  ֶΪЧֵ(Ϊ JAM_STATUS_UNKNOW) ,ԴֶΪ׼, dwStateֶЧ
    //  ͳƽͨ
    int                             nPassengerCarVehicles;                      // ͳͨ(/λʱ)
    int                             nLargeTruckVehicles;                        // ͨ(/λʱ)
    int                             nMidTruckVehicles;                          // лͨ(/λʱ)
    int                             nSaloonCarVehicles;                         // γͨ(/λʱ)
    int                             nMicrobusVehicles;                          // ͨ(/λʱ)
    int                             nMicroTruckVehicles;                        // Сͨ(/λʱ)
    int                             nTricycleVehicles;                          // ֳͨ(/λʱ)
    int                             nMotorcycleVehicles;                        // Ħгͨ(/λʱ)
    int                             nPasserbyVehicles;                          // ˽ͨ(/λʱ)
	NET_TRAFFIC_ROAD_RANK			emRank;										// ·ȼ
	int								nState;										// ״̬
																				// 1- (ӵ)
																				// 2- ָ(Զ)
																				// 3- 
																				// 4- С(ͨ)
																				// 5- Сָ()
    BOOL                            bOccupyHeadCoil;                            // ͷȦǷռ TUREʾռãFALSEʾδռ
    BOOL                            bOccupyTailCoil;                            // βȦǷռ TUREʾռãFALSEʾδռ
    BOOL                            bStatistics;                                // ǷЧ TUREʾЧFALSEʾЧ

	int								nLeftVehicles;								// ת,λ:
	int								nRightVehicles;								// ת,λ:
	int								nStraightVehicles;							// ֱг,λ:
	int								nUTurnVehicles;								// ͷ,λ:
    DH_POINT                        stQueueEnd;                                 // ÿһ,8192ϵ
	double							dBackOfQueue;								// Ŷӳ,λ, źŽͣߵŶӳĩ֮ľ
	DWORD							dwPeriodByMili;								// ֵĺʱ,ֵ60000,dwPeriodһʹ,ֵʱ:dwPeriod*60*1000+dwPeriodByMili(λ)
    int								nBusVehicles;								// ͨ(/λʱ)
	int								nMPVVehicles;								// MPVͨ(/λʱ)
	int								nMidPassengerCarVehicles;					// пͳͨ(/λʱ)
	int								nMiniCarriageVehicles;						// ΢ͽγͨ(/λʱ)
	int								nOilTankTruckVehicles;						// ͹޳ͨ(/λʱ)
	int								nPickupVehicles;							// Ƥͨ(/λʱ)
	int								nSUVVehicles;								// SUVͨ(/λʱ)
	int								nSUVorMPVVehicles;							// SUVMPVͨ(/λʱ)
	int								nTankCarVehicles;							// ۹޳ͨ(/λʱ)
	int								nUnknownVehicles;							// δ֪ͨ(/λʱ)
	NET_EM_FLOW_ATTRIBUTE			emCustomFlowAttribute;						// Ϣ
	BYTE                            reserved[720];                              // ֽ
}NET_TRAFFIC_FLOW_STATE;

// ͨ¼Ϣtrafficflowstatinfo Ӧṹ 
typedef struct tagNET_TRAFFICFLOWSTATINFO
{
    DH_TRAFFICFLOWSTAT				stuTrafficFlowStat;				// ͨ״̬
	
	double							dbBackOfQueue;					// Ŷӳ
	NET_TRAFFIC_ROAD_RANK			emRank;							// ·ȼ
	int								nState;							// ״̬
																	// 1- (ӵ)
																	// 2- ָ(Զ)
																	// 3- 
																	// 4- С(ͨ)
																	// 5- Сָ()
    BYTE                            reserved[1024];                 // ֽ
}NET_TRAFFICFLOWSTATINFO; 


//¼ EVENT_IVS_TRAFFIC_FLOWSTATE(ͨ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_FLOW_STATE
{
    int                     nChannelID;                             // ͨ
    char                    szName[DH_EVENT_NAME_LEN];              // ¼
    char                    bReserved1[8];                          // ֽڶ
    DWORD                   PTS;                                    // ʱ(λǺ)
    NET_TIME_EX             UTC;                                    // ¼ʱ
    int                     nEventID;                               // ¼ID
    int                     nSequence;                              // 
    int                     nStateNum;                              // ״̬
    NET_TRAFFIC_FLOW_STATE  stuStates[DH_MAX_LANE_NUM];             // ״̬, ÿӦһԪ
	EVENT_INTELLI_COMM_INFO stuIntelliCommInfo;                 	// ¼Ϣ
	BYTE                    bReserved[892];                        // ֽ
}DEV_EVENT_TRAFFIC_FLOW_STATE;

// ¼EVENT_IVS_VIDEOSTATIC(Ƶ̬¼)ӦݿϢ, 
typedef struct tagDEV_EVENT_ALARM_VIDEOSTATIC_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[8];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    EM_ALARM_VIDEO_STATIC_MODE  emMode;                             // 豸ģʽ
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bReserved[1027];                            // ֽ
}DEV_EVENT_ALARM_VIDEOSTATIC_INFO;

// ¼EVENT_IVS_VIDEOTIMING(Ƶʱʱ)ӦݿϢ
typedef struct tagDEV_EVENT_ALARM_VIDEOTIMING_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[8];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                bReserved[1027];                            // ֽ
}DEV_EVENT_ALARM_VIDEOTIMING_INFO;


//¼ԴϢṹ
typedef struct tagDEV_SRC_INFO
{
    char          szSrcEvent[DH_COMMON_STRING_32];// ¼Դ
    NET_TIME_EX   stSrcTime;                      // ¼Դʱ
    int           iSrcChannel;                    // ¼Դͨ
    BYTE          reserved[512];                  // ֽ
}DEV_SRC_INFO;

//¼EVENT_IVS_LINKSD(LinkSD¼)ӦݿϢ
typedef struct tagDEV_EVENT_LINK_SD
{
    //ֶ
    int                 nChannelID;                         // ͨ
    char                szName[DH_EVENT_NAME_LEN];          // ¼
    char                bReserved1[8];                     // ֽڶ
    DWORD               PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID

    //¼Ӧֶ
    DEV_SRC_INFO       *pstSrcInfo;                         // ¼ԴϢ
    NET_TIME_EX         stStartTime;                        // Ԥõ㵽ʱ
    NET_TIME_EX         stEndTime;                          //Ԥõʱ
    int                 iPresetID;                          //תĶӦԤõ
    BYTE                reserved[512];                      //ֽ
    
}DEV_EVENT_LINK_SD;

// ¼EVENT_IVS_FLOWRATE(ʹ¼)ӦݿϢ
typedef struct tagDEV_EVENT_FLOWRATE_INFO
{
	//ֶ
    int                 nChannelID;                         // ͨ
    char                szName[DH_EVENT_NAME_LEN];          // ¼
    char                bReserved1[8];                     	// ֽڶ
    double              dbPTS;                              // ʱ(λǺ)
    NET_TIME_EX         stuTime;                            // ¼ʱ
    int                 nEventID;                           // ¼ID

	//¼Ӧֶ
	unsigned int 		nFlowRate;							// ֵ(MB)
	BYTE                reserved[1024];                     // ֽ
} DEV_EVENT_FLOWRATE_INFO;

// ¼ EVENT_IVS_CITIZENIDCARD(֤Ϣȡ¼)ӦݿϢ
typedef struct tagDEV_EVENT_ALARM_CITIZENIDCARD_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[8];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    ///////////////////////////////Ϊֶ//////////////////////////////
    int                 nGroupID;                                   // nGroupID¼ID,ͬһץĹnGroupIDͬ
    int                 nCountInGroup;                              // nCountInGroupһ¼ڵץ
    int                 nIndexInGroup;                              // IndexInGroupһ¼ڵץ
    char                szCitizen[DH_COMMON_STRING_64];             // 
    EM_CITIZENIDCARD_SEX_TYPE   emSex;                              // Ա
    int                 nEthnicity;                                 // 
    // 0 Ч
    // 1 
    // 2 ɹ
    // 3 
    // 4 
    // 5 ά
    // 6 
    // 7 
    // 8 ׳
    // 9 
    // 10 
    // 11 
    // 12 
    // 13 
    // 14 
    // 15 
    // 16 
    // 17 
    // 18 
    // 19 
    // 20 
    // 21 
    // 22 
    // 23 ɽ
    // 24 
    // 25 ˮ
    // 26 
    // 27 
    // 28 
    // 29 ¶
    // 30 
    // 31 Ӷ
    // 32 
    // 33 Ǽ
    // 34 
    // 35 
    // 36 ë
    // 37 
    // 38 
    // 39 
    // 40 
    // 41 
    // 42 ŭ
    // 43 α
    // 44 ˹
    // 45 ¿
    // 46 °
    // 47 
    // 48 ԣ
    // 49 
    // 50 
    // 51 
    // 52 ״
    // 53 
    // 54 Ű
    // 55 
    // 56 ŵ
    NET_TIME            stuBirth;                                   // 
    char                szAddress[DH_COMMON_STRING_256];            // סַ
    char                szNumber[DH_COMMON_STRING_64];              // ֤
    char                szAuthority[DH_COMMON_STRING_256];          // ǩ
    NET_TIME            stuStart;                                   // ʼ
    BOOL                bLongTimeValidFlag;                         // ֵΪ TRUE, ֹ ʾЧ,ʱ stuEnd ֵ
    // ֵΪ FALSE, ʱ ֹ 鿴 stuEnd ֵ
    NET_TIME            stuEnd;                                     // ֹ,bLongTimeValidFlag Ϊ FALSE ʱЧ
    char                szReversed[1024];                           // ֽ
}DEV_EVENT_ALARM_CITIZENIDCARD_INFO;

// ¼ EVENT_IVS_PICINFO(ͼƬϢ¼)ӦݿϢ
typedef struct tagDEV_EVENT_ALARM_PIC_INFO 
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[8];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ(豸֧)
    int                 nEventID;                                   // ¼ID
	///////////////////////////////Ϊֶ//////////////////////////////
	NET_TIME_EX         stuTime;                                    // ¼ʱ, (豸ʱ, һutcʱ)
    DWORD               dwEventType;                                // ¼
    DWORD               dwSpeed;                                    // ,λkm/h
	DWORD               dwSpeedHighLine;                            // ޱֵ, λkm/h
    DWORD               dwDisk;                                     // ̺
    DWORD               dwCluster;                                  // غ
    DWORD               dwPartition;                                // 
    char                szSnapAddr[DH_COMMON_STRING_128];           // ץͼص, Ч64ֽ
    char                szPicID[DH_COMMON_STRING_32];               // ͼƬΨһID
    char                szPlate[DH_COMMON_STRING_16];               // 
    char                szReversed[2000];                           // ֽ
}DEV_EVENT_ALARM_PIC_INFO;

//ͼƬ
typedef enum tagEM_ACCESS_CTL_IMAGE_TYPE
{
	EM_ACCESS_CTL_IMAGE_UNKNOWN = -1,					// δ֪
	EM_ACCESS_CTL_IMAGE_LOCAL,							// ͼ
	EM_ACCESS_CTL_IMAGE_SCENE,							// 㳡ͼ
	EM_ACCESS_CTL_IMAGE_FACE,							// ͼ
    EM_ACCESS_CTL_IMAGE_INFRARED,						// ץͼ
}EM_ACCESS_CTL_IMAGE_TYPE;


//ͼƬϢ
typedef struct tagDEV_ACCESS_CTL_IMAGE_INFO
{
	EM_ACCESS_CTL_IMAGE_TYPE	emType;					// ͼƬ
	UINT						nOffSet;				// ƿƫֽ
	UINT						nLength;				// ͼƬС
	UINT						nWidth;					// ͼƬ(λ:)
	UINT						nHeight;				// ͼƬ߶(λ:)
	NET_RECT            		stuBoundingBox;         // Χ
	BYTE						byReserved[48];			// ֽ
}DEV_ACCESS_CTL_IMAGE_INFO;

// ԱϢ
typedef struct tagDEV_ACCESS_CTL_CUSTOM_WORKER_INFO
{
    NET_ACCESSCTLCARD_SEX       emSex;                                      // Ա
    char                        szRole[MAX_COMMON_STRING_32];               // ɫ
    char                        szProjectNo[MAX_COMMON_STRING_32];          // ĿID
    char                        szProjectName[MAX_COMMON_STRING_64];        // Ŀ
    char                        szBuilderName[MAX_COMMON_STRING_64];        // ʩλȫ
    char                        szBuilderID[MAX_COMMON_STRING_32];          // ʩλID
    char                        szBuilderType[MAX_COMMON_STRING_32];        // ʩλ
    char                        szBuilderTypeID[MAX_COMMON_STRING_8];       // ʩλID
    char                        szPictureID[MAX_COMMON_STRING_64];          // ԱƬID
    char                        szContractID[MAX_COMMON_STRING_16];         // ԭͬϵͳͬ
    char                        szWorkerTypeID[MAX_COMMON_STRING_8];        // ID
    char                        szWorkerTypeName[MAX_COMMON_STRING_32];     // 
    BOOL                        bPersonStatus;                              // Ա״̬, TRUE:, FALSE:
    BYTE						byReserved[256];			                // ֽ
}DEV_ACCESS_CTL_CUSTOM_WORKER_INFO;

// ¼ EVENT_IVS_ACCESS_CTL(Ž¼)ӦݿϢ
typedef struct tagDEV_EVENT_ACCESS_CTL_INFO 
{
    int                         nChannelID;                         // ͨ
    char                        szName[DH_EVENT_NAME_LEN];          // ¼
    char                		bReserved1[4];                      // ֽڶ
    double              		PTS;                                // ʱ(λǺ)
    NET_TIME_EX         		UTC;                                // ¼ʱ
    int                 		nEventID;                           // ¼ID        
    DH_MSG_OBJECT           	stuObject;                          // ⵽
	DH_EVENT_FILE_INFO			stuFileInfo;	                    // ¼ӦļϢ
    NET_ACCESS_CTL_EVENT_TYPE   emEventType;                        // Ž¼
    BOOL                        bStatus;                            // ˢ,TRUEʾɹ,FALSEʾʧ
    NET_ACCESSCTLCARD_TYPE      emCardType;                         // 
    NET_ACCESS_DOOROPEN_METHOD  emOpenMethod;                       // ŷʽ
    char                        szCardNo[DH_MAX_CARDNO_LEN];        // 
    char                        szPwd[DH_MAX_CARDPWD_LEN];          // 
    char                        szReaderID[DH_COMMON_STRING_32];    // ŶID
    char                        szUserID[DH_COMMON_STRING_64];      // û
    char                        szSnapURL[DH_COMMON_STRING_128];    // ץƬ洢ַ
    int                         nErrorCode;                         // ʧܵԭ,bStatusΪFALSEʱЧ
                                                                    // 0x00 ûд
                                                                    // 0x10 δȨ
                                                                    // 0x11 ʧע
                                                                    // 0x12 ûиȨ
                                                                    // 0x13 ģʽ
                                                                    // 0x14 Чڴ
                                                                    // 0x15 Ǳģʽ
                                                                    // 0x16 вȱδ
                                                                    // 0x17 ų״̬
                                                                    // 0x18 AB״̬
                                                                    // 0x19 Ѳ߿
                                                                    // 0x1A 豸ڴ뱨״̬
                                                                    // 0x20 ʱδ
                                                                    // 0x21 ڿʱδ
                                                                    // 0x30 Ҫ֤׿Ȩ޵ĿƬ
                                                                    // 0x40 Ƭȷ,
                                                                    // 0x41 Ƭȷ,볬ʱ
                                                                    // 0x42 Ƭȷ,ָƴ
                                                                    // 0x43 Ƭȷ,ָƳʱ
                                                                    // 0x44 ָȷ,
                                                                    // 0x45 ָȷ,볬ʱ
                                                                    // 0x50 Ͽ˳
                                                                    // 0x51 ϿҪ֤
                                                                    // 0x60 ֤ͨ,̨δȨ
                                                                    // 0x61 Ƭȷ,
                                                                    // 0x62 Ƭȷ,ʱ
                                                                    // 0x63 ظ
                                                                    // 0x64 δȨ,Ҫƽ̨ʶ
    int                         nPunchingRecNo;                     // ˢ¼еļ¼
	int							nNumbers;							// ץͼ
    BYTE						byImageIndex;	                    // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ	
	BYTE                        byReserved[3];                      // ֽڶ
	DWORD						dwSnapFlagMask;						// ץͼ־(λ), NET_RESERVED_COMMON        
    NET_ATTENDANCESTATE         emAttendanceState;                  // ״̬
	char						szClassNumber[MAX_CLASS_NUMBER_LEN];	// ༶ڿǶƣ
	char						szPhoneNumber[MAX_PHONENUMBER_LEN];		// 绰ڿǶƣ
	char						szCardName[DH_MAX_CARDNAME_LEN];			// 
	UINT                          uSimilarity;                         // ʶƶ,ΧΪ0~100
	DEV_ACCESS_CTL_IMAGE_INFO	stuImageInfo[6];						// ͼƬϢ
	int							nImageInfoCount;							// ͼƬϢ
	char						szCitizenIDNo[20];						// ֤
	UINT						nGroupID;							// ¼ID
    int				            nCompanionCardCount;					// ͬ߿Ÿ
    char				        szCompanionCards[MAX_COMPANION_CARD_NUM][DH_MAX_CARDINFO_LEN];    // ͬ߿Ϣ
    DEV_ACCESS_CTL_CUSTOM_WORKER_INFO  stuCustomWorkerInfo;                 // ԱϢ
	EM_CARD_STATE				emCardState;						// ǰ¼ǷΪɼƬ
	char						szSN[32];							// 豸к
	EM_HAT_STYLE				emHatStyle;							// ñ
	EM_UNIFIED_COLOR_TYPE		emHatColor;							// ñɫ
	EM_LIFT_CALLER_TYPE			emLiftCallerType;					// ݿطʽ
    BYTE						bReserved[464];					    // ֽ,չ.
}DEV_EVENT_ACCESS_CTL_INFO;

//¼ EVENT_IVS_NETPALYCHECK(Ǽ¼)ӦݿϢ
typedef struct tagDEV_EVENT_ALARM_NETPLAYCHECK_INFO
{
	int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[8];                              // ֽڶ
    DWORD               PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    ///////////////////////////////Ϊֶ//////////////////////////////
	NET_TIME_EX         stuTime;                                    // ¼ʱ, (豸ʱ, һutcʱ)
	char				szIdentityCard[DH_COMMON_STRING_32];		//Ա֤
	char				szNetBarName[DH_COMMON_STRING_32];			//
	char				szNetBarID[DH_COMMON_STRING_32];			//ɱ
	char				szNetBarAddr[DH_COMMON_STRING_64];			//ɵַ
}DEV_EVENT_ALARM_NETPLAYCHECK_INFO;

#define MAX_SNAPBYTIME_DATA_NUM 20
// û
typedef struct tagEVENT_SNAPBYTIME_DATA
{
	DWORD				dwLiquidLevel;								  // Һλֵ,λmm
	DWORD				dwDistMeasure;								  // ֵ,λmm
	int					nTemperature;								  // ¶ֵ,λ
	int					nHumidity;									  // ʪֵ,λRH
	DWORD				dwWaterFlow;									  // ֵ,λm^3
	BOOL				bAlarmFlag;									  // ״̬  FALSE,   TRUE
	char                szReversed[40];                               // ֽ
}EVENT_SNAPBYTIME_DATA;

//¼ EVENT_IVS_SNAPBYTIME(ʱץͼ¼)ӦݿϢ
typedef struct tagDEV_EVENT_SNAPBYTIME
{
	int                 nChannelID;                                   // ͨ
    char                szName[DH_EVENT_NAME_LEN];                    // ¼
    char                bReserved1[4];                                // ֽڶ
    double              PTS;                                          // ʱ(λǺ)
    NET_TIME_EX         UTC;                                          // ¼ʱ
    int                 nEventID;                                     // ¼ID
    ///////////////////////////////ΪֶΣnChannelIDֶΪԤֶοռ//////////////////////////////
    NET_TIME_EX         stuSnapTime;                                  // ץͼʱ
	unsigned int		uLiquidLevel;								  // Һλֵ,λmm
	unsigned int		uDistMeasure;								  // ֵ,λmm
	int					nTemperature;								  // ¶ֵ,λ
	int					nHumidity;									  // ʪֵ,λRH

	int					nDataNum;									  // ݸ
	EVENT_SNAPBYTIME_DATA	stuDataList[MAX_SNAPBYTIME_DATA_NUM];	  // б
    char                szReversed[748];                              // ֽ
}DEV_EVENT_SNAPBYTIME;

// ¼EVENT_IVS_MAN_STAND_DETECTION(Ӿվ¼)ӦݿϢ
typedef struct tagDEV_EVENT_MANSTAND_DETECTION_INFO
{
	int                 		nChannelID;                 // ͨ
    char                		szName[DH_EVENT_NAME_LEN];  // ¼
    char                		bReserved1[4];              // ֽڶ,Ǳֽ
    double              		PTS;                        // ʱ(λǺ)
    NET_TIME_EX         		UTC;                        // ¼ʱ
    int                 		nEventID;                   // ¼ID
    ///////////////////////////////ΪֶΣnChannelIDֶΪԤֶοռ//////////////////////////////
	int                 		nAction;                    // 0: 1:ʼ 2:ֹͣ
	int							nManListCount;				// Աб
	MAN_STAND_LIST_INFO			stuManList[MAX_MAN_LIST_COUNT];	// Աб
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	char                		szReversed[2048];           // ֽ
} DEV_EVENT_MANSTAND_DETECTION_INFO;

// ¼EVENT_IVS_MAN_NUM_DETECTION(Ӿͳ¼)ӦݿϢ
typedef struct tagDEV_EVENT_MANNUM_DETECTION_INFO
{
	int                 		nChannelID;                 // ͨ
    char                		szName[DH_EVENT_NAME_LEN];  // ¼
    char                		bReserved1[4];              // ֽڶ, Ǳֽ
    double              		PTS;                        // ʱ(λǺ)
    NET_TIME_EX         		UTC;                        // ¼ʱ
    int                 		nEventID;                   // ¼ID
    ///////////////////////////////ΪֶΣnChannelIDֶΪԤֶοռ//////////////////////////////
	int                 		nAction;                    // 0: 1:ʼ 2:ֹͣ
	int							nManListCount;				// Աб
	MAN_NUM_LIST_INFO			stuManList[MAX_MAN_LIST_COUNT];	// Աб
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	UINT						nAreaID;					// ID(һԤõԶӦID)
    UINT                        nPrevNumber;                // 仯ǰ
    UINT                        nCurrentNumber;             // ǰ
	char                		szReversed[2036];           // ֽ
} DEV_EVENT_MANNUM_DETECTION_INFO;

// ¼ EVENT_IVS_QUEUENUM_DETECTIONŶ쳣¼ӦݿϢ
typedef struct tagDEV_EVENT_QUEUENUM_DETECTION_INFO
{
	int                 		nChannelID;                 // ͨ
	char                		szName[DH_EVENT_NAME_LEN];  // ¼
	char                		bReserved1[4];              // ֽڶ, Ǳֽ
	double              		PTS;                        // ʱ(λǺ)
	NET_TIME_EX         		UTC;                        // ¼ʱ
	DWORD                 		nEventID;                   // ¼ID
	int							nAction;                    // 0: 1:ʼ 2:ֹͣ
	///////////////////////////////ΪֶΣnChannelIDֶΪԤֶοռ//////////////////////////////
	UINT						nAreaID;					// ID(һԤõԶӦID)
	int							nMaxManListNum;				// ڼ⵽Ա
	MAN_NUM_LIST_INFO			stuManList[MAX_MAN_LIST_COUNT];	// Աб
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	DH_EVENT_FILE_INFO			stuFileInfo;                // ¼ӦļϢ
	BYTE                		byReversed[1024];           // ֽ
} DEV_EVENT_QUEUENUM_DETECTION_INFO;

// ¼ EVENT_IVS_GENERATEGRAPH_DETECTIONͼ򣩶ӦݿϢ
typedef struct tagDEV_EVENT_GENERATEGRAPH_DETECTION_INFO
{	
	int                 		nChannelID;                 // ͨ
	char                		szName[DH_EVENT_NAME_LEN];  // ¼
	char                		bReserved1[4];              // ֽڶ, Ǳֽ
	double              		PTS;                        // ʱ(λǺ)
	NET_TIME_EX         		UTC;                        // ¼ʱ
	int                 		nEventID;                   // ¼ID
	int							nAction;                    // 0: 1:ʼ 2:ֹͣ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	DH_EVENT_FILE_INFO			stuFileInfo;                // ¼ӦļϢ
	///////////////////////////////ΪֶΣnChannelIDֶΪԤֶοռ//////////////////////////////
	BYTE                		byReversed[1024];           // ֽ
} DEV_EVENT_GENERATEGRAPH_DETECTION_INFO;

// ¼EVENT_IVS_TIREDPHYSIOLOGICAL(ƣͼʻ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TIREDPHYSIOLOGICAL_INFO
{
    int                 nChannelID;                         // ͨ
    char                szName[DH_EVENT_NAME_LEN];          // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID

    int                 nAction;                            // 0: 1:ʼ 2:ֹͣ
    NET_GPS_STATUS_INFO stuGPSStatus;                       // GPSϢ
    char                szDriverID[32];                     // ˾ID
    char                szVideoPath[256];                   // Υ¹ƵFTPϴ·
    BYTE                bReserved[736];                     // ֽ,չ. 
} DEV_EVENT_TIREDPHYSIOLOGICAL_INFO;

// ¼EVENT_IVS_TRAFFIC_TIREDLOWERHEAD(ͷ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TIREDLOWERHEAD_INFO
{
    int                 nChannelID;                         // ͨ
    char                szName[DH_EVENT_NAME_LEN];          // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID

    NET_GPS_STATUS_INFO stuGPSStatus;                       // GPSϢ
    char                szDriverID[32];                     // ˾ID
    char                szVideoPath[256];                   // Υ¹ƵFTPϴ·
    BYTE                bReserved[736];                     // ֽ,չ. 
} DEV_EVENT_TIREDLOWERHEAD_INFO;

// ¼EVENT_IVS_TRAFFIC_DRIVERLOOKAROUND(α¼)ӦݿϢ
typedef struct tagDEV_EVENT_DRIVERLOOKAROUND_INFO
{
    int                 nChannelID;                         // ͨ
    char                szName[DH_EVENT_NAME_LEN];          // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID

    NET_GPS_STATUS_INFO stuGPSStatus;                       // GPSϢ
    char                szDriverID[32];                     // ˾ID
    char                szVideoPath[256];                   // Υ¹ƵFTPϴ·
    BYTE                bReserved[736];                     // ֽ,չ. 
} DEV_EVENT_DRIVERLOOKAROUND_INFO;

// ¼EVENT_IVS_INFRAREDBLOCK(ϱ¼)ӦݿϢ
typedef struct tagDEV_EVENT_INFRAREDBLOCK_INFO
{
    int                 nChannelID;                         // ͨ
    char                szName[DH_EVENT_NAME_LEN];          // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID

    NET_GPS_STATUS_INFO stuGPSStatus;                       // GPSϢ
    char                szDriverID[32];                     // ˾ID
    char                szVideoPath[256];                   // Υ¹ƵFTPϴ·
    BYTE                bReserved[736];                     // ֽ,չ. 
} DEV_EVENT_INFRAREDBLOCK_INFO;

// ¼EVENT_IVS_TRAFFIC_DRIVERLEAVEPOST(ڱ¼)ӦݿϢ
typedef struct tagDEV_EVENT_DRIVERLEAVEPOST_INFO
{
    int                 nChannelID;                                   // ͨ
    char                szName[DH_EVENT_NAME_LEN];                    // ¼
    char                bReserved1[4];                                // ֽڶ
    double              PTS;                                          // ʱ(λǺ)
    NET_TIME_EX         UTC;                                          // ¼ʱ
    int                 nEventID;                                     // ¼ID

    NET_GPS_STATUS_INFO stuGPSStatus;                                 // GPSϢ
    char                szDriverID[32];                               // ˾ID
    char                szVideoPath[256];                             // Υ¹ƵFTPϴ·
    BYTE                bReserved[736];                               // ֽ,չ. 
} DEV_EVENT_DRIVERLEAVEPOST_INFO;

// ¼ EVENT_IVS_TRAFFIC_DRIVERYAWN (Ƿ¼) ӦݿϢ
typedef struct tagDEV_EVENT_DRIVERYAWN_INFO
{
    int                 nChannelID;                                   // ͨ
    char                szName[DH_EVENT_NAME_LEN];                    // ¼
    char                szReserved1[4];                               // ֽڶ
    double              PTS;                                          // ʱ(λǺ)
    NET_TIME_EX         UTC;                                          // ¼ʱ
    int                 nEventID;                                     // ¼ID

    NET_GPS_STATUS_INFO stuGPSStatus;                                 // GPSϢ
    char                szDriverID[32];                               // ˾ID
    char                szVideoPath[256];                             // Υ¹ƵFTPϴ·
    BYTE                byReserved[736];                              // ֽ,չ. 
} DEV_EVENT_DRIVERYAWN_INFO;

// ͼƬ
typedef enum tagEM_FIREWARNING_PIC_TYPE
{
	EM_PIC_UNKNOWN,		// δ֪
	EM_PIC_NONE,		// 
	EM_PIC_OVERVIEW,	// ȫͼ
	EM_PIC_DETAIL,		// ϸͼ
}EM_FIREWARNING_PIC_TYPE;
// ¼ EVENT_IVS_FIREWARNING(¼) ӦݿϢ
typedef struct tagDEV_EVENT_FIREWARNING_INFO
{
	int								nChannelID;									// ͨ
	char							szName[DH_EVENT_NAME_LEN];                  // ¼
	DH_EVENT_FILE_INFO				stuFileInfo;								// ¼ӦļϢ
	int								nAction;									// 1:ʼ 2:ֹͣ
	UINT							nFSID;										// Uint32	ID
	EM_FIREWARNING_PIC_TYPE			emPicType;									// ͼƬ
	BOOL							bIsLeaveFireDetect;							// ǷڻĿ(TRUE: FALSE:)
	BYTE							byReserved[1012];							// ֽ
}DEV_EVENT_FIREWARNING_INFO;


// ⵽˵Ϣ
typedef enum tagEM_DETECT_OBJECT
{
	EM_DETECT_OBJECT_UNKNOWN,					// δ֪Ϣ
	EM_DETECT_OBJECT_HUMAN_BODY_AND_FACE,		// 
	EM_DETECT_OBJECT_HUMAN_BODY,				// 
	EM_DETECT_OBJECT_HUMAN_FACE,				// 
}EM_DETECT_OBJECT;

// ͼƬϢ
typedef struct tagHUMAN_IMAGE_INFO
{
	unsigned int       nOffSet;					// ƫ 		
	unsigned int	   nLength;					// ͼƬС,λֽ
	unsigned int	   nWidth;					// ͼƬ
	unsigned int	   nHeight;					// ͼƬ߶
	BYTE			   byReserved[56];			// Ԥֽ
}HUMAN_IMAGE_INFO;

// ͼƬϢ
typedef struct tagFACE_IMAGE_INFO
{
	unsigned int	   nOffSet;					// ƫ   
	unsigned int	   nLength;					// ͼƬС,λֽ
	unsigned int	   nWidth;					// ͼƬ
	unsigned int	   nHeight;					// ͼƬ߶
	BYTE			   byReserved[56];			// Ԥֽ
}FACE_IMAGE_INFO;

// Ϣ
typedef struct tagHUMAN_ATTRIBUTES_INFO
{
	EM_CLOTHES_COLOR    emCoatColor;									// ɫ
	EM_COAT_TYPE		emCoatType;										// 
	EM_CLOTHES_COLOR	emTrousersColor;								// ɫ
	EM_TROUSERS_TYPE	emTrousersType;									// 
	EM_HAS_HAT			emHasHat;										// Ƿñ
	EM_HAS_BAG			emHasBag;										// Ƿ
	NET_RECT            stuBoundingBox;								    // Χ(8192ϵ)

	int					nAge;											// 
	EM_SEX_TYPE			emSex;											// Ա
	EM_ANGLE_TYPE		emAngle;										// Ƕ
	EM_HAS_UMBRELLA		emHasUmbrella;									// Ƿɡ
	EM_BAG_TYPE			emBag;											// 
	EM_CLOTHES_PATTERN	emUpperPattern;									// ϰ·ͼ
	EM_HAIR_STYLE		emHairStyle;									// ͷʽ
	EM_CAP_TYPE			emCap;											// ñ
	NET_POINT           stuHumanCenter;                                 // (ǰΧ), 0-8191, ڴͼ
	BYTE				byReserved[76];									// Ԥֽ
}HUMAN_ATTRIBUTES_INFO;

// 
typedef struct tagNET_FACE_ATTRIBUTE
{
	EM_DEV_EVENT_FACEDETECT_SEX_TYPE 		emSex;						// Ա
	int        								nAge;						// ,-1ʾֶЧ
    unsigned int        					nFeatureValidNum;           // Ч, emFeature ʹ
    EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE    emFeatures[DH_MAX_FACEDETECT_FEATURE_NUM];   // , nFeatureValidNum ʹ
	EM_COMPLEXION_TYPE						emComplexion;				// ɫ
	EM_EYE_STATE_TYPE						emEye;						// ۾״̬
	EM_MOUTH_STATE_TYPE						emMouth;					// ״̬
	EM_MASK_STATE_TYPE 						emMask;						// ״̬
	EM_BEARD_STATE_TYPE						emBeard;					// ״̬
	int										nAttractive;				// ֵ, 0δʶʶʱΧ1-100,÷ָ
	NET_RECT								stuBoundingBox;				// Χ(8192ϵ)

    NET_EULER_ANGLE				            stuFaceCaptureAngle;		// ץͼƬеĽǶϢ, nPitch:̧ͷͷĸ, nYawתͷƫ, nRollͷƽƫƫķ
                                                                        // ǶֵȡֵΧ[-90,90], ǶֵΪ999ʾ˽ǶϢЧ
    UINT                                    nFaceQuality;               // ץ,Χ 0~10000 
    int                                     nFaceAlignScore;            // ÷ַ,Χ 0~10000,-1ΪЧֵ
    int                                     nFaceClarity;               // ȷ,Χ 0~10000,-1ΪЧֵ
    NET_POINT                               stuFaceCenter;              // (ǰΧ), 0-8191, ڴͼ
    BYTE                					bReserved[84];              // ֽ,չ.
} NET_FACE_ATTRIBUTE;

// ǰʲô¼
typedef struct tagNET_HUMANTRAIT_EXTENSION_INFO
{
	char                szAdditionalCode[MAX_HUMANTRAIT_EVENT_LEN];     // ǰʲô¼,豸պ÷32ֽݣ4ֽֽڶַ
	BYTE                byReserved[32];                                 // ֽ
} NET_HUMANTRAIT_EXTENSION_INFO;

// ֵڶеλϢ
typedef struct tagNET_HUMAN_FEATURE_VECTOR_INFO
{
    UINT                nOffset;            // ֵڶеƫ, λ:ֽ
    UINT                nLength;            // ֵݳ, λ:ֽ
    BYTE                byReserved[32];     // ֽ
} NET_HUMAN_FEATURE_VECTOR_INFO;

// ֵڶеλϢ
typedef struct tagNET_FACE_FEATURE_VECTOR_INFO
{
    UINT                nOffset;            // ֵڶеƫ, λ:ֽ
    UINT                nLength;            // ֵݳ, λ:ֽ
    BYTE                byReserved[32];     // ֽ
} NET_FACE_FEATURE_VECTOR_INFO;

// ¼ EVENT_IVS_HUMANTRAIT(¼)ӦݿϢ 
typedef struct tagDEV_EVENT_HUMANTRAIT_INFO
{
	int					nChannelID;									  // ͨ
	char				szName[DH_EVENT_NAME_LEN];					  // ¼
	int                 nEventID;                                     // ¼ID
	double              PTS;                                          // ʱ(λǺ)
	NET_TIME_EX         UTC;                                          // ¼ʱ
	int                 nAction;                                      // 1:ʼ 2:ֹͣ
	
	EM_CLASS_TYPE		emClassType;								  // ¼
	int					nGroupID;									  // ¼IDһμĶnGroupIDͬ
	int					nCountInGroup;								  // һ¼ڵץ(),һμĶnCountInGroupͬ
	int					nIndexInGroup;								  // һ¼ڵץţ1ʼ
	HUMAN_IMAGE_INFO	stuHumanImage;								  // ͼƬϢ
	FACE_IMAGE_INFO		stuFaceImage;								  // ͼƬϢ
	EM_DETECT_OBJECT	emDetectObject;								  // ⵽˵Ϣ
	HUMAN_ATTRIBUTES_INFO  stuHumanAttributes;						  // 
    SCENE_IMAGE_INFO    stuSceneImage;                                // ȫͼϢ
	NET_FACE_ATTRIBUTE	stuFaceAttributes;							  // 
	FACE_SCENE_IMAGE	stuFaceSceneImage;							  // ȫͼ
	NET_EXTENSION_INFO  stuExtensionInfo;                             // չϢ
 	NET_HUMANTRAIT_EXTENSION_INFO   stuHumanTrait;                    // ¼ʾǰɸ¼
    NET_HUMAN_FEATURE_VECTOR_INFO   stuHumanFeatureVectorInfo;        // ֵڶеλϢ
    EM_FEATURE_VERSION              emHumanFeatureVersion;            // ֵ汾
    NET_FACE_FEATURE_VECTOR_INFO    stuFaceFeatureVectorInfo;         // ֵڶеλϢ
    EM_FEATURE_VERSION              emFaceFeatureVersion;             // ֵ汾
}DEV_EVENT_HUMANTRAIT_INFO;

// ¼EVENT_IVS_BUSSHARPTURN(ת¼)ӦݿϢ
typedef struct tagDEV_EVENT_BUSSHARPTURN_INFO
{
	int                 nChannelID;                                   // ͨ
    char                szName[DH_EVENT_NAME_LEN];                    // ¼
    char                bReserved1[4];                                // ֽڶ
    double              PTS;                                          // ʱ(λǺ)
    NET_TIME_EX         UTC;                                          // ¼ʱ
    int                 nEventID;                                     // ¼ID

	int                 nAction;                                      // 0: 1:ʼ 2:ֹͣ
	NET_GPS_STATUS_INFO stuGPSStatus;                                 // GPSϢ
    BYTE				bReserved[1024];							  // ֽ,չ. 
} DEV_EVENT_BUSSHARPTURN_INFO;

// ¼ EVENT_IVS_TRAFFIC_ELETAGINFO(RFIDӳƱǩ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_ELETAGINFO_INFO
{
	
	int                 nChannelID;							// ͨ
    char                szName[DH_EVENT_NAME_LEN];			// ¼
    char                bReserved1[4];						// ֽڶ
    double              PTS;								// ʱ(λǺ)
    NET_TIME_EX         UTC;								// ¼ʱ
    int                 nEventID;							// ¼ID
    ///////////////////////////////Ϊֶ//////////////////////////////
    int                 nAction;                            // 0: 1:ʼ 2:ֹͣ
    NET_RFIDELETAG_INFO	stuRFIDEleTagInfo;					// RFIDӳƱǩϢ
	int					nRetChannelNum;						// ͨ
	int					nLinkChannel[DH_MAX_CHANNUM];		// ͨ,ͨŴ0ʼ
	BYTE				bReserved[956];						// ֽ,չ. 
} DEV_EVENT_TRAFFIC_ELETAGINFO_INFO;


// ͼƬļ
typedef enum tagEM_PASS_CHANGE_PICTURE_TYPE
{
	EM_PASS_CHANGE_PICTURE_TYPE_UNKNOWN,					// δ֪
	EM_PASS_CHANGE_PICTURE_TYPE_PASS,						// ʷͼƬ
	EM_PASS_CHANGE_PICTURE_TYPE_REAL,						// ʵʱͼƬ
} EM_PASS_CHANGE_PICTURE_TYPE;

// ¼ EVENT_IVS_PASS_CHANGE(ԤõͼƬ仯¼)ӦݿϢ
typedef struct tagDEV_EVENT_PASS_CHANGE_INFO
{
	int                 nChannelID;							// ͨ
    char                szName[DH_EVENT_NAME_LEN];          // ¼
    char                szReserved1[4];                     // ֽڶ
    double              dbPTS;                              // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID

	int					nPresetID;							// Ԥõţ1ʼ
	int					nGroupID;							// ¼ID
	int					nCountInGroup;						// һ¼ڵץ
	int					nIndexInGroup;						// һ¼ڵץţ1ʼ
	EM_PASS_CHANGE_PICTURE_TYPE			emPictureType;		// ͼƬļͣڻصʱָ
	BYTE                byReserved1[1020];				    // ֽ  
} DEV_EVENT_PASS_CHANGE_INFO;

// ¼ EVENT_IVS_TRAFFIC_WAITINGAREA(Υ½¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_WAITINGAREA_INFO
{
	int                 nChannelID;											// ͨ
	BYTE				byReserved[4];										// ֽڣΪ˶
	char				szName[MAX_EVENT_NAME_LEN];							// ¼
	double				dbPTS;												// ʱ(λǺ)
	NET_TIME_EX			UTC;												// ¼ʱ
	int					nEventID;											// ¼ID
	DH_MSG_OBJECT		stuObject;											// Ϣ
	DH_MSG_OBJECT       stuVehicle;											// Ϣ
	int					nLane;												// 
	int                 nSequence;											// ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
	DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO   stTrafficCar;						// Ϣ
	DH_EVENT_FILE_INFO	stuFileInfo;										// ¼ӦļϢ
	BYTE                byReserved1[1024];									// ֽ
	EVENT_COMM_INFO     stCommInfo;											// Ϣ
}DEV_EVENT_TRAFFIC_WAITINGAREA_INFO;

#define MAX_OBJECT_NUM			32	// 

// ¼ EVENT_IVS_QUEUESTAY_DETECTION(Ŷʱ䱨¼)ӦݿϢ
typedef struct tagDEV_EVENT_QUEUESTAY_DETECTION_INFO
{
	int                 		nChannelID;                 // ͨ
	char                		szName[DH_EVENT_NAME_LEN];  // ¼
	char                		bReserved1[4];              // ֽڶ, Ǳֽ
	double              		PTS;                        // ʱ(λǺ)
	NET_TIME_EX         		UTC;                        // ¼ʱ
	int                 		nEventID;                   // ¼ID
	int							nAction;                    // 0: 1:ʼ 2:ֹͣ
	///////////////////////////////ΪֶΣnChannelIDֶΪԤֶοռ//////////////////////////////
	int							nGroupID;					// ¼IDһμĶnGroupIDͬ
	int							nCountInGroup;				// һ¼ڵץ(),һμĶnCountInGroupͬ
	int							nIndexInGroup;				// һ¼ڵץţ1ʼ
	DH_MSG_OBJECT				stuObject;					// ⵽Ϣ
	int							nObjectNum;					// ⵽
	DH_MSG_OBJECT				stuObjects[MAX_OBJECT_NUM]; // ⵽Ķ
	int							nDetectRegionNum;						// ʵʼ⵽	
	DH_POINT					stuDetectRegion[DH_MAX_DETECT_REGION_NUM];	// 
	UINT						nAreaID;					// ID(һԤõԶӦID)
	int							nCount;						// ¼Ĵ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	DH_EVENT_FILE_INFO			stuFileInfo;                // ¼ӦļϢ
	BYTE                		byReversed[1024];           // ֽ
} DEV_EVENT_QUEUESTAY_DETECTION_INFO;

// ¼EVENT_IVS_BANNER_DETECTION(¼)ӦݿϢ
typedef struct tagDEV_EVENT_BANNER_DETECTION_INFO
{
	int					nChannelID;									  // ͨ
	int                 nEventID;                                     // ¼ID
	char				szName[DH_EVENT_NAME_LEN];					  // ¼
	double              PTS;                                          // ʱ(λǺ)
	NET_TIME_EX         UTC;                                          // ¼ʱ
	int                 nAction;                                      // 1:ʼ 2:ֹͣ
	
	EM_CLASS_TYPE		emClassType;								  // ¼
	DH_EVENT_FILE_INFO	stuFileInfo;								  // ¼ӦļϢ
	int					nObjectNum;									  // ⵽
	DH_MSG_OBJECT       stuObjects[MAX_OBJECT_NUM];                    // ⵽
    int                 nDetectRegionNum;                   		  // 򶥵	
    DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM]; 	  // 
    int					nCount;										  // ¼
    int				    nPresetID;									  // Ԥõ
	NET_EXTENSION_INFO  stuExtensionInfo;                             // չϢ
	BYTE				byReserved[1028];							  // ֽ,չ.
} DEV_EVENT_BANNER_DETECTION_INFO;

// ǻͼϢ
typedef struct tagNONMOTOR_IMAGE_INFO
{
    int nOffset;                                                        // ڶݿеƫ
    int nLength;                                                        // ͼƬС,λֽ
}NONMOTOR_IMAGE_INFO;

// ¼EVENT_IVS_NONMOTORDETECT(ǻ) ӦݿϢ
typedef struct tagDEV_EVENT_NONMOTORDETECT_INFO
{
	int					nChannelID;									    // ͨ
	int                 nEventID;                                       // ¼ID
	char				szName[DH_EVENT_NAME_LEN];					    // ¼
	double              PTS;                                            // ʱ(λǺ)
	NET_TIME_EX         UTC;                                            // ¼ʱ
	int                 nAction;                   					    // 0: 1:ʼ 2:ֹͣ

    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                     // ¼Ϣ
    DWORD               dwSnapFlagMask;                                 // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO  stuResolution;                                  // ӦͼƬķֱ

    NONMOTOR_IMAGE_INFO stuImageInfo;                                   // ǻͼϢ
    int					nNumOfCycling;								    // ﳵ
    EM_OBJECT_COLOR_TYPE emNonMotorColor;							    // ǻɫ
    DH_RECT				        stuBoundingBox;                         // Χ
    EM_SEX_TYPE		            emSex;								    // һʱԱ
    int					        nAge;								    // һʱ
    
    EM_NONMOTOR_OBJECT_STATUS   emHelmet;					  		    // Աͷ״̬
    EM_NONMOTOR_OBJECT_STATUS   emCall;							        // һʱǷڴ绰
    EM_NONMOTOR_OBJECT_STATUS   emHat;					  			    // һʱǷñ
    EM_NONMOTOR_OBJECT_STATUS   emBag;					  			    // һʱǷб
    EM_NONMOTOR_OBJECT_STATUS   emCarrierBag;					  	    // һʱû
    EM_NONMOTOR_OBJECT_STATUS   emUmbrella;					  	        // Ƿɡ
    EM_NONMOTOR_OBJECT_STATUS   emGlasses;					  	  	    // һʱǷд۾
    EM_NONMOTOR_OBJECT_STATUS   emMask;					  	  	        // һʱǷ

	EM_EMOTION_TYPE             emEmotion;                              // һʱı
    EM_CLOTHES_TYPE             emUpClothes;                            // һʱ
	EM_CLOTHES_TYPE             emDownClothes;                          // һʱ
	EM_OBJECT_COLOR_TYPE        emUpperBodyColor;                       // һʱɫ
	EM_OBJECT_COLOR_TYPE        emLowerBodyColor;                       // һʱɫ
	EM_CATEGORY_NONMOTOR_TYPE   emCategoryType;                         // ͣNonMotorе
	BYTE						byReserved[1024];						// ֽ,չ.
}DEV_EVENT_NONMOTORDETECT_INFO;

// 
typedef enum tagEM_TRIGGER_TYPE
{
	EM_TRIGGER_TYPE_UNKNOWN = -1,          // δ֪
	EM_TRIGGER_TYPE_CAR_INSPECTION_DEV,	   // 
	EM_TRIGGER_TYPE_DADAR,				   // ״
	EM_TRIGGER_TYPE_VIDEO,				   // Ƶ
}EM_TRIGGER_TYPE;

// Υ¼
typedef enum tagEM_VIOLATION_ALARM_TYPE
{
	EM_VIOLATION_ALARM_TYPE_UNKNOWN = -1,			// δ֪
	EM_VIOLATION_ALARM_TYPE_PARKING_VIOLATION,		// Υͣ¼
	EM_VIOLATION_ALARM_TYPE_PREALARM,				// Ԥ¼
}EM_VIOLATION_ALARM_TYPE;

// ضGPSϢ
typedef struct tagNET_CUSTOM_GPS_INFO
{
	double                  dbLongitude;                      // (λǰ֮,Χ0-360)
	double                  dbLatidude;                       // γ(λǰ֮,Χ0-180)
	double					dbAltitude;						  // ߶,λ:
	double				    dbSpeed;						  // ٶ,λ:km/H
	double					dbBearing;						  // ,λ:
	BYTE					byReserved[1024];				  // ֽ
}NET_CUSTOM_GPS_INFO;

// Υʶ¼(ӦEVENT_IVS_TRAFFIC_BAN)
typedef struct tagDEV_EVENT_TRAFFIC_BAN_INFO
{
	int							nChannelID;											// ͨ
	EM_TRIGGER_TYPE				emTriggerType;										// 
	char						szName[MAX_EVENT_NAME_LEN];							// ¼
	double						dbPTS;												// ʱ(λǺ)
	NET_TIME_EX					UTC;												// ¼ʱ
	int							nEventID;											// ¼ID
	DH_MSG_OBJECT				stuObject;											// Ϣ
	DH_MSG_OBJECT				stuVehicle;											// Ϣ
	int							nMark;												// ײĴץ֡
	int							nSource;											// ƵԴַ
	int							nFrameSequence;										// Ƶ֡
	int							nLane;											    // 
	NET_TIME					stuStartParkingTime;								// ʼͣʱ
	int							nAlarmInterval;										// ʱ,λ:
	int							nParkingAllowedTime;								// ͣʱ,λ:
	DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO   stTrafficCar;								// Ϣ
	DH_EVENT_FILE_INFO			stuFileInfo;										// ¼ӦļϢ
	NET_CUSTOM_GPS_INFO			stuCustomGPSStatus;									// GPSϢ
	EM_VIOLATION_ALARM_TYPE		emViolationAlarmType;								// Υ¼
	int							nSequence;											// ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
	BYTE						byReserved[1024];									// ֽ
	EVENT_COMM_INFO				stCommInfo;											// Ϣ
}DEV_EVENT_TRAFFIC_BAN_INFO;

// ¼EVENT_IVS_ELEVATOR_ABNORMAL(綯쳣¼)ӦݿϢ
typedef struct tagDEV_EVENT_ELEVATOR_ABNORMAL_INFO
{
	int                 nChannelID;							// ͨ
    int                 nEventID;                           // ¼ID
    char                szName[DH_EVENT_NAME_LEN];          // ¼
    double              dbPTS;                              // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    
    int                 nAction;                            // 1:ʼ 2:ֹͣ
    EM_CLASS_TYPE		emClassType;						// ¼
    int					nDetectRegionPointNum;				// ݼ
    NET_POINT		    stuDetectRegion[20];				// ݼͣÿһ[0,8192)䡣
    NET_POINT           stuDirection[2];                    // ݵ˶򣬵һ㣬ڶյ㡣һ[0,8192)䡣
	BYTE                byReserved1[920];				    // ֽ
} DEV_EVENT_ELEVATOR_ABNORMAL_INFO;

// POSеƷ嵥Ϣ
typedef struct tagNET_POS_ITEM_INFO
{
	char				szItemName[DH_COMMON_STRING_32];					// Ʒ
	double				dbPrice;											// Ʒ
	double				dbQuantity;											// 
	double				dbAmount;											// ܼ
	char				szUnit[DH_COMMON_STRING_8];							// Ƽ۵λ
	BYTE				byReserved[256];									// ֽ
} NET_POS_ITEM_INFO;

// ¼ EVENT_IVS_POS_EXCHANGE(POS¼)ӦݿϢ
typedef struct tagDEV_EVENT_POS_EXCHANGE_INFO
{
	int                 nChannelID;							// ͨ
	int                 nAction;                            // 0: 1:ʼ 2:ֹͣ
    char                szName[DH_EVENT_NAME_LEN];			// ¼
    double              dbPTS;								// ʱ(λǺ)
    NET_TIME_EX         UTC;								// ¼ʱ
    int                 nEventID;							// ¼ID
	
	char				szDealNum[DH_COMMON_STRING_16];		// ׺
	char				szCardID[DH_COMMON_STRING_16];		// 
	BYTE				byReserved1[4];						// ֽڶ
	int					nItemListCount;						// Ʒ嵥 
	NET_POS_ITEM_INFO	*pstItemList;						// Ʒ嵥Ϣ, СΪnItemListCount*sizeof(NET_POS_ITEM_INFO)
	NET_RECT			stRect;								// POSɼƵϵĵλ,
	NET_COLOR_RGBA      stFrontColor;						// OSDǰɫ
	unsigned int		nFontSize;							// С, λpx
	BYTE                byReserved[1020];				    // ֽ  
} DEV_EVENT_POS_EXCHANGE_INFO;

// ¼ EVENT_IVS_DISTANCE_DETECTION (쳣¼) ӦݿϢ
typedef struct tagDEV_EVENT_DISTANCE_DETECTION_INFO
{
	int                 nChannelID;                         // ͨ
	char                szName[128];                        // ¼
	int                 nAction;                            // 0: 1:ʼ 2:ֹͣ
	double              PTS;                                // ʱ(λǺ)
	NET_TIME_EX         UTC;                                // ¼ʱ
	int                 nEventID;                           // ¼ID
	DH_MSG_OBJECT       stuObject;                          // ⵽
	int                 nDetectRegionNum;                   // 򶥵
	NET_POINT           stuDetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ 
	BYTE                byReserved[1024];				    // ֽ  
} DEV_EVENT_DISTANCE_DETECTION_INFO;

// ¼ EVENT_IVS_FORWARDCOLLISION_WARNNING(ǰײԤ) ӦݿϢ
typedef struct tagDEV_EVENT_FORWARDCOLLISION_WARNNING_INFO
{
    int                     nChannelID;                                 // ͨ
    int                     nEventID;                                   // ¼ID
    char                    szName[DH_EVENT_NAME_LEN];                  // ¼
    double                  PTS;                                        // ʱ(λǺ)
    NET_TIME_EX             UTC;                                        // ¼ʱ
    int                     nAction;                                    // 0: 1:ʼ 2:ֹͣ

    NET_GPS_STATUS_INFO     stuGPSStatusInfo;                           // GPSϢ
    char                    szDriverID[32];                             // ˾ID
    char                    szVideoPath[256];                           // Υ¹ƵFTPϴ·
    BYTE                    byReserved[736];                            // ֽ
} DEV_EVENT_FORWARDCOLLISION_WARNNING_INFO;

// ¼ EVENT_IVS_MATERIALSSTAY(϶ѷ¼) ӦݿϢ
typedef struct tagDEV_EVENT_MATERIALSSTAY_INFO
{
	int						nChannelID;										// ͨ
	int						nEventID;										// ¼ID
	char					szName[DH_EVENT_NAME_LEN];						// ¼
	double					PTS;											// ʱ(λǺ)
	NET_TIME_EX				UTC;											// ¼ʱ
	int						nAction;										// 0: 1:ʼ 2:ֹͣ

	DH_EVENT_FILE_INFO		stuFileInfo;									// ¼ӦļϢ
	int						nDetectRegionNum;                   			// 򶥵	
	DH_POINT				DetectRegion[DH_MAX_DETECT_REGION_NUM]; 		// 
	char					szPresetName[64];								// ¼Ԥ
	EVENT_INTELLI_COMM_INFO stuIntelliCommInfo;								// ¼Ϣ 
	BYTE					byReserved[4092];								// ֽ  
} DEV_EVENT_MATERIALSSTAY_INFO;

// ¼ EVNET_IVS_LANEDEPARTURE_WARNNING(ƫԤ) ӦݿϢ
typedef struct tagDEV_EVENT_LANEDEPARTURE_WARNNING_INFO
{
    int                     nChannelID;                                 // ͨ
    int                     nEventID;                                   // ¼ID
    char                    szName[DH_EVENT_NAME_LEN];                  // ¼
    double                  PTS;                                        // ʱ(λǺ)
    NET_TIME_EX             UTC;                                        // ¼ʱ
    int                     nAction;                                    // 0: 1:ʼ 2:ֹͣ

    NET_GPS_STATUS_INFO     stuGPSStatusInfo;                           // GPSϢ
    char                    szDriverID[32];                             // ˾ID
    char                    szVideoPath[256];                           // Υ¹ƵFTPϴ·
    BYTE                    byReserved[736];                            // ֽ
} DEV_EVENT_LANEDEPARTURE_WARNNING_INFO;

// ¼ EVENT_IVS_TRAFFIC_NONMOTOR_OVERLOAD (ǻ¼) ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_NONMOTOR_OVERLOAD_INFO
{
	int							nChannelID;                         // ͨ
	char						szName[128];                        // ¼
	int							nAction;                            // 0: 1:ʼ 2:ֹͣ
	double						PTS;                                // ʱ(λǺ)
	NET_TIME_EX					UTC;                                // ¼ʱ
	int							nEventID;                           // ¼ID
	DH_EVENT_FILE_INFO			stuFileInfo;						// ¼ӦļϢ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;					// ¼Ϣ 
	DWORD						dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO			stuResolution;                      // ӦͼƬķֱ

	VA_OBJECT_NONMOTOR			stuNonMotor;						// ǻϢ
	int							nLane;								// 
	int							nSequence;							// ץţ3-2-1/01ʾץ0ʾץ쳣
	EVENT_COMM_INFO				stuCommInfo;						// Ϣ
	BYTE						byReserved[2048];				    // ֽ  
} DEV_EVENT_TRAFFIC_NONMOTOR_OVERLOAD_INFO;

// ¼ EVENT_IVS_TRAFFIC_NONMOTOR_WITHOUTSAFEHAT (ǻδȫñ¼) ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_NONMOTOR_WITHOUTSAFEHAT_INFO
{
	int							nChannelID;                         // ͨ
	char						szName[128];                        // ¼
	int							nAction;                            // 0: 1:ʼ 2:ֹͣ
	double						PTS;                                // ʱ(λǺ)
	NET_TIME_EX					UTC;                                // ¼ʱ
	int							nEventID;                           // ¼ID
	DH_EVENT_FILE_INFO			stuFileInfo;						// ¼ӦļϢ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;					// ¼Ϣ 
	DWORD						dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO			stuResolution;                      // ӦͼƬķֱ

	VA_OBJECT_NONMOTOR			stuNonMotor;						// ǻϢ
	int							nLane;								// 
	int							nSequence;							// ץţ3-2-1/01ʾץ0ʾץ쳣
	EVENT_COMM_INFO				stuCommInfo;						// Ϣ
	BYTE						byReserved[2048];				    // ֽ  
} DEV_EVENT_TRAFFIC_NONMOTOR_WITHOUTSAFEHAT_INFO;

// ¼ EVENT_IVS_TRAFFIC_NONMOTOR_HOLDUMBRELLA (ǻװɡ¼) ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_NONMOTOR_HOLDUMBRELLA_INFO
{
	int							nChannelID;                         // ͨ
	int							nAction;                            // 0: 1:ʼ 2:ֹͣ
	char						szName[128];                        // ¼
	double						PTS;                                // ʱ(λǺ)
	NET_TIME_EX					UTC;                                // ¼ʱ
	int							nEventID;                           // ¼ID
	DH_EVENT_FILE_INFO			stuFileInfo;						// ¼ӦļϢ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;					// ¼Ϣ 
	DWORD						dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO			stuResolution;                      // ӦͼƬķֱ

	DH_MSG_OBJECT				stuObject;                          // ⵽
	VA_OBJECT_NONMOTOR			stuNonMotor;						// ǻϢ
	int							nLane;								// 
	int							nSequence;							// ץţ3-2-1/01ʾץ0ʾץ쳣
	EVENT_COMM_INFO				stCommInfo;                         // Ϣ
	BYTE						byReserved[4096];				    // ֽ  
}DEV_EVENT_TRAFFIC_NONMOTOR_HOLDUMBRELLA_INFO;

// ¼EVENT_IVS_VIDEOUNFOCUS (Ƶ齹¼)
typedef struct tagDEV_EVENT_VIDEOUNFOCUS_INFO
{
	int						nChannelID;									  // ͨ
	int						nEventID;                                     // ¼ID
	char					szName[DH_EVENT_NAME_LEN];					  // ¼
	double					PTS;                                          // ʱ(λǺ)
	NET_TIME_EX				UTC;                                          // ¼ʱ
	int						nAction;                                      // 0: 1:ʼ 2:ֹͣ
	BYTE					byReserved[4096];				    		  // ֽ  
}DEV_EVENT_VIDEOUNFOCUS_INFO; 


// ¼ EVENT_IVS_FLOWBUSINESS (̯¼) ӦݿϢ
typedef struct tagDEV_EVENT_FLOWBUSINESS_INFO
{
	int                 nChannelID;										// ͨ
	int                 nAction;										// 0: 1:ʼ 2:ֹͣ
	char                szName[128];									// ¼
	double              PTS;											// ʱ(λǺ)
	NET_TIME_EX         UTC;											// ¼ʱ
	int                 nEventID;										// ¼ID

	DH_EVENT_FILE_INFO	stuFileInfo;									// ¼ӦļϢ
	int                 nDetectRegionNum;                   			// 򶥵	
	DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM]; 		// 
	char				szPresetName[64];								// ¼Ԥ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;						// ¼Ϣ 
    UINT                nViolationDuration;                             // Υʱλ ȱʡֵ0ʾ 
    int					nObjectNum;										// ⵽
    DH_MSG_OBJECT		stuObjects[HDBJ_MAX_OBJECTS_NUM];				// ⵽
    char				szSourceID[32];								    // ¼ID,ͬһͼƬɶ¼ʱSourceIDͬ
	DWORD               dwSnapFlagMask;									// ץͼ־(λ),NET_RESERVED_COMMON    
	BYTE                byReserved[2044];								// ֽ  
} DEV_EVENT_FLOWBUSINESS_INFO;

// ¼ EVENT_IVS_CITY_MOTORPARKING (лΥͣ¼) ӦݿϢ
typedef struct tagDEV_EVENT_CITY_MOTORPARKING_INFO
{
	int                 nChannelID;										// ͨ
	int                 nAction;										// 0: 1:ʼ 2:ֹͣ
	char                szName[128];									// ¼
	double              PTS;											// ʱ(λǺ)
	NET_TIME_EX         UTC;											// ¼ʱ
	int                 nEventID;										// ¼ID

	DH_EVENT_FILE_INFO	stuFileInfo;									// ¼ӦļϢ
	int					nObjectNum;										// ⵽
	DH_MSG_OBJECT		stuObjects[MAX_OBJECT_NUM];						// ⵽
	int                 nDetectRegionNum;                   			// 򶥵	
	DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM]; 		// 
	char				szPresetName[64];								// ¼Ԥ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;						// ¼Ϣ 
    UINT                nParkingDuration;                               // Υͣʱλ ȱʡֵ0ʾ 
    char				szSourceID[32];								    // ¼ID,ͬһͼƬɶ¼ʱSourceIDͬ
	DWORD               dwSnapFlagMask;									// ץͼ־(λ),NET_RESERVED_COMMON    
	BYTE                byReserved[4056];								// ֽ  
} DEV_EVENT_CITY_MOTORPARKING_INFO;

// ¼ EVENT_IVS_CITY_NONMOTORPARKING (зǻΥͣ¼) ӦݿϢ
typedef struct tagDEV_EVENT_CITY_NONMOTORPARKING_INFO
{
	int                 nChannelID;										// ͨ
	int                 nAction;										// 0: 1:ʼ 2:ֹͣ
	char                szName[128];									// ¼
	double              PTS;											// ʱ(λǺ)
	NET_TIME_EX         UTC;											// ¼ʱ
	int                 nEventID;										// ¼ID

	DH_EVENT_FILE_INFO	stuFileInfo;									// ¼ӦļϢ
	int                 nDetectRegionNum;                   			// 򶥵	
	DH_POINT            DetectRegion[DH_MAX_DETECT_REGION_NUM]; 		// 
	int					nAlarmNum;										// ֵ
	int					nNoMotorNum;									// ǻĸ
	char				szPresetName[64];								// ¼Ԥ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;						// ¼Ϣ 
    UINT                nViolationDuration;                             // Υʱλ ȱʡֵ0ʾ 
    int					nObjectNum;										// ⵽
    DH_MSG_OBJECT		stuObjects[HDBJ_MAX_OBJECTS_NUM];				// ⵽
    char				szSourceID[32];								    // ¼ID,ͬһͼƬɶ¼ʱSourceIDͬ
	DWORD               dwSnapFlagMask;									// ץͼ־(λ),NET_RESERVED_COMMON    
	BYTE                byReserved[2044];								// ֽ 
} DEV_EVENT_CITY_NONMOTORPARKING_INFO;

// ɻΪ״̬
typedef enum tagEM_AIRPLANE_STATE
{
	EM_AIRPLANE_STATE_UNKNOWN = 0,
	EM_AIRPLANE_STATE_ENTER,						// ɻλ
	EM_AIRPLANE_STATE_LEAVE,						// ɻλ
	EM_AIRPLANE_STATE_CHOCKON,						// ֵ
	EM_AIRPLANE_STATE_CHOCKOFF,						// ֵ
	EM_AIRPLANE_STATE_NEARBRIDGE,					// 
	EM_AIRPLANE_STATE_LEAVEBRIDGE,					// 
	EM_AIRPLANE_STATE_OPENDOOR,						// ſ
	EM_AIRPLANE_STATE_CLOSEDOOR						// Ź
}EM_AIRPLANE_STATE;

// ¼ EVENT_IVS_AIRPLANE_DETECTION (ɻΪ¼) ӦݿϢ
typedef struct tagDEV_EVENT_AIRPLANE_DETECTION_INFO
{
	int                 nChannelID;										// ͨ
	int                 nAction;										// 0: 1:ʼ 2:ֹͣ
	char                szName[128];									// ¼
	double              PTS;											// ʱ(λǺ)
	NET_TIME_EX         UTC;											// ¼ʱ
	int                 nEventID;										// ¼ID

	DH_EVENT_FILE_INFO	stuFileInfo;									// ¼ӦļϢ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;						// ¼Ϣ 

	NET_POINT			stuGuideLine[2];								// õĵ
	NET_POINT			stuStopLine[10][2];								// õֹͣ
	int					nStopLineNum;									// õֹͣ
	int					nAirPlaneID;									// ɻID
	NET_POINT			stuAirPlaneStopLine[2];							// ɻֹͣλ
	NET_RECT			stuRect;										// ɻλ
	EM_AIRPLANE_STATE	emAirPlaneState;								// ɻΪ״̬

	BYTE                byReserved[4096];								// ֽ  
} DEV_EVENT_AIRPLANE_DETECTION_INFO;

// ¼ EVENT_IVS_PHONECALL_DETECT(绰¼) ӦݿϢ
typedef struct tagDEV_EVENT_PHONECALL_DETECT_INFO
{
	int                 nChannelID;										// ͨ
	int                 nAction;										// 0: 1:ʼ 2:ֹͣ
	char                szName[MAX_EVENT_NAME];							// ¼
	double              PTS;											// ʱ(λǺ)
	NET_TIME_EX         UTC;											// ¼ʱ
	int                 nEventID;										// ¼ID
	
	int					nGroupID;										// ¼ID
	int					nCountInGroup;									// һ¼ڵץ
	int					nIndexInGroup;									// һ¼ڵץţ1ʼ
	unsigned int		UTCMS;											// UTCӦĺ
	DH_MSG_OBJECT		stuObject;										// ⵽
	int					nDetectRegionNum;								// 򶥵
	DH_POINT			stuDetectRegion[DH_MAX_DETECT_REGION_NUM];		// 
	EVENT_INTELLI_COMM_INFO  stuIntelliCommInfo;						// ¼Ϣ 
	BYTE				byReserved[1024];								// ֽ
} DEV_EVENT_PHONECALL_DETECT_INFO;

// ¼ EVENT_IVS_SMOKING_DETECT(̼¼)ӦݿϢ
typedef struct tagDEV_EVENT_SMOKING_DETECT_INFO
{
	int                 nChannelID;										// ͨ
	int                 nAction;										// 0: 1:ʼ 2:ֹͣ
	char                szName[MAX_EVENT_NAME];							// ¼
	double              PTS;											// ʱ(λǺ)
	NET_TIME_EX         UTC;											// ¼ʱ
	int                 nEventID;										// ¼ID

	int					nGroupID;										// ¼ID
	int					nCountInGroup;									// һ¼ڵץ
	int					nIndexInGroup;									// һ¼ڵץţ1ʼ
	unsigned int		UTCMS;											// UTCӦĺ
	DH_MSG_OBJECT		stuObject;										// ⵽
	int					nDetectRegionNum;								// 򶥵
	DH_POINT			stuDetectRegion[DH_MAX_DETECT_REGION_NUM];		// 
	EVENT_INTELLI_COMM_INFO  stuIntelliCommInfo;						// ¼Ϣ 
	BYTE				byReserved[1024];								// ֽ
} DEV_EVENT_SMOKING_DETECT_INFO;

// ¼ EVENT_IVS_RADAR_SPEED_LIMIT_ALARM(״ٱ¼)ӦݿϢ
typedef struct tagDEV_EVENT_RADAR_SPEED_LIMIT_ALARM_INFO
{
	int                 nChannelID;                                     // ͨ
	int                 nAction;                                        // 0: 1:ʼ 2:ֹͣ
    char                szAddress[32];                                  // 豸IPַ
    int                 nSpeed;                                         // ʱ, λkm/h
    NET_TIME_EX         UTC;                                            // ¼ʱ䣻

    int                 nGroupID;                                       // ¼ID
    int                 nCountInGroup;                                  // һ¼ڵץ
    int                 nIndexInGroup;                                  // һ¼ڵץţٹ̵nͼƬ,1ʼ
    EVENT_INTELLI_COMM_INFO    stuIntelliCommInfo;                      // ¼Ϣ
    BYTE                byReserved[1024];                               // ֽ
}DEV_EVENT_RADAR_SPEED_LIMIT_ALARM_INFO;

// ˮ
typedef enum tagEM_FRUIT_TYPE
{
	EM_FRUIT_TYPE_UNKNOWN,					// δ֪
	EM_FRUIT_TYPE_GREEN_TANGERINE,			// 
	EM_FRUIT_TYPE_YELLOW_TANGERINE_ORANGE,	// ٣
	EM_FRUIT_TYPE_GRAPEFRUIT,				// 
	EM_FRUIT_TYPE_LEMON,					// 
	EM_FRUIT_TYPE_WATERMELON,				// 
	EM_FRUIT_TYPE_BANANA,					// 㽶
	EM_FRUIT_TYPE_RED_APPLE,				// ƻ
	EM_FRUIT_TYPE_GREEN_APPLE,				// ƻ
	EM_FRUIT_TYPE_MUSKMELON,				// 
	EM_FRUIT_TYPE_HAMIMELON,				// ܹ
	EM_FRUIT_TYPE_PEAR,						// 
	EM_FRUIT_TYPE_KIWI,						// 
	EM_FRUIT_TYPE_PAPAYA,					// ľ
	EM_FRUIT_TYPE_PINEAPPLE,				// 
	EM_FRUIT_TYPE_MANGO,					// â
	EM_FRUIT_TYPE_LONGAN,					// 
	EM_FRUIT_TYPE_GINSENG_FRUIT,			// ˲ι
	EM_FRUIT_TYPE_POMEGRABATE,				// ʯ
	EM_FRUIT_TYPE_COCONUT,					// Ҭ
	EM_FRUIT_TYPE_CREAM_JUJUBE,				// 
	EM_FRUIT_TYPE_WINTER_JUJUBE,			// 
	EM_FRUIT_TYPE_AVOCADO,					// ţ͹
	EM_FRUIT_TYPE_RED_PLUM,					// 첼
	EM_FRUIT_TYPE_PITAYA,					// 
	EM_FRUIT_TYPE_GUAVA,					// 
	EM_FRUIT_TYPE_PERSIMMON,				// 
	EM_FRUIT_TYPE_YACON,					// ѩ
} EM_FRUIT_TYPE;

// ⵽ˮϢ
typedef struct tagNET_CANDIDATE_FRUIT_INFO
{
	UINT				nSimilarity;				// ƶ
	EM_FRUIT_TYPE		emFruitType;				// ⵽ˮ
	BYTE                byReserved[1024];            // ֽ
} NET_CANDIDATE_FRUIT_INFO;

// ¼ EVENT_IVS_WEIGHING_PLATFORM_DETECTION(ƽ̨¼) ӦݿϢ
typedef struct tagDEV_EVENT_WEIGHING_PLATFORM_DETECTION_INFO
{
	int                 		nChannelID;					// ͨ
	int                 		nAction;					// 0: 1:ʼ 2:ֹͣ
	char                		szName[MAX_EVENT_NAME];		// ¼
	double              		PTS;						// ʱ(λǺ)
	NET_TIME_EX         		UTC;						// ¼ʱ
	int                 		nEventID;					// ¼ID

	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	UINT						nCandidateFruitNum;			// ⵽ˮϢ
	NET_CANDIDATE_FRUIT_INFO	stuFruitInfos[100];			// ⵽ˮϢ
	SCENE_IMAGE_INFO_EX			stuSceneImage;				// ȫͼ
	SCENE_IMAGE_INFO_EX			stuFruitImage;				// ˮͼ
	BYTE                		byReserved[1024];            // ֽ
} DEV_EVENT_WEIGHING_PLATFORM_DETECTION_INFO;

// mediaļѯ
typedef enum __EM_FILE_QUERY_TYPE
{
    DH_FILE_QUERY_TRAFFICCAR,                           // ͨϢ,ӦṹΪMEDIA_QUERY_TRAFFICCAR_PARAM
    DH_FILE_QUERY_ATM,                                  // ATMϢ
    DH_FILE_QUERY_ATMTXN,                               // ATMϢ 
    DH_FILE_QUERY_FACE,                                 // Ϣ MEDIAFILE_FACERECOGNITION_PARAM  MEDIAFILE_FACERECOGNITION_INFO  
    DH_FILE_QUERY_FILE,                                 // ļϢӦ NET_IN_MEDIA_QUERY_FILE  NET_OUT_MEDIA_QUERY_FILE
    DH_FILE_QUERY_TRAFFICCAR_EX,                        // ͨϢ, չDH_FILE_QUERY_TRAFFICCAR, ֶָ֧ΣӦṹΪMEDIA_QUERY_TRAFFICCAR_PARAM_EX
    DH_FILE_QUERY_FACE_DETECTION,                       // ¼Ϣ MEDIAFILE_FACE_DETECTION_PARAM  MEDIAFILE_FACE_DETECTION_INFO 
    DH_FILE_QUERY_IVS_EVENT,                            // ¼Ϣ MEDIAFILE_IVS_EVENT_PARAM  MEDIAFILE_IVS_EVENT_INFO
    DH_FILE_QUERY_ANALYSE_OBJECT,                       // ܷ(˺ͳ) MEDIAFILE_ANALYSE_OBJECT_PARAM  MEDIAFILE_ANALYSE_OBJECT_INFO
    DH_FILE_QUERY_MPT_RECORD_FILE,                      // MPT豸¼ļ MEDIAFILE_MPT_RECORD_FILE_PARAM  MEDIAFILE_MPT_RECORD_FILE_INFO
	DH_FILE_QUERY_XRAY_DETECTION,						// XϢӦ MEDIAFILE_XRAY_DETECTION_PARAM  MEDIAFILE_XRAY_DETECTION_INFO
    DH_FILE_QUERY_HUMAN_TRAIT,                          //  MEDIAFILE_HUMAN_TRAIT_PARAM  MEDIAFILE_HUMAN_TRAIT_INFO
	DH_FILE_QUERY_NONMOTOR,								// ǻѯ,  MEDIAFILE_NONMOTOR_PARAM  MEDIAFILE_NONMOTOR_INFO
	DH_FILE_QUERY_DOORCONTROL_RECORD,					// Ŵ¼ѯ, MEDIAFILE_DOORCONTROL_RECORD_PARAM  MEDIAFILE_DOORCONTROL_RECORD_INFO	
	DH_FILE_QUERY_FACEBODY_DETECT,						// ѯMEDIAFILE_FACEBODY_DETECT_PARAM  MEDIAFILE_FACEBODY_DETECT_INFO
	DH_FILE_QUERY_FACEBODY_ANALYSE,						// ʶѯMEDIAFILE_FACEBODY_ANALYSE_PARAM  MEDIAFILE_FACEBODY_ANALYSE_INFO
	DH_FILE_QUERY_FILE_EX,								// ļϢչƣӦ NET_IN_MEDIA_QUERY_FILE  NET_OUT_MEDIA_QUERY_FILE
														// ʱ NET_IN_MEDIA_QUERY_FILE е stuEventInfo ֶЧ, nEventLists  nEventCountֶЧ
} EM_FILE_QUERY_TYPE;

typedef enum _EM_RECORD_SNAP_FLAG_TYPE
{
    FLAG_TYPE_TIMING ,                  //ʱļ
    FLAG_TYPE_MANUAL ,                  //ֶļ
    FLAG_TYPE_MARKED ,                  //Ҫļ
    FLAG_TYPE_EVENT  ,                  //¼ļ
    FLAG_TYPE_MOSAIC ,                  //ϳͼƬ
    FLAG_TYPE_CUTOUT ,                  //ͼͼƬ
    FLAG_TYPE_LEAVE_WORD ,              //ļ
    FLAG_TYPE_TALKBACK_LOCAL_SIDE ,     //Խطļ
    FLAG_TYPE_TALKBACK_REMOTE_SIDE ,    //ԽԶ̷ļ
    FLAG_TYPE_SYNOPSIS_VIDEO ,          //ŨƵ
    FLAG_TYPE_ORIGINAL_VIDEO ,          //ԭʼƵ
    FLAG_TYPE_PRE_ORIGINAL_VIDEO ,      //ѾԤԭʼƵ
    FLAG_TYPE_BLACK_PLATE ,             //ͼƬ
    FLAG_TYPE_ORIGINAL_PIC ,            //ԭʼͼƬ
    FLAG_TYPE_CARD,                     //¼
    FLAG_TYPE_MAX = 128, 
}EM_RECORD_SNAP_FLAG_TYPE;

// ATM
typedef enum
{
    ATM_TRADE_ALL,                      // 
    ATM_TRADE_ENQUIRY,                  // ѯ
    ATM_TRADE_WITHDRAW,                 // ȡ
    ATM_TRADE_MODIFY_PASSWORD,          // ޸
    ATM_TRADE_TRANSFER,                 // ת
    ATM_TRADE_DEPOSIT,                  // 
    ATM_TRADE_CARDLESS_ENQUIRY,         // ޿ѯ
    ATM_TRADE_CARDLESS_DEPOSIT,         // ޿
    ATM_TRADE_OTHER,                    // 
}EM_ATM_TRADE_TYPE;

// ¼Ϣ
typedef struct
{
    DWORD               dwSize;
    int                 nType;                                          // , 0-Card, 1-Field
    char                szCardNo[DH_MAX_CARD_INFO_LEN];                 // 
    EM_ATM_TRADE_TYPE   emTradeType;                                    // 
    char                szAmount[DH_COMMON_STRING_64];                  // ׽, ַʾ޽
    int                 nError;                                         // , 0-д, 1-̳, 2-̿
    int                 nFieldCount;                                    // , ѯʱЧ
    char                szFields[MAX_CARD_RECORD_FIELD_NUM][DH_COMMON_STRING_256];   // Ϣ, ѯʱЧ
	char				szChange[DH_COMMON_STRING_32];		            // Ǯ
}NET_RECORD_CARD_INFO;

#define MAX_IVS_EVENT_NUM    256
#define MAX_QUERY_USER_NUM   4                  // ѯû

// ѯʽ
typedef enum tagEM_RESULT_ORDER_TYPE
{
    EM_RESULT_ORDER_UNKNOWN,                    // δ֪
    EM_RESULT_ORDER_ASCENT_BYTIME,              // ʱ
    EM_RESULT_ORDER_DESCENT_BYTIME,             // ʱ併   
}EM_RESULT_ORDER_TYPE;

// ¼ϢӦ CLIENT_FindFileEx ӿڵ DH_FILE_QUERY_FILE / DH_FILE_QUERY_FILE_EX  ѯ
// Ŀǰ֧ͨ·ѯ
typedef struct  tagNET_IN_MEDIA_QUERY_FILE
{
    DWORD							dwSize;                 // ṹС
    char*							szDirs;                 // Ŀ¼б,һοɲѯĿ¼,ΪձʾѯĿ¼Ŀ¼֮Էֺŷָ,硰/mnt/dvr/sda0;/mnt/dvr/sda1,szDirs==null "" ʾѯ
    int								nMediaType;             // ļ,0:ѯ,1:ѯjpgͼƬ,2:ѯdav
    int								nChannelID;             // ͨŴ0ʼ,-1ʾѯͨ
    NET_TIME						stuStartTime;           // ʼʱ    
    NET_TIME						stuEndTime;             // ʱ
    int								nEventLists[MAX_IVS_EVENT_NUM]; // ¼б,μܷ¼
    int								nEventCount;            // ¼
    BYTE							byVideoStream;          // Ƶ 0-δ֪ 1- 2-1 3-2 4-3  5-еĸ
    BYTE							bReserved[3];           // ֽڶ
    EM_RECORD_SNAP_FLAG_TYPE		emFalgLists[FLAG_TYPE_MAX]; // ¼ץͼļ־, ñ־ʾѯļ
    int								nFalgCount;             // ־
    NET_RECORD_CARD_INFO			stuCardInfo;			// ¼Ϣ, emFalgLists¼ʱЧ
    int								nUserCount;             // ûЧ
    char							szUserName[MAX_QUERY_USER_NUM][DH_NEW_USER_NAME_LENGTH]; // û
    EM_RESULT_ORDER_TYPE			emResultOrder;			// ѯʽ
    BOOL							bTime;                  // Ƿʱѯ
	NET_EM_COMBINATION_MODE			emCombination;			// ѯǷϲ¼ļ
	EVENT_INFO						stuEventInfo[16];		// ¼ϢƣѯΪ DH_FILE_QUERY_FILE_EX ʱЧ
	int								nEventInfoCount;		// stuEventInfo 
}NET_IN_MEDIA_QUERY_FILE;

// ļժҪϢ
typedef struct 
{
    char szKey[DH_COMMON_STRING_64];           // ժҪ
    char szValue[DH_COMMON_STRING_512];        // ժҪ
    BYTE bReserved[256];                       // ֶ   
}NET_FILE_SUMMARY_INFO;

// ¼ϢӦ CLIENT_FindFileEx ӿڵ DH_FILE_QUERY_FILE / DH_FILE_QUERY_FILE_EX  ѯ
typedef struct  
{
    DWORD               dwSize;                 // ṹС
    int                 nChannelID;             // ͨŴ0ʼ,-1ʾѯͨ
    NET_TIME            stuStartTime;           // ʼʱ    
    NET_TIME            stuEndTime;             // ʱ
    unsigned int        nFileSize;              // ļ,ֶη,ʹnFileSizeExֶ
    BYTE                byFileType;             // ļ 1:jpgͼƬ, 2: dav
    BYTE                byDriveNo;              // ֶѷ,ʹ nDriveNoԱ
    BYTE                byPartition;            // 
    BYTE                byVideoStream;          // Ƶ 0-δ֪ 1- 2-1 3- 4- 
    unsigned int        nCluster;               // غ
    char                szFilePath[MAX_PATH];   // ļ·
    int                 nEventLists[MAX_IVS_EVENT_NUM]; // ¼б,¼б,μܷ¼
    int                 nEventCount;            //¼
    EM_RECORD_SNAP_FLAG_TYPE emFalgLists[FLAG_TYPE_MAX]; // ¼ץͼļ־ 
    int                 nFalgCount;             //־
    unsigned int        nDriveNo;               // ̺

    //ƵŨļϢ
    char szSynopsisPicPath[DH_COMMON_STRING_512];              // ԤļȡĿ	ļ·
                                                               // ֧HTTP URLʾ:"http://www.dahuate.com/1.jpg"
                                                               // ֧FTP URLʾ: "ftp://ftp.dahuate.com/1.jpg"
                                                               // ַ֧· 
                                                               // a)"C:/pic/1.jpg" 
                                                               // b)"/mnt//2010/8/11/dav/15:40:50.jpg"
    int                 nSynopsisMaxTime;                      // ֧ŨƵʱ䳤,λ 
    int                 nSynopsisMinTime;                      // ֧ŨƵСʱ䳤,λ 
   
    //ļժҪϢ
    int                     nFileSummaryNum;                                // ļժҪϢ
    NET_FILE_SUMMARY_INFO   stFileSummaryInfo[MAX_FILE_SUMMARY_NUM];        // ļժҪϢ 
	INT64					nFileSizeEx;									// ļչ,֧ļȴ4Gλֽ
	UINT					nTotalFrame;									// ѯ¼֡ܺͣ֡()
}NET_OUT_MEDIA_QUERY_FILE;

// ȫ״̬
typedef enum tagEM_SAFE_BELT_STATE
{
	EM_SAFE_BELT_UNKNOWN,			// δ֪
	EM_SAFE_BELT_OTHER,				// δʶ
	EM_SAFE_BELT_WITH,				// аȫ
	EM_SAFE_BELT_WITHOUT,			// ްȫ
} EM_SAFE_BELT_STATE;

// Ʒ
typedef enum tagEM_ATTACHMENT_TYPE
{
	EM_ATTACHMENT_UNKNOWN,			// δ֪
	EM_ATTACHMENT_OTHER,			// 
	EM_ATTACHMENT_FURNITURE,		// ڼ
	EM_ATTACHMENT_PENDANT,			// Ҽ
	EM_ATTACHMENT_TISSUEBOX,		// ֽ
	EM_ATTACHMENT_DANGER,			// ΣƷ
	EM_ATTACHMENT_PERFUMEBOX,		// ˮ
} EM_ATTACHMENT_TYPE;

// 绰״̬
typedef enum tagEM_CALLING_STATE
{
	EM_CALLING_UNKNOWN,				// δ֪
	EM_CALLING_OTHER,				// δʶ
	EM_CALLING_NO,					// δ绰
	EM_CALLING_YES,					// 绰
} EM_CALLING_STATE;

// 
typedef enum tagEM_CATEGORY_TYPE
{
	EM_CATEGORY_UNKNOWN,					// δ֪
	EM_CATEGORY_OTHER,						//  
	EM_CATEGORY_MOTOR,						// 
	EM_CATEGORY_BUS,						// 
	EM_CATEGORY_UNLICENSED_MOTOR,			// ƻ
	EM_CATEGORY_LARGE_CAR,					// 
	EM_CATEGORY_MICRO_CAR,					// С
	EM_CATEGORY_EMBASSY_CAR,				// ʹ
	EM_CATEGORY_MARGINAL_CAR,				// 
	EM_CATEGORY_AREAOUT_CAR,				// 
	EM_CATEGORY_FOREIGN_CAR,				// ⼮
	EM_CATEGORY_FARMTRANSMIT_CAR,			// ũ䳵
	EM_CATEGORY_TRACTOR,					// 
	EM_CATEGORY_TRAILER,					// ҳ
	EM_CATEGORY_COACH_CAR,					// 
	EM_CATEGORY_TRIAL_CAR,					// 
	EM_CATEGORY_TEMPORARY_ENTRY_CAR,		// ʱ뾳
	EM_CATEGORY_TEMPORARY_ENTRY_MOTORCYCLE,	// ʱ뾳Ħ
	EM_CATEGORY_TEMPORARY_STEER_CAR,		// ʱʻ
	EM_CATEGORY_LARGE_TRUCK,				// 
	EM_CATEGORY_MID_TRUCK,					// л
	EM_CATEGORY_MICRO_TRUCK,				// С
	EM_CATEGORY_MICROBUS,					// 
	EM_CATEGORY_SALOON_CAR,					// γ
	EM_CATEGORY_CARRIAGE,					// Сγ
	EM_CATEGORY_MINI_CARRIAGE,				// ΢ͽγ
	EM_CATEGORY_SUV_MPV,					// SUVMPV
	EM_CATEGORY_SUV,						// SUV
	EM_CATEGORY_MPV,						// MPV
	EM_CATEGORY_PASSENGER_CAR,				// ͳ
	EM_CATEGORY_MOTOR_BUS,					// 
	EM_CATEGORY_MID_PASSENGER_CAR,			// пͳ
	EM_CATEGORY_MINI_BUS,					// Сͳ
	EM_CATEGORY_PICKUP,						// Ƥ
	EM_CATEGORY_OILTANK_TRUCK,				// ͹޳
	EM_CATEGORY_TANK_CAR,					// ΣƷ
	EM_CATEGORY_SLOT_TANK_CAR,				// ۹޳
	EM_CATEGORY_DREGS_CAR,					// 
	EM_CATEGORY_CONCRETE_MIXER_TRUCK,		// 賵
	EM_CATEGORY_TAXI,						// ⳵
	EM_CATEGORY_POLICE,						// 
	EM_CATEGORY_AMBULANCE,					// Ȼ
	EM_CATEGORY_GENERAL,					// ͨ
	EM_CATEGORY_WATERING_CAR,				// ˮ
	EM_CATEGORY_FIRE_ENGINE,				// 
	EM_CATEGORY_MACHINE_TRUCK,				// ̳
	EM_CATEGORY_POWER_LOT_VEHICLE,			// ϳ
	EM_CATEGORY_SUCTION_SEWAGE_TRUCK,		// ۳
	EM_CATEGORY_NORMAL_TANK_TRUCK,			// ͨ޳
	EM_CATEGORY_SCHOOL_BUS,					// У
	EM_CATEGORY_EXCAVATOR,					// ھ
	EM_CATEGORY_BULLDOZER,					// 
	EM_CATEGORY_CRANE,						// 
	EM_CATEGORY_PIMP_TRUCK,					// ó
} EM_CATEGORY_TYPE;

// DH_MEDIA_QUERY_TRAFFICCARӦĲѯ
typedef struct  
{
    int                 nChannelID;                     // ͨŴ0ʼ,-1ʾѯͨ
    NET_TIME            StartTime;                      // ʼʱ    
    NET_TIME            EndTime;                        // ʱ
    int                 nMediaType;                     // ļ,0:, 1:jpgͼƬ, 2:davļ
    int                 nEventType;                     // ¼,"ܷ¼", 0:ʾѯ¼,˲,ʹpEventTypes
    char                szPlateNumber[32];              // ƺ, "\0"ʾѯ⳵ƺ
    int                 nSpeedUpperLimit;               // ѯĳٷΧ; ٶ λ: km/h
    int                 nSpeedLowerLimit;               // ѯĳٷΧ; ٶ λ: km/h 
    BOOL                bSpeedLimit;                    // ǷٶȲѯ; TRUE:ٶȲѯ,nSpeedUpperLimitnSpeedLowerLimitЧ
    DWORD               dwBreakingRule;                 // Υͣ
                                                        // ¼Ϊ EVENT_IVS_TRAFFICGATEʱ
                                                        //        һλ:;  ڶλ:ѹʻ; λ:ʻ; 
                                                        //        λǷʻ; λ:;
                                                        // ¼Ϊ EVENT_IVS_TRAFFICJUNCTION
                                                        //        һλ:;  ڶλ:涨ʻ;  
                                                        //        λ:; λΥµͷ;
                                                        //        λ:ѹʻ;

    char                szPlateType[32];                // ,"Unknown" δ֪,"Normal" ƺ,"Yellow" ,"DoubleYellow" ˫β,"Police" "Armed" 侯,
                                                        // "Military" Ӻ,"DoubleMilitary" ˫,"SAR" ۰,"Trainning" 
                                                        // "Personal" Ժ,"Agri" ũ,"Embassy" ʹݺ,"Moto" Ħг,"Tractor" ,"Other" 
														// "Civilaviation"񺽺,"Black"
														// "PureNewEnergyMicroCar"綯ԴС,"MixedNewEnergyMicroCar,"ԴС,"PureNewEnergyLargeCar",綯Դ
														// "MixedNewEnergyLargeCar"Դ
    char                szPlateColor[16];               // ɫ, "Blue"ɫ,"Yellow"ɫ, "White"ɫ,"Black"ɫ
    char                szVehicleColor[16];             // ɫ:"White"ɫ, "Black"ɫ, "Red"ɫ, "Yellow"ɫ, "Gray"ɫ, "Blue"ɫ,"Green"ɫ
    char                szVehicleSize[16];              // С:"Light-duty":Сͳ;"Medium":ͳ; "Oversize":ͳ; "Unknown": δ֪
    int                 nGroupID;                       // ¼(ֵ>=0ʱЧ)
    short               byLane;                         // (ֵ>=0ʱʾ峵,-1ʾг,·ֶ)
    BYTE                byFileFlag;                     // ļ־, 0xFF-ʹnFileFlagEx, 0-ʾ¼, 1-ʱļ, 2-ֶļ, 3-¼ļ, 4-Ҫļ, 5-ϳļ
    BYTE                byRandomAccess;                 // ǷҪڲѯת,0-Ҫ,1-Ҫ
    int                 nFileFlagEx;                    // ļ־, λʾ: bit0-ʱļ, bit1-ֶļ, bit2-¼ļ, bit3-Ҫļ, bit4-ϳļ, bit5-ͼƬ 0xFFFFFFFF-¼
    int                 nDirection;                     // 򣨳ķ    0- 1- 2- 3- 4- 5- 6- 7- 8-δ֪ -1-з
    char*               szDirs;                         // Ŀ¼б,һοɲѯĿ¼,ΪձʾѯĿ¼Ŀ¼֮Էֺŷָ,硰/mnt/dvr/sda0;/mnt/dvr/sda1,szDirs==null "" ʾѯ
    int*                pEventTypes;                    // ѯ¼ָ,¼,"ܷ¼",ΪNULLΪѯ¼û룩
    int                 nEventTypeNum;                  // ¼С
    char*               pszDeviceAddress;               // 豸ַ, NULLʾֶβ
    char*               pszMachineAddress;              // ص, NULLʾֶβ
    char*               pszVehicleSign;                 // ʶ,  "Unknown"-δ֪, "Audi"-µ, "Honda"-... NULLʾֶβ
	WORD                wVehicleSubBrand;               // Ʒ ҪͨӳõƷ ӳֲ
    WORD                wVehicleYearModel;              // Ʒ Ҫͨӳõ ӳֲ
	EM_SAFE_BELT_STATE	emSafeBeltState;				// ȫ״̬
	EM_CALLING_STATE	emCallingState;					// 绰״̬
	EM_ATTACHMENT_TYPE	emAttachMentType;				// Ʒ
	EM_CATEGORY_TYPE	emCarType;						// 
	int                 bReserved[12];                  // ֶ
} MEDIA_QUERY_TRAFFICCAR_PARAM;

// 
typedef enum tagEM_REFUEL_TYPE
{
        EM_REFUEL_TYPE_UNKNOWN = 0,							// unknown
		EM_REFUEL_TYPE_NINETY_EIGHT,						// "98#"
		EM_REFUEL_TYPE_NINETY_SEVEN,						// "97#"
		EM_REFUEL_TYPE_NINETY_FIVE,							// "95#"
		EM_REFUEL_TYPE_NINETY_THREE,                        // "93#"
		EM_REFUEL_TYPE_NINETY,								// "90#"
		EM_REFUEL_TYPE_TEN,									// "10#"
		EM_REFUEL_TYPE_FIVE,								// "5#"
		EM_REFUEL_TYPE_ZERO,								// "0#"
		EM_REFUEL_TYPE_NEGATIVE_TEN,						// "-10#"
		EM_REFUEL_TYPE_NEGATIVE_TWENTY,						// "-20#"
		EM_REFUEL_TYPE_NEGATIVE_THIRTY_FIVE,				// "-35#"
		EM_REFUEL_TYPE_NEGATIVE_FIFTY,						// "-50#"
}EM_REFUEL_TYPE;

// DH_MEDIA_QUERY_TRAFFICCARѯmediaļϢ
typedef struct
{
    unsigned int        ch;                                 // ͨ
    char                szFilePath[128];                    // ļ·
    unsigned int        size;                               // ļ,ֶηʹsizeEx
    NET_TIME            starttime;                          // ʼʱ
    NET_TIME            endtime;                            // ʱ
    unsigned int        nWorkDirSN;                         // Ŀ¼                                    
    BYTE                nFileType;                          // ļ  1:ͼƬ 2:Ƶ
    BYTE                bHint;                              // ļλ
    BYTE                bDriveNo;                           // ̺
    BYTE                bReserved2;
    unsigned int        nCluster;                           // غ
    BYTE                byPictureType;                      // ͼƬͻļ, 0-ͨ, 1-ϳ, 2-ͼļϢο MEDIAFILE_TRAFFICCAR_INFO_EX  emFalgLists ֶ
	BYTE                byVideoStream;						// Ƶ 0-δ֪ 1- 2-1 3-2 4-
	BYTE                byPartition;						// ȷλ
    BYTE                bReserved[1];                       // ֶ

    //ǽͨϢ
    char                szPlateNumber[32];                  // ƺ
    char                szPlateType[32];                    // "Unknown" δ֪; "Normal" ƺ; "Yellow" ; "DoubleYellow" ˫β
                                                            // "Police" ; "Armed" 侯; "Military" Ӻ; "DoubleMilitary" ˫
                                                            // "SAR" ۰; "Trainning" ; "Personal" Ժ; "Agri" ũ
                                                            // "Embassy" ʹݺ; "Moto" Ħг; "Tractor" ; "Other" 
															// "Civilaviation"񺽺,"Black"
															// "PureNewEnergyMicroCar"綯ԴС,"MixedNewEnergyMicroCar,"ԴС,"PureNewEnergyLargeCar",綯Դ
															// "MixedNewEnergyLargeCar"Դ
    char                szPlateColor[16];                   // ɫ:"Blue","Yellow", "White","Black"
    char                szVehicleColor[16];                 // ɫ:"White", "Black", "Red", "Yellow", "Gray", "Blue","Green"
    int                 nSpeed;                             // ,λKm/H
    int                 nEventsNum;                         // ¼
    int                 nEvents[32];                        // ¼б,ֵʾӦ¼,"ܷ¼"        
    DWORD               dwBreakingRule;                     // Υ,һλ:; ڶλ:涨ʻ;
                                                            // λ:; λΥµͷ;ĬΪ:ͨ·¼
    char                szVehicleSize[16];                  // С:"Light-duty":Сͳ;"Medium":ͳ; "Oversize":ͳ
    char                szChannelName[DH_CHAN_NAME_LEN];    // ػԶ̵ͨ
    char                szMachineName[DH_MAX_NAME_LEN];     // ػԶ豸

    int                 nSpeedUpperLimit;                   // ٶ λ: km/h
    int                 nSpeedLowerLimit;                   // ٶ λ: km/h    
    int                 nGroupID;                           // ¼
    BYTE                byCountInGroup;                     // һ¼ڵץ
    BYTE                byIndexInGroup;                     // һ¼ڵץ
    BYTE                byLane;                             // ,μMEDIA_QUERY_TRAFFICCAR_PARAM
    BYTE                bReserved1[21];                     // 
    NET_TIME            stSnapTime;                          // ץʱ
    int                 nDirection;                         // ,μMEDIA_QUERY_TRAFFICCAR_PARAM
    char                szMachineAddress[MAX_PATH];         // ص
	INT64               sizeEx;                             // ļչ֧ļȴ4Gλֽ
} MEDIAFILE_TRAFFICCAR_INFO, *LPMEDIAFILE_TRAFFICCAR_INFO;


// DH_MEDIA_QUERY_TRAFFICCAR_EXӦĲѯ
typedef struct tagMEDIA_QUERY_TRAFFICCAR_PARAM_EX
{
    DWORD               dwSize;
    MEDIA_QUERY_TRAFFICCAR_PARAM stuParam;                  // ѯ
} MEDIA_QUERY_TRAFFICCAR_PARAM_EX;

// ƷϢ
typedef struct tagNET_ATTACH_MENET_INFO
{
	EM_ATTACHMENT_TYPE	emAttachMentType;					// Ʒ
	BYTE                bReserved1[128];                    // ֽ
} NET_ATTACH_MENET_INFO;

// Ƿ
typedef enum tagEM_SMOKING_STATE
{
	EM_SMOKING_UNKNOWN,			// δ֪
	EM_SMOKING_NO,				// δ
	EM_SMOKING_YES,				// 
}EM_SMOKING_STATE;

// DH_MEDIA_QUERY_TRAFFICCAR_EXѯļϢ
typedef struct tagMEDIAFILE_TRAFFICCAR_INFO_EX
{
    DWORD               dwSize;
    MEDIAFILE_TRAFFICCAR_INFO stuInfo;                          // Ϣ
    char                szDeviceAddr[DH_COMMON_STRING_256];     // 豸ַ
    char                szVehicleSign[DH_COMMON_STRING_32];     // ʶ,  "Unknown"-δ֪, "Audi"-µ, "Honda"-...
    char                szCustomParkNo[DH_COMMON_STRING_64];    // Զ峵λţͣã
    WORD                wVehicleSubBrand;                       // ƷƣҪͨӳõƷ
    WORD                wVehicleYearModel;                      // Ҫͨӳõ
	NET_TIME			stuEleTagInfoUTC;						// ӦӳƱǩϢеĹʱ(ThroughTime)
	EM_RECORD_SNAP_FLAG_TYPE emFalgLists[FLAG_TYPE_MAX];		// ¼ץͼļ־ 
    int                 nFalgCount;								// ־
    EM_SAFE_BELT_STATE	emSafeBelSate;							// ȫ״̬
    EM_CALLING_STATE	emCallingState;							// 绰״̬
    int					nAttachMentNum;							// Ʒ
	NET_ATTACH_MENET_INFO stuAttachMent[MAX_ATTACHMENT_NUM];	// ƷϢ
	char				szCountry[DH_COMMON_STRING_32];			// Һ͵
	EM_CATEGORY_TYPE	emCarType;								// 
	NET_SUNSHADE_STATE	emSunShadeState;						// ״̬
	EM_SMOKING_STATE	emSmokingState;							// Ƿ
	int					nAnnualInspection;						// 
} MEDIAFILE_TRAFFICCAR_INFO_EX;

// FINDNEXTѯ
typedef struct __NET_FINDNEXT_RESERVED
{
    DWORD               dwSize;                         // ṹС
    
    unsigned int        nBeginNumber;                   // ѯʼ,ʾbeginNumber¼ʼ 0<=beginNumber<= totalCount-1
}NET_FINDNEXT_RESERVED;

// ѯת
typedef struct __NET_FINDING_JUMP_OPTION_INFO
{
    DWORD           dwSize;
    int             nOffset;                            // ѯƫ, ڵǰѯĵһѯλƫ
}NET_FINDING_JUMP_OPTION_INFO;

// DH_FILE_QUERY_FACEӦʶѯ
typedef struct __MEDIAFILE_FACERECOGNITION_PARAM
{
    DWORD               dwSize;                         // ṹС

    // ѯ
    NET_TIME            stStartTime;                    // ʼʱ
    NET_TIME            stEndTime;                      // ʱ
    char                szMachineAddress[MAX_PATH];     // ص,֧ģƥ     
    int                 nAlarmType;                     // ѯ, EM_FACERECOGNITION_ALARM_TYPE
    BOOL                abPersonInfo;                   // ԱϢǷЧ
    FACERECOGNITION_PERSON_INFO stPersonInfo;           // ԱϢ
    int                 nChannelId;                     // ͨ  
    int                 nGroupIdNum;                    // Ա   
    char                szGroupId[MAX_GOURP_NUM][DH_COMMON_STRING_64]; // ԱID 
	BOOL                abPersonInfoEx;                 // ԱϢչǷЧ
	FACERECOGNITION_PERSON_INFOEX	stPersonInfoEx;		// ԱϢչ

	BOOL				bSimilaryRangeEnable;			//ƶǷЧ
	int					nSimilaryRange[2];				//ƶȷΧ
}MEDIAFILE_FACERECOGNITION_PARAM;

typedef struct  tagDH_PIC_INFO_EX
{
    DWORD                dwSize;                        // ṹС
    DWORD                dwFileLenth;                   // ļС, λ:ֽ
    char                 szFilePath[MAX_PATH];          // ļ·          
}DH_PIC_INFO_EX;

typedef struct  tagNET_PIC_INFO
{
    DWORD                dwFileLenth;                   // ļС, λ:ֽ
    char                 szFilePath[MAX_PATH];          // ļ·
	BYTE                 bReserved[256];                // ֶ
}NET_PIC_INFO;

typedef struct __NET_CANDIDAT_PIC_PATHS
{
    DWORD                dwSize;                        // ṹС
    int                  nFileCount;                    // ʵļ
    DH_PIC_INFO_EX       stFiles[DH_MAX_PERSON_IMAGE_NUM];//ļϢ
}NET_CANDIDAT_PIC_PATHS;

typedef struct tagNET_CANDIDAT_PIC_PATHS_EX
{
    int                  nFileCount;                      // ʵļ
    NET_PIC_INFO	     stFiles[DH_MAX_PERSON_IMAGE_NUM];// ļϢ
	BYTE                 bReserved[256];				  // ֶ
}NET_CANDIDAT_PIC_PATHS_EX;

// ͼϢ
typedef struct tagIMAGE_INFO
{
	int					nLength;			// ͼƬС,λ:ֽ
	int					nWidth;				// ͼƬ
	int					nHeight;			// ͼƬ߶
	char				szFilePath[260];	// ļ·
	BYTE				byReserved[512];	// Ԥֽ
}IMAGE_INFO;

// ĿϢ
typedef struct tagFACE_INFO_OBJECT
{
	IMAGE_INFO							   stuImageInfo;			// ͼϢ
	EM_DEV_EVENT_FACEDETECT_SEX_TYPE       emSex;                   // Ա
	unsigned int                           nAge;                    // 
	EM_FACEDETECT_GLASSES_TYPE             emGlasses;               // Ƿ۾
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE   emEmotion;               // 
	EM_COMPLEXION_TYPE				       emComplexion;			// ɫ
	EM_EYE_STATE_TYPE			           emEye;					// ۾״̬
	EM_MOUTH_STATE_TYPE			           emMouth;					// ״̬
	EM_MASK_STATE_TYPE			           emMask;				    // Ƿ
	EM_BEARD_STATE_TYPE			           emBeard;				    // Ƿк
	int							           nAttractive;				// ֵ,0ʾδʶ,ʶʱΧ1-100,÷ָ
	NET_EULER_ANGLE				   		   stuFaceCaptureAngle;		// ץͼƬеĽǶϢ, nPitch:̧ͷͷĸ, nYawתͷƫ, nRollͷƽƫƫķ
																	// ǶֵȡֵΧ[-90,90], ǶֵΪ999ʾ˽ǶϢЧ
	UINT								   nFaceQuality;			// ץ
	BYTE                                   byReserved[2032];			// ֶ
}FACE_INFO_OBJECT;

// DH_FILE_QUERY_FACEӦʶFINDNEXTѯز
typedef struct __MEDIAFILE_FACERECOGNITION_INFO
{
    DWORD						dwSize;                                 // ṹС
    BOOL						bGlobalScenePic;                        // ȫͼǷ
    DH_PIC_INFO_EX				stGlobalScenePic;                       // ȫͼƬļ·
    DH_MSG_OBJECT				stuObject;                              // ĿϢ
    DH_PIC_INFO_EX				stObjectPic;                            // Ŀļ·
    int							nCandidateNum;                          // ǰƥ䵽ĺѡ
    CANDIDATE_INFO				stuCandidates[DH_MAX_CANDIDATE_NUM];    // ǰƥ䵽ĺѡϢ
    NET_CANDIDAT_PIC_PATHS		stuCandidatesPic[DH_MAX_CANDIDATE_NUM]; // ǰƥ䵽ĺѡͼƬļ·
    NET_TIME					stTime;                                 // ʱ  
    char						szAddress[MAX_PATH];                    // ص
    int							nChannelId;                             // ͨ   
    BOOL						bUseCandidatesEx;						// Ƿʹúѡչṹ, 
																		// ΪTRUE, ʾʹstuCandidatesEx, stuCandidatesЧ, ෴
	int							nCandidateExNum;						// ǰƥ䵽ĺѡ(չṹ) 																
    CANDIDATE_INFOEX			stuCandidatesEx[DH_MAX_CANDIDATE_NUM];	// ǰƥ䵽ĺѡϢ, ʵʷظͬnCandidateNum
	FACE_INFO_OBJECT			stuFaceInfoObject;                      // ĿϢ
	NET_POINT                   stuFaceCenter;                          // (ǰΧ), 0-8191, Сͼ
}MEDIAFILE_FACERECOGNITION_INFO;

typedef enum __EM_FACEPIC_TYPE
{
    NET_FACEPIC_TYPE_UNKOWN,            // δ֪
    NET_FACEPIC_TYPE_GLOBAL_SENCE,      // ȫͼ
    NET_FACEPIC_TYPE_SMALL,             // Сͼ
}EM_FACEPIC_TYPE;

#define  NET_MAX_FRAMESEQUENCE_NUM     2
#define  NET_MAX_TIMESTAMP_NUM         2

typedef struct __MEDIAFILE_FACE_DETECTION_DETAIL_PARAM
{
    DWORD               dwSize;
    DWORD               dwObjectId;                     // ID
    DWORD               dwFrameSequence;                // ֡
    NET_TIME_EX         stTime;                         // ʱ
}MEDIAFILE_FACE_DETECTION_DETAIL_PARAM;
 
// DH_FILE_QUERY_FACE_DETECTION Ӧʶѯ
typedef struct __MEDIAFILE_FACE_DETECTION_PARAM
{
    DWORD               dwSize;                         // ṹС
    
    // ѯ
    int                 nChannelID;                     // ͨ
    NET_TIME            stuStartTime;                   // ʼʱ
    NET_TIME            stuEndTime;                     // ʱ
    EM_FACEPIC_TYPE     emPicType;                      // ͼƬ, EM_FACEPIC_TYPE
    BOOL                bDetailEnable;                  // ǷϸϢ
    MEDIAFILE_FACE_DETECTION_DETAIL_PARAM stuDetail;    // ϸϢ
    EM_DEV_EVENT_FACEDETECT_SEX_TYPE emSex;             // Ա
    BOOL                bAgeEnable;                     // Ƿָ
    int                 nAgeRange[2];                   // ䷶Χ
    int                 nEmotionValidNum;               // Ч, emFeature ʹ, Ϊ0ʾѯб
    EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE    emEmotion[DH_MAX_FACEDETECT_FEATURE_NUM];   // , byFeatureValidNum ʹ
    EM_FACEDETECT_GLASSES_TYPE  emGlasses;              // Ƿ۾
	EM_MASK_STATE_TYPE			emMask;					// Ƿ
	EM_BEARD_STATE_TYPE			emBeard;				// Ƿк
	int					nIsStranger;					// 0-ѯ1-δİģʽ2-鿪İģʽ
}MEDIAFILE_FACE_DETECTION_PARAM;

// ¼ͼϢ
typedef struct tagNET_FACEDETECT_IMAGE_INFO
{
    UINT            nLength;                // ļС
    char            szFilePath[260];        // ļ·
    BYTE            byReserved[128];        // ֶ
} NET_FACEDETECT_IMAGE_INFO;

// DH_FILE_QUERY_FACE_DETECTIONӦʶFINDNEXTѯز
typedef struct __MEDIAFILE_FACE_DETECTION_INFO
{
    DWORD               dwSize;                                     // ṹС

    unsigned int        ch;                                         // ͨ
    char                szFilePath[128];                            // ļ·
    unsigned int        size;                                       // ļ,ֶηʹsizeEx
    NET_TIME            starttime;                                  // ʼʱ
    NET_TIME            endtime;                                    // ʱ
    unsigned int        nWorkDirSN;                                 // Ŀ¼                                    
    BYTE                nFileType;                                  // ļ  1jpgͼƬ
    BYTE                bHint;                                      // ļλ
    BYTE                bDriveNo;                                   // ̺
    BYTE                byPictureType;                              // ͼƬ, 0-ͨ, 1-ϳ, 2-ͼ
    unsigned int        nCluster;                                   // غ
    
    EM_FACEPIC_TYPE     emPicType;                                  // ͼƬ, EM_FACEPIC_TYPE
    DWORD               dwObjectId;                                 // ID
    DWORD               dwFrameSequence[NET_MAX_FRAMESEQUENCE_NUM]; // ֡,2Ԫʱ,һʾСͼ,ڶʾͼ
    int                 nFrameSequenceNum;                          // ֡Ÿ 
    NET_TIME_EX         stTimes[NET_MAX_TIMESTAMP_NUM];             // ʱ,2Ԫʱ,һʾСͼ,ڶʾͼ
    int                 nTimeStampNum;
    int                 nPicIndex;                                  // ʾڴеͼƬ
                                                                    // ͬһдͼƬ,ṩʽλͼƬ
    EM_DEV_EVENT_FACEDETECT_SEX_TYPE emSex;                         // Ա
    int                 nAge;                                       // 
    EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE    emEmotion;              // 
    EM_FACEDETECT_GLASSES_TYPE  emGlasses;                          // ۾
    INT64               sizeEx;                                     // ļչ֧ļȴ4Gλֽ
    EM_MASK_STATE_TYPE          emMask;                             // Ƿ
    EM_BEARD_STATE_TYPE         emBeard;                            // Ƿк
    EM_RACE_TYPE                emRace;                             // 
    EM_EYE_STATE_TYPE           emEye;                              // ۾״̬
    EM_MOUTH_STATE_TYPE         emMouth;                            // ״̬
    int                         nAttractive;                        // ֵ
    int                         nIsStranger;                        // 0-δ֪1-δİģʽ2-İģʽ
    char                        szFaceObjectUrl[128];               //  emPicType Ϊ NET_FACEPIC_TYPE_GLOBAL_SENCE ʱ, Сͼ·
    NET_EULER_ANGLE             stuFaceCaptureAngle;                // ץͼƬеĽǶϢ, nPitch:̧ͷͷĸ, nYawתͷƫ, nRollͷƽƫƫķ
                                                                    // ǶֵȡֵΧ[-90,90], ǶֵΪ999ʾ˽ǶϢЧ
    UINT                        nFaceQuality;                       // ץ
    NET_FACEDETECT_IMAGE_INFO   stuSceneImage;                      // ͼϢ
    NET_POINT                   stuFaceCenter;                      // (ǰΧ), 0-8191, Сͼ
}MEDIAFILE_FACE_DETECTION_INFO;

// ¼
typedef enum tagNET_CROSSREGION_ACTION_INFO
{
    EM_CROSSREGION_ACTION_UNKNOW = 0    , 
    EM_CROSSREGION_ACTION_INSIDE        ,   //
    EM_CROSSREGION_ACTION_CROSS         ,   //Խ
    EM_CROSSREGION_ACTION_APPEAR        ,   //
    EM_CROSSREGION_ACTION_DISAPPEAR     ,   //ʧ
}NET_CROSSREGION_ACTION_INFO;

// ѯ¼ϢĶ
typedef enum tagEM_MEDIAFILE_IVS_OBJECT
{
	EM_MEDIAFILE_IVS_UNKNOWN,		// unknown
	EM_MEDIAFILE_IVS_OTHER,			// other
	EM_MEDIAFILE_IVS_HUMAN,			// human
	EM_MEDIAFILE_IVS_VEHICLE,		// vehicle
	EM_MEDIAFILE_IVS_NONMOTOR,		// nonmotor
} EM_MEDIAFILE_IVS_OBJECT;

// DH_FILE_QUERY_IVS_EVENT Ӧ¼ѯ
typedef struct __MEDIAFILE_IVS_EVENT_PARAM
{
    DWORD               dwSize;                         // ṹС
    // ѯ
    int                 nChannelID;                     // ͨ
    NET_TIME            stuStartTime;                   // ʼʱ
    NET_TIME            stuEndTime;                     // ʱ
    int                 nMediaType;                     // ļ,0:, 1:jpgͼƬ, 2:davļ

    int                 nVideoStream;                    // Ƶ 0-δ֪ 1- 2-1 3-2 4-3 
    int                 nEventLists[MAX_IVS_EVENT_NUM];  // ¼б,μܷ¼
    int                 nEventCount;                     // ¼
    EM_RECORD_SNAP_FLAG_TYPE emFalgLists[FLAG_TYPE_MAX]; // ¼ץͼļ־, ñ־ʾѯļ
    int                 nFalgCount;                      // ־
    
    int                 nRuleType;                      // ܷ¼, ¼,"ܷ¼"
    NET_CROSSREGION_ACTION_INFO emAction;               // ¼
    int					nIvsObjectNum;					// ͸
    EM_MEDIAFILE_IVS_OBJECT		emIvsObject[DH_MAX_OBJECT_LIST];	// 򴥷Ķ
}MEDIAFILE_IVS_EVENT_PARAM;

// ¼ͼϢ
typedef struct tagNET_EVENT_IMAGE_INFO
{
	int			nImageLength;							// ͼƬ
	char		szImagePath[DH_COMMON_STRING_128];		// ͼƬ·
	BYTE        bReserved[256];                			// ֶ
} NET_EVENT_IMAGE_INFO;

// DH_FILE_QUERY_IVS_EVENT ѯmediaļϢ 
typedef struct __MEDIAFILE_IVS_EVENT_INFO
{
    DWORD               dwSize;                          // ṹС
    int                 nChannelID;                      // ͨ
    NET_TIME            stuStartTime;                    // ʼʱ
    NET_TIME            stuEndTime;                      // ʱ
    char                szFilePath[128];                 // ļ·
    int                 nMediaType;                      // ļ,0:, 1:jpgͼƬ, 2:davļ
    unsigned int        nFileLength;                     // ļ,ֶη,ʹnFileLengthEx
    unsigned int        nCluster;                        // غ
    unsigned int        nHint;                           // ļλ
    unsigned int        nDriveNo;                        // ̺       

    int                 nVideoStream;                    // Ƶ 0-δ֪ 1- 2-1 3-2 4-3 
    int                 nEventLists[MAX_IVS_EVENT_NUM];  // ¼б,μܷ¼
    int                 nEventCount;                     // ¼
    EM_RECORD_SNAP_FLAG_TYPE emFalgLists[FLAG_TYPE_MAX]; // ¼ץͼļ־, ñ־ʾѯļ
    int                 nFalgCount;                      // ־

    int                 nRuleType;                       // ܷ¼, ¼,"ܷ¼"
    NET_CROSSREGION_ACTION_INFO emAction;                // ¼
	INT64               nFileLengthEx;                   // ļչ֧ļȴ4Gλֽ
	EM_MEDIAFILE_IVS_OBJECT	emIvsObject;				 // 򴥷Ķ
	NET_EVENT_IMAGE_INFO	stuEventImageInfo;			 // ¼ͼϢ
	NET_POINT           stuObjCenter;                    // (ǰΧ), 0-8191, Сͼ
}MEDIAFILE_IVS_EVENT_INFO;

// Ƶֵ֧Ķ
typedef enum tagEM_ANALYSE_OBJECT_TYPE
{
    EM_ANALYSE_OBJECT_TYPE_UNKNOWN,           // δ֪
    EM_ANALYSE_OBJECT_TYPE_HUMAN,             //        
    EM_ANALYSE_OBJECT_TYPE_VEHICLE,           // 
    EM_ANALYSE_OBJECT_TYPE_FIRE,              // 
    EM_ANALYSE_OBJECT_TYPE_SMOKE,             // 
    EM_ANALYSE_OBJECT_TYPE_PLATE,             // Ƭ״             
    EM_ANALYSE_OBJECT_TYPE_HUMANFACE,         // 
    EM_ANALYSE_OBJECT_TYPE_CONTAINER,         // 
    EM_ANALYSE_OBJECT_TYPE_ANIMAL,            // 
    EM_ANALYSE_OBJECT_TYPE_TRAFFICLIGHT,      // ̵
    EM_ANALYSE_OBJECT_TYPE_PASTEPAPER,        // ֽ Ƭ
    EM_ANALYSE_OBJECT_TYPE_HUMANHEAD,         // ˵ͷ
    EM_ANALYSE_OBJECT_TYPE_ENTITY,            // ͨ
}EM_ANALYSE_OBJECT_TYPE;

// DH_FILE_QUERY_ANALYSE_OBJECT Ӧܷ
typedef struct __MEDIAFILE_ANALYSE_OBJECT_PARAM
{
    DWORD               dwSize;                         // ṹС
    // ѯ
    int                 nChannelID;                     // ͨ
    NET_TIME            stuStartTime;                   // ʼʱ
    NET_TIME            stuEndTime;                     // ʱ
    int                 nMediaType;                     // ļ,0:, 1:jpgͼƬ, 2:davļ    
    int                 nVideoStream;                   // Ƶ 0-δ֪ 1- 2-1 3-2 4-3 
    int                 nEventLists[MAX_IVS_EVENT_NUM]; // ¼б,μܷ¼
    int                 nEventCount;                    // ¼
    EM_RECORD_SNAP_FLAG_TYPE emFalgLists[FLAG_TYPE_MAX]; // ¼ץͼļ־, ñ־ʾѯļ
    int                 nFalgCount;                     // ־

    EM_ANALYSE_OBJECT_TYPE emObject;                    // ҵ
}MEDIAFILE_ANALYSE_OBJECT_PARAM;

// DH_FILE_QUERY_ANALYSE_OBJECT ѯmediaļϢ 
typedef struct __MEDIAFILE_ANALYSE_OBJECT_INFO
{
    DWORD               dwSize;                          // ṹС
    int                 nChannelID;                      // ͨ
    NET_TIME            stuStartTime;                    // ʼʱ
    NET_TIME            stuEndTime;                      // ʱ
    char                szFilePath[128];                 // ļ·
    int                 nMediaType;                      // ļ,0:, 1:jpgͼƬ, 2:davļ
    unsigned int        nFileLength;                     // ļȣֶηʹnFileLengthEx
    unsigned int        nCluster;                        // غ
    unsigned int        nHint;                           // ļλ
    unsigned int        nDriveNo;                        // ̺ 

    int                 nVideoStream;                    // Ƶ 0-δ֪ 1- 2-1 3-2 4-3 
    int                 nEventLists[MAX_IVS_EVENT_NUM];  // ¼б,μܷ¼
    int                 nEventCount;                     // ¼
    EM_RECORD_SNAP_FLAG_TYPE emFalgLists[FLAG_TYPE_MAX]; // ¼ץͼļ־, ñ־ʾѯļ
    int                 nFalgCount;                      // ־

    EM_ANALYSE_OBJECT_TYPE emObject;                     // ҵ
	INT64               nFileLengthEx;                   // ļչ֧ļȴ4Gλֽ
}MEDIAFILE_ANALYSE_OBJECT_INFO;

// DH_FILE_QUERY_MPT_RECORD_FILE Ӧ¼ļѯ
typedef struct __MEDIAFILE_MPT_RECORD_FILE_PARAM
{
    DWORD               dwSize;                                 // ṹС
    // ѯ
    int                 nChannelID;                             // ͨ
    NET_TIME            stuStartTime;                           // ʼʱ
    NET_TIME            stuEndTime;                             // ʱ
    int                 nMediaType;                             // ļ,0:, 1:jpgͼƬ, 2:davļ
    int                 nVideoStream;                           // Ƶ 0-δ֪ 1- 2-1 3-2 4-3

    char                szPoliceID[DH_COMMON_STRING_32];        // ԱID,ΪʱʾֶЧ
    int                 nCrimeType;                             // ,ֵΪ0ʾֶЧ
    int                 nCrimeTag;                              // ,ֵΪ0ʾֶЧ
    char                szSerialNumber[DH_COMMON_STRING_32];    // MPT豸к,ΪʱʾֶЧ    
}MEDIAFILE_MPT_RECORD_FILE_PARAM;

// DH_FILE_QUERY_MPT_RECORD_FILE ѯmediaļϢ 
typedef struct __MEDIAFILE_MPT_RECORD_FILE_INFO
{
    DWORD               dwSize;                          // ṹС
    int                 nChannelID;                      // ͨ
    NET_TIME            stuStartTime;                    // ʼʱ
    NET_TIME            stuEndTime;                      // ʱ
    char                szFilePath[DH_COMMON_STRING_128];// ļ·
    int                 nMediaType;                      // ļ,0:, 1:jpgͼƬ, 2:davļ
    int                 nVideoStream;                    // Ƶ 0-δ֪ 1- 2-1 3-2 4-3
    unsigned int        nFileLength;                     // ļ,ֶηʹnFileLengthEx
    unsigned int        nCluster;                        // غ
    unsigned int        nHint;                           // ļλ
    unsigned int        nDriveNo;                        // ̺ 

    int                 nCrimeType;                      // 
    int                 nCrimeTag;                       // 
    char                szComment[DH_COMMON_STRING_256]; // ûļıע
	INT64               nFileLengthEx;                   // ļչ֧ļȴ4Gλֽ
}MEDIAFILE_MPT_RECORD_FILE_INFO;

// ΣƷϢĲѯ
typedef enum tagNET_EM_INSIDE_TYPE
{
	NET_EM_INSIDE_TYPE_GRADE,			// ΣƷȼ
	NET_EM_INSIDE_TYPE_OBJECT,			// Ʒ
}NET_EM_INSIDE_TYPE;

// DH_FILE_QUERY_XRAY_DETECTION Ӧļѯ
typedef struct tagMEDIAFILE_XRAY_DETECTION_PARAM
{
	DWORD					dwSize;                                 // ṹС
	// ѯ
	int						nChannelID;                             // ͨ
	NET_TIME				stuStartTime;                           // ʼʱ
	NET_TIME				stuEndTime;                             // ʱ
	
	NET_EM_INSIDE_TYPE		emInsideType;							// ΣƷϢĲѯͣ
	int						nDangerGradeNum;						// ΣյȼЧ 
	EM_DANGER_GRADE_TYPE	emDangerGrade[MAX_DANGER_GRADE_NUM];	// ΣյȼemInsideTypeֶΪNET_EM_INSIDE_TYPE_GRADEʱЧ
	int						nInsideObjTypeNum;						// еƷЧ
	EM_INSIDE_OBJECT_TYPE	emInsideObjType[MAX_INSIDE_OBJECT_TYPE_NUM];	// еƷͣemInsideTypeֶΪNET_EM_INSIDE_TYPE_OBJECTʱЧ
}MEDIAFILE_XRAY_DETECTION_PARAM;

// DH_FILE_QUERY_XRAY_DETECTION ѯmediaļϢ 
typedef struct tagMEDIAFILE_XRAY_DETECTION_INFO
{
	DWORD					dwSize;											// ṹС
	int						nChannelID;										// ͨ
	NET_TIME				stuStartTime;									// ʼʱ
	NET_TIME				stuEndTime;										// ʱ

	char					szProcessedFilePath[MAX_PATH_LEN];				// XͼƬļ·
	char					szOriginalPath[MAX_PATH_LEN];					// XԭʼͼƬ·
	unsigned int			nOriginalLength;								// ԭʼͼƬĳȣλֽ
	EM_DANGER_GRADE_TYPE	emDangerGrade;									// Σյȼ
	EM_INSIDE_OBJECT_TYPE	emInsideObjectType[MAX_INSIDE_OBJECT_TYPE_NUM];	// аƷ
	int						nRetInsideObjectTypeNum;						// صİаƷ͸			
}MEDIAFILE_XRAY_DETECTION_INFO;

#define MAX_CLOTH_NUM		4 // ¿
#define MAX_CLOTHTYPE_NUM	2 // ¿

// DH_FILE_QUERY_HUMAN_TRAITӦѯ
typedef struct tagMEDIAFILE_HUMAN_TRAIT_PARAM
{
    DWORD               dwSize;                 				// ṹС 
    int                 nChannel;               				// ͨ
    NET_TIME            stStartTime;            				// ʼʱ
    NET_TIME            stEndTime;              				// ʱ

    EM_CLOTHES_COLOR    emCoatColor[MAX_CLOTH_NUM];         	// ɫ
    EM_CLOTHES_COLOR    emTrousersColor[MAX_CLOTH_NUM];     	// ɫ
    EM_COAT_TYPE        emCoatType[MAX_CLOTHTYPE_NUM];          // 
    EM_TROUSERS_TYPE	emTrousersType[MAX_CLOTHTYPE_NUM];      // 
    UINT                nCoatColorNum;         					// Ҫѯɫ
    UINT                nTrousersColorNum;     					// ҪѯĿɫ
    UINT                nCoatTypeNum;          					// Ҫѯ͸
    UINT                nTrousersTypeNum;      					// ҪѯĿ͸
    EM_HAS_HAT          emHasHat;               				// Ƿñ
    EM_HAS_BAG          emHasBag;               				// Ƿ
    EM_SEX_TYPE			emSex;									// Ա
    EM_HAIR_STYLE		emHairStyle;							// ͷʽ
    UINT				nAgeMin;								// ѯεС
    UINT				nAgeMax;								// ѯε
}MEDIAFILE_HUMAN_TRAIT_PARAM;

// ѯϢ
typedef struct tagHUMAN_TRAIT_INFO
{
    EM_CLOTHES_COLOR    emCoatColor;            // ɫ
    EM_CLOTHES_COLOR    emTrousersColor;        // ɫ
    EM_COAT_TYPE        emCoatType;             // 
    EM_TROUSERS_TYPE    emTrousersType;         // 
    EM_HAS_HAT          emHasHat;               // Ƿñ
    EM_HAS_BAG          emHasBag;               // Ƿ
    EM_SEX_TYPE			emSex;					// Ա
    UINT				nAge;					// 
    EM_HAIR_STYLE		emHairStyle;			// ͷʽ
    EM_HAS_UMBRELLA		emHasUmbrella;			// Ƿɡ
    EM_BAG_TYPE			emBagType;				// 
    EM_CAP_TYPE			emCapType;				// ñ
    BYTE                byReserved[1024];       // ֶ
}HUMAN_TRAIT_INFO;

// ѯϢ
typedef struct tagNET_HUMAN_FACE_ATTRIBUTE
{
    EM_SEX_TYPE			emSex;					// Ա
    int					nAge;					// 
    EM_MASK_STATE_TYPE 	emMask;					// ״̬
    EM_BEARD_STATE_TYPE	emBeard;				// ״̬
    EM_HAS_GLASS		emHasGlass;				// Ƿ۾
    EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE emEmotion;	 // 
    BYTE                byReserved[1024];       // ֶ
} NET_HUMAN_FACE_ATTRIBUTE;

// DH_FILE_QUERY_HUMAN_TRAITӦFINDNEXTѯز
typedef struct tagMEDIAFILE_HUMAN_TRAIT_INFO
{  
    DWORD               dwSize;                 // ṹС

    // ļ
    int                 nChannel;               // ͨ
    NET_TIME            stStartTime;            // ʼʱ
    NET_TIME            stEndTime;              // ʱ
    char                szFilePath[MAX_PATH];   // ļ·
    int                 nFileSize;              // ļС

    char				szFacePath[MAX_PATH];		// Сͼ·
    char				szFaceScenePath[MAX_PATH];	// СͼӦȫͼ·
    char				szHumanPath[MAX_PATH];		// Сͼ·
    char				szHumanSceneImage[MAX_PATH];// СͼӦȫͼ·

    UINT				nFaceImageLength;			// СͼС, λ: ֽ
    UINT				nFaceSceneImageLength;		// СͼӦȫͼС, λ: ֽ
    UINT				nHumanImageLength;			// СͼС, λ: ֽ
    UINT				nHumanSceneImageLength;		// СͼӦȫͼС, λ: ֽ

    // Ϣ
    HUMAN_TRAIT_INFO    stuHumanTrait;          // Ϣ

    // Ϣ
    NET_HUMAN_FACE_ATTRIBUTE stuFaceAttribute;	// Ϣ

    NET_POINT           stuFaceCenter;              // (ǰΧ), 0-8191, Сͼ
    NET_POINT           stuHumanCenter;             // (ǰΧ), 0-8191, Сͼ
}MEDIAFILE_HUMAN_TRAIT_INFO;

// ǻɫ
typedef enum tagEM_NONMOTOR_COLOR
{
	EM_NONMOTOR_UNKNOWN,						// δ֪
	EM_NONMOTOR_COLOR_OTHER,					// ޷ʶ
	EM_NONMOTOR_COLOR_WHITE,					// ɫ
	EM_NONMOTOR_COLOR_ORANGE,					// ɫ
	EM_NONMOTOR_COLOR_PINK,						// ɫ
	EM_NONMOTOR_COLOR_BLACK,					// ɫ
	EM_NONMOTOR_COLOR_RED,						// ɫ
	EM_NONMOTOR_COLOR_YELLOW,					// ɫ
	EM_NONMOTOR_COLOR_GRAY,						// ɫ
	EM_NONMOTOR_COLOR_BLUE,						// ɫ
	EM_NONMOTOR_COLOR_GREEN,					// ɫ
	EM_NONMOTOR_COLOR_PURPLE,					// ɫ
	EM_NONMOTOR_COLOR_BROWN,					// ɫ
	EM_NONMOTOR_COLOR_SLIVER,					// ɫ
	EM_NONMOTOR_COLOR_DARKVIOLET,				// ɫ
	EM_NONMOTOR_COLOR_MAROON,					// ɫ
	EM_NONMOTOR_COLOR_DIMGRAY,					// ɫ
	EM_NONMOTOR_COLOR_WHITESMOKE,				// ɫ
	EM_NONMOTOR_COLOR_DARKORANGE,				// ɫ
	EM_NONMOTOR_COLOR_MISTYROSE,				// ǳõɫ
	EM_NONMOTOR_COLOR_TOMATO,					// Ѻɫ
	EM_NONMOTOR_COLOR_OLIVE,					// ɫ
	EM_NONMOTOR_COLOR_GOLD,						// ɫ
	EM_NONMOTOR_COLOR_DARKOLIVEGREEN,			// ɫ
	EM_NONMOTOR_COLOR_CHARTREUSE,				// ɫ
	EM_NONMOTOR_COLOR_GREENYELLOW,				// ̻ɫ
	EM_NONMOTOR_COLOR_FORESTGREEN,				// ɭ
	EM_NONMOTOR_COLOR_SEAGREEN,					// 
	EM_NONMOTOR_COLOR_DEEPSKYBLUE,				// 
	EM_NONMOTOR_COLOR_CYAN,						// ɫ
} EM_NONMOTOR_COLOR;

// ǻ
typedef enum tagEM_NONMOTOR_SUBTYPE
{
	EM_NONMOTOR_SUBTYPE_UNKNOWN,				// δ֪
	EM_NONMOTOR_SUBTYPE_NONMOTOR,				// ǻ
	EM_NONMOTOR_SUBTYPE_BICYCLE,				// г
	EM_NONMOTOR_SUBTYPE_TRICYCLE,				// ֳ
	EM_NONMOTOR_SUBTYPE_MOTORCYCLE,				// Ħг
	EM_NONMOTOR_SUBTYPE_DUALTRIWHEEL,			// () Ħг
	EM_NONMOTOR_SUBTYPE_LIGHT_MOTORCYCLE,		// Ħг
	EM_NONMOTOR_SUBTYPE_EMBASSY_MOTORCYCLE,		// ʹĦг
	EM_NONMOTOR_SUBTYPE_MARGINAL_MOTORCYCLE,	// Ħг
	EM_NONMOTOR_SUBTYPE_AREAOUT_MOTORCYCLE,		// Ħг
	EM_NONMOTOR_SUBTYPE_FOREIGN_MOTORCYCLE,		// ⼮Ħг
	EM_NONMOTOR_SUBTYPE_TRIAL_MOTORCYCLE,		// Ħг
	EM_NONMOTOR_SUBTYPE_COACH_MOTORCYCLE,		// Ħг
	EM_NONMOTOR_SUBTYPE_PASSERBY,				// 
}EM_NONMOTOR_SUBTYPE;

// ͷ״̬
typedef enum tagEM_HELMET_STATE
{
	EM_HELMET_UNKNOWN,			// δ֪
	EM_HELMET_OTHER,			// δʶ
	EM_HELMET_NO,				// δͷ
	EM_HELMET_YES,				// ͷ
} EM_HELMET_STATE;

// DH_FILE_QUERY_NONMOTOR ǻӦѯ
typedef struct tagMEDIAFILE_NONMOTOR_PARAM
{
	DWORD               dwSize;             // ṹС 
	int                 nChannel;           // ͨ
	NET_TIME            stStartTime;        // ʼʱ
	NET_TIME            stEndTime;          // ʱ
	
	UINT				nNumOfCyclingMin;	// ﳵСֵ
	UINT				nNumOfCyclingMax;	// ﳵֵ
	EM_NONMOTOR_COLOR	emNonmotorColor;	// ǻɫ
	EM_NONMOTOR_SUBTYPE	emNonmotorSubtype;	// ǻ
	EM_HELMET_STATE 	emHelmetState;		// ͷ״̬
} MEDIAFILE_NONMOTOR_PARAM;

// DH_FILE_QUERY_NONMOTOR ǻӦFINDNEXTѯز
typedef struct tagMEDIAFILE_NONMOTOR_INFO
{
	DWORD               dwSize;             	// ṹС
   
	// ļ
	int                 nChannel;               // ͨ
	NET_TIME            stStartTime;            // ʼʱ
	NET_TIME            stEndTime;              // ʱ
	char                szFilePath[MAX_PATH];   // ļ·
	int                 nFileSize;              // ļС
   
	// ǻϢ
	UINT				nNumOfCycling;			// ﳵ
	EM_NONMOTOR_COLOR	emNonmotorColor;		// ǻɫ
	EM_NONMOTOR_SUBTYPE	emNonmotorSubtype;		// ǻ
	EM_HELMET_STATE 	emHelmetState;			// ͷ״̬
	NET_POINT           stuFaceCenter;          // (ǰΧ), 0-8191, Сͼ
} MEDIAFILE_NONMOTOR_INFO;

// ͼƬϢ
typedef struct tagNET_FACE_IMAGE_INFO
{
    DWORD       dwOffSet;                               // ͼƬڶݿеƫλ, λ:ֽ
    DWORD       dwFileLength;                           // ͼƬС, λ:ֽ
    DWORD       dwWidth;                                // ͼƬ
    DWORD       dwHeight;                               // ͼƬ߶   
    BOOL        bIsDetected;                            // ͼƬǷ㷨,ύʶʱ,
								                        // Ҫʱⶨλͼ,TRUE:,FALSE:ûм
	char        szPicFilePath[DH_COMMON_STRING_256];    // ͼƬļ·, dwOffSetdwFileLenth
	BYTE        bReserved[512];					        // Ԥֽ
} NET_FACE_IMAGE_INFO;

// ѯļ
typedef enum tagEM_FINDFILE_TYPE
{
	EM_FINDFILE_UNKNOWN,		// δ֪
	EM_FINDFILE_JPG,			// ָͼƬ
	EM_FINDFILE_DAV,			// ָƵ
	EM_FINDFILE_LOG,			// logϢ
	EM_FINDFILE_GPS,			// gpsϢ
} EM_FINDFILE_TYPE;

// ŷʽ
typedef enum tagEM_OPEN_DOOR_METHOD
{
	EM_OPEN_DOOR_METHOD_UNKNOWN		= -1,		// δ֪
	EM_OPEN_DOOR_METHOD_OTHER,					// ʽ
	EM_OPEN_DOOR_METHOD_FACE,					// 
} EM_OPEN_DOOR_METHOD;

// Ž
typedef enum tagEM_OPEN_DOOR_STATE
{
	EM_OPEN_DOOR_STATE_UNKNOWN		= -1,		// δ֪
	EM_OPEN_DOOR_STATE_FAIL,					// ʧ
	EM_OPEN_DOOR_STATE_SUCCESS,					// ɹ
} EM_OPEN_DOOR_STATE;

// DH_FILE_QUERY_DOORCONTROL_RECORD Ŵ¼Ӧѯ
typedef struct tagMEDIAFILE_DOORCONTROL_RECORD_PARAM
{
	DWORD               	dwSize;             	// ṹС

	// ļ
	int                 	nChannel;               // ͨ
	NET_TIME            	stStartTime;            // ʼʱ
	NET_TIME            	stEndTime;              // ʱ
	UINT					nFileTypeNum;			// ļ͸, Ϊ0ʾѯ
	EM_FINDFILE_TYPE		emFileType[32];			// ļ

	// Ŵ¼Ϣ
	EM_OPEN_DOOR_METHOD		emOpenDoorMethod;		// ŷʽ, EM_OPEN_DOOR_METHOD_UNKNOWN ʾзʽ
	EM_OPEN_DOOR_STATE		emOpenDoorState;		// Ž, EM_OPEN_DOOR_STATE_UNKNOWN ʾѯн
} MEDIAFILE_DOORCONTROL_RECORD_PARAM;


// 
typedef enum tagEM_FACE_TRAIT_EMOTION_TYPE
{
	EM_FACE_TRAIT_EMOTION_UNKNOWN,					// δ֪
	EM_FACE_TRAIT_EMOTION_UNRECOGNIZE,				// δʶ
	EM_FACE_TRAIT_EMOTION_ANGRY,					// 
	EM_FACE_TRAIT_EMOTION_SAD,						// 
	EM_FACE_TRAIT_EMOTION_DISGUST,					// 
	EM_FACE_TRAIT_EMOTION_FEAR,						// ־
	EM_FACE_TRAIT_EMOTION_SURPRISE,					// 
	EM_FACE_TRAIT_EMOTION_CALM,						// ƽ
	EM_FACE_TRAIT_EMOTION_SMILE,					// ΢Ц
	EM_FACE_TRAIT_EMOTION_LAUGH,					// Ц
	EM_FACE_TRAIT_EMOTION_HAPPY,					// 
	EM_FACE_TRAIT_EMOTION_CONFUSED,					// 
	EM_FACE_TRAIT_EMOTION_SCREAM,					// 
}EM_FACE_TRAIT_EMOTION_TYPE;

// 
typedef enum tagEM_FACE_TRAIT_ALIVE_TYPE
{
	EM_FACE_TRAIT_ALIVE_UNKNOWN,					// δ֪
	EM_FACE_TRAIT_ALIVE_NON,						// ǻ
	EM_FACE_TRAIT_ALIVE,							// 		
}EM_FACE_TRAIT_ALIVE_TYPE;

// ԣƣ
typedef struct tagFACE_TRAIT
{
	EM_SEX_TYPE					emSex;				// Ա
	UINT						nAge;				// 
	EM_HAS_GLASS				emGlass;			// ۾
	EM_BEARD_STATE_TYPE			emBeard;			// 
	EM_COMPLEXION_TYPE			emComplexion;		// ɫ
	EM_MASK_STATE_TYPE			emMask;				// 
	EM_FACE_TRAIT_EMOTION_TYPE	emEmotion;			// 
	NET_TIME_EX					stuSnapTime;		// ץʱ	
	EM_FACE_TRAIT_ALIVE_TYPE	emAlive;			// Ϣ
	BYTE						byReserved[1020];	// Ԥֶ
}FACE_TRAIT;

// 
typedef enum tagEM_AGE_GROUP_TYPE
{
	EM_AGE_GROUP_UNKNOWN,							// δ֪
	EM_AGE_GROUP_OLD,								// 
	EM_AGE_GROUP_ADULT,								// 
	EM_AGE_GROUP_CHILD,								// С
}EM_AGE_GROUP_TYPE;

// ǰǷж
typedef enum tagEM_HAS_HOLD
{
	EM_HAS_HOLD_UNKNOWN,							// δ֪
	EM_HAS_HOLD_NO,									// ޶
	EM_HAS_HOLD_YES,								// ж
} EM_HAS_HOLD;

// 
typedef enum tagEM_UPPER_TYPE
{
	EM_UPPER_UNKNOWN,								// δ֪
	EM_UPPER_LONGCOAT,								// 1-
	EM_UPPER_JACKETORJEANS,							// 2-п˼ţз
	EM_UPPER_TSHIRT,								// 3-T
	EM_UPPER_SPORTSWEAR,							// 4-˶
	EM_UPPER_DOWNJACKET,							// 5-޷
	EM_UPPER_SHIRT,									// 6-
	EM_UPPER_DRESS,									// 7-ȹ
	EM_UPPER_SUIT,									// 8-װ
}EM_UPPER_TYPE;

// Ь
typedef enum tagEM_SHOES_TYPE
{
	EM_SHOES_UNKNOWN,								// δ֪
	EM_SHOES_LEATHER,								// ƤЬ
	EM_SHOES_BOOTS,									// ѥ
	EM_SHOES_CASUAL,								// Ь
	EM_SHOES_SANDALS,								// Ь
} EM_SHOES_TYPE;


// Ƿ
typedef enum tagEM_MASK_TYPE
{
	EM_MASK_UNKNOWN,								// δ֪
	EM_MASK_NO,										// 
	EM_MASK_YES,									// 
}EM_MASK_TYPE;

// ԣƣ
typedef struct tagBODY_TRAIT
{
	EM_SEX_TYPE				emSex;					// Ա
	EM_AGE_GROUP_TYPE		emAgeGroup;				// 
	EM_COAT_TYPE			emCoatType;				// 
	EM_TROUSERS_TYPE		emTrousersType;			// 
	EM_ANGLE_TYPE			emAngle;				// Ƕ
	EM_CLOTHES_PATTERN		emUpperPattern;			// ģʽ
	EM_UNIFIED_COLOR_TYPE	emTrousersColor;		// ɫ
	EM_HAS_UMBRELLA			emUmbrella;				// ɡ
	EM_UNIFIED_COLOR_TYPE	emUmbrellaColor;		// ɡɫ
	EM_HAS_HOLD				emHold;					// ǰ
	EM_CLOTHES_PATTERN		emTrousersPattern;		// ģʽ
	EM_HAT_STYLE			emHatType;				// ñӿʽ
	EM_UNIFIED_COLOR_TYPE	emHatColor;				// ñɫ
	EM_UPPER_TYPE			emUpperType;			// 
	EM_UNIFIED_COLOR_TYPE	emCoatColor;			// ɫ
	EM_HAIR_STYLE			emHairStyle;			// 
	EM_UNIFIED_COLOR_TYPE	emHairColor;			// ͷɫ
	EM_SHOES_TYPE			emShoesType;			// Ьӿʽ
	EM_UNIFIED_COLOR_TYPE	emShoesColor;			// Ьɫ
	EM_BAG_TYPE				emBagType;				// ʽ
	EM_UNIFIED_COLOR_TYPE	emBagColor;				// ɫ
	EM_MASK_TYPE			emMaskType;				// 
	EM_UNIFIED_COLOR_TYPE	emMaskColor;			// ɫ
	NET_TIME_EX				stuSnapTime;			// ץͼʱ
	BYTE					szReserved[1024];		// Ԥֶ
}BODY_TRAIT;

// ѯԱԹϢ
typedef struct tagFACEBODY_DETECT_RECORDFILTER
{
	int			nAgeRange[2]; 						// ѯ:[0, 0]ʾѯδ֪[0, 200]ʾѯУĬϣ
	FACE_TRAIT	stuFaceTrait;						// 
	BODY_TRAIT	stuBodyTrait;						// 
	BYTE		byReserved[1024];					// Ԥֶ
}FACEBODY_DETECT_RECORDFILTER;


// ¼ͼƬƫϢ
typedef struct tagNET_EVENT_IMAGE_OFFSET_INFO
{
	unsigned int       nOffSet;						// ƫ 		
	unsigned int	   nLength;						// ͼƬС,λֽ
	unsigned int	   nWidth;						// ͼƬ
	unsigned int	   nHeight;						// ͼƬ߶
	char			   szPath[260];					// ͼƬ·
	BYTE			   byReserved[252];				// Ԥֽ
}NET_EVENT_IMAGE_OFFSET_INFO;


// DH_FILE_QUERY_FACEBODY_DETECT Ӧѯ
typedef struct tagMEDIAFILE_FACEBODY_DETECT_PARAM
{
	DWORD               			dwSize;                			// ṹС   
    int                 			nFileType;             			// ļ,0:ѯ,1:ѯjpgͼƬ,2:ѯdav
    int                 			nChannelID;             		// ͨŴ0ʼ,-1ʾѯͨ    
    UINT               				nVideoStream;          			// Ƶ 0-δ֪ 1- 2-1 3-2 4-3  5-еĸ
	NET_TIME            			stuBeginTime;           		// ʼʱ    
	NET_TIME            			stuEndTime;             		// ʱ    
	EM_RECORD_SNAP_FLAG_TYPE 		emFlagList[FLAG_TYPE_MAX]; 		// ¼ץͼļ־, ñ־ʾѯļ
    int                 			nFlagCount;            			// ־
    NET_RECORD_CARD_INFO 			stuCardInfo;           			// ¼Ϣ, emFlagList¼ʱЧ
    EM_RESULT_ORDER_TYPE 			emResultOrder;         			// ѯʽ
    BOOL							bTime;                  		// Ƿʱѯ
	FACEBODY_DETECT_RECORDFILTER	stuFilter;						// 
} MEDIAFILE_FACEBODY_DETECT_PARAM;


// DH_FILE_QUERY_FACEBODY_DETECT Ӧ FINDNEXT ѯؽ
typedef struct tagMEDIAFILE_FACEBODY_DETECT_INFO
{
	DWORD               			dwSize;                			// ṹС
    int                 			nChannelID;             		// ͨŴ0ʼ,-1ʾѯͨ
    NET_TIME            			stuBeginTime;           		// ʼʱ    
    NET_TIME            			stuEndTime;             		// ʱ
	UINT                			nFileType;             			// ļ 1:jpgͼƬ, 2: dav    
    UINT        					nFileSize;              		// ļ       
    UINT                			nVideoStream;          			// Ƶ 0-δ֪ 1- 2-1 3-2 4-3 
	UINT                			nPartition;            			// 
    UINT		        			nCluster;               		// غ
    char                			szFilePath[MAX_PATH];   		// ļ·   
    EM_RECORD_SNAP_FLAG_TYPE 		emFlagList[FLAG_TYPE_MAX]; 		// ¼ץͼļ־ 
    int                 			nFlagCount;             		// ־
    UINT		        			nDriveNo;               		// ̺   
	FACE_TRAIT						stuFaceTrait;					// 
	BODY_TRAIT						stuBodyTrait;					// 
	NET_EVENT_IMAGE_OFFSET_INFO		stuFaceImage; 					// ͼƬϢ
	NET_EVENT_IMAGE_OFFSET_INFO		stuBodyImage;					// ͼƬϢ	
	NET_EVENT_IMAGE_OFFSET_INFO		stuSceneImage;					// ȫͼƬϢ
} MEDIAFILE_FACEBODY_DETECT_INFO;


// ʶѯԱϢϢ
typedef struct tagFACEBODY_ANALYSE_RECORDFILTER
{	
	int								nAgeRange[2]; 								// ѯ:[0, 0]ʾѯδ֪[0, 200]ʾѯУĬϣ
	EM_SEX_TYPE						emSex;										// Ա
	char							szCountry[NET_COUNTRY_LENGTH];				// ,ISO3166淶
	BYTE							byReserved1;								// ֽڶ
	char                			szProvince[DH_MAX_PROVINCE_NAME_LEN];       // ʡ
	char                			szCity[DH_MAX_CITY_NAME_LEN];               // 
	char                			szID[DH_MAX_PERSON_ID_LEN];                 // ԱΨһʾ(֤,պ,֤)
	EM_CERTIFICATE_TYPE				emCertificateType;							// ֤	
	BYTE							byReserved[1028];							// Ԥֶ
} FACEBODY_ANALYSE_RECORDFILTER;


// DH_FILE_QUERY_FACEBODY_ANALYSE  Ӧѯ
typedef struct tagMEDIAFILE_FACEBODY_ANALYSE_PARAM
{
	DWORD               			dwSize;                			// ṹС   
    int                 			nFileType;             			// ļ,0:ѯ,1:ѯjpgͼƬ,2:ѯdav
    int                 			nChannelID;             		// ͨŴ0ʼ,-1ʾѯͨ    
    UINT               				nVideoStream;          			// Ƶ 0-δ֪ 1- 2-1 3-2 4-3  5-еĸ
	NET_TIME            			stuBeginTime;           		// ʼʱ    
	NET_TIME            			stuEndTime;             		// ʱ    
	EM_RECORD_SNAP_FLAG_TYPE 		emFlagLists[FLAG_TYPE_MAX]; 	// ¼ץͼļ־, ñ־ʾѯļ
    int                 			nFlagCount;            			// ־
    NET_RECORD_CARD_INFO 			stuCardInfo;           			// ¼Ϣ, emFlagLists¼ʱЧ
    EM_RESULT_ORDER_TYPE 			emResultOrder;         			// ѯʽ
    BOOL							bTime;                  		// Ƿʱѯ
	FACEBODY_ANALYSE_RECORDFILTER	stuFilter;						// ʶ
} MEDIAFILE_FACEBODY_ANALYSE_PARAM;

// DH_FILE_QUERY_FACEBODY_ANALYSE Ӧ FINDNEXT ѯؽ
typedef struct tagMEDIAFILE_FACEBODY_ANALYSE_INFO
{
	DWORD               			dwSize;                			// ṹС
	int                 			nChannelID;             		// ͨŴ0ʼ,-1ʾѯͨ
	NET_TIME            			stuBeginTime;           		// ʼʱ    
	NET_TIME            			stuEndTime;             		// ʱ
	UINT        					nFileSize;              		// ļ
	UINT                			nFileType;             			// ļ 1:jpgͼƬ, 2: dav    
	UINT                			nVideoStream;          			// Ƶ 0-δ֪ 1- 2-1 3- 4- 
	UINT                			nPartition;            			// 	
	UINT		        			nCluster;               		// غ
	char                			szFilePath[MAX_PATH];   		// ļ·   
	EM_RECORD_SNAP_FLAG_TYPE 		emFlagLists[FLAG_TYPE_MAX]; 	// ¼ץͼļ־ 
	int                 			nFlagCount;             		// ־
	UINT		        			nDriveNo;               		// ̺   
	FACE_TRAIT						stuFaceTrait;					// 
	BODY_TRAIT						stuBodyTrait;					// 
	NET_EVENT_IMAGE_OFFSET_INFO		stuFaceImage; 					// ͼƬϢ
	NET_EVENT_IMAGE_OFFSET_INFO		stuBodyImage;					// ͼƬϢ	
	NET_EVENT_IMAGE_OFFSET_INFO		stuSceneImage;					// ȫͼƬϢ
	CANDIDATE_INFOEX				stuCandidates[DH_MAX_CANDIDATE_NUM];	// ѡб
	int								nCandidateNum;							// صĺѡ
} MEDIAFILE_FACEBODY_ANALYSE_INFO;


// ĿϢ
typedef struct tagNET_DOORCONTROL_FACE_OBJECT
{
	NET_RECT            stuBoundingBox;                 // Χ
	IMAGE_INFO			stuFaceImageInfo;				// ͼƬϢ
	BYTE				byReserved[512];	            // Ԥֽ
} NET_DOORCONTROL_FACE_OBJECT;

//  עԱϢ
typedef struct tagNET_REGISTER_PERSON_INFO
{
	char                		szUID[DH_MAX_PERSON_ID_LEN];                    // ԱΨһʶ,״ɷ,IDֶ
                                                                        		// ޸,ɾʱ
    char						szGroupID[NET_GROUPID_LENGTH];					// ԱID
	char						szGroupName[NET_GROUPNAME_LENGTH];				// Ա
	EM_REGISTER_DB_TYPE			emRegisterDbType;								// ע
	EM_SEX_TYPE                 emSexType;                                      // Ա
	UINT                		nFacePicNum;                                    // ͼƬ
	NET_FACE_IMAGE_INFO			stuFacePicInfo[DH_MAX_PERSON_IMAGE_NUM];        // ǰԱӦͼƬϢ
	EM_PERSON_FEATURE_STATE		emFeatureState;									// Աģ״̬

	char                		szPersonName[DH_MAX_PERSON_NAME_LEN];           //    
	NET_TIME					stuBirthday;									// 
	char						szCountry[NET_COUNTRY_LENGTH];					// ,ISO3166淶
	char                		szProvince[DH_MAX_PROVINCE_NAME_LEN];           // ʡ
	char                		szCity[DH_MAX_CITY_NAME_LEN];                   // 
	char						szHomeAddress[DH_COMMON_STRING_128];			// עԱַͥ
	EM_CERTIFICATE_TYPE			emCertificateType;								// ֤
	char                		szID[DH_MAX_PERSON_ID_LEN];                     // Ա֤,,
	UINT						nImportant;										// ԱҪȼ, [1,10]ֵԽԽҪ
	char						szComment[NET_COMMENT_LENGTH];					// עϢ
	BYTE                        byReserved[2048];   								// ֽ
} NET_REGISTER_PERSON_INFO;

// Ŵ¼кѡϢ
typedef struct tagNET_DOORCONTROL_CANDIDATE
{
	UINT						nSimilarity;			// ƶ, [1,100]
	NET_REGISTER_PERSON_INFO	stuPersonInfo;			// ԱϢ
	BYTE                        byReserved[1024];   		// ֽ
} NET_DOORCONTROL_CANDIDATE;

// DH_FILE_QUERY_DOORCONTROL_RECORD Ŵ¼ӦFINDNEXTѯز
typedef struct tagMEDIAFILE_DOORCONTROL_RECORD_INFO
{
	DWORD               		dwSize;             					// ṹС
   
	// ļ
	int                 		nChannel;               				// ͨ
	UINT        				nDriveNo;               				// ̺
	UINT        				nCluster;               				// غ
	UINT						nHint;									// ȷλ
	char                		szFilePath[MAX_PATH];   				// ļ·
	int                 		nFileSize;              				// ļС
   
	// Ŵ¼Ϣ
	EM_OPEN_DOOR_METHOD			emOpenDoorMethod;						// ŷʽ
	EM_OPEN_DOOR_STATE			emOpenDoorState;						// Ž
	IMAGE_INFO					stuSceneImageInfo;						// ȫͼϢ
	NET_TIME					stuSnapTime;							// ץʱ
	NET_DOORCONTROL_FACE_OBJECT	stuFaceObject;							// ĿϢ
	UINT						nCandidatesNum;							// ѡ
	NET_DOORCONTROL_CANDIDATE	stuCandidates[DH_MAX_CANDIDATE_NUM]; 	// ѡϢ
} MEDIAFILE_DOORCONTROL_RECORD_INFO;

// ƵŨļѯ
typedef struct __MEDIA_QUERY_VIDEOSYNOPSIS_PARAM
{
    DWORD               dwSize;
    NET_TIME            StartTime;                          // ʼʱ    
    NET_TIME            EndTime;                            // ʱ
    int                 nMediaType;                         // ļ,0:ѯ,1:ͼƬ,2:¼
    int                 nQueryType;                         // ѯ,1:ԭʼƵļ 2:ŨƵļ
}MEDIA_QUERY_VIDEOSYNOPSIS_PARAM;

typedef struct __MEDIAFILE_VIDEOSYNOPSIS_INFO
{
    char                szFilePath[128];                    // ļ·
    unsigned int        size;                               // ļ
    NET_TIME            starttime;                          // ʼʱ
    NET_TIME            endtime;                            // ʱ
    unsigned int        nWorkDirSN;                         // Ŀ¼                                    
    BYTE                nFileType;                          // ļ  1jpgͼƬ
    BYTE                bHint;                              // ļλ
    BYTE                bDriveNo;                           // ̺
    BYTE                bReserved2;
    unsigned int        nCluster;                           // غ
    BYTE                byPictureType;                      // ͼƬ, 0-ͨ, 1-ϳ, 2-ͼ
    BYTE                bReserved[3];                       // ֶ

    // ƵԴļϢ
    int                 nTaskID;                            // ID
    char                szCurrentState[DH_MAX_SYNOPSIS_STATE_NAME]; // ƵŨ״̬
    int                 nProgress;                          // ӦŨ״̬
    int                 nObjectNum;                         // Ũõ

    // ŨƵļϢ
    int                 nDurationTime;                      // ʱ,λs
}MEDIAFILE_VIDEOSYNOPSIS_INFO;


// ṹ(NET_IN_SNAPSHOT)Ա صƵڿ     һ,ÿԪضӦһ
typedef struct __NET_FLASHCONTROL
{
    DWORD               dwSize;                             // ˽ṹС
    int                 nMode;                              // ģʽ    0-ֹ,1-ʼ,2-Զ
}NET_FLASHCONTROL;

// ץĿͻ
typedef enum tagSNAP_CLIENT_TYPE
{
    SNAP_CLIENT_TYPE_COMMON,                // Ӧ"Common", Ĭ
    SNAP_CLIENT_TYPE_PARKINGSPACE,          // Ӧ"ParkingSpace", ͣ
}SNAP_CLIENT_TYPE;

#define DH_MAX_USER_DEFINE_INFO        1024

// nTriggerType==2ʱ ͻ˴ץĲ
typedef struct _NET_CLIENT_SNAP_INFO
{
    DWORD               dwSize;                                         // ˽ṹС
    unsigned int        nFrameSequence;                                 // ֡
    double              PTS;                                            // ʱ,64λʱ
    char                szUserDefinedInfo[DH_MAX_USER_DEFINE_INFO];     // ַ,ͻԶ,"\0"β
    SNAP_CLIENT_TYPE    emSNAP_CLIENT_TYPE;                             // ͻ
    DWORD               dwRetCardNumber;                                // Ƭ
    EVENT_CARD_INFO     stuCardInfo[DH_EVENT_MAX_CARD_NUM];             // ƬϢ     
}NET_CLIENT_SNAP_INFO;

// ӿ(CLIENT_TrafficSnapByNetwork)
typedef struct __NET_IN_SNAPSHOT
{
    DWORD                   dwSize;                     // ˽ṹС
    int                     nTriggerType;               //     0-δ֪    1-紥 2-ͻ˴ʱֻҪдstClientInfo
    int                     nLaneID;                    // 
    int                     nGroupID;                   // 
    int                     nGrabTimes;                 // ץͼƬ
    int                     nStartPicNum;               // һͼƬʼ
    int                     nDirection;                 // 򣨳ķ    0- 1- 2- 3- 4- 5- 6- 7- 8-δ֪
    //NET_GRAB_WAITTIME     stGrabWaitTime;             // ͼƬ֮ץļ
    int                     nGrabWaitTime;              // pGrabWaitTimeԱ
    DWORD*                  pGrabWaitTime;              // ͼƬ֮ץļ,ûڴ棬СΪnGrabWaitTime
    int                     nLowerSpeedLimit;           // ٶ,λkm/h
    int                     nUpperSpeedLimit;           // ٶ,λkm/h
    int                     nSpeed;                     // ,λkm/h
    int                     nViolationNo;               // Υ    0-δΥ
                                                        // 1-
                                                        // 2-ٲ50% 
                                                        // 3-50%100%֮
                                                        // 4-ٳ100%
                                                        // 5-
                                                        // 6-
                                                        // 7-
                                                        // 8-,ʻ
    int                     nRedLightTime;              // ʱ,Ƶʱ󴥷ץ,λ
    //NET_FLASHCONTROL      stFlashControl;             // صƵڿ
    int                     nFlashControl;              // pFlashControl
    NET_FLASHCONTROL*       pFlashControl;              // صƵڿ,ûڴ棬СΪsizeof(NET_FLASHCONTROL)*nFlashControl
    DWORD                   dwUser;                     // û NSP
    NET_CLIENT_SNAP_INFO    stClientInfo;               // ͻ˴ʱץĲ
}NET_IN_SNAPSHOT;

// ӿ(CLIENT_TrafficSnapByNetwork)
typedef struct __NET_OUT_SNAPSHOT
{
    DWORD                dwSize;                    // ˽ṹС
}NET_OUT_SNAPSHOT;

// ӿ(CLIENT_TrafficForceLightState)
typedef struct __NET_IN_FORCELIGHTSTATE
{
    DWORD               dwSize;                     // ˽ṹС
    unsigned int        nDirection;                 // λʾ0λ"Straight",1λ"TurnLeft",2λ"TurnRight",3λ"U-Turn"
}NET_IN_FORCELIGHTSTATE;

// ӿ(CLIENT_TrafficForceLightState)
typedef struct __NET_OUT_FORCELIGHTSTATE
{
    DWORD                dwSize;                    // ˽ṹС
}NET_OUT_FORCELIGHTSTATE;

// ӿ(CLIENT_StartTrafficFluxStat)ص
typedef int  (CALLBACK *fFluxStatDataCallBack)(LLONG lFluxStatHandle, DWORD dwEventType, void* pEventInfo, BYTE *pBuffer, DWORD dwBufSize, LDWORD dwUser, int nSequence, void *reserved);

// ӿ(CLIENT_StartTrafficFluxStat)
typedef struct __NET_IN_TRAFFICFLUXSTAT
{
    DWORD                   dwSize;                 // ˽ṹС
    fFluxStatDataCallBack   cbData;                 // صָ
    LDWORD                  dwUser;                 // û
}NET_IN_TRAFFICFLUXSTAT;

// ӿ(CLIENT_StartTrafficFluxStat)
typedef struct __NET_OUT_TRAFFICFLUXSTAT
{
    DWORD                dwSize;                    // ˽ṹС    
}NET_OUT_TRAFFICFLUXSTAT;

// ӿ(CLIENT_StartFindFluxStat)
typedef struct __NET_IN_TRAFFICSTARTFINDSTAT
{
    DWORD               dwSize;                     // ˽ṹС
    NET_TIME            stStartTime;                // ʼʱ ʱȷСʱ
    NET_TIME            stEndTime;                  // ʱ ʱȷСʱ
    int                 nWaittime;                  // ȴݵĳʱʱ
}NET_IN_TRAFFICSTARTFINDSTAT;

// ӿ(CLIENT_StartFindFluxStat)
typedef struct __NET_OUT_TRAFFICSTARTFINDSTAT
{
    DWORD               dwSize;                     // ˽ṹС
    DWORD               dwTotalCount;               // ϴ˴βѯĽ                 
}NET_OUT_TRAFFICSTARTFINDSTAT;

// ӿ(CLIENT_DoFindFluxStat)
typedef struct __NET_IN_TRAFFICDOFINDSTAT
{
    DWORD               dwSize;                     // ˽ṹС
    unsigned int        nCount;                     // ÿβѯͳ
    int                 nWaittime;                  // ȴݵĳʱʱ
}NET_IN_TRAFFICDOFINDSTAT;

typedef struct
{
    DWORD               dwSize;                     // ˽ṹС
    int                 nStatInfo;                  // ͳϢ
    DH_TRAFFICFLOWSTAT  *pStatInfo;                 // ͳϢָ,ûڴ棬СΪsizeof(DH_TRAFFICFLOWSTAT)*nStatInfo
}DH_TRAFFICFLOWSTAT_OUT;

// ӿ(CLIENT_DoFindFluxStat)
typedef struct __NET_OUT_TRAFFICDOFINDSTAT
{
    DWORD                   dwSize;                 // ˽ṹС
    DH_TRAFFICFLOWSTAT_OUT  stStatInfo;             // ͳϢָ
}NET_OUT_TRAFFICDOFINDSTAT;

// 
typedef enum tagEM_RULE_TYPE
{
	EM_RULE_UNKNOWN,			// δ֪
	EM_RULE_NUMBER_STAT,		// ͳ
	EM_RULE_MAN_NUM_DETECTION,	// ͳ
} EM_RULE_TYPE;

// 
typedef enum tagEM_OTHER_RULE_TYPE
{
	EM_OTHER_RULE_TYPE_UNKOWN,				// δ֪
	EM_OTHER_RULE_TYPE_AVERAGE_STAYTIME,	// ƽʱ	
} EM_OTHER_RULE_TYPE; 

// ӿ(CLIENT_StartFindNumberStat)
typedef struct __NET_IN_FINDNUMBERSTAT
{
    DWORD               dwSize;                     // ˽ṹС
    int                 nChannelID;                 // Ҫвѯͨ
    NET_TIME            stStartTime;                // ʼʱ ʱȷСʱ
    NET_TIME            stEndTime;                  // ʱ ʱȷСʱ
    int                 nGranularityType;           // ѯ0:,1:Сʱ,2:,3:,4:,5:,6:, 
    												// 7:ʱ, 8:Ա (78ֻemRuleTypeΪEM_RULE_MAN_NUM_DETECTIONʱЧ)
    int                 nWaittime;                  // ȴݵĳʱʱ
    UINT                nPlanID;                    // ƻID,Ч,1ʼ
	EM_RULE_TYPE		emRuleType;					// 
	int					nMinStayTime;				// ѯСʱ䣬ĬΪ0ʱڵڸʱϢ
													// NumberStatʱҪ˲
	int					nAreaIDNum;					// ID
	UINT				nAreaID[20];				// ID(һԤõԶӦID)
	EM_OTHER_RULE_TYPE	emOtherRule;				// 
}NET_IN_FINDNUMBERSTAT;

// ӿ(CLIENT_StartFindNumberStat)
typedef struct __NET_OUT_FINDNUMBERSTAT
{
    DWORD               dwSize;                     // ˽ṹС
    DWORD               dwTotalCount;               // ϴ˴βѯĽ
}NET_OUT_FINDNUMBERSTAT;

// ӿ(CLIENT_DoFindNumberStat)
typedef struct __NET_IN_DOFINDNUMBERSTAT
{
    DWORD               dwSize;                     // ˽ṹС
    unsigned int        nBeginNumber;               // [0, totalCount-1], ѯʼ,ʾbeginNumber¼ʼ,ȡcount¼; 
    unsigned int        nCount;                     // ÿβѯͳ
    int                 nWaittime;                  // ȴݵĳʱʱ            
}NET_IN_DOFINDNUMBERSTAT;

typedef struct __DH_NUMBERSTAT
{
    DWORD    		dwSize;
    int      		nChannelID;                         // ͳͨ
    char     		szRuleName[DH_CHAN_NAME_LEN];       // 
    NET_TIME 		stuStartTime;                       // ʼʱ
    NET_TIME 		stuEndTime;                         // ʱ
    int      		nEnteredSubTotal;                   // С
    int      		nExitedSubtotal;                    // ȥС
    int      		nAvgInside;                         // ƽ(ȥֵ)
    int      		nMaxInside;                         // 
    int      		nEnteredWithHelmet;                 // ȫñС
    int      		nEnteredWithoutHelmet;              // ȫñС
    int      		nExitedWithHelmet;                  // ȫñȥС
    int      		nExitedWithoutHelmet;               // ȫñȥС
    int				nInsideSubtotal;					// С
	UINT            nPlanID;							// ƻID,Ч,1ʼ
	UINT			nAreaID;							// ID(һԤõԶӦID)
	UINT			nAverageStayTime;					// ƽʱ
}DH_NUMBERSTAT;

// ӿ(CLIENT_DoFindNumberStat)
typedef struct __NET_OUT_DOFINDNUMBERSTAT
{
    DWORD               dwSize;                          // ˽ṹС
    int                 nCount;                          // ѯͳϢ
    DH_NUMBERSTAT       *pstuNumberStat;                 // ͳϢ
														 // ûڴ棬СΪnBufferLen
    int                 nBufferLen;                      // ûڴС,DH_NUMBERSTATеdwsizeСΪλ
	int					nMinStayTime;					 // ѯʱָСʱ
}NET_OUT_DOFINDNUMBERSTAT;

// ƵͳСϢ
typedef struct tagNET_VIDEOSTAT_SUBTOTAL 
{
    int                 nTotal;                         // 豸кͳ
    int                 nHour;                          // Сʱڵ
    int                 nToday;                         // , ֶ
    int                 nOSD;                           // ͳ, OSDʾ, ֶ
    char                reserved[252];
} NET_VIDEOSTAT_SUBTOTAL;

#define MAX_EXIT_MAN_NUM		32		// ֵ֧뿪Ա

// 뿪ԱʱϢ
typedef struct tagNET_EXITMAN_STAY_STAT
{
	NET_TIME	stuEnterTime;		// Աʱ
	NET_TIME	stuExitTime;		// Ա뿪ʱ
	BYTE		reserved[128];		// ֽ
} NET_EXITMAN_STAY_STAT;

// ƵͳժҪϢ
typedef struct tagNET_VIDEOSTAT_SUMMARY
{
    int                     nChannelID;                 			// ͨ
    char                    szRuleName[32];             			// 
    NET_TIME_EX             stuTime;                    			// ͳʱ
    NET_VIDEOSTAT_SUBTOTAL  stuEnteredSubtotal;         			// С
    NET_VIDEOSTAT_SUBTOTAL  stuExitedSubtotal;          			// ȥС
	UINT					nInsidePeopleNum;						// 
	EM_RULE_TYPE			emRuleType;								// 
	int						nRetExitManNum;							// 뿪
	NET_EXITMAN_STAY_STAT	stuExitManStayInfo[MAX_EXIT_MAN_NUM];	// 뿪ԱʱϢ
	UINT					nPlanID;								// ƻID,Ч,1ʼ
	UINT					nAreaID;								// ID(һԤõԶӦID)
    UINT                    nCurrentDayInsidePeopleNum;             // 
	BYTE					reserved[1012];							// ֽ
} NET_VIDEOSTAT_SUMMARY;

// ƵͳժҪϢصԭΣlAttachHandle  CLIENT_AttachVideoStatSummary ֵ
typedef void (CALLBACK *fVideoStatSumCallBack) (LLONG lAttachHandle, NET_VIDEOSTAT_SUMMARY* pBuf, DWORD dwBufLen, LDWORD dwUser);

// CLIENT_AttachVideoStatSummary 
typedef struct tagNET_IN_ATTACH_VIDEOSTAT_SUM
{
    DWORD                   dwSize;
    int                     nChannel;                    // Ƶͨ         
    fVideoStatSumCallBack   cbVideoStatSum;              // ƵͳժҪϢص
    LDWORD                  dwUser;                      // û                   
} NET_IN_ATTACH_VIDEOSTAT_SUM;

// CLIENT_AttachVideoStatSummary 
typedef struct tagNET_OUT_ATTACH_VIDEOSTAT_SUM
{
    DWORD                   dwSize;
} NET_OUT_ATTACH_VIDEOSTAT_SUM;

// ȶͼ
typedef enum tagEM_HEATMAP_TYPE
{
	EM_HEATMAP_UNKNOWN,									// δ֪
	EM_HEATMAP_AVERAGESTAYTIME,							// ƽʱȶͼ
	EM_HEATMAP_HUMANSTATISTICS,							// ͳȶͼ
	EM_HEATMAP_HUMANTRACK,								// ˹켣ͼ
}EM_HEATMAP_TYPE;

// ȡͼݽӿ
typedef struct tagNET_IN_GET_VIDEOSTAT_HEATMAP
{
	DWORD                   dwSize;                      // ˽ṹС
	int						nPlanID;					 // ƻԤõ,Ч,Χ1~MaxNumberStatPlan
	NET_TIME				stuStartTime;				 // ʼʱ
	NET_TIME				stuEndTime;					 // ʱ
	EM_HEATMAP_TYPE			emHeatMapType;				 // Ai ȶͼ
}NET_IN_GET_VIDEOSTAT_HEATMAP;

// ȡͼݽӿڳ
typedef struct tagNET_OUT_GET_VIDEOSTAT_HEATMAP
{
	DWORD                   dwSize;                      // ˽ṹС
	UINT					nToken;						 //  ѯToken
}NET_OUT_GET_VIDEOSTAT_HEATMAP;

// ȶͼϢ
typedef struct tagNET_CB_VIDEOSTAT_HEATMAP
{
	UINT					nToken;
	EM_HEATMAP_TYPE			emHeatMapType;				// ȶͼ
	BYTE					byReserved[1024];			// ֽ
}NET_CB_VIDEOSTAT_HEATMAP;

// ȶͼݻص
typedef void (CALLBACK *fVideoStatHeatMapCallBack) (LLONG lAttachHandle, NET_CB_VIDEOSTAT_HEATMAP* pBuf, const char* pBinData, DWORD dwBinDataLen, LDWORD dwUser);

// ȶͼϢ
typedef struct tagNET_IN_ATTACH_VIDEOSTAT_HEATMAP
{
	DWORD                   dwSize;                      // ˽ṹС
	int                     nChannel;                    // Ƶͨ    
	fVideoStatHeatMapCallBack cbVideoStatHeatMap;        // ͼݻص
	LDWORD                  dwUser;                      // û                   
} NET_IN_ATTACH_VIDEOSTAT_HEATMAP;

// ȶͼϢ
typedef struct tagNET_OUT_ATTACH_VIDEOSTAT_HEATMAP
{
	DWORD                   dwSize;                      // ˽ṹС
} NET_OUT_ATTACH_VIDEOSTAT_HEATMAP;

// ӿ CLIENT_GetParkingSpaceStatus 
typedef struct tagNET_IN_GET_PARKINGSPACE_STATUS
{
    DWORD                dwSize;                         // ˽ṹС
    DWORD                dwWaitTime;                     // ӿڳʱȴʱ
    int                  nChannelID;                     // ͨ
    int *                pLaneID;                        // ȡֵΧ[0,255], pLaneID==NULLʾгλ,λͬDH_PRODUCTION_DEFNITION.nMaxRoadWays
    int                  nLaneCount;                     // ڴΪsizeof(int)*nLaneCount
} NET_IN_GET_PARKINGSPACE_STATUS;

typedef struct tagNET_LANE_PARKINGSPACE_STATUS
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nLaneID;                        // λ
    unsigned int         nPictureId;                     // ͼƬID,ڻȡͼƬ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;      // ͨϢ
} NET_LANE_PARKINGSPACE_STATUS;

// ӿ CLIENT_GetParkingSpaceStatus 
typedef struct tagNET_OUT_GET_PARKINGSPACE_STATUS
{
    DWORD                dwSize;                         // ˽ṹС
    NET_LANE_PARKINGSPACE_STATUS* pStatus;               // صĳλ״̬,ûڴ
    int                  nMaxStatus;                     // ҪڴΪsizeof(NET_LANE_PARKINGSPACE_STATUS)*nMaxStatus,nMaxStatus == DH_PRODUCTION_DEFNITION.nMaxRoadWays
    int                  nRetStatus;                     // ʵʷصĳλ״̬
} NET_OUT_GET_PARKINGSPACE_STATUS;

// ӿ CLIENT_AttachParkingSpaceData 
typedef struct tagNET_CB_PARKINGSPACE_DATA
{
    DWORD                dwSize;                         // ˽ṹС
    void*                pPicBuffer;                     // ͼƬ,ûڴ棬СΪsizeof(unsigned int)*nPicLength
    unsigned int         nPicLength;                     // ͼƬܳ
} NET_CB_PARKINGSPACE_DATA;

// ӿ CLIENT_AttachParkingSpaceData ص,pBufjsonͼƬ,nBufLenpBufӦ,ת
typedef int (CALLBACK *fNotifySnapData)(LLONG lParkingHandle, NET_CB_PARKINGSPACE_DATA* pDiagnosisInfo, void* pBuf, int nBufLen, LDWORD dwUser);

// ӿ CLIENT_AttachParkingSpaceData 
typedef struct tagNET_IN_ATTACH_PARKINGSPACE
{
    DWORD                dwSize;                         // ˽ṹС
    DWORD                dwWaitTime;                     // ӿڳʱȴʱ
    int                  nChannelID;                     // ͨ
    unsigned int         nPictureId;                     // ͼƬID,NET_LANE_PARKINGSPACE_STATUS.nPictureId
    
    fNotifySnapData      cbNotifySnapData;               // ص
    LDWORD               dwUser;                         // ûԶ
} NET_IN_ATTACH_PARKINGSPACE;

// ָϢ
typedef struct tagNET_CB_FINGERPRINT_INFO
{
	UINT 		nIndex;                                     // ָţСָεСָΪ09 
	char        szFingerprintData[DH_COMMON_STRING_2048];   // ָݣBase64ַ              
	BYTE        bReserved[256];                             // ֶ
}NET_CB_FINGERPRINT_INFO;

// صϢ
typedef struct tagNET_CB_PERSON_INFO
{
    UINT                 nSID;                           // ID
	UINT 	             nPicLength;                     // ɼԱͼƬ
	char                 szUserID[DH_MAX_USERID_LEN];    // ûID
	UINT                 nRetFaceDataNum;                // صģݸ
    char                 szFaceData[MAX_FACE_DATA_NUM][MAX_FACE_DATA_LEN];  // 
    char                 szPassword[DH_COMMON_STRING_64];//
    char                 szCardNo[DH_MAX_CARDNO_LEN];    // 
    char                 szCardName[DH_COMMON_STRING_32];//
    UINT                 nFingerPrintNum;                // ָƸ
    NET_CB_FINGERPRINT_INFO stuFingerPrintInfo[MAX_FINGERPRINT_NUM];//ָϢ
	BYTE                 bReserved[2048];                // ֶ
}NET_CB_PERSON_INFO;

// Ϣɼص
typedef int (CALLBACK *fNotifyPersonInfo)(LLONG lLoginID, LLONG lPersonHandle, NET_CB_PERSON_INFO *pstuPersonInfo, BYTE *pBuffer, DWORD dwBufSize, LDWORD dwUser, void *reserved);

// CLIENT_AttachPersonInfoCollect 
typedef struct tagNET_IN_ATTACH_PERSONINFOCOLLECT
{
	DWORD 				dwSize;                         // ṹС
	DWORD               dwWaitTime;                     // ӿڳʱȴʱ
	fNotifyPersonInfo   cbNotifyPersonInfo;             // ص
	LDWORD              dwUser;                         // ûԶ
}NET_IN_ATTACH_PERSONINFOCOLLECT;

//CLIENT_AttachPersonInfoCollect 
typedef struct tagNET_OUT_ATTACH_PERSONINFOCOLLECT
{
	DWORD               dwSize;                         // ṹС
}NET_OUT_ATTACH_PERSONINFOCOLLECT;

// CLIENT_DetachPersonInfoColloect 
typedef struct tagNET_IN_DETACH_PERSONINFOCOLLECT
{
	DWORD 				dwSize;                        //ṹС
	DWORD               dwWaitTime;                    // ӿڳʱȴʱ
	LLONG               lPersonHandle;                 // CLIENT_AttachPersonInfoCollect صľ
}NET_IN_DETACH_PERSONINFOCOLLECT;

//CLIENT_DetachPersonInfoColloect 
typedef struct tagNET_OUT_DETACH_PERSONINFOCOLLECT
{
	DWORD               dwSize;                        // ṹС
}NET_OUT_DETACH_PERSONINFOCOLLECT;

/******************************************************************************
	:	Ϣɼ
	:	
	lLoginID: ½ӿڷؾ
	pstuInParam:صϢ
	pstuOutParam:
  ֵ		LLONG ضľdetach
˵	
******************************************************************************/
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachPersonInfoCollect(LLONG lLoginID, NET_IN_ATTACH_PERSONINFOCOLLECT *pstuInParam, NET_OUT_ATTACH_PERSONINFOCOLLECT *pstuOutParam);

/******************************************************************************
	:	ȡϢɼ
	:	
	lLoginID: ½ӿڷؾ
	pstuInParam: ȡlPersonHandleΪCLIENT_AttachPersonInfoCollectصľ
	pstuOutParam:ȡ
  ֵ		TRUE ɹFALSE ʧ
˵	
******************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachPersonInfoColloect(NET_IN_DETACH_PERSONINFOCOLLECT* pstuInParam, NET_OUT_DETACH_PERSONINFOCOLLECT* pstuOutParam);

//NET_CAR_PASS_INFOS ö
typedef enum tagNET_CAR_SIZE
{
    CAR_SIZE_UNKNOWN  = 0 ,     //δ֪
    CAR_SIZE_SAMLL        ,     //С
    CAR_SIZE_BIG          ,     //
}NET_CAR_SIZE;

typedef enum tagNET_CAR_ACTION
{
    CAR_ACTION_UNKNOWN = 0 , 
    CAR_ACTION_ENTER       ,  //
    CAR_ACTION_LEAVE       ,  //뿪
}NET_CAR_ACTION;


//CLIENT_AttachCarPassInfo صصĹϢṹ
typedef struct tagNET_CAR_PASS_INFO
{
     DWORD                dwSize; 
       
     DWORD                nID;                              // ID
     DWORD                nLaneNumber;                      // 0ʼ,3,򳵵ŷֱΪ0 1 2
     DWORD                nRoadwayNumber;                   // Զ峵,ûõĳ,ĿǰȡֵΧΪ1-16
     DWORD                nSpeed;                           // ,λ(km/h)
     NET_CAR_SIZE         emCarSize;                        // С
     NET_CAR_ACTION       emCarAction;                      // 
     NET_TIME_EX          stuTime;                          // ʱ,ȷ
}NET_CAR_PASS_INFO;

// ӿ CLIENT_AttachCarPassInfo ص
// nInfoNum Ϣ
// pstuCarPassInfos Ϣ
typedef int (CALLBACK *fNotifyCarPassInfo)(LLONG lCarPassHandle, NET_CAR_PASS_INFO* pstuCarPassInfos,  int nInfoNum ,   LDWORD dwUser);

//ӿ CLIENT_AttachCarPassInfo 
typedef struct tagNET_IN_ATTACH_CAR_PASS_INFO
{
    DWORD                dwSize;                         // ˽ṹС,븳ֵ
    int                  nChannelID;                     // ͨ

    fNotifyCarPassInfo   cbNotifyCarPassInfo;            // ص,йϢʱ,صϲ
    LDWORD               dwUser;                         // ûԶ
}NET_IN_ATTACH_CAR_PASS_INFO;

//ӿ CLIENT_AttachCarPassInfo 
typedef struct tagNET_OUT_ATTACH_CAR_PASS_INFO
{
    DWORD       dwSize;         //˽ṹС,븳ֵ
}NET_OUT_ATTACH_CAR_PASS_INFO;

// ӿ CLIENT_AttachParkingSpaceData 
typedef struct tagNET_OUT_ATTACH_PARKINGSPACE
{
    DWORD                dwSize;                         // ˽ṹС
} NET_OUT_ATTACH_PARKINGSPACE;

// ӿ CLIENT_DetachParkingSpaceData 
typedef struct tagNET_IN_DETACH_PARKINGSPACE
{
    DWORD                dwSize;                         // ˽ṹС
    DWORD                dwWaitTime;                     // ӿڳʱȴʱ
    LLONG                lParkingHandle;                 // CLIENT_AttachParkingSpaceDataصľ
} NET_IN_DETACH_PARKINGSPACE;
// ӿ CLIENT_DetachParkingSpaceData 
typedef struct tagNET_OUT_DETACH_PARKINGSPACE
{
    DWORD                dwSize;                         // ˽ṹС
} NET_OUT_DETACH_PARKINGSPACE;

// ȡλ״̬ӿڣCLIENT_GetParkingLockState 
typedef struct tagNET_IN_GET_PARKINGLOCK_STATE_INFO
{
	DWORD				dwSize;							// ṹС
} NET_IN_GET_PARKINGLOCK_STATE_INFO;

// λ״̬
typedef enum tagEM_STATE_TYPE
{
	EM_STATE_TYPE_UNKNOW,		// δ֪
	EM_STATE_TYPE_LOCKRISE,		// λ
	EM_STATE_TYPE_LOCKDOWN,		// λ
	EM_STATE_TYPE_LOCKERROR,	// λ쳣
} EM_STATE_TYPE;

// λ״̬ͨŽӿڲ
typedef struct tagNET_STATE_LIST_INFO
{
	unsigned int		 nLane;				// λ
	EM_STATE_TYPE		 emState;			// λ״̬
	BYTE				 byReserved[256];	// 
} NET_STATE_LIST_INFO;

// ȡλ״̬ CLIENT_GetParkingLockState 
typedef struct tagNET_OUT_GET_PARKINGLOCK_STATE_INFO
{
	DWORD					dwSize;										// ṹС
	int						nStateListNum;								// λ״̬
	NET_STATE_LIST_INFO		stuStateList[MAX_PARKINGLOCK_STATE_NUM];	// λ״̬
} NET_OUT_GET_PARKINGLOCK_STATE_INFO;

// óλ״̬ӿڣCLIENT_SetParkingLockState 
typedef struct tagNET_IN_SET_PARKINGLOCK_STATE_INFO
{
	 DWORD					dwSize;										// ṹС
	 int					nStateListNum;								// λ״̬
	 NET_STATE_LIST_INFO	stuStateList[MAX_PARKINGLOCK_STATE_NUM];	// λ״̬
} NET_IN_SET_PARKINGLOCK_STATE_INFO;

// óλ״̬ӿڣCLIENT_SetParkingLockState 
typedef	struct tagNET_OUT_SET_PARKINGLOCK_STATE_INFO
{
	DWORD					dwSize;										// ṹС
} NET_OUT_SET_PARKINGLOCK_STATE_INFO; 

// ͣӿڣCLIENT_SetParkingRule 
typedef struct tagNET_IN_SET_PARKINGRULE_INFO
{
	DWORD					dwSize;										// ṹС
	UINT					nParkingTimeThreshold;					    // ͣʱֵλ
} NET_IN_SET_PARKINGRULE_INFO;

// ͣӿڣCLIENT_SetParkingRule 
typedef	struct tagNET_OUT_SET_PARKINGRULE_INFO
{
	DWORD					dwSize;										// ṹС
} NET_OUT_SET_PARKINGRULE_INFO; 

// ļ

// ؽȻصԭ, nErrorʾعֵ̳Ĵ,1-治,2-ԷݵУ,3-صǰļʧ,4-Ӧļʧ
// ļʱ,IDΪûõdwFileID,ʱ,IDΪûõdwConditionID                    
typedef void (CALLBACK *fMultiFileDownLoadPosCB)(LLONG lDownLoadHandle, DWORD dwID, DWORD dwFileTotalSize, DWORD dwDownLoadSize, int nError, LDWORD dwUser, void* pReserved);

//ļʽ
typedef enum tagEM_DOWNLOAD_FILE_TYPE
{
   EM_DOWNLOAD_BY_FILENAME = 0      ,       //ļ
   EM_DOWNLOAD_BY_CONDITION         ,       //
}EM_DOWNLOAD_FILE_TYPE;

//ʱ
typedef enum tagEM_DOWNLOAD_TIME_TYPE
{
    EM_DOWNLOAD_TIME_SNAP = 0       ,         //ץʱ
    EM_DOWNLOAD_TIME_STORAGE        ,         //洢ʱ
}EM_DOWNLOAD_TIME_TYPE;

//
typedef enum tagEM_DOWNLOAD_DATA_TYPE
{
    EM_DOWNLOAD_DATA_RECORD = 0 ,               //¼
    EM_DOWNLOAD_DATA_PICTURE ,                  //ͼƬ
}EM_DOWNLOAD_DATA_TYPE;

// CLIENT_DownLoadMultiFile ӿڲ
typedef struct tagNET_DOWNLOADFILE_INFO
{
    DWORD               dwSize;
    DWORD               dwFileID;                       // ļID, ûԼ
    int                 nFileSize;                      // ѯļС
    char                szSourceFilePath[MAX_PATH];     // ѯļ·
    char                szSavedFileName[MAX_PATH];      // ļ·
}NET_DOWNLOADFILE_INFO;

typedef struct tagNET_DOWNLOAD_CONDITION_INFO
{
    DWORD                   dwSize;
    DWORD                   dwConditionID;                  // ID, ûԼ
    int                     nChannel;                       // ͨ
    NET_TIME                stuStartTime;                   // ʼʱ
    NET_TIME                stuEndTime;                     // ʱ
    EM_DOWNLOAD_TIME_TYPE   emTimeType;                     // ʱ
    EM_DOWNLOAD_DATA_TYPE   emDataType;                     //  
    char                    szSavedFileName[MAX_PATH];      // ļ·
}NET_DOWNLOAD_CONDITION_INFO;

typedef struct tagNET_IN_DOWNLOAD_MULTI_FILE
{
    DWORD                   dwSize;
    //ļ
    int                             nFileCount;                 // ļ,emDownloadTypeΪEM_DOWNLOAD_BY_FILENAMEЧ
    NET_DOWNLOADFILE_INFO*          pFileInfos;                 // ļϢ,emDownloadTypeΪEM_DOWNLOAD_BY_FILENAMEЧ
																// ûڴ棬СΪsizeof(NET_DOWNLOADFILE_INFO)*nFileCount
    fMultiFileDownLoadPosCB         cbPosCallBack;              // Ȼص
    LDWORD                          dwUserData;                 // û
    EM_DOWNLOAD_FILE_TYPE           emDownloadType;             // طʽ
    //ѯ
    int                             nConditionCount;             // ,emDownloadTypeΪEM_DOWNLOAD_BY_CONDITIONЧ
    NET_DOWNLOAD_CONDITION_INFO*    pConditionInfos;             // ,emDownloadTypeΪEM_DOWNLOAD_BY_CONDITIONЧ    
															     // ûڴ棬СΪsizeof(NET_DOWNLOAD_CONDITION_INFO)*nConditionCount
}NET_IN_DOWNLOAD_MULTI_FILE;

typedef struct tagNET_OUT_DOWNLOAD_MULTI_FILE
{
    DWORD               dwSize;
    LLONG               lDownLoadHandle;                // ؾ
}NET_OUT_DOWNLOAD_MULTI_FILE;

typedef struct __NET_VIDEOANALYSE_STATE
{
    DWORD            dwSize;
    DWORD            dwProgress;                        // ,0-100
    char             szState[DH_COMMON_STRING_64];      // ͨ״̬,Running","Stop"ֹͣ,"NoStart"δ,"Failed"ʧ,"Successed"ɹ
    char             szFailedCode[DH_COMMON_STRING_64]; // 
}NET_VIDEOANALYSE_STATE;

//Ƶ״̬ʵʱص
typedef int (CALLBACK *fVideoAnalyseState)(LLONG lAttachHandle, NET_VIDEOANALYSE_STATE* pAnalyseStateInfos, LDWORD dwUser, void* pReserved);

// CLIENT_AttachVideoAnalyseStateӿ
typedef struct __NET_IN_ATTACH_VIDEOANALYSE_STATE 
{
    DWORD              dwSize;
    int                nChannleId;            // ͨ
    fVideoAnalyseState cbVideoAnalyseState;   // Ƶ״̬ص
    LDWORD             dwUser;                // ûϢ 
}NET_IN_ATTACH_VIDEOANALYSE_STATE;

// CLIENT_AttachVideoAnalyseStateӿ
typedef struct __NET_OUT_ATTACH_VIDEOANALYSE_STATE 
{
    DWORD              dwSize;
    LLONG              lAttachHandle;         // Ⱦ,Ψһʶĳһͨķ
}NET_OUT_ATTACH_VIDEOANALYSE_STATE;

// Խ״̬
typedef enum tagEM_TALK_STATE
{
    EM_TALK_STATE_UNKNOWN,                 // δ֪
    EM_TALK_STATE_INVITING,                // 
    EM_TALK_STATE_RINGING,                 // 
    EM_TALK_STATE_ANSWER,                  // Ӧ
    EM_TALK_STATE_REFUSE,                  // ܾ
    EM_TALK_STATE_HANGUP,                  // Ҷ
    EM_TALK_STATE_BUSYING,                 // æµ
    EM_TALK_STATE_CANCEL,                  // ȡ
} EM_TALK_STATE;

#define NET_CALL_NUM_MAX           128         // ͨ

// CLIENT_AttachTalkState صصԽ״̬
typedef struct tagNET_TALK_STATE
{
    DWORD                dwSize; 
    char                 szCallID[DH_COMMON_STRING_64];  // Ωһʶ
    int                  nAudioPort;                     // Ƶ˿
    int                  nVideoPort;                     // Ƶ˿
    char                 szMediaAddr[DH_MAX_IPADDR_LEN]; // ȡַ
    EM_TALK_STATE        emState;                        // ״̬
    int                  nNumberCount;                   // к
    char                 szNumbers[NET_CALL_NUM_MAX][DH_COMMON_STRING_32]; // кб
} NET_TALK_STATE;

// ӿ CLIENT_AttachTalkState Ļص
typedef void (CALLBACK *fNotifyTalkState)(LLONG lAttachHandle, NET_TALK_STATE* pstuState, int nLen, LDWORD dwUser);

// ӿ CLIENT_AttachTalkState 
typedef struct tagNET_IN_ATTACH_TALK_STATE
{
    DWORD                dwSize;                         // ˽ṹС,븳ֵ
    int                  nChnId;                         // ͨ,ڱʶԽԪ
    fNotifyTalkState     cbCallBack;                     // ص,жԽ״̬ʱ,صϲ
    LDWORD               dwUser;                         // ûԶ
}NET_IN_ATTACH_TALK_STATE;

// ӿ CLIENT_AttachTalkState 
typedef struct tagNET_OUT_ATTACH_TALK_STATE
{
    DWORD       dwSize;                                  // ˽ṹС,븳ֵ
    char        szCallID[DH_COMMON_STRING_64];           // Ωһʶ
}NET_OUT_ATTACH_TALK_STATE;

///////////////////////////////// IVS Ƶģ /////////////////////////////////
// ƵϱͶ
#define NET_DIAGNOSIS_DITHER                    "VideoDitherDetection"                       // Ƶ Ӧṹ(NET_VIDEO_DITHER_DETECTIONRESULT)
#define NET_DIAGNOSIS_STRIATION                 "VideoStriationDetection"                    // ƵƼ Ӧṹ(NET_VIDEO_STRIATION_DETECTIONRESULT)
#define NET_DIAGNOSIS_LOSS                      "VideoLossDetection"                         // Ƶʧ Ӧṹ(NET_VIDEO_LOSS_DETECTIONRESULT)
#define NET_DIAGNOSIS_COVER                     "VideoCoverDetection"                        // Ƶڵ Ӧṹ(NET_VIDEO_COVER_DETECTIONRESULT)
#define NET_DIAGNOSIS_FROZEN                    "VideoFrozenDetection"                       // Ƶ Ӧṹ(NET_VIDEO_FROZEN_DETECTIONRESULT)
#define NET_DIAGNOSIS_BRIGHTNESS                "VideoBrightnessDetection"                   // Ƶ쳣 Ӧṹ(NET_VIDEO_BRIGHTNESS_DETECTIONRESULT)
#define NET_DIAGNOSIS_CONTRAST                  "VideoContrastDetection"                     // ƵԱȶ쳣 Ӧṹ(NET_VIDEO_CONTRAST_DETECTIONRESULT)
#define NET_DIAGNOSIS_UNBALANCE                 "VideoUnbalanceDetection"                    // Ƶƫɫ Ӧṹ(NET_VIDEO_UNBALANCE_DETECTIONRESULT)
#define NET_DIAGNOSIS_NOISE                     "VideoNoiseDetection"                        // Ƶ Ӧṹ(NET_VIDEO_NOISE_DETECTIONRESULT)
#define NET_DIAGNOSIS_BLUR                      "VideoBlurDetection"                         // Ƶģ Ӧṹ(NET_VIDEO_BLUR_DETECTIONRESULT)
#define NET_DIAGNOSIS_SCENECHANGE               "VideoSceneChangeDetection"                  // Ƶ仯 Ӧṹ(NET_VIDEO_SCENECHANGE_DETECTIONRESULT)
#define NET_DIAGNOSIS_VIDEO_DELAY               "VideoDelay"                                 // Ƶʱ Ӧṹ(NET_VIDEO_DELAY_DETECTIONRESUL)
#define NET_DIAGNOSIS_PTZ_MOVING                "PTZMoving"                                  // ̨ƶ Ӧṹ(NET_PTZ_MOVING_DETECTIONRESULT)
#define NET_DIAGNOSIS_BLACK_WHITE				"VideoBlackAndWhite"						 // ڰͼ, Ӧṹ(NET_BLACK_WHITE_DETECTIONRESULT)
#define NET_DIAGNOSIS_DRAMATIC_CHANGE			"VideoDramaticChange"						 // , Ӧṹ(NET_DIAGNOSIS_DRAMATIC_DETECTIONRESULT)
#define NET_DIAGNOSIS_VIDEO_AVAILABILITY	    "VideoAvailability"						     // Ƶʼ, Ӧṹ(NET_VIDEO_AVAILABILITY_DETECTIONRESULT)


typedef enum tagNET_STATE_TYPE
{
    NET_EM_STATE_ERR,        // 
    NET_EM_STATE_NORMAL,     // "Normal"  
    NET_EM_STATE_WARNING,    // "Warning" 
    NET_EM_STATE_ABNORMAL,   // "Abnormal" 쳣
}NET_STATE_TYPE;

// ƵϽ
typedef enum tagNET_VIDEODIAGNOSIS_RESULT_TYPE
{
    NET_EM_ROTATION,                        // "Rotation"    -ƵѲ
    NET_EM_REAL,                            // "Real" -ʵʱƵ
    NET_EM_NR_UNKNOW,                       // δ
}NET_VIDEODIAGNOSIS_RESULT_TYPE;

//Ƶϴԭ
typedef enum tagNET_VIDEODIAGNOSIS_FAIL_TYPE
{
    NET_EM_NO_ERROR,                        // ϳɹ
    NET_EM_DISCONNECT,                      // "Disconnect" - ĩ豸
    NET_EM_CH_NOT_EXIST,                    // "ChannelNotExist" - ͨ
    NET_EM_LOGIN_OVER_TIME,                 // "LoginOverTime" - ¼ʱ
    NET_EM_NO_VIDEO,                        // "NoVideo" - ¼ɹƵ
    NET_EM_NO_RIGHT,                        // "NoRight" - ޲Ȩ
    NET_EM_PLATFROM_LOGIN_FAILED,           // "PlatformLoginFailed" - ƽ̨ʧ
    NET_EM_PLATFROM_DISCONNECT,             // "PlatformDisconnect" - ƽ̨Ͽ
    NET_EM_GET_STREAM_OVER_TIME,            // "GetStreamOverTime" - ȡʱ
    NET_EM_GET_NO_ENOUGH_STREAM,            // "NoEnoughStream" - 
    NET_EM_DECODE_STREAM_FAILED,            // "DecodeStreamFailed" - ʧ
    NET_EM_GET_OFF_LINE,                    // "OffLine" - ǰ豸
    NET_EM_NF_UNKNOW,                       //  ԭ,ṹʧԭ
    NET_EM_NOT_SD,                          //  "NotSD" - 豸̨Ч

    NET_EM_RTSP_PROCESS_FAILED,             //  "RtspProcesssFailed" - RTSPʧ
    NET_EM_PLAY_FAILED,                     //  "PlayFailed" - ʧ
    NET_EM_SNAP_FAILED,                     //  "SnapFailed" - ץͼʧ
    NET_EM_FULL_CHANNEL_LINKS,              //  "FullChannelLinks" - Դܿأýɫûʧ
}NET_VIDEODIAGNOSIS_FAIL_TYPE;

// ͨñ䳤ַԡ\0
typedef struct tagNET_ARRAY
{
    DWORD          dwSize;                  // ˽ṹС
    char*          pArray;                  //  ĿǰС260ֽ,ڴ ݱ֤'\0'
    DWORD          dwArrayLen;              // ռ䳤
}NET_ARRAY;

#define MAX_BACKPIC_COUNT	8	// 󱳾ͼƬ

// ƵϽϱͨ
typedef struct tagNET_VIDEODIAGNOSIS_COMMON_INFO
{
    DWORD                           dwSize;                                 // ˽ṹС
    int                             nDiagnosisID;                           // ͨ
    NET_ARRAY                       stProject;                              // ƻ
    NET_ARRAY                       stTask;                                 // 
    NET_ARRAY                       stProfile;                              // 
    NET_ARRAY                       stDeviceID;                             // 豸Ψһ־
    NET_TIME                        stStartTime;                            // ʼʱ
    NET_TIME                        stEndTime;                              // ʱ
    int                             nVideoChannelID;                        // Ƶͨ ǰ豸DVR,IPCͨ
    NET_STREAM_TYPE                 emVideoStream;                          // Ƶ
    NET_VIDEODIAGNOSIS_RESULT_TYPE  emResultType;                           // Ͻ 
    BOOL                            bCollectivityState;                     // Ͻ
    NET_VIDEODIAGNOSIS_FAIL_TYPE    emFailedCause;                          // ʧԭ
    char                            szFailedCode[DH_COMMON_STRING_64];      // ʧԭ
    char                            szResultAddress[DH_COMMON_STRING_128];  // Ͻŵַ,ʹszResultAddressExֶ
    int                             nFrameRate;                             // 	λ kb/s, ÿϱһ
    int                             nFrameWidth;                            // 	ÿϱһ
    int                             nFrameHeight;                           // 	ÿϱһ
	int								nBackPic;								// ͼƬ
	char							szBackPicAddress[MAX_BACKPIC_COUNT][DH_COMMON_STRING_128];	// ͼƬ·
	char                            szResultAddressEx[DH_COMMON_STRING_256];  // Ͻŵַչ
}NET_VIDEODIAGNOSIS_COMMON_INFO;

// Ӧ(NET_DIAGNOSIS_DITHER) Ƶ -- 仯 紵,ζ,ת̨ת
typedef struct tagNET_VIDEO_DITHER_DETECTIONRESULT
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nValue;                         // ֵ
    NET_STATE_TYPE       emState;                        // ״̬  һС,쳣,мǾ
    int                  nDuration;                      // ״̬ʱ  ʱ ʱ
}NET_VIDEO_DITHER_DETECTIONRESULT;
// Ӧ(NET_DIAGNOSIS_STRIATION)ƵƼ -- ܵų쳣
typedef struct tagNET_VIDEO_STRIATION_DETECTIONRESULT
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nValue;                         // ֵ
    NET_STATE_TYPE       emState;                        // ״̬
    int                  nDuration;                      // ״̬ʱ
}NET_VIDEO_STRIATION_DETECTIONRESULT;
// Ӧ(NET_DIAGNOSIS_LOSS)Ƶʧ -- ϵ ߵɵ
typedef struct tagNET_VIDEO_LOSS_DETECTIONRESULT
{
    DWORD                dwSize;                         // ˽ṹС
    NET_STATE_TYPE       emState;                        // ״̬
    int                  nDuration;                      // ״̬ʱ
}NET_VIDEO_LOSS_DETECTIONRESULT;
// Ӧ(NET_DIAGNOSIS_COVER)Ƶڵ -- ڵ
typedef struct tagNET_VIDEO_COVER_DETECTIONRESULT
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nValue;                         // ֵ
    NET_STATE_TYPE       emState;                        // ״̬
    int                  nDuration;                      // ״̬ʱ
}NET_VIDEO_COVER_DETECTIONRESULT;
// Ӧ(NET_DIAGNOSIS_FROZEN)Ƶ -- 治Ϊ
typedef struct tagNET_VIDEO_FROZEN_DETECTIONRESULT
{
    DWORD                dwSize;                         // ˽ṹС
    NET_STATE_TYPE       emState;                        // ״̬
    int                  nDuration;                      // ״̬ʱ
}NET_VIDEO_FROZEN_DETECTIONRESULT;
// Ӧ(NET_DIAGNOSIS_BRIGHTNESS)Ƶ쳣 --òȷһЩ
typedef struct tagNET_VIDEO_BRIGHTNESS_DETECTIONRESULT
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nValue;                         // ֵ
    NET_STATE_TYPE       emState;                        // ״̬
    int                  nDuration;                      // ״̬ʱ
}NET_VIDEO_BRIGHTNESS_DETECTIONRESULT;
// Ӧ(NET_DIAGNOSIS_CONTRAST)ƵԱȶ쳣
typedef struct tagNET_VIDEO_CONTRAST_DETECTIONRESULT
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nValue;                         // ֵ
    NET_STATE_TYPE       emState;                        // ״̬
    int                  nDuration;                      // ״̬ʱ
}NET_VIDEO_CONTRAST_DETECTIONRESULT;
// Ӧ(NET_DIAGNOSIS_UNBALANCE)Ƶƫɫ쳣
typedef struct tagNET_VIDEO_UNBALANCE_DETECTIONRESULT
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nValue;                         // ֵ
    NET_STATE_TYPE       emState;                        // ״̬
    int                  nDuration;                      // ״̬ʱ
}NET_VIDEO_UNBALANCE_DETECTIONRESULT;
// Ӧ(NET_DIAGNOSIS_NOISE)Ƶ쳣
typedef struct tagNET_VIDEO_NOISE_DETECTIONRESULT
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nValue;                         // ֵ
    NET_STATE_TYPE       emState;                        // ״̬
    int                  nDuration;                      // ״̬ʱ
}NET_VIDEO_NOISE_DETECTIONRESULT;
// Ӧ(NET_DIAGNOSIS_BLUR)Ƶģ쳣
typedef struct tagNET_VIDEO_BLUR_DETECTIONRESULT
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nValue;                         // ֵ
    NET_STATE_TYPE       emState;                        // ״̬
    int                  nDuration;                      // ״̬ʱ
}NET_VIDEO_BLUR_DETECTIONRESULT;
// Ӧ(NET_DIAGNOSIS_SCENECHANGE)Ƶ仯
typedef struct tagNET_VIDEO_SCENECHANGE_DETECTIONRESULT
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nValue;                         // ֵ
    NET_STATE_TYPE       emState;                        // ״̬
    int                  nDuration;                      // ״̬ʱ
}NET_VIDEO_SCENECHANGE_DETECTIONRESULT;

// ˶ƶ
typedef enum tagEM_PTZ_MOVING_RESULT_TYPE
{   
    EM_PTZ_MOVING_UNKNOWN ,          // δ֪
    EM_PTZ_MOVING_NORMAL  ,      // 
    EM_PTZ_MOVING_NOTOBEY ,      // ָ˶
    EM_PTZ_MOVING_NOTMOVE ,      // ˶
    EM_PTZ_MOVING_NOTDETECT ,    // δ
}EM_PTZ_MOVING_RESULT_TYPE;

// Ӧ(NET_DIAGNOSIS_PTZ_MOVING)̨ƶ
typedef struct tagNET_PTZ_MOVING_DETECTIONRESULT
{
    DWORD                       dwSize;                 // ˽ṹС
    EM_PTZ_MOVING_RESULT_TYPE   emPTZMovingUp;          // ˶
    EM_PTZ_MOVING_RESULT_TYPE   emPTZMovingDown;        // ˶
    EM_PTZ_MOVING_RESULT_TYPE   emPTZMovingLeft;        // ˶
    EM_PTZ_MOVING_RESULT_TYPE   emPTZMovingRight;       // ˶
    EM_PTZ_MOVING_RESULT_TYPE   emPTZMovingZoomWide;    // 䱶()˶
    EM_PTZ_MOVING_RESULT_TYPE   emPTZMovingZoomTele;    // 䱶(С)˶      
}NET_PTZ_MOVING_DETECTIONRESULT;

// Ӧ(NET_DIAGNOSIS_BLACK_WHITE) ڰͼ
typedef struct tagNET_BLACK_WHITE_DETECTIONRESULT
{
	DWORD                dwSize;                 // ˽ṹС
	int                  nValue;                 // ֵ
    NET_STATE_TYPE       emState;                // ״̬
    int                  nDuration;              // ״̬ʱ
} NET_BLACK_WHITE_DETECTIONRESULT;

// Ӧ(NET_DIAGNOSIS_DRAMATIC_CHANGE) 
typedef struct tagNET_DIAGNOSIS_DRAMATIC_DETECTIONRESULT
{
	DWORD                dwSize;                 // ˽ṹС
	int                  nValue;                 // ֵ
    NET_STATE_TYPE       emState;                // ״̬
    int                  nDuration;              // ״̬ʱ
} NET_DIAGNOSIS_DRAMATIC_DETECTIONRESULT;


// Ӧ(NET_DIAGNOSIS_VIDEO_DELAY)Ƶʱ
typedef struct tagNET_VIDEO_DELAY_DETECTIONRESUL
{
    DWORD       dwSize;             // ˽ṹС
    int         nSignalDelay;       // ʱ,-1ʾʧ, λms
    int         nStreamDelay;       // Ƶʱ,-1ʾʧ, λms
    int         nIFrameDelay;       // I֡ʱ,-1ʾʧ λms
}NET_VIDEO_DELAY_DETECTIONRESUL;

typedef struct tagNET_DIAGNOSIS_RESULT_HEADER
{
    DWORD                dwSize;                         // ˽ṹС

    char                 szDiagnosisType[MAX_PATH];      // ,dhnetsdk.h"ƵϱͶ" NET_DIAGNOSIS_DITHER
    int                  nDiagnosisTypeLen;              // ͽṹС
}NET_DIAGNOSIS_RESULT_HEADER;

// cbVideoDiagnosis ص
typedef struct tagNET_REAL_DIAGNOSIS_RESULT
{
    DWORD                dwSize;                         // ˽ṹС
    NET_VIDEODIAGNOSIS_COMMON_INFO* pstDiagnosisCommonInfo;  //ƵͨϢ
    int                  nTypeCount;                     // Ͻ͸
    void*                pDiagnosisResult;               // һϽ,ʽNET_DIAGNOSIS_RESULT_HEADER+1+NET_DIAGNOSIS_RESULT_HEADER+2+...
    DWORD                dwBufSize;                      // 峤
}NET_REAL_DIAGNOSIS_RESULT;

//ƵϽϱص
typedef int (CALLBACK *fRealVideoDiagnosis)(LLONG lDiagnosisHandle, NET_REAL_DIAGNOSIS_RESULT* pDiagnosisInfo, void* pBuf, int nBufLen, LDWORD dwUser);

// ӿ CLIENT_StartVideoDiagnosis 
typedef struct tagNET_IN_VIDEODIAGNOSIS
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nDiagnosisID;                   // ƵID,0ʼ
    DWORD                dwWaitTime;                     // ӿڳʱȴʱ
    fRealVideoDiagnosis  cbVideoDiagnosis;               // ƵϽص
    LDWORD               dwUser;                         // ûԶ
}NET_IN_VIDEODIAGNOSIS;

// ӿ CLIENT_StartVideoDiagnosis 
typedef struct tagNET_OUT_ATTACH_REALDIAGNOSIS
{
    DWORD                dwSize;                         // ˽ṹС
    LLONG                lDiagnosisHandle;               // ľ
}NET_OUT_VIDEODIAGNOSIS;

// ӿ CLIENT_StartFindDiagnosisResult 
typedef struct tagNET_IN_FIND_DIAGNOSIS
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nDiagnosisID;                   // ƵID,0ʼ
    DWORD                dwWaitTime;                     // ӿڳʱȴʱ
    NET_ARRAY            stuDeviceID;                    // 豸Ψһ־,pArray:NULLʾʹ豸IDѯ
    NET_TIME             stuStartTime;                   // ʼʱ
    NET_TIME             stuEndTime;                     // ʱ
    int                  nVideoChannel;                  // Ƶͨ,-1:ͨ
    int                  nTypeCount;                     // ͸,0:ʹͲѯ
    NET_ARRAY*           pstDiagnosisTypes;              // ,ʾҪѯ
														 // ûڴ棬СΪsizeof(NET_ARRAY)*nTypeCount
    char                 szProjectName[MAX_PATH];        // ƻ
} NET_IN_FIND_DIAGNOSIS;

// ӿ CLIENT_StartFindDiagnosisResult 
typedef struct tagNET_OUT_FIND_DIAGNOSIS
{
    DWORD                dwSize;                         // ˽ṹС
    LLONG                lFindHandle;                    // ѯ
    DWORD                dwTotalCount;                   // ܸ
}NET_OUT_FIND_DIAGNOSIS;

// ӿ CLIENT_DoFindDiagnosisResult 
typedef struct tagNET_IN_DIAGNOSIS_INFO
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nDiagnosisID;                   // ƵID,0ʼ
    DWORD                dwWaitTime;                     // ӿڳʱȴʱ
    int                  nFindCount;                     // ÿβѯƵϽ
    int                  nBeginNumber;                   // ѯʼ 0<=beginNumber<= totalCount-1
}NET_IN_DIAGNOSIS_INFO;

// CLIENT_StartRealTimeProject ӿ
typedef struct tagNET_IN_START_RT_PROJECT_INFO
{
    DWORD                dwSize;                         // ˽ṹС
    char*                pszProjectInfo;                 // ʵʱƻϢ,ͨdhconfigsdk.dllнӿCLIENT_PacketDataװõ
                                                         // ӦķװΪ CFG_CMD_VIDEODIAGNOSIS_REALPROJECT                      
}NET_IN_START_RT_PROJECT_INFO;

// CLIENT_StartRealTimeProject ӿ
typedef struct tagNET_OUT_START_RT_PROJECT_INFO
{
    DWORD                dwSize;                         // ˽ṹС
}NET_OUT_START_RT_PROJECT_INFO;

// CLIENT_UpdateProjectBackGround ӿ
typedef struct tagNET_IN_UPDATE_PROJECT_BCKGROUND_INFO
{
    DWORD                dwSize;                         // ˽ṹС
    char                 szProjectName[MAX_PATH];        // ƻֵΪ""ʾִмƻı
    char                 szTaskName[MAX_PATH];           // ֵΪ""ʾı
    char                 szDeviceID[MAX_PATH];           // 豸Ψһ־ֵΪ""ʾ豸ı
    int                  nChannelID;                     // ƵͨţֵΪ-1(ʱDeviceȻΪ)ʾ¸豸ͨı
} NET_IN_UPDATE_PROJECT_BACKGROUND_INFO;

// CLIENT_UpdateProjectBackGround ӿ
typedef struct tagNET_OUT_UPDATE_PROJECT_BACKGROUND_INFO
{
    DWORD                dwSize;                         // ˽ṹС
} NET_OUT_UPDATE_PROJECT_BACKGROUND_INFO;

// CLIENT_StopRealTimeProject ӿ
typedef struct tagNET_IN_STOP_RT_PROJECT_INFO
{
    DWORD                dwSize;                         // ˽ṹС
    char*                pszProjectNames;                // ƻ,&&Ϊֵķָ,ʾProject1&&Project2   
}NET_IN_STOP_RT_PROJECT_INFO; 

// CLIENT_StopRealTimeProject ӿ
typedef struct tagNET_OUT_STOP_RT_PROJECT_INFO
{
    DWORD                dwSize;                         // ˽ṹС
}NET_OUT_STOP_RT_PROJECT_INFO;

#define MAX_VIDEODIAGNOSIS_PROJECT_NAME_LEN    260     // Ƶϼƻ󳤶
#define MAX_VIDEODIAGNOSIS_TASK_NAME_LEN       260     // Ƶ󳤶

// CLIENT_StartManualDiagnosisProject ӿ
typedef struct tagNET_IN_START_MANUAL_PROJECT_INFO
{
    DWORD               dwSize;                                                 // ˽ṹС
    char                szProjectName[MAX_VIDEODIAGNOSIS_PROJECT_NAME_LEN];     // ϼƻ
    NET_TIME            stuStartTime;                                           // ƻԤƵĿʼʱ
    BOOL                bIsCycle;                                               // Ƿѭ
    char                szTaskName[MAX_VIDEODIAGNOSIS_TASK_NAME_LEN];           // ƻʹõ
} NET_IN_START_MANUAL_PROJECT_INFO;

// CLIENT_StartManualDiagnosisProject ӿ
typedef struct tagNET_OUT_START_MANUAL_PROJECT_INFO
{
    DWORD                dwSize;                                // ˽ṹС
} NET_OUT_START_MANUAL_PROJECT_INFO;

// CLIENT_StopManualDiagnosisProject ӿ
typedef struct tagNET_IN_STOP_MANUAL_PROJECT_INFO
{
    DWORD               dwSize;                                                 // ˽ṹС
    char                szProjectName[MAX_VIDEODIAGNOSIS_PROJECT_NAME_LEN];    // ϼƻ
} NET_IN_STOP_MANUAL_PROJECT_INFO;

// CLIENT_StopManualDiagnosisProject ӿ
typedef struct tagNET_OUT_STOP_MANUAL_PROJECT_INFO
{
    DWORD               dwSize;                                 // ˽ṹС
} NET_OUT_STOP_MANUAL_PROJECT_INFO;

// λϢ
typedef struct tagNET_CARPORTLIGHT_INFO
{
    DWORD               dwSize;  
    NET_CARPORTLIGHT_TYPE emType;                        // λ
    NET_CARPORTLIGHT_MODE emMode;                        // λƷʽ
}NET_CARPORTLIGHT_INFO;

// λ״̬
typedef struct tagNET_CARPORTLIGHT_STATUS
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nLightNum;                      // λ 
    NET_CARPORTLIGHT_INFO stuLights[DH_MAX_CARPORTLIGHT_NUM]; // λϢ,emTypeظ,һƺһ̵
    int                  nFiringTime;                    // ״̬ʱ,λ
    int                  nHoldTime;                      // ״̬ʱ,λ,-1ʾޱ,0ʾп
}NET_CARPORTLIGHT_STATUS;

// ӿCLIENT_GetCarPortLightStatus
typedef struct tagNET_IN_GET_CARPORTLIGHT_STATUS
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nChannelId;                     // ͨ
}NET_IN_GET_CARPORTLIGHT_STATUS;

// ӿCLIENT_GetCarPortLightStatus
typedef struct tagNET_OUT_GET_CARPORTLIGHT_STATUS
{
    DWORD                   dwSize;                      // ˽ṹС
    NET_CARPORTLIGHT_STATUS stuLightStatus;              // λ״̬
}NET_OUT_GET_CARPORTLIGHT_STATUS;

// ӿ CLIENT_SetCarPortLightStatus 
typedef struct tagNET_IN_SET_CARPORTLIGHT_STATUS
{
    DWORD                   dwSize;                      // ˽ṹС
    int                     nChannelId;
    NET_CARPORTLIGHT_STATUS stuLightStatus;              // λ״̬
}NET_IN_SET_CARPORTLIGHT_STATUS;

// ӿ CLIENT_SetCarPortLightStatus 
typedef struct tagNET_OUT_SET_CARPORTLIGHT_STATUS
{
    DWORD                dwSize;                         // ˽ṹС
    
}NET_OUT_SET_CARPORTLIGHT_STATUS;

// Ƶʼ
typedef struct tagNET_VIDEO_AVAILABILITY_DETECTIONRESULT
{
	DWORD                dwSize;                 // ṹС
	int					 nSignalDelay;           // ʱ,-1ʾʧ, λms
	int                  nStreamDelay;           // Ƶʱ,-1ʾʧ, λms
	int                  nIFrameDelay;           // I֡ʱ,-1ʾʧ λms
}NET_VIDEO_AVAILABILITY_DETECTIONRESULT;


typedef struct tagNET_DEV_VIDEODIAGNOSIS_MULTI_INFO
{
    DWORD                dwSize;                                // ˽ṹС

    NET_VIDEODIAGNOSIS_COMMON_INFO*       pstDiagnosisCommonInfo;//ƵͨϢ  ½ṹָҪ߷
    BOOL                 abDither;                              // ڱʾ˴νǷЧ
    NET_VIDEO_DITHER_DETECTIONRESULT*     pstDither;            // Ƶ    
    BOOL                 abStration;
    NET_VIDEO_STRIATION_DETECTIONRESULT*  pstStration;          // ƵƼ    
    BOOL                 abLoss;
    NET_VIDEO_LOSS_DETECTIONRESULT*       pstLoss;              // Ƶʧ    
    BOOL                 abCover;
    NET_VIDEO_COVER_DETECTIONRESULT*      pstCover;             // Ƶڵ    
    BOOL                 abFrozen;
    NET_VIDEO_FROZEN_DETECTIONRESULT*     pstFrozen;            // Ƶ   
    BOOL                 abBrightness;
    NET_VIDEO_BRIGHTNESS_DETECTIONRESULT* pstBrightness;        // Ƶ쳣    
    BOOL                 abContrast;
    NET_VIDEO_CONTRAST_DETECTIONRESULT*   pstContrast;          // ƵԱȶ쳣   
    BOOL                 abUnbalance;
    NET_VIDEO_UNBALANCE_DETECTIONRESULT*  pstUnbalance;         // Ƶƫɫ    
    BOOL                 abNoise;
    NET_VIDEO_NOISE_DETECTIONRESULT*      pstNoise;             // Ƶ    
    BOOL                 abBlur;
    NET_VIDEO_BLUR_DETECTIONRESULT*       pstBlur;              // Ƶģ    
    BOOL                 abSceneChange;
    NET_VIDEO_SCENECHANGE_DETECTIONRESULT* pstSceneChange;      // Ƶ仯
    BOOL                 abVideoDelay;
    NET_VIDEO_DELAY_DETECTIONRESUL*       pstVideoDelay;        // Ƶӳټ
    BOOL                abPTZMoving;
    NET_PTZ_MOVING_DETECTIONRESULT*       pstPTZMoving;         // ̨
    BOOL				abBlackAndWhite;
	NET_BLACK_WHITE_DETECTIONRESULT*	  pstBlackAndWhite;		// ڰͼ
	BOOL				abDramaticChange;
	NET_DIAGNOSIS_DRAMATIC_DETECTIONRESULT* pstDramaticChange;	// 

	BOOL				abVideoAvailability;                    // Ƿ֧Ƶʼ
	NET_VIDEO_AVAILABILITY_DETECTIONRESULT* pstVideoAvailability;	// Ƶʼ
}NET_VIDEODIAGNOSIS_RESULT_INFO;

// ӿ CLIENT_DoFindDiagnosisResult 
typedef struct tagNET_OUT_DIAGNOSIS_INFO
{
    DWORD                dwSize;                         // ˽ṹС

    int                  nInputNum;                      // ûNET_DEV_RESULT_VIDEODIAGNOSIS_INFO
    int                  nReturnNum;                     // ؽ
    NET_VIDEODIAGNOSIS_RESULT_INFO*  pstDiagnosisResult; //   ṹָҪ߷
														 // ڴСΪsizeof(NET_VIDEODIAGNOSIS_RESULT_INFO)*nInputNum
}NET_OUT_DIAGNOSIS_INFO;

///////////////////////////////// ʽ豸ģ //////////////////////////////////////////////////////
///////////////////////////////// CLIENT_OperateMasterSlaveDeviceӿڲ /////////////////////////////////
#define        MASTERSLAVE_CMD_START                   "masterSlaveTracker.start"                   // ʽ
#define        MASTERSLAVE_CMD_STOP                    "masterSlaveTracker.stop"                    // ֹͣʽ
#define        MASTERSLAVE_CMD_MANUALTRACK             "masterSlaveTracker.manualSelectObjectTrack" // ֶѡĿ
#define        MASTERSLAVE_CMD_POINTTRACK              "masterSlaveTracker.selectPointTrack"        // 
#define        MASTERSLAVE_CMD_GETCALIBPOINTS          "masterSlaveTracker.getCalibratePoints"      // õб궨
#define        MASTERSLAVE_CMD_CALIBRATE               "masterSlaveTracker.calibrate"               // 궨
#define        MASTERSLAVE_CMD_ADDCALIBPOINT           "masterSlaveTracker.addCalibratePoint"       // ӱ궨
#define        MASTERSLAVE_CMD_REMOVECALIBPOINT        "masterSlaveTracker.removeCalibratePoint"    // ɾ궨
#define        MASTERSLAVE_CMD_MARKMAXZOOM             "masterSlaveTracker.markSceneMaxZoom"        // 궨ٱ, ѵǰΪ

// ʽ豸
typedef struct __NET_MS_PAIRPOINTS
{
    int                nStructSize;
    DH_POINT           stMasterPoint;    // 궨,һ[0,8192]
    DH_POINT           stSlavePoint;     // 궨,һ[0,8192]
}NET_MS_PAIRPOINTS;
//MASTERSLAVE_CMD_STARTṹ
typedef struct __NET_IN_MS_START
{
    int                nStructSize;
}NET_IN_MS_START;

//MASTERSLAVE_CMD_STARTṹ
typedef struct __NET_OUT_MS_START
{
    int                nStructSize;
}NET_OUT_MS_START;

//MASTERSLAVE_CMD_STOPṹ
typedef struct __NET_IN_MS_STOP
{
    int                nStructSize;
}NET_IN_MS_STOP;

//MASTERSLAVE_CMD_STOPṹ
typedef struct __NET_OUT_MS_STOP
{
    int                nStructSize;
}NET_OUT_MS_STOP;

//MASTERSLAVE_CMD_MANUALTRACKṹ
typedef struct __NET_IN_MS_MANUALTRACK
{
    int                nStructSize;
    DWORD              dwObject;          // -1 ʾλ, >=0ʾָ壨Դ豸֡õ
}NET_IN_MS_MANUALTRACK;

//MASTERSLAVE_CMD_MANUALTRACKṹ
typedef struct __NET_OUT_MS_MANUALTRACK
{
    int                nStructSize;
}NET_OUT_MS_MANUALTRACK;

//MASTERSLAVE_CMD_POINTTRACKṹ
typedef struct __NET_IN_MS_POINTTRACK
{
    int                nStructSize;
    DH_POINT           stTrackerPoint;    // ٵ,һ[0,8192] 
}NET_IN_MS_POINTTRACK;

//MASTERSLAVE_CMD_POINTTRACKṹ
typedef struct __NET_OUT_MS_POINTTRACK
{
    int                nStructSize;
}NET_OUT_MS_POINTTRACK;

//MASTERSLAVE_CMD_GETCALIBPOINTSṹ
typedef struct __NET_IN_MS_GETCALIBPOINTS
{
    int                nStructSize;
}NET_IN_MS_GETCALIBPOINTS;

//MASTERSLAVE_CMD_GETCALIBPOINTSṹ
typedef struct __NET_OUT_MS_GETCALIBPOINTS
{
    int                        nStructSize;
    int                        nPointsNum;                           // ʵʱ궨
    NET_MS_PAIRPOINTS          stPairPoints[MAX_CALIBPOINTS_NUM];    // 궨
}NET_OUT_MS_GETCALIBPOINTS;

//MASTERSLAVE_CMD_CALIBRATEṹ
typedef struct __NET_IN_MS_CALIBRATE
{
    int                nStructSize;
}NET_IN_MS_CALIBRATE;

//MASTERSLAVE_CMD_CALIBRATEṹ
typedef struct __NET_OUT_MS_CALIBRATE
{
    int                nStructSize;      
}NET_OUT_MS_CALIBRATE;

//MASTERSLAVE_CMD_ADDCALIBPOINTṹ
typedef struct __NET_IN_MS_ADDCALIBPOINT
{
    int                        nStructSize;
    BOOL                       bSlavePointEn;        // 궨ʹλ, TUREô궨ЧFASLEЧ, 豸ԼȡǰĴ궨㡣
    NET_MS_PAIRPOINTS          stPairPoints;         // 
}NET_IN_MS_ADDCALIBPOINT;

//MASTERSLAVE_CMD_ADDCALIBPOINTṹ
typedef struct __NET_OUT_MS_ADDCALIBPOINT
{
    int                nStructSize;
    DH_POINT           stPoint;      // ӱ궨
}NET_OUT_MS_ADDCALIBPOINT;


//MASTERSLAVE_CMD_REMOVECALIBPOINTṹ
typedef struct __NET_IN_MS_REMOVECALIBPOINT
{
    int                nStructSize;
    DH_POINT           stPoint;      // 궨
}NET_IN_MS_REMOVECALIBPOINT;

//MASTERSLAVE_CMD_REMOVECALIBPOINTṹ
typedef struct __NET_OUT_MS_REMOVECALIBPOINT
{
    int                nStructSize;      
}NET_OUT_MS_REMOVECALIBPOINT;

//MASTERSLAVE_CMD_MARKMAXZOOMṹ
typedef struct __NET_IN_MS_MARKMAXZOOM
{
    int                nStructSize; 
}NET_IN_MS_MARKMAXZOOM;

//MASTERSLAVE_CMD_MARKMAXZOOMṹ
typedef struct __NET_OUT_MS_MARKMAXZOOM
{
    int                nStructSize; 
}NET_OUT_MS_MARKMAXZOOM;

///////////////////////////////// CLIENT_OperateCommDevice ӿڲ /////////////////////////////////
#define        COMMDEV_GET_EXTERNLDATA                            "devComm.getExternalData"        //ȡ    ڵͨ

#define        MAX_EXTERN_DATA_LEN                2048

//COMMDEV_GET_EXTERNLDATA 
typedef struct __COMMDEV_IN_GET_EXTERNDATA
{
    DWORD        dwSize;

}COMMDEV_IN_GET_EXTERNDATA;

//COMMDEV_GET_EXTERNLDATA 
typedef struct __COMMDEV_OUT_GET_EXTERNDATA
{
    DWORD        dwSize;
    char         szGetData[MAX_EXTERN_DATA_LEN];                //豸ɼ(ݸʽĿԶ)
}COMMDEV_OUT_GET_EXTERNDATA;


///////////////////////////////// CLIENT_OperateVideoAnalyseDevice ӿڲ /////////////////////////////////
#define     NET_SET_MODULESTATE                         "devVideoAnalyse.setModuleState"                        // ģ״̬
#define     NET_TEST_WITH_SCREENPOINTS                  "devVideoAnalyse.testCalibrateWithScreenPoints"            // ĻԾ,õ֮ʵʾ롣ڲ֮ǰ,Ҫɲá
#define     NET_TEST_WITH_METRICLENGTH                  "devVideoAnalyse.testCalibrateWithMetricLength"            // ʵʳȡʼ㼰,Ծ
#define     NET_GET_INTERNALOPTIONS                     "devVideoAnalyse.getInternalOptions"                    // ȡڲѡ
#define     NET_TUNE_INTERNALOPTIONS                    "devVideoAnalyse.tuneInternalOptions"                    // ڲѡ
#define     NET_RESET_INTERNALOPTIONS                   "devVideoAnalyse.resetInternalOptions"                    // λеڲѡ
#define     NET_SET_PTZ_PRESET_STATUS                   "devVideoAnalyse.setPtzPresetStatus"                    // ȡԤõϢ

// ߶
typedef enum tagNET_EM_LINETYPE
{
    NET_EM_HORIZONTAL,
    NET_EM_VERTICAL,
}NET_EM_LINETYPE;

// Ԥõ״̬ö
typedef enum tagEM_DH_PTZ_PRESET_STATUS
{
    EM_DH_PTZ_PRESET_STATUS_UNKNOWN,        // δ֪
    EM_DH_PTZ_PRESET_STATUS_REACH,          // Ԥõ㵽
    EM_DH_PTZ_PRESET_STATUS_UNREACH,        // Ԥõδ
}EM_DH_PTZ_PRESET_STATUS;

//̨λϢ
typedef struct
{
    int     nChannelID;                 // ͨ 
    int     nPTZPan;                    // ̨ˮƽ˶λ,ЧΧ[0,3600]
    int     nPTZTilt;                   // ֱ̨˶λ,ЧΧ[-1800,1800]
    int     nPTZZoom;                   // ̨Ȧ䶯λ,ЧΧ[0,128]
    BYTE    bState;                     // ̨˶״̬, 0-δ֪ 1-˶ 2- 
    BYTE    bAction;                    // ̨,255-δ֪,0-Ԥõ,1-ɨ,2-Ѳ,3-Ѳ,4-ˮƽת,5-ͨƶ,6-Ѳ¼,7-ǫ̈̄ɨ,8-ȶͼ
                                        // 9-ȷλ,10-豸У,11-ã12-̨
    BYTE    bFocusState;                // ̨۽״̬, 0-δ֪, 1-˶״̬, 2-
    BYTE    bEffectiveInTimeSection;    //ʱԤõ״̬ǷЧ
                                        //ǰϱԤõʱڵԤõ,Ϊ1,Ϊ0
    int     nPtzActionID;               // ѲID
    DWORD   dwPresetID;                 // ̨Ԥõ
    float   fFocusPosition;             // ۽λ
    BYTE    bZoomState;                 // ̨ZOOM״̬,0-δ֪,1-ZOOM,2-
    BYTE    bReserved[3];               // 
    DWORD   dwSequence;                 // ,УǷ񶪰
    DWORD   dwUTC;                      // ӦUTC(1970-1-1 00:00:00)
    EM_DH_PTZ_PRESET_STATUS emPresetStatus; // Ԥõλ
	int	    nZoomValue;				    // ʵ䱶ֵ ǰʣ100ʾ
    int     reserved[244];              // ֶ
}DH_PTZ_LOCATION_INFO;

// NET_SET_PTZ_PRESET_STATUS
typedef struct __NET_IN_PTZ_PRESET_STATUS
{
    DWORD                    dwSize;
    DH_PTZ_LOCATION_INFO     stPTZStatus;
}NET_IN_PTZ_PRESET_STATUS;

typedef struct __NET_OUT_PTZ_PRESET_STATUS
{
    DWORD    dwSize;
}NET_OUT_PTZ_PRESET_STATUS;


// NET_TEST_WITH_SCREENPOINTS
typedef struct __NET_IN_CALIBRATE_BY_POINTS
{
    DWORD               dwSize;                 // ˽ṹС

    DH_POINT            stStartPoint;           // ߶    һ[0,8191]䡣
    DH_POINT            stEndPoint;             // ֹ    һ[0,8191]䡣    
    NET_EM_LINETYPE     emType;                 // ߶    em_Horizontal("Horizontal") ˮƽ߶ em_Vertical("Vertical")ֱ߶
}NET_IN_CALIBRATE_BY_POINTS;
typedef struct __NET_OUT_CALIBRATE_BY_POINTS
{
    DWORD               dwSize;                 // ˽ṹС

    double              dlength;                // ֮ʵʳ    λΪ
}NET_OUT_CALIBRATE_BY_POINTS;

// NET_TEST_WITH_METRICLENGTH
typedef struct __NET_IN_CALIBRATE_BY_LENGTH
{
    DWORD               dwSize;                 // ˽ṹС

    double              nLength;                // ֮ʵʳ,Ϊλ
    DH_POINT            stStartPoint;           // ߶,һ[0,8191]䡣
    DH_POINT            stDirection;            // ߶η,ֻԴֱ߶Чһ[0,8191]䡣
    NET_EM_LINETYPE     emType;                 // ߶,em_Horizontal("Horizontal") ˮƽ߶ em_Vertical("Vertical")ֱ߶                
}NET_IN_CALIBRATE_BY_LENGTH;

typedef struct __NET_OUT_CALIBRATE_BY_LENGTH
{
    DWORD               dwSize;                 // ˽ṹС
    
    DH_POINT            stEndPoint;             // ߶յĻ    һ[0,8191]䡣    
}NET_OUT_CALIBRATE_BY_LENGTH;

typedef struct __NET_INTERNAL_OPTION
{
    DWORD               dwSize;                 // ˽ṹС

    int                 nIndex;                 // ѡ
    NET_ARRAY           stKey;                  // ѡ,\0256ֽ,
    int                 nValue;                 // ѡȡֵ
    int                 nMinValue;              // Сֵ
    int                 nMaxValue;              // ֵ
}NET_INTERNAL_OPTION;

// ڲѡ NET_GET_INTERNALOPTIONS
typedef struct __NET_IN_GETINTERNAL_OPTIONS
{
    DWORD               dwSize;                 // ˽ṹС
}NET_IN_GETINTERNAL_OPTIONS;

typedef struct __NET_OUT_GETINTERNAL_OPTIONS
{
    DWORD                dwSize;                // ˽ṹС

    int                  nTotalOptionNum;       // ѡ ֵѯ
    int                  nReturnOptionNum;      // صʵѡ
    NET_INTERNAL_OPTION* pstInternalOption;     // ѡб ߷ַ
												// ûڴ棬СΪsizeof(NET_INTERNAL_OPTION)*nTotalOptionNum
}NET_OUT_GETINTERNAL_OPTIONS;

// NET_TUNE_INTERNALOPTIONS
typedef struct __NET_IN_TUNEINTERNAL_OPTION
{
    DWORD                dwSize;                // ˽ṹС
    int                  nOptionCount;          // ѡ
    NET_INTERNAL_OPTION* pstInternalOption;     // ѡб ָ
												// ûڴ棬СΪsizeof(NET_INTERNAL_OPTION)*nOptionCount
}NET_IN_TUNEINTERNAL_OPTION;
typedef struct __NET_OUT_TUNEINTERNAL_OPTION
{
    DWORD               dwSize;                 // ˽ṹС
}NET_OUT_TUNEINTERNAL_OPTION;

// NET_RESET_INTERNALOPTIONS
typedef struct __NET_IN_RESETINTERNAL_OPTION
{
    DWORD               dwSize;                 // ˽ṹС
}NET_IN_RESETINTERNAL_OPTION;
typedef struct __NET_OUT_RESETINTERNAL_OPTION
{
    DWORD               dwSize;                 // ˽ṹС
}NET_OUT_RESETINTERNAL_OPTION;

// NET_SET_MODULESTATE
typedef enum tagNET_EM_MODULESTATE
{
    NET_EM_MODULESTATE_OK,
    NET_EM_MODULESTATE_PAUSE,
}NET_EM_MODULESTATE;
typedef struct __NET_IN_SETMODULESTATE
{
    DWORD               dwSize;                 // ˽ṹС
    NET_EM_MODULESTATE  emState;                // 0-,1-ͣ,ٴлѾ仯,Ҫؽ
    int                 nIndex;                 // ģ    -1ָģ
}NET_IN_SETMODULESTATE;
typedef struct __NET_OUT_SETMODULESTATE
{
    DWORD               dwSize;                 // ˽ṹС
}NET_OUT_SETMODULESTATE;

/////////////////////////////////CLIENT_DeleteDevConfig ӿڲ/////////////////////////////////
/*
 * CLIENT_DeleteDevConfig 
 */

typedef enum tagNET_EM_CONFIGOPTION
{
    NET_EM_CONFIGOPTION_OK,
    NET_EM_CONFIGOPTION_NEEDRESTART,
    NET_EM_CONFIGOPTION_NEEDREBOOT=2,
    NET_EM_CONFIGOPTION_WRITEFILEERROR=4,
    NET_EM_CONFIGOPTION_CAPSNOTSUPPORT=8,
    NET_EM_CONFIGOPTION_VALIDATEFAILED=16,
}NET_EM_CONFIGOPTION;

typedef struct tagNET_IN_DELETECFG
{
    DWORD         dwSize;                       // ṹС
    char*         szCommand;                    // 
}NET_IN_DELETECFG;
typedef struct tagNET_OUT_DELETECFG
{
    DWORD         dwSize;                       // ṹС
    int           nError;                       // 豸صĴ
    int           nRestart;                     // 豸Ƿ
    DWORD         dwOptionMask;                 // ѡ öNET_EM_CONFIGOPTION
}NET_OUT_DELETECFG;

/////////////////////////////////CLIENT_GetMemberNames ӿڲ/////////////////////////////////
/*
 * CLIENT_GetMemberNames 
 */
typedef struct tagNET_IN_MEMBERNAME
{
    DWORD         dwSize;                       // ṹС
    char*         szCommand;                    // 
}NET_IN_MEMBERNAME;
typedef struct tagNET_OUT_MEMBERNAME
{
    DWORD         dwSize;                       // ṹС
    int           nError;                       // 豸صĴ
    int           nRestart;                     // 豸Ƿ
    int           nTotalNameCount;              // Ƹ ͨõ,д
    int           nRetNameCount;                // صʵƸ
    NET_ARRAY*    pstNames;                     //  ڴ,nTotalNameCount
												// ûڴ棬СΪsizeof(NET_ARRAY)*nTotalNameCount
}NET_OUT_MEMBERNAME;

////////////////////////////////////ƵŨؽṹ//////////////////////////////////////
// 
typedef enum tagNET_EM_STAFF_TYPE
{
    NET_EM_STAFF_TYPE_ERR,
    NET_EM_STAFF_TYPE_HORIZONTAL,               // "Horizontal" ˮƽ߶
    NET_EM_STAFF_TYPE_VERTICAL,                 // "Vertical" ֱ߶
    NET_EM_STAFF_TYPE_ANY,                      // "Any" ߶
    NET_EM_STAFF_TYPE_CROSS,                    // "Cross" ֱ潻߶
}NET_EM_STAFF_TYPE;

// 
typedef enum tagNET_EM_CALIBRATEAREA_TYPE
{
    NET_EM_CALIBRATEAREA_TYPE_ERR,
    NET_EM_CALIBRATEAREA_TYPE_GROUD,            // "Groud" : ,ҪNֱ߶+Mˮƽ߶ΣN=3,M=1N=2,M=2չ
    NET_EM_CALIBRATEAREA_TYPE_HORIZONTAL,       // "Horizontal"  : ˮƽ,Ҫˮƽһ㵽ͶӰֱ߶Ρ        
    NET_EM_CALIBRATEAREA_TYPE_VERTICAL,         // "Vertical" : ֱ,ҪֱĽߡ
    NET_EM_CALIBRATEAREA_TYPE_ANY,              // "Any" ƽ,Nֱ߶,ÿȣN=3,չ
}NET_EM_CALIBRATEAREA_TYPE;

// Ũ
typedef enum tagNET_EM_OUTPUT_SUB_TYPE
{
    NET_EM_OUTPUT_SUB_TYPE_ERR,
    NET_EM_OUTPUT_SUB_TYPE_NORMAL,              // ͨٶȣΪŨƵʱЧ
    NET_EM_OUTPUT_SUB_TYPE_SYNOPSIS,            // ŨĲٶȣΪŨƵʱЧ,ûʱ,ʱٶȲ
}NET_EM_OUTPUT_SUB_TYPE;

// Ϣ
typedef struct tagNET_STAFF_INFO
{
    DH_POINT            stuStartLocation;       // ʼ
    DH_POINT            stuEndLocation;         // ֹ
    float               nLenth;                 // ʵʳ,λ
    NET_EM_STAFF_TYPE   emType;                 // 
}NET_STAFF_INFO;

// 궨,ͨʹ
typedef struct tagNET_CALIBRATEAREA_INFO
{
    int                     nLinePoint;                         // ˮƽ߶
    DH_POINT                stuLine[DH_MAX_POLYLINE_NUM];       // ˮƽ
    float                   fLenth;                             // ʵʳ
    DH_POLY_POINTS          stuArea;                            // 
    int                     nStaffNum;                          // ֱ
    NET_STAFF_INFO          stuStaffs[DH_MAX_STAFF_NUM];        // ֱ         
    NET_EM_CALIBRATEAREA_TYPE emType;                           // 
}NET_CALIBRATEAREA_INFO;

typedef struct tagNET_LOCALFILE_INFO
{
    DWORD               dwSize;
    char                szFilePath[MAX_PATH];               // ļ·
    NET_TIME			stuStartTime;						// ʼʱ(豸ʱ)
    NET_TIME			stuEndTime;							// ʱ(豸ʱ)
    UINT				nFileLength;						// ļС, λ: ֽ
}NET_LOCALFILE_INFO;

typedef struct tagNET_REMOTEFILE_INFO
{
    DWORD               dwSize;
    char                szIP[MAX_PATH];                     // Զ豸IP
    unsigned int        nPort;                              // Զ豸˿
    char                szName[DH_MAX_NAME_LEN];            // ½Զ豸û
    char                szPassword[DH_MAX_NAME_LEN];        // ½Զ豸
    BYTE                byProtocolType;                     // Զ豸ʹõЭ,2-˽ж,3-˽
    BYTE                byReserved[3];                      // ֽڶ
    char                szFilePath[MAX_PATH];               // ļ·,byProtocolTypeΪ3ʱЧ
    int                 nStartCluster;                      // ʼغ,byProtocolTypeΪ2ʱЧ
    int                 nDriverNo;                          // ̺,byProtocolTypeΪ2ʱЧ
    NET_TIME			stuStartTime;						// ʼʱ(豸ʱ)ʹô̺źͷ
	NET_TIME			stuEndTime;							// ʱ(豸ʱ)ʹô̺źͷ
	int					nChannel;							// ¼ͨ, ʹô̺źͷ
	NET_STREAM_TYPE		emStreamType;						// , ֻ֧͸1/ 2
}NET_REMOTEFILE_INFO;

// ļλϢ
typedef struct tagNET_FILEPATH_INFO
{
    DWORD               dwSize;
    BOOL                bFileType;                          // TRUE: ļ; FALSE: Զ豸ļ
    NET_LOCALFILE_INFO  stuLocalFile;                       // ļϢ, bFileType==TRUEЧ
    NET_REMOTEFILE_INFO stuRemoteFile;                      // ԶļϢ, bFileType==FALSEЧ
}NET_FILEPATH_INFO;

// ȫֲ
typedef struct tagNET_GLOBAL_INFO
{
    DWORD                   dwSize;
    char                    szSceneType[DH_MAX_NAME_LEN];           // Ӧó,ֻ֧"Normal"
    int                     nStaffNum;                              // 
    NET_STAFF_INFO          stuStaffs[DH_MAX_STAFF_NUM];            //     
    int                     nCalibrateAreaNum;                      // 궨
    NET_CALIBRATEAREA_INFO  stuCalibrateArea[DH_MAX_CALIBRATEBOX_NUM]; // 궨(ֶβ,Ϊ궨)
    int                     nJitter;                                //  : ,ȡֵ0-100,Ӧ̶ֹ,Խ,ֵԽ
    BOOL                    bDejitter;                              // Ƿȥģ
}NET_GLOBAL_INFO;

// ģ
typedef struct tagNET_MODULE_INFO
{
    DWORD               dwSize;                                     // ýṹС
    BYTE                bSensitivity;                               // ,ȡֵ1-10,ֵԽСԽ
    BYTE                bReserved[3];
    int                 nDetectRegionPoint;                         // 򶥵
    DH_POINT            stuDetectRegion[DH_MAX_POLYGON_NUM];        // 
    int                 nExcludeRegionNum;                          // ų
    DH_POLY_POINTS      stuExcludeRegion[DH_MAX_EXCLUDEREGION_NUM]; // ų
}NET_MODULE_INFO;

// Ϣ
typedef struct tagNET_OBJFILTER_INFO
{
    DWORD               dwSize;                             // ýṹС
    NET_TIME            stuStartTime;                       // ʼʱ
    NET_TIME            stuEndTime;                         // ʱ
    char                szObjectType[DH_MAX_NAME_LEN];      // ,֧:
                                                            //"Unknown", "Human", "Vehicle",
                                                            //"Fire", "Smoke", "Plate", "HumanFace", "Container", "Animal", "TrafficLight", "PastePaper", "HumanHead", "Entity"
    char                szObjectSubType[64];                // ,ݲͬ,ȡͣ
                                                            // Vehicle Category:"Unknown"  δ֪,"Motor" ,"Non-Motor":ǻ,"Bus": ,"Bicycle" г,"Motorcycle":Ħг
                                                            // Plate Category"Unknown" δ֪,"Normal" ƺ,"Yellow" ,"DoubleYellow" ˫β,"Police" "Armed" 侯,
                                                            // "Military" Ӻ,"DoubleMilitary" ˫,"SAR" ۰,"Trainning" 
                                                            // "Personal" Ժ,"Agri" ũ,"Embassy" ʹݺ,"Moto" Ħг,"Tractor" ,"Other" 
															// "Civilaviation"񺽺,"Black"
															// "PureNewEnergyMicroCar"綯ԴС,"MixedNewEnergyMicroCar,"ԴС,"PureNewEnergyLargeCar",綯Դ
															// "MixedNewEnergyLargeCar"Դ
                                                            //  HumanFace Category:"Normal" ͨ,"HideEye" ۲ڵ,"HideNose" ڵ,"HideMouth" 첿ڵ
    DWORD               dwRGBMainColor[DH_MAX_COLOR_NUM];   // Ҫɫ,Ϊʱʾϰɫֽڱʾ,ֱΪ졢̡͸,:RGBֵΪ(0,255,0),͸Ϊ0ʱ, ֵΪ0x00ff0000
    DWORD               dwLowerBodyColor[DH_MAX_COLOR_NUM]; // Ϊʱʾ°ɫֽڱʾ,ֱΪ졢̡͸,:RGBֵΪ(0,255,0),͸Ϊ0ʱ, ֵΪ0x00ff0000
    int                 nMinSize;                           // Сߴ, m
    int                 nMaxSize;                           // ߴ, m
    int                 nMinSpeed;                          // Сٶ, km/h
    int                 nMaxSpeed;                          // ٶ, km/h
    DWORD               dwRGBMainColorNum;                  // Ϊ,־dwRGBMainColorЧɫ
    DWORD               dwLowerBodyColorNum;                // ΪbRGBMainColor==true,־°Чɫ
    BOOL                bRGBMainColor;                      // true-dwRGBMainColorʾϰɫ,dwLowerBodyColorʾ°ɫ; false-dwRGBMainColorʾҪɫ,dwLowerBodyColorЧ
}NET_OBJFILTER_INFO;

// 
typedef struct tagNET_VIDEOSYNOPSISRULE_INFO
{
    DWORD               dwSize;                             // ýṹС
    BYTE                byOutputType;                       // Ũϵ,1-Ƶ(һ);2-ŨƵ;3-пƵ
    BYTE                byDensity;                          // ܶ, 1-10, ֵԽ, ŨܶԽ
    bool                bShowTime;                          // ŨǷʾʱ
    bool                bShowBox;                           // ŨǷʾ
    bool                bEnableRecordResult;                // ŨǷ¼ݿ
    BYTE                byTime;                             // ƵŨʱ,λ:
    BYTE                byReserved[2];
    NET_OBJFILTER_INFO  stuFilter[MAX_OBJFILTER_NUM];       // Ϣ
    DWORD               dwObjFilterNum;                     // ϢĿ

    // NET_OUT_QUERY_VIDEOSYNOPSISTYPE_CB_VIDEOSYNOPSIS_RULEصʱ, CFG_CMD_ANALYSERULEdhconfigsdk.dllнӿCLIENT_ParseData,õӦĽṹ,ʱҪȷ㹻ڴ
    // NET_IN_ADD_VIDEOSYNOPSIS,CFG_CMD_ANALYSERULEdhconfigsdk.dllнӿCLIENT_PacketDataװ,õϢ
    char*               szAnalyseRuleInfo;                  // JSONװϢ
    int                 nBufferLen;                         // TYPE_CB_VIDEOSYNOPSIS_RULE, NET_OUT_QUERY_VIDEOSYNOPSISʱ,szAnalyseRuleInfo
    BOOL                bCustomResolution;                  // Զֱʹ, TRUE-ֱemResolutionȷ, FALSE-ԭʼƵֱŨƵ
    CAPTURE_SIZE        emResolution;                       // ֱ, bCustomResolutionΪTRUEЧ
    BOOL                bEnableMaxUsedCPU;                  // ǷռCPUԴ
    BOOL                bEnableSmoothBorder;                // ǷƽĿ߿
    NET_EM_OUTPUT_SUB_TYPE emOutputSubType;                 // Ũϵ,NET_EM_OUTPUT_SUB_TYPE
    int                 nExtractFrameRate;                  // ŨƵĳ֡    1-32,ֵԽ,֡Խ,ͻ˳ֵĲٶԽ
                                                            // ֶνŨ(emOutputSubType)NET_EM_OUTPUT_SUB_TYPE_SYNOPSISЧ 
    //ƵŨϢ
    int                 nSynopsisSpeed;                     // Ũٶֵ,1~10ʮλ,5ʾŨֻ5ٶȵ塣ǸԵλ
                                                            // Ϊ0ʱ,ֶЧ
    int                 nSynopsisSize;                      // Ũߴֵ,1~10ʮλ,3ʾŨֻ3ϴС塣ǸԵλ
                                                            // Ϊ0ʱ,ֶЧ
    BOOL                bEnableDirection;                   // ΪTrueʱ,˶
                                                            // ΪFalseʱ,˶,
    DH_POINT            stuSynopsisStartLocation;           // Ũ˶,ʼ,һ[0,8192),bEnableDirectionΪTrueʱЧ
    DH_POINT            stuSynopsisEndLocation;             // Ũ˶,ֹ,һ[0,8192),bEnableDirectionΪTrueʱЧ
}NET_VIDEOSYNOPSISRULE_INFO;

// ŨƵ
typedef struct tagNET_IN_ADD_VIDEOSYNOPSIS
{
    DWORD                   dwSize;                         // ýṹС
    NET_FILEPATH_INFO*      pFilePathInfo;                  // ļλϢ,ûռ
															// ûڴ,СΪsizeof(NET_FILEPATH_INFO)*dwFileCount
    DWORD                   dwFileCount;                    // Чļ
    NET_GLOBAL_INFO         stuGlobalInfo;                  // ȫϢ
    NET_MODULE_INFO         stuModuleInfo;                  // ģϢ
    NET_VIDEOSYNOPSISRULE_INFO stuRuleInfo;                 // Ϣ
    unsigned int        nWaitTime;                          // ȴʱʱ,λms
}NET_IN_ADD_VIDEOSYNOPSIS;

// ŨƵ
typedef struct tagNET_OUT_ADD_VIDEOSYNOPSIS
{
    DWORD               dwSize;                             // ýṹС
    DWORD*              pnTaskID;                           // TaskID,ûռ.˳һһӦļ;0ʾӦʧ
    DWORD               nTaskIDCount;                       // TaskID
}NET_OUT_ADD_VIDEOSYNOPSIS;

// ŨƵԤ
typedef struct tagNET_IN_PRE_HANDLE_VIDEOSYNOPSIS
{
    DWORD                   dwSize;                         // ýṹС
    NET_FILEPATH_INFO*      pFilePathInfo;                  // ļλϢ,ûռ,СΪsizeof(NET_FILEPATH_INFO)*dwFileCount
    DWORD                   dwFileCount;                    // Чļ
    unsigned int            nWaitTime;                      // ȴʱʱ,λms
    char                    szTaskName[DH_COMMON_STRING_64];// Ũ,Ϊ 
}NET_IN_PRE_HANDLE_VIDEOSYNOPSIS;

// ŨƵԤ
typedef struct tagNET_OUT_PRE_HANDLE_VIDEOSYNOPSIS
{
    DWORD               dwSize;                             // ýṹС
    DWORD*              pnTaskID;                           // TaskID,ûռ.˳һһӦļ;0ʾӦʧ
															// ûڴ棬СΪsizeof(DWORD)*nTaskIDCount
	DWORD               nTaskIDCount;                       // TaskID
}NET_OUT_PRE_HANDLE_VIDEOSYNOPSIS;

// ƵͨΪλִƵŨԤ
typedef struct tagNET_IN_PRETASK_BYCHANNEL
{
	DWORD				dwSize;
	int					nChannelCount;						// ·ͨ
	int					nChannel[DH_PRETASK_CHANNEL];		// ·ͨ
	NET_TIME			stuStartTime;						// Ũ¼ʼʱ
	NET_TIME			stuEndTime;							// Ũ¼ʱ
	unsigned int		nWaitTime;							// ȴʱʱ
}NET_IN_PRETASK_BYCHANNEL;

// ƵͨΪλִƵŨԤ
typedef struct tagNET_OUT_PRETASK_BYCHANNEL
{
	DWORD				dwSize;
	int					nTaskCount;							// ҪԤID
	int					nRealCount;							// ʵʷصԤID
	DWORD*              pnTaskID;							// ƵŨԤID, ͨһһӦСΪsizeof(DWORD)*nTaskCount
															// 0ʾӴʧܣ>0ʾɹ
}NET_OUT_PRETASK_BYCHANNEL;

// ȡŨ
typedef struct tagNET_IN_GET_VIDEOSYNOPSIS_STATE
{
	DWORD				dwSize;
	unsigned int		nTaskID;							// ƵŨID
	unsigned int		nWaitTime;							// ȴʱʱ
}NET_IN_GET_VIDEOSYNOPSIS_STATE;

// ƵŨǰ״̬
typedef enum tagEM_VIDEOSYNOPSIS_STATE
{
	EM_VIDEOSYNOPSIS_STATE_UNKNOWN,							// δ֪
	EM_VIDEOSYNOPSIS_STATE_SUCESSED,						// Ũɹ
	EM_VIDEOSYNOPSIS_STATE_FAILED,							// Ũʧ
	EM_VIDEOSYNOPSIS_STATE_PRETASK,							// addPreTask׶
	EM_VIDEOSYNOPSIS_STATE_SYNO								// addSynoInfo׶
}EM_VIDEOSYNOPSIS_STATE;

// ȡŨȳ
typedef struct tagNET_OUT_GET_VIDEOSYNOPSIS_STATE
{
	DWORD						dwSize;
	int							nProcess;					// λ: %ٷΪ-1
	EM_VIDEOSYNOPSIS_STATE		emState;					// Ũǰ״̬
}NET_OUT_GET_VIDEOSYNOPSIS_STATE;

// ʼѯ¼Ũʷ
typedef struct tagNET_IN_VIDEOSYNOPSIS_STARTFIND
{
	DWORD						dwSize;
	int							nChannelCount;				// Ƶͨ
	int*						pnChannel;					// Ƶͨ, СΪsizeof(pnChannel)*nChannelCount;
	NET_TIME					stuStartTime;				// ʼʱ
	NET_TIME					stuEndTime;					// ʱ
	unsigned int				nWaitTime;					// ȴʱʱ
}NET_IN_VIDEOSYNOPSIS_STARTFIND;

// ʼѯ¼Ũʷ
typedef struct tagNET_OUT_VIDEOSYNOPSIS_STARTFIND
{
	DWORD						dwSize;
	int							nToken;						// ȡĲѯ
	int							nTotalCount;				// ϴ˴βѯĽ
}NET_OUT_VIDEOSYNOPSIS_STARTFIND;

// ȡʷϢ
typedef struct tagNET_IN_VIDEOSYNOPSIS_DOFIND
{
	DWORD						dwSize;
	int							nToken;						// ѯ
	int							nBeginNumber;				// ѯʼţʾnBeginNumber¼ʼȡnCount¼أ
	int							nCount;						// ÿβѯĽ
	unsigned int				nWaitTime;					// ȴʱʱ
}NET_IN_VIDEOSYNOPSIS_DOFIND;

// ȡʷϢ
typedef struct tagNET_VIDEOSYNOPSIS_DOFIND_INFO
{
	int							nChannel;					// ¼ͨ
	NET_TIME					stuStartTime;				// ԭʼƵʼʱ
	NET_TIME					stuEndTime;					// ԭʼƵʱ
	int							nDisk;						// ̺
	int							nPartition;					// 
	int							nCluster;					// غ
	int							nFileLength;				// ŨƵʱ䳤, λ
	int							nFileSize;					// ŨƵļ, ʱҪλK
	BOOL						bLocked;					// Ƿ
    NET_TIME					stuBeginWriteTime;			// ŨƵļʼдʱ
	NET_TIME					stuEndWriteTime;			// ŨƵļдʱ
	BYTE						byReserved[976];			// ֽ
}NET_VIDEOSYNOPSIS_DOFIND_INFO;

// ȡʷϢ
typedef struct tagNET_OUT_VIDEOSYNOPSIS_DOFIND
{
	DWORD							dwSize;
	int								nMaxFind;				// Ҫѯ
	int								nRealFound;				// ʵʲѯ
	NET_VIDEOSYNOPSIS_DOFIND_INFO*	pstuFindInfo;			// ѯϢû룬СΪsizeof(NET_VIDEOSYNOPSIS_DOFIND_INFO) * nMaxFind
}NET_OUT_VIDEOSYNOPSIS_DOFIND;

// Ũʷѯ
typedef struct tagNET_IN_VIDEOSYNOPSIS_STOPFIND
{
	DWORD						dwSize;
	int							nToken;						// ѯ
	unsigned int				nWaitTime;					// ȴʱʱ
}NET_IN_VIDEOSYNOPSIS_STOPFIND;

// Ũʷѯ
typedef struct tagNET_OUT_VIDEOSYNOPSIS_STOPFIND
{
	DWORD						dwSize;
}NET_OUT_VIDEOSYNOPSIS_STOPFIND;

// ִŨƵ
typedef struct tagNET_IN_RUN_VIDEOSYNOPSIS_TASK
{
    DWORD                       dwSize;                     // ýṹС
    DWORD                       nTaskID;                    // ID,CLIENT_PreHandleVideoSynopsisTaskӿ
    NET_GLOBAL_INFO             stuGlobalInfo;              // ȫϢ
    NET_MODULE_INFO             stuModuleInfo;              // ģϢ
    NET_VIDEOSYNOPSISRULE_INFO  stuRuleInfo;                // Ϣ
    unsigned int                nWaitTime;                  // ȴʱʱ,λms
}NET_IN_RUN_VIDEOSYNOPSIS_TASK;

//  ִŨƵ
typedef struct tagNET_OUT_RUN_VIDEOSYNOPSIS_TASK
{
    DWORD               dwSize;                             // ýṹС
    DWORD               nPlayID;                            // طID,0ʾӿʧ,CLIENT_PlayBackBySynopsisFileӿڻطƵ
    DWORD               nTime;                              // ŨƵʱ,λ:
}NET_OUT_RUN_VIDEOSYNOPSIS_TASK;

// ͣƵŨ
typedef struct tagNET_IN_PAUSE_VIDEOSYNOPSIS
{
    DWORD               dwSize;                             // ýṹС
    BOOL                bPause;                             // TRUE-ʾͣ   FALSE-ʾָ 
    DWORD*              pnTaskID;                           // TaskID,ûռ,СΪsizeof(DWORD)*nTaskIDCount
    DWORD               nTaskIDCount;                       // TaskID
    DWORD               nWaitTime;                          // ȴʱʱ,λms
}NET_IN_PAUSE_VIDEOSYNOPSIS;

//ҪƳ
typedef enum tagNET_SYNOPSIS_REMOVE_TYPE
{
    EM_SYNOPSIS_REMOVE_UNKNOW =0 , // δ֪
    EM_SYNOPSIS_REMOVE_PRETASK   , // Ԥ
    EM_SYNOPSIS_REMOVE_SYNO      , // Ũ
}NET_SYNOPSIS_REMOVE_TYPE;

// ƳƵŨ
typedef struct tagNET_IN_REMOVE_VIDEOSYNOPSIS
{
    DWORD                       dwSize;                            // ýṹС
    DWORD*                      pnTaskID;                          // TaskID,ûռ,СΪsizeof(DWORD)*nTaskIDCount
    DWORD                       nTaskIDCount;                      // TaskID
    DWORD                       nWaitTime;                         // ȴʱʱ,λms
    NET_SYNOPSIS_REMOVE_TYPE    emRemoveType;                      // ҪƳ
}NET_IN_REMOVE_VIDEOSYNOPSIS;

// ƵŨصϢ
typedef struct tagNET_REAL_SYNOPSIS_OBJECT_INFO
{
    DWORD               dwSize;
    
    DWORD               dwTaskID;                       // ǰӦID
    DH_MSG_OBJECT_EX2   stuObjectInfo;                  // Ϣ
}NET_REAL_SYNOPSIS_OBJECT_INFO;

typedef struct tagNET_REAL_SYNOPSIS_STATE_INFO
{
    DWORD           dwSize;
    
    DWORD           dwTaskID;                           // ID   
    int             nObjectNum;                         // ĿǰŨѷֵ
    int             nTaolProgress;                      // ǰŨԴ̵,ء׼Ũɽ,0~100
    char            szState[DH_MAX_SYNOPSIS_STATE_NAME];// ӦƵŨ״̬,"Downloading"-","Synopsising"-Ũ",
                                                        // "DownloadFailed"-ʧ","DownloadSucceeded"-سɹ
                                                        // "SynopsisFailed"-Ũʧ","Succeeded"-Ũɹ
                                                        // "DownloadPause"-ͣ,"SynopsisPause"-Ũͣ
    int             nProgressOfCurrentState;            // ǰŨӦɽ,0~100
    char            szFailedCode[DH_MAX_STRING_LEN];    // ʧ,szState="SynopsisFailed"Ч
                                                        // "OutOfMemory" ڴ治;
                                                        // "TooMany_TargetInVideo"  ƵĿ;
                                                        // "InvalidFilePointer" ļָЧ;
                                                        // "InvalidFilePath" ļ·Ч;
                                                        // "CreateDirectoryFailed"  ļ·ʧ;
                                                        // "WriteDataFailed" дTubeмļʧ
                                                        // "DataSizeTooLarge" Tubeļ̫
                                                        // "Detect_Nothing" ˶Ŀ
                                                        // "OpenDataFailed" мļʧ
                                                        // "InvalidSynopsisBackgroud" ŨЧ
                                                        // "ColorRetrieval" ɫ
                                                        // "UnsupportRuleType" ֵ֧Ĺ
                                                        // "RuleNumberExceedLimit" 
                                                        // "NoFunctionCfgInfo" ָӦܵûϢ
                                                        // "FunctionNumberExceedLimit" ÿĹĿ
                                                        // "PointsExceedLimit" ߻ĵ
                                                        // "BadFunctionType" Ĺ
                                                        // "RulePointNumber" 
                                                        // "MaskRegionNumberExceedLimit" 
                                                        // "CameraSceneSwitch" л
                                                        // "TooManyTargeInFrame" ֡Ŀ
                                                        // "InalidSynopsisDesity" ŨܶЧ
                                                        // "ExtrackColorFeatureFailed" ȡɫʧ
                                                        // "JpegEncodeFrameFailed" Jpegʧ
                                                        // "JpegParamRestFailed" Jpegñʧ
                                                        // "JpegDecodeFrameFailed" Jpegʧ
                                                        // "RetrieveObjectIdInvalid" ĿIDЧ
                                                        // "RetrieveImageInvalid" ͼЧ
                                                        // "NetworkAnomaly" ӳ쳣
                                                        // "ObjectNumberLimit" ĿĿ
                                                        // "CreateChannelFailed" ͨʧ
                                                        // "ReadUGFileFailed" ȡUGļʧ
                                                        // "GetSynopsisInfoFailed" ȡŨƵϢʧ
                                                        // "ObjectNumberExceedLimit" ĿĿ
                                                        // "RebuildBackgroudFailed" ؽʧ
                                                        // "NotExistMiddleFile" мļ
                                                        // "NotExistSourceFile" ԭʼļ
                                                        // "NotDog" ûмܹ
                                                        // "NotEnoughFreeDisk" ̿ռ䲻
                                                        // "StartDecodeFail" ʼʧ
                                                        // "DecodeTimeOut" ȴʱ
                                                        // "EncodeTimeOut" ȴʱ
                                                        // "ExactTimeOut" ȡյȴʱ
                                                        // "ReadMidlleFileFail" ȡмļʧ
                                                        // "ExactPictureFail" ȡͼƬʧ

     char szPicPath[DH_COMMON_STRING_512];              // ԤļȡĿ	ļ·
                                                        // ֧HTTP URLʾ:"http://www.dahuate.com/1.jpg"
                                                        // ֧FTP URLʾ: "ftp://ftp.dahuate.com/1.jpg"
                                                        // ַ֧· 
                                                        // a)"C:/pic/1.jpg" 
                                                        // b)"/mnt//2010/8/11/dav/15:40:50.jpg"
    int         nMaxTime;                               // ֧ŨƵʱ䳤,λ 
    int         nMinTime;                               // ֧ŨƵСʱ䳤,λ 
    char		szVideoPath[DH_COMMON_STRING_512];		// Ũ¼·, ǰŨ״̬szState ΪSucceeded ʱЧ
}NET_REAL_SYNOPSIS_STATE_INFO;

//ƵŨϢʵʱص
typedef int (CALLBACK *fVideoSynopsisObjData)(LLONG lRealLoadHandle, NET_REAL_SYNOPSIS_OBJECT_INFO* pSynopsisObjectInfo, void* pBuf, int nBufLen, LDWORD dwUser, void* pReserved);

//ƵŨ״̬ʵʱص
typedef int (CALLBACK *fVideoSynopsisState)(LLONG lRealLoadHandle, NET_REAL_SYNOPSIS_STATE_INFO* pSynopsisStateInfos, int nInfoCount, LDWORD dwUser, void* pReserved);

// CLIENT_RealLoadObjectDataӿڲ
typedef struct tagNET_IN_REALLOAD_OBJECTDATA
{
    DWORD               dwSize;                         // ṹС   
    int                 nTaskIDNum;                     // ID
    DWORD               *pTaskIDs;                      // ID,ûڴ棬СΪsizeof(DWORD)*nTaskIDNum
    BOOL                bNeedPicFile;                   // ǷضӦͼƬļ 
    int                 nWaitTime;                      // ȴʱ,λms
    fVideoSynopsisObjData cbVideoSynopsisObjData;       // ƵŨϢʵʱصָ
    LDWORD         dwUser;
}NET_IN_REALLOAD_OBJECTDATA;

typedef struct tagNET_OUT_REALLOAD_OBJECTDATA
{
    DWORD               dwSize;                         // ṹС
    LLONG               lRealLoadHandle;                // ӿڷصĶľ,Ψһʶĳ
}NET_OUT_REALLOAD_OBJECTDATA;

// CLIENT_StopLoadObjectDataӿڲ
typedef struct tagNET_IN_STOPLOAD_OBJECTDATA
{
    DWORD               dwSize;
    int                 nTackIDNum;                     // ID
    DWORD               *pTaskIDs;                      // ID, ûڴ棬СΪsizeof(DWORD)*nTaskIDNum 
}NET_IN_STOPLOAD_OBJECTDATA;

// CLIENT_RealLoadSynopsisStateӿڲ
typedef struct tagNET_IN_REALLAOD_SYNOPSISSTATE
{
    DWORD               dwSize;                         // ṹС  
    int                 nTaskIDNum;                     // ID, 0 ʾȫ
    DWORD               *pTaskIDs;                      // ID,ûڴ棬СΪsizeof(DWORD)*nTaskIDNum 
    int                 nWaitTime;                      // ȴʱ,λms
    fVideoSynopsisState cbVideoSynopsisState;           // ƵŨϢʵʱصָ
    LDWORD         dwUser;
}NET_IN_REALLAOD_SYNOPSISSTATE;

typedef struct tagNET_OUT_REALLOAD_SYNOPSISSTATE
{
    DWORD               dwSize;                         // ṹС    
    LLONG               lRealLoadHandle;                // ӿڷصؾ,Ψһʶĳ
}NET_OUT_REALLOAD_SYNOPSISSTATE;

// CLIENT_StopLoadSynopsisStateӿڲ
typedef struct tagNET_IN_STOPLOAD_SYNOPSISSTATE
{
    DWORD               dwSize;   
    int                 nTackIDNum;                     // ID
    DWORD               *pTaskIDs;                      // ID,ûڴ棬СΪsizeof(DWORD)*nTaskIDNum   
}NET_IN_STOPLOAD_SYNOPSISSTATE;

// ŨƵϢĲ
typedef enum tagEM_VIDEOSYNOPSIS_QUERY_TYPE
{
    EM_VIDEOSYNOPSIS_TASK,                              // Ϣ
    EM_VIDEOSYNOPSIS_OBJ,                               // ӦĿ
}EM_VIDEOSYNOPSIS_QUERY_TYPE;

// ѯŨƵϢ
typedef struct tagNET_QUERY_VSTASK_INFO
{
    DWORD                dwSize;                        // ýṹС
    DWORD                dwTaskID;                      // ID,Ϊ0ʱʾѯ
}NET_QUERY_VSTASK_INFO;

// ŨɫϢ, ĳһɫƶ
typedef struct tagNET_VSO_COLORSIMILAR_INFO
{
	int					nRed;							// ɫƶ, Χ0100, 0ʾĸɫ
	int					nYellow;						// ɫƶ, Χ0100, 0ʾĸɫ
	int					nGreen;							// ɫƶ, Χ0100, 0ʾĸɫ
	int					nCyan;							// ɫƶ, Χ0100, 0ʾĸɫ
	int					nBlue;							// ɫƶ, Χ0100, 0ʾĸɫ
	int					nPurple;						// ɫƶ, Χ0100, 0ʾĸɫ
	int					nBlack;							// ɫƶ, Χ0100, 0ʾĸɫ
	int					nWhite;							// ɫƶ, Χ0100, 0ʾĸɫ
	BYTE				byReserved[512];				// ֽ
} NET_VSO_COLORSIMILAR_INFO;

// ѯŨƵϢ
typedef struct tagNET_QUERY_VSOBJECT_INFO
{
    DWORD                dwSize;                         // ýṹС
    DWORD*               pdwTaskID;                      // ID,Ϊ-1ʾѯ
    DWORD                dwTaskIDCount;                  // ЧĿ
    DH_MSG_OBJECT        stuObjInfo;                     // Ϣ,objectIDΪ0ʱʾѯ
    int					 nSpeed;						 // ٶ, λΪkm/h, -1ʾٶ
    int					 nDirection;					 // Ŀ귽, λ, ΧΪ-1360, 12ӷΪ0, ˳ʱת, -1ʾķ
    NET_TIME_EX          stuStartTime;                   // ʼʱ䣨豸ʱ䣩
    NET_TIME_EX          stuEndTime;                     // ʱ䣨豸ʱ䣩
	NET_VSO_COLORSIMILAR_INFO	stuColorSimilarInfo;	 // ŨɫϢ, ĳһɫƶ
}NET_QUERY_VSOBJECT_INFO;

//--CLIENT_QueryVideoSynopsisInfoӿ
typedef struct tagNET_IN_QUERY_VIDEOSYNOPSIS
{
    DWORD                dwSize;                         // ýṹС
    EM_VIDEOSYNOPSIS_QUERY_TYPE emQueryType;             // 
    DWORD                dwCount;                        // ѯ
    DWORD                dwBeginNumber;                  // ѯʼ    
    void*                pQueryInfo;                     // ѯϢ,ûռ䣻
                                                         // emQueryType==EM_VIDEOSYNOPSIS_TASK,ӦNET_QUERY_VSTASK_INFO,СΪsizeof(NET_QUERY_VSTASK_INFO)*dwCount
                                                         // emQueryType==EM_VIDEOSYNOPSIS_OBJ,ӦNET_QUERY_VSOBJECT_INFO,СΪsizeof(NET_QUERY_VSOBJECT_INFO)*dwCount

    DWORD                dwWaitTime;                     // ȴʱʱ,λms
}NET_IN_QUERY_VIDEOSYNOPSIS;

// ѯÿŨƵϢ
typedef struct tagNET_VSTASK_INFO
{
    DWORD                       dwSize;                             // ýṹС
    DWORD                       dwTaskID;                           // ID
    NET_MODULE_INFO             stuModuleInfo;                      // ģϢ
    NET_VIDEOSYNOPSISRULE_INFO  stuRuleInfo;                        // ĹϢ
    NET_GLOBAL_INFO             stuGlobalInfo;                      // ȫֲ
    NET_TIME                    stuCreateTime;                      // Ĵʱ
    char                        szCurrState[DH_MAX_SYNOPSIS_STATE_NAME];  // ǰƵŨ״̬,"Downloading"-","Synopsising"-Ũ",
                                                                    // "DownloadFailed"-ʧ","DownloadSucceeded"-سɹ
                                                                    // "SynopsisFailed"-Ũʧ","Succeeded"-Ũɹ
                                                                    // "DownloadPause"-ͣ,"SynopsisPause"-Ũͣ
    char                        szCreateUser[DH_MAX_NAME_LEN];      // û
    int                         nProgressOfCurrentState;            // ǰŨӦɽ,0~100
    char                        szLocalFilePath[MAX_PATH];          // ļ·ԶƵԴļغڱص·
    int                         nObjectNum;                         // ĿǰŨѷֵ
    NET_FILEPATH_INFO           stuVideoSourceFilePath;             // ԴƵļ·
    NET_FILEPATH_INFO           stuSynopsisVideoFilePath;           // ŨƵļ·
    char                        szFailedCode[DH_MAX_STRING_LEN];    // ŨƵʧܴ,szCurrStateΪ"SynopsisFailed"ʱЧ
                                                                    // "OutOfMemory" ڴ治;
                                                                    // "TooMany_TargetInVideo"  ƵĿ;
                                                                    // "InvalidFilePointer" ļָЧ;
                                                                    // "InvalidFilePath" ļ·Ч;
                                                                    // "CreateDirectoryFailed"  ļ·ʧ;
                                                                    // "WriteDataFailed" дTubeмļʧ
                                                                    // "DataSizeTooLarge" Tubeļ̫
                                                                    // "Detect_Nothing" ˶Ŀ
                                                                    // "OpenDataFailed" мļʧ
                                                                    // "InvalidSynopsisBackgroud" ŨЧ
                                                                    // "ColorRetrieval" ɫ
                                                                    // "UnsupportRuleType" ֵ֧Ĺ
                                                                    // "RuleNumberExceedLimit" 
                                                                    // "NoFunctionCfgInfo" ָӦܵûϢ
                                                                    // "FunctionNumberExceedLimit" ÿĹĿ
                                                                    // "PointsExceedLimit" ߻ĵ
                                                                    // "BadFunctionType" Ĺ
                                                                    // "RulePointNumber" 
                                                                    // "MaskRegionNumberExceedLimit" 
                                                                    // "CameraSceneSwitch" л
                                                                    // "TooManyTargeInFrame" ֡Ŀ
                                                                    // "InalidSynopsisDesity" ŨܶЧ
                                                                    // "ExtrackColorFeatureFailed" ȡɫʧ
                                                                    // "JpegEncodeFrameFailed" Jpegʧ
                                                                    // "JpegParamRestFailed" Jpegñʧ
                                                                    // "JpegDecodeFrameFailed" Jpegʧ
                                                                    // "RetrieveObjectIdInvalid" ĿIDЧ
                                                                    // "RetrieveImageInvalid" ͼЧ
                                                                    // "NetworkAnomaly" ӳ쳣
                                                                    // "ObjectNumberLimit" ĿĿ
                                                                    // "CreateChannelFailed" ͨʧ
                                                                    // "ReadUGFileFailed" ȡUGļʧ
                                                                    // "GetSynopsisInfoFailed" ȡŨƵϢʧ
                                                                    // "ObjectNumberExceedLimit" ĿĿ
                                                                    // "RebuildBackgroudFailed" ؽʧ
                                                                    // "NotExistMiddleFile" мļ
                                                                    // "NotExistSourceFile" ԭʼļ
                                                                    // "NotDog" ûмܹ
                                                                    // "NotEnoughFreeDisk" ̿ռ䲻
                                                                    // "StartDecodeFail" ʼʧ
                                                                    // "DecodeTimeOut" ȴʱ
                                                                    // "EncodeTimeOut" ȴʱ
                                                                    // "ExactTimeOut" ȡյȴʱ
                                                                    // "ReadMidlleFileFail" ȡмļʧ
                                                                    // "ExactPictureFail" ȡͼƬʧ
    char                        szTaskName[DH_COMMON_STRING_64];    //  Ũ                           
}NET_VSTASK_INFO;

// ŨƵÿϢ
typedef struct tagNET_VSOBJECT_INFO
{
    DWORD                dwSize;                        // ýṹС
    DWORD                dwTaskID;                      // ӦID
    DH_MSG_OBJECT        stuObjInfo;                    // ϢʹstuObjInfoEx
    NET_FILEPATH_INFO    stuFilePathInfo;               // ӦļϢ
    DWORD                dwFileLength;                  // ļֽС
    int					 nDirection;					// Ŀ귽, λ, ΧЧֵ[0,360], -1ʾķ, 12ӷΪ0, ˳ʱת
	DH_MSG_OBJECT_EX2    stuObjInfoEx;					// Ϣչ
}NET_VSOBJECT_INFO;

//--CLIENT_QueryVideoSynopsisInfoӿ
typedef struct tagNET_OUT_QUERY_VIDEOSYNOPSIS
{
    DWORD                dwSize;                        // ýṹС
    DWORD                dwTotalCount;                  // ϴ˴βѯĽ
    DWORD                dwFoundCount;                  // βѯص
    void*                pResult;                       // صϢ,ûռ
                                                        // emQueryType==EM_VIDEOSYNOPSIS_TASK,ӦNET_VSTASK_INFO,СΪsizeof(NET_VSTASK_INFO)*dwMaxCount
                                                        // emQueryType==EM_VIDEOSYNOPSIS_OBJ,ӦNET_VSOBJECT_INFO,СΪsizeof(NET_VSOBJECT_INFO)*dwMaxCount
    DWORD                dwMaxCount;                    // ûϣĽĸ
}NET_OUT_QUERY_VIDEOSYNOPSIS;

// CLIENT_FindSynopsisFileӿڲ 
// Ũļѯ
typedef enum tagNET_EM_QUERY_SYNOPSIS_FILE
{
    DH_FILE_QUERY_VIDEO,                                // ͨ¼ļϢ,Ӧѯṹ:NET_SYNOPSIS_QUERY_VIDEO_PARAM, ؽṹ:NET_SYNOPSISFILE_VIDEO_INFO
    DH_FILE_QUERY_SYNOPSISVIDEO,                        // ŨƵϢ, Ӧѯṹ:NET_QUERY_SYNOPSISVIDEO_PARAM,ؽṹ:NET_QUERY_SYNOPSISVIDEO_INFO
}NET_EM_QUERY_SYNOPSIS_FILE;

typedef struct __NET_SYNOPSIS_QUERY_VIDEO_PARAM
{
    DWORD               dwSize;
    DWORD               dwQueryMask;                    // ѯ, մӵ͵λ,һλʱΡڶλļ· 
    NET_TIME            stuStartTime;                   // ʼʱ    
    NET_TIME            stuEndTime;                     // ʱ
    char                szFilePath[DH_MAX_SYNOPSIS_QUERY_FILE_COUNT][MAX_PATH];    // ѯļľ·
    DWORD               dwFileCount;                    // ѯļĸ
}NET_SYNOPSIS_QUERY_VIDEO_PARAM;

typedef struct  
{
    DWORD               dwSize;
    int                 nTaskId;                        // ID
    DWORD               dwOutPutTypeMask;               // ǰ,1λ.Ƶ(һ);2λŨƵ    
    char                szCurrentState[DH_MAX_SYNOPSIS_STATE_NAME]; // ǰŨ״̬
}NET_VIDEOSYNOPSIS_TASK_INFO;

// DH_FILE_QUERY_VIDEO ص¼ļϢ
typedef struct
{
    DWORD               dwSize;
    unsigned int        nchannelId;                     // ͨ
    char                szFilePath[MAX_PATH];           // ļ·
    unsigned int        nFileLenth;                     // ļ,ֽΪλ,ֶηʹnFileLengthEx
    NET_TIME            stuStarttime;                   // ʼʱ
    NET_TIME            stuEndtime;                     // ʱ
    unsigned int        nWorkDirSN;                     // Ŀ¼    
    unsigned int        nCluster;                       // غ                        
    BYTE                bHint;                          // ļλ
    BYTE                bDriveNo;                       // ̺
    BYTE                bReserved[18];                  // ֶ
    int                 nTaskInfoNum;                   // ¼ļӦŨ
    NET_VIDEOSYNOPSIS_TASK_INFO stuTaskInfo[16];        // ŨϢ
    //ƵŨļϢ
    char szSynopsisPicPath[DH_COMMON_STRING_512];       // ԤļȡĿ	ļ·
                                                        // ֧HTTP URLʾ:"http://www.dahuate.com/1.jpg"
                                                        // ֧FTP URLʾ: "ftp://ftp.dahuate.com/1.jpg"
                                                        // ַ֧· 
                                                        // a)"C:/pic/1.jpg" 
                                                        // b)"/mnt//2010/8/11/dav/15:40:50.jpg"
    int                 nSynopsisMaxTime;               //֧ŨƵʱ䳤,λ 
    int                 nSynopsisMinTime;               //֧ŨƵСʱ䳤,λ 
	INT64               nFileLengthEx;                  //ļչ֧ļȴ4Gλֽ
}NET_SYNOPSISFILE_VIDEO_INFO;

// DH_FILE_QUERY_SYNOPSISVIDEO ŨƵļѯ
typedef struct __NET_QUERY_SYNOPSISVIDEO_PARAM
{
    DWORD               dwSize;
    int                 nTaskID;                        // ID
}NET_QUERY_SYNOPSISVIDEO_PARAM;

// DH_FILE_QUERY_SYNOPSISVIDEOŨƵѯ
typedef struct __NET_QUERY_SYNOPSISVIDEO_INFO
{
    DWORD               dwSize;
    char                szFilePath[MAX_PATH];           // ļ·
    unsigned int        nFileLenth;                     // ļ,ֶηʹnFileLengthEx
    int                 nDurationTime;                  // ʱ,λs
	INT64               nFileLengthEx;                  // ļչ֧ļȴ4Gλֽ
}NET_QUERY_SYNOPSISVIDEO_INFO;

// CLIENT_FindSynopsisFile ӿڲ
typedef struct tagNET_IN_FIND_SYNOPSISFILE
{
    DWORD               dwSize;                          
    NET_EM_QUERY_SYNOPSIS_FILE emQueryType;             // ѯ
    void*               pQueryCondition;                // ѯ,ûڴ
														// ѯΪDH_FILE_QUERY_VIDEO,Ӧѯṹ:NET_SYNOPSIS_QUERY_VIDEO_PARAM,СΪsizeof(NET_SYNOPSIS_QUERY_VIDEO_PARAM)
														// ѯΪDH_FILE_QUERY_SYNOPSISVIDEO,Ӧѯṹ:NET_QUERY_SYNOPSISVIDEO_PARAM,СΪsizeof(NET_QUERY_SYNOPSISVIDEO_PARAM)
	int                 nWaitTime;                      // ȴʱʱ,λms
}NET_IN_FIND_SYNOPSISFILE;

typedef struct tagNET_OUT_FIND_SYNOPSISFILE
{
    DWORD               dwSize;
    LLONG               lFindHandle;                    // ѯ         
}NET_OUT_FIND_SYNOPSISFILE;

// CLIENT_FindNextSynopsisFile ӿڲ
typedef struct tagNET_IN_FINDNEXT_SYNOPSISFILE
{
    DWORD               dwSize;
    int                 nFileCount;                     // ѯļ
    NET_EM_QUERY_SYNOPSIS_FILE emQueryType;             // ѯ
    void*               pSynopsisFileInfo;              // ļϢŻ,ûڴ棬СΪnMaxlen										
    int                 nMaxlen;                        // С
    int                 nWaitTime;                      // ȴʱʱ,λms
}NET_IN_FINDNEXT_SYNOPSISFILE;

typedef struct tagNET_OUT_FINDNEXT_SYNOPSISFILE
{
    DWORD               dwSize;
    int                 nRetFileCount;                  // ӿʵʷصϢ,ֵ<nFileCount()Ӧʱڵļѯ
}NET_OUT_FINDNEXT_SYNOPSISFILE;

// ؽȻصԭ, nErrorʾعֵ̳Ĵ,1-治,2-ԷݵУ,3-صǰļʧ,4-Ӧļʧ
typedef void (CALLBACK *fSynopsisFileDownLoadPosCB)(LLONG lDownLoadHandle, DWORD dwFileID, DWORD dwFileTotalSize, DWORD dwDownLoadSize, int nError, LDWORD dwUser, void* pReserved);

// CLIENT_DownLoadSynosisFile ӿڲ
typedef  NET_DOWNLOADFILE_INFO NET_SYNOPSIS_DOWNLOADFILE_INFO;

typedef struct tagNET_IN_DOWNLOAD_SYNOPSISFILE
{
    DWORD               dwSize;
    int                 nFileCount;                     // ļ
    NET_SYNOPSIS_DOWNLOADFILE_INFO* pFileInfos;         // ļϢ,ûڴ棬СΪsizeof(NET_SYNOPSIS_DOWNLOADFILE_INFO)*nFileCount
    fSynopsisFileDownLoadPosCB cbPosCallBack;           // Ȼص
    LDWORD              dwUserData;                     // û
    int                 nWaitTime;                      // ȴʱʱ,λms
}NET_IN_DOWNLOAD_SYNOPSISFILE;

typedef struct tagNET_OUT_DOWNLOAD_SYNOPSISFILE
{
    DWORD               dwSize;
    LLONG               lDownLoadHandle;                // ؾ
}NET_OUT_DOWNLOAD_SYNOPSISFILE;

// ļ()·Ϣ
typedef struct    tagNET_SET_FILEPATH_INFO
{
    DWORD               dwSize;
    char                szFilePath[MAX_PATH];           // ļ·,Ҳļ·ĿǰŨƵֻ֧davʽļ
}NET_SET_FILEPATH_INFO;

// CLIENT_SetFilePathInfo()ӿ
typedef struct tagNET_IN_SET_FILEPATHINFO
{
    DWORD                dwSize;
    DWORD                dwCount;                       // ӵļ·Ϣ
    void*                pFilePathInfo;                 // ָļ·ϢNET_SET_FILEPATH_INFO
														// ûڴ棬СΪsizeof(NET_SET_FILEPATH_INFO)*dwCount
    DWORD                dwWaitTime;                    // ȴʱʱ,λms
}NET_IN_SET_FILEPATHINFO;


// fAddFileStateCB 
typedef struct tagNET_CB_ADDFILESTATE
{
    DWORD               dwSize;
    const char*         szFileName;                     // ļ
    const char*         szState;                        // ļ״̬, "Successed",ɹ; "Failed",ʧܣ
}NET_CB_ADDFILESTATE;

// ¼豸صԭ, ÿ1,pBuf->dwSize == nBufLen
typedef void (CALLBACK *fAddFileStateCB) (LLONG lLoginID, LLONG lAttachHandle, NET_CB_ADDFILESTATE* pBuf,  int nBufLen, LDWORD dwUser);

// CLIENT_AttacAddFileState()ӿ
typedef struct tagNET_IN_ADDFILE_STATE
{
    DWORD               dwSize;
    fAddFileStateCB     cbAttachState;                 // ļ״̬ص
    LDWORD              dwUser;                        // û
}NET_IN_ADDFILE_STATE;
typedef struct tagNET_OUT_ADDFILE_STATE
{
    DWORD                dwSize;
}NET_OUT_ADDFILE_STATE;

///////////////////////////////////ʶģؽṹ///////////////////////////////////////
typedef struct tagNET_UID_CHAR
{
    char szUID[DH_MAX_PERSON_ID_LEN];  //UID
}NET_UID_CHAR;

// CLIENT_OperateFaceRecognitionDBӿ
typedef struct __NET_IN_OPERATE_FACERECONGNITIONDB
{
    DWORD             dwSize;
    EM_OPERATE_FACERECONGNITIONDB_TYPE emOperateType;  // 
    FACERECOGNITION_PERSON_INFO        stPersonInfo;   // ԱϢ 

    //emOperateTypeΪET_FACERECONGNITIONDB_DELETE_BY_UIDʱʹ,stPeronInfoֶЧ
    DWORD            nUIDNum;                          //UID               
    NET_UID_CHAR     *stuUIDs;                         //ԱΨһʶ,״ɷ,IDֶ
										               // ûڴ,СΪsizeof(NET_UID_CHAR)*nUIDNum
    // ͼƬ
    char              *pBuffer;                        // ַ
    int               nBufferLen;                      // ݳ

	BOOL			  bUsePersonInfoEx;				   // ʹԱչϢ
	FACERECOGNITION_PERSON_INFOEX	stPersonInfoEx;	   // ԱϢչ
}NET_IN_OPERATE_FACERECONGNITIONDB;

// 룬emOperateTypeΪET_FACERECONGNITIONDB_DELETE_BY_UIDʱʹ
typedef enum tagEM_ERRORCODE_TYPE
{
    EM_ERRORCODE_TYPE_UNKNOWN = -1,               // δ֪
    EM_ERRORCODE_TYPE_SUCCESS,               // ɹ
    EM_ERRORCODE_TYPE_PERSON_NOT_EXIST,            // Ա
    EM_ERRORCODE_TYPE_DATABASE_ERROR,             //  ݿʧ
} EM_ERRORCODE_TYPE;

// CLIENT_OperateFaceRecognitionDBӿ
typedef struct __NET_OUT_OPERATE_FACERECONGNITIONDB
{
    DWORD               dwSize;
	char				szUID[DH_MAX_PERSON_ID_LEN];	// ԱΨһʶ, ֻڲΪNET_FACERECONGNITIONDB_ADDʱЧ

    //emOperateTypeΪET_FACERECONGNITIONDB_DELETE_BY_UIDʱʹ
    int                nErrorCodeNum; // 
    EM_ERRORCODE_TYPE          emErrorCodes[MAX_ERRORCODE_NUM]; // 
    // emOperateTypeΪET_FACERECONGNITIONDB_DELETE_BY_UIDʱʹ
}NET_OUT_OPERATE_FACERECONGNITIONDB;

// CLIENT_BatchAppendFaceRecognition ӿ
typedef struct tagNET_IN_BATCH_APPEND_FACERECONGNITION
{
    DWORD                           dwSize;             // ṹС
    UINT                            nPersonNum;         // ҪӵԱ
    FACERECOGNITION_PERSON_INFOEX   *pstPersonInfo;     // ԱϢڴû룬СΪnPersonNum * sizeof(FACERECOGNITION_PERSON_INFOEX)

    // ͼƬ
    char                            *pBuffer;           // ַ
    UINT                            nBufferLen;         // ݳ
    BYTE                            bReserved[4];       // ֽڶ
} NET_IN_BATCH_APPEND_FACERECONGNITION;

// ԱϢ
typedef struct tagNET_BATCH_APPEND_PERSON_RESULT
{
    UINT            nUID;               // ԱUID
    DWORD           dwErrorCode;        // Ϣ
    BYTE            bReserved[512];     // ֶ
} NET_BATCH_APPEND_PERSON_RESULT;

// CLIENT_BatchAppendFaceRecognition ӿ
typedef struct tagNET_OUT_BATCH_APPEND_FACERECONGNITION
{
    DWORD                           dwSize;                 // ṹС
    UINT                            nResultNum;             // ӽûֵָNET_IN_BATCH_APPEND_FACERECONGNITIONеnPersonNumһ
    NET_BATCH_APPEND_PERSON_RESULT  *pstResultInfo;         // ӽϢ
} NET_OUT_BATCH_APPEND_FACERECONGNITION;

// ͼͼѯģʽ
typedef enum tagEM_FINDPIC_QUERY_MODE
{
    EM_FINDPIC_QUERY_UNKNOWN,               // δ֪
    EM_FINDPIC_QUERY_PASSIVE,               // ѯ
    EM_FINDPIC_QUERY_ACTIVE,                // 
} EM_FINDPIC_QUERY_MODE;

// ͼͼϱʽ
typedef enum tagEM_FINDPIC_QUERY_ORDERED
{
	EM_FINDPIC_QUERY_BY_SIMILARITY,			// ƶȴӸߵ
	EM_FINDPIC_QUERY_BY_TIME_FORWARD,		// ʱ
	EM_FINDPIC_QUERY_BY_TIME_REVERSE,		// ʱ䵹
} EM_FINDPIC_QUERY_ORDERED;

typedef struct __NET_FACE_MATCH_OPTIONS
{
    DWORD               dwSize;
    unsigned int        nMatchImportant;               // ԱҪȼ    1~10,ֵԽԽҪ,(ѯҪȼڵڴ˵ȼԱ)
    EM_FACE_COMPARE_MODE emMode;                       // ȶģʽ,EM_FACE_COMPARE_MODE
    int                 nAreaNum;                      // 
    EM_FACE_AREA_TYPE   szAreas[MAX_FACE_AREA_NUM];    // ,emModeΪNET_FACE_COMPARE_MODE_AREAʱЧ
    int                 nAccuracy;                     // ʶ𾫶(ȡֵ1~10,ֵ,⾫,ٶ½СֵΪ1 ʾٶ,ֵΪ10ʾ⾫ȡ ʱֻЧ)
    int                 nSimilarity;                   // ƶ(ڸʶȲű;ٷֱȱʾ,1~100)
    int                 nMaxCandidate;                 // ѡ(ƶȽ,ȡƶĺѡ)
    EM_FINDPIC_QUERY_MODE emQueryMode;                 // ͼͼѯģʽ
    EM_FINDPIC_QUERY_ORDERED emOrdered;				   // ͼͼϱʽ
}NET_FACE_MATCH_OPTIONS;

typedef struct __NET_FACE_FILTER_CONDTION
{
    DWORD               dwSize;
    NET_TIME            stStartTime;                   // ʼʱ
    NET_TIME            stEndTime;                     // ʱ
    char                szMachineAddress[MAX_PATH];    // ص,֧ģƥ    
    int                 nRangeNum;                     // ʵݿ     
    BYTE                szRange[MAX_FACE_DB_NUM];      // ѯݿ, EM_FACE_DB_TYPE
    EM_FACERECOGNITION_FACE_TYPE emFaceType;           // ѯ, EM_FACERECOGNITION
    int                 nGroupIdNum;                   // Ա   
    char                szGroupId[MAX_GOURP_NUM][DH_COMMON_STRING_64]; // ԱID 
    NET_TIME            stBirthdayRangeStart;          // ʼʱ
    NET_TIME            stBirthdayRangeEnd;            // սʱ
	BYTE				byAge[MAX_AGE_NUM];			   // 䣬byAge[0]=0byAge[1]=0ʱʾѯȫ
	BYTE				byReserved[2];				   // ֽڶ
	EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE	emEmotion[MAX_EMOTION_NUM];		// 
	int					nEmotionNum;				   // ĸ
    int                 nUIDNum;                       // ԱΨһʶ
    char                szUIDs[64][32];                // ԱΨһʶб
}NET_FACE_FILTER_CONDTION;

#define MAX_SMALLPIC_NUM	32		// Сͼ

// CLIENT_StartFindFaceRecognitionӿ
typedef struct __NET_IN_STARTFIND_FACERECONGNITION
{
    DWORD               dwSize;
    BOOL                bPersonEnable;                  // ԱϢѯǷЧ
    FACERECOGNITION_PERSON_INFO stPerson;               // ԱϢѯ
    NET_FACE_MATCH_OPTIONS stMatchOptions;              // ƥѡ
    NET_FACE_FILTER_CONDTION stFilterInfo;              // ѯ
  
    // ͼƬ
    char                *pBuffer;                       // ַ
    int                 nBufferLen;                     // ݳ

    int                 nChannelID;                     // ͨ         

    BOOL                bPersonExEnable;                // ԱϢѯǷЧ, ʹչṹ
    FACERECOGNITION_PERSON_INFOEX   stPersonInfoEx;     // ԱϢչ
    int                 nSmallPicIDNum;                 // СͼID
    int                 nSmallPicID[MAX_SMALLPIC_NUM];  // СͼID
    EM_OBJECT_TYPE      emObjectType;                   // Ŀ 
}NET_IN_STARTFIND_FACERECONGNITION;

// CLIENT_StartFindFaceRecognitionӿ
typedef struct __NET_OUT_STARTFIND_FACERECONGNITION
{
    DWORD               dwSize;
    int                 nTotalCount;                   // صķϲѯļ¼ 
                                                       // -1ʾδ,ҪƳٻȡ
                                                       // ʹCLIENT_AttachFaceFindStateӿ״̬

    LLONG               lFindHandle;                   // ѯ
    int                 nToken;                        // ȡĲѯ
}NET_OUT_STARTFIND_FACERECONGNITION;


// CLIENT_StartMultiFindFaceRecognition ӿ
typedef struct tagNET_IN_STARTMULTIFIND_FACERECONGNITION
{
    DWORD               dwSize;
    int*                pChannelID;                    //  ͨ
    int                 nChannelCount;                  //  ͨ
    BOOL                bPersonEnable;                 // ԱϢѯǷЧ
    FACERECOGNITION_PERSON_INFO stPerson;              // ԱϢѯ
    NET_FACE_MATCH_OPTIONS stMatchOptions;             // ƥѡ
    NET_FACE_FILTER_CONDTION stFilterInfo;             // ѯ

    // ͼƬ
    char                *pBuffer;                      // ַ
    int                 nBufferLen;                    // ݳ

    BOOL                bPersonExEnable;               // ԱϢѯǷЧ, ʹԱϢչṹ
    FACERECOGNITION_PERSON_INFOEX   stPersonInfoEx;     // ԱϢչ
    EM_OBJECT_TYPE      emObjectType;                   // Ŀ 
}NET_IN_STARTMULTIFIND_FACERECONGNITION;

// CLIENT_StartMultiFindFaceRecognition ӿ
typedef struct tagNET_OUT_STARTMULTIFIND_FACERECONGNITION
{
    DWORD               dwSize;
    int                 nTotalCount;                    // صķϲѯļ¼ 
														// -1ʾδ,ҪƳٻȡ
														// ʹCLIENT_AttachFaceFindStateӿ״̬
	
	LLONG               lFindHandle;                   // ѯ
    int                 nToken;                        // ȡĲѯ
}NET_OUT_STARTMULTIFIND_FACERECONGNITION;

// CLIENT_StartMultiFindFaceRecognitionRecord (ӦĿʼʶͨѯ)
typedef struct tagNET_IN_STARTMULTIFIND_FACERECONGNITIONRECORD
{
    DWORD               dwSize;                         // ṹС
	
    // ѯ
    NET_TIME            stStartTime;                    // ʼʱ
    NET_TIME            stEndTime;                      // ʱ
    char                szMachineAddress[MAX_PATH];     // ص,֧ģƥ     
    int                 nAlarmType;                     // ѯ, EM_FACERECOGNITION_ALARM_TYPE
    BOOL                abPersonInfo;                   // ԱϢǷЧ
    FACERECOGNITION_PERSON_INFO stPersonInfo;           // ԱϢ
    int*                pChannelID;                     // ͨ
	int					nChannelCount;					// ͨ
    int                 nGroupIdNum;                    // Ա   
    char                szGroupId[MAX_GOURP_NUM][DH_COMMON_STRING_64]; // ԱID 

	BOOL                abPersonExInfo;                 // ԱϢǷЧ, ʹԱϢչṹ
	FACERECOGNITION_PERSON_INFOEX	stPersonInfoEx;		//  ԱϢչ
}NET_IN_STARTMULTIFIND_FACERECONGNITIONRECORD;

// CLIENT_StartMultiFindFaceRecognitionRecord (ӦĿʼʶͨѯ)
typedef struct tagNET_OUT_STARTMULTIFIND_FACERECONGNITIONRECORD
{
	DWORD               dwSize;
    int                 nTotalCount;                    // صķϲѯļ¼ 
														// -1ʾδ,ҪƳٻȡ
														// ʹCLIENT_AttachFaceFindStateӿ״̬
	LLONG               lFindHandle;                   // ѯ
	int                 nToken;                        // ȡĲѯ
}NET_OUT_STARTMULTIFIND_FACERECONGNITIONRECORD;

//CLIENT_DoFindFaceRecognitionRecord (ӦĿʼʶͨѯ)
typedef struct tagNET_IN_DOFIND_FACERECONGNITIONRECORD
{
	DWORD               dwSize;
    int                 nTotalCount;                    // ѯļ¼ 
	LLONG               lFindHandle;                    // ѯ 
	int					nBeginNumber;					// ѯʼţʾbeginNumber¼ʼȡcount¼أ
}NET_IN_DOFIND_FACERECONGNITIONRECORD;

// ʶϢ
typedef struct tagNET_DOFIND_FACERECONGNITIONRECORD_INFO
{
    BOOL                    bGlobalScenePic;                        // ȫͼǷ
    NET_PIC_INFO			stGlobalScenePic;                       // ȫͼƬļ·
    DH_MSG_OBJECT           stuObject;                              // ĿϢ
    NET_PIC_INFO			stObjectPic;                            // Ŀļ·
    int                     nCandidateNum;                          // ǰƥ䵽ĺѡ
    CANDIDATE_INFO          stuCandidates[DH_MAX_CANDIDATE_NUM];    // ǰƥ䵽ĺѡϢ
    NET_CANDIDAT_PIC_PATHS_EX  stuCandidatesPic[DH_MAX_CANDIDATE_NUM]; // ǰƥ䵽ĺѡͼƬļ·
    NET_TIME                stTime;                                 // ʱ  
    char                    szAddress[MAX_PATH];                    // ص
    int                     nChannelId;                             // ͨ 
	BYTE					bReserved[256];							// 
}NET_DOFIND_FACERECONGNITIONRECORD_INFO;

//CLIENT_DoFindFaceRecognitionRecord (ӦĿʼʶͨѯ)
typedef struct tagNET_OUT_DOFIND_FACERECONGNITIONRECORD
{
	DWORD											dwSize;
	NET_DOFIND_FACERECONGNITIONRECORD_INFO			*stuResults;		// صʶϢ(ڴͷû)
	int												nResultNum;			// ʶϢڴ
	int												nTotalCount;		// ʵʷظ
}NET_OUT_DOFIND_FACERECONGNITIONRECORD;

//CLIENT_DoFindFaceRecognitionRecordEx (ӦĿʼʶͨѯ)
typedef struct tagNET_IN_DOFIND_FACERECONGNITIONRECORD_EX
{
	DWORD               dwSize;
    int                 nTotalCount;                    // ÿҪȡ
	LLONG               lFindHandle;                    // ѯ 
	int					nBeginNumber;					// ѯʼţʾbeginNumber¼ʼȡcount¼أ
}NET_IN_DOFIND_FACERECONGNITIONRECORD_EX;

// ʶϢչ
typedef struct tagNET_DOFIND_FACERECONGNITIONRECORD_INFO_EX
{
    BOOL                    bGlobalScenePic;                        // ȫͼǷ
    NET_PIC_INFO			stGlobalScenePic;                       // ȫͼƬļ·
    DH_MSG_OBJECT           stuObject;                              // ĿϢ
    NET_PIC_INFO			stObjectPic;                            // Ŀļ·
    int                     nCandidateNum;                          // ǰƥ䵽ĺѡ
    CANDIDATE_INFOEX        stuCandidates[DH_MAX_CANDIDATE_NUM];    // ǰƥ䵽ĺѡϢ
    NET_CANDIDAT_PIC_PATHS_EX  stuCandidatesPic[DH_MAX_CANDIDATE_NUM]; // ǰƥ䵽ĺѡͼƬļ·
    NET_TIME                stTime;                                 // ʱ  
    char                    szAddress[MAX_PATH];                    // ص
    int                     nChannelId;                             // ͨ 
	BYTE					bReserved[1024];							// 
}NET_DOFIND_FACERECONGNITIONRECORD_INFO_EX;

//CLIENT_DoFindFaceRecognitionRecordEx (ӦĿʼʶͨѯ)
typedef struct tagNET_OUT_DOFIND_FACERECONGNITIONRECORD_EX
{
	DWORD											dwSize;
	NET_DOFIND_FACERECONGNITIONRECORD_INFO_EX		*pstResults;		// صʶϢ(ڴͷû)
	int												nMaxResultNum;		// ʶϢڴ
	int												nRetResultNum;		// ʵʷظ
}NET_OUT_DOFIND_FACERECONGNITIONRECORD_EX;

#define MAX_FIND_COUNT  20

// ѯͼƬĸʽ
typedef enum tagEM_NEEDED_PIC_RETURN_TYPE
{
    EM_NEEDED_PIC_TYPE_UNKOWN,            // δ֪
    EM_NEEDED_PIC_TYPE_HTTP_URL,          // ͼƬHTTP
    EM_NEEDED_PIC_TYPE_BINARY_DATA,       // ͼƬ
    EM_NEEDED_PIC_TYPE_HTTP_AND_BINARY,   // ضƺHTTP
}EM_NEEDED_PIC_RETURN_TYPE;

// CLIENT_DoFindFaceRecognition ӿ
typedef struct __NET_IN_DOFIND_FACERECONGNITION
{
    DWORD               dwSize;
    LLONG               lFindHandle;                    // ѯ
    int                 nBeginNum;                      // ѯʼ
    int                 nCount;                         // ǰѯļ¼ 
    EM_NEEDED_PIC_RETURN_TYPE   emDataType;             // ָѯͼƬĸʽ
}NET_IN_DOFIND_FACERECONGNITION;

// CLIENT_DoFindFaceRecognitionӿ
typedef struct __NET_OUT_FINDNEXT_FACERECONGNITION
{
    DWORD               dwSize;
    int                 nCadidateNum;                   // ʵʷصĺѡϢṹ
    CANDIDATE_INFO      stCadidateInfo[MAX_FIND_COUNT]; // ѡϢ
    
    // ͼƬ
    char                *pBuffer;                       // ַ
    int                 nBufferLen;                     // ݳ

    BOOL                bUseCandidatesEx;               // Ƿʹúѡչṹ, 
                                                        // ΪTRUE, ʾʹstuCandidatesEx, stuCandidatesЧ, ෴
    int                 nCadidateExNum;                 // ʵʷصĺѡϢṹ
    CANDIDATE_INFOEX    stuCandidatesEx[MAX_FIND_COUNT];// ǰƥ䵽ĺѡϢ, ʵʷظͬnCandidateNum
}NET_OUT_DOFIND_FACERECONGNITION;

// ۾״̬
typedef enum tagEM_GLASSES_STATE
{
    EM_GLASSES_STATE_UNKNOWN,       // δ֪
    EM_GLASSES_STATE_NO,            // 
    EM_GLASSES_STATE_WEAR,          // 
} EM_GLASSES_STATE;

// ʷԱϢ
typedef struct tagNET_HISTORY_PERSON_INFO
{
    char                		szUID[DH_MAX_PERSON_ID_LEN];                    // ԱΨһʶ,״ɷ,IDֶ
                                                                        		// ޸,ɾʱ
    EM_SEX_TYPE                 emSexType;                                      // Ա  
    UINT                        nAge;                                           // , 0ʾδ֪
    EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE	emEmotion;							// 
    EM_GLASSES_STATE            emGlassesState;                                 // ۾״̬
    EM_GLASSES_TYPE             emGlassesType;                                  // ۾
    EM_RACE_TYPE                emRace;                                         // 
    EM_EYE_STATE_TYPE			emEye;											// ۾״̬
    EM_MOUTH_STATE_TYPE			emMouth;										// ״̬
	EM_MASK_STATE_TYPE 			emMask;											// ״̬
	EM_BEARD_STATE_TYPE			emBeard;										// ״̬
	int							nAttractive;									// ֵ, -1ʾЧ, 0δʶʶʱΧ1-100,÷ָ
    UINT                		nFacePicNum;                                    // ͼƬ
    NET_FACE_IMAGE_INFO         stuFacePicInfo[DH_MAX_PERSON_IMAGE_NUM];        // ǰԱӦͼƬϢ
    BYTE                        bReserved[2048];					            // Ԥֽ
} NET_HISTORY_PERSON_INFO;

// ʷͼͼϱĺѡϢ
typedef struct tagNET_HISTORY_ACTIVE_CANDIDATE
{
    UINT                    nSimilarity;                    // ƶ
    int                     nChannelID;                     // ץͨ
    NET_HISTORY_PERSON_INFO stuHistoryPerson;               // ʷԱϢ
    NET_TIME                stuTime;                        // ѯԱֵʱ
    NET_FACE_IMAGE_INFO		stuSceneImage;					// ȫͼ
    BYTE                    bReserved[1236];					// Ԥֽ
} NET_HISTORY_ACTIVE_CANDIDATE;

#define MAX_CANDIDATE_NUM        50      // ѡԱ

// ʷͼͼϱϢ
typedef struct tagNET_RESULT_OF_FINDHISTORY_BYPIC
{
    UINT                            nSmallPicID;                            // СͼID
    UINT                            nPictureID;                             // ͼID
    UINT                            nCandidateNum;                          // ѡԱ
    NET_HISTORY_ACTIVE_CANDIDATE    stuCandidateInfo[MAX_CANDIDATE_NUM];    // ѡԱϢ
    BYTE                            bReserved[1024];				        // Ԥֽ
} NET_RESULT_OF_FINDHISTORY_BYPIC;

#define MAX_FINDPERSON_RESULT_NUM       32 // ͼͼϱ
// ʷͼͼصϢ
typedef struct tagNET_CB_RESULT_OF_FIND_HISTORY_BYPIC
{
    UINT                                nToken;                                         // ѯ
    UINT                                nProgress;                                      // ѯȰٷֱ
    UINT                                nTotalCount;                                    // 
    int                                 nHistoryResultNum;                              // ʷͼͼѯ
    NET_RESULT_OF_FINDHISTORY_BYPIC     stuHistoryResult[MAX_FINDPERSON_RESULT_NUM];    // ʷͼͼѯϢ
    BYTE                                bReserved[1024];				        // Ԥֽ
} NET_CB_RESULT_OF_FIND_HISTORY_BYPIC;

// ʷͼͼصԭ, lAttachHandleΪCLIENT_AttachResultOfFindHistoryByPicӿڵķֵ
typedef void (CALLBACK *fResultOfFindHistory)(LLONG lAttachHandle, NET_CB_RESULT_OF_FIND_HISTORY_BYPIC* pstesult, const char *pBinBuf, int nBinBufLen, LDWORD dwUser);

// CLIENT_AttachResultOfFindHistoryByPicӿ
typedef struct tagNET_IN_ATTACH_RESULT_FINDHISTORY_BYPIC
{
    DWORD                   dwSize;                     // ṹС
    UINT                    nToken;                     // ѯ, CLIENT_StartFindFaceRecognition
    fResultOfFindHistory    cbResultOfFindHistory;      // ʷͼͼص
    LDWORD                  dwUser;                     // û
} NET_IN_ATTACH_RESULT_FINDHISTORY_BYPIC;

// CLIENT_AttachResultOfFindHistoryByPicӿ
typedef struct tagNET_OUT_ATTACH_RESULT_FINDHISTORY_BYPIC
{
    DWORD                   dwSize;                     // ṹС
} NET_OUT_ATTACH_RESULT_FINDHISTORY_BYPIC;

// ʷͼͼϱĺѡϢ
typedef struct tagNET_HUMANHISTORY_CANDIDATE
{
    UINT                    nSimilarity;                    // ƶ
    int                     nChannelID;                     // ץͨ
    NET_HISTORY_HUMAN_INFO  stuHistoryHuman;                // ʷϢ
    NET_TIME                stuTime;                        // ѯԱֵʱ
    NET_FACE_IMAGE_INFO		stuSceneImage;					// ȫͼ
    BYTE                    bReserved[748];				    // Ԥֽ
} NET_HUMANHISTORY_CANDIDATE;

// ʷͼͼϱϢ
typedef struct tagNET_RESULT_OF_HUMANHISTORY_BYPIC
{
    UINT                            nSmallPicID;                            // СͼID
    UINT                            nPictureID;                             // ͼID
    NET_HUMANHISTORY_CANDIDATE      stuCandidateInfo[50];                   // ѡԱϢ
    UINT                            nCandidateNum;                          // ѡԱ
    BYTE                            bReserved[1028];				        // Ԥֽ
} NET_RESULT_OF_HUMANHISTORY_BYPIC;


// ʷͼͼصϢ
typedef struct tagNET_CB_RESULT_OF_HUMAN_HISTORY_BYPIC
{
    UINT                                nToken;                                         // ѯ
    UINT                                nProgress;                                      // ѯȰٷֱ
    UINT                                nTotalCount;                                    // 
    int                                 nHistoryResultNum;                              // ʷͼͼѯ
    NET_RESULT_OF_HUMANHISTORY_BYPIC    stuHistoryResult[32];                           // ʷͼͼѯϢ
    BYTE                                bReserved[1024];				                // Ԥֽ
} NET_CB_RESULT_OF_HUMAN_HISTORY_BYPIC;


// ʷͼͼصԭ, lAttachHandleΪCLIENT_AttachResultOfHumanHistoryByPicӿڵķֵ
typedef void (CALLBACK *fResultOfHumanHistory)(LLONG lAttachHandle, NET_CB_RESULT_OF_HUMAN_HISTORY_BYPIC* pstesult, const char *pBinBuf, int nBinBufLen, LDWORD dwUser);

// CLIENT_AttachResultOfHumanHistoryByPic ӿ
typedef struct tagNET_IN_ATTACH_RESULT_HUMAN_HISTORY_BYPIC
{
    DWORD                   dwSize;                     // ṹС
    UINT                    nToken;                     // ѯ, CLIENT_StartFindFaceRecognition
    fResultOfHumanHistory   cbResultOfHumanHistory;     // ʷͼͼص
    LDWORD                  dwUser;                     // û
} NET_IN_ATTACH_RESULT_HUMAN_HISTORY_BYPIC;

// CLIENT_AttachResultOfHumanHistoryByPic ӿ
typedef struct tagNET_OUT_ATTACH_RESULT_HUMAN_HISTORY_BYPIC
{
    DWORD                   dwSize;                     // ṹС
} NET_OUT_ATTACH_RESULT_HUMAN_HISTORY_BYPIC;

// CLIENT_DetectFaceӿ
typedef struct __NET_IN_DETECT_FACE
{
    DWORD               dwSize; 
    DH_PIC_INFO         stPicInfo;                     // ͼϢ

    // ͼƬ
    char                *pBuffer;                      // ַ
    int                 nBufferLen;                    // ݳ
}NET_IN_DETECT_FACE;

// CLIENT_DetectFaceӿ
typedef struct __NET_OUT_DETECT_FACE
{
    DWORD               dwSize; 
    DH_PIC_INFO         *pPicInfo;                     // ͼƬϢ,ûռ,СΪsizeof(DH_PIC_INFO)*nMaxPicNum
    int                 nMaxPicNum;                    // ͼƬϢ
    int                 nRetPicNum;                    // ʵʷصͼƬ 
    
    // ͼƬ
    char                *pBuffer;                      // ַ,ûռ,żͼƬ
    int                 nBufferLen;                    // ݳ
}NET_OUT_DETECT_FACE;

// Աö
typedef enum tagEM_OPERATE_FACERECONGNITION_GROUP_TYPE
{
    NET_FACERECONGNITION_GROUP_UNKOWN,
    NET_FACERECONGNITION_GROUP_ADD,                     // ԱϢ
    NET_FACERECONGNITION_GROUP_MODIFY,                  // ޸ԱϢ  
    NET_FACERECONGNITION_GROUP_DELETE,                  // ɾԱϢ
}EM_OPERATE_FACERECONGNITION_GROUP_TYPE;

// ԱϢ
typedef struct tagNET_FACERECONGNITION_GROUP_INFO
{
    DWORD               		dwSize;
    EM_FACE_DB_TYPE     		emFaceDBType;							// Ա, EM_FACE_DB_TYPE
    char                		szGroupId[DH_COMMON_STRING_64];			// ԱID,ΨһʶһԱ(޸,ӲʱЧ)
    char                		szGroupName[DH_COMMON_STRING_128];		// Ա 
    char                		szGroupRemarks[DH_COMMON_STRING_256];	// Ա鱸עϢ
    int                 		nGroupSize;								// ǰԱ
    int							nRetSimilarityCount;					// ʵʷصĿƶֵ
	int							nSimilarity[MAX_SIMILARITY_COUNT];		// ƶֵȶԸֵΪƥɹ
	int							nRetChnCount;							// ʵʷصͨŸ
	int							nChannel[DH_MAX_CAMERA_CHANNEL_NUM];	// ǰ󶨵Ƶͨб
	UINT						nFeatureState[MAX_FEATURESTATE_NUM];	// 齨ģ״̬Ϣ:
																		// [0]-׼ģԱ֤һģɹ
																		// [1]-ģʧܵԱͼƬ㷨ҪҪͼƬ
																		// [2]-ѽģɹԱݿ㷨ʶ
																		// [3]-ģɹ㷨òõ½ģͿ
	EM_REGISTER_DB_TYPE			emRegisterDbType;						// ע
}NET_FACERECONGNITION_GROUP_INFO;

// ԱϢ
typedef struct tagNET_ADD_FACERECONGNITION_GROUP_INFO
{
    DWORD               dwSize;
    NET_FACERECONGNITION_GROUP_INFO stuGroupInfo;      // ԱϢ 
}NET_ADD_FACERECONGNITION_GROUP_INFO;

// ɾԱϢ
typedef struct tagNET_DELETE_FACERECONGNITION_GROUP_INFO
{
    DWORD               dwSize;
    char                szGroupId[DH_COMMON_STRING_64];// ԱID,ΨһʶһԱ
}NET_DELETE_FACERECONGNITION_GROUP_INFO;

// ޸ԱϢ
typedef struct tagNET_MODIFY_FACERECONGNITION_GROUP_INFO
{
    DWORD               dwSize;
    NET_FACERECONGNITION_GROUP_INFO stuGroupInfo;      // ԱϢ 
}NET_MODIFY_FACERECONGNITION_GROUP_INFO;

// CLIENT_OperateFaceRecognitionGroupӿ
typedef struct tagNET_IN_OPERATE_FACERECONGNITION_GROUP
{
    DWORD               dwSize;
    EM_OPERATE_FACERECONGNITION_GROUP_TYPE emOperateType; // 
    void                *pOPerateInfo;                    // زϢ,ûڴ棬СղͶӦĽṹ
														  // ΪNET_FACERECONGNITION_GROUP_ADD,ӦṹΪNET_ADD_FACERECONGNITION_GROUP_INFO;
														  // ΪNET_FACERECONGNITION_GROUP_MODIFY,ӦṹΪNET_MODIFY_FACERECONGNITION_GROUP_INFO
														  // ΪNET_FACERECONGNITION_GROUP_DELETE,ӦṹΪNET_DELETE_FACERECONGNITION_GROUP_INFO
}NET_IN_OPERATE_FACERECONGNITION_GROUP;   

// CLIENT_OperateFaceRecognitionGroupӿ
typedef struct tagNET_OUT_OPERATE_FACERECONGNITION_GROUP
{
    DWORD               dwSize;
    char                szGroupId[DH_COMMON_STRING_64]; // ¼ԱID,ΨһʶһԱ
}NET_OUT_OPERATE_FACERECONGNITION_GROUP;   

// ȡԱ
#define MAX_FACE_RECOGNITION_SERVER_PERSON_TYPE		64

// CLIENT_GetFaceRecognitionPersonTypeӿ
typedef struct tagNET_IN_GET_FACERECOGNITION_PERSON_TYPE
{
    DWORD               dwSize;				// ṹС
} NET_IN_GET_FACERECOGNITION_PERSON_TYPE;   

// CLIENT_GetFaceRecognitionPersonTypeӿ
typedef struct tagNET_OUT_GET_FACERECOGNITION_PERSON_TYPE
{
    DWORD               dwSize;																		// ṹС
    char                szPersonType[MAX_FACE_RECOGNITION_SERVER_PERSON_TYPE][DH_COMMON_STRING_16];	// Ա
	int					nPersonTypeNum;																// ʵʷصԱ͸
	BYTE                byDefault[DH_COMMON_STRING_16];												// Ա, EM_PERSON_TYPE
	int					nDefaultNum;																// Ա
} NET_OUT_GET_FACERECOGNITION_PERSON_TYPE;   

// CLIENT_GetDevCaps Ӧ(NET_FACERECOGNITIONSE_CAPS) 
typedef struct tagNET_IN_FACERECOGNITIONSERVER_CAPSBILITYQUERY
{
    DWORD               dwSize;				// ṹС
} NET_IN_FACERECOGNITIONSERVER_CAPSBILITYQUERY; 

// ɫ
typedef struct tagNET_FACEBOXCOLOR_CAPS
{
	BOOL				bSupport;				// Ƿ֧ɫϱ
	NET_COLOR_RGBA		stuDefaultColor;		// Ĭɫ
	BYTE				byReserved[1024];		// 
}NET_FACEBOXCOLOR_CAPS;

// Ƿ֧ͼͼ
typedef enum tagEM_SUPPORT_SEARCH_BY_PIC
{
    EM_SUPPORT_SEARCH_BY_PIC_UNKNOWN,       // δ֪, IVSS, NVR, DVR֧ͼͼIPC-FR֧
    EM_SUPPORT_SEARCH_BY_PIC_UNSUPPORT,     //֧
    EM_SUPPORT_SEARCH_BY_PIC_SUPPORT,       // ֧
} EM_SUPPORT_SEARCH_BY_PIC;

// CLIENT_GetDevCaps Ӧ(NET_FACERECOGNITIONSE_CAPS)
typedef struct tagNET_OUT_FACERECOGNITIONSERVER_CAPSBILITYQUERY
{
    DWORD                       dwSize;                 // ṹС
    BOOL                        bmultiFind;             // Ƿֶ֧ͨ
    UINT                        nmaxFaceType;           // ֧Զ
    NET_FACEBOXCOLOR_CAPS       stuFaceBoxColor;        // ɫ
    BOOL                        bAsynPush;              // Ƿ֧ͼͼ
    UINT                        nMaxGroupNum;           // , 0ʾЧ
    UINT                        nMaxPersonNum;          // 洢, 0ʾЧ
    UINT                        nMultiAppendPicLength;  // ͼÿνͼƬĴС, λKB
    EM_SUPPORT_SEARCH_BY_PIC    emSupportSearchByPic;   // Ƿ֧ͼͼ
    DWORD                       dwSearchTypeMask;       // ͼͼֵ֧Ŀ, emSupportSearchByPicΪEM_SUPPORT_SEARCH_BY_PIC_SUPPORTʱЧ
                                                        // bit0:, bit1:, bit2:,  bit3:ǻ
} NET_OUT_FACERECOGNITIONSERVER_CAPSBILITYQUERY; 

// ԱͲö
typedef enum tagEM_OPERATE_FACERECOGNITION_PERSON_TYPE
{
    NET_PERSON_TYPE_UNKOWN,				// δ֪
	NET_PERSON_TYPE_ADD,				// ԶԱ
	NET_PERSON_TYPE_MODIFY,				// ޸Ա
	NET_PERSON_TYPE_DELETE,				// ɾԱ
} EM_OPERATE_FACERECOGNITION_PERSON_TYPE;

// ԱϢ
typedef struct tagNET_ADD_FACERECOGNITION_PERSON_TYPE_INFO
{
    DWORD               dwSize;									// ṹС
	char				szType[DH_COMMON_STRING_16];			// Ա
} NET_ADD_FACERECOGNITION_PERSON_TYPE_INFO;   

// ޸ԱϢ
typedef struct tagNET_MODIFY_FACERECOGNITION_PERSON_TYPE_INFO
{
    DWORD               dwSize;									// ṹС
	char				szType[DH_COMMON_STRING_16];			// ޸ĵԱ
	char				szNewType[DH_COMMON_STRING_16];			// µԱ
} NET_MODIFY_FACERECOGNITION_PERSON_TYPE_INFO;   

// ɾԱϢ
typedef struct tagNET_DELETE_FACERECOGNITION_PERSON_TYPE_INFO
{
    DWORD               dwSize;									// ṹС
	char				szType[DH_COMMON_STRING_16];			// Ա
} NET_DELETE_FACERECOGNITION_PERSON_TYPE_INFO;   

// CLIENT_OperateFaceRecognitionPersonTypeӿ
typedef struct tagNET_IN_OPERATE_FACERECOGNITION_PERSON_TYPE
{
    DWORD											dwSize;			// ṹС
    EM_OPERATE_FACERECOGNITION_PERSON_TYPE			emOperateType;	// 
    void											*pOPerateInfo;	// زϢ,ûڴ棬СղͶӦĽṹ
																	// ΪNET_PERSON_TYPE_ADD,ӦṹΪNET_ADD_FACERECOGNITION_PERSON_TYPE_INFO;
																	// ΪNET_PERSON_TYPE_MODIFY,ӦṹΪNET_MODIFY_FACERECOGNITION_PERSON_TYPE_INFO
																	// ΪNET_PERSON_TYPE_DELETE,ӦṹΪNET_DELETE_FACERECOGNITION_PERSON_TYPE_INFO
} NET_IN_OPERATE_FACERECOGNITION_PERSON_TYPE;   

// CLIENT_OperateFaceRecognitionPersonTypeӿ (ɾԱʱЧ)
typedef struct tagNET_OUT_OPERATE_FACERECOGNITION_PERSON_TYPE
{
    DWORD               dwSize;										// ṹС
    char                szFailedCode[DH_COMMON_STRING_16];			// 
} NET_OUT_OPERATE_FACERECOGNITION_PERSON_TYPE;   

// CLIENT_FindGroupInfoӿ
typedef struct tagNET_IN_FIND_GROUP_INFO   
{
    DWORD               dwSize;
    char                szGroupId[DH_COMMON_STRING_64];// ԱID,ΨһʶһԱ,ΪձʾѯȫԱϢ
}NET_IN_FIND_GROUP_INFO;

// CLIENT_FindGroupInfoӿ
typedef struct tagNET_OUT_FIND_GROUP_INFO   
{
    DWORD               dwSize;
    NET_FACERECONGNITION_GROUP_INFO *pGroupInfos;      // ԱϢ,ûռ,СΪsizeof(NET_FACERECONGNITION_GROUP_INFO)*nMaxGroupNum
    int                 nMaxGroupNum;                  // ǰС
    int                 nRetGroupNum;                  // 豸صԱ
}NET_OUT_FIND_GROUP_INFO;


// CLIENT_SetGroupInfoForChannelӿ
typedef struct tagNET_IN_SET_GROUPINFO_FOR_CHANNEL
{
    DWORD               dwSize;
    int                 nChannelID;                    // ͨ
    int                 nGroupIdNum;                   // Ա   
    char                szGroupId[MAX_GOURP_NUM][DH_COMMON_STRING_64]; // ԱID, [""]ʾƵͨ飬ʱʶ˻Ϊ
    int					nSimilaryNum;					// ƶֵ, Աͬ
    int					nSimilary[MAX_GOURP_NUM];		// ÿƶֵ, 0-100
}NET_IN_SET_GROUPINFO_FOR_CHANNEL;

// CLIENT_SetGroupInfoForChannelӿ
typedef struct tagNET_OUT_SET_GROUPINFO_FOR_CHANNEL
{
    DWORD                dwSize;
}NET_OUT_SET_GROUPINFO_FOR_CHANNEL;

// CLIENT_GetGroupInfoForChannelӿ
typedef struct tagNET_IN_GET_GROUPINFO_FOR_CHANNEL
{
    DWORD              dwSize;
    int                nChannelID;                    // ͨ
}NET_IN_GET_GROUPINFO_FOR_CHANNEL;

// CLIENT_GetGroupInfoForChannelӿ
typedef struct tagNET_OUT_GET_GROUPINFO_FOR_CHANNEL
{
    DWORD               dwSize;
	int                 nGroupIdNum;                    // Ա   
    char                szGroupId[MAX_GOURP_NUM][DH_COMMON_STRING_64]; // ԱID 
    int					nSimilaryNum;					// ƶֵ, Աͬ
    int					nSimilary[MAX_GOURP_NUM];		// ÿƶֵ, 0-100
}NET_OUT_GET_GROUPINFO_FOR_CHANNEL;

// ѯ״̬Ϣص, lAttachHandleCLIENT_AttachFaceFindStateķֵ
typedef struct tagNET_CB_FACE_FIND_STATE
{
    DWORD               dwSize;     
    int                 nToken;         //ƵŨݿID
    int                 nProgress;      //ȡֵΧ0-100,-1,ʾѯtoken(һڻĲѯʱ)
    int                 nCurrentCount;  //Ŀǰϲѯ
}NET_CB_FACE_FIND_STATE;

typedef void (CALLBACK *fFaceFindState)(LLONG lLoginID, LLONG lAttachHandle, NET_CB_FACE_FIND_STATE* pstStates, int nStateNum, LDWORD dwUser);

//CLIENT_AttachFaceFindStateӿ
typedef struct tagNET_IN_FACE_FIND_STATE
{
    DWORD           dwSize;             //ṹС,д
    
    int             nTokenNum;          //ѯ,Ϊ0ʱ,ʾеĲѯ
    int            *nTokens;            //ѯ,ûڴ棬СΪsizeof(int)*nTokenNum
    fFaceFindState  cbFaceFindState;    //ص
    LDWORD          dwUser;             //û
}NET_IN_FACE_FIND_STATE;

//CLIENT_AttachFaceFindStateӿ
 typedef struct  tagNET_OUT_FACE_FIND_STATE
 {
    DWORD           dwSize;
 }NET_OUT_FACE_FIND_STATE;


// CLIENT_FaceRecognitionSetSearchImageInfo ӿ
typedef struct tagNET_IN_FACE_RECOGNITION_SET_SEARCH_IMAGE_INFO
{
    DWORD               dwSize;
    int                 nChannel;                           // Ƶͨ
    char                szFilePath[DH_COMMON_STRING_256];   // ļ·,ͼƬ·
}NET_IN_FACE_RECOGNITION_SET_SEARCH_IMAGE_INFO;

// CLIENT_FaceRecognitionSetSearchImageInfo ӿ
typedef struct tagNET_OUT_FACE_RECOGNITION_SET_SEARCH_IMAGE_INFO
{
    DWORD                dwSize;
}NET_OUT_FACE_RECOGNITION_SET_SEARCH_IMAGE_INFO;

// صƵͨϢ
typedef struct tagNET_DISPOSITION_CHANNEL_INFO
{
	int					nChannelID;			// Ƶͨ
	int					nSimilary;			// ƶֵ, 0-100
	BYTE				bReserved[256];		// 
} NET_DISPOSITION_CHANNEL_INFO;

// CLIENT_FaceRecognitionPutDisposition ӿ
typedef struct tagNET_IN_FACE_RECOGNITION_PUT_DISPOSITION_INFO
{
	DWORD               			dwSize;
	char                			szGroupId[DH_COMMON_STRING_64]; 					// ԱID 
	int								nDispositionChnNum;									// Ƶͨ
	NET_DISPOSITION_CHANNEL_INFO	stuDispositionChnInfo[DH_MAX_CAMERA_CHANNEL_NUM];	// ƵͨϢ
} NET_IN_FACE_RECOGNITION_PUT_DISPOSITION_INFO;

// CLIENT_FaceRecognitionPutDisposition ӿ
typedef struct tagNET_OUT_FACE_RECOGNITION_PUT_DISPOSITION_INFO
{
	DWORD               dwSize;
	int					nReportCnt;							// ͨؽ
	BOOL				bReport[DH_MAX_CAMERA_CHANNEL_NUM];	// ͨؽ, TRUE׷ӳɹ, FALSE׷ʧ
} NET_OUT_FACE_RECOGNITION_PUT_DISPOSITION_INFO;

// CLIENT_FaceRecognitionDelDisposition ӿ
typedef struct tagNET_IN_FACE_RECOGNITION_DEL_DISPOSITION_INFO
{
	DWORD               			dwSize;
	char                			szGroupId[DH_COMMON_STRING_64]; 				// ԱID 
	int								nDispositionChnNum;								// Ƶͨ
	int								nDispositionChn[DH_MAX_CAMERA_CHANNEL_NUM];		// Ƶͨб
} NET_IN_FACE_RECOGNITION_DEL_DISPOSITION_INFO;

// CLIENT_FaceRecognitionDelDisposition ӿ
typedef struct tagNET_OUT_FACE_RECOGNITION_DEL_DISPOSITION_INFO
{
	DWORD               dwSize;
	int					nReportCnt;							// ͨؽ
	BOOL				bReport[DH_MAX_CAMERA_CHANNEL_NUM];	// ͨؽ, TRUEɾɹ, FALSEɾʧ
} NET_OUT_FACE_RECOGNITION_DEL_DISPOSITION_INFO;

#define MAX_BIG_PIC_NUM     50      // ͼСͼֵ֧Ĵͼ
#define MAX_TOKEN_NUM       128     // ѯ

// ͼϢ(ͼСͼ)
typedef struct tagNET_DETECT_BIG_PIC_INFO 
{
    int             nPicID;                                     // ͼID
    DWORD           dwOffSet;                                   // ļڶݿеƫλ, λ:ֽ
    DWORD           dwFileLenth;                                // ļС, λ:ֽ
    DWORD           dwWidth;                                    // ͼƬ, λ:
    DWORD           dwHeight;                                   // ͼƬ߶, λ:
    int             nDetectRegionNum;                           // 򶥵
    NET_POINT       stuDetectRegion[DH_MAX_DETECT_REGION_NUM];  // 
    BYTE            bReserved[44];                              // ֽ
}NET_DETECT_BIG_PIC_INFO;

// CLIENT_FaceRecognitionDetectMultiFace ӿ
typedef struct tagNET_IN_FACE_RECOGNITION_DETECT_MULTI_FACE_INFO
{
    DWORD                       dwSize;                         // ˽ṹĴС
    int                         nBigPicNum;                     // ͼ
    NET_DETECT_BIG_PIC_INFO     stuBigPicInfo[MAX_BIG_PIC_NUM]; // ͼϢ

    // ͼƬ
    char                        *pBuffer;                      // ַ
    int                         nBufferLen;                    // ݳ
    EM_OBJECT_TYPE              emDetectObjType;               // Ŀ
} NET_IN_FACE_RECOGNITION_DETECT_MULTI_FACE_INFO;

// CLIENT_FaceRecognitionDetectMultiFace ӿ
typedef struct tagNET_OUT_FACE_RECOGNITION_DETECT_MULTI_FACE_INFO
{
    DWORD                       dwSize;                         // ˽ṹĴС
} NET_OUT_FACE_RECOGNITION_DETECT_MULTI_FACE_INFO;

// ͼСͼϢ
typedef struct tagNET_SMALL_PIC_INFO
{
    int                         nSmallPicId;                // СͼID
    NET_RECT                    stuRect;                    // Сͼڴͼеλ
    EM_OBJECT_TYPE              emDetectObjType;            // Ŀ
    BYTE                        bReserved[124];             // ֽ
} NET_SMALL_PIC_INFO;

// ͼСͼ
typedef enum tagEM_MULTIFACE_DETECT_ERRCODE
{
    EM_MULTIFACE_DETECT_UNKNOWN     = -1,       // δ֪
    EM_MULTIFACE_DETECT_SUCCESS,                // ɹ
    EM_MULTIFACE_DETECT_DECODE_FAIL,            // ʧ
    EM_MULTIFACE_DETECT_NO_OBJECT,              // δ⵽ЧĿ
} EM_MULTIFACE_DETECT_ERRCODE;

// һŴͼ⵽СͼĽ
typedef struct tagNET_IMAGE_RELATION
{
    int                         nBigPicId;                          // ͼID
    int                         nSmallPicNum;                       // ͼСͼ
    NET_SMALL_PIC_INFO          stuSmallPicInfo[MAX_SMALLPIC_NUM];  // ͼСͼϢ
    EM_MULTIFACE_DETECT_ERRCODE emDetectErrCode;                    // ͼСͼ
    BYTE                        bReserved[124];                     // ֽ
} NET_IMAGE_RELATION;

//  ĴͼСͼȻصṹ
typedef struct tagNET_CB_MULTIFACE_DETECT_STATE
{
    int                         nProgress;                      // 
    NET_IMAGE_RELATION          stuImageRelation;               // ͼСͼļ
    BYTE                        byReserved[512];                //ֽ
} NET_CB_MULTIFACE_DETECT_STATE;

// ĴͼСͼȻصԭ
typedef void (CALLBACK *fMultiFaceDetectState)(LLONG lAttachHandle, NET_CB_MULTIFACE_DETECT_STATE *pstStates, LDWORD dwUser);

// CLIENT_AttachDetectMultiFaceState ӿ
typedef struct tagNET_IN_MULTIFACE_DETECT_STATE
{
    DWORD                       dwSize;                         // ˽ṹС
    BYTE                        bReserved[4];                   // ֽڶ
    fMultiFaceDetectState       cbMultiFaceDetectState;         //ص
    LDWORD                      dwUser;                         //û
} NET_IN_MULTIFACE_DETECT_STATE;

// CLIENT_AttachDetectMultiFaceState ӿ
typedef struct tagNET_OUT_MULTIFACE_DETECT_STATE
{
    DWORD                       dwSize;                         // ˽ṹС
} NET_OUT_MULTIFACE_DETECT_STATE;

// ԱؽϢ
typedef struct tagNET_REABSTRACT_PERSON_INFO
{
	char                		szUID[DH_MAX_PERSON_ID_LEN];  	// ԱΨһʶ
	BYTE						bReserved[1024];	
} NET_REABSTRACT_PERSON_INFO;

// CLIENT_FaceRecognitionReAbstract ӿ
typedef struct tagNET_IN_FACE_RECOGNITION_REABSTRACT_INFO
{
	DWORD						dwSize;							// ˽ṹС
	int							nPersonNum;						// ½ģԱ
	NET_REABSTRACT_PERSON_INFO	*pstReAbstractPersonInfo;		// ½ģԱϢ
} NET_IN_FACE_RECOGNITION_REABSTRACT_INFO;

// CLIENT_FaceRecognitionReAbstract ӿ
typedef struct tagNET_OUT_FACE_RECOGNITION_REABSTRACT_INFO
{
	DWORD						dwSize;							// ˽ṹС
} NET_OUT_FACE_RECOGNITION_REABSTRACT_INFO;

// CLIENT_FaceRecognitionGroupReAbstract ӿ
typedef struct tagNET_IN_FACE_RECOGNITION_GROUP_REABSTRACT_INFO
{
	DWORD						dwSize;											// ˽ṹС
	int							nGroupNum;										// Ա
	char						szGroupId[MAX_GOURP_NUM][DH_COMMON_STRING_64];	// ԱID
} NET_IN_FACE_RECOGNITION_GROUP_REABSTRACT_INFO;

// CLIENT_FaceRecognitionGroupReAbstract ӿ
typedef struct tagNET_OUT_FACE_RECOGNITION_GROUP_REABSTRACT_INFO
{
	DWORD						dwSize;							// ˽ṹС
	UINT						nToken;							// ؽƣøֹؽ
} NET_OUT_FACE_RECOGNITION_GROUP_REABSTRACT_INFO;

// CLIENT_FaceRecognitionStopGroupReAbstract ӿ
typedef struct tagNET_IN_FACE_RECOGNITION_STOP_GROUP_REABSTRACT_INFO
{
	DWORD						dwSize;							// ˽ṹС
	UINT						nToken;							// ؽ
} NET_IN_FACE_RECOGNITION_STOP_GROUP_REABSTRACT_INFO;

// CLIENT_FaceRecognitionStopGroupReAbstract ӿ
typedef struct tagNET_OUT_FACE_RECOGNITION_STOP_GROUP_REABSTRACT_INFO
{
	DWORD						dwSize;							// ˽ṹС
} NET_OUT_FACE_RECOGNITION_STOP_GROUP_REABSTRACT_INFO;

// CLIENT_GetFaceParam ӿ
typedef struct tagNET_IN_GET_FACE_PARAM
{
    DWORD                       dwSize;                         // ˽ṹС
    int                         nChannel;                       // ͨ
} NET_IN_GET_FACE_PARAM;

// CLIENT_GetFaceParam ӿ
typedef struct tagNET_OUT_GET_FACE_PARAM
{
    DWORD                       dwSize;                         // ˽ṹС
    int                         nRegMinQuality;                 // ͼƬֵ, 1-100
    UINT                        nMinFaceSize;                   // Сع, ʵֱ, λ, Ĭ0ʾЧ
    unsigned short              nConfidence;                    // Ŷȹ, 1-100, Ĭ0ʾЧ
    unsigned short              nAlignScore;                    // ؼŶȹ, 1-100, Ĭ0ʾЧ
    short                       nRoll;                          // Ƕȹ , -90~90, Ĭ0ʾЧ
    short                       nPitch;                         // Ƕȹ , -90~90, Ĭ0ʾЧ
    short                       nYaw;                           // Ƕȹ ƫ, -90~90, Ĭ0ʾЧ
    BYTE                        reserved[2];                    // ֽ
} NET_OUT_GET_FACE_PARAM;

// CLIENT_SetFaceParam ӿ
typedef struct tagNET_IN_SET_FACE_PARAM
{
    DWORD                       dwSize;                         // ˽ṹС
    int                         nChannel;                       // ͨ
    int                         nRegMinQuality;                 // ͼƬֵ, 1-100
    UINT                        nMinFaceSize;                   // Сع, ʵֱ, λ, Ĭ0ʾЧ
    unsigned short              nConfidence;                    // Ŷȹ, 1-100, Ĭ0ʾЧ
    unsigned short              nAlignScore;                    // ؼŶȹ, 1-100, Ĭ0ʾЧ
    short                       nRoll;                          // Ƕȹ , -90~90, Ĭ0ʾЧ
    short                       nPitch;                         // Ƕȹ , -90~90, Ĭ0ʾЧ
    short                       nYaw;                           // Ƕȹ ƫ, -90~90, Ĭ0ʾЧ
    BYTE                        reserved[6];                    // ֽ
} NET_IN_SET_FACE_PARAM;

// CLIENT_SetFaceParam ӿ
typedef struct tagNET_OUT_SET_FACE_PARAM
{
    DWORD                       dwSize;                         // ˽ṹС
} NET_OUT_SET_FACE_PARAM;
///////////////////////////////// ¼ϴ /////////////////////////////////

// fBurnCheckCallBack 
typedef struct tagNET_CB_BURN_CHECK_STATE
{
    DWORD               dwSize;
    const char*         szType;                         // Ϣ
                                                        // "Checking": У
                                                        // "CheckResult": У    
    BOOL                bCheckResult;                   // У, "CheckResult", TRUE-ɹ, FALSE-ʧ
    BYTE                byProgress;                     // У, "Checking", ٷֱ, 0~100
    BYTE                reserved[3];
} NET_CB_BURN_CHECK_STATE;

// ¼Уصԭ, lAttachHandleCLIENT_AttachBurnCheckStateķֵ
typedef void (CALLBACK *fBurnCheckCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_CB_BURN_CHECK_STATE* pstState, void* reserved, LDWORD dwUser);

// CLIENT_AttachBurnCheckState ӿڵ(¼У״̬)
typedef struct tagNET_IN_ATTACH_BURN_CHECK 
{
    DWORD               dwSize;
    fBurnCheckCallBack  cbBurnCheck;                    // ¼Уص
    LDWORD              dwUser;                         // û
} NET_IN_ATTACH_BURN_CHECK;

// CLIENT_AttachBurnCheckState ӿڵ(¼У״̬)
typedef struct tagNET_OUT_ATTACH_BURN_CHECK
{
    DWORD            dwSize;
} NET_OUT_ATTACH_BURN_CHECK;

///////////////////////////////// ߼豸 /////////////////////////////////

typedef struct tagNET_CB_CAMERASTATE
{
    DWORD               dwSize;
    int                 nChannel;             // ͨ
    CONNECT_STATE       emConnectState;       // ״̬
}NET_CB_CAMERASTATE;

// CLIENT_AttachCameraState()صԭ, ÿ1,pBuf->dwSize == nBufLen
typedef void (CALLBACK *fCameraStateCallBack) (LLONG lLoginID, LLONG lAttachHandle, const NET_CB_CAMERASTATE *pBuf, int nBufLen, LDWORD dwUser);

// CLIENT_AttachCameraState()
typedef struct tagNET_IN_CAMERASTATE
{
    DWORD                   dwSize;
    int *                   pChannels;              // ۲ͨ,Ԫ,һ-1,۲ͨ
													// ûڴ棬СΪsizeof(int)*nChannels
    int                     nChannels;              // pChannelsָ볤
    fCameraStateCallBack    cbCamera;               // ״̬ص
    LDWORD                  dwUser;                 // û
}NET_IN_CAMERASTATE;

typedef struct tagNET_OUT_CAMERASTATE
{
    DWORD                dwSize;
	int                  nObjectID;                 // ID,ÿIDʾһΨһ
}NET_OUT_CAMERASTATE;

/////////////////////////////////汾/////////////////////////////////

// 豸ץͼ,ӿϢ
typedef struct __NET_SNAP_COMMANDINFO 
{
    char                szCardInfo[16];             // Ϣ
    char                reserved[64];               // 
} NET_SNAP_COMMANDINFO, LPNET_SNAP_COMMANDINFO;

typedef struct
{
    int                 nChannelNum;                // ͨ
    char                szUseType[32];              // ͨ;
    DWORD               dwStreamSize;               // С(λkb/s)
    char                reserved[32];               // 
} DHDEV_USE_CHANNEL_STATE;

typedef struct 
{
    char                szUserName[32];                     // û
    char                szUserGroup[32];                    // û
    NET_TIME            time;                               // ʱ
    int                 nOpenedChannelNum;                  // ͨ
    DHDEV_USE_CHANNEL_STATE    channelInfo[DH_MAX_CHANNUM];
    char                szIpAddress[DH_MAX_IPADDR_LEN_EX];  // ipַ
    char                reserved[24];
} DHDEV_USER_NET_INFO;

// ״̬Ϣ
typedef    struct 
{
    int                 nUserCount;                      // û
    DHDEV_USER_NET_INFO stuUserInfo[32];
    char                reserved[256];
}DHDEV_TOTAL_NET_STATE;

typedef struct
{
    char                szIpAddress[DH_MAX_IPADDR_LEN];  // ipַ
    char                szUserGroup[32];                 // û
    char                szUserName[32];                  // û
    char                reserved[64];
}DHDEV_USER_REJECT_INFO;

// ޳û
typedef struct
{ 
    int                       nUserCount;                // û
    DHDEV_USER_REJECT_INFO    stuUserInfo[10];     
    char                      reserved[256];
}DHDEV_REJECT_USER;

typedef struct
{
    char                szIpAddress[DH_MAX_IPADDR_LEN];  // ipַ
    char                szUserGroup[32];                 // û
    char                szUserName[32];                  // û
    int                 nForbiddenTime;                  // ʱ
    char                reserved[64];
}DHDEV_USER_SHIELD_INFO;

// û
typedef struct
{ 
    int                       nUserCount;                // û
    DHDEV_USER_SHIELD_INFO    stuUserInfo[10];     
    char                      reserved[256];
}DHDEV_SHIELD_USER;

// γ
typedef struct
{//  ǰ,άں
    char                chPreLogi;        // ǰñ־NSWE,ֱʾϡ
    char                chPreLati;        // γǰñ־NSWE,ֱʾϡ
    BYTE                reserved[6];      // ֽ,
    double              dbLongitude;      // 
    double              dbLatitude;       // γ
}DHDEV_LONGI_LATI;
// ϢͶϢ
typedef struct
{
    char                szPhoneNum[DH_MAX_PHONE_NO_LEN];    // 绰
    NET_TIME            stMsgTime;                          // Ϣʱ
    char                szMsgType[DH_MAX_MSGTYPE_LEN];      // ϢͣϢ-Navigation Ϣ--SMS
    char                szSmsContext[DH_MAX_MSG_LEN];       // ͵Ϣ
    DHDEV_LONGI_LATI    stLogiLati;                         // ʼγ
    unsigned int        uFlag;                              // 01־ʵγ
    char                szNavigationType[16];               // TNC,Ϊµͼĵʽ,TXZ,Ϊߵͼĵʽ
    char                szAddress[32];                      // صϢ
    char                szNavigationMode[32];               // ģʽ RecommendƼ,Economical,Fastest 죻Shortest ̣
    DHDEV_LONGI_LATI    stPassLogiLati[5];                  // ɵ
    DHDEV_LONGI_LATI    stNoPassLogiLati[5];                // ɵ
    BYTE                reserved[256];
}DHDEV_NAVIGATION_SMSS;

// ͼˮӡ
typedef struct __DHDEV_WATERMAKE_CFG 
{
    DWORD               dwSize;
    int                 nEnable;                                // ʹ
    int                 nStream;                                // (1n)0-
    int                 nKey;                                   // (1-,2-ͼƬ)
    char                szLetterData[DH_MAX_WATERMAKE_LETTER];  //    
    char                szData[DH_MAX_WATERMAKE_DATA];          // ͼƬ
    BYTE                bReserved[512];                         // 
} DHDEV_WATERMAKE_CFG;

// 洢λýṹ,ÿͨ,ÿͨѡִ洢, Ŀǰ, ƶ, Զ̴洢.
typedef struct 
{
    DWORD               dwSize;
    DWORD               dwLocalMask;                            // ش洢룻λʾ
                                                                // һλϵͳԤ¼,ڶλʱ¼,λ¼,
                                                                // λ¼,λ¼,λֶ¼
    DWORD               dwMobileMask;                           // ƶ洢 洢籾ش洢
    int                 RemoteType;                             // Զ̴洢 0: Ftp  1: Smb 
    DWORD               dwRemoteMask;                           // Զ̴洢 洢籾ش洢
    DWORD               dwRemoteSecondSelLocal;                 // Զ쳣ʱش洢
    DWORD               dwRemoteSecondSelMobile;                // Զ쳣ʱƶ洢
    char                SubRemotePath[MAX_PATH_STOR];           // ԶĿ¼, гΪ240
    DWORD               dwFunctionMask;                         // λ,λʾ,bit0 = 1:ץͼ¼洢λù
    DWORD               dwAutoSyncMask;                         // Ƿͬ;Զ̴洢ϻָ,Զش洢ͬԶ̴洢
    BYTE                bAutoSyncRange;                         // ָʱ̿ʼ,Ҫǰͬʱ䷶Χ,СʱΪλ0:ͬ  1:1Сʱڵ n:nСʱڵ
    char                reserved[119];
} DH_STORAGE_STATION_CFG;

#define MAX_ALARM_DECODER_NUM 16
typedef struct  
{
    DWORD               dwAlarmDecoder;             // ֧8,8λԺչ
    BYTE                bDecoderIndex;              // ʾڼ
    BYTE                bReserved[3];
} ALARM_DECODER;

// 
typedef struct
{
    int                 nAlarmDecoderNum;
    ALARM_DECODER       stuAlarmDecoder[MAX_ALARM_DECODER_NUM];
    BYTE                bReserved[32];
} ALARM_DECODER_ALARM;

//DSP
typedef struct  
{
    BOOL                bError;             //0,DSP 1,DSP쳣
    DWORD               dwErrorMask;        //λʾ,0ʾд˴,0ʾûС(ĿǰÿαֻһλЧ)
                                            //bit DSP
                                            // 1  DSPʧ 
                                            // 2  DSP
                                            // 3  ʽ 
                                            // 4  ֱʲ֧
                                            // 5  ݸʽ֧
                                            // 6  ҲI֡
    DWORD               dwDecChnnelMask;    //λʾ,Ľͨ,dwErrorMaskΪDSP,ʽ,ֱʲ֧,ݸʽ֧ʱЧ
    DWORD               dwDecChnnelMask1;   //λʾ,33-64ͨıĽͨ, dwErrorMaskΪDSP,ʽ,ֱʲ֧,ݸʽ֧ʱЧ
    BYTE                bReserved[24];
}DSP_ALARM;

// ˱
typedef struct  
{
    int         nFDDINum;
    BYTE        bAlarm[256];
} ALARM_FDDI_ALARM;

#define ALARM_PTZ_LOCATION_INFO DH_PTZ_LOCATION_INFO

// Ƶⱨ
typedef struct
{
    BOOL                bEnable;                    // ʹ
    int                 Volume_min;                 // Сֵ
    int                 Volume_max;                 // ֵ
    char                reserved[128];    
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT];    
    DH_MSG_HANDLE       struHandle;                 // ʽ
} DH_AUDIO_DETECT_INFO;

typedef struct  
{
    DWORD                   dwSize;
    int                     AlarmNum;
    DH_AUDIO_DETECT_INFO    AudioDetectAlarm[DH_MAX_AUDIO_IN_NUM];
    char                    reserved[256];
} DH_AUDIO_DETECT_CFG;

typedef struct
{
    BOOL                bTourEnable;                // Ѳʹ
    int                 nTourPeriod;                // Ѳ,λ, 5-300 
    DWORD               dwChannelMask;              // Ѳͨ,ʽʾ
    char                reserved[64];
}DH_VIDEOGROUP_CFG;

// Ʋ
typedef struct
{
    DWORD               dwSize;
    int                 nMatrixNum;                 // (ע޸)
    DH_VIDEOGROUP_CFG   struVideoGroup[DH_MATRIX_MAXOUT];
    char                reserved[32];
} DHDEV_VIDEO_MATRIX_CFG;   

// WEB·
typedef struct 
{
    DWORD               dwSize;
    BOOL                bSnapEnable;                    // Ƿץͼ
    int                 iSnapInterval;                  // ץͼ
    char                szHostIp[DH_MAX_IPADDR_LEN];    // HTTPIP
    WORD                wHostPort;
    int                 iMsgInterval;                   // ״̬Ϣͼ
    char                szUrlState[DH_MAX_URL_LEN];     // ״̬ϢϴURL
    char                szUrlImage[DH_MAX_URL_LEN];     // ͼƬϴUrl
    char                szDevId[DH_MAX_DEV_ID_LEN];     // web
    BYTE                byReserved[2];
} DHDEV_URL_CFG;

// OEMѯ
typedef struct  
{
    char                szVendor[DH_MAX_STRING_LEN];
    char                szType[DH_MAX_STRING_LEN];
    char                reserved[128];
} DHDEV_OEM_INFO;


//ƵOSD
typedef struct 
{ 
    DWORD   rgbaFrontground;            // ǰֽڱʾ,ֱΪ졢̡͸
    DWORD   rgbaBackground;             // ıֽڱʾ,ֱΪ졢̡͸    
    RECT    rcRelativePos;              // λ,߾ı*8191    
    BOOL    bPreviewBlend;              // Ԥʹ    
    BOOL    bEncodeBlend;               // ʹ
    BYTE    bReserved[4];               // 
} DH_DVR_VIDEO_WIDGET;

typedef struct 
{
    DH_DVR_VIDEO_WIDGET     StOSD_POS;                                 // OSDӵλúͱɫ
    char                    SzOSD_Name[DH_VIDEO_OSD_NAME_NUM];         // OSDӵ
}DH_DVR_VIDEOITEM;
 
// ÿͨOSDϢ
typedef struct 
{
    DWORD                   dwSize;
    DH_DVR_VIDEOITEM        StOSDTitleOpt [DH_VIDEO_CUSTOM_OSD_NUM];    // ÿͨOSDϢ
    BYTE                    bReserved[16];                              // 
} DH_DVR_VIDEOOSD_CFG;

// CDMA/GPRSϢ
// ʱνṹ                                                                
typedef struct 
{
    BYTE                bEnable;                  // ʱʹ,1ʾʱЧ,0ʾʱЧ
    BYTE                bBeginHour;
    BYTE                bBeginMin;
    BYTE                bBeginSec;
    BYTE                bEndHour;
    BYTE                bEndMin;
    BYTE                bEndSec;
    BYTE                bReserved;                //
} DH_3G_TIMESECT, *LPDH_3G_TIMESECT;

typedef struct 
{
    DWORD               dwSize;
    BOOL                bEnable;                        // ģʹܱ־
    DWORD               dwTypeMask;                     // 豸֧;λʾ,һλ;Զѡ;
                                                        // ڶλTD-SCDMA磻λWCDMA;
                                                        // λCDMA 1.x;λCDMA2000;λGPRS;
                                                        // λEVDO;ڰλWIFI
    DWORD               dwNetType;                      // ǰ,ΪEM_GPRSCDMA_NETWORK_TYPEֵ
    char                szAPN[128];                     // 
    char                szDialNum[128];                 // ź
    char                szUserName[128];                // û
    char                szPWD[128];                     // 
    
    /* 豸ֻ */
    BOOL                iAccessStat;                    // ע״̬
    char                szDevIP[16];                    // ǰ豸IP,ַ, '\0'16byte  
    char                szSubNetMask [16];              // ǰ豸,ַ, '\0'16byte 
    char                szGateWay[16];                  // ǰ豸,ַ, '\0'16byte 
    /* 豸ֻ */
    int                 iKeepLive;                      // ʱ
    DH_3G_TIMESECT      stSect[DH_N_WEEKS][DH_N_TSECT]; // 3Gʱ,Чʱ֮,ţЧʱ֮,رղš
    BYTE                byActivate;                     // ǷҪż

    BYTE                bySimStat;                      // SIM(UIM)״̬:1,0  (ֻ) ռReserved1ֽ
    char                szIdentify[128];                // Ȩʽ
    bool                bPPPEnable;                     // PPP,0-Ͽppp,1-ppp
    BYTE                bPPPState;                      // PPP״̬(ֻ),庬EM_MOBILE_PPP_STATE
    BYTE                bNetCardState;                  // ״̬(ֻ),庬EM_3GMOBILE_STATE
    char                szPhyCardNo[32];                // 
    char                Reserved[4];                    // ֽ,չ
    BYTE                byPinShow;                      // PINǷʾ(ֻ), 0-֧, 1-ʾ, 2-ʾ
    BYTE                byPinEnable;                    // PINʹ(ֻ), 0-ʹ, 1-ʹ
    BYTE                byPinCount;                     // PINʣô(ֻ), 0~3
    //-------------------------------ֶdwSizeЧ------------------------------------
    char                szPinNo[16];                    // PINֵ, ĸֵ
} DHDEV_CDMAGPRS_CFG;

// ¼
typedef struct  
{
    DWORD               dwSize;
    int                 nType;                          // 0:ʱ,1С
    int                 nValue;                         // nType = 0ʱ:λ,nType = 1ʱ:λKB
    char                Reserved[128];                  // ֽ,չ
} DHDEV_RECORD_PACKET_CFG;

// ()עϢ
typedef struct __DEV_AUTOREGISTER_INFO 
{
    LONG            lConnectionID;                      // ID
    char            szServerIp[DH_MAX_IPADDR_LEN];      // עIP
    int             nPort;                              // ע˿0- 65535
    int             nState;                             // ״̬0עʧܣ1-עɹ; 2-ʧ
    char            reserved[16];
} DEV_AUTOREGISTER_INFO;

typedef struct __DEV_SERVER_AUTOREGISTER 
{
    DWORD                    dwSize;
    int                      nRegisterSeverCount;                                            // ע
    DEV_AUTOREGISTER_INFO    stuDevRegisterSeverInfo[DH_CONTROL_AUTO_REGISTER_NUM];            // עϢ
    char                     reserved[256];
} DEV_SERVER_AUTOREGISTER, *LPDEV_SERVER_AUTOREGISTER;

// ¼ϴ
typedef struct
{
    DWORD               dwSize;        
    char                szSourFile[MAX_PATH_STOR];    // Դļ·
    int                 nFileSize;                    // ԴļС,Сڵ0,sdkмļС.
    char                szBurnFile[MAX_PATH_STOR];    // ¼ļ
    BYTE                bReserved[64];
} DHDEV_BURNFILE_TRANS_CFG;

// ļϴ
typedef struct
{
    char                 szFile[MAX_PATH_STOR];      // ļ·
    int                  nFileSize;                  // ļС 
    BYTE                 byChannelId;                // ͨ
    BYTE                 byManufactryType;           // ,EM_IPC_TYPE
    BYTE                 byReserved[126];            //       
}DHDEV_UPGRADE_FILE_INFO;

// ڰϴ
typedef struct  
{
    char                 szFile[MAX_PATH_STOR];     // ڰļ·
    int                  nFileSize;                 // ļС
    BYTE                 byFileType;                // ǰļ,0-,1- 
    BYTE                 byAction;                  // ,0-,1-׷
    BYTE                 byReserved[126];           // 
}DHDEV_BLACKWHITE_LIST_INFO;

// ڰ
typedef struct
{
    char                 szFile[MAX_PATH_STOR];     // ڰļ·
    BYTE                 byFileType;                // ǰļ,0-,1-
    BYTE                 byReserved[127];           // 
}DHDEV_LOAD_BLACKWHITE_LIST_INFO;

// ֣ķEC_UƵݵʹ
typedef struct 
{
    BOOL                bEnable;                    // ʹ
    int                 nPort;                      // ˿
    BYTE                bReserved[64];
} DHDEV_OSD_ENABLE_CFG;

// :ʹ
typedef struct    
{
    BOOL                bAutoBootEnable;                //Զʹ
    DWORD               dwAutoBootTime;                 //ÿԶʱ, λ,0.[0,82800]
    BOOL                bAutoShutDownEnable;            //Զػʹ
    DWORD               dwAutoShutDownTime;             //ÿԶػʱ, λ,0.[0,82800]
    DWORD               dwShutDownDelayTime;            //ʱػʱ,λ.
    BYTE                bEventNoDisk;                   //1,(Ignore:); 2,(Reboot:ϵͳ)
    BYTE                bWifiEnable;                    //Ƿֳ֧ģ.
    BYTE                bUpperSpeedEnable;              //Ƿʹóж
    BYTE                bLowerSpeedEnable;              //Ƿʹõж
    DWORD               dwUpperSpeedValue;              //ֵ(1,1000)./Сʱ
    DWORD               dwLowerSpeedValue;              //ֵ(1,1000)./Сʱ
    DWORD               dwUpperSpeedDelayTime;          //óٳֵ
    DWORD               dwLowerSpeedDelayTime;          //õٳֵ
    DWORD               dwAlarmMaskEnable;              //ѯ/õӱϢʹ,0:ر,1:, ÿһλӵ͵߱ʾⲿͨ0-Nʹ
    BOOL                bSpeedOverAlarmRecordEnable;    // ٱ¼ʹ
    BOOL                bSpeedLowAlarmRecordEnable;     // ٱ¼ʹ 
    BYTE                bReserved[480];                 //reserved byte.
} DHDEV_ABOUT_VEHICLE_CFG;

// atm:ѯϢ
typedef struct  
{
    DWORD               dwDataSource;                   //λ, λ0:Net(), λ1:Com(), λ2:Com422(422)
    char                szProtocol[32][33];             //Э,󳤶32(һ).
    BYTE                bReserved[256];
} DHDEV_ATM_OVERLAY_GENERAL;
 
// atm:õ
typedef struct 
{
    DWORD               dwDataSource;                   // 1:Net(), 2:Com(), 3:Com422(422)
    char                szProtocol[33];                 // Э,DHDEV_ATM_OVERLAY_GENERAL
    BYTE                bReserved_1[3];
    DWORD               dwChannelMask;                  // ӵͨ,ʾ
    BYTE                bMode;                          // 1:Preview(Ԥ), 2:Encode(), 3:Preview&Encode(Ԥͱ)
    BYTE                bLocation;                      // 1:LeftTop(), 2:LeftBottom(), 3:RightTop(), 4:RightBottom()
    BYTE                bReserved_3[2];           
    int                 nLatchTime;                     // ʾӳʱ,¼ʱرʱ,0~65535s
    BYTE                bReserved_4[3];
    BYTE                bRecordSrcKeyNum;               // ؼָ  
    int                 nRecordSrcKey[32];              // ƵͨӦԴؼ(ͬͨԶӦͬԴ)  
    BYTE                bReserved_2[120];
} DHDEV_ATM_OVERLAY_CONFIG;


// atm:õ
typedef struct 
{
    DWORD               dwSize;                         // ṹС
    DWORD               dwDataSource;                   // 1:Net(), 2:Com(), 3:Com422(422)
    char                szProtocol[33];                 // Э,
    BYTE                bReserved_1[3];
    DWORD               dwChannelMask[8];               // ӵͨ,ʾ, dwChannelMask[0]ʾ0-31ͨ,ơ
    BYTE                bMode;                          // 1:Preview(Ԥ), 2:Encode(), 3:Preview&Encode(Ԥͱ)
    BYTE                bLocation;                      // 1:LeftTop(), 2:LeftBottom(), 3:RightTop(), 4:RightBottom()
    BYTE                bReserved_3[2];           
    int                 nLatchTime;                     // ʾӳʱ,¼ʱرʱ,0~65535s
    BYTE                bReserved_4[3];
    BYTE                bRecordSrcKeyNum;               // ؼָ  
    int                 nRecordSrcKey[256];             // ƵͨӦԴؼ(ͬͨԶӦͬԴ)  
} DHDEV_ATM_OVERLAY_CONFIG_EX;

// ״á
typedef struct tagNET_RADAR_CARSPEED_INFO
{

    int                 nTriggerLower;                  // ֵ  Χ 1~255km/h
    int                 nTriggerUpper;                  // ֵ  Χ 1~255km/h
    int                 nLimitLower;                    // ֵ  Χ 5~255km/h
    int                 nLimitUpper;                    // ֵ  Χ 5~255km/h
} NET_RADAR_CARSPEED_INFO;

// ״ 
typedef struct tagDEV_DAHUA_RADAR_CONFIG
{
    int							nAngle;                         // Ƕȣ״̽ͷװĽǶɵٶ λȣΧ0~45
    BOOL						bLowSpeed;                      // Ƿõ٣Ϊ TRUE NET_RADAR_CARSPEED_INFO ṹиֵЧ
    BOOL						bSpeedForSize;                  // ǷôС٣Ϊ FALSE ʱСٶãstuSmallCarSpeedЧ
    NET_RADAR_CARSPEED_INFO     stuSmallCarSpeed;               // СٶãbSpeedForSize Ϊ TRUE ʱ nTriggerLower ԱͬʱҲгʹ󳵵Ĵֵ
    NET_RADAR_CARSPEED_INFO     stuMediumCarSpeed;              // гٶãbSpeedForSize Ϊ TRUE ʱЧ nTriggerLower ԱʼЧ
    NET_RADAR_CARSPEED_INFO     stuBigCarSpeed;                 // ٶãbSpeedForSize Ϊ TRUE ʱЧ nTriggerLower ԱʼЧ
    char						szName[256];                    // 豸װַ
    int							nSensitivity;                   //  Χ0~50
    int							nDetectMode;                    // ģʽȡֵ-1  0 ǰ 1 ǰȥ 2  3 ȥ 4 ǰ˫ 5 ˫
	BYTE						bReserved[1024];
} DEV_DAHUA_RADAR_CONFIG;

// ״
typedef struct tagDEV_RADAR_CONFIG
{	
	DWORD							dwSize;
	BOOL							bEnable;                          		// Ƿ
	int								nPort;							  		// ڶ˿ں
	DH_COMM_PROP					stuCommAttr;							// 
	int								nAddress;								// 豸ַϹ˶豸ַͨ
	int								nPreSpeedWait;							// ٶµȴʱ䣬ٶʱδץ Χ (1 -- 5000ms)
	int								nDelaySpeedWait;						// ٶȺµȴʱ䣬ץʱûٶ Χ (1 -- 5000ms)
	BOOL							bDahuaRadarEnable;						// ״Ƿ
	DEV_DAHUA_RADAR_CONFIG			stuDhRadarConfig;						// ״
}DEV_RADAR_CONFIG;


#define DH_MAX_BACKUPDEV_NUM            16
#define DH_MAX_BACKUP_NAME              32

// 豸б
typedef struct 
{
    int                 nBackupDevNum;                                // ʵʵı豸
    char                szBackupDevNames[DH_MAX_BACKUPDEV_NUM][DH_MAX_BACKUP_NAME]; // 豸
} DHDEV_BACKUP_LIST, *LPDHDEV_BACKUP_LIST;

// 豸
typedef enum __BACKUP_TYPE
{
    BT_DHFS = 0,                            // ˽ļϵͳ
    BT_DISK,                                // ƶӲ
    BT_CDRW                                 // ̿¼
} DHDEV_BACKUP_TYPE;    

// 豸ӿ
typedef enum __BACKUP_BUS
{
    BB_USB = 0,                             // usbӿ
    BB_1394,                                // 1394ӿ
    BB_IDE,                                 // ideӿ
    BB_ESATA,                               // esataӿ
} DHDEV_BACKUP_BUS;    

typedef struct 
{
    char                szName[32];                     // 豸 
    BYTE                byType;                         // 豸Ľ öֵBACKUP_TYPE
    BYTE                byBus;                          // 豸Ľӿ öֵBACKUP_BUS
    UINT                nCapability;                    // , kBytesΪλ
    UINT                nRemain;                        // ʣ,kBytesΪλ
    char                szDirectory[128];               // Զ̱ݵĿ¼
} DHDEV_BACKUP_INFO, *LPDHDEV_BACKUP_INFO;

typedef struct 
{
    char                szName[32];                     // 豸 
    UINT                nCapability;                    // , kBytesΪλ
    UINT                nRemain;                        // ǰʣ,kBytesΪλ
} DHDEV_BACKUP_FEEDBACK, *LPDHDEV_BACKUP_FEEDBACK;

#define  DH_MAX_BACKUPRECORD_NUM 1024

typedef struct  
{
    char                szDeviceName[DH_MAX_BACKUP_NAME];            //豸
    int                 nRecordNum;                                  //ݼ¼
    NET_RECORDFILE_INFO stuRecordInfo[DH_MAX_BACKUPRECORD_NUM];      //ݼ¼Ϣ
} BACKUP_RECORD, *LPBACKUP_RECORD;

// ͨƵ
typedef struct
{
    int                 iChannelID;      // ͨ
    DH_RealPlayType     realplayType;    // Ƶ
    char                reserve[32];
}DHDEV_IN_MULTIPLAY_PARAM;

// ͨƵ
typedef struct
{
    int                 iChannelID;      // ͨ
    LLONG               lRealHandle;     // ʵʱӾ
    char                reserve[32];
}DHDEV_OUT_MULTIPLAY_PARAM;


/////////////////////////////////ƽ̨/////////////////////////////////

// ƽ̨  Uͨ
typedef struct
{
    BOOL                bChnEn;
    char                szChnId[DH_INTERVIDEO_UCOM_CHANID];
} DH_INTERVIDEO_UCOM_CHN_CFG;

typedef struct
{
    DWORD               dwSize;
    BOOL                bFuncEnable;                            // 빦ʹ
    BOOL                bAliveEnable;                           // ʹ
    DWORD               dwAlivePeriod;                          // ,λ,0-3600
    char                szServerIp[DH_MAX_IPADDR_LEN];          // CMSIP
    WORD                wServerPort;                            // CMSPort
    char                szRegPwd[DH_INTERVIDEO_UCOM_REGPSW];    // ע
    char                szDeviceId[DH_INTERVIDEO_UCOM_DEVID];   // 豸id
    char                szUserName[DH_INTERVIDEO_UCOM_USERNAME];
    char                szPassWord[DH_INTERVIDEO_UCOM_USERPSW];
    DH_INTERVIDEO_UCOM_CHN_CFG  struChnInfo[DH_MAX_CHANNUM];    // ͨid,en
} DHDEV_INTERVIDEO_UCOM_CFG;

// ƽ̨  
typedef struct
{
    DWORD               dwSize;
    unsigned short      usCompanyID[2];             // ˾ID,ֵ,ͬĵ˾,4ֽڶ,Ŀǰֻһ
    char                szDeviceNO[32];             // ǰ豸к,ַ,'\0'32byte
    char                szVSName[32];               // ǰ豸,ַ,'\0'16byte
    char                szVapPath[32];              // VAP·
    unsigned short      usTcpPort;                  // TCP˿,ֵֵ 1~65535 
    unsigned short      usUdpPort;                  // UDP˿,ֵֵ 1~65535
    bool                bCsEnable[4];               // ķʹܱ־,ֵtrueʹ,falseʹ,4ֽڶ,Ŀǰֻһ
    char                szCsIP[16];                 // ķIPַ,ַ,'\0'16byte
    unsigned short      usCsPort[2];                // ķ˿,ֵֵ 1~65535,4ֽڶ,Ŀǰֻһ
    bool                bHsEnable[4];               // ʹܱ־,ֵtrueʹ,falseʹ,4ֽڶ,Ŀǰֻһ
    char                szHsIP[16];                 // IPַ,ַ,'\0'16byte
    unsigned short      usHsPort[2];                // ˿,ֵֵ 1~65535,4ֽڶ,Ŀǰֻһ
    int                 iHsIntervalTime;            // ,ֵ(λ:)
    bool                bRsEnable[4];               // עʹܱ־,ֵtrueʹ,falseʹ,4ֽڶ,Ŀǰֻһ
    char                szRsIP[16];                 // עIPַ,ַ,'\0'16byte
    unsigned short      usRsPort[2];                // ע˿,ֵֵ 1~65535,4ֽڶ,Ŀǰֻһ
    int                 iRsAgedTime;                // עЧʱ,ֵ(λ:Сʱ)
    char                szAuthorizeServerIp[16];    // ȨIP
    unsigned short      usAuthorizePort[2];         // Ȩ˿,4ֽڶ,Ŀǰֻһ
    char                szAuthorizeUsername[32];    // Ȩʺ
    char                szAuthorizePassword[36];    // Ȩ
    
    char                szIpACS[16];                // ACS(Զע) IP
    unsigned short      usPortACS[2];               // ACS Port,4ֽڶ,Ŀǰֻһ
    char                szUsernameACS[32];          // ACSû
    char                szPasswordACS[36];          // ACS
    bool                bVideoMonitorEnabled[4];    // DVSǷϱǰƵźżϢ,ֵtrueʹ,falseʹ
    int                 iVideoMonitorInterval;      // ϱ()
    
    char                szCoordinateGPS[64];        // GPS
    char                szPosition[32];             // 豸λ
    char                szConnPass[36];             // 豸
} DHDEV_INTERVIDEO_BELL_CFG;

// ƽ̨  ά
typedef struct  
{
    DWORD               dwSize;
    unsigned short      nSevPort;                               // ˿,ֵ,ֵ1~65535
    char                szSevIp[DH_INTERVIDEO_NSS_IP];          // IPַ,ַ,'\0'32byte
    char                szDevSerial[DH_INTERVIDEO_NSS_SERIAL];  // ǰ豸к,ַ,'\0'32byte
    char                szUserName[DH_INTERVIDEO_NSS_USER];
    char                szPwd[DH_INTERVIDEO_NSS_PWD];
} DHDEV_INTERVIDEO_NSS_CFG;

// ƽ̨  
typedef struct  
{
    char               szDevSerial[DH_INTERVIDEO_AMP_DEVICESERIAL];                  //ǰ豸к,к,òֻ
    char               szDevName[DH_INTERVIDEO_AMP_DEVICENAME];                      //ǰ豸,,òֻ
    char               szRegUserName[DH_INTERVIDEO_AMP_USER];                        //עû
    char               szRegPwd[DH_INTERVIDEO_AMP_PWD];                              //ע
    BYTE               bReserved[128];
} DHDEV_INTERVIDEO_AMP_CFG;  
////////////////////////////////HDVRר//////////////////////////////////

// չṹ
typedef struct 
{
    /* Ϣʽ,ͬʱִʽ,
     * 0x00000001 - ϴ
     * 0x00000002 - ¼
     * 0x00000004 - ̨
     * 0x00000008 - ʼ
     * 0x00000010 - Ѳ
     * 0x00000020 - ʾ
     * 0x00000040 - 
     * 0x00000080 - Ftpϴ
     * 0x00000100 - 
     * 0x00000200 - ʾ
     * 0x00000400 - ץͼ
    */

    /* ǰֵ֧Ĵʽ,λʾ */
    DWORD               dwActionMask;

    /* ,λʾ,嶯ҪĲڸԵ */
    DWORD               dwActionFlag;
    
    /* ͨ,,Ϊ1ʾ */ 
    BYTE                byRelAlarmOut[DH_MAX_ALARMOUT_NUM_EX];
    DWORD               dwDuration;                                 /* ʱ */

    /* ¼ */
    BYTE                byRecordChannel[DH_MAX_VIDEO_IN_NUM_EX];    /* ¼ͨ,Ϊ1ʾͨ */
    DWORD               dwRecLatch;                                 /* ¼ʱ */

    /* ץͼͨ */
    BYTE                bySnap[DH_MAX_VIDEO_IN_NUM_EX];
    /* Ѳͨ */
    BYTE                byTour[DH_MAX_VIDEO_IN_NUM_EX];             /* Ѳͨ 0-31·*/

    /* ̨ */
    DH_PTZ_LINK         struPtzLink[DH_MAX_VIDEO_IN_NUM_EX];
    DWORD               dwEventLatch;                               /* ʼʱʱ,sΪλ,Χ0~15,Ĭֵ0 */
    /* ͨ,,Ϊ1ʾ */ 
    BYTE                byRelWIAlarmOut[DH_MAX_ALARMOUT_NUM_EX];
    BYTE                bMessageToNet;
    BYTE                bMMSEn;                                     /*űʹ*/
    BYTE                bySnapshotTimes;                            /*ŷץͼ */
    BYTE                bMatrixEn;                                  /*!< ʹ */
    DWORD               dwMatrix;                                   /*!<  */            
    BYTE                bLog;                                       /*!< ־ʹ,ĿǰֻWTN̬ʹ */
    BYTE                bSnapshotPeriod;                            /*!<ץͼ֡,ÿ֡ץһͼƬ,һʱץĵץͼ֡йء0ʾ֡,ץġ*/
    BYTE                byTour2[DH_MAX_VIDEO_IN_NUM_EX];            /* Ѳͨ 32-63·*/
    BYTE                byEmailType;                                /*<0,ͼƬ,1,¼񸽼>*/
    BYTE                byEmailMaxLength;                           /*<¼ʱ󳤶,λMB>*/
    BYTE                byEmailMaxTime;                             /*<¼ʱʱ䳤,λ>*/
    BYTE                byReserved[475];   
} DH_MSG_HANDLE_EX;

// ⲿչ
typedef struct
{
    BYTE                byAlarmType;                        // ,0,1
    BYTE                byAlarmEn;                          // ʹ
    BYTE                byReserved[2];                        
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT]; //NSP
    DH_MSG_HANDLE_EX    struHandle;                         // ʽ
} DH_ALARMIN_CFG_EX, *LPDHDEV_ALARMIN_CFG_EX; 

// ̬ⱨ
typedef struct 
{
    BYTE                byMotionEn;                         // ̬ⱨʹ
    BYTE                byReserved;
    WORD                wSenseLevel;                        // 
    WORD                wMotionRow;                         // ̬
    WORD                wMotionCol;                         // ̬
    BYTE                byDetected[DH_MOTION_ROW][DH_MOTION_COL]; // ,32*32
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT]; //NSP
    DH_MSG_HANDLE_EX        struHandle;                     //ʽ
} DH_MOTION_DETECT_CFG_EX;


// 𾯱
typedef struct
{
    BOOL                byFireEn;              // 𾯱ʱܣ
    DH_MSG_HANDLE_EX    struHandle;            // ʽ
    BYTE                byReserved[128];
}DHDEV_FIRE_ALARM_CFG;

// ̬ⱨ 
typedef struct 
{
    BYTE                byStaticEn;                         // ̬ⱨʹ
    BYTE                byLatch;                            // ʱ(Χ0-127,ΧnLatch)    
    WORD                wSenseLevel;                        // 
    WORD                wStaticRow;                         // ̬
    WORD                wStaticCol;                         // ̬
    BYTE                byDetected[DH_STATIC_ROW][DH_STATIC_COL]; // ,32*32
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT]; // NSP
    DH_MSG_HANDLE_EX    struHandle;                         // ʽ
    int                 nLatch;                             // ʱ
    BYTE                bReserved[64];                      // ֶ
} DH_STATIC_DETECT_CFG_EX;

// ACC߱¼
typedef struct _DHDEV_ACC_POWEROFF_CFG
{
    BOOL                bEnable;               // ACC߱ʹ
    int                 nDelayTime;            // ACC߱ʱʱ,λ
    DH_MSG_HANDLE_EX    struHandle;            // ʽ
    BYTE                Reserved[128];         // ֶ
}DHDEV_ACC_POWEROFF_CFG;

// б¼
typedef struct _DHDEV_EXPLOSION_PROOF_CFG
{
    BOOL                bEnable;               // бʹ
    DH_MSG_HANDLE_EX    struHandle;            // ʽ
    BYTE                Reserved[128];         // ֶ
}DHDEV_EXPLOSION_PROOF_CFG;

// Raid¼
typedef struct _DHDEV_RAID_EVENT_CFG
{
    BOOL                bEnable;               // Raid¼ʹ
    DH_MSG_HANDLE_EX    struHandle;            // ʽ
    BYTE                Reserved[128];         // ֶ
}DHDEV_RAID_EVENT_CFG;

// Ƶʧ
typedef struct
{
    BYTE                byAlarmEn;                          // Ƶʧʹ
    BYTE                byReserved[3];
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT]; // NSP
    DH_MSG_HANDLE_EX    struHandle;                         // ʽ
} DH_VIDEO_LOST_CFG_EX;

// ͼڵ
typedef struct
{
    BYTE                byBlindEnable;                      // ʹ
    BYTE                byBlindLevel;                       // 1-6
    BYTE                byReserved[2];
    DH_TSECT            stSect[DH_N_WEEKS][DH_N_REC_TSECT]; // NSP
    DH_MSG_HANDLE_EX    struHandle;                         // ʽ
} DH_BLIND_CFG_EX;

// ӲϢ(ڲ)
typedef struct 
{
    BYTE                byNoDiskEn;                         // Ӳʱ
    BYTE                byReserved_1[3];
    DH_TSECT            stNDSect[DH_N_WEEKS][DH_N_REC_TSECT]; //NSP
    DH_MSG_HANDLE_EX    struNDHandle;                       // ʽ
    BYTE                byLowCapEn;                         // Ӳ̵ʱ
    BYTE                byLowerLimit;                       // ֵ,0-99
    BYTE                byReserved_2[2];
    DH_TSECT            stLCSect[DH_N_WEEKS][DH_N_REC_TSECT]; //NSP
    DH_MSG_HANDLE_EX    struLCHandle;                       // ʽ
    BYTE                byDiskErrEn;                        // Ӳ̹ϱ
    BYTE                bDiskNum;
    BYTE                byReserved_3[2];
    DH_TSECT            stEDSect[DH_N_WEEKS][DH_N_REC_TSECT]; //NSP
    DH_MSG_HANDLE_EX    struEDHandle;                       // ʽ
} DH_DISK_ALARM_CFG_EX;

typedef struct
{
    BYTE                byEnable;
    BYTE                byReserved[3];
    DH_MSG_HANDLE_EX    struHandle;
} DH_NETBROKEN_ALARM_CFG_EX;

// ǰ˽òϢ
typedef struct __DEV_ENCODER_CFG 
{
    int                 nChannels;                  // ͨ
    DEV_ENCODER_INFO    stuDevInfo[32];             // ͨǰ˱Ϣ
    BYTE                byHDAbility;                // ָ֧ͨƵ(Ϊ0ʾָ֧)
                                                    // עָ֧,ͨΪ0~N-1,N֮ͨΪ,пܱ治ɹ
    BYTE                bTVAdjust;                  // 豸Ƿ֧TV, 0:֧ 1:֧.
    BYTE                bDecodeTour;                // 豸Ƿֽ֧Ѳ, 0:֧ 0:ʾǰ֧Ѳ豸.
    BYTE                bRemotePTZCtl;              // ָʾǷ֧Զ̨ơ

    char                reserved[12];
} DEV_ENCODER_CFG, *LPDEV_ENCODER_CFG;

// ǰ˽òϢչ
typedef struct __DEV_ENCODER_CFG_EX 
{
    int                 nChannels;                  // ͨ
    DEV_ENCODER_INFO    stuDevInfo[128];            // ͨǰ˱Ϣ
    BYTE                byHDAbility;                // ָ֧ͨƵ(Ϊ0ʾָ֧)
    // עָ֧,ͨΪ0~N-1,N֮ͨΪ,пܱ治ɹ
    BYTE                bTVAdjust;                  // 豸Ƿ֧TV, 0:֧ 1:֧.
    BYTE                bDecodeTour;                // 豸Ƿֽ֧Ѳ, 0:֧ 0:ʾǰ֧Ѳ豸.
    BYTE                bRemotePTZCtl;              // ָʾǷ֧Զ̨ơ
    char                reserved[256];
} DEV_ENCODER_CFG_EX, *LPDEV_ENCODER_CFG_EX;

// ǰ˽òϢչ
typedef struct __DEV_ENCODER_CFG_EX2
{
	int                 nChannels;                  // ʵʻȡ/õͨ
	int					nDevInfoMaxNum;				// ͨ
	DEV_ENCODER_INFO    *pstuDevInfo;				// ͨǰ˱ϢСΪsizeof(DEV_ENCODER_INFO)*nDevInfoMaxNum;
	BYTE                byHDAbility;                // ָ֧ͨƵ(Ϊ0ʾָ֧)
	// עָ֧,ͨΪ0~N-1,N֮ͨΪ,пܱ治ɹ
	BYTE                bTVAdjust;                  // 豸Ƿ֧TV, 0:֧ 1:֧.
	BYTE                bDecodeTour;                // 豸Ƿֽ֧Ѳ, 0:֧ 0:ʾǰ֧Ѳ豸.
	BYTE                bRemotePTZCtl;              // ָʾǷ֧Զ̨ơ
	char                reserved[256];
} DEV_ENCODER_CFG_EX2, *LPDEV_ENCODER_CFG_EX2;

// struct 
typedef struct tagDHCONFIG_CONTROLER{
    DH_COMM_PROP        struComm;                        // 
    BYTE                bLightGroup[DH_MAX_LIGHT_NUM];   // ܿص飨Ŵ1ʼ,[1,3,8,00]ʾΪ1,3,8ĵ
    BYTE                bDeviceAddr;                     // ַ
    BYTE                bComPortType;                    //  0:485, 1:232
    BYTE                bReserved[6];                    // 
} DH_CONFIG_CONTROLER;

// ƹ
typedef struct __DHDEV_LIGHTCONTROL_CFG
{
    DH_CONFIG_CONTROLER    struControlers[DH_MAX_CONTROLER_NUM];  // 
    BYTE                   bControlerNum;                         // ЧĿ
    BYTE                   bReserved[1023];                       // 
} DHDEV_LIGHTCONTROL_CFG, *LPDHDEV_LIGHTCONTROL_CFG;


// 3GϢ
typedef struct
{
    int                 nStrategy;       //ʹò, 0: 1:ʱ
    int                 nUpLimit;        //ʹ, : λMB ʱ: λСʱ
    int                 nreserved[22];   //ֽ
}DHDEV_3GFLOW_INFO_CFG;

// IPv6
typedef struct 
{
    char               szLinkAddr[44];      // ·ַ: ַ, Ϊ44;(ÿ̨ӵΨһ·ַ,ֻ)
    char               szHostIP[40];        // IP
    DWORD              dwPreFix;            // ǰ׺Χ1-128,ɶд
    char               szGateWay[40];       // Ĭ
    BOOL               bAutoGet;            // Զȡʹ
    char               szPrimaryDns[40];    // ѡDNS
    char               szSecondDns[40];     // ѡDNS
    char               cReserved[256];      // ֶ
}DHDEV_IPV6_CFG;

//洢
typedef struct __DEV_URGENCY_RECORD_CFG
{
    DWORD   dwSize;             // ṹС
    BOOL    bEnable;            // Ƿʹ,1ʹ,0ʹ
    UINT    nMaxRecordTime;     // ¼ʱ,λ
	char	szClientMac[64];	// ͻ˱ʶ,ֶmacַʱҪԼȥ':';˴дʹĬΪʶ
								// (ע⣬ֶ÷Ĭıʶ޷ȡ)
}DHDEV_URGENCY_RECORD_CFG;

// в
typedef struct __DEV_ELEVATOR_ATTRI_CFG
{
    DWORD   dwSize;             // ṹС
    UINT    nMAXFloorNum;       //¥ С2
    UINT    nFloorDelayTime;    //ͣжʱ,5-60ִʱ䳤Ϊǵͣ¥㡣
    UINT    nIntervalTime;      //лоһʱ,ʱ,Ϊݹ,ֹ֮ͣ䡣
}DHDEV_ELEVATOR_ATTRI_CFG;

// ͷ״̬ѯ
typedef struct tagDHDEV_VIRTUALCAMERA_STATE_INFO
{
    DWORD              nStructSize;                  // ṹС
    int                nChannelID;                   // ͨ
    CONNECT_STATE      emConnectState;               // ״̬
    UINT               uiPOEPort;                    // ͷӵPOE˿ں,0ʾPOE 
    char               szDeviceName[64];             // 豸
    char               szDeviceType[128];            // 豸
    char               szSystemType[128];            // ϵͳ汾
    char               szSerialNo[DH_SERIALNO_LEN];  // к
    int                nVideoInput;                  // Ƶ
    int                nAudioInput;                  // Ƶ
    int                nAlarmOutput;                 // ⲿ
}DHDEV_VIRTUALCAMERA_STATE_INFO;

// 豸Ƶ/Ȧģʽ״̬Ϣѯ
typedef struct tagDHDEV_TRAFFICWORKSTATE_INFO
{
    DWORD                nStructSize;      // ṹС
    int                  nChannelID;       // ͨ
    DH_TRAFFIC_SNAP_MODE emSnapMode;       // ץģʽ
}DHDEV_TRAFFICWORKSTATE_INFO;

typedef enum tagEM_NET_DEFENCE_AREA_TYPE
{
    EM_NET_DEFENCE_AREA_TYPE_UNKNOW,                    // δ֪
    EM_NET_DEFENCE_AREA_TYPE_INTIME,                    // ʱ 
    EM_NET_DEFENCE_AREA_TYPE_DELAY,                     // ʱ
    EM_NET_DEFENCE_AREA_TYPE_FULLDAY,                   // 24Сʱ
    EM_NET_DEFENCE_AREA_TYPE_Follow,                    // 
    EM_NET_DEFENCE_AREA_TYPE_MEDICAL,                   // ҽƽ
    EM_NET_DEFENCE_AREA_TYPE_PANIC,                     // ֻŷ
    EM_NET_DEFENCE_AREA_TYPE_FIRE,                      // 𾯷
    EM_NET_DEFENCE_AREA_TYPE_FULLDAYSOUND,              // 24Сʱ
    EM_NET_DEFENCE_AREA_TYPE_FULLDATSLIENT,             // 24Сʱ
    EM_NET_DEFENCE_AREA_TYPE_ENTRANCE1,                 // 1
    EM_NET_DEFENCE_AREA_TYPE_ENTRANCE2,                 // 2
    EM_NET_DEFENCE_AREA_TYPE_INSIDE,                    // ڲ
    EM_NET_DEFENCE_AREA_TYPE_OUTSIDE,                   // ⲿ
    EN_NET_DEFENCE_AREA_TYPE_PEOPLEDETECT,              // Ա
} EM_NET_DEFENCE_AREA_TYPE;

// ر¼(DH_ALARM_ALARM_EX)
typedef struct tagALARM_ALARM_INFO_EX2
{
    DWORD                           dwSize;
    int                             nChannelID;             // ͨ
    int                             nAction;                // 0:ʼ 1:ֹͣ
    NET_TIME                        stuTime;                // ¼ʱ
    NET_SENSE_METHOD                emSenseType;            // 
    DH_MSG_HANDLE_EX                stuEventHandler;        // Ϣ
    EM_NET_DEFENCE_AREA_TYPE        emDefenceAreaType;      // 
    UINT 							nEventID;				//¼ID
    char                            szName[DH_COMMON_STRING_32];  // ͨ               
    int                             nCount;                 // ¼
	NET_GPS_STATUS_INFO				stuGPS;					// GPSϢ
	char							szUserID[32];			// رʱ½ûID
	char							szUserName[128];		// رʱ½û
	BYTE                			byReserved[864];       // ֽ 
}ALARM_ALARM_INFO_EX2;

// ¼EVENT_IVS_ALARM_IPC(DVR/NVR豸ϵIPC )ӦݿϢ
typedef struct tagDEV_EVENT_ALARM_IPC_INFO
{
    int                 			nChannelID;             // ͨ
    char                			szName[128];           	// ¼
    char                			bReserved1[4];          // ֽڶ
    double              			PTS;                    // ʱ(λǺ)
    NET_TIME_EX         			UTC;                    // ¼ʱ
    int                 			nEventID;               // ¼ID
    int                             nAction;                // 0:ʼ 1:ֹͣ
	BYTE                			byReserved[1024];       // ֽ 
} DEV_EVENT_ALARM_IPC_INFO;

/////////////////////////////////ܽͨͼƬĽӿڲ/////////////////////////////////
typedef struct RESERVED_DATA_INTEL_BOX
{
    DWORD  dwEventCount;        //¼
    DWORD* dwPtrEventType;      //ָ¼͵ֵռûԼ,СΪsizeof(DWORD)*dwEventCount
    DWORD  dwInternalTime;      // ͼƬϴʱ,λs
    BYTE   bReserved[1020];     //ֽ
}ReservedDataIntelBox;

#define RESERVED_TYPE_FOR_INTEL_BOX 0x00000001
typedef struct RESERVED_PARA
{
    DWORD   dwType;         //pData
                            //[dwType]Ϊ RESERVED_TYPE_FOR_INTEL_BOX ʱ,pData ӦΪṹReservedDataIntelBoxĵַ                    
                            //[dwType]Ϊ RESERVED_TYPE_FOR_COMMON ʱ,[pData]ӦΪṹNET_RESERVED_COMMONĽṹַ
                            //[dwType]Ϊ RESERVED_TYPE_FOR_PATH ʱ,[pData]ӦṹNET_RESERVED_PATHĽṹַ
    void*   pData;          //,ûڴ棬СοӦĽṹ
}ReservedPara;

#define RESERVED_TYPE_FOR_PATH  0x00000100
//ͼƬ·
typedef enum tagNET_PICTURE_PATH_TYPE
{
    NET_PATH_LOCAL_PATH     ,   //Ӳ̻sdɹд·
    NET_PATH_FTP_PATH       ,   //豸ɹдftp·
    NET_PATH_VIDEO_PATH     ,   //ǰҪȡǰΥµĹƵFTPϴ·
}NET_PICTURE_PATH_TYPE;

#define MAX_PIC_PATH_NUM        16
typedef struct tagNET_RESERVED_PATH
{
    int                     nMaxPathNum;                        //ͼƬ·,Ϊ0ʱ豸Ĭ·
    NET_PICTURE_PATH_TYPE   emPictruePaths[MAX_PIC_PATH_NUM];   //ͼƬ·
}NET_RESERVED_PATH;

#define RESERVED_TYPE_FOR_COMMON   0x00000010
//ߴ
typedef struct tagNET_OFFLINE_PARAM
{
	char					szClientID[20];			// ͻmacַðŷָʽ
	BYTE					byReserved[108];		// 
}NET_OFFLINE_PARAM;

typedef struct tagNET_RESERVED_COMMON
{
	DWORD                   dwStructSize;
	ReservedDataIntelBox*   pIntelBox;          // RESERVED_TYPE_FOR_INTEL_BOX
	DWORD                   dwSnapFlagMask;     // ץͼ־(λ),0λ:"*",1λ:"Timing",2λ:"Manual",3λ:"Marked",4λ:"Event",5λ:"Mosaic",6λ:"Cutout"
	NET_OFFLINE_PARAM*		pstuOfflineParam;	// ߴ
	NET_RESERVED_PATH*		pstuPath;			// RESERVED_TYPE_FOR_PATH
}NET_RESERVED_COMMON;

/////////////////////////////////ƽӿڲ/////////////////////////////////
// ṹϢ
typedef struct 
{
    DWORD       dwSize;
    int         nScene;     //
}DHDEV_INTELLI_SCENE_INFO;
// ߽λϢ
typedef struct 
{
    DWORD       dwSize;
    int         nScene;     //
    int         nType;      //0:ϱ߽λ,1:±߽λ,2:߽,3:ұ߽
}DHDEV_INTELLI_SCENELIMIT_INFO;
// ֶĿṹϢ
typedef struct
{
    DWORD       dwSize;
    int         nObjectID;   // ID,-1 ʾwebϿѡ֡ϴλ,>=0ʾѡ֡ϴ
    RECT        stuBound;    // ηΧ,һ[0,8192]
}DHDEV_INTELLI_TRACKOBJECT_INFO;

typedef enum __TRACKCONTROL_TYPE
{
        DH_TRACK_MARKSCENE,        // 궨, ӦDHDEV_INTELLI_SCENE_INFOṹ
        DH_TRACK_GOTOSCENE,        // ת,ӦDHDEV_INTELLI_SCENE_INFOṹ
        DH_TRACK_MARKSCENELIMIT,   // 궨߽λ,ӦDHDEV_INTELLI_SCENELIMIT_INFOṹ
        DH_TRACK_GOTOSCENELIMIT,   // ת߽λ,ӦDHDEV_INTELLI_SCENELIMIT_INFOṹ
        DH_TRACK_MARKSCENEMAXZOOM, // 궨ٱ, ӦDHDEV_INTELLI_SCENE_INFOṹ
        DH_TRACK_OBJECT,           // ѡгеĸĿ,ӦDHDEV_INTELLI_TRACKOBJECT_INFO
        DH_TRACK_START,            // ʼܸ,ָϢ
        DH_TRACK_STOP,             // ֹܸͣ,ָϢ
        DH_TRACK_TYPE_NUM,
}DH_TRACKCONTROL_TYPE;
//
typedef struct tagNET_IN_CONTROL_INTELLITRACKER
{
    DWORD       dwSize;
    int         nChannelID;            // ͨID
    DH_TRACKCONTROL_TYPE emCtrlType;   // 
    void*       pCtrlInfo;             // ͶӦϢṹָ,μDH_TRACKCONTROL_TYPE塣ûڴ
    int         nMaxLen;               // ϢṹС
    int         nWaittime;             // ȴʱʱ
}NET_IN_CONTROL_INTELLITRACKER;
//
typedef struct tagNET_OUT_CONTROL_INTELLITRACKER
{
    DWORD       dwSize;
}NET_OUT_CONTROL_INTELLITRACKER;

/////////////////////////////////Ƶӿڲ/////////////////////////////////
#define MAX_TEMPLATEIMAGE_NUM               32                      //ЧͼƬ

//ȡƵ
typedef struct tagNET_IN_VIDEOANALYSE_GETTEMPLATEIMAGE
{
    DWORD               dwSize;
    int                 nChannelID;                                 // ͨID
    char                szRule[DH_COMMON_STRING_128];               // ģͼƬӦĹ
}NET_IN_VIDEOANALYSE_GETTEMPLATEIMAGE;

//ȡƵ
typedef struct tagNET_OUT_VIDEOANALYSE_GETTEMPLATEIMAGE
{
    DWORD               dwSize;
    unsigned int        nImageNum;                                  // ЧͼƬ
    DH_PIC_INFO_EX2     stuImage[MAX_TEMPLATEIMAGE_NUM];            // ͼƬϢ
    char*               pBuffer;                                    // ͼƬָ, ûԼ
    int                 nBufLen;                                    // ͼƬС, ûԼд
    int                 nRetLen;                                    // ȡͼƬܳ, ûд, Ըݴ˲жϷĻСǷ㹻
}NET_OUT_VIDEOANALYSE_GETTEMPLATEIMAGE;

//Ƶ
typedef struct tagNET_IN_VIDEOANALYSE_SETTEMPLATEIMAGE
{
    DWORD               dwSize;
    int                 nChannelID;                                 // ͨID
    char                szRule[DH_COMMON_STRING_128];               // ģͼƬӦĹ
    unsigned int        nImageNum;                                  // ЧͼƬ
    DH_PIC_INFO_EX2     stuImage[MAX_TEMPLATEIMAGE_NUM];            // ͼƬϢ
    char*               pBuffer;                                    // ͼƬָ,ûڴ棬СΪnBufLen
    int                 nBufLen;                                    // ͼƬС
}NET_IN_VIDEOANALYSE_SETTEMPLATEIMAGE;

//Ƶ
typedef struct tagNET_OUT_VIDEOANALYSE_SETTEMPLATEIMAGE
{
    DWORD       dwSize;
}NET_OUT_VIDEOANALYSE_SETTEMPLATEIMAGE;

/////////////////////////////////̭/////////////////////////////////

// ѯ豸״̬ͨϢ,ؽӿ̭,벻Ҫʹ
typedef struct
{
    BYTE                byRecordStatic;             // ͨǷ¼0¼,1ֶ¼,2Զ¼
    BYTE                bySignalStatic;             // ӵź״̬0,1źŶʧ
    BYTE                byHardwareStatic;           // ͨӲ״̬0,1쳣,DSP
    char                reserve;
    DWORD               dwBitRate;                  // ʵ
    DWORD               dwLinkNum;                  // ͻӵĸ
    DWORD               dwClientIP[DH_MAX_LINK];    // ͻ˵IPַ
} NET_DEV_CHANNELSTATE, *LPNET_DEV_CHANNELSTATE;

// ѯ豸״̬,ؽӿ̭,벻Ҫʹ
typedef struct
{
    DWORD                dwDeviceStatic;                    // 豸״̬0x00,0x01CPUռù,0x02Ӳ
    NET_DEV_DISKSTATE    stHardDiskStatic[DH_MAX_DISKNUM]; 
    NET_DEV_CHANNELSTATE stChanStatic[DH_MAX_CHANNUM];      //ͨ״̬
    BYTE                 byAlarmInStatic[DH_MAX_ALARMIN];   //˿ڵ״̬0ûб,1б
    BYTE                 byAlarmOutStatic[DH_MAX_ALARMOUT]; //˿ڵ״̬0û,1б
    DWORD                dwLocalDisplay;                    // ʾ״̬0,1
} NET_DEV_WORKSTATE, *LPNET_DEV_WORKSTATE;

// ЭϢ
typedef struct 
{
    char                 protocolname[12];        // Э
    unsigned int         baudbase;                // 
    unsigned char        databits;                // λ
    unsigned char        stopbits;                // ֹͣλ
    unsigned char        parity;                  // Уλ
    unsigned char        reserve;
} PROTOCOL_INFO, *LPPROTOCOL_INFO;

// Խ
typedef struct 
{
    // Ƶ
    BYTE                byInFormatTag;            // ,PCM
    BYTE                byInChannels;             // 
    WORD                wInBitsPerSample;         //                     
    DWORD               dwInSamplesPerSec;        // 

    // Ƶ
    BYTE                byOutFormatTag;           // ,PCM
    BYTE                byOutChannels;            // 
    WORD                wOutBitsPerSample;        //                 
    DWORD               dwOutSamplesPerSec;       // 
} DHDEV_TALK_CFG, *LPDHDEV_TALK_CFG;


///////////////////////////////////  ///////////////////////////////////////

#define DH_MATRIX_INTERFACE_LEN         16          // źŽӿƳ
#define DH_MATRIX_MAX_CARDS             128         // ӿ
#define DH_SPLIT_PIP_BASE               1000        // ָģʽлĻֵ
#define DH_MAX_SPLIT_MODE_NUM           64          // ָģʽ
#define DH_MATRIX_MAX_CHANNEL_IN        1500        // ͨ
#define DH_MATRIX_MAX_CHANNEL_OUT       256         // ͨ
#define DH_DEVICE_NAME_LEN              64          // 豸Ƴ
#define DH_MAX_CPU_NUM                  16          // CPU
#define DH_MAX_FAN_NUM                  16          // 
#define DH_MAX_POWER_NUM                16          // Դ
#define DH_MAX_BATTERY_NUM              16          // 
#define DH_MAX_TEMPERATURE_NUM          256         // ¶ȴ
#define DH_MAX_ISCSI_NAME_LEN           128         // ISCSIƳ
#define DH_VERSION_LEN                  64          // 汾Ϣ
#define DH_MAX_STORAGE_PARTITION_NUM    32          // 洢
#define DH_STORAGE_MOUNT_LEN            64          // ص㳤
#define DH_STORAGE_FILE_SYSTEM_LEN      16          // ļϵͳƳ
#define DH_MAX_MEMBER_PER_RAID          32          // RAIDԱ
#define DH_DEV_ID_LEN_EX                128         // 豸ID󳤶
#define DH_MAX_BLOCK_NUM                32          // 
#define DH_MAX_SPLIT_WINDOW             128         // ָ
#define DH_FILE_TYPE_LEN                64          // ļͳ
#define DH_DEV_ID_LEN                   128         // 豸ID󳤶
#define DH_DEV_NAME_LEN                 128         // 豸󳤶
#define DH_TSCHE_DAY_NUM                8           // ʱһάС, ʾ
#define DH_TSCHE_SEC_NUM                6           // ʱڶάС, ʾʱ
#define DH_SPLIT_INPUT_NUM              256         // ˾豸лʱһsplitֵ֧ͨ

#define DH_DEVICE_ID_LOCAL              "Local"     // 豸ID
#define DH_DEVICE_ID_REMOTE             "Remote"    // Զ豸ID
#define DH_DEVICE_ID_UNIQUE             "Unique"    // 豸ͳһ

// ָģʽ
typedef enum tagDH_SPLIT_MODE
{
    DH_SPLIT_1 = 1,                                 // 1
    DH_SPLIT_2 = 2,                                 // 2
    DH_SPLIT_4 = 4,                                 // 4
    DH_SPLIT_6 = 6,                                 // 6
    DH_SPLIT_8 = 8,                                 // 8
    DH_SPLIT_9 = 9,                                 // 9
    DH_SPLIT_12 = 12,                               // 12
    DH_SPLIT_16 = 16,                               // 16
    DH_SPLIT_20 = 20,                               // 20
    DH_SPLIT_25 = 25,                               // 25
    DH_SPLIT_36 = 36,                               // 36
    DH_SPLIT_64 = 64,                               // 64
    DH_SPLIT_144 = 144,                             // 144
    DH_PIP_1 = DH_SPLIT_PIP_BASE + 1,               // лģʽ, 1ȫ+1С洰
    DH_PIP_3 = DH_SPLIT_PIP_BASE + 3,               // лģʽ, 1ȫ+3С洰
    DH_SPLIT_FREE = DH_SPLIT_PIP_BASE * 2,          // ɿģʽ,ɴرմ,ôλúZ
    DH_COMPOSITE_SPLIT_1 = DH_SPLIT_PIP_BASE * 3 + 1,    // ںԱ1ָ
    DH_COMPOSITE_SPLIT_4 = DH_SPLIT_PIP_BASE * 3 + 4,    // ںԱ4ָ
	DH_SPLIT_3  = 10,                                // 3
	DH_SPLIT_3B = 11,								 // 3浹Ʒ 
} DH_SPLIT_MODE;

#define DH_PROTOCOL_DAHUA2 DH_PROTOCOL_PRIVATE2
#define DH_PROTOCOL_DAHUA3 DH_PROTOCOL_PRIVATE3

// 豸Э
typedef enum tagDH_DEVICE_PROTOCOL
{
    DH_PROTOCOL_PRIVATE2,                   // ˽2Э
    DH_PROTOCOL_PRIVATE3,                   // ˽3Э
    DH_PROTOCOL_ONVIF,                      // Onvif    
    DH_PROTOCOL_VNC,                        // 
    DH_PROTOCOL_TS,                         // ׼TS
    DH_PROTOCOL_ECLOUD,                     // 
    
    DH_PROTOCOL_PRIVATE = 100,              // ˽Э        
    DH_PROTOCOL_AEBELL,                     // 籴        
    DH_PROTOCOL_PANASONIC,                  //         
    DH_PROTOCOL_SONY,                       //         
    DH_PROTOCOL_DYNACOLOR,                  // Dynacolor        
    DH_PROTOCOL_TCWS,                       //         
    DH_PROTOCOL_SAMSUNG,                    //         
    DH_PROTOCOL_YOKO,                       // YOKO        
    DH_PROTOCOL_AXIS,                       // Ѷ        
    DH_PROTOCOL_SANYO,                      //                
    DH_PROTOCOL_BOSH,                       // Bosch        
    DH_PROTOCOL_PECLO,                      // Peclo        
    DH_PROTOCOL_PROVIDEO,                   // Provideo        
    DH_PROTOCOL_ACTI,                       // ACTi        
    DH_PROTOCOL_VIVOTEK,                    // Vivotek        
    DH_PROTOCOL_ARECONT,                    // Arecont        
    DH_PROTOCOL_PRIVATEEH,                  // PrivateEH            
    DH_PROTOCOL_IMATEK,                     // IMatek        
    DH_PROTOCOL_SHANY,                      // Shany        
    DH_PROTOCOL_VIDEOTREC,                  // ӯ        
    DH_PROTOCOL_URA,                        // Ura        
    DH_PROTOCOL_BITICINO,                   // Bticino         
    DH_PROTOCOL_ONVIF2,                     // OnvifЭ, ͬDH_PROTOCOL_ONVIF    
    DH_PROTOCOL_SHEPHERD,                   // Ӱ        
    DH_PROTOCOL_YAAN,                       // ǰ        
    DH_PROTOCOL_AIRPOINT,                   // Airpop        
    DH_PROTOCOL_TYCO,                       // TYCO        
    DH_PROTOCOL_XUNMEI,                     // Ѷ        
    DH_PROTOCOL_HIKVISION,                  //         
    DH_PROTOCOL_LG,                         // LG        
    DH_PROTOCOL_AOQIMAN,                    //         
    DH_PROTOCOL_BAOKANG,                    //             
    DH_PROTOCOL_WATCHNET,                   // Watchnet        
    DH_PROTOCOL_XVISION,                    // Xvision        
    DH_PROTOCOL_FUSITSU,                    // ʿͨ        
    DH_PROTOCOL_CANON,                      // Canon        
    DH_PROTOCOL_GE,                         // GE        
    DH_PROTOCOL_Basler,                     // ˹        
    DH_PROTOCOL_Patro,                      //         
    DH_PROTOCOL_CPKNC,                      // CPPLUS Kϵ        
    DH_PROTOCOL_CPRNC,                      // CPPLUS Rϵ        
    DH_PROTOCOL_CPUNC,                      // CPPLUS Uϵ        
    DH_PROTOCOL_CPPLUS,                     // CPPLUS IPC    
    DH_PROTOCOL_XunmeiS,                    // Ѷs,ʵЭΪOnvif        
    DH_PROTOCOL_GDDW,                       // 㶫        
    DH_PROTOCOL_PSIA,                       // PSIA        
    DH_PROTOCOL_GB2818,                     // GB2818            
    DH_PROTOCOL_GDYX,                       // GDYX        
    DH_PROTOCOL_OTHER,                      // ûԶ   
} DH_DEVICE_PROTOCOL;

// һĻķָģʽϢ
typedef struct tagDH_SPLIT_MODE_INFO
{
    DWORD               dwSize;
    DH_SPLIT_MODE       emSplitMode;            // ָģʽ
    int                 nGroupID;               // 
    DWORD               dwDisplayType;          // ʾͣDH_SPLIT_DISPLAY_TYPEע͸ģʽʾ"PicInPic", ģʽʾݰNVDйDisChnֶξ,ûһʱ,ĬΪͨʾ,"General"
} DH_SPLIT_MODE_INFO;

// ָ
typedef struct tagDH_SPLIT_CAPS 
{
    DWORD               dwSize;
    int                 nModeCount;                             // ֵ֧ķָģʽ
    DH_SPLIT_MODE       emSplitMode[DH_MAX_SPLIT_MODE_NUM];     // ֵ֧ķָģʽ
    int                 nMaxSourceCount;                        // ʾԴ
    int                 nFreeWindowCount;                       // ֵ֧ɿĿ
    BOOL                bCollectionSupported;                   // Ƿ֧ղ
    DWORD               dwDisplayType;                          // ʾʾ,DH_SPLIT_DISPLAY_TYPEע͸ģʽʾ"PicInPic", ģʽʾݰNVDйDisChnֶξ,ûһʱ,ĬΪͨʾ,"General"
    int                 nPIPModeCount;                          // лֵ֧ķָģʽ
    DH_SPLIT_MODE       emPIPSplitMode[DH_MAX_SPLIT_MODE_NUM];  // лֵ֧ķָģʽ
    int                 nInputChannels[DH_SPLIT_INPUT_NUM];     // ֵ֧ͨ
    int                 nInputChannelCount;                     // ֵ֧ͨ, 0ʾûͨ
    int                 nBootModeCount;                         // ָģʽ
    DH_SPLIT_MODE       emBootMode[DH_MAX_SPLIT_MODE_NUM];      // ֵ֧Ĭϻָģʽ
} DH_SPLIT_CAPS;

// Ȩ֤Ϣ
typedef struct tagDH_CASCADE_AUTHENTICATOR
{
    DWORD               dwSize;
    char                szUser[DH_NEW_USER_NAME_LENGTH];        // û
    char                szPwd[DH_NEW_USER_PSW_LENGTH];          // 
    char                szSerialNo[DH_SERIALNO_LEN];            // 豸к
} DH_CASCADE_AUTHENTICATOR;

typedef enum tagEM_SRC_PUSHSTREAM_TYPE
{   
    EM_SRC_PUSHSTREAM_AUTO,        // 豸˸ͷԶʶĬֵ
    EM_SRC_PUSHSTREAM_HIKVISION,   // ˽
    EM_SRC_PUSHSTREAM_PS,          // PS
    EM_SRC_PUSHSTREAM_TS,          // TS
    EM_SRC_PUSHSTREAM_SVAC,        // SVAC
}EM_SRC_PUSHSTREAM_TYPE;


// ܵȼ
typedef enum tagEM_ENCRYPT_LEVEL
{
    EM_ENCRYPT_LEVEL_UNKNOWN,		    // δ֪
    EM_ENCRYPT_LEVEL_NONE,		        // 
    EM_ENCRYPT_LEVEL_IFRAME256,		    // I֡ǰ256ֽ
    EM_ENCRYPT_LEVEL_IFRAME_WHOLE,		// I֡
    EM_ENCRYPT_LEVEL_IAXFRAME,		    // I֡, Ƶ֡֡м
}EM_ENCRYPT_LEVEL;

// ܷʽ
typedef enum tagEM_ENCRYPT_ALGORITHM_TYPE
{
    EM_ENCRYPT_ALGORITHM_UNKNOWN,		    // δ֪
    EM_ENCRYPT_ALGORITHM_AES,		        // AES
    EM_ENCRYPT_ALGORITHM_DES,		        // DES
    EM_ENCRYPT_ALGORITHM_3DES,		        // 3DES
}EM_ENCRYPT_ALGORITHM_TYPE;

// Կʽ
typedef enum tagEM_KEY_EXCHANGE_TYPE
{
    EM_KEY_EXCHANGE_UNKNOWN,            // δ֪
    EM_KEY_EXCHANGE_MIKEY,              // MikeyԿ
    EM_KEY_EXCHANGE_PSK,                // ԤԿ
    EM_KEY_EXCHANGE_PK,                 // Կ
    EM_KEY_EXCHANGE_DH,                 // Կ
}EM_KEY_EXCHANGE_TYPE;

// ʾԴܷʽ
typedef struct tagNET_SOURCE_STREAM_ENCRYPT
{
    EM_ENCRYPT_LEVEL            emEncryptLevel;         // ܵȼ
    EM_ENCRYPT_ALGORITHM_TYPE   emAlgorithm;            // 㷨
    EM_KEY_EXCHANGE_TYPE        emExchange;             // Կʽ
    BOOL                        bUnvarnished;           // MTSʹó,trueΪMIKEYݲм/
    char                        szPSK[1032];            // Կ
    BYTE                        byReserved[1024];       // ֽ
}NET_SOURCE_STREAM_ENCRYPT;

// ʾԴ
typedef struct tagDH_SPLIT_SOURCE
{
    DWORD               dwSize;
    BOOL                bEnable;                                // ʹ
    char                szIp[DH_MAX_IPADDR_LEN];                // IP, ձʾû
    char                szUser[DH_USER_NAME_LENGTH];            // û, ʹszUserEx
    char                szPwd[DH_USER_PSW_LENGTH];              // , ʹszPwdEx
    int                 nPort;                                  // ˿
    int                 nChannelID;                             // ͨ
    int                 nStreamType;                            // Ƶ, -1-Զ, 0-, 1-1, 2-2, 3-3, 4-snap, 5-Ԥ
    int                 nDefinition;                            // , 0-, 1-
    DH_DEVICE_PROTOCOL  emProtocol;                             // Э
    char                szDevName[DH_DEVICE_NAME_LEN];          // 豸
    int                 nVideoChannel;                          // Ƶͨ
    int                 nAudioChannel;                          // Ƶͨ
    //--------------------------------------------------------------------------------------
    // ֻԽЧ
    BOOL                bDecoder;                               // Ƿǽ
    BYTE                byConnType;                             // -1: auto, 0TCP1UDP2鲥
    BYTE                byWorkMode;                             // 0ֱ1ת
    WORD                wListenPort;                            // ָʾĶ˿,תʱЧ; byConnTypeΪ鲥ʱ,Ϊಥ˿
    char                szDevIpEx[DH_MAX_IPADDR_OR_DOMAIN_LEN]; // szDevIpչ,ǰDVRIPַ()
    BYTE                bySnapMode;                             // ץͼģʽ(nStreamType==4ʱЧ) 0ʾһ֡,1ʾʱ
    BYTE                byManuFactory;                          // Ŀ豸, οEM_IPC_TYPE
    BYTE                byDeviceType;                           // Ŀ豸豸, 0:IPC
    BYTE                byDecodePolicy;                         // Ŀ豸Ľ, 0:ǰ
                                                                // 1:ʵʱȼ 2:ʵʱȼ
                                                                // 3:ʵʱȼ 4:Ĭϵȼ
                                                                // 5:ȼ 6:ȼ
                                                                // 7:ȼ
    //--------------------------------------------------------------------------------------
    DWORD               dwHttpPort;                             // Http˿ں, 0-65535
    DWORD               dwRtspPort;                             // Rtsp˿ں, 0-65535
    char                szChnName[DH_DEVICE_NAME_LEN];          // Զͨ, ֻжȡƲΪʱſ޸ĸͨ
    char                szMcastIP[DH_MAX_IPADDR_LEN];           // ಥIPַ, byConnTypeΪ鲥ʱЧ
    char                szDeviceID[DH_DEV_ID_LEN_EX];           // 豸ID, ""-null, "Local"-ͨ, "Remote"-Զͨ, RemoteDeviceе豸ID
    BOOL                bRemoteChannel;                         // ǷԶͨ(ֻ)
    unsigned int        nRemoteChannelID;                       // ԶͨID(ֻ), bRemoteChannel=TRUEʱЧ
    char                szDevClass[DH_DEV_TYPE_LEN];            // 豸, IPC, DVR, NVR
    char                szDevType[DH_DEV_TYPE_LEN];             // 豸ͺ, IPC-HF3300
    char                szMainStreamUrl[MAX_PATH];              // urlַ, byManuFactoryΪDH_IPC_OTHERʱЧ
    char                szExtraStreamUrl[MAX_PATH];             // urlַ, byManuFactoryΪDH_IPC_OTHERʱЧ
    int                 nUniqueChannel;                         // 豸ͳһŵΨһͨ, ֻ
    DH_CASCADE_AUTHENTICATOR stuCascadeAuth;                    // ֤Ϣ, 豸IDΪ"Local/Cascade/SerialNo"ʱЧ, SerialNo豸к
    int                 nHint;                                  // 0-ͨƵԴ, 1-ƵԴ
    int                 nOptionalMainUrlCount;                  // ַ
    char                szOptionalMainUrls[DH_MAX_OPTIONAL_URL_NUM][MAX_PATH];  // ַб
    int                 nOptionalExtraUrlCount;                 // øַ
    char                szOptionalExtraUrls[DH_MAX_OPTIONAL_URL_NUM][MAX_PATH]; // øַб
    //--------------------------------------------------------------------------------------
    //Эֶ
    int                 nInterval;                              // Ѳʱ   λ
    char                szUserEx[DH_NEW_USER_NAME_LENGTH];      // û
    char                szPwdEx[DH_NEW_USER_PSW_LENGTH];        // 
    EM_SRC_PUSHSTREAM_TYPE  emPushStream;                       // ʽ,ֻbyConnTypeΪTCP-PushUDP-Pushиֶ
	NET_RECT			stuSRect;					            // ƵԴ,szDeviceIDΪʱЧ,Ϊ(0,0,0,0)ʾЧ豸ʹĬֵ(0,0,8192,8192)
    NET_SOURCE_STREAM_ENCRYPT stuSourceStreamEncrypt;           // ܷʽ
    char                szSerialNo[DH_SERIALNO_LEN];            // 豸к,豸ЭΪ룬ֶα
} DH_SPLIT_SOURCE;


// Ƶ
typedef struct tagDH_VIDEO_OUT_CAPS 
{
    DWORD               dwSize;
    BOOL                bColor;                                 // Ƿ֧ɫ
    BOOL                bMargin;                                // Ƿֱ֧߽
    int                 nLayers;                                // ֧ͬʱʾͼ
    BOOL                bPowerMode;                             // Ƿֵ֧Դ
    int                 bSplitMode;                             // ֵ֧Ļָģʽ, 0-, 1-'#'ģʽ(), 2-ģʽ
    unsigned int        nBackground;                            // ֵ֧ıʽ, λʾ, 0-ɫ, 1-ͼƬ
    BOOL                bBindOutput;                            // Ƿֱ֧ʰ
    BOOL                bAudioSupport;                          // Ƿ֧Ƶ
    DWORD               dwAudioMode;                            // ֵ֧Ƶģʽ, λʾ, bit0-, bit1-ӿ
} DH_VIDEO_OUT_CAPS;

// ɫBCSH
typedef struct tagDH_COLOR_BCSH 
{
    int                 nBirghtness;                // 
    int                 nContrast;                  // Աȶ
    int                 nSaturation;                // Ͷ
    int                 nHue;                       // ɫ
} DH_COLOR_BCSH;

// ߴ
typedef struct tagDH_SIZE 
{
    int                 nWidth;                     // 
    int                 nHeight;                    // ߶
} DH_SIZE;

// Ȱβģʽ
typedef struct tagDH_HOT_PLUG_MODE
{
    DWORD               dwSize;
    int                 nMode;                      // Ȱβģʽ, 0-Ȳģʽ, 1-ǿģʽ
} DH_HOT_PLUG_MODE;

// Ƶѡ
typedef struct tagDH_VIDEO_OUT_OPT
{
    DWORD               dwSize;
    DH_RECT*            pstuMargin;                 // ߽緶Χ
    DH_COLOR_BCSH*      pstuColor;                  // ɫ
    DH_COLOR_RGBA*      pstuBackground;             // ɫ
    DH_SIZE*            pstuSize;                   // ߴ
    DH_HOT_PLUG_MODE*   pstuHotPlugMode;            // Ȱβģʽ
} DH_VIDEO_OUT_OPT;

#define NET_VIDEOANALYSE_SCENES (32)
#define NET_VIDEOANALYSE_RULES (64)

// ܷ
typedef struct tagNET_PD_VIDEOANALYSE
{
    BOOL                bSupport;                   // Ƿ֧ܷ
    char                szSupportScenes[NET_VIDEOANALYSE_SCENES][DH_COMMON_STRING_64];   // ֵ֧ĳ
    char                SupportRules[NET_VIDEOANALYSE_RULES][DH_COMMON_STRING_64];       // ֵ֧Ĺ
} NET_PD_VIDEOANALYSE;

// 豸֧
typedef enum tagEM_AUDIO_CHANNEL_TYPE
{
	EM_AUDIO_CHANNEL_SINGLE,		// 
	EM_AUDIO_CHANNEL_DOUBLE,		// ˫
}EM_AUDIO_CHANNEL_TYPE;

// WIFIɨ輰ֵ֧İ汾
typedef enum tagEM_WLAN_SCAN_AND_CONFIG_TYPE
{
    EM_WLAN_SCAN_AND_CONFIG_UNKNOWN,    // δ֪
    EM_WLAN_SCAN_AND_CONFIG_V2,         // V2:Э
    EM_WLAN_SCAN_AND_CONFIG_V3,         // v3:Э
}EM_WLAN_SCAN_AND_CONFIG_TYPE;

// Ʒ
typedef struct tagDH_PRODUCTION_DEFNITION
{
    DWORD               dwSize;
    int                 nVideoInChannel;                        // Ƶͨ
    int                 nVideoOutChannel;                       // Ƶͨ
    int                 nRemoteDecChannel;                      // Զ̽ͨ
    char                szDevType[DH_DEV_TYPE_LEN];             // 豸
    char                szVendor[DH_MAX_NAME_LEN];              // OEMͻ
    int                 nOEMVersion;                            // OEM汾
    int                 nMajorVerion;                           // 汾
    int                 nMinorVersion;                          // ΰ汾
    int                 nRevision;                              // ޶汾
    char                szWebVerion[DH_MAX_NAME_LEN];           // Web汾
    char                szDefLanguage[DH_MAX_NAME_LEN];         // Ĭ
    NET_TIME            stuBuildDateTime;                       // ʱ, ȷ
    int                 nAudioInChannel;                        // Ƶͨ
    int                 nAudioOutChannel;                       // Ƶͨ
    BOOL                bGeneralRecord;                         // Ƿֶ֧ʱ洢
    BOOL                bLocalStore;                            // Ƿֱ֧ش洢
    BOOL                bRemoteStore;                           // Ƿ֧洢
    BOOL                bLocalurgentStore;                      // Ƿֽ֧洢
    BOOL                bRealtimeCompress;                      // Ƿ֧ʵʱѹ洢
    DWORD               dwVideoStandards;                       // ֵ֧Ƶʽб, bit0-PAL, bit1-NTSC
    int                 nDefVideoStandard;                      // ĬƵʽ, 0-PAL, 1-NTSC
    int                 nMaxExtraStream;                        // ·
    int                 nRemoteRecordChannel;                   // Զ¼ͨ
    int                 nRemoteSnapChannel;                     // Զץͼͨ
    int                 nRemoteVideoAnalyseChannel;             // ԶƵͨ
    int                 nRemoteTransmitChannel;                 // Զʵʱתͨ
    int                 nRemoteTransmitFileChannel;             // Զļͨͨ
    int                 nStreamTransmitChannel;                 // 紫ͨ
    int                 nStreamReadChannel;                     // ļͨ
    int                 nMaxStreamSendBitrate;                  // 緢, kbps
    int                 nMaxStreamRecvBitrate;                  // ӿ, kbps
    BOOL                bCompressOldFile;                       // Ƿѹļ, ȥP֡, I֡
    BOOL                bRaid;                                  // Ƿ֧RAID
    int                 nMaxPreRecordTime;                      // Ԥ¼ʱ, s
    BOOL                bPtzAlarm;                              // Ƿ̨֧
    BOOL                bPtz;                                   // Ƿ̨֧
    BOOL                bATM;                                   // ǷʾATMع
    BOOL                b3G;                                    // Ƿ֧3Gģ
    BOOL                bNumericKey;                            // Ƿּ
    BOOL                bShiftKey;                              // ǷShift
    BOOL                bCorrectKeyMap;                         // ĸӳǷȷ
    BOOL                bNewATM;                                // µĶATMǰ
    BOOL                bDecoder;                               // Ƿǽ
    DEV_DECODER_INFO    stuDecoderInfo;                         // Ϣ, bDecoder=trueʱЧ
    int                 nVideoOutputCompositeChannels;          // ںͨ
    BOOL                bSupportedWPS;                          // Ƿ֧WPS
    int                 nVGAVideoOutputChannels;                // VGAƵͨ
    int                 nTVVideoOutputChannels;                 // TVƵͨ
    int                 nMaxRemoteInputChannels;                // Զͨ
    int                 nMaxMatrixInputChannels;                // ͨ
    int                 nMaxRoadWays;                           // ܽͨ󳵵 1~6
    int                 nMaxParkingSpaceScreen;                 // Խֵ֧ 0~20

    int                 nPtzHorizontalAngleMin;                 // ̨ˮƽСǶ, [0-360]
    int                 nPtzHorizontalAngleMax;                 // ̨ˮƽǶ, [0-360]
    int                 nPtzVerticalAngleMin;                   // ֱ̨СǶ, [-90,90]
    int                 nPtzVerticalAngleMax;                   // ֱ̨Ƕ, [-90,90]
    BOOL                bPtzFunctionMenu;                       // Ƿ̨֧ܲ˵
    BOOL                bLightingControl;                       // Ƿֵ֧ƹ
    DWORD               dwLightingControlMode;                  // ֶƹģʽ, λ, NET_LIGHTING_CTRL_ON_OFF
    int                 nNearLightNumber;                       // , 0ʾ֧
    int                 nFarLightNumber;                        // Զ, 0ʾ֧
    BOOL                bFocus;                                 // Ƿֿ֧ƾ۽
    BOOL                bIris;                                  // Ƿֿ֧ƹȦ
    char                szPtzProtocolList[DH_COMMON_STRING_1024];// ֵ̨֧Эб, Ƕ, ÿ';'ָ
    BOOL                bRainBrushControl;                      // Ƿ֧ˢ
    int                 nBrushNumber;                           // ˢ, Ϊ0ʱʾ֧
    int                 nLowerMatrixInputChannels[DH_MAX_LOWER_MITRIX_NUM]; // λƵͨ, ±Ӧ
    int                 nLowerMatrixOutputChannels[DH_MAX_LOWER_MITRIX_NUM];// λƵͨ, ±Ӧ
    BOOL                bSupportVideoAnalyse;                   // Ƿ֧ܷ
    BOOL                bSupportIntelliTracker;                 // Ƿ֧ܸ

    DWORD               nSupportBreaking;                       //豸ֵ֧Υ(λȡ)
                                                                //0- 1-ѹ 2- 3-Ƿ 4- 5-гռ 6-ռ 7-Υʻתתͷ
                                                                //8-Υ½ 9-Υͣ 10-ͨӵ 11-ʻ 12-Υ± 13-ѹ 14-·ʻ
                                                                //15-ֶץ 16-Υ 17- 18- 19-С 20-Υռ 21-Υµ
                                                                //22-ѹֹͣ 23-Ƶ 24-ͣ 25-λг 26-λ޳ 27-λгѹ 28-޳
                                                                //29- 30-ϵȫ 31-ʻԱ
    DWORD               nSupportBreaking1;                      //0-ʻԱ绰 1-˴ 2-ӵ½ 3-δ涨νͨ
    NET_PD_VIDEOANALYSE stuVideoAnalyse;                        //ܷ
    BOOL                bTalkTransfer;                          //Ƿ֧תԽ
	BOOL				bCameraAttribute;						// Ƿ֧ͷҳ
	BOOL				bPTZFunctionViaApp;						// Ƿ֧Ӧص̨߼
	BOOL				bAudioProperties;						// Ƿ֧
	BOOL				bIsCameraIDOsd;							// Ƿ֧ŵ
	BOOL				bIsPlaceOsd;							// Ƿֵ֧صϢ

	unsigned int		nMaxGeographyTitleLine;					// λõ֧
	EM_AUDIO_CHANNEL_TYPE emAudioChannel;					    // 豸֧
	char				szVendorAbbr[DH_COMMON_STRING_32];		// д
	char				szTypeVersion[DH_COMMON_STRING_32];		// 
	BOOL				bIsVideoNexus;							// ǷѶ
    EM_WLAN_SCAN_AND_CONFIG_TYPE    emWlanScanAndConfig;        // WIFIɨ輰ֵ֧İ汾
    BOOL                bSupportLensMasking;                    // IPCǷ֧־ͷڵǶȣнṹڵ
} DH_PRODUCTION_DEFNITION;

// ֶƹģʽ
#define NET_LIGHTING_CTRL_ON_OFF                0x01            // ֱӿģʽ
#define NET_LIGHTING_CTRL_ADJUST_BRIGHTNESS     0x02            // ֶģʽ
#define NET_LIGHTING_CTRL_ZOOM_PRIO             0x04            // 


// ӿ, Ϳ
#define DH_MATRIX_CARD_MAIN                 0x10000000          // 
#define DH_MATRIX_CARD_INPUT                0x00000001          // 뿨
#define DH_MATRIX_CARD_OUTPUT               0x00000002          // 
#define DH_MATRIX_CARD_ENCODE               0x00000004          // 뿨
#define DH_MATRIX_CARD_DECODE               0x00000008          // 뿨
#define DH_MATRIX_CARD_CASCADE              0x00000010          // 
#define DH_MATRIX_CARD_INTELLIGENT          0x00000020          // ܿ
#define DH_MATRIX_CARD_ALARM                0x00000040          // 
#define DH_MATRIX_CARD_RAID                 0x00000080          // ӲRaid
#define DH_MATRIX_CARD_NET_DECODE           0x00000100          // 뿨

// ӿϢ
typedef struct tagDH_MATRIX_CARD
{
    DWORD               dwSize;
    BOOL                bEnable;                                // ǷЧ
    DWORD               dwCardType;                             // ӿ
    char                szInterface[DH_MATRIX_INTERFACE_LEN];   // ӿӿ, "CVBS", "VGA", "DVI", "BT656","BT1120", "Fiber","HD-SDI", "HDCVI","HDMI","Dual-Link","3G-SDI", "RJ45"...
    char                szAddress[DH_MAX_IPADDR_OR_DOMAIN_LEN]; // 豸ip, ӿڵӿΪ
    int                 nPort;                                  // ˿ں, ӿڵӿΪ0
    int                 nDefinition;                            // , 0=, 1=
    int                 nVideoInChn;                            // Ƶͨ
    int                 nAudioInChn;                            // Ƶͨ
    int                 nVideoOutChn;                           // Ƶͨ
    int                 nAudioOutChn;                           // Ƶͨ
    int                 nVideoEncChn;                           // Ƶͨ
    int                 nAudioEncChn;                           // Ƶͨ
    int                 nVideoDecChn;                           // Ƶͨ
    int                 nAudioDecChn;                           // Ƶͨ
    int                 nStauts;                                // ״̬: -1-δ֪, 0-, 1-Ӧ, 2-, 3-ͻ, 4-, 5-·״̬쳣, 6-Ӱ屳δ, 7-汾
    int                 nCommPorts;                             // 
    int                 nVideoInChnMin;                         // ƵͨСֵ
    int                 nVideoInChnMax;                         // Ƶֵͨ
    int                 nAudioInChnMin;                         // ƵͨСֵ
    int                 nAudioInChnMax;                         // Ƶֵͨ
    int                 nVideoOutChnMin;                        // ƵͨСֵ
    int                 nVideoOutChnMax;                        // Ƶֵͨ
    int                 nAudioOutChnMin;                        // ƵͨСֵ
    int                 nAudioOutChnMax;                        // Ƶֵͨ    
    int                 nVideoEncChnMin;                        // ƵͨСֵ
    int                 nVideoEncChnMax;                        // Ƶֵͨ
    int                 nAudioEncChnMin;                        // ƵͨСֵ
    int                 nAudioEncChnMax;                        // Ƶֵͨ
    int                 nVideoDecChnMin;                        // ƵͨСֵ
    int                 nVideoDecChnMax;                        // Ƶֵͨ
    int                 nAudioDecChnMin;                        // ƵͨСֵ
    int                 nAudioDecChnMax;                        // Ƶֵͨ
    int                 nCascadeChannels;                       // ͨ
    int                 nCascadeChannelBitrate;                 // ͨ, λMbps
    int                 nAlarmInChnCount;                       // ͨ
    int                 nAlarmInChnMin;                         // ͨСֵ
    int                 nAlarmInChnMax;                         // ֵͨ
    int                 nAlarmOutChnCount;                      // ͨ
    int                 nAlarmOutChnMin;                        // ͨСֵ
    int                 nAlarmOutChnMax;                        // ֵͨ
    int                 nVideoAnalyseChnCount;                  // ܷͨ
    int                 nVideoAnalyseChnMin;                    // ܷͨСֵ
    int                 nVideoAnalyseChnMax;                    // ֵܷͨ
    int                 nCommPortMin;                           // ںСֵ
    int                 nCommPortMax;                           // ںֵ
    char                szVersion[DH_COMMON_STRING_32];         // 汾Ϣ
    NET_TIME            stuBuildTime;                           // ʱ
    char                szBIOSVersion[DH_COMMON_STRING_64];     // BIOS汾
    char				szMAC[DH_MACADDR_LEN];					// MACַ
} DH_MATRIX_CARD;

// ӿб
typedef struct tagDH_MATRIX_CARD_LIST 
{
    DWORD               dwSize;
    int                 nCount;                                 // ӿ
    DH_MATRIX_CARD      stuCards[DH_MATRIX_MAX_CARDS];          // ӿб
} DH_MATRIX_CARD_LIST;

// Ƶ
typedef struct tagDH_VIDEO_OUT_WINDOW
{
    DWORD               dwSize;
    int                 nBackboardID;               // 
    int                 nScreenID;                  // Ļ
    int                 nWindowID;                  // ں
} DH_VIDEO_OUT_WINDOW;

// ñԴϢ,
typedef struct tagNET_IN_SETBACKUP_SOURCES_INFO
{
	DWORD				dwSize;
	int					nSetSourcesNum;				// 	ԴϢ
	DH_SPLIT_SOURCE	*	pSource;					//  ԴϢָ(ڴûͷ)
} NET_IN_SETBACKUP_SOURCES_INFO;

// ñԴϢ,
typedef struct tagNET_OUT_SETBACKUP_SOURCES_INFO
{
	 DWORD				dwSize;
} NET_OUT_SETBACKUP_SOURCES_INFO;

// CLIENT_GetISCSITargetsӿ
typedef struct tagDH_IN_ISCSI_TARGETS
{
    DWORD               dwSize;
    const char*         pszAddress;                 // ַ
    int                 nPort;                      // ˿
    const char*         pszUser;                    // û
    const char*         pszPwd;                     // 
} DH_IN_ISCSI_TARGETS;

// ISCSI TargetϢ
typedef struct tagDH_ISCSI_TARGET 
{
    DWORD               dwSize;
    char                szName[DH_MAX_ISCSI_NAME_LEN];              // 
    char                szAddress[DH_MAX_IPADDR_OR_DOMAIN_LEN];     // ַ
    char                szUser[DH_NEW_USER_NAME_LENGTH];            // û
    int                 nPort;                                      // ˿
    UINT                nStatus;                                    // ״̬, 0-δ֪, 1-, 2-δ, 3-ʧ, 4-֤ʧ, 5-ӳʱ, 6-    
} DH_ISCSI_TARGET;

// CLIENT_GetISCSITargetsӿ
typedef struct tagDH_OUT_ISCSI_TARGETS
{
    DWORD               dwSize;
    DH_ISCSI_TARGET*    pstuTargets;                // iscsi,ûڴ棬СΪsizeof(DH_ISCSI_TARGET)*nMaxCount
    int                 nMaxCount;                  // iscsiС
    int                 nRetCount;                  // ȡiscsiϢ
} DH_OUT_ISCSI_TARGETS;

typedef enum tagDH_BITMAP_ACCURACY
{
    BA_DAY ,            // 
    BA_HOUR ,           //Сʱ
    BA_5MIN ,           //5
}DH_BITMAP_ACCURACY;

#define DH_MAX_BITMAPS        256                        // λͼֽ,DH_MAX_BITMAPS*8λ
#define DH_MAX_CHN_NUM        256                        // ͨ
//CLIENT_GetBitmapӿ
typedef struct tagDH_IN_BITMAP
{
    DWORD               dwSize;
    NET_TIME            stuStartTime;                   // ʼʱ, ȷ
    NET_TIME            stuEndTime;                     // ʱ, ȷ
    int                 nChnList[DH_MAX_CHN_NUM];       // [1, , 10]    ͨб,-1ʾȫͨ,0ʾб
    DH_BITMAP_ACCURACY  emAccuracy;                     // λͼ    
}DH_IN_BITMAP;

typedef struct tagDH_BITMAP_INFO
{
    DWORD               dwSize;
    int                 nChnID;                         //ͨ,ͨλ0,ʾб
    BYTE                bBitmap[DH_MAX_BITMAPS];        //λͼ(ÿһλʾһѯ̶,ɵλλ)
                                                        //֧DH_MAX_BITMAPS * 8̶
    int                 nBitNum;                        //ȡλͼλ
}DH_BITMAP_INFO;

//CLIENT_GetBitmapӿ
typedef struct tagDH_OUT_BITMAP
{
    DWORD               dwSize;
    DH_BITMAP_INFO      *pstBitmapInfos;   // ûڴ棬СΪsizeof(DH_BITMAP_INFO)*nMaxBitmapInfo
    int                 nGetBitmapInfo;
    int                 nMaxBitmapInfo;    
}DH_OUT_BITMAP;

// 洢豸
typedef struct tagDH_STORAGE_DEVICE_NAME 
{
    DWORD               dwSize;
    char                szName[DH_STORAGE_NAME_LEN];
} DH_STORAGE_DEVICE_NAME;

// RAID״̬
#define DH_RAID_STATE_ACTIVE            0x00000001
#define DH_RAID_STATE_INACTIVE          0x00000002
#define DH_RAID_STATE_CLEAN             0x00000004
#define DH_RAID_STATE_FAILED            0x00000008
#define DH_RAID_STATE_DEGRADED          0x00000010
#define DH_RAID_STATE_RECOVERING        0x00000020
#define DH_RAID_STATE_RESYNCING         0x00000040
#define DH_RAID_STATE_RESHAPING         0x00000080
#define DH_RAID_STATE_CHECKING          0x00000100
#define DH_RAID_STATE_NOTSTARTED        0x00000200

// RAIDԱϢ
typedef struct tagNET_RAID_MEMBER_INFO 
{
    DWORD               dwSize;
    DWORD               dwID;                                       // ̺, ڴŹĲλ
    BOOL                bSpare;                                     // Ƿֲȱ, true-ֲȱ, false-RAID
} NET_RAID_MEMBER_INFO;

// RAIDϢ
typedef struct tagDH_STORAGE_RAID
{
    DWORD               dwSize;
    int                 nLevel;                                     // ȼ    
    int                 nState;                                     // RAID״̬,  DH_RAID_STATE_ACTIVE | DH_RAID_STATE_DEGRADED
    int                 nMemberNum;                                 // Ա
    char                szMembers[DH_MAX_MEMBER_PER_RAID][DH_STORAGE_NAME_LEN];    // RAIDԱ	
    float               fRecoverPercent;                            // ͬٷֱ, 0~100, RAID״̬"Recovering""Resyncing"ʱЧ
    float               fRecoverMBps;                               // ͬٶ, λMBps, RAID״̬"Recovering""Resyncing"ʱЧ
    float               fRecoverTimeRemain;                         // ͬʣʱ, λ, RAID״̬"Recovering""Resyncing"ʱЧ
    NET_RAID_MEMBER_INFO stuMemberInfos[DH_MAX_MEMBER_PER_RAID];    // RAIDԱϢ
	int                 nRaidDevices;                               // RAID豸
	int                 nTotalDevices;                              // RAID豸
	int                 nActiveDevices;                             // 豸
	int                 nWorkingDevices;                            // 豸
	int                 nFailedDevices;                             // ʧ豸
	int                 nSpareDevices;                              // ȱ豸
	
	char                szAliasName[DH_COMMON_STRING_24];           // RAID,UTF-8
} DH_STORAGE_RAID;


// 洢Ϣ
typedef struct tagDH_STORAGE_PARTITION
{
    DWORD               dwSize;
    char                szName[DH_STORAGE_NAME_LEN];                // 
    INT64               nTotalSpace;                                // ܿռ, byte
    INT64               nFreeSpace;                                 // ʣռ, byte
    char                szMountOn[DH_STORAGE_MOUNT_LEN];            // ص
    char                szFileSystem[DH_STORAGE_FILE_SYSTEM_LEN];   // ļϵͳ
    int                 nStatus;                                    // ״̬, 0-LV, 1-LV
} DH_STORAGE_PARTITION;

// չϢ
typedef struct tagDH_STORAGE_TANK 
{
    DWORD               dwSize;
    int                 nLevel;                                     // , ǵ0,
    int                 nTankNo;                                    // ͬһչڵչڱ, 0ʼ
    int                 nSlot;                                      // Ӧϵİ忨, 0ʼ
} DH_STORAGE_TANK;

// 洢豸״̬
#define NET_STORAGE_DEV_OFFLINE                 0                   // Ӳѻ״̬
#define NET_STORAGE_DEV_RUNNING                 1                   // Ӳ״̬
#define NET_STORAGE_DEV_ACTIVE                  2                   // RAID
#define NET_STORAGE_DEV_SYNC                    3                   // RAIDͬ
#define NET_STORAGE_DEV_SPARE                   4                   // RAIDȱ(ֲ)
#define NET_STORAGE_DEV_FAULTY                  5                   // RAIDʧЧ
#define NET_STORAGE_DEV_REBUILDING              6                   // RAIDؽ
#define NET_STORAGE_DEV_REMOVED                 7                   // RAIDƳ
#define NET_STORAGE_DEV_WRITE_ERROR             8                   // RAIDд
#define NET_STORAGE_DEV_WANT_REPLACEMENT        9                   // RAIDҪ滻
#define NET_STORAGE_DEV_REPLACEMENT             10                  // RAID豸
#define NET_STORAGE_DEV_GLOBAL_SPARE            11                  // ȫȱ
#define NET_STORAGE_DEV_ERROR                   12                  // , ַ
#define NET_STORAGE_DEV_RAIDSUB                 13                  // Ŀǰǵ, ԭǿRaid, пԶRaid
#define NET_STORAGE_DEV_FATAL                   14                  // ش,ȫ(DVR)
#define NET_STORAGE_DEV_SNAPSHOT_PARENT         15                  // ĸ
#define NET_STORAGE_DEV_SNAPSHOT_CHILD          16                  // 
#define NET_STORAGE_DEV_VOLUMECLONE_PARENT      17                  // ¡ĸ
#define NET_STORAGE_DEV_VOLUMECLONE_CHILD      18                  // ¡

// Ӳ̵Դ״̬
typedef enum tagEM_STORAGE_DISK_POWERMODE
{
	EM_STORAGE_DISK_POWERMODE_UNKNOWN,                                  // UNKnown״̬״̬еֵ
	EM_STORAGE_DISK_POWERMODE_NONE,                                     // δ֪״̬
	EM_STORAGE_DISK_POWERMODE_ACTIVE,                                   // ״̬
	EM_STORAGE_DISK_POWERMODE_STANDBY,                                  // ״̬
	EM_STORAGE_DISK_POWERMODE_IDLE,                                     // ״̬
}EM_STORAGE_DISK_POWERMODE;

// ӲԤ״̬(EVSֶ,ϴԤ칦ʹ)
typedef enum tagEM_STORAGE_DISK_PREDISKCHECK
{
	EM_STORAGE_DISK_PREDISKCHECK_UNKNOWN,                               // UnKnown״̬
	EM_STORAGE_DISK_PREDISKCHECK_GOOD,                                  // Ӳ̶ٶȵ120,smartϢĴ,κδ.
	EM_STORAGE_DISK_PREDISKCHECK_WARN,                                  // cmdϢ¼,smartϢд¼
	EM_STORAGE_DISK_PREDISKCHECK_ERROR,                                 // cmdϢд¼,smartϢɴ¼.л¼
	EM_STORAGE_DISK_PREDISKCHECK_WILLFAIL,                              // ӲٶȱȽϵ64M.cmdϢд¼,smartϢɴ¼.л¼
	EM_STORAGE_DISK_PREDISKCHECK_FAIL,                                  // Ӳ̷ش
	EM_STORAGE_DISK_PREDISKCHECK_NONE,                                  // δ֪״̬
	EM_STORAGE_DISK_PREDISKCHECK_BECHECK,                               // ڲѯ״̬
	EM_STORAGE_DISK_PREDISKCHECK_CHECKFAIL,                             // ѯʧ״̬
}EM_STORAGE_DISK_PREDISKCHECK;

// 洢豸Ϣ
typedef struct tagDH_STORAGE_DEVICE 
{
    DWORD               dwSize;
    char                szName[DH_STORAGE_NAME_LEN];                    // 
    INT64               nTotalSpace;                                    // ܿռ, byte
    INT64               nFreeSpace;                                     // ʣռ, byte
    BYTE                byMedia;                                        // , 0-DISK, 1-CDROM, 2-FLASH
    BYTE                byBUS;                                          // , 0-ATA, 1-SATA, 2-USB, 3-SDIO, 4-SCSI
	BYTE                byVolume;                                       // , 0-, 1-Raid, 2-VG, 3-ISCSI, 4-, 5-ȫȱ, 6-NAS(FTP, SAMBA, NFS)
    BYTE                byState;                                        // Ӳ״̬, ȡֵΪ NET_STORAGE_DEV_OFFLINE  NET_STORAGE_DEV_RUNNING 
    int                 nPhysicNo;                                      // ͬ豸洢ӿڵ
    int                 nLogicNo;                                       // ͬ豸洢ӿڵ߼
    char                szParent[DH_STORAGE_NAME_LEN];                  // ϼ洢
    char                szModule[DH_STORAGE_NAME_LEN];                  // 豸ģ
    char                szSerial[DH_SERIALNO_LEN];                      // 豸к
    char                szFirmware[DH_VERSION_LEN];                     // ̼汾
    int                 nPartitionNum;                                  // 
    DH_STORAGE_PARTITION stuPartitions[DH_MAX_STORAGE_PARTITION_NUM];   // Ϣ
    DH_STORAGE_RAID     stuRaid;                                        // RAIDϢ, ֻRAIDЧ(byVolume == 1)
    DH_ISCSI_TARGET     stuISCSI;                                       // ISCSIϢ, ֻISCSIЧ(byVolume == 3)
    BOOL                abTank;                                         // չʹ
    DH_STORAGE_TANK     stuTank;                                        // ӲչϢ, abTankΪTRUEʱЧ

	EM_STORAGE_DISK_POWERMODE           emPowerMode;                    // Ӳ̵Դ״̬
	EM_STORAGE_DISK_PREDISKCHECK        emPreDiskCheck;                 // ӲԤ״̬(EVSֶΣϴԤ칦ʹ)
} DH_STORAGE_DEVICE;

// ָOSDϢ
typedef struct tagNET_SPLIT_OSD 
{
    DWORD               dwSize;
    BOOL                bEnable;                    // ʹ
    DH_COLOR_RGBA       stuFrontColor;              // ǰɫ
    DH_COLOR_RGBA       stuBackColor;               // ɫ
    DH_RECT             stuFrontRect;               // ǰ
    DH_RECT             stuBackRect;                // 
    BOOL                bRoll;                      // Ƿʾ, ֻıЧ
    BYTE                byRollMode;                 // ģʽ, ֻıЧ, 0-, 1-, 2-¹, 3-Ϲ
    BYTE                byRoolSpeed;                // , ֻıЧ, 0~4, ֵԽԽ
    BYTE                byFontSize;                 // С, ֻıЧ
    BYTE                byTextAlign;                // 뷽ʽ, 0-, 1-, 2-
    BYTE                byType;                     // OSD, 0-ı, 1-ͼ, 2-ʱ
    BYTE                Reserved[3];                // ֽ
    char                szContent[MAX_PATH];        // OSD
													// Ϊͼ, Ϊͼ
													// ΪTimeΪDate(),Week(),Time(ʱ),\n()ϡ
													// 磺ͬʾҪֶΪ"Date\nTime",ĻϾͻʾ
													// 2018423
													// 16:49:15
													// ͬʾҪֶΪ"DateTime",ĻϾͻʾ
													// 201842316:49:15
    float               fPitch;                     // ַ, 0.0 ~ 5.0
    char                szFontType[DH_COMMON_STRING_64]; // 
} NET_SPLIT_OSD;

// CLIENT_GetSplitOSD ӿ(ȡ봰OSDϢ)
typedef struct tagDH_IN_SPLIT_GET_OSD
{
    DWORD               dwSize;
    int                 nChannel;                   // ͨ
    int                 nWindow;                    // ں
} DH_IN_SPLIT_GET_OSD;

// CLIENT_GetSplitOSD ӿ(ȡ봰OSDϢ)
typedef struct tagDH_OUT_SPLIT_GET_OSD
{
    DWORD               dwSize;
    int                 nOSDNum;                            // OSD
    NET_SPLIT_OSD       stuOSD[DH_VIDEO_CUSTOM_OSD_NUM];    // OSDϢ
} DH_OUT_SPLIT_GET_OSD;

// CLIENT_SetSplitOSD ӿ(ý봰OSDϢ)
typedef struct tagDH_IN_SPLIT_SET_OSD
{
    DWORD               dwSize;
    int                 nChannel;                           // ͨ
    int                 nWindow;                            // ں
    int                 nOSDNum;                            // OSD
    NET_SPLIT_OSD       stuOSD[DH_VIDEO_CUSTOM_OSD_NUM];    // OSDϢ
} DH_IN_SPLIT_SET_OSD;

// CLIENT_SetSplitOSD ӿ(ý봰OSDϢ)
typedef struct tagDH_OUT_SPLIT_SET_OSD
{
    DWORD               dwSize;
} DH_OUT_SPLIT_SET_OSD;

// CLIENT_GetSplitOSDEx ӿ(ȡ봰OSDϢ)
typedef struct tagNET_IN_SPLIT_GET_OSD_EX
{
    DWORD               dwSize;
    int                 nChannel;                   // ͨ
    int                 nWindow;                    // ں
} NET_IN_SPLIT_GET_OSD_EX;

// CLIENT_GetSplitOSDEx ӿ(ȡ봰OSDϢ)
typedef struct tagNET_OUT_SPLIT_GET_OSD_EX
{
    DWORD               dwSize;
    int                 nOSDNum;                            // OSD
    NET_SPLIT_OSD       stuOSD[DH_VIDEO_CUSTOM_OSD_NUM_EX]; // OSDϢ
} NET_OUT_SPLIT_GET_OSD_EX;


// CLIENT_SetSplitOSDExӿ(ý봰OSDϢ)
typedef struct tagNET_IN_SPLIT_SET_OSD_EX
{
	DWORD               dwSize;
    int                 nChannel;                           	// ͨ
    int                 nWindow;                            	// ں
    int                 nOSDNum;                            	// OSD
    NET_SPLIT_OSD       stuOSD[DH_VIDEO_CUSTOM_OSD_NUM_EX];    	// OSDϢ
}NET_IN_SPLIT_SET_OSD_EX;

// CLIENT_SetSplitOSDEx ӿ(ý봰OSDϢ)
typedef struct tagNET_OUT_SPLIT_SET_OSD_EX
{
    DWORD               dwSize;
} NET_OUT_SPLIT_SET_OSD_EX;


// ƵƷʽ
typedef enum
{
    EM_VIDEO_OUT_CTRL_CHANNEL,              // ߼ͨſƷʽ, ƴЧ
    EM_VIDEO_OUT_CTRL_COMPOSITE_ID,         // ƴIDƷʽ, ֻƴЧ
} EM_VIDEO_OUT_CTRL_TYPE;

// CLIENT_SetSplitSourceEx ӿڵ
typedef struct tagNET_IN_SET_SPLIT_SOURCE 
{
    DWORD                   dwSize;
    EM_VIDEO_OUT_CTRL_TYPE  emCtrlType;         // ƵƷʽ
    int                     nChannel;           // Ƶ߼ͨ, emCtrlTypeΪEM_VIDEO_OUT_CTRL_CHANNELʱЧ
    const char*             pszCompositeID;     // ƴID, emCtrlTypeΪEM_VIDEO_OUT_CTRL_COMPOSITE_IDʱЧ
    int                     nWindow;            // ں, -1ʾǰָģʽµд
    DH_SPLIT_SOURCE*        pstuSources;        // ƵԴϢ, nWindow=-1ʱ, ƵԴǸ, 봰һ
												// ûڴ棬СΪsizeof(DH_SPLIT_SOURCE)*nSourceCount
    int                     nSourceCount;       // ƵԴ
} NET_IN_SET_SPLIT_SOURCE;

// ƵԴķؽ
typedef struct tagNET_SET_SPLIT_SOURCE_RESULT 
{
    DWORD                   dwSize;
    int                     nPushPort;          // ģʽ豸˼˿ں
} NET_SET_SPLIT_SOURCE_RESULT;

// CLIENT_SetSplitSourceEx ӿڵ
typedef struct tagNET_OUT_SET_SPLIT_SOURCE
{
    DWORD                   dwSize;
    NET_SET_SPLIT_SOURCE_RESULT* pstuResults;   // óɹķֵ, ӦNET_IN_SET_SPLIT_SOURCEеĴ, ûڴ,СΪsizeof(NET_SET_SPLIT_SOURCE_RESULT)*nMaxResultCount, ҪΪNULL
    int                     nMaxResultCount;    // pstuResultsĴС
    int                     nRetCount;          // ص
} NET_OUT_SET_SPLIT_SOURCE;

// CLIENT_SplitExchangeSource ӿ
typedef struct tagNET_IN_SPLIT_EXCHANGE_SOURCE
{
	DWORD					dwSize;				
	int						nChannel;           // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*				pszCompositeID;     // ںID
	int						nWindowID1;			// ں1
	int						nWindowID2;			// ں2
}NET_IN_SPLIT_EXCHANGE_SOURCE;

// CLIENT_SplitExchangeSource ӿ
typedef struct tagNET_OUT_SPLIT_EXCHANGE_SOURCE
{
	DWORD					dwSize;		
}NET_OUT_SPLIT_EXCHANGE_SOURCE;


//ö
typedef enum tagNET_VOLUME_TYPE
{
    VOLUME_TYPE_ALL = 0      ,      //о
    VOLUME_TYPE_PHYSICAL     ,      //
    VOLUME_TYPE_RAID         ,      //Raid
    VOLUME_TYPE_VOLUME_GROUP ,      //VG
    VOLUME_TYPE_ISCSI        ,      //iSCSI
    VOLUME_TYPE_INVIDUAL_PHY ,      //,ûм뵽, RAID,ȵУ
    VOLUME_TYPE_GLOBAL_SPARE ,      //ȫȱ
	VOLUME_TYPE_NAS			 ,		//NAS(FTP, SAMBA, NFS)
	VOLUME_TYPE_INVIDUAL_RAID,		//RAIDָûм뵽У
    VOLUME_TYPE_MAX          ,
}NET_VOLUME_TYPE;


#define    MAX_DEVICE_VOLUME_NUMS        128                //͵

//CLIENT_QueryDevInfo , NET_QUERY_DEV_STORAGE_NAMESͽӿ
typedef struct tagNET_IN_STORAGE_DEV_NAMES
{
    DWORD               dwSize;
    NET_VOLUME_TYPE     emVolumeType;       //Ҫȡľ
} NET_IN_STORAGE_DEV_NAMES;

//CLIENT_QueryDevInfo , NET_QUERY_DEV_STORAGE_NAMESͽӿ
typedef struct tagNET_OUT_STORAGE_DEV_NAMES
{
    DWORD               dwSize;
    int                 nDevNamesNum;                       //ȡ豸Ĵ洢ģ
    char                szStoregeDevNames[MAX_DEVICE_VOLUME_NUMS][DH_STORAGE_NAME_LEN]; //豸б
}NET_OUT_STORAGE_DEV_NAMES;

//CLIENT_QueryDevInfo , NET_QUERY_DEV_STORAGE_INFOSӿ
typedef struct tagNET_IN_STORAGE_DEV_INFOS
{
    DWORD               dwSize;
    NET_VOLUME_TYPE     emVolumeType;       //Ҫȡľ
} NET_IN_STORAGE_DEV_INFOS;

//CLIENT_QueryDevInfo , NET_QUERY_DEV_STORAGE_INFOSӿ
typedef struct tagNET_OUT_STORAGE_DEV_INFOS
{
    DWORD               dwSize;
    int                 nDevInfosNum;                      //ȡ豸Ĵ洢ģϢб
    DH_STORAGE_DEVICE   stuStoregeDevInfos[MAX_DEVICE_VOLUME_NUMS]; //豸Ϣб,DH_STORAGE_DEVICEdwsize踳ֵ
} NET_OUT_STORAGE_DEV_INFOS;

typedef enum tagNET_RECENCY_CAR_INFO
{
    RECENCY_CAR_INFO_UNKNOW = 0 ,
    RECENCY_CAR_INFOO_NEWEST    ,      //
    RECENCY_CAR_INFO_ODLEST     ,      //
    RECENCY_CAR_INFO_MAX        ,
}NET_RECENCY_CAR_INFO;

//CLIENT_QueryDevInfo , NET_QUERY_RECENCY_JNNCTION_CAR_INFOӿ
typedef struct tagNET_IN_GET_RECENCY_JUNCTION_CAR_INFO
{
    DWORD                   dwSize;
    int                     nChannel;       //ץͨ
    NET_RECENCY_CAR_INFO    emRecencyType;  //ȡϢ,µĻɵ
    DWORD                   nIndex;         //ڼϢ,1ʼ,Ϊ0Ҳʾ1
}NET_IN_GET_RECENCY_JUNCTION_CAR_INFO;

//CLIENT_QueryDevInfo , NET_QUERY_RECENCY_JNNCTION_CAR_INFOӿ
typedef struct tagNET_OUT_GET_RECENCY_JUNCTION_CAR_INFO
{
    DWORD           dwSize;
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;        // ͨϢ
}NET_OUT_GET_RECENCY_JUNCTION_CAR_INFO;

// 
#define NET_MAX_FISHEYE_WINDOW_NUM               8         // ۴

// λϢ
typedef struct tagNET_FISHEYE_WINDOW_INFO
{
    DWORD             dwSize;
    DWORD             dwWindowID;                        // ID
    int               nFocusX;                           // EPtz̨Ľ
    int               nFocusY;                           // EPtz (̨Ľ   
    int               nHorizontalAngle;                  // EPtzˮƽǶ
    int               nVerticalAngle;                    // EPtzĴֱǶ
}NET_FISHEYE_WINDOW_INFO;

// ӦCLIENT_QueryDevInfoӿ,NET_QUERY_DEV_FISHEYE_WININFOѯ۴Ϣ
typedef struct tagNET_IN_FISHEYE_WININFO
{
    DWORD               dwSize;
    int                 nChannelId;                      // ͨ
    int                 nWindowNum;                      // ѯĴ
    int                 nWindows[NET_MAX_FISHEYE_WINDOW_NUM]; // id,ظ
}NET_IN_FISHEYE_WININFO;

// ӦCLIENT_QueryDevInfoӿ,NET_QUERY_DEV_FISHEYE_WININFOѯ۴Ϣ
typedef struct tagNET_OUT_FISHEYE_WININFO
{
    DWORD               dwSize;
    int                 nWindowNum;                      //Ĵ
    NET_FISHEYE_WINDOW_INFO stuWindows[NET_MAX_FISHEYE_WINDOW_NUM]; // ھϢ
}NET_OUT_FISHEYE_WININFO;

//CLIENT_QueryDevInfo , NET_QUERY_LANES_STATEӿ
typedef struct tagNET_IN_GET_LANES_STATE
{
    DWORD                   dwSize;
    int                     nLaneNumber; //-1ѯг,>=0ʱʾѯָ
}NET_IN_GET_LANES_STATE;

//źŵָʾ״̬
typedef enum tagNET_TRAFFIC_LIGHT_STATUS
{
    LIGHT_STATUS_UNKNOWN  = 0   ,    //δ֪
    LIGHT_STATUS_RED            ,    //
    LIGHT_STATUS_GREEN          ,    //̵
    LIGHT_STATUS_YELLOW         ,    //Ƶ
}NET_TRAFFIC_LIGHT_STATUS;

//źŵָʾϢ
typedef struct tatNET_TRAFFIC_LIGHT_INFO
{
    DWORD                       dwSize;
    NET_TRAFFIC_LIGHT_STATUS    emStraightLightInfo;    //ֱźŵ״̬
    NET_TRAFFIC_LIGHT_STATUS    emLeftLightInfo;        //תźŵ״̬
    NET_TRAFFIC_LIGHT_STATUS    emRightLightInfo;       //תźŵ״̬
    NET_TRAFFIC_LIGHT_STATUS    emUTurnLightInfo;       //ͷźŵ״̬
}NET_TRAFFIC_LIGHT_INFO;

//
typedef enum tagNET_TRAFFIC_DIRECTION
{
    DIRECTION_UNKNOW    = 0 ,   //δ֪
    DIRECTION_STRAIGHT      ,   //ֱ
    DIRECTION_LEFT          ,   //ת
    DIRECTION_RIGHT         ,   //ת
    DIRECTION_UTURN         ,   //ͷ
}NET_TRAFFIC_DIRECTION;

//Ϣ
typedef struct tagNET_TRAFFIC_LANE_INFO
{
    DWORD                   dwSize;
    UINT                    nLaneNumber;                                    //,0ʼ
    UINT                    nSupportDirectionNum;                           //ʹķ
    NET_TRAFFIC_DIRECTION   emTrafficDirections[MAX_LANE_DIRECTION_NUM];    //,ʾ˳ʹз
    NET_TRAFFIC_JAM_STATUS  emJamState;                                     //·ӵ״
    //Ϣ
    UINT                    nLargeVehicleNum;                               //ͳ
    UINT                    nMediumVehicleNum;                              //ͳ
    UINT                    nSmallVehicleNum;                               //Сͳ
    UINT                    nMotoNum;                                       //Ħг
}NET_TRAFFIC_LANE_INFO;

//CLIENT_QueryDevInfo , NET_QUERY_LANES_STATEӿ
typedef struct tagNET_OUT_GET_LANES_STATE
{
    DWORD                   dwSize;
    int                     nGetLaneInfoNum;                    //ȡĳϢ
    NET_TRAFFIC_LANE_INFO   stLaneInfos[MAX_LANE_INFO_NUM];     //ȡĳϢ
    NET_TRAFFIC_LIGHT_INFO  stLightInfo;                        //źŵָʾ״̬
}NET_OUT_GET_LANES_STATE;

//CLIENT_QueryDevInfo , NET_QUERY_SYSTEM_INFO ͽӿ
typedef struct tagNET_IN_SYSTEM_INFO
{
    DWORD               dwSize;
} NET_IN_SYSTEM_INFO;

//CLIENT_QueryDevInfo , NET_QUERY_SYSTEM_INFO ͽӿ
typedef struct tagNET_OUT_SYSTEM_INFO
{
    DWORD               dwSize;
    BOOL                bHasRTC;                       //ǷRTCоƬ(¼ϵͳʱ)ĬTRUE,ʾRTC
    int                 nRetMCUNum;                   // صĵƬ 	 	 
    char                szMCUVersion[MAX_MCU_NUM][DH_MAX_VERSION_LEN];         // Ƭ汾
}NET_OUT_SYSTEM_INFO;


//CLIENT_QueryDevInfo , NET_QUERY_REG_DEVICE_NET_INFO ͽӿ
typedef struct tagNET_IN_REGDEV_NET_INFO
{
    DWORD               dwSize;
    char                szDevSerial[DH_DEV_SERIALNO_LEN];   // עʱϱ豸к
}NET_IN_REGDEV_NET_INFO;

//עʹõ
typedef enum tagNET_CELLUAR_NET_TYPE 
{
    EM_CELLUAR_NET_UNKNOW           =   -1  ,    //δ֪
    EM_CELLUAR_NET_PRIVATE_3G_4G    =   0   ,    //ר3G/4G,(繫)
    EM_CELLUAR_NET_COMMERCIAL_3G_4G =   1   ,    //õ3G/4G,(ƶŵ)
    EM_CELLUAR_NET_MAX , 
}NET_CELLUAR_NET_TYPE;

//CLIENT_QueryDevInfo , NET_QUERY_REG_DEVICE_NET_INFO  ͽӿ
typedef struct tagNET_OUT_REGDEV_NET_INFO
{
    DWORD                   dwSize;
    NET_CELLUAR_NET_TYPE    emCelluarNetType;           //עʹõ
}NET_OUT_REGDEV_NET_INFO;

// ȡƵͨ
typedef enum tagNET_VIDEO_CHANNEL_TYPE
{
    NET_VIDEO_CHANNEL_TYPE_ALL,                         // ȫ
    NET_VIDEO_CHANNEL_TYPE_INPUT,                       // 
    NET_VIDEO_CHANNEL_TYPE_OUTPUT,                      // 
} NET_VIDEO_CHANNEL_TYPE;

//CLIENT_QueryDevInfo , NET_QUERY_VIDEOCHANNELSINFO 
typedef struct tagNET_IN_GET_VIDEOCHANNELSINFO
{
    DWORD                               dwSize;
    NET_VIDEO_CHANNEL_TYPE              emType;         // Ҫȡͨ                     
} NET_IN_GET_VIDEOCHANNELSINFO;

typedef struct tagNET_VIDEOCHANNELS_INPUT 
{
    int                     nThermographyCount;         // ȳͨ
    int                     nThermography[64];          // ȳͨͨ
    int                     nMultiPreviewCount;         // ໭Ԥͨ
    int                     nMultiPreview[4];	        // ໭Ԥͨ
    int                     nPIPCount;                  // лͨ
    int                     nPIP[4];    	            // лͨ
    int                     nCompressPlayCount;         // ѹطͨ
    int                     nCompressPlay[4];	        // ѹطͨ
	int						nSDCount;					// ͨ
	int						nSD[64];					// ͨ
	int                     nPTZCount;                  // ̨֧ͨ
	short                   nPTZ[64];                   // ̨֧ͨ
	int                     nFuseRadarCount;            // ֧ں״ɼ״ͨ
	int						nFuseRadar[64];             // ֧ں״ɼ״ͨ
	int                     nPureRadarCount;            // ִ֧״޿ɼͨ
	int						nPureRadar[64];             // ִ֧״޿ɼͨ
    char                    reserved[4096];
} NET_VIDEOCHANNELS_INPUT;

typedef struct tagNET_VIDEOCHANNELS_OUTPUT 
{
    int                     nVGACount;                  // VGA
    int                     nVGA[128];                  // VGA
    int                     nTVCount;                   // TV
    int                     nTV[128];                   // TV
    char                    reserved[512];
} NET_VIDEOCHANNELS_OUTPUT;

//CLIENT_QueryDevInfo , NET_QUERY_VIDEOCHANNELSINFO 
typedef struct tagNET_OUT_GET_VIDEOCHANNELSINFO
{
    DWORD                       dwSize;
    NET_VIDEOCHANNELS_INPUT     stInputChannels;        // ͨϢ,ȡΪNET_VIDEO_CHANNEL_TYPE_ALL/INPUTʱЧ        
    NET_VIDEOCHANNELS_OUTPUT    stOutputChannels;       // ͨϢ,ȡΪNET_VIDEO_CHANNEL_TYPE_ALL/OUTPUTʱЧ
} NET_OUT_GET_VIDEOCHANNELSINFO;

//CLIENT_QueryDevInfo , NET_QUERY_WORKGROUP_NAMES 
typedef struct tagNET_IN_WORKGROUP_NAMES
{
    DWORD                       dwSize;
} NET_IN_WORKGROUP_NAMES;

// Ŀ¼󳤶
#define WORKGROUP_NAME_LEN      32

//CLIENT_QueryDevInfo , NET_QUERY_WORKGROUP_NAMES 
typedef struct tagNET_OUT_WORKGROUP_NAMES
{
    DWORD                       dwSize;
    int                         nCount;                         // 
    char                        szName[64][WORKGROUP_NAME_LEN]; // ÿ
} NET_OUT_WORKGROUP_NAMES;

//CLIENT_QueryDevInfo , NET_QUERY_WORKGROUP_INFO 
typedef struct tagNET_IN_WORKGROUP_INFO
{
    DWORD                       dwSize;
    char                        szName[WORKGROUP_NAME_LEN];     // ҪȡϢĹ                    
} NET_IN_WORKGROUP_INFO;

//CLIENT_QueryDevInfo , NET_QUERY_WORKGROUP_INFO 
typedef struct tagNET_OUT_WORKGROUP_INFO
{
    DWORD                       dwSize;
    int                         nState;                         // ״̬0 ,1 ,2 ,3 
    int                         nTotalSpace;                    // ܿռ λMB -1ʾȡʧ
    int                         nFreeSpace;                     // ʣռ λMB -1ʾȡʧ
} NET_OUT_WORKGROUP_INFO;

//CLIENT_QueryDevInfo , NET_QUERY_WLAN_ACCESSPOINT 
typedef struct tagNET_IN_WLAN_ACCESSPOINT
{
    DWORD                       dwSize;
    char                        szSSID[DH_MAX_SSID_LEN];        // ҪȡϢ,Ϊʱ
	char						szName[MAX_COMMON_STRING_32];	// , Ϊʱ, ĬΪeth2
} NET_IN_WLAN_ACCESSPOINT;

typedef struct tagNET_WLAN_ACCESSPOINT_INFO
{
    char                        szSSID[DH_MAX_SSID_LEN];        // 
    int                         nStrength;                      // źǿ Χ0-100
    int                         nAuthMode;                      // ֤ģʽ0:OPEN;1:SHARED;2:WPA;3:WPA-PSK;4:WPA2;5:WPA2-PSK;
                                                                // 6:WPA-NONE(adhocģʽ),
                                                                // 7-11ǻģʽ,ѡκһֶԽ 
                                                                // 7:WPA-PSK | WPA2-PSK; 8:WPA | WPA2; 9:WPA | WPA-PSK;
                                                                // 10:WPA2 | WPA2-PSK; 11:WPA | WPA-PSK |WPA2 |WPA2-PSK //12: UnKnown
    int                         nEncrAlgr;                      // 0:NONE, 1:WEP, 2:TKIP, 3:AES(CCMP), 4:TKIP+AES( mix Mode), 5:UnKnown
    char                        reserved[1016];
} NET_WLAN_ACCESSPOINT_INFO;

//CLIENT_QueryDevInfo , NET_QUERY_WLAN_ACCESSPOINT 
typedef struct tagNET_OUT_WLAN_ACCESSPOINT
{
    DWORD                       dwSize;
    int                         nCount;                         // 
    NET_WLAN_ACCESSPOINT_INFO   stuInfo[128];                   // Ϣ                       
} NET_OUT_WLAN_ACCESSPOINT;

// CLIENT_QueryDevInfo , NET_QUERY_TRAFFICRADAR_VERSION 
typedef struct tagNET_IN_TRAFFICRADAR_VERSION
{
    DWORD                   dwSize;
    int                     nChannel;                   // ں
} NET_IN_TRAFFICRADAR_VERSION;

// CLIENT_QueryDevInfo , NET_QUERY_TRAFFICRADAR_VERSION 
typedef struct tagNET_OUT_TRAFFICRADAR_VERSION
{
    DWORD                   dwSize;
    char                    szVersion[DH_MAX_VERSION_LEN];  // 汾
} NET_OUT_TRAFFICRADAR_VERSION;

// ӿ CLIENT_AttachLanesState 
typedef NET_OUT_GET_LANES_STATE NET_CB_LANES_STATE;

// ӿ CLIENT_AttachLanesState ص
typedef void (CALLBACK *fNotifyLanesState)(LLONG lLanesStateHandle, NET_CB_LANES_STATE* pLanesStateInfo, LDWORD dwUser, void *reserved);

// ӿ CLIENT_AttachLanesState 
typedef struct tagNET_IN_ATTACH_LANES_STATE
{
    DWORD                dwSize;                         // ˽ṹС
    int                  nChannelID;                     // ͨ
    int                  nLaneNumber;                    // -1г,>=0ʱʾָ
    
    fNotifyLanesState    cbNotifyLanesState;             // ص
    LDWORD               dwUser;                         // ûԶ
} NET_IN_ATTACH_LANES_STATE;

// ӿ CLIENT_AttachLanesState 
typedef struct tagNET_OUT_ATTACH_LANES_STATE
{
    DWORD                dwSize;                         // ˽ṹС
} NET_OUT_ATTACH_LANES_STATE;

// CLIENT_MatrixSwitch 
typedef struct tagNET_IN_MATRIX_SWITCH
{
    DWORD           dwSize;
    DH_SPLIT_MODE   emSplitMode;                // ָģʽ
    int*            pnOutputChannels;           // ͨ, ͬʱָͨһл, һ
												// ûڴ棬СΪsizeof(int)*nOutputChannelCount
    int             nOutputChannelCount;        // ͨ
    int*            pnInputChannels;            // ͨ, ÿָһӦһͨ
												// ûڴ棬СΪsizeof(int)*nInputChannelCount
    int             nInputChannelCount;         // ͨ
} NET_IN_MATRIX_SWITCH;

// CLIENT_MatrixSwitch 
typedef struct tagNET_OUT_MATRIX_SWITCH 
{
    DWORD            dwSize;
} NET_OUT_MATRIX_SWITCH;

// CLIENT_SplitSetMultiSource ӿڵ
typedef struct tagNET_IN_SPLIT_SET_MULTI_SOURCE 
{
    DWORD                   dwSize;
    EM_VIDEO_OUT_CTRL_TYPE  emCtrlType;         // ƵƷʽ
    int                     nChannel;           // Ƶ߼ͨ, emCtrlTypeΪEM_VIDEO_OUT_CTRL_CHANNELʱЧ
    const char*             pszCompositeID;     // ƴID, emCtrlTypeΪEM_VIDEO_OUT_CTRL_COMPOSITE_IDʱЧ
    BOOL                    bSplitModeEnable;   // Ƿıָģʽ
    DH_SPLIT_MODE           emSplitMode;        // ָģʽ, bSplitModeEnable=TRUEʱЧ
    int                     nGroupID;           // ָ, bSplitModeEnable=TRUEʱЧ
    int*                    pnWindows;          // ں,ûڴ棬СΪsizeof(int)*nWindowCount
    int                     nWindowCount;       // 
    DH_SPLIT_SOURCE*        pstuSources;        // ƵԴϢ, ֱӦÿ, ͬ,ûڴ棬СΪsizeof(DH_SPLIT_SOURCE)*nWindowCount
} NET_IN_SPLIT_SET_MULTI_SOURCE;

// CLIENT_SplitSetMultiSource ӿڵ
typedef struct tagNET_OUT_SPLIT_SET_MULTI_SOURCE 
{
    DWORD                   dwSize;
} NET_OUT_SPLIT_SET_MULTI_SOURCE;

// Ƶָ
typedef enum tagNET_SPLIT_OPERATE_TYPE
{
    NET_SPLIT_OPERATE_SET_BACKGROUND,           // ñͼƬ, Ӧ NET_IN_SPLIT_SET_BACKGROUND  NET_OUT_SPLIT_SET_BACKBROUND
    NET_SPLIT_OPERATE_GET_BACKGROUND,           // ȡͼƬ, Ӧ NET_IN_SPLIT_GET_BACKGROUND  NET_OUT_SPLIT_GET_BACKGROUND
    NET_SPLIT_OPERATE_SET_PREPULLSRC,           // ԤԴ, Ӧ NET_IN_SPLIT_SET_PREPULLSRC  NET_OUT_SPLIT_SET_PREPULLSRC
    NET_SPLIT_OPERATE_SET_HIGHLIGHT,            // Դ߿ʹܿ, Ӧ NET_IN_SPLIT_SET_HIGHLIGHT  NET_OUT_SPLIT_SET_HIGHLIGHT
    NET_SPLIT_OPERATE_SET_ZORDER,               // Z, Ӧ NET_IN_SPLIT_SET_ZORDER  NET_OUT_SPLIT_SET_ZORDER
    NET_SPLIT_OPERATE_SET_TOUR,                 // Ѳ, Ӧ NET_IN_SPLIT_SET_TOUR  NET_OUT_SPLIT_SET_TOUR
    NET_SPLIT_OPERATE_GET_TOUR_STATUS,          // ȡѲ״̬, Ӧ NET_IN_SPLIT_GET_TOUR_STATUS  NET_OUT_SPLIT_GET_TOUR_STATUS
    NET_SPLIT_OPERATE_GET_SCENE,                // ȡڴϢ, Ӧ NET_IN_SPLIT_GET_SCENE  NET_OUT_SPLIT_GET_SCENE
    NET_SPLIT_OPERATE_OPEN_WINDOWS,             // , Ӧ NET_IN_SPLIT_OPEN_WINDOWS  NET_OUT_SPLIT_OPEN_WINDOWS
    NET_SPLIT_OPERATE_SET_WORK_MODE,            // ùģʽ, Ӧ NET_IN_SPLIT_SET_WORK_MODE  NET_OUT_SPLIT_SET_WORK_MODE
    NET_SPLIT_OPERATE_GET_PLAYER,               // ȡʵ,Ӧ NET_IN_SPLIT_GET_PLAYER  NET_OUT_SPLIT_GET_PLAYER
    NET_WM_OPERATE_SET_WORK_MODE,               // ôڹģʽ,Ӧ NET_IN_WM_SET_WORK_MODE  NET_OUT_WM_SET_WORK_MODE
    NET_WM_OPERATE_GET_WORK_MODE,               // ȡڹģʽ,Ӧ NET_IN_WM_GET_WORK_MODE  NET_OUT_WM_GET_WORK_MODE
    NET_SPLIT_OPERATE_CLOSE_WINDOWS,            // ش, Ӧ NET_IN_SPLIT_CLOSE_WINDOWS  NET_OUT_SPLIT_CLOSE_WINDOWS
    NET_WM_OPERATE_SET_FISH_EYE_PARAM,          // ۽ , ӦNET_IN_WM_SET_FISH_EYE_PARAM  NET_OUT_WM_SET_FISH_EYE_PARAM
	NET_WM_OPERATE_SET_CORRIDOR_MODE,			// ôģʽӦNET_IN_WM_SET_CORRIDOR_MODENET_OUT_WM_SET_CORRIDOR_MODE
	NET_WM_OPERATE_GET_CORRIDOR_MODE,			// ȡģʽӦNET_IN_WM_GET_CORRIDOR_MODENET_OUT_WM_GET_CORRIDOR_MODE
	NET_WM_OPERATE_SET_VOLUME_COLUMN,			// ʾʹģʽӦNET_IN_WM_SET_VOLUME_COLUMNNET_OUT_WM_SET_VOLUME_COLUMN
	NET_WM_OPERATE_GET_VOLUME_COLUMN,			// ȡʾʹģʽӦNET_IN_WM_GET_VOLUME_COLUMNNET_OUT_WM_GET_VOLUME_COLUMN
	NET_WM_OPERATE_SET_BACKGROUND,				// ôڱͼƬӦNET_IN_WM_SET_BACKGROUNDNET_OUT_WM_SET_BACKGROUND
	NET_WM_OPERATE_GET_BACKGROUND,				// ȡڱͼƬӦNET_IN_WM_GET_BACKGROUNDNET_OUT_WM_GET_BACKGROUND
    NET_WM_OPERATE_SET_ROTATE_MODE,				// ͼתģʽӦNET_IN_WM_SET_ROTATE_MODENET_OUT_WM_SET_ROTATE_MODE

    NET_WM_OPERATE_SET_MEETING_MODE,			// ƵԴʾģʽӦNET_IN_WM_SET_MEETING_MODENET_OUT_WM_SET_MEETING_MODE
    NET_WM_OPERATE_SET_LOCK_POSITION,			// ڵǰλãӦNET_IN_WM_SET_LOCK_POSITIONNET_OUT_WM_SET_LOCK_POSITION
    NET_WM_OPERATE_SET_COLLECTION_CTRL_ID,		// ޸ԤIDӦNET_IN_WM_SET_COLLECTION_CTRL_IDNET_OUT_WM_SET_COLLECTION_CTRL_ID
    NET_SPLIT_OPERATES_SET_SOURCE_ATTRIBUTE,	// źԴԣӦNET_IN_SPLIT_SET_SOURCE_ATTRIBUTENET_OUT_SPLIT_SET_SOURCE_ATTRIBUTE
    NET_SPLIT_OPERATES_SET_DOCK_CONTROL,	    // ôճ״̬ӦNET_IN_SPLIT_SET_DOCK_CONTROLNET_OUT_SPLIT_SET_DOCK_CONTROL
    NET_WM_OPERATE_SET_MODE,			        // ôڷָģʽӦNET_IN_WM_SET_MODENET_OUT_WM_SET_MODE
} NET_SPLIT_OPERATE_TYPE;
 
// Դ߿ʹܿ
typedef struct tagNET_IN_SPLIT_SET_HIGHLIGHT
{
    DWORD           dwSize; 
    int             nChannel;                   // Ƶͨ
    int             nWindow;                    // ں
    BOOL            bHighLightEn;               // ߿ʹ,TRUE-ʾ
    DH_COLOR_RGBA   stuColor;                   // ߿ɫ 
    int				nBlinkTimes;				// ߿˸
    int				nBlinkInterval;				// ˸ʱ,λms
}NET_IN_SPLIT_SET_HIGHLIGHT;

// Դ߿ʹܿ
typedef struct tagNET_OUT_SPLIT_SET_HIGHLIGHT
{
    DWORD           dwSize;
}NET_OUT_SPLIT_SET_HIGHLIGHT;

// ԤԴ
typedef struct tagNET_IN_SPLIT_SET_PREPULLSRC 
{
    DWORD           dwSize;
    int             nChannel;                   // Ƶͨ
    int             nWindow;                    // ں
    int             nSrcCount;                  // ԤԴ
    DH_SPLIT_SOURCE* pSources;                  // ԤԴϢ,ûڴ棬СΪsizeof(DH_SPLIT_SOURCE)*nSrcCount
} NET_IN_SPLIT_SET_PREPULLSRC;

// ԤԴķؽ
typedef struct tagNET_SPLIT_SET_PREPULLSRC_RESULT 
{
    DWORD           dwSize;
    BOOL            bResult;                    // ý, TRUE-ɹ, FALSE-ʧ
    DWORD           dwErrorCode;                // ʧܴ
} NET_SPLIT_SET_PREPULLSRC_RESULT;

// ԤԴ
typedef struct tagNET_OUT_SPLIT_SET_PREPULLSRC 
{
    DWORD           dwSize;
    int             nResultCount;               // , ԤԴͬ
    NET_SPLIT_SET_PREPULLSRC_RESULT* pResults;  // 
} NET_OUT_SPLIT_SET_PREPULLSRC;

// Ƶͼ
typedef struct tagNET_IN_SPLIT_SET_BACKGROUND
{
    DWORD            dwSize;
    int              nChannel;                   // Ƶͨ
    BOOL             bEnable;                    // ʹ
    const char*      pszFileName;                // ͼ
} NET_IN_SPLIT_SET_BACKGROUND;

// Ƶͼ
typedef struct tagNET_OUT_SPLIT_SET_BACKGROUND 
{
    DWORD            dwSize;
} NET_OUT_SPLIT_SET_BACKGROUND;

// ȡƵͼ
typedef struct tagNET_IN_SPLIT_GET_BACKGROUND 
{
    DWORD            dwSize;
    int              nChannel;                   // Ƶͨ
} NET_IN_SPLIT_GET_BACKGROUND;

// ȡƵͼ
typedef struct tagNET_OUT_SPLIT_GET_BACKGROUND 
{
    DWORD            dwSize;
    BOOL             bEnable;                            // ʹ
    char             szFileName[DH_COMMON_STRING_256];   // ͼ
} NET_OUT_SPLIT_GET_BACKGROUND;

//ôڱͼ
typedef struct tagNET_IN_WM_SET_BACKGROUND
{
	DWORD				dwSize;
	int					nChannel;							// ͨŻںͨ, pszCompositeIDΪNULLʱЧ
	char			   *pszCompositeID;						// ںID
	int					nWindowID;							// ں
	BOOL				bEnable;							// Ƿӵͼ
	char				szFileName[DH_COMMON_STRING_128];	// ͼƬ
} NET_IN_WM_SET_BACKGROUND;

// ôڱͼ
typedef struct tagNET_OUT_WM_SET_BACKGROUND
{
	DWORD            	dwSize;
} NET_OUT_WM_SET_BACKGROUND;

// ȡڱͼ
typedef struct tagNET_IN_WM_GET_BACKGROUND
{
	DWORD            	dwSize;
	int					nChannel;				// ͨŻںͨ, pszCompositeIDΪNULLʱЧ
	char			   *pszCompositeID;			// ںID
	int					nWindowID;				// ں
} NET_IN_WM_GET_BACKGROUND;

// ȡڱͼ
typedef struct tagNET_OUT_WM_GET_BACKGROUND
{
	DWORD            	dwSize;
	BOOL             	bEnable;                            // Ƿӵͼ
    char             	szFileName[DH_COMMON_STRING_128];   // ͼ
} NET_OUT_WM_GET_BACKGROUND;

// Z
typedef enum tagNET_WINDOW_ZORDER
{
    NET_WINDOW_ZORDER_TOP,                              // 
    NET_WINDOW_ZORDER_BOTTOM,                           // ײ
    NET_WINDOW_ZORDER_UP,                               // һ
    NET_WINDOW_ZORDER_DOWN,                             // һ
} NET_WINDOW_ZORDER;

// ڲ
typedef struct tagDH_WND_ZORDER
{
    DWORD               dwSize;
    unsigned int        nWindowID;                      // 
    unsigned int        nZOrder;                        // Z
} DH_WND_ZORDER;

// ôZ
typedef struct tagNET_IN_SPLIT_SET_ZORDER 
{
    DWORD               dwSize;
    int                 nChannel;                       // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*         pszCompositeID;                 // ںID
    int                 nWindow;                        // ں
    NET_WINDOW_ZORDER   emZOrder;                       // Z
} NET_IN_SPLIT_SET_ZORDER;

// ôZ, һڵZӰд, صдڵZ
typedef struct tagNET_OUT_SPLIT_SET_ZORDER
{
    DWORD               dwSize;
    DH_WND_ZORDER*      pZOders;                        // ڴ, ûڴ,СΪsizeof(DH_WND_ZORDER)*nMaxWndCount
    int                 nMaxWndCount;                   // ڴС
    int                 nWndCount;                      // صĴ
} NET_OUT_SPLIT_SET_ZORDER;

// Ѳ
typedef enum tagEM_NET_WINDOW_TOUR_ACTION 
{
    EM_NET_WND_TOUR_ACTION_START,                       // ʼ
    EM_NET_WND_TOUR_ACTION_STOP,                        // ֹͣ
} EM_NET_WINDOW_TOUR_ACTION;

// Ѳ, ӦNET_SPLIT_OPERATE_SET_TOUR
typedef struct tagNET_IN_SPLIT_SET_TOUR 
{
    DWORD               dwSize;
    int                 nChannel;                       // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*         pszCompositeID;                 // ںID
    int                 nWindow;                        // ں
    EM_NET_WINDOW_TOUR_ACTION emAction;                 // Ѳ
} NET_IN_SPLIT_SET_TOUR;

// Ѳ, ӦNET_SPLIT_OPERATE_SET_TOUR
typedef struct tagNET_OUT_SPLIT_SET_TOUR 
{
    DWORD               dwSize;
} NET_OUT_SPLIT_SET_TOUR;

// ȡѲ״̬, ӦNET_SPLIT_OPERATE_GET_TOUR_STATUS
typedef struct tagNET_IN_SPLIT_GET_TOUR_STATUS
{
    DWORD               dwSize;
    int                 nChannel;                       // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*         pszCompositeID;                 // ںID
    int                 nWindow;                        // ں, -1ʾд
} NET_IN_SPLIT_GET_TOUR_STATUS;

// Ѳ״̬
typedef enum tagNET_TOUR_STATUS
{
    NET_TOUR_UNKNOWN,                               // δ֪
    NET_TOUR_START,                                 // Ѳ
    NET_TOUR_STOP,                                  // Ѳֹͣ
}NET_TOUR_STATUS;

// Ѳ״̬Ϣ
typedef struct tagNET_WINDOW_TOUR_STATUS_INFO 
{
    DWORD               dwSize;
    int                 nWindow;                        // ں
    NET_TOUR_STATUS     emStatus;                       // ״̬
} NET_WINDOW_TOUR_STATUS_INFO;

// ȡѲ״̬, ӦNET_SPLIT_OPERATE_GET_TOUR_STATUS
typedef struct tagNET_OUT_SPLIT_GET_TOUR_STATUS
{
    DWORD               dwSize;
    NET_WINDOW_TOUR_STATUS_INFO* pstuStatus;            // ״̬Ϣָ,  ûڴ. ѯںΪ-1ʱʾڵϢ.
    int                 nMaxStatusCount;                // ״̬Ϣ, û
    int                 nRetStatusCount;                // ״̬Ϣʵ, ѯõ
} NET_OUT_SPLIT_GET_TOUR_STATUS;

// , ӦNET_SPLIT_OPERATE_OPEN_WINDOWS
typedef struct tagNET_IN_SPLIT_OPEN_WINDOWS 
{
    DWORD               dwSize;
    int                 nChannel;                       // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*         pszCompositeID;                 // ںid
    int                 nWindowNum;                     // 
    NET_RECT*           pstuWindowRects;                // ,ûڴ棬СΪsizeof(NET_RECT)*nWindowNum
    BOOL                bDirectable;                    // ֱͨ
} NET_IN_SPLIT_OPEN_WINDOWS;

// Ϣ
typedef struct tagNET_SPLIT_WINDOW_INFO
{
    DWORD               dwSize;
    int                 nWindowID;                      // ں
    int                 nZOrder;                        // Z
    char                szControlID[DH_DEV_ID_LEN];     // Ʊ
} NET_SPLIT_WINDOW_INFO;

// , ӦNET_SPLIT_OPERATE_OPEN_WINDOWS
typedef struct tagNET_OUT_SPLIT_OPEN_WINDOWS 
{
    DWORD               dwSize;
    NET_SPLIT_WINDOW_INFO*  pstuWindows;                // Ϣ, ûڴ,СΪsizeof(NET_SPLIT_WINDOW_INFO)*nMaxWindowCount
    int                 nMaxWindowCount;                // Ϣ, û
    int                 nRetWindowCount;                // 
} NET_OUT_SPLIT_OPEN_WINDOWS;

// ָģʽ
typedef enum tagNET_SPLIT_WORK_MODE
{
    NET_SPLIT_WORK_MODE_UNKNOWN,                        // δ֪
    NET_SPLIT_WORK_MODE_LOCAL,                          // ͨģʽ
    NET_SPLIT_WORK_MODE_REPLAY,                         // طģʽ
}NET_SPLIT_WORK_MODE;

// ùģʽ, Ӧ NET_SPLIT_OPERATE_SET_WORK_MODE
typedef struct tagNET_IN_SPLIT_SET_WORK_MODE 
{
    DWORD               dwSize;
    int                 nChannel;                       // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*         pszCompositeID;                 // ںID
    NET_SPLIT_WORK_MODE emMode;                         // ģʽ
}NET_IN_SPLIT_SET_WORK_MODE;

// ùģʽ, Ӧ NET_SPLIT_OPERATE_SET_WORK_MODE
typedef struct tagNET_OUT_SPLIT_SET_WORK_MODE 
{
    DWORD               dwSize;
}NET_OUT_SPLIT_SET_WORK_MODE;

// 
typedef enum tagNET_SPLIT_PLAYER_TYPE
{
    NET_SPLIT_PLAYER_TYPE_UNKNOWN,                       // δ֪
    NET_SPLIT_PLAYER_TYPE_FILE_LIST,                     // ļб
    NET_SPLIT_PLAYER_TYPE_FILE,                          // ļ
}NET_SPLIT_PLAYER_TYPE;

// ȡʵ, Ӧ NET_SPLIT_OPERATE_GET_PLAYER
typedef struct tagNET_IN_SPLIT_GET_PLAYER
{
    DWORD                 dwSize;
    int                   nChannel;                       // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*           pszCompositeID;                 // ںID
    NET_SPLIT_PLAYER_TYPE emType;                         // 
    int                   nWindow;                        // ڵĴں
}NET_IN_SPLIT_GET_PLAYER;

// ȡʵ, Ӧ NET_SPLIT_OPERATE_GET_PLAYER
typedef struct tagNET_OUT_SPLIT_GET_PLAYER
{
    DWORD                 dwSize;
    LLONG                 lPlayerID;                      // ʵID
}NET_OUT_SPLIT_GET_PLAYER;

// ڹģʽ
typedef enum tagNET_WM_WORK_MODE
{
    NET_WM_WORK_MODE_UNKNOWN,                             // δ֪
    NET_WM_WORK_MODE_DISPLAY,                             // Ԥģʽ
    NET_WM_WORK_MODE_REPLAY,                              // طģʽ  
}NET_WM_WORK_MODE;

// ôڹģʽ, Ӧ NET_WM_OPERATE_SET_WORK_MODE
typedef struct tagNET_IN_WM_SET_WORK_MODE
{
    DWORD                 dwSize;
    int                   nChannel;                       // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*           pszCompositeID;                 // ںID
    int                   nWindow;                        // ں
    NET_WM_WORK_MODE      emMode;                         // ڹģʽ
}NET_IN_WM_SET_WORK_MODE;

//ôڹģʽ, Ӧ NET_WM_OPERATE_SET_WORK_MODE
typedef struct tagNET_OUT_WM_SET_WORK_MODE
{
    DWORD                 dwSize;
}NET_OUT_WM_SET_WORK_MODE;

// ȡڹģʽ, Ӧ NET_WM_OPERATE_GET_WORK_MODE
typedef struct tagNET_IN_WM_GET_WORK_MODE
{
    DWORD                 dwSize;
    int                   nChannel;                       // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*           pszCompositeID;                 // ںID
    int                   nWindow;                        // ں
}NET_IN_WM_GET_WORK_MODE;

//ȡڹģʽ, Ӧ NET_WM_OPERATE_GET_WORK_MODE
typedef struct tagNET_OUT_WM_GET_WORK_MODE
{
    DWORD                 dwSize;
    NET_WM_WORK_MODE      emMode;                         // ڹģʽ
}NET_OUT_WM_GET_WORK_MODE;

// ôģʽӦNET_WM_OPERATE_SET_CORRIDOR_MODE
typedef struct tagNET_IN_WM_SET_CORRIDOR_MODE
{
	DWORD                 dwSize;			// ûʹʱֵΪṹС
	int 				  nChannel;			// ͨŻںͨ, pszCompositeIDΪNULLʱЧ
	const char* 		  pszCompositeID;	// ںID
	int 				  nWindow;			// ں
	BOOL	  			  bIsCorridor;		// ģʽ(TRUE:  FALSE:ر)
} NET_IN_WM_SET_CORRIDOR_MODE;

// ôģʽӦNET_WM_OPERATE_SET_CORRIDOR_MODE
typedef struct tagNET_OUT_WM_SET_CORRIDOR_MODE
{
	DWORD                 dwSize;		// ûʹʱֵΪṹС
} NET_OUT_WM_SET_CORRIDOR_MODE;

// ȡģʽӦNET_WM_OPERATE_GET_CORRIDOR_MODE
typedef struct tagNET_IN_WM_GET_CORRIDOR_MODE
{
	DWORD                 dwSize;			// ûʹʱֵΪṹС
	int 				  nChannel;			// ͨŻںͨ, pszCompositeIDΪNULLʱЧ
	const char* 		  pszCompositeID;	// ںID
	int 				  nWindow;			// ں
} NET_IN_WM_GET_CORRIDOR_MODE;

// ȡģʽӦNET_WM_OPERATE_GET_CORRIDOR_MODE
typedef struct tagNET_OUT_WM_GET_CORRIDOR_MODE
{
	DWORD                 dwSize;			// ûʹʱֵΪṹС
	BOOL	  			  bIsCorridor;		// ģʽ(TRUE:  FALSE:ر)
} NET_OUT_WM_GET_CORRIDOR_MODE;

// ʾʹģʽӦNET_WM_OPERATE_SET_VOLUME_COLUMN
typedef struct tagNET_IN_WM_SET_VOLUME_COLUMN
{
	DWORD                 dwSize;			// ûʹʱֵΪṹС
	int 				  nChannel;			// ͨŻںͨ, pszCompositeIDΪNULLʱЧ
	const char* 		  pszCompositeID;	// ںID
	BOOL				  bIsEnable;	    // Ƿʾ(TRUE:ʾ  FALSE:ر)
} NET_IN_WM_SET_VOLUME_COLUMN;				

// ʾʹģʽӦNET_WM_OPERATE_SET_VOLUME_COLUMN
typedef struct tagNET_OUT_WM_SET_VOLUME_COLUMN
{
	DWORD				   dwSize;			// ûʹʱֵΪṹС
} NET_OUT_WM_SET_VOLUME_COLUMN;

// ȡʾʹģʽ˲ӦNET_WM_OPERATE_GET_VOLUME_COLUMN
typedef struct tagNET_IN_WM_GET_VOLUME_COLUMN
{
	DWORD                 dwSize;			// ûʹʱֵΪṹС
	int 				  nChannel;			// ͨŻںͨ, pszCompositeIDΪNULLʱЧ
	const char* 		  pszCompositeID;	// ںID
} NET_IN_WM_GET_VOLUME_COLUMN;

// ȡʾʹģʽӦNET_WM_OPERATE_GET_VOLUME_COLUMN
typedef struct tagNET_OUT_WM_GET_VOLUME_COLUMN
{
	DWORD				   dwSize;			// ûʹʱֵΪṹС
	BOOL				   bIsEnable;		// Ƿʾ(TRUE:ʾ  FALSE:ر)	
} NET_OUT_WM_GET_VOLUME_COLUMN;

// ش, ӦNET_SPLIT_OPERATE_CLOSE_WINDOWS
typedef struct tagNET_IN_SPLIT_CLOSE_WINDOWS
{
    DWORD               dwSize;
    int                 nChannel;                       // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*         pszCompositeID;                 // ںID
    int*                pnWindows;                      // ںָ,ûڴ,СΪsizeof(int)*nWindowCount
    int                 nWindowCount;                   // 
} NET_IN_SPLIT_CLOSE_WINDOWS;

// ش
typedef struct tagNET_SPLIT_CLOSE_WINDOW_RESULT 
{
    BOOL                bResult;                        // 
    char                reserved[256];                  // ֽ
} NET_SPLIT_CLOSE_WINDOW_RESULT ;

// ش, ӦNET_SPLIT_OPERATE_CLOSE_WINDOWS
typedef struct tagNET_OUT_SPLIT_CLOSE_WINDOWS
{
    DWORD               dwSize;
    NET_SPLIT_CLOSE_WINDOW_RESULT* pstuResults;         // , ûڴ,СΪsizeof(NET_SPLIT_CLOSE_WINDOW_RESULT)*nMaxResultCount. Ҫؽ, ΪNULL
    int                 nMaxResultCount;                // , ûд.
    int                 nRetResultCount;                // صĽ
} NET_OUT_SPLIT_CLOSE_WINDOWS;

//۽ģʽ
typedef enum tagNET_WM_FISHEYE_CALIBRATE_MODE
{
    NET_WM_FISHEYE_CALIBRATE_MODE_UNKOWN ,            // δ֪ģʽ
    NET_WM_FISHEYE_CALIBRATE_MODE_CLOSE ,             // ر㷨
    NET_WM_FISHEYE_CALIBRATE_MODE_ORIGINAL,           // ԭʼģʽ() ű
    NET_WM_FISHEYE_CALIBRATE_MODE_PANORAMA,           // 1P
    NET_WM_FISHEYE_CALIBRATE_MODE_PAN_PLUS_ONE,       // 1P+1
    NET_WM_FISHEYE_CALIBRATE_MODE_DOUBLE_PANORAMA,    // 2P        
    NET_WM_FISHEYE_CALIBRATE_MODE_ORI_DOUBLE_PAN,     // 1+2p
    NET_WM_FISHEYE_CALIBRATE_MODE_ORI_PLUS_THREEE,    // 1+3
    NET_WM_FISHEYE_CALIBRATE_MODE_PAN_PLUS_THREEE,    // 1p+3
    NET_WM_FISHEYE_CALIBRATE_MODE_ORI_PLUS_TWO,       // 1+2
    NET_WM_FISHEYE_CALIBRATE_MODE_ORI_PLUS_FOUR,      // 1+4
    NET_WM_FISHEYE_CALIBRATE_MODE_PAN_PLUS_FOUR,      // 1p+4
    NET_WM_FISHEYE_CALIBRATE_MODE_PAN_PLUS_SIX,       // 1p+6
    NET_WM_FISHEYE_CALIBRATE_MODE_ORI_PLUS_EIGHT,     // 1+8
    NET_WM_FISHEYE_CALIBRATE_MODE_PAN_PLUS_EIGHT,     // 1P+8
}NET_WM_FISHEYE_CALIBRATE_MODE;

//۽
typedef struct tagNET_WM_FISH_EYE_REGION_PARAM
{
    int     nCoordinateX;         // ĶӦԭʼԲĺ
    int     nCoordinateY;         // ĶӦԭʼԲĺ
    int     nAngleH;              // XYΪ,УΧˮƽǶ
    int     nAngleV;              // XYΪ,УΧĴֱǶ
    int 	nAvailable;			  // ʾǷ
    BYTE    Reserved[124];        // ֽ
}NET_WM_FISH_EYE_REGION_PARAM;

#define MAX_FISH_EYE_REGION_NUM     9
//ģʽʼϢ,ģʽлָһε״̬
typedef struct tagNET_WM_SET_FISHEYE_INIT_PARAM
{
    BOOL                            bUseRegion;         // ΪTRUEʱ,ʹ³Աгʼ,ΪFALSEʱ³ԱЧ
    int                             nCircular;          // ƫ(ʾģʽдԭʼͼʱ塣1+31+8ģʽ1)
    int                             nPanorama;          // ȫƫ(ʾģʽȫʱ,1P2Pģʽ)
	int                             nFishEyeRegionNum;  // ۽(ʵʵĽģʽ.1+3,4Ԫ)
    NET_WM_FISH_EYE_REGION_PARAM    stFishEyeRegions[MAX_FISH_EYE_REGION_NUM];    // ۽Ϣ
    BYTE                            Reserved[1024];                       // ֽ
}NET_WM_SET_FISHEYE_INIT_PARAM;

//̨ƶ
typedef struct tagNET_WM_SET_FISHEYE_EPTZ_PARAM
{
	int 							nOptWayType;		// (ʾ̨ʱarg1,ʾƶǷŴ)
	int 							nOptWinNum; 		// Сں(ǰڲСں)
	int 							nOptWayData;		// (ʾ̨ʱݴСOptWayTypeʹ)
	BYTE                            Reserved[512];      // ֽ
}NET_WM_SET_FISHEYE_EPTZ_PARAM;

//۽, ӦNET_IN_WM_SET_FISH_EYE_PARAM
typedef struct tagNET_IN_WM_SET_FISH_EYE_PARAM
{
    DWORD                           dwSize;
    int                             nChannel;            // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*                     pszCompositeID;      // ںID
    int                             nWindowID;           // ӦĴں

    NET_FISHEYE_MOUNT_MODE          emMount;            // ۰װģʽ
    NET_WM_FISHEYE_CALIBRATE_MODE   emCalibrate;        // ۽ģʽ
    NET_WM_SET_FISHEYE_INIT_PARAM   stInitParam;        // ģʽʼϢ   
    NET_WM_SET_FISHEYE_EPTZ_PARAM	stEPtzParam;		// ̨ƶ
}NET_IN_WM_SET_FISH_EYE_PARAM;

//۽, ӦNET_OUT_WM_SET_FISH_EYE_PARAM
typedef struct tagNET_OUT_WM_SET_FISH_EYE_PARAM
{
    DWORD dwSize;
}NET_OUT_WM_SET_FISH_EYE_PARAM;

// ͼתʽ
typedef enum tagEM_WM_ROTATE_TYPE
{
    EM_WM_ROTATE_TYPE_NO_ROTATE,                         // ת 
    EM_WM_ROTATE_TYPE_90_ROTATE,                         // ת90 
    EM_WM_ROTATE_TYPE_180_ROTATE,                        // ת180
    EM_WM_ROTATE_TYPE_270_ROTATE,                        // ת270  
}EM_WM_ROTATE_TYPE;

// ͼתģʽ
typedef struct tagNET_IN_WM_SET_ROTATE_MODE
{
    DWORD				dwSize;
    int                 nChannel;                        // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*         pszCompositeID;                  // ںID
    int					nWindowID;					     // ں
    EM_WM_ROTATE_TYPE	emRotateType;			         // ͼתʽ
} NET_IN_WM_SET_ROTATE_MODE;

// ͼתģʽ
typedef struct tagNET_OUT_WM_SET_ROTATE_MODE
{
    DWORD            	dwSize;
} NET_OUT_WM_SET_ROTATE_MODE;


// źԴ 
typedef struct tagNET_SOURCE_ATTRIBUTE_INFO
{
    unsigned char       ucBrightness;       // ,Χ0~255
    unsigned char       ucContrast;         // Աȶ,Χ0~255
    unsigned char       ucSaturation;       // ɫʱͶ,Χ0~255
    unsigned char       ucEQ;               // ƵƵźŵĲ,Χ0~10
    BYTE                byReserver1[4];     // ֽڣֽڶ
    int                 nMargin[4];         // ߾,ÿһֱʾźԴĸߵı߾,ÿ-50~50 
    BYTE                byReserver[512];    // ֽ   
}NET_SOURCE_ATTRIBUTE_INFO;

// źԴ 
typedef struct tagNET_IN_SPLIT_SET_SOURCE_ATTRIBUTE
{
    DWORD                       dwSize;             // ṹС
    char                        szCompositeID[64];  // ƴID
    int                         nChannel;           // ͨ
    int                         nWindow;            // ں
    NET_SOURCE_ATTRIBUTE_INFO   stuAttribute;       // źԴ 
}NET_IN_SPLIT_SET_SOURCE_ATTRIBUTE;

// źԴ 
typedef struct tagNET_OUT_SPLIT_SET_SOURCE_ATTRIBUTE
{
    DWORD                       dwSize;             // ṹС
}NET_OUT_SPLIT_SET_SOURCE_ATTRIBUTE;

// ôճ״̬ 
typedef struct tagNET_IN_SPLIT_SET_DOCK_CONTROL
{
    DWORD                       dwSize;             // ṹС
    char                        szCompositeID[64];  // ƴID
    int                         nChannel;           // ͨ
    int                         nWindow;            // ں
    BOOL                        bDock;              // ǷճЧ
}NET_IN_SPLIT_SET_DOCK_CONTROL;

// ôճ״̬ 
typedef struct tagNET_OUT_SPLIT_SET_DOCK_CONTROL
{
    DWORD                       dwSize;             // ṹС
}NET_OUT_SPLIT_SET_DOCK_CONTROL;


//ƵԴʾģʽ 
typedef struct tagNET_IN_WM_SET_MEETING_MODE
{
    DWORD                       dwSize;             // ṹС
    char                        szComposite[64];    // ƴ
    int                         nChannel;           // ͨŻںͨ, szCompositeΪʱЧ  
    int                         nWindow;            // ں
    BOOL                        bEnable;            // TRUEģʽ; FALSE׼ģʽ
}NET_IN_WM_SET_MEETING_MODE;

//ƵԴʾģʽ 
typedef struct tagNET_OUT_WM_SET_MEETING_MODE
{
    DWORD                       dwSize;             // ṹС
}NET_OUT_WM_SET_MEETING_MODE;


// ڵǰλ 
typedef struct tagNET_IN_WM_SET_LOCK_POSITION
{
    DWORD                       dwSize;             // ṹС
    char                        szComposite[64];    // ƴ
    int                         nChannel;           // ͨŻںͨ, szCompositeΪʱЧ 
    int                         nWindow;            // ID,-1д 
    BOOL                        bLock;              // Ƿ
}NET_IN_WM_SET_LOCK_POSITION;


// ڵǰλ 
typedef struct tagNET_OUT_WM_SET_LOCK_POSITION
{
    DWORD                       dwSize;             // ṹС
}NET_OUT_WM_SET_LOCK_POSITION;

// ޸ԤID 
typedef struct tagNET_IN_WM_SET_COLLECTION_CTRL_ID
{
    DWORD                       dwSize;             // ṹС
    int                         nChannel;           // ͨŻںͨ, szCompositeΪʱЧ 
    char                        szComposite[64];    // ƴ
    char                        szName[128];        // Ԥ
    char                        szControlID[8];     // ԤµĿID(ֵΧ1-255)
}NET_IN_WM_SET_COLLECTION_CTRL_ID;

// ޸ԤID 
typedef struct tagNET_OUT_WM_SET_COLLECTION_CTRL_ID
{
    DWORD                       dwSize;             // ṹС
}NET_OUT_WM_SET_COLLECTION_CTRL_ID ;

// ôڷָģʽ 
typedef struct tagNET_IN_WM_SET_MODE
{
    DWORD                       dwSize;             // ṹС
    int                         nChannel;           // ͨŻںͨ
    int                         nWindow;            // ں
    DH_SPLIT_MODE               emSplitMode;        // ָģʽ
}NET_IN_WM_SET_MODE ;

// ָĴϢ
typedef struct tagNET_SPLITED_WINDOW_INFO
{
    NET_RECT            stuRect;                    // ,8192ϵ[0-8191]
    int                 nWindow;                    // ں,ǲֺ´ںԭĴںǲͬ
    int                 nZOrder;                    // Z
    char                szControlID[32];            // ڿID  
    BYTE                byReserver[512];            // ֽ
}NET_SPLITED_WINDOW_INFO;


// ôڷָģʽ 
typedef struct tagNET_OUT_WM_SET_MODE
{
    DWORD                       dwSize;                 // ṹС
    UINT                        nSplitedWindowNum;      // ָĴڸ
    NET_SPLITED_WINDOW_INFO     stuSplitedWindow[144];  // ָĴϢ
}NET_OUT_WM_SET_MODE;

////////////////////////////////// ϵͳ״̬ ////////////////////////////////////////

// CPUϢ
typedef struct tagDH_CPU_INFO
{
    DWORD               dwSize;
    int                 nUsage;                         // CPU
} DH_CPU_INFO;

// CPU״̬
typedef struct tagDH_CPU_STATUS
{
    DWORD               dwSize;
    BOOL                bEnable;                        // ѯǷɹ
    int                 nCount;                         // CPU
    DH_CPU_INFO         stuCPUs[DH_MAX_CPU_NUM];        // CPUϢ
} DH_CPU_STATUS;

// ڴϢ
typedef struct tagDH_MEMORY_INFO
{
    DWORD               dwSize;
    DWORD               dwTotal;                        // ڴ, M
    DWORD               dwFree;                         // ʣڴ, M
} DH_MEMORY_INFO;

// ڴ״̬
typedef struct tagDH_MEMORY_STATUS 
{
    DWORD               dwSize;
    BOOL                bEnable;                        // ѯǷɹ
    DH_MEMORY_INFO      stuMemory;                      // ڴϢ
} DH_MEMORY_STATUS;

// Ϣ
typedef struct tagDH_FAN_INFO
{
    DWORD               dwSize;
    char                szName[DH_DEVICE_NAME_LEN];     // 
    DWORD               nSpeed;                         // ٶ
} DH_FAN_INFO;

// ״̬
typedef struct tagDH_FAN_STATUS
{
    DWORD               dwSize;
    BOOL                bEnable;                        // ѯǷɹ
    int                 nCount;                         // 
    DH_FAN_INFO         stuFans[DH_MAX_FAN_NUM];        // ״̬
} DH_FAN_STATUS;

// Դ״̬
typedef enum __EM_CURRENT_STATE_TYPE
{
    EM_CURRENT_STATE_UNKNOWN = 0,
    EM_CURRENT_STATE_OVER_CURRENT,                      // 
    EM_CURRENT_STATE_NORMAL,                            // 
    EM_CURRENT_STATE_UNDER_CURRENT,                     // ԴǷ
}EM_CURRENT_STATE_TYPE;

// Դѹ״̬
typedef enum tagEM_VOLTAGE_STATE_TYPE
{
    EM_VOLTAGE_STATE_UNKNOWN,                           // δ֪
    EM_VOLTAGE_STATE_OVER,                              // ѹ
    EM_VOLTAGE_STATE_NORMAL,                            // 
    EM_VOLTAGE_STATE_UNDER,                             // Ƿѹ
} EM_VOLTAGE_STATE_TYPE;

// ԴϢ
typedef struct tagDH_POWER_INFO
{
    DWORD               dwSize;
    BOOL                bPowerOn;                       // Դ״̬, 0-ر, 1-, 2-򿪵й
    EM_CURRENT_STATE_TYPE emCurrentState;               // Դ״̬
    EM_VOLTAGE_STATE_TYPE emVoltageState;               // Դѹ״̬
} DH_POWER_INFO;


// λ״̬
typedef enum __EM_BATTERY_EXIST_STATE
{
    EM_BATTERY_EXIST_STATE_UNKNOWN = 0,
    EM_BATTERY_EXIST_STATE_EXIST,                       // λ
    EM_BATTERY_EXIST_STATE_MISSING,                     // ضʧ
}EM_BATTERY_EXIST_STATE;

// ص״̬
typedef enum __EM_BATTERY_STATE
{
    EM_BATTERY_STATE_UNKNOWN = 0,
    EM_BATTERY_STATE_NORMAL,                            // 
    EM_BATTERY_STATE_LOW,                               // 
}EM_BATTERY_STATE;

// Ϣ, CLIENT_QueryDevStateӿڵ DH_DEVSTATE_POWER_STATE 
typedef struct tagDH_BATTERY_INFO
{
    DWORD               dwSize;
    int                 nPercent;                       // ٷֱ
    BOOL                bCharging;                      // Ƿڳ
    EM_BATTERY_EXIST_STATE emExistState;                // λ״̬
    EM_BATTERY_STATE    emState;                        // ص״̬
	float				fVoltage;						// صѹ
} DH_BATTERY_INFO;

// Դ״̬
typedef struct tagDH_POWER_STATUS
{
    DWORD               dwSize;
    BOOL                bEnable;                            // ѯǷɹ
    int                 nCount;                             // Դ
    DH_POWER_INFO       stuPowers[DH_MAX_POWER_NUM];        // Դ״̬
    int                 nBatteryNum;                        // 
    DH_BATTERY_INFO     stuBatteries[DH_MAX_BATTERY_NUM];   // ״̬
} DH_POWER_STATUS;

// ¶Ϣ
typedef struct tagDH_TEMPERATURE_INFO
{
    DWORD               dwSize;
    char                szName[DH_DEVICE_NAME_LEN];         // 
    float               fTemperature;                       // ¶
} DH_TEMPERATURE_INFO;

// ¶״̬
typedef struct tagDH_TEMPERATURE_STATUS
{
    DWORD               dwSize;
    BOOL                bEnable;                            // ѯǷɹ
    int                 nCount;                             // ¶
    DH_TEMPERATURE_INFO stuTemps[DH_MAX_TEMPERATURE_NUM];   // ¶Ϣ 
} DH_TEMPERATURE_STATUS;

// ϵͳ״̬
typedef struct tagDH_SYSTEM_STATUS
{
    DWORD                   dwSize;
    DH_CPU_STATUS*          pstuCPU;                        // CPU״̬
    DH_MEMORY_STATUS*       pstuMemory;                     // ڴ״̬
    DH_FAN_STATUS*          pstuFan;                        // ״̬
    DH_POWER_STATUS*        pstuPower;                      // Դ״̬
    DH_TEMPERATURE_STATUS*  pstuTemp;                       // ¶״̬
} DH_SYSTEM_STATUS;

// ӦCLIENT_QueryDevState()ӿڵ DH_DEVSTATE_ALL_ALARM_CHANNELS_STATE
// ȡͨ״̬
typedef enum tagNET_ALARM_CHANNEL_TYPE
{
    NET_ALARM_CHANNEL_TYPE_ALL,                             // ͨУ
    NET_ALARM_CHANNEL_TYPE_ALARMIN,                         // ͨ
    NET_ALARM_CHANNEL_TYPE_ALARMOUT,                        // ͨ
    NET_ALARM_CHANNEL_TYPE_ALARMBELL,                       // ͨ
    NET_ALARM_CHANNEL_TYPE_EXALARMIN,                       // չģ鱨ͨ
    NET_ALARM_CHANNEL_TYPE_EXALARMOUT,                      // չģ鱨ͨ
}NET_ALARM_CHANNEL_TYPE;

typedef struct tagNET_CLIENT_ALARM_CHANNELS_STATE
{
    DWORD                       dwSize;
    NET_ALARM_CHANNEL_TYPE      emType;                     // ѯͨ                                                                                                                                
    int                         nAlarmInCount;              // ,ûָ
    int                         nAlarmInRetCount;           // 뷵ظ
    BOOL*                       pbAlarmInState;             // ״̬,ûڴ,ÿԪرʾһͨ״̬,TRUEΪ,FALSEΪ
															// ûڴ,Сsizeof(BOOL)*nAlarmInCount
	int                         nAlarmOutCount;             // ,ûָ
    int                         nAlarmOutRetCount;          // 
    BOOL*                       pbAlarmOutState;            // ״̬,ûڴ,ÿԪرʾһͨ״̬,TRUEΪ,FALSEΪ
															// ûڴ,Сsizeof(BOOL)*nAlarmOutCount
	int                         nAlarmBellCount;            // Ÿ,ûָ
    int                         nAlarmBellRetCount;         // ŷظ
    BOOL*                       pbAlarmBellState;           // ״̬,ûڴ,ÿԪرʾһͨ״̬,TRUEΪ,FALSEΪ
															// ûڴ,Сsizeof(BOOL)*nAlarmBellCount
	int                         nExAlarmInCount;            // չģ鱨,ûָ
    int                         nExAlarmInRetCount;         // չģ鱨뷵ظ
    BOOL*                       pbExAlarmInState;           // չģ鱨״̬,ûڴ,ÿԪرʾһͨ״̬,TRUEΪ,FALSEΪ
															// ûڴ,Сsizeof(BOOL)*nExAlarmInCount
	int*                        pnExAlarmInDestionation;    // չģ鱨Чͨλ,ûڴ,Сsizeof(int)*nExAlarmInCount
    int                         nExAlarmOutCount;           // չģ鱨,ûָ
    int                         nExAlarmOutRetCount;        // չģ鱨
    BOOL*                       pbExAlarmOutState;          // չģ鱨״̬,ûڴ,ÿԪرʾһͨ״̬,TRUEΪ,FALSEΪ
															// ûڴ棬СΪsizeof(BOOL)*nExAlarmOutCount
	int*                        pnExAlarmOutDestionation;   // չģ鱨Чͨλ,ûڴ棬СΪsizeof(int)*nExAlarmOutCount
}NET_CLIENT_ALARM_CHANNELS_STATE;


// ӵı
typedef struct tagNET_ALARMKEYBOARD_COUNT
{
    DWORD               dwSize;
    int                 nAlarmKeyboardCount;        // ŵıĿ
}NET_ALARMKEYBOARD_COUNT;

// 豸ӵ豸
typedef enum tagEM_COM_PORT_DEVICE_TYPE
{
    EM_COM_PORT_DEVICE_TYPE_UNKNOWN,        // δ֪
    EM_COM_PORT_DEVICE_TYPE_PTZ,            // ptz
    EM_COM_PORT_DEVICE_TYPE_GPS,            // GPS
    EM_COM_PORT_DEVICE_TYPE_ALARMKEYBOARD,  // 
    EM_COM_PORT_DEVICE_TYPE_EXALARMBOX,     // չ
}EM_COM_PORT_DEVICE_TYPE;

// ȡ豸COM˿ӵ豸ͨϢ()
typedef struct tagNET_IN_GET_COM_PORT_DEVICE_CHANNEL_INFO
{
    DWORD               dwSize;
    EM_COM_PORT_DEVICE_TYPE emDeviceType;   // 豸
}NET_IN_GET_COM_PORT_DEVICE_CHANNEL_INFO;

// ȡ豸COM˿ӵ豸ͨϢ()
typedef struct tagNET_OUT_GET_COM_PORT_DEVICE_CHANNEL_INFO
{
    DWORD               dwSize;    
    int                 nDeviceCount;               // 豸Ŀ(,ߺߵ)
    int                 nMaxOnlineDeviceCount;      // ߵ豸()
    int                 nRetOnlineDeviceCount;      // 豸صĵǰߵ豸()      
    int*                pOnlineChannel;             // ǰߵ豸ͨ(,ûͷڴ)    
}NET_OUT_GET_COM_PORT_DEVICE_CHANNEL_INFO;

// ȡ豸COM˿ӵ豸ͨϢ,pInParampInParamOutûڴ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetComPortDeviceChannelInfo(LLONG lLoginID,const NET_IN_GET_COM_PORT_DEVICE_CHANNEL_INFO* pInParam,NET_OUT_GET_COM_PORT_DEVICE_CHANNEL_INFO* pOutParam,int nWaitTime);

//////////////////////////////////  ////////////////////////////////////////
// CLIENT_OpenSplitWindowӿ()
typedef struct tagDH_IN_SPLIT_OPEN_WINDOW
{
    DWORD               dwSize;
    int                 nChannel;                   // ͨ()
    DH_RECT             stuRect;                    // λ, 0~8192
    BOOL                bDirectable;                // Ƿֱͨ, ֱָͨƴʽ,˴Ϊ
} DH_IN_SPLIT_OPEN_WINDOW;

// CLIENT_OpenSplitWindowӿ()
typedef struct tagDH_OUT_SPLIT_OPEN_WINDOW
{
    DWORD               dwSize;
    unsigned int        nWindowID;                  // 
    unsigned int        nZOrder;                    // ڴ        
} DH_OUT_SPLIT_OPEN_WINDOW;

// CLIENT_CloseSplitWindowӿ(ش)
typedef struct tagDH_IN_SPLIT_CLOSE_WINDOW
{
    DWORD               dwSize;
    int                 nChannel;                   // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    UINT                nWindowID;                  // 
    const char*         pszCompositeID;             // ںID
} DH_IN_SPLIT_CLOSE_WINDOW;

// CLIENT_CloseSplitWindowӿ(ش)
typedef struct tagDH_OUT_SPLIT_CLOSE_WINDOW
{
    DWORD               dwSize;
} DH_OUT_SPLIT_CLOSE_WINDOW;

// CLIENT_SetSplitWindowRect(ôλ)
typedef struct tagDH_IN_SPLIT_SET_RECT
{
    DWORD               dwSize;
    int                 nChannel;                   // ͨ()
    UINT                nWindowID;                  // 
    DH_RECT             stuRect;                    // λ, 0~8192
    BOOL                bDirectable;                // Ƿֱͨ, ֱָͨƴʽ,˴Ϊ
} DH_IN_SPLIT_SET_RECT;

// CLIENT_SetSplitWindowRectӿ(ôλ)
typedef struct tagDH_OUT_SPLIT_SET_RECT
{
    DWORD               dwSize;
} DH_OUT_SPLIT_SET_RECT;

// CLIENT_GetSplitWindowRectӿ(ȡλ)
typedef struct tagDH_IN_SPLIT_GET_RECT
{
    DWORD               dwSize;
    int                 nChannel;                  // ͨ()
    UINT                nWindowID;                 // 
} DH_IN_SPLIT_GET_RECT;

// CLIENT_GetSplitWindowRectӿ(ȡλ)
typedef struct tagDH_OUT_SPLIT_GET_RECT
{
    DWORD               dwSize;    
    DH_RECT             stuRect;                   // λ, 0~8192
} DH_OUT_SPLIT_GET_RECT;

// CLIENT_SetSplitWindowLevelsӿ(ôڴ)
typedef struct tagDH_IN_SPLIT_SET_TOP_WINDOW
{
    DWORD               dwSize;
    int                 nChannel;                  // ͨ()
    int                 nWindowID;                 // 
} DH_IN_SPLIT_SET_TOP_WINDOW;

// CLIENT_SetSplitWindowLevelsӿ(ôڴ)
typedef struct tagDH_OUT_SPLIT_SET_TOP_WINDOW
{
    DWORD               dwSize;
    DH_WND_ZORDER*      pZOders;                   // ڴ,ûڴ,СΪsizeof(DH_WND_ZORDER)*nMaxWndCount
    int                 nMaxWndCount;              // ڴС
    int                 nWndCount;                 // صĴ
} DH_OUT_SPLIT_SET_TOP_WINDOW;

// CLIENT_SetDisplayModeӿ(ǽʾģʽ)
typedef struct tagDH_IN_WM_SET_DISPLAY_MODE 
{
    DWORD               dwSize;
    int                 nMonitorWallID;             // ǽ
    const char*         pszBlockID;                 // ID, NULL/""-
    int                 nTVID;                      // ʾԪ, -1ʾʾԪ
    UINT                nDisplayMode;               // ʾģʽ, 0-׼, 1-, 2-
} DH_IN_WM_SET_DISPLAY_MODE;

// CLIENT_SetDisplayModeӿ(ǽʾģʽ)
typedef struct tagDH_OUT_WM_SET_DISPLAY_MODE
{
    DWORD               dwSize;
} DH_OUT_WM_SET_DISPLAY_MODE;

// ʾԪʾģʽ
typedef struct tagDH_BLOCK_DISPLAY_MODE
{
    DWORD               dwSize;
    int*                pTVModes;                   // TVʾģʽ
    int                 nMaxTVCount;                // TVʾģʽС
    int                 nRetTVCount;                // ʵTV
} DH_BLOCK_DISPLAY_MODE;

// CLIENT_GetDisplayModeӿڵ(ȡǽʾģʽ)
typedef struct tagDH_IN_WM_GET_DISPLAY_MODE 
{
    DWORD               dwSize;
    int                 nMonitorWallID;             // ǽ
    const char*         pszBlockID;                 // ID, NULL/""-
    int                 nTVID;                      // ʾԪ, -1ʾʾԪ
} DH_IN_WM_GET_DISPLAY_MODE;

// CLIENT_GetDisplayModeӿڵ(ȡǽʾģʽ)
typedef struct tagDH_OUT_WM_GET_DISPLAY_MODE
{
    DWORD                   dwSize;
    DH_BLOCK_DISPLAY_MODE*  pBlockModes;            // ʾģʽ,ûڴ棬СΪsizeof(DH_BLOCK_DISPLAY_MODE)*nMaxBlockCount
    int                     nMaxBlockCount;         // ʾģʽС
    int                     nRetBlockCount;         // ʵ
} DH_OUT_WM_GET_DISPLAY_MODE;

// CLIENT_PowerControlӿ(ǽԴ)
typedef struct tagDH_IN_WM_POWER_CTRL 
{
    DWORD               dwSize;
    int                 nMonitorWallID;             // ǽ
    const char*         pszBlockID;                 // ID, NULL/""-
    int                 nTVID;                      // ʾԪ, -1ʾʾԪ
    BOOL                bPowerOn;                   // Ƿ򿪵Դ
} DH_IN_WM_POWER_CTRL;

// CLIENT_PowerControlӿ(ǽԴ)
typedef struct tagDH_OUT_WM_POWER_CTRL
{
    DWORD               dwSize;
} DH_OUT_WM_POWER_CTRL;

// CLIENT_LoadMonitorWallCollectionӿ(ǽԤ)
typedef struct tagDH_IN_WM_LOAD_COLLECTION 
{
    DWORD               dwSize;
    int                 nMonitorWallID;             // ǽ
    const char*         pszName;                    // Ԥ
} DH_IN_WM_LOAD_COLLECTION;

// CLIENT_LoadMonitorWallCollectionӿ(ǽԤ)
typedef struct tagDH_OUT_WM_LOAD_COLLECTION 
{
    DWORD               dwSize;
} DH_OUT_WM_LOAD_COLLECTION;

// Ԥ
typedef enum tagEM_SAVE_COLLECTION_TYPE
{
    EM_SAVE_COLLECTION_UNKNOWN,            // δ֪
    EM_SAVE_COLLECTION_VIDEO,              // ƵԤ
    EM_SAVE_COLLECTION_ADDITIONAL,         // Ԥ
}EM_SAVE_COLLECTION_TYPE;

// CLIENT_SaveMonitorWallCollectionӿ(ǽԤ)
typedef struct tagDH_IN_WM_SAVE_COLLECTION 
{
    DWORD                   dwSize;
    int                     nMonitorWallID;             // ǽ
    const char*             pszName;                    // Ԥ
    const char*             pszControlID;               // id
    BYTE                    bReserverd[4];              // ֽڣֽڶ
    EM_SAVE_COLLECTION_TYPE emType;                     // Ԥ
} DH_IN_WM_SAVE_COLLECTION;

// CLIENT_SaveMonitorWallCollectionӿ(ǽԤ)
typedef struct tagDH_OUT_WM_SAVE_COLLECTION 
{
    DWORD               dwSize;
} DH_OUT_WM_SAVE_COLLECTION;

// CLIENT_RenameMonitorWallCollectionӿ(Ԥ)
typedef struct tagDH_IN_WM_RENAME_COLLECTION 
{
    DWORD               dwSize;
    int                 nMonitorWallID;                // ǽ
    const char*         pszOldName;                    // ԭ
    const char*         pszNewName;                    // 
} DH_IN_WM_RENAME_COLLECTION;

// CLIENT_RenameMonitorWallCollectionӿ(Ԥ)
typedef struct tagDH_OUT_WM_RENAME_COLLECTION
{
    DWORD                dwSize;
} DH_OUT_WM_RENAME_COLLECTION;

// 鴰Ϣ
typedef struct tagDH_WINDOW_COLLECTION
{
    DWORD               dwSize;
    int                 nWindowID;                      // ID
    BOOL                bWndEnable;                     // ǷЧ
    DH_RECT             stuRect;                        // , ɷָģʽЧ
    BOOL                bDirectable;                    // Ƿֱͨ
    int                 nZOrder;                        // Z
    BOOL                bSrcEnable;                     // ʾԴǷЧ
    char                szDeviceID[DH_DEV_ID_LEN_EX];   // 豸ID
    int                 nVideoChannel;                  // Ƶͨ
    int                 nVideoStream;                   // Ƶ
    int                 nAudioChannel;                  // Ƶͨ
    int                 nAudioStream;                   // Ƶ
    int                 nUniqueChannel;                 // 豸ͳһŵΨһͨ
} DH_WINDOW_COLLECTION;

// ƴͼϢ
typedef struct tagNET_SCREEEN_BACKGROUD
{
    BOOL            bEnable;                        // ͼǷ
    char            szName[130];                    // ͼ,ͼѾϴļ·
    BYTE            byReserved[130];                // ֽ
} NET_SCREEEN_BACKGROUD;

// ղ
typedef struct tagDH_BLOCK_COLLECTION 
{
    DWORD                dwSize;
    DH_SPLIT_MODE        emSplitMode;                   // ָģʽ
    DH_WINDOW_COLLECTION stuWnds[DH_MAX_SPLIT_WINDOW];  // Ϣ
    int                  nWndsCount;                    // 
    char                 szName[DH_DEVICE_NAME_LEN];    // ղؼ
    int                  nScreen;                       // ͨ, ƴ
    char                 szCompositeID[DH_DEV_ID_LEN_EX]; // ƴID    
    DH_WINDOW_COLLECTION* pstuWndsEx;                   // Ϣָ, ûڴ. stuWndsСʱʹ
    int                  nMaxWndsCountEx;               // 󴰿, ûд. pstuWndsExԪظ
    int                  nRetWndsCountEx;               // ش


    int                   nSplitOsdCount;               // OSDĸ
    NET_SPLIT_OSD         stuSplitOsd[20];              // ƴOSDϢ
    NET_SCREEEN_BACKGROUD stuScreenBackground;          // ƴͼϢĿǰԤȡʱʹ
} DH_BLOCK_COLLECTION;

// ǽʾԪ
typedef struct tagDH_MONITORWALL_OUTPUT 
{
    DWORD               dwSize;
    char                szDeviceID[DH_DEV_ID_LEN];          // 豸ID, ʱΪ""
    int                 nChannel;                           // ͨ
    char                szName[DH_DEV_NAME_LEN];            // Ļ
} DH_MONITORWALL_OUTPUT;

// ǽʾ
typedef struct tagDH_MONITORWALL_BLOCK
{
    DWORD                   dwSize;
    char                    szName[DH_DEV_NAME_LEN];        // 
    char                    szCompositeID[DH_DEV_ID_LEN];   // ƴID
    char                    szControlID[DH_DEV_ID_LEN];     // ID
    int                     nSingleOutputWidth;             // ʾԪռ
    int                     nSingleOutputHeight;            // ʾԪռ
    DH_RECT                 stuRect;                        // 
    DH_TSECT                stuPowerSchedule[DH_TSCHE_DAY_NUM][DH_TSCHE_SEC_NUM]; // ʱ, һάԪرʾ~ͽڼ
    DH_MONITORWALL_OUTPUT*  pstuOutputs;                    // ʾԪ, ûڴ
    int                     nMaxOutputCount;                // ʾԪС, ûд
    int                     nRetOutputCount;                // صʾԪ
	char                    szBlockType[DH_COMMON_STRING_32];   // ʾԪ,Ϊ֧ɽտɵԪСLEDӸֶ,͵дΪ"LCD",粻ڸֶ,ĬϲLCD
} DH_MONITORWALL_BLOCK;

// ǽ
typedef struct tagDH_MONITORWALL 
{
    DWORD                   dwSize;
    char                    szName[DH_DEV_NAME_LEN];        // 
    int                     nGridLine;                      // 
    int                     nGridColume;                    // 
    DH_MONITORWALL_BLOCK*   pstuBlocks;                     // ʾ, ûڴ
    int                     nMaxBlockCount;                 // ʾС, ûд
    int                     nRetBlockCount;                 // صʾ
    BOOL                    bDisable;                       // Ƿ, 0-õǽЧ, 1-õǽЧ
    char                    szDesc[DH_COMMON_STRING_256];   // ǽϢ
} DH_MONITORWALL;

// ǽԤ
typedef struct tagDH_MONITORWALL_COLLECTION 
{
    DWORD                dwSize;
    char                 szName[DH_DEVICE_NAME_LEN];    // ǽԤ
    DH_BLOCK_COLLECTION  stuBlocks[DH_MAX_BLOCK_NUM];   // 
    int                  nBlocksCount;                  // 
    char                 szControlID[DH_DEV_ID_LEN_EX]; // ID
    DH_MONITORWALL       stuMonitorWall;                // ǽ
    EM_SAVE_COLLECTION_TYPE emType;                     // Ԥ
    BYTE                  byReserved[4];                // ֽãֽڶ
} DH_MONITORWALL_COLLECTION;

// CLIENT_GetMonitorWallCollectionsӿ(ȡǽԤϢ)
typedef struct tagDH_IN_WM_GET_COLLECTIONS 
{
    DWORD                dwSize;
    int                  nMonitorWallID;                // ǽID
} DH_IN_WM_GET_COLLECTIONS;

// CLIENT_GetMonitorWallCollectionsӿ(ȡǽԤϢ)
typedef struct tagDH_OUT_WM_GET_COLLECTIONS 
{
    DWORD                       dwSize;    
    DH_MONITORWALL_COLLECTION*  pCollections;           // ǽԤ
    int                         nMaxCollectionsCount;   // ǽԤС
    int                         nCollectionsCount;      // ǽԤ
} DH_OUT_WM_GET_COLLECTIONS;

// CLIENT_GetSplitWindowsInfoӿ
typedef struct tagDH_IN_SPLIT_GET_WINDOWS 
{
    DWORD              dwSize;
    int                nChannel;                        // ͨ
} DH_IN_SPLIT_GET_WINDOWS;

// CLIENT_GetSplitWindowsInfoӿ
typedef struct tagDH_OUT_SPLIT_GET_WINDOWS 
{
    DWORD                   dwSize;
    DH_BLOCK_COLLECTION     stuWindows;                 // Ϣ
} DH_OUT_SPLIT_GET_WINDOWS;

// CLIENT_LoadSplitCollectionӿ(ղ)
typedef struct tagDH_IN_SPLIT_LOAD_COLLECTION 
{
    DWORD             dwSize;
    int               nChannel;                 // ͨ
    const char*       pszName;                  // ղؼ
} DH_IN_SPLIT_LOAD_COLLECTION;

// CLIENT_LoadSplitCollectionӿ(ղ)
typedef struct tagDH_OUT_SPLIT_LOAD_COLLECTION 
{
    DWORD             dwSize;
} DH_OUT_SPLIT_LOAD_COLLECTION;

// CLIENT_SaveSplitCollectionӿ(ղ)
typedef struct tagDH_IN_SPLIT_SAVE_COLLECTION 
{
    DWORD             dwSize;
    int               nChannel;                 // ͨ
    const char*       pszName;                  // ղؼ
} DH_IN_SPLIT_SAVE_COLLECTION;

// CLIENT_SaveSplitCollectionӿ(ղ)
typedef struct tagDH_OUT_SPLIT_SAVE_COLLECTION 
{
    DWORD             dwSize;
} DH_OUT_SPLIT_SAVE_COLLECTION;

// CLIENT_RenameSplitCollectionӿ(ղ)
typedef struct tagDH_IN_SPLIT_RENAME_COLLECTION 
{
    DWORD             dwSize;
    int               nChannel;                 // ͨ
    const char*       pszOldName;               // ԭ
    const char*       pszNewName;               // 
} DH_IN_SPLIT_RENAME_COLLECTION;

// CLIENT_RenameSplitCollectionӿ(ղ)
typedef struct tagDH_OUT_SPLIT_RENAME_COLLECTION
{
    DWORD             dwSize;
} DH_OUT_SPLIT_RENAME_COLLECTION;

// CLIENT_GetSplitCollectionsӿ(ȡղؼϢ)
typedef struct tagDH_IN_SPLIT_GET_COLLECTIONS 
{
    DWORD             dwSize;
    int               nChannel;                // ͨ
} DH_IN_SPLIT_GET_COLLECTIONS;

// CLIENT_GetSplitCollectionsӿ(ȡղؼϢ)
typedef struct tagDH_OUT_SPLIT_GET_COLLECTIONS 
{
    DWORD                dwSize;    
    DH_BLOCK_COLLECTION* pCollections;                  // ղؼ,ûڴ棬СΪsizeof(DH_BLOCK_COLLECTION)*nMaxCollectionsCount
    int                  nMaxCollectionsCount;          // ղؼС
    int                  nCollectionsCount;             // صղؼ
} DH_OUT_SPLIT_GET_COLLECTIONS;

// CLIENT_DeleteSplitCollectionӿڵ(ɾղؼ)
typedef struct tagDH_IN_SPLIT_DELETE_COLLECTION 
{
    DWORD                dwSize;
    int                  nChannel;                      // ͨ
    const char**         ppszNames;                     // ղؼ
    int                  nNameCount;                    // ղؼС
} DH_IN_SPLIT_DELETE_COLLECTION;

// CLIENT_DeleteSplitCollectionӿڵ(ɾղؼ)
typedef struct tagDH_OUT_SPLIT_DELETE_COLLECTION 
{
    DWORD                dwSize;
} DH_OUT_SPLIT_DELETE_COLLECTION;

// ںͨϢ
typedef struct tagDH_COMPOSITE_CHANNEL
{
    DWORD               dwSize;
    char                szMonitorWallName[DH_DEVICE_NAME_LEN];  // ǽ
    char                szCompositeID[DH_DEV_ID_LEN_EX];        // ںID
    int                 nVirtualChannel;                        // ͨ
} DH_COMPOSITE_CHANNEL;

// Ѳʹ
typedef struct tagDHDEV_TOUR_ENABLE
{
    DWORD               dwSize;
    BOOL                bEnable;                    // Ѳʹ
    BOOL                bStart;                     // ǷѲ(ֻ). Ѳʹܴ򿪵ûѲԴʱ, bStart=FALSE
} DHDEV_TOUR_ENABLE_CFG;

// CLIENT_SetDecodePolicyӿ(ý)
typedef struct tagDH_IN_SET_DEC_POLICY 
{
    DWORD               dwSize;
    int                 nChannel;               // ͨ
    int                 nWindow;                // ں, -1ʾͨд
    int                 nPolicyLevel;           // Եȼ, 5(-2, -1, 0, 1, 2), ֵԽԽӳԽ
                                                // -2ʾʵʱ, 2ʾ, 0Ĭ
} DH_IN_SET_DEC_POLICY;

// CLIENT_SetDecodePolicyӿ(ý)
typedef struct tagDH_OUT_SET_DEC_POLICY 
{
    DWORD                dwSize;
} DH_OUT_SET_DEC_POLICY;

// CLIENT_GetDecodePolicyӿ(ȡ)
typedef struct tagDH_IN_GET_DEC_POLICY 
{
    DWORD                dwSize;
    int                  nChannel;              // ͨ
    int                  nWindow;               // ں, -1ʾͨд
} DH_IN_GET_DEC_POLICY;

// CLIENT_GetDecodePolicyӿ(ȡ)
typedef struct tagDH_OUT_GET_DEC_POLICY 
{
    DWORD                dwSize;
    int                  nPolicyLevel;          // Եȼ, 5(-2, -1, 0, 1, 2), ֵԽԽӳԽ
                                                // -2ʾʵʱ, 2ʾ, 0Ĭ
} DH_OUT_GET_DEC_POLICY;

// Ƶģʽ
typedef enum
{
    DH_AUDIO_AUTO,                              // ԶлƵ, ֻһƵ
    DH_AUDIO_DISABLE,                           // ֹƵ 
    DH_AUDIO_FORCE,                             // ǿûָĳڵƵ, ֻһƵ
    DH_AUDIO_ENABLE_ONE,                        // ָƵ, ж·Ƶ   
    DH_AUDIO_DISABLE_ONE,                       // رָƵ, ж·Ƶ
    DH_AUDIO_MULTI,                             // ·Ƶ, ѯʱ, ʱֵЧ
} DH_AUDIO_OUTPUT_MODE;

// CLIENT_SetSplitAudioOuputӿ(Ƶģʽ)
typedef struct tagDH_IN_SET_AUDIO_OUTPUT 
{
    DWORD                dwSize;
    int                  nChannel;              // ͨ
    DH_AUDIO_OUTPUT_MODE emMode;                // Ƶģʽ
    int                  nWindow;               // ں, emModeΪDH_AUDIO_FORCE/DH_AUDIO_ENABLE_ONE/DH_AUDIO_DISABLE_ONEʱЧ, ָƵĴں
} DH_IN_SET_AUDIO_OUTPUT;

// CLIENT_SetSplitAudioOuputӿ(Ƶģʽ)
typedef struct tagDH_OUT_SET_AUDIO_OUTPUT
{
    DWORD                dwSize;
} DH_OUT_SET_AUDIO_OUTPUT;

// CLIENT_GetSplitAudioOuputӿ(ȡƵģʽ)
typedef struct tagDH_IN_GET_AUDIO_OUTPUT
{
    DWORD                dwSize;
    int                  nChannel;              // ͨ
} DH_IN_GET_AUDIO_OUTPUT;

// CLIENT_GetSplitAudioOuputӿ(ȡƵģʽ)
typedef struct tagDH_OUT_GET_AUDIO_OUTPUT
{
    DWORD                dwSize;
    DH_AUDIO_OUTPUT_MODE emMode;                // Ƶģʽ
    int                  nWindow;               // ں, emModeΪDH_AUDIO_FORCEʱЧ
    int*                 pMultiWindows;         // ںб, emModeΪDH_AUDIO_MULTIʱЧ, ûڴ,СΪsizeof(int)*nMaxMultiWindowCount
    int                  nMaxMultiWindowCount;  // ںб, ûд
    int                  nRetMultiWindowCount;  // ں, emModeΪDH_AUDIO_MULTIʱЧ
} DH_OUT_GET_AUDIO_OUTPUT;

// CLIENT_GetEncodePlan ӿ(ȡ¼ʱʹõı)
typedef struct tagDH_IN_GET_ENCODE_PLAN
{
    DWORD               dwSize;
    unsigned int        nChannel;               // ָҪȡıͨ
    unsigned int        nExpectTime;            // ҵԤʱ     ,λ
    unsigned int        nCapacity;              // õ豸,,λ:M
}DH_IN_GET_ENCODE_PLAN;
// CLIENT_GetEncodePlan ӿ(ȡ¼ʱʹõı)
typedef struct tagDH_OUT_GET_ENCODE_PLAN
{
    DWORD               dwSize;
    int                 nResolutionType;        // emResolutionTypesԱ 
    CAPTURE_SIZE        emResolutionTypes[DH_MAX_CAPTURE_SIZE_NUM];// ƵֱʷΧ
    CAPTURE_SIZE        emResolution;           // ƼƵֱ
    unsigned int        nBitRate;               // Ƶ̶ֵ
}DH_OUT_GET_ENCODE_PLAN;

// CLIENT_GetEncodePlanByResolution ӿ(ָĹͷֱʼҵʱ)
typedef struct tagNET_IN_GET_ENCODEPLANE_BY_RESOLUTION
{
	DWORD               dwSize;
	unsigned int        nChannel;               // ָҪȡıͨ
	CAPTURE_SIZE        emResolution;			// Ƶֱ
	unsigned int        nBitRate;               // Ƶֵ
	unsigned int		nCapacity;				// õ豸
} NET_IN_GET_ENCODEPLANE_BY_RESOLUTION;

// CLIENT_GetEncodePlanByResolution ӿ(ָĹͷֱʼҵʱ)
typedef struct tagNET_OUT_GET_ENCODEPLANE_BY_RESOLUTION
{
	DWORD               dwSize;
	unsigned int        nExpectTime;			// ҵԤʱ
} NET_OUT_GET_ENCODEPLANE_BY_RESOLUTION;


// ֯Ŀ¼߼
typedef struct tagDH_ORGANIZATION_NODE_LOGIC_OBJECT 
{
    DWORD               dwSize;
    char                szName[DH_NODE_NAME_LEN];       // 
    char                szType[DH_DEV_TYPE_LEN];        // 
    char                szDevID[DH_DEV_ID_LEN_EX];      // 豸ID
    char                szControlID[DH_DEV_ID_LEN_EX];  // ID, ֻ
    int                 nChannel;                       // ͨ
} DH_ORGANIZATION_NODE_LOGIC_OBJECT;

// ֯Ŀ¼
typedef struct tagDH_ORGANIZATION_NODE_DIRECTORY
{
    DWORD               dwSize;
    char                szName[DH_NODE_NAME_LEN];       // 
    char                szControlID[DH_DEV_ID_LEN_EX];  // ID
} DH_ORGANIZATION_NODE_DIRECTORY;

// ֯Ŀ¼ڵϢ
typedef struct tagDH_ORGANIZATION_NODE 
{
    DWORD               dwSize;
    int                 nNodeType;                        // ڵ, 0-߼, 1-Ŀ¼
    DH_ORGANIZATION_NODE_LOGIC_OBJECT    stuLogicObject;  // ߼, nNodeType==0ʱЧ
    DH_ORGANIZATION_NODE_DIRECTORY       stuDirectory;    // Ŀ¼, nNodeType==1ʱЧ        
} DH_ORGANIZATION_NODE;

// ӽڵ
typedef struct tagDH_ORGANIZATION_ADD_NODE_PARAM
{
    DWORD                dwSize;
    int                  nPosition;                     // λ, -1-ʼ, -2-ĩβ, 0~n
    DH_ORGANIZATION_NODE stuNode;                       // ڵϢ
} DH_ORGANIZATION_ADD_NODE_PARAM;

// CLIENT_OrganizationAddNodesӿڵ(ӽڵ)
typedef struct tagDH_IN_ORGANIZATION_ADD_NODES
{
    DWORD                dwSize;
    char*                pszPath;                       // ·
    DH_ORGANIZATION_ADD_NODE_PARAM* pstuNodes;          // ڵϢָ,ûڴ棬СΪsizeof(DH_ORGANIZATION_ADD_NODE_PARAM)*nNodeCount
    int                  nNodeCount;                    // ڵ
} DH_IN_ORGANIZATION_ADD_NODES;

// ӽڵĽ
typedef struct tagDH_ORGANIZATION_ADD_NODE_RESULT
{
    DWORD               dwSize;
    BOOL                bResult;                        // 
    char                szPath[MAX_PATH];               // ·, ɹnode·,ʧܷnodeʱ·
} DH_ORGANIZATION_ADD_NODE_RESULT;

// CLIENT_OrganizationAddNodesӿڵ(ӽڵ)
typedef struct tagDH_OUT_ORGANIZATION_ADD_NODES
{
    DWORD               dwSize;
    DH_ORGANIZATION_ADD_NODE_RESULT* pstuResults;       // ָ
    int                 nMaxResultCount;                // С
    int                 nRetResultCount;                // صĽ
} DH_OUT_ORGANIZATION_ADD_NODES;

// ڵ·
typedef struct tagDH_ORGANIZATION_NODE_PATH 
{
    DWORD               dwSize;
    char                szPath[MAX_PATH];               // ·
} DH_ORGANIZATION_NODE_PATH;

// CLIENT_OrganizationDeleteNodesӿڵ(ɾڵ)
typedef struct tagDH_IN_ORGANIZATION_DELETE_NODES
{
    DWORD               dwSize;
    DH_ORGANIZATION_NODE_PATH*  pstuPath;               // ڵ·,ûڴ棬СΪsizeof(DH_ORGANIZATION_NODE_PATH)*nPathCount
    int                 nPathCount;                     // ڵ
} DH_IN_ORGANIZATION_DELETE_NODES;

// CLIENT_OrganizationDeleteNodesӿڵ(ɾڵ)
typedef struct tagDH_OUT_ORGANIZATION_DELETE_NODES 
{
    DWORD               dwSize;
} DH_OUT_ORGANIZATION_DELETE_NODES;

// CLIENT_OrganizationGetNodesӿڵ(ȡڵϢ)
typedef struct tagDH_IN_ORGANIZATION_GET_NODES 
{
    DWORD               dwSize;
    char*               pszPath;                        // ·
    int                 nLevel;                         // , 0-, 1-һ
} DH_IN_ORGANIZATION_GET_NODES;

// CLIENT_OrganizationGetNodesӿڵ(ȡڵϢ)
typedef struct tagDH_OUT_ORGANIZATION_GET_NODES 
{
    DWORD                   dwSize;
    DH_ORGANIZATION_NODE*   pstuNodes;                  // ڵ, ûڴ,СΪsizeof(DH_ORGANIZATION_NODE)*nMaxNodeCount
    int                     nMaxNodeCount;              // ڵС
    int                     nRetNodeCount;              // صĽڵ
} DH_OUT_ORGANIZATION_GET_NODES;

// CLIENT_OrganizationSetNodeӿڵ(ýڵ)
typedef struct tagDH_IN_ORGANIZATION_SET_NODE 
{
    DWORD                dwSize;
    char*                pszPath;                    // ·
    DH_ORGANIZATION_NODE stuNode;                    // ڵϢ
} DH_IN_ORGANIZATION_SET_NODE;

// CLIENT_OrganizationSetNodeӿڵ(ýڵ)
typedef struct tagDH_OUT_ORGANIZATION_SET_NODE 
{
    DWORD               dwSize;
} DH_OUT_ORGANIZATION_SET_NODE;

// ƵͨϢ
typedef struct tagDH_VIDEO_INPUTS
{
    DWORD               dwSize;
    char                szChnName[DH_DEVICE_NAME_LEN];      // ͨ
    BOOL                bEnable;                            // ʹ
    char                szControlID[DH_DEV_ID_LEN_EX];      // ID
    char                szMainStreamUrl[MAX_PATH];          // urlַ 
    char                szExtraStreamUrl[MAX_PATH];         // urlַ
    int                 nOptionalMainUrlCount;              // ַ
    char                szOptionalMainUrls[DH_MAX_OPTIONAL_URL_NUM][MAX_PATH];  // ַб
    int                 nOptionalExtraUrlCount;             // øַ
    char                szOptionalExtraUrls[DH_MAX_OPTIONAL_URL_NUM][MAX_PATH]; // øַб
} DH_VIDEO_INPUTS;

typedef struct tagDH_REMOTE_DEVICE 
{
    DWORD               dwSize;
    BOOL                bEnable;                            // ʹ
    char                szIp[DH_MAX_IPADDR_LEN];            // IP
    char                szUser[DH_USER_NAME_LENGTH];        // û,ʹszUserEx
    char                szPwd[DH_USER_PSW_LENGTH];          // ,ʹszPwdEx
    int                 nPort;                              // ˿
    int                 nDefinition;                        // , 0-, 1-
    DH_DEVICE_PROTOCOL  emProtocol;                         // Э
    char                szDevName[DH_DEVICE_NAME_LEN];      // 豸
    int                 nVideoInputChannels;                // Ƶͨ
    int                 nAudioInputChannels;                // Ƶͨ
    char                szDevClass[DH_DEV_TYPE_LEN];        // 豸, IPC, DVR, NVR
    char                szDevType[DH_DEV_TYPE_LEN];         // 豸ͺ, IPC-HF3300
    int                 nHttpPort;                          // Http˿
    int                 nMaxVideoInputCount;                // Ƶͨ
    int                 nRetVideoInputCount;                // ʵͨ
    DH_VIDEO_INPUTS*    pstuVideoInputs;                    // ƵͨϢ,ûڴ棬СΪsizeof(DH_VIDEO_INPUTS)*nMaxVideoInputCount
    char                szMachineAddress[DH_MAX_CARD_INFO_LEN]; // 豸
    char                szSerialNo[DH_SERIALNO_LEN];        // 豸к
    int                 nRtspPort;                          // Rtsp˿

	/*ƽ̨չ*/
	char                szUserEx[DH_USER_NAME_LEN_EX];       // û
    char                szPwdEx[DH_USER_PSW_LEN_EX];         // 

    char				szVendorAbbr[DH_COMMON_STRING_32];		// д
    char             szSoftwareVersion[DH_COMMON_STRING_64];         // 豸汾
    NET_TIME         stuActivationTime;                      // ʱ    
} DH_REMOTE_DEVICE;

typedef enum tagNET_LOGIC_CHANNEL_TYPE
{
    LOGIC_CHN_UNKNOWN,              // δ֪
    LOGIC_CHN_LOCAL,                // ͨ
    LOGIC_CHN_REMOTE,               // Զͨ
    LOGIC_CHN_COMPOSE,              // ϳͨ, ͥ豸лͨͻͨ
    LOGIC_CHN_MATRIX,               // ģͨ
    LOGIC_CHN_CASCADE,              // ͨ
} NET_LOGIC_CHN_TYPE;

// õʾԴϢ
typedef struct tagDH_MATRIX_CAMERA_INFO
{
    DWORD               dwSize;
    char                szName[DH_DEV_ID_LEN_EX];           // 
    char                szDevID[DH_DEV_ID_LEN_EX];          // 豸ID
    char                szControlID[DH_DEV_ID_LEN_EX];      // ID
    int                 nChannelID;                         // ͨ, DeviceID豸Ψһ
    int                 nUniqueChannel;                     // 豸ͳһŵΨһͨ
    BOOL                bRemoteDevice;                      // ǷԶ豸
    DH_REMOTE_DEVICE    stuRemoteDevice;                    // Զ豸Ϣ
    NET_STREAM_TYPE     emStreamType;                       // Ƶ
    NET_LOGIC_CHN_TYPE  emChannelType;                      // ͨ
} DH_MATRIX_CAMERA_INFO;

// CLIENT_MatrixGetCamerasӿڵ
typedef struct tagDH_IN_MATRIX_GET_CAMERAS 
{
    DWORD               dwSize;
} DH_IN_MATRIX_GET_CAMERAS;

// CLIENT_MatrixGetCamerasӿڵ
typedef struct tagDH_OUT_MATRIX_GET_CAMERAS 
{
    DWORD                   dwSize;
    DH_MATRIX_CAMERA_INFO*  pstuCameras;                    // ʾԴϢ, ûڴ,СΪsizeof(DH_MATRIX_CAMERA_INFO)*nMaxCameraCount
    int                     nMaxCameraCount;                // ʾԴС
    int                     nRetCameraCount;                // صʾԴ
} DH_OUT_MATRIX_GET_CAMERAS;

//CLIENT_QueryDevInfo , NET_QUERY_DEV_REMOTE_DEVICE_INFO ѯԶ豸Ϣ
typedef struct tagNET_IN_GET_DEVICE_INFO
{
    DWORD                       dwSize;                                         // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_IN_GET_DEVICE_INFO)
    char                        szDevice[DH_DEV_ID_LEN_EX];                 // 豸ID
    // 豸, szDevice ֶΪʱ,ֶЧ
    char                        szAttributeIP[DH_COMMON_STRING_32];             // 豸ַ
    int                         nAttributePort;                                 // 豸˿
    char                        szAttributeUsername[DH_COMMON_STRING_128];      // û
    char                        szAttributePassword[DH_COMMON_STRING_128];      // 
    char                        szAttributeManufacturer[DH_COMMON_STRING_128];  // Э
}NET_IN_GET_DEVICE_INFO;

//CLIENT_QueryDevInfo , NET_QUERY_DEV_REMOTE_DEVICE_INFO ѯԶ豸Ϣ
typedef struct tagNET_OUT_GET_DEVICE_INFO
{
    DWORD                       dwSize;         // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_OUT_GET_DEVICE_INFO)
    DH_REMOTE_DEVICE            stuInfo;        // 豸Ϣ,ýṹڲԱ dwSize ûֵ
}NET_OUT_GET_DEVICE_INFO;

// CLIENT_MatrixSetCamerasӿڵ
typedef struct tagDH_IN_MATRIX_SET_CAMERAS 
{
    DWORD                   dwSize;
    DH_MATRIX_CAMERA_INFO*  pstuCameras;                    // ʾԴϢ, ûڴ棬СΪsizeof(DH_MATRIX_CAMERA_INFO)*nCameraCount
    int                     nCameraCount;                   // ʾԴС
} DH_IN_MATRIX_SET_CAMERAS;

// CLIENT_MatrixSetCamerasӿڵ
typedef struct tagDH_OUT_MATRIX_SET_CAMERAS 
{
    DWORD                   dwSize;
} DH_OUT_MATRIX_SET_CAMERAS;

// ʾԴϢ
typedef struct tagDH_SPLIT_WND_SOURCE 
{
    DWORD                   dwSize;
    BOOL                    bEnable;                        // ʾԴǷЧ
    char                    szDeviceID[DH_DEV_ID_LEN];      // 豸ID
    char                    szControlID[DH_DEV_ID_LEN];     // ID
    int                     nVideoChannel;                  // Ƶͨ
    int                     nVideoStream;                   // Ƶ
    int                     nAudioChannel;                  // Ƶͨ
    int                     nAudioStream;                   // Ƶ
    int                     nUniqueChannel;                 // 豸ͳһŵΨһͨ, ֻ
    BOOL                    bRemoteDevice;                  // ǷԶ豸
    DH_REMOTE_DEVICE        stuRemoteDevice;                // Զ豸Ϣ
	NET_RECT				stuSRect;						// ƵԴ,Ϊ(0,0,0,0)ʾЧ豸ʹĬֵ(0,0,8192,8192)
} DH_SPLIT_WND_SOURCE;

// ָϢ
typedef struct tagDH_SPLIT_WINDOW 
{
    DWORD                   dwSize;
    BOOL                    bEnable;                        // ǷƵԴ
    int                     nWindowID;                      // ID
    char                    szControlID[DH_DEV_ID_LEN];     // ID
    DH_RECT                 stuRect;                        // , ɷָģʽЧ
    BOOL                    bDirectable;                    // Ƿֱͨ
    int                     nZOrder;                        // Z
    DH_SPLIT_WND_SOURCE     stuSource;                      // ʾϢ
    UINT                     nOSDNum;                        // OSD
    NET_SPLIT_OSD           stuOSD[DH_VIDEO_CUSTOM_OSD_NUM_EX];    // OSDϢ
    BOOL                    bLock;                          // Ƿλ
    BOOL                    bDock;                          // ǷճЧ
    BOOL                    bMeetingMode;                   // ǷΪģʽ״̬
} DH_SPLIT_WINDOW;

// ƴ
typedef struct tagDH_SPLIT_SCENE 
{
    DWORD                   dwSize;
    char                    szCompositeID[DH_DEV_ID_LEN];   // ƴID
    char                    szControlID[DH_DEV_ID_LEN];     // ID
    DH_SPLIT_MODE           emSplitMode;                    // ָģʽ
    DH_SPLIT_WINDOW*        pstuWnds;                       // Ϣ, ûڴ,СΪsizeof(DH_SPLIT_WINDOW)*nMaxWndCount
    int                     nMaxWndCount;                   // ϢС, ûд
    int                     nRetWndCount;                   // صĴ
} DH_SPLIT_SCENE;

// ǽ
typedef struct tagDH_MONITORWALL_SCENE
{
    DWORD                   dwSize;
    char                    szName[DH_DEV_NAME_LEN];        // ǰԤ
    char                    szControlID[DH_DEV_ID_LEN];     // ID
    DH_MONITORWALL          stuMonitorWall;                 // ǽ    
    DH_SPLIT_SCENE*         pstuSplitScene;                 // ƴϢ, ûڴ,СΪsizeof(DH_SPLIT_SCENE)*nMaxSplitSceneCount
    int                     nMaxSplitSceneCount;            // ƴС, ûд
    int                     nRetSplitSceneCount;            // صƴ
} DH_MONITORWALL_SCENE;

// CLIENT_MonitorWallGetSceneӿ(ȡǽ)
typedef struct tagDH_IN_MONITORWALL_GET_SCENE 
{
    DWORD                   dwSize;
    int                     nMonitorWallID;                 // ǽ
} DH_IN_MONITORWALL_GET_SCENE;

// CLIENT_MonitorWallGetSceneӿ(ȡǽ)
typedef struct tagDH_OUT_MONITORWALL_GET_SCENE 
{
    DWORD                   dwSize;
    char                    szName[DH_DEV_NAME_LEN];        // ǰԤ, Ϊ
    DH_MONITORWALL_SCENE    stuScene;                       // ǽ
} DH_OUT_MONITORWALL_GET_SCENE;

// CLIENT_MonitorWallSetSceneӿ(õǽ)
typedef struct tagDH_IN_MONITORWALL_SET_SCENE 
{
    DWORD                   dwSize;
    int                     nMonitorWallID;                 // ǽ
    DH_MONITORWALL_SCENE    stuScene;                       // ǽ
} DH_IN_MONITORWALL_SET_SCENE;

// CLIENT_MonitorWallSetSceneӿ(õǽ)
typedef struct tagDH_OUT_MONITORWALL_SET_SCENE 
{
    DWORD                   dwSize;
} DH_OUT_MONITORWALL_SET_SCENE;

//CLIENT_QueryNetStatӿ,ѯΪNET_APP_DATA_STATʱ(ȡЭջͳ)
typedef struct tagNET_IN_NETAPP_NET_DATA_STAT
{
    DWORD       dwSize;    
    char        szEthName[DH_MAX_ETH_NAME];                //
}NET_IN_NETAPP_NET_DATA_STAT;

//ͳ,ifconfigͬ
typedef struct tagNET_NETAPP_RECEIVE_STAT
{
    DWORD        dwSize;
    DWORD        dwPackets;
    DWORD        dwBytes;
    DWORD        dwErrors;
    DWORD        dwDroped;
    DWORD        dwOverruns;
    DWORD        dwFrame;
	DWORD        dwSpeed;           // ٶ
}NET_NETAPP_RECEIVE_STAT;

//ͳ,ifconfigͬ
typedef struct tagNET_NETAPP_TRANSMIT_STAT
{
    DWORD        dwSize;
    DWORD        dwPackets;
    DWORD        dwBytes;
    DWORD        dwErrors;
    DWORD        dwDroped;
    DWORD        dwOverruns;
    DWORD        dwCarrier;
    DWORD        dwCollisions;
    DWORD        dwTxQueue;
	DWORD        dwSpeed;           // ٶ
}NET_NETAPP_TRANSMIT_STAT;

//CLIENT_QueryNetStatӿ,ѯΪNET_APP_DATA_STATʱ(ȡЭջͳ)
typedef struct tagNET_OUT_NETAPP_NET_DATA_STAT
{                    
    DWORD                        dwSize;
    NET_NETAPP_RECEIVE_STAT      stuReceiveStat;        // ͳ,ifconfigͬ
    NET_NETAPP_TRANSMIT_STAT     stuTransmitStat;       // ͳ,ifconfigͬ
    int                          nSpeed;                // ٶ,λMbps
}NET_OUT_NETAPP_NET_DATA_STAT;

//CLIENT_QueryNetStatӿ,ѯΪNET_APP_LINK_STAT ʱ(ȡ·״̬)
typedef struct tagNET_IN_NETAPP_LINK_STATUS
{
    DWORD       dwSize;
    char        szEthName[DH_MAX_ETH_NAME];             //
}NET_IN_NETAPP_LINK_STATUS;

//CLIENT_QueryNetStatӿ,ѯΪNET_APP_LINK_STAT ʱ(ȡ·״̬)
typedef struct tagNET_OUT_NETAPP_LINK_STATUS
{
    DWORD       dwSize;
    BOOL        bWorking;               // Ƿڹ 
    BOOL        bIPConflict;            // IPǷͻ
}NET_OUT_NETAPP_LINK_STATUS;

// ź
#define DH_VIDEO_SIGNAL_CVBS        0x0001
#define DH_VIDEO_SIGNAL_SDI         0x0002
#define DH_VIDEO_SIGNAL_VGA         0x0004 
#define DH_VIDEO_SIGNAL_DVI         0x0008
#define DH_VIDEO_SIGNAL_HDMI        0x0010 
#define DH_VIDEO_SIGNAL_YPBPR       0x0020 
#define DH_VIDEO_SIGNAL_SFP         0x0040 
#define DH_VIDEO_SIGNAL_HDCVI       0x0080 
#define DH_VIDEO_SIGNAL_DUAL_LINK   0x0100 

// Ƶ
typedef struct tagDH_VIDEO_IN_CAPS 
{
    DWORD            dwSize;
    DWORD            dwSignalType;                  // ź
    BOOL             bAutoFocusPeak;                // Ƿ֧־۽ֵ
    BOOL             bElectricFocus;                // Ƿֵ֧綯
    BOOL             bSyncFocus;                    // Ƿ֧ͬԽ
    BOOL             bSetColor;                     // Ƿ֧Ƶɫ
    BOOL             bGain;                         // Ƿ֧
    BOOL             bPhase;                        // Ƿ֧λ
	int				 nSubChannel;					// Ƶͨ(ɼ)
	DH_RECT			 stuRect[MAX_SUBCHANNEL_NUM];	// ÿsensorƴӻеλ
} DH_VIDEO_IN_CAPS;

// CLIENT_GetVideoInCapsӿ
typedef struct tagDH_IN_GET_VIDEO_IN_CAPS 
{
    DWORD            dwSize;
    int              nChannel;                      // Ƶͨ
} DH_IN_GET_VIDEO_IN_CAPS;

// CLIENT_GetVideoInCapsӿ
typedef struct tagDH_OUT_GET_VIDEO_IN_CAPS 
{
    DWORD            dwSize;
    DH_VIDEO_IN_CAPS stuCaps;                       // 
} DH_OUT_GET_VIDEO_IN_CAPS;

// Ƶģʽ
typedef struct tagDH_VIDEO_OUT_MODE 
{
    DWORD            dwSize;
    int              nWidth;                        // ˮƽֱ
    int              nHeight;                       // ֱֱ
    int              nBPP;                          // ɫ
    int              nFormat;                       // źģʽ, 0-Auto, 1-TV, 2-VGA, 3-DVI
    int              nRefreshRate;                  // ˢƵ
    int              nPhysicalPort;                 // , VGA, TV, DVIԶ, Դ0ʼ
    int              nScanFormat;                   // ɨģʽ, 0-, 1-
} DH_VIDEO_OUT_MODE;

// CLIENT_EnumVideoOutModesӿ
typedef struct tagDH_IN_ENUM_VIDEO_OUT_MODES 
{
    DWORD            dwSize;
    int              nChannel;
} DH_IN_ENUM_VIDEO_OUT_MODES;

// CLIENT_EnumVideoOutModesӿ
typedef struct tagDH_OUT_ENUM_VIDEO_OUT_MODES 
{
    DWORD               dwSize;
    DH_VIDEO_OUT_MODE*  pstuModes;                  // ģʽ, ûڴ,СΪsizeof(DH_VIDEO_OUT_MODE)*nMaxModeCount
    int                 nMaxModeCount;              // ģʽС, ûд
    int                 nRetModeCount;              // صģʽ
} DH_OUT_ENUM_VIDEO_OUT_MODES;

// ǽĻ
typedef enum tagDH_OUTPUT_ATTRIBUTE_TYPE
{
    DH_OUTPUT_ATTRIBUTE_VIDEO, 
    DH_OUTPUT_ATTRIBUTE_YPBPR, 
    DH_OUTPUT_ATTRIBUTE_VGA, 
    DH_OUTPUT_ATTRIBUTE_DVI, 
    DH_OUTPUT_ATTRIBUTE_MENU, 
} DH_OUTPUT_ATTRIBUTE_TYPE;

// ǽʾԪĻ(DH_OUTPUT_ATTRIBUTE_CAPS) Video
#define    DH_ATTR_VIDEO_BRIGHTNESS     0X00000001
#define    DH_ATTR_VIDEO_CONTRAST       0X00000002
#define    DH_ATTR_VIDEO_SATURATION     0X00000004
#define    DH_ATTR_VIDEO_SHAPENESS      0X00000008
#define    DH_ATTR_VIDEO_DENOISE        0X00000010

// ǽʾԪĻ(DH_OUTPUT_ATTRIBUTE_CAPS) YPbPr
#define    DH_ATTR_YPBPR_BRIGHTNESS     0X00000001
#define    DH_ATTR_YPBPR_CONTRAST       0X00000002
#define    DH_ATTR_YPBPR_SATURATION     0X00000004
#define    DH_ATTR_YPBPR_SHAPENESS      0X00000008
#define    DH_ATTR_YPBPR_DENOISE        0X00000010

// ǽʾԪĻ(DH_OUTPUT_ATTRIBUTE_CAPS) VGA
#define    DH_ATTR_VGA_BRIGHTNESS       0X00000001
#define    DH_ATTR_VGA_CONTRAST         0X00000002
#define    DH_ATTR_VGA_HORPOSITION      0X00000004
#define    DH_ATTR_VGA_VERPOSITION      0X00000008
#define    DH_ATTR_VGA_CLOCK            0X00000010

// ǽʾԪĻ(DH_OUTPUT_ATTRIBUTE_CAPS) DVI
#define    DH_ATTR_DVI_BRIGHTNESS       0X00000001
#define    DH_ATTR_DVI_CONTRAST         0X00000002
#define    DH_ATTR_DVI_HORPOSITION      0X00000004
#define    DH_ATTR_DVI_VERPOSITION      0X00000008
#define    DH_ATTR_DVI_CLOCK            0X00000010

// ǽʾԪĻ(DH_OUTPUT_ATTRIBUTE_CAPS) Menu
#define    DH_ATTR_MENU_MENU            0X00000001
#define    DH_ATTR_MENU_UP              0X00000002
#define    DH_ATTR_MENU_DOWN            0X00000004
#define    DH_ATTR_MENU_LEFT            0X00000008
#define    DH_ATTR_MENU_RIGHT           0X00000010
#define    DH_ATTR_MENU_FACTORYMENU     0X00000020

// ǽʾԪĻ
typedef struct tagDH_OUTPUT_ATTRIBUTE_CAPS
{
    DWORD           dwSize;
    BOOL            abVideo;                // VideoǷЧ
    DWORD           dwVideo;                // Video, λʾ, DH_ATTR_VIDEO_BRIGHTNESS
    BOOL            abYPbPr;                // YPbPrǷЧ
    DWORD           dwYPbPr;                // YPbPr, λʾ, DH_ATTR_VGA_BRIGHTNESS
    BOOL            abVGA;                  // VGAǷЧ
    DWORD           dwVGA;                  // VGA, λʾ, DH_ATTR_VGA_BRIGHTNESS
    BOOL            abDVI;                  // DVIǷЧ
    DWORD           dwDVI;                  // DVI, λʾ, DH_ATTR_DVI_BRIGHTNESS
    BOOL            abMenu;                 // MenuǷЧ
    DWORD           dwMemu;                 // Menu, λʾ, DH_ATTR_MENU_MENU
} DH_OUTPUT_ATTRIBUTE_CAPS;

// CLIENT_MonitorWallGetAttributeCaps ӿ
typedef struct tagDH_IN_MONITORWALL_GET_ARRT_CAPS
{
    DWORD               dwSize;
    int                 nMonitorWallID;             // ǽ
    const char*         pszCompositeID;             // ƴID
    int                 nOutputID;                  // ʾԪ
} DH_IN_MONITORWALL_GET_ARRT_CAPS;

// CLIENT_MonitorWallGetAttributeCaps ӿ
typedef struct tagDH_OUT_MONITORWALL_GET_ARRT_CAPS
{
    DWORD                       dwSize;
    DH_OUTPUT_ATTRIBUTE_CAPS    stuCaps;            // 
} DH_OUT_MONITORWALL_GET_ARRT_CAPS;


// CLIENT_MonitorWallAutoAdjust ӿ
typedef struct tagDH_IN_MONITORWALL_AUTO_ADJUST
{
    DWORD           dwSize;
    int             nMonitorWallID;                 // ǽ
    const char*     pszCompositeID;                 // ƴID
    int*            pOutputs;                       // ʾԪָ, ԪʾԪID, ûڴ,СΪsizeof(int)*nOutputCount
    int             nOutputCount;                   // ʾԪ, pOutputsԪ
} DH_IN_MONITORWALL_AUTO_ADJUST;

// CLIENT_MonitorWallAutoAdjust ӿ
typedef struct tagDH_OUT_MONITORWALL_AUTO_ADJUST
{
    DWORD           dwSize;
} DH_OUT_MONITORWALL_AUTO_ADJUST;

// ʾԪԼֵ
typedef struct tagDH_ATTR_PAIR
{
    DWORD       dwKey;                      // Լ
                                            // ΪDH_OUTPUT_ATTRIBUTE_VIDEOʱ, ʹúDH_ATTR_VIDEO_BRIGHTNESS
                                            // ΪDH_OUTPUT_ATTRIBUTE_YPBPRʱ, ʹúDH_ATTR_YPBPR_BRIGHTNESS
                                            // Դ
    int         nValue;                     // ֵ, 0- 1-, 2-
} DH_ATTR_PAIR;

// CLIENT_MonitorWallSetAttribute ӿ
typedef struct tagDH_IN_MONITORWALL_SET_ATTR
{
    DWORD                    dwSize;
    int                      nMonitorWallID;                    // ǽ
    const char*              pszCompositeID;                    // ƴID
    int                      nOutputID;                         // ʾԪ
    DH_OUTPUT_ATTRIBUTE_TYPE emAttrType;                        // , Ͳͬʱ, Ӧ(stuAttrs)Ҳͬ
    DH_ATTR_PAIR             stuAttrs[DH_MAX_ATTR_NUM];         // ֵ
} DH_IN_MONITORWALL_SET_ATTR;

// CLIENT_MonitorWallSetAttribute ӿ
typedef struct tagDH_OUT_MONITORWALL_SET_ATTR
{
    DWORD            dwSize;
} DH_OUT_MONITORWALL_SET_ATTR;

// CLIENT_MonitorWallSetBackLight ӿ
typedef struct tagDH_IN_MONITORWALL_SET_BACK_LIGHT
{
    DWORD               dwSize;
    int                 nMonitorWallID;                     // ǽ
    const char*         pszCompositeID;                     // ƴID
    int                 nOutputID;                          // ʾԪ
    int                 nMode;                              // ģʽ, 0-ѭñģʽ,1-ѭģʽ
} DH_IN_MONITORWALL_SET_BACK_LIGHT;

// CLIENT_MonitorWallSetBackLight ӿ
typedef struct tagDH_OUT_MONITORWALL_SET_BACK_LIGHT
{
    DWORD               dwSize;
} DH_OUT_MONITORWALL_SET_BACK_LIGHT;


// CLIENT_MonitorWallGetPowerSchedule ӿ
typedef struct tagNET_IN_WM_GET_POWER_SCHEDULE
{
    DWORD               dwSize;
    int                 nMonitorWallID;                     // ǽ
    const char*         pszCompositeID;                     // ƴID
} NET_IN_MW_GET_POWER_SCHEDULE;

// CLIENT_MonitorWallGetPowerSchedule ӿ
typedef struct tagNET_OUT_MW_GET_POWER_SCHEDULE
{
    DWORD               dwSize;
    DH_TSECT            stuPowerSchedule[DH_TSCHE_DAY_NUM][DH_TSCHE_SEC_NUM];    // ʱ, һάԪرʾ~ͽڼ
} NET_OUT_MW_GET_POWER_SCHEDULE;

// CLIENT_MonitorWallSetPowerSchedule ӿ
typedef struct tagNET_IN_MW_SET_POWER_SCHEDULE
{
    DWORD               dwSize;
    int                 nMonitorWallID;                     // ǽ
    const char*         pszCompositeID;                     // ƴID, NULLʾ
    DH_TSECT            stuPowerSchedule[DH_TSCHE_DAY_NUM][DH_TSCHE_SEC_NUM];    // ʱ, һάԪرʾ~ͽڼ
} NET_IN_MW_SET_POWER_SCHEDULE;

// CLIENT_MonitorWallSetPowerSchedule ӿ
typedef struct tagNET_OUT_MW_SET_POWER_SCHEDULE
{
    DWORD               dwSize;
} NET_OUT_MW_SET_POWER_SCHEDULE;

// CLIENT_MonitorWallGetScrnCtrlParam ӿ
typedef struct tagNET_IN_MW_GET_SCRN_CTRL_PARAM
{
    DWORD               dwSize;
    int                 nMonitorWallID;                     // ǽ
    const char*         pszCompositeID;                     // ƴID
} NET_IN_MW_GET_SCRN_CTRL_PARAM;

#define DH_MAX_SCREEN_PORT_NUM        16                    // Ļ˿
#define DH_MAX_COMPSITE_SCREEN_NUM    256                   // ƴ

// Ļ˿Ϣ
typedef struct tagNET_SCREEN_PORT_INFO
{
    DWORD               dwSize;
    char                szType[DH_COMMON_STRING_16];        // ˿, "DVI", "VGA", "HDMI", ͬ͵Ķ˿
    char                szAddress[DH_COMMON_STRING_16];     // ˿ڵַ
    char                szDeviceID[DH_DEV_ID_LEN_EX];       // 󶨵Ƶ豸
    int                 nOutputChannel;                     // Ƶͨ
} NET_SCREEN_PORT_INFO;


typedef struct tagNET_SCREEN_PORT_GROUP 
{
    DWORD                dwSize;
    int                  nPortNum;                          // ˿
    NET_SCREEN_PORT_INFO stuPorts[DH_MAX_SCREEN_PORT_NUM];  // ˿Ϣ
} NET_SCREEN_PORT_GROUP;

// ǽĻƲ
typedef struct tagNET_WM_SCRN_CTRL_PARAM
{
    DWORD                   dwSize;
    int                     nCommPort;                                  // ں
    DH_COMM_PROP            stuCommProp;                                // 
    char                    szProtocol[DH_COMMON_STRING_32];            // Э
    int                     nResolutionNum;                             // ֱ
    CAPTURE_SIZE            emResolutions[DH_MAX_CAPTURE_SIZE_NUM];     // Ƶֱб
    int                     nScreenCodeNum;                             // Ļ
    char                    szScreenCode[DH_MAX_COMPSITE_SCREEN_NUM][DH_COMMON_STRING_16];    // Ļ, Ѱַ, ñû, ͬ
    int                     nScreenPortsNum;                            // Ļ˿Ϣ
    NET_SCREEN_PORT_GROUP   stuScreenPorts[DH_MAX_COMPSITE_SCREEN_NUM]; // Ļ˿Ϣ    
} NET_WM_SCRN_CTRL_PARAM;

// CLIENT_MonitorWallGetScrnCtrlParam ӿ
typedef struct tagNET_OUT_MW_GET_SCRN_CTRL_PARAM
{
    DWORD                   dwSize;
    NET_WM_SCRN_CTRL_PARAM  stuScrnCtrlParam;           // ĻƲ
} NET_OUT_MW_GET_SCRN_CTRL_PARAM;

// CLIENT_MonitorWallSetScrnCtrlParam ӿ
typedef struct tagNET_IN_MW_SET_SCRN_CTRL_PARAM
{
    DWORD                   dwSize;
    int                     nMonitorWallID;             // ǽ
    const char*             pszCompositeID;             // ƴID
    NET_WM_SCRN_CTRL_PARAM  stuScrnCtrlParam;           // ĻƲ
} NET_IN_MW_SET_SCRN_CTRL_PARAM;

// CLIENT_MonitorWallSetScrnCtrlParam ӿ
typedef struct tagNET_OUT_MW_SET_SCRN_CTRL_PARAM
{
    DWORD           dwSize;
} NET_OUT_MW_SET_SCRN_CTRL_PARAM;

// CLIENT_MonitorWallGetBackgroudColor ӿ
typedef struct tagNET_IN_MW_GET_BACKGROUDND_COLOR
{
    DWORD           dwSize;
    int             nMonitorWallID;             // ǽ
} NET_IN_MW_GET_BACKGROUDND_COLOR;

// CLIENT_MonitorWallGetBackgroudColor ӿ
typedef struct tagNET_OUT_MW_GET_BACKGROUDND_COLOR
{
    DWORD           dwSize;
    DH_COLOR_RGBA   stuScreenColor;             // Ļɫ
    DH_COLOR_RGBA   stuWindowColor;             // ڱɫ
} NET_OUT_MW_GET_BACKGROUDND_COLOR;

// CLIENT_MonitorWallSetBackgroudColor ӿ
typedef struct tagNET_IN_MW_SET_BACKGROUD_COLOR 
{
    DWORD           dwSize;
    int             nMonitorWallID;             // ǽ
    DH_COLOR_RGBA   stuScreenColor;             // Ļɫ
    DH_COLOR_RGBA   stuWindowColor;             // ڱɫ
} NET_IN_MW_SET_BACKGROUD_COLOR;

// CLIENT_MonitorWallSetBackgroudColor ӿ
typedef struct tagNET_OUT_MW_SET_BACKGROUD_COLOR 
{
    DWORD           dwSize;
} NET_OUT_MW_SET_BACKGROUD_COLOR;

// źԴ
typedef enum tagEM_SIGNAL_TYPE
{
	EM_SIGNAL_TYPE_UNKNOWN,								// δ֪
	EM_SIGNAL_TYPE_VIDEO,								// "Video"
	EM_SIGNAL_TYPE_VGA,									// "VGA"
	EM_SIGNAL_TYPE_YPBPR,								// "YPbPr"
	EM_SIGNAL_TYPE_HDMI,								// "HDMI"
	EM_SIGNAL_TYPE_DVI,									// "DVI"
	EM_SIGNAL_TYPE_SDI,									// "SDI"
	EM_SIGNAL_TYPE_CVBS,								// "CVBS"
}EM_SIGNAL_TYPE;

// CLIENT_MonitorWallSwitchDisplaySignal ӿ
typedef struct tagNET_IN_MW_SWITCH_DISPLAY_SIGNAL
{	
	DWORD				dwSize;							// ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_INT_SWITCH_DISPLAYSIGNAL)
    int                 nMonitorWallID;                 // ǽ
	char*			    pszCompositeID;					// ʾԪID
	int					nOutputID;						// ʾԪ, -1ʾеʾԪ
	EM_SIGNAL_TYPE		emSignalType;					// źԴ 
	int					nIndex;							// źŶ, 0ʼ, жͬźԴʱ, ָĸ
}NET_IN_MW_SWITCH_DISPLAY_SIGNAL;

// CLIENT_MonitorWallSwitchDisplaySignal ӿ
typedef struct tagNET_OUT_MW_SWITCH_DISPLAY_SIGNAL			
{
	DWORD				dwSize;							// ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_OUT_SWICH_DISPLAYSIGNAL)
}NET_OUT_MW_SWITCH_DISPLAY_SIGNAL;

//////////////////////////////////////////////////////////////////////////
// CLIENT_OperateMonitorWallӿڲ
//////////////////////////////////////////////////////////////////////////

// ǽ
typedef enum tagNET_MONITORWALL_OPERATE_TYPE
{
    NET_MONITORWALL_OPERATE_ADD,            // ӵǽ, Ӧ NET_IN_MONITORWALL_ADD  NET_OUT_MONITORWALL_ADD
    NET_MONITORWALL_OPERATE_CTRL_TOUR,      // ԤѲ, Ӧ NET_IN_CTRL_COLLECTIONTOUR  NET_OUT_CTRL_COLLECTIONTOUR
    NET_MONITORWALL_OPERATE_GET_STATUS,     // ȡǰ״̬, Ӧ NET_IN_MONITORWALL_GET_STATUS  NET_OUT_MONITORWALL_GET_STATUS
    NET_MONITORWALL_OPERATE_SET_COLL_SCHD,  // Ԥʱ, Ӧ NET_IN_MONITORWALL_SET_COLL_SCHD  NET_OUT_MONITORWALL_SET_COLL_SCHD
    NET_MONITORWALL_OPERATE_GET_COLL_SCHD,  // ȡԤʱ, Ӧ NET_IN_MONITORWALL_GET_COLL_SCHD  NET_OUT_MONITORWALL_GET_COLL_SCHD
    NET_MONITORWALL_OPERATE_REMOVE,         // ɾǽ, Ӧ NET_IN_MONITORWALL_REMOVE  NET_OUT_MONITORWALL_REMOVE
    NET_MONITORWALL_OPERATE_SET_ENABLE,     // ʹ, Ӧ NET_IN_MONITORWALL_SET_ENABLE  NET_OUT_MONITORWALL_SET_ENABLE
    NET_MONITORWALL_OPERATE_GET_ENABLE,     // ȡʹ, Ӧ NET_IN_MONITORWALL_GET_ENABLE  NET_OUT_MONITORWALL_GET_ENABLE
    NET_MONITORWALL_OPERATE_NAME_EXIST,     // ǽǷ, Ӧ NET_IN_MONITORWALL_NAME_EXIST  NET_OUT_MONITORWALL_NAME_EXIST
    NET_MONITORWALL_OPERATE_RENAME,         // ޸ĵǽ, Ӧ NET_IN_MONITORWALL_RENAME   NET_OUT_MONITORWALL_RENAME 
    NET_MONITORWALL_OPERATE_UPDATE_SOURCE_URL,  // ǽƵԴURL, Ӧ NET_IN_MONITORWALL_UPDATE_SOURCE_URL  NET_OUT_MONITORWALL_UPDATE_SOURCE_URL

    NET_MONITORWALL_OPERATE_GET_LOCK_STATUS,// ȡǽ״̬, Ӧ NET_IN_MONITORWALL_GET_LOCK_STATUS   NET_OUT_MONITORWALL_GET_LOCK_STATUS 
    NET_MONITORWALL_OPERATE_LOCK,			// ǽ(ɿĴڲƶֹû), Ӧ NET_IN_MONITORWALL_LOCK   NET_OUT_MONITORWALL_LOCK 
} NET_MONITORWALL_OPERATE_TYPE;

// ӵǽ
typedef struct tagNET_IN_MONITORWALL_ADD
{
    DWORD dwSize;
    DH_MONITORWALL stuMonitorWall; // ǽϢ
} NET_IN_MONITORWALL_ADD;

// ӵǽ
typedef struct tagNET_OUT_MONITORWALL_ADD
{
    DWORD dwSize;
    unsigned int nMonitorWallID; // ǽID
} NET_OUT_MONITORWALL_ADD;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_CTRL_TOUR
typedef struct tagNET_IN_CTRL_COLLECTIONTOUR 
{
    DWORD              dwSize;
    int                nChannel;                       // ͨ
    int                nAction;                        // Ѳ, 0:, 1:ʼ
} NET_IN_CTRL_COLLECTIONTOUR;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_CTRL_TOUR
typedef struct tagNET_OUT_CTRL_COLLECTIONTOUR 
{
    DWORD                   dwSize;
} NET_OUT_CTRL_COLLECTIONTOUR;

// ״̬
typedef enum tagNET_MATRIX_STATUS
{
    MATRIX_STATUS_UNKNOWN,              // δ֪
    MATRIX_STATUS_TOUR,                 // ԤѲ
    MATRIX_STATUS_NORMAL,               // ͨԤ
} NET_MATRIX_STATUS;

#define DH_MAX_COLLECTION_NUM   64      // Ԥ
// ״̬Ϣ
typedef struct tagNET_MONITORWALL_STATUS_INFO
{
    DWORD       dwSize;
    int         nInterval;                      // Ѳʱ
    int         nCollectionNum;                 // ԤѲ
    char        szCollections[DH_MAX_COLLECTION_NUM][DH_DEVICE_NAME_LEN];         // ԤѲ
    char        szName[DH_DEVICE_NAME_LEN];     // ǰʾԤ
} NET_MONITORWALL_STATUS_INFO;

// // CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_GET_STATUS
typedef struct tagNET_IN_MONITORWALL_GET_STATUS 
{
    DWORD              dwSize;
    int                nChannel;                        // ͨ
} NET_IN_MONITORWALL_GET_STATUS;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_GET_STATUS
typedef struct tagNET_OUT_MONITORWALL_GET_STATUS
{
    DWORD                           dwSize;
    NET_MATRIX_STATUS               emMatrixStatus;     // ״̬
    NET_MONITORWALL_STATUS_INFO     stuStatusInfo;      // ״̬Ϣ
} NET_OUT_MONITORWALL_GET_STATUS;

// ǽԤʱ
typedef struct tagMONITORWALL_COLLECTION_SCHEDULE
{
    DWORD               dwSize;
    char                szName[DH_DEVICE_NAME_LEN];     // Ԥ
    DH_TSECT            stuSchedule[DH_TSCHE_DAY_NUM][DH_TSCHE_SEC_NUM];   // ʱ, һάԪرʾ~ͽڼ
} MONITORWALL_COLLECTION_SCHEDULE;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_SET_COLL_SCHD
typedef struct tagNET_IN_MONITORWALL_SET_COLL_SCHD 
{
    DWORD               dwSize;
    int                 nCollectionNum;                 // Ԥ
    MONITORWALL_COLLECTION_SCHEDULE stuCollShedule[DH_MAX_COLLECTION_NUM];  // Ԥʱ
    int                 nMonitorWallID;                 // ǽID
} NET_IN_MONITORWALL_SET_COLL_SCHD;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_SET_COLL_SCHD
typedef struct tagNET_OUT_MONITORWALL_SET_COLL_SCHD 
{
    DWORD               dwSize;
} NET_OUT_MONITORWALL_SET_COLL_SCHD;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_GET_COLL_SCHD
typedef struct tagNET_IN_MONITORWALL_GET_COLL_SCHD 
{
    DWORD               dwSize;
    BOOL                bAllCollections;                // TRUE-ѯԤ, ҪָԤ. FALSE-ѯӦԤ
    int                 nCollectionNum;                 // Ԥ, bAllCollectionsΪFALSEʱЧ
    char                szCollections[DH_MAX_COLLECTION_NUM][DH_DEVICE_NAME_LEN];   // Ԥ
    int                 nMonitorWallID;                 // ǽID
} NET_IN_MONITORWALL_GET_COLL_SCHD;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_GET_COLL_SCHD
typedef struct tagNET_OUT_MONITORWALL_GET_COLL_SCHD 
{
    DWORD               dwSize;
    int                 nCollectionNum;                 // Ԥ
    MONITORWALL_COLLECTION_SCHEDULE stuCollShedule[DH_MAX_COLLECTION_NUM];  // Ԥʱ
} NET_OUT_MONITORWALL_GET_COLL_SCHD;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_REMOVE
typedef struct tagNET_IN_MONITORWALL_REMOVE 
{
    DWORD               dwSize;
    int                 nMonitorWallNum;                // Ҫɾĵǽ
    char                szNames[DH_MAX_MONITORWALL_NUM][DH_COMMON_STRING_128];  // ǽ
} NET_IN_MONITORWALL_REMOVE;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_REMOVE
typedef struct tagNET_OUT_MONITORWALL_REMOVE 
{
    DWORD               dwSize;
} NET_OUT_MONITORWALL_REMOVE;

// ǽʹϢ
typedef struct tagNET_MONITORWALL_ENABLE_INFO
{
    DWORD               dwSize;
    BOOL                bEanble;                        // ʹ
    char                szName[DH_COMMON_STRING_128];   // ǽ
} NET_MONITORWALL_ENABLE_INFO;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_SET_ENABLE
typedef struct tagNET_IN_MONITORWALL_SET_ENABLE
{
    DWORD               dwSize;
    int                 nMonitorWallNum;                // Ҫõĵǽ
    NET_MONITORWALL_ENABLE_INFO stuEnable[DH_MAX_MONITORWALL_NUM];  // ǽʹ
} NET_IN_MONITORWALL_SET_ENABLE;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_SET_ENABLE
typedef struct tagNET_OUT_MONITORWALL_SET_ENABLE
{
    DWORD               dwSize;
} NET_OUT_MONITORWALL_SET_ENABLE;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_GET_ENABLE
typedef struct tagNET_IN_MONITORWALL_GET_ENABLE
{
    DWORD               dwSize;
    int                 nMonitorWallNum;                // Ҫѯĵǽ, -1ʾѯеǽ
    char                szNames[DH_MAX_MONITORWALL_NUM][DH_COMMON_STRING_128];  // ǽ, nMonitorWallNum>0ʱЧ
} NET_IN_MONITORWALL_GET_ENABLE;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_SET_ENABLE
typedef struct tagNET_OUT_MONITORWALL_GET_ENABLE
{
    DWORD               dwSize;
    int                 nMonitorWallNum;                // ǽ
    NET_MONITORWALL_ENABLE_INFO stuEnable[DH_MAX_MONITORWALL_NUM];  // ǽʹ
} NET_OUT_MONITORWALL_GET_ENABLE;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_NAME_EXIST
typedef struct tagNET_IN_MONITORWALL_NAME_EXIST 
{
    DWORD               dwSize;
    const char*         pszName;                        // ǽ
} NET_IN_MONITORWALL_NAME_EXIST;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_NAME_EXIST
typedef struct tagNET_OUT_MONITORWALL_NAME_EXIST 
{
    DWORD               dwSize;
    BOOL                bExist;                        // ǽǷѴ
} NET_OUT_MONITORWALL_NAME_EXIST;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_RENAME޸ĵǽ
typedef struct tagNET_IN_MONITORWALL_RENAME
{
	DWORD               dwSize;
	unsigned int		unMonitorWallID;							// ǽID
	char				szNewName[MAX_MONITORWALL_NAME_LEN];		// µĵǽ
} NET_IN_MONITORWALL_RENAME;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_RENAME޸ĵǽ
typedef struct tagNET_OUT_MONITORWALL_RENAME
{
	DWORD               dwSize;
} NET_OUT_MONITORWALL_RENAME;


// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_GET_LOCK_STATUSȡǽ״̬
typedef struct tagNET_IN_MONITORWALL_GET_LOCK_STATUS
{
    DWORD               dwSize;
    int        			nChannel;	// ͨ
} NET_IN_MONITORWALL_GET_LOCK_STATUS;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_GET_LOCK_STATUSȡǽ״̬
typedef struct tagNET_OUT_MONITORWALL_GET_LOCK_STATUS
{
    DWORD               dwSize;
    BOOL                bLock;      // Ƿ,true:;false
} NET_OUT_MONITORWALL_GET_LOCK_STATUS;


// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_LOCKǽ
typedef struct tagNET_IN_MONITORWALL_LOCK
{
    DWORD               dwSize;
    int        		    nChannel;		// ͨ
    BOOL                bLock;      	// Ƿ,true:;false
	BYTE				byReserved[4];	// ֽ
} NET_IN_MONITORWALL_LOCK;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_LOCKǽ
typedef struct tagNET_OUT_MONITORWALL_LOCK
{
    DWORD               dwSize;
} NET_OUT_MONITORWALL_LOCK;


// ҪµURLϢ
typedef struct tagNET_UPDATE_URL_INFO
{
    char        szOldURL[512];              // ǽƵԴURL
    char        szNewURL[512];              // µƵԴURL
    BYTE        bReserved[1024];            // ֽ
} NET_UPDATE_URL_INFO;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_UPDATE_SOURCE_URL ǽƵԴURL
typedef struct tagNET_IN_MONITORWALL_UPDATE_SOURCE_URL
{
    DWORD               dwSize;             // ṹС
    UINT                nUpdateURLNum;      // ҪµURLϢ, ֧256
    NET_UPDATE_URL_INFO *pstuUpdateURL;     // ҪµURLϢ, ԴûͷţСnUpdateURLNum*sizeof(NET_UPDATE_URL_INFO)
} NET_IN_MONITORWALL_UPDATE_SOURCE_URL;

// CLIENT_OperateMonitorWallӿ=>NET_MONITORWALL_OPERATE_UPDATE_SOURCE_URL ǽƵԴURL
typedef struct tagNET_OUT_MONITORWALL_UPDATE_SOURCE_URL
{
    DWORD               dwSize;             // ṹС
} NET_OUT_MONITORWALL_UPDATE_SOURCE_URL;

/************************************************************************/
/*                              Uץ                                    */
/************************************************************************/
// Э
typedef enum tagEM_SNIFFER_FILTER_PROTOCOL
{
    EM_SNIFFER_FILTER_PROTOCOL_UNKNOWN,       // δ֪
    EM_SNIFFER_FILTER_PROTOCOL_TCP,           // TCP
    EM_SNIFFER_FILTER_PROTOCOL_UDP,           // UDP
}EM_SNIFFER_FILTER_PROTOCOL;

// ץԪ
typedef struct tagNET_SNIFFER_FILTER_ELEMENT
{
    char            szSrcIP[64];              // Դַ
    char            szDstIP[64];              // Ŀĵַ
    int             nSrcPort;                 // Դ˿
    int             nDstPort;                 // ĿĶ˿
    EM_SNIFFER_FILTER_PROTOCOL emProtocol;    // Э
    BYTE            byReserved[60];           // ֶ
}NET_SNIFFER_FILTER_ELEMENT;

// ץ˹
typedef struct tagNET_SNIFFER_FILTER
{
    int                 nMaxElemet;          // ЧstElemetsge
    NET_SNIFFER_FILTER_ELEMENT stuElemets[8]; // Ԫ
    int                 nFilterType;         // 0: ȡȫԪĻΪ; 1: ȡԪΪ
    BYTE                byReserved[256];     // ֶ
}NET_SNIFFER_FILTER;

// CLIENT_StartSniffer ӿ
typedef struct tagDH_IN_START_SNIFFER 
{
    DWORD           dwSize;
    const char*     pszNetInterface;            // 
    const char*     pszPath;                    // ץ洢ļ, ձʾ浽Ĭ·
    int             nSaveType;                  // ļ, 0-Wireshark/Tcpdump
    const char*     pszFilter;                  // , "host 172.9.88.200 and port 8080 and tcp"
    int             nCaptureTime;               // ץʱʱ䣬λ, 0 Ĭϲʱ.
    unsigned int    nCurrentFileSize;           // ָ˴ץС, λkb
    BOOL            bFilterEx;                  // ȼʹܣΪ棬򲻲pszFilterĹ˹
    NET_SNIFFER_FILTER stuFilterEx;             // ȼĹ˹
} DH_IN_START_SNIFFER;

// CLIENT_StartSniffer ӿ
typedef struct tagDH_OUT_START_SNIFFER 
{
    DWORD           dwSize;
} DH_OUT_START_SNIFFER;

// ץϢ
typedef struct tagDH_SNIFFER_INFO
{
    DWORD           dwSize;
    DWORD           nSnifferID;                 // ץID
    char            szPath[256];                // ץ洢ļǰڽеץΪ 
    char            szPathEx[10][256];          // Ĭ·start·µץļʱµ
    int             nRetPathEx;                 // ʵʷصszPathExЧ
    UINT            nFileSize[10];              // szPathExԪضӦļС, λֽ
} DH_SNIFFER_INFO;

// CLIENT_GetSnifferInfo ӿ
typedef struct tagDH_IN_GET_SNIFFER_INFO
{
    DWORD           dwSize;
    const char*     pszNetInterface;
} DH_IN_GET_SNIFFER_INFO;

// CLIENT_GetSnifferInfo ӿ
typedef struct tagDH_OUT_GET_SNIFFER_INFO
{
    DWORD               dwSize;
    DH_SNIFFER_INFO*    pstuSniffers;           // ץϢ, ûڴ
    int                 nMaxSnifferCount;       // ץϢС, ûд
    int                 nRetSnifferCount;       // صץϢ
} DH_OUT_GET_SNIFFER_INFO;
// ־ص
typedef void (CALLBACK *fAttachSniffer)(LLONG lAttchHandle, BYTE *pBuffer, DWORD dwBufSize, LDWORD dwUser);

// CLIENT_AttachSniffer ӿ
typedef struct tagNET_IN_ATTACH_SNIFFER
{
    DWORD               dwSize;
    fAttachSniffer      cbSniffer;           // ص
    LDWORD              dwUser;              // ûϢ
}NET_IN_ATTACH_SNIFFER;

// CLIENT_AttachSniffer ӿڳ
typedef struct tagNET_OUT_ATTACH_SNIFFER
{
    DWORD               dwSize;
}NET_OUT_ATTACH_SNIFFER;

// CLIENT_GetSnifferCaps ӿ
typedef struct tagNET_IN_GET_SNIFFER_CAP
{
    DWORD               dwSize;
}NET_IN_GET_SNIFFER_CAP;

// CLIENT_GetSnifferCaps ӿڳ
typedef struct tagNET_OUT_GET_SNIFFER_CAP
{
    DWORD               dwSize;
    BOOL                bRemoteCap;             // Ƿ֧Զʽץ
}NET_OUT_GET_SNIFFER_CAP;

/************************************************************************/
/*                              ļ                                */
/************************************************************************/

// ʽϢ
typedef struct tagDH_FORMAT_PATITION 
{
    DWORD               dwSize;
    const char*         pszStorageName;         // 洢豸
    const char*         pszPatitionName;        // 
    const char*         pszFileSystem;          // ļϵͳʽ
} DH_FORMAT_PATITION;

// CLIENT_CreateRemoteFile ӿ
typedef struct tagDH_IN_CREATE_REMOTE_FILE
{
    DWORD               dwSize;
    const char*         pszPath;                // ļ
    BOOL                bDirectory;             // Ƿļ
} DH_IN_CREATE_REMOTE_FILE;

// CLIENT_CreateRemoteFile ӿ
typedef struct tagDH_OUT_CREATE_REMOTE_FILE 
{
    DWORD               dwSize;
} DH_OUT_CREATE_REMOTE_FILE;

// CLIENT_RemoveRemoteFiles ӿ
typedef struct tagDH_IN_REMOVE_REMOTE_FILES
{
    DWORD               dwSize;
    const char**        pszPath;                // ļ·ָ
    int                 nFileCount;             // ļ·
} DH_IN_REMOVE_REMOTE_FILES;

// CLIENT_RemoveRemoteFiles ӿ
typedef struct tagDH_OUT_REMOVE_REMOTE_FILES 
{
    DWORD               dwSize;
} DH_OUT_REMOVE_REMOTE_FILES;

// CLIENT_RenameRemoteFile ӿ
typedef struct tagDH_IN_RENAME_REMOTE_FILE
{
    DWORD               dwSize;
    const char*         pszOldPath;             // ļ
    const char*         pszNewPath;             // ļ
} DH_IN_RENAME_REMOTE_FILE;

// CLIENT_RenameRemoteFile ӿ
typedef struct tagDH_OUT_RENAME_REMOTE_FILE 
{
    DWORD               dwSize;
} DH_OUT_RENAME_REMOTE_FILE;

// ļ/Ŀ¼Ϣ
typedef struct tagDH_REMOTE_FILE_INFO 
{
    DWORD               dwSize;
    BOOL                bDirectory;                     // Ƿļ
    char                szPath[MAX_PATH];               // ·
    NET_TIME            stuCreateTime;                  // ʱ
    NET_TIME            stuModifyTime;                  // ޸ʱ
    INT64               nFileSize;                      // ļС
    char                szFileType[DH_FILE_TYPE_LEN];   // ļ
} DH_REMOTE_FILE_INFO;

// ȡļ
typedef enum tagDH_REMOTE_FILE_COND
{
    DH_REMOTE_FILE_COND_NONE,                           // 
    DH_REMOTE_FILE_COND_VOICE,                          // ļ,*޷*·ȡ,*ֻ*ȡȡļ
} DH_REMOTE_FILE_COND;

// CLIENT_ListRemoteFile ӿ
typedef struct tagDH_IN_LIST_REMOTE_FILE
{
    DWORD               dwSize;
    const char*         pszPath;                        // ·
    BOOL                bFileNameOnly;                  // ֻȡļ, ļϢ, ļϢֻļЧ
    DH_REMOTE_FILE_COND emCondition;                    // ָȡļ
} DH_IN_LIST_REMOTE_FILE;

// CLIENT_ListRemoteFile ӿ
typedef struct tagDH_OUT_LIST_REMOTE_FILE 
{
    DWORD                   dwSize;
    DH_REMOTE_FILE_INFO*    pstuFiles;                  // ļϢ, ûڴ,СΪsizeof(DH_REMOTE_FILE_INFO)*nMaxFileCount
    int                     nMaxFileCount;              // ļϢС, ûд
    int                     nRetFileCount;              // صļ
} DH_OUT_LIST_REMOTE_FILE;

// ļԡ
typedef enum tagNET_SET_FILEATTR_ACTION
{
    EM_SET_FILEATTR_ACTION_UNKNOWN = 0,                 // δ֪
    EM_SET_FILEATTR_ACTION_MARK,                        // ļ
} NET_SET_FILEATTR_ACTION;

// CLIENT_SetFileAttribute ӿ
typedef struct tagDH_IN_SET_FILEATTRIBUTE
{
    DWORD                   dwSize;
    unsigned int            nDriveNo;                       // ̺
    unsigned int            nPartition;                     // 
    unsigned int            nCluster;                       // غ
    NET_SET_FILEATTR_ACTION emAction;                       // ÿԶӦһkey,ֵvalue
                                                            // key:Mark ļ,Ӧvalue,ӳʱ(λ:)
    char                    szValue[DH_COMMON_STRING_64];   // ֵ
} DH_IN_SET_FILEATTRIBUTE;

// CLIENT_SetFileAttribute ӿ
typedef struct tagDH_OUT_SET_FILEATTRIBUTE
{
    DWORD                   dwSize;
} DH_OUT_SET_FILEATTRIBUTE;

// ֶ洢豸
typedef struct tagDH_EJECT_STORAGE_DEVICE
{
    DWORD               dwSize;    
    const char*         pszStorageName;                 // 洢豸
} DH_EJECT_STORAGE_DEVICE;

// ֶװش洢豸
typedef struct tagDH_LOAD_STORAGE_DEVICE 
{
    DWORD               dwSize;
    const char*         pszStorageName;                 // 洢豸
} DH_LOAD_STORAGE_DEVICE;

// CLIENT_UploadRemoteFile ӿ(ϴļ豸)
typedef struct tagDH_IN_UPLOAD_REMOTE_FILE
{
    DWORD               dwSize;
    const char*         pszFileSrc;                     // Դļ·
    const char*         pszFileDst;                     // Ŀļ·
    const char*         pszFolderDst;                   // Ŀļ·ΪNULL, NULLʱ豸ʹĬ·
    unsigned int        nPacketLen;                     // ļְС(ֽ): 0ʾְ
} DH_IN_UPLOAD_REMOTE_FILE;

// CLIENT_UploadRemoteFile ӿ(ϴļ豸)
typedef struct tagDH_OUT_UPLOAD_REMOTE_FILE
{
    DWORD               dwSize;
} DH_OUT_UPLOAD_REMOTE_FILE;

// CLIENT_DownloadRemoteFile ӿ(ļ)
typedef struct tagDH_IN_DOWNLOAD_REMOTE_FILE
{
    DWORD               dwSize;
    const char*         pszFileName;                    // Ҫصļ
    const char*         pszFileDst;                     // ļ·
} DH_IN_DOWNLOAD_REMOTE_FILE;

// CLIENT_DownloadRemoteFile ӿ(ļ)
typedef struct tagDH_OUT_DOWNLOAD_REMOTE_FILE
{
    DWORD               dwSize;
	DWORD				dwMaxFileBufLen;				// ļpstFileBufĴС, ûָ
	char				*pstFileBuf;					// ļ, ûͷ
	DWORD				dwRetFileBufLen;				// зصʵļݴС
	BYTE              	byReserved[4];            		// ֽڶ
} DH_OUT_DOWNLOAD_REMOTE_FILE;

// CLIENT_DownloadPieceFile ӿļأ
typedef struct tagNET_IN_DOWNLOAD_PIECE_FILE
{
	DWORD				dwSize;
	char				szFileName[MAX_PATH];		   // Ҫصļ,֧ȫ·
	UINT				nOffSet;					   // ƫ,λֽ
													   // ļܳΪ50KB,ÿΪ32KB,ôһʱ,nOffSetΪ0,ڶnOffSetΪ32KB
	UINT				nNeedLength;				   // ,λֽڣΪ32KB,󲻳4MB	
} NET_IN_DOWNLOAD_PIECE_FILE;

// CLIENT_DownloadPieceFile ӿļأ
typedef struct tagNET_OUT_DOWNLOAD_PIECE_FILE
{
	DWORD				dwSize;
	UINT				nFileLength;	 // ļܳ
	UINT				nPacketLength;   // ηصݳ,λֽ,Ϊ32KB,󲻳4MB
	char*               szBuffer;        // ļ,ûڴ,СΪnBufferLen
	UINT				nBufferLen;      // ļݳ,λֽ
} NET_OUT_DOWNLOAD_PIECE_FILE;

/************************************************************************/
/*                              豸                                */
/************************************************************************/
// 豸
typedef struct tagDH_IN_SEARCH_CONDITON
{
    DWORD               dwSize;
    const char*         pMachineName;                   // 豸ƻ
    const char*         pMachineAddr;                   // 豸ص(磺.ϴ.ΰҵ·)
    const char*         pSerialNo;                      // 豸к
    const char*         pChannelName;                   // Ƶͨ
} DH_MATRIX_SEARCH_CONDITON;

// CLIENT_MatrixSearch ӿ(豸)
typedef struct tagDH_IN_MATIRX_SEARCH
{
    DWORD                       dwSize;
    const char*                 pSerialNo;              // 豸к,"Local"-豸,"Root"-豸,豸豸кűʾ
    DH_MATRIX_SEARCH_CONDITON   stuCondition;           // , Ϊһ
} DH_IN_MATRIX_SEARCH;

// CLIENT_MatrixSearch ӿ(豸)
typedef struct tagDH_OUT_MATRIX_SEARCH
{
    DWORD               dwSize;
    DH_REMOTE_DEVICE*   pstuRemoteDevices;              // 豸б, ûڴ,СΪsizeof(DH_REMOTE_DEVICE)*nMaxDeviceCount
    int                 nMaxDeviceCount;                // 豸бֵ, ûд
    int                 nRetDeviceCount;                // ʵʷ豸
} DH_OUT_MATRIX_SEARCH;

// CLIENT_GetMatrixTree ӿ
typedef struct tagDH_IN_GET_MATRIX_TREE
{
    DWORD               dwSize;
    const char*         pSerialNo;                      // 豸к,"Local"-豸,"Root"-豸,豸豸кűʾ
    int                 nLevel;                         // ü豸Ϣ,0-豸,1-豸,2-豸+豸һ豸,
                                                        // 3-豸+豸һ豸+һ豸һ豸
} DH_IN_GET_MATRIX_TREE;

// 豸Ϣ
typedef struct tagDH_CASCADE_DEVICE_INFO
{
    DWORD               dwSize;
    int                 nLevel;                         // ǰ豸
    char                szPath[MAX_PATH];               // 豸·,ʽname1.name2.name3...
    DH_REMOTE_DEVICE    stuDeviceInfo;                  // 豸ϸϢ
} DH_CASCADE_DEVICE_INFO;

// CLIENT_GetMatrixTree ӿ
typedef struct tagDH_OUT_GET_MATRIX_TREE
{
    DWORD                   dwSize;
    DH_CASCADE_DEVICE_INFO* pstuRemoteDevices;          // 豸Ϣ
    int                     nMaxDeviceCount;            // 豸Ϣֵ
    int                     nRetDeviceCount;            // صʵ豸
} DH_OUT_GET_MATRIX_TREE;

// CLIENT_GetSuperiorMatrixList ӿ
typedef struct tagDH_IN_GET_SUPERIOR_MATRIX_LIST
{
    DWORD                   dwSize;
} DH_IN_GET_SUPERIOR_MATRIX_LIST;

// CLIENT_GetSuperiorMatrixList ӿ
typedef struct tagDH_OUT_GET_SUPERIOR_MATRIX_LIST
{
    DWORD                   dwSize;
    DH_REMOTE_DEVICE*       pstuRemoteDevices;          // 豸б, ûڴ
    int                     nMaxDeviceCount;            // 豸бֵ, ûд
    int                     nRetDeviceCount;            // ʵʷ豸
} DH_OUT_GET_SUPERIOR_MATRIX_LIST;

////////////////////////////////////¼񱸷ݻָ//////////////////////////////////////

// ¼񱸷ݻָϢ
typedef struct tagDH_RECORD_BACKUP_RESTORE_TASK
{
    DWORD               dwSize;
    unsigned int        nTaskID;                        // ID
    char                szDeviceID[DH_DEV_ID_LEN_EX];   // 豸ID
    int                 nChannelID;                     // ͨ
    NET_TIME            stuStartTime;                   // ʼʱ
    NET_TIME            stuEndTime;                     // ʱ
    int                 nState;                         // ǰ״̬, 0-ȴ, 1-, 2-, 3-ʧ
} DH_REC_BAK_RST_TASK;

// CLIENT_AddRecordBackupRestoreTaskӿ
typedef struct tagDH_IN_ADD_RECORD_BACKUP_RESTORE_TASK
{
    DWORD               dwSize;
    const char*         pszDeviceID;                    // 豸ID
    int*                pnChannels;                     // ͨ
    int                 nChannelCount;                  // ͨС,ûڴ,СΪsizeof(int)*nChannelCount
    NET_TIME            stuStartTime;                   // ʼʱ
    NET_TIME            stuEndTime;                     // ʱ
} DH_IN_ADD_REC_BAK_RST_TASK;

// CLIENT_RemoveRecordBackupRestoreTaskӿ
typedef struct tagDH_IN_REMOVE_RECORD_BACKUP_RESTORE_TASK
{
    DWORD               dwSize;
    unsigned int*       pnTaskIDs;                      // ID,ûڴ棬СΪsizeof(int)*nTaskCount
    int                 nTaskCount;                     // 
} DH_IN_REMOVE_REC_BAK_RST_TASK;

// CLIENT_QueryRecordBackupRestoreTaskӿ
typedef struct tagDH_IN_QUERY_RECORD_BACKUP_RESTORE_TASK
{
    DWORD               dwSize;
} DH_IN_QUERY_REC_BAK_RST_TASK;

// CLIENT_QueryRecordBackupRestoreTaskӿ
typedef struct tagDH_OUT_QUERY_RECORD_BACKUP_RESTORE_TASK
{
    DWORD                   dwSize;
    DH_REC_BAK_RST_TASK*    pTasks;                     // ,ûڴ棬СΪsizeof(DH_REC_BAK_RST_TASK)*nMaxCount
    int                     nMaxCount;                  // С
    int                     nReturnCount;               // ص
} DH_OUT_QUERY_REC_BAK_RST_TASK;

typedef struct tagDH_LOGIC_DEVICE_ADD_CAMERA_PARAM
{
    DWORD                   dwSize;
    const char*             pszDeviceID;                // 豸ID
    int                     nChannel;                   // ͨ
} DH_LOGIC_DEVICE_ADD_CAMERA_PARAM;

typedef struct tagDH_LOGIC_DEVICE_ADD_CAMERA_RESULT
{
    DWORD                   dwSize;
    char                    szDeviceID[DH_DEV_ID_LEN];  // 豸ID
    int                     nChannel;                   // ͨ
    int                     nUniqueChannel;             // ͳһ
    int                     nFailedCode;                // ʧ, 0-ɹ,1-Uniqueַռ 2-Ѿ
} DH_LOGIC_DEVICE_ADD_CAMERA_RESULT;

// CLIENT_MatrixAddCameras ӿ
typedef struct tagDH_IN_ADD_LOGIC_DEVICE_CAMERA
{
    DWORD                   dwSize;
    DH_LOGIC_DEVICE_ADD_CAMERA_PARAM* pCameras;         // ƵԴϢ,ûڴ棬СΪsizeof(DH_LOGIC_DEVICE_ADD_CAMERA_PARAM)*nCameraCount
    int                     nCameraCount;               // ƵԴϢ
} DH_IN_ADD_LOGIC_DEVICE_CAMERA;

// CLIENT_MatrixAddCameras ӿ
typedef struct tagDH_OUT_ADD_LOGIC_DEVICE_CAMERA 
{
    DWORD                   dwSize;
    DH_LOGIC_DEVICE_ADD_CAMERA_RESULT* pResults;        // ƵԴ, ûڴ,СΪsizeof(DH_LOGIC_DEVICE_ADD_CAMERA_RESULT)*nMaxResultCount
    int                     nMaxResultCount;            // С, ûд
    int                     nRetResultCount;            // ʵʽ
} DH_OUT_ADD_LOGIC_DEVICE_CAMERA;

//ƵԴϢ
typedef struct tagDH_LOGIC_BYDEVICE_ADD_CAMERA_PARAM
{
    DWORD                   dwSize;
    int                     nUniqueChannel;             // ͳһ
    int                     nChannel;                   // ͨ   
} DH_LOGIC_BYDEVICE_ADD_CAMERA_PARAM;

//ƵԴϢ
typedef struct tagDH_LOGIC_BYDEVICE_ADD_CAMERA_RESULT
{
    DWORD                   dwSize;
    int                     nUniqueChannel;             // ͳһ
    int                     nFailedCode;                // ʧ, 0-ɹ,1-֧ͨ
} DH_LOGIC_BYDEVICE_ADD_CAMERA_RESULT;

// CLIENT_MatrixAddCamerasByDevice ӿ
typedef struct tagDH_IN_ADD_LOGIC_BYDEVICE_CAMERA
{
    DWORD                   dwSize;
    char                    pszDeviceID[DH_DEV_ID_LEN]; // 豸ID
    DH_REMOTE_DEVICE        stuRemoteDevice;            // Զ豸Ϣ
    int                     nCameraCount;               // ƵԴϢ
    DH_LOGIC_BYDEVICE_ADD_CAMERA_PARAM* pCameras;       // ƵԴϢ,ûڴ,СΪsizeof(DH_LOGIC_BYDEVICE_ADD_CAMERA_PARAM)*nCameraCount
}DH_IN_ADD_LOGIC_BYDEVICE_CAMERA;

// CLIENT_MatrixAddCamerasByDevice ӿ
typedef struct tagDH_OUT_ADD_LOGIC_BYDEVICE_CAMERA
{
    DWORD                   dwSize;                         
    char                    szDeviceID[DH_DEV_ID_LEN];    // 豸ID
    int                     nMaxResultCount;              // С, ûд
    int                     nRetResultCount;              // ʵʽ
    DH_LOGIC_BYDEVICE_ADD_CAMERA_RESULT* pResults;        // ƵԴ,ûڴ,СΪsizeof(DH_LOGIC_BYDEVICE_ADD_CAMERA_RESULT)*nMaxResultCount
}DH_OUT_ADD_LOGIC_BYDEVICE_CAMERA;

// ƵԴϢ
typedef struct tagNET_CAMERA_INFO
{	
    int                     nUniqueChannel;             // ͳһ,  -1ʾ豸Զͨ
    unsigned int            nChannel;                   // ͨ   
    BYTE                	reserved[128];				// ֽ
} NET_CAMERA_INFO;

// 豸Ϣ
typedef struct tagNET_CAMERA_GROUP_INFO
{
	char                    szDeviceID[DH_DEV_ID_LEN];	// 豸ID
    int                     nCameraCount;				// ƵԴϢ
    NET_CAMERA_INFO			*pCameras;       			// ƵԴϢ,ûڴ,СΪsizeof(NET_CAMERA_INFO)*nCameraCount
	DH_REMOTE_DEVICE        stuRemoteDevice;			// Զ豸Ϣ, szDeviceID ûֵʱЧ
	BYTE                	reserved[1024];				// ֽ
} NET_CAMERA_GROUP_INFO;

// CLIENT_MatrixAddCamerasByGroup (ƵԴ) ӿ
typedef struct tagNET_IN_ADD_LOGIC_BYGROUP_CAMERA
{
	DWORD                   dwSize;
	int						nCameraGroup;				// 豸
	NET_CAMERA_GROUP_INFO	*pstCameraGroupInfo; 		// 豸Ϣ
} NET_IN_ADD_LOGIC_BYGROUP_CAMERA;

// ƵԴ鷵صƵԴӽϢ
typedef struct tagNET_ADD_BYGROUP_RESULT_CAMERA
{
    unsigned int           	nUniqueChannel;             // ͳһ
    unsigned int            nFailedCode;                // ʧ, 0-ɹ,1-֧ͨ
    BYTE					reserved[128];				// ֽ
} NET_ADD_BYGROUP_RESULT_CAMERA;

// ƵԴ鷵ؽϢ
typedef struct tagNET_ADD_BYGROUP_RESULT
{
	char                    			szDeviceID[DH_DEV_ID_LEN];    	// 豸ID
	int									nResultCam;						// ƵԴNET_CAMERA_GROUP_INFO еnCameraCount һ
	NET_ADD_BYGROUP_RESULT_CAMERA		*pstResultCamera;				// صƵԴϢ
																		// ûڴ棬СΪsizoef(NET_ADD_BYGROUP_RESULT_CAMERA)*nRetResultCamera
	BYTE								reserved[1024];					// ֽ
} NET_ADD_BYGROUP_RESULT;

// CLIENT_MatrixAddCamerasByGroup (ƵԴ) ӿ
typedef struct tagNET_OUT_ADD_LOGIC_BYGROUP_CAMERA
{
	DWORD                   			dwSize;
	int									nGroupCount;			// صgroupNET_IN_ADD_LOGIC_BYGROUP_CAMERA еnCameraGroupһ
	NET_ADD_BYGROUP_RESULT				*pstAddByGroupResult;	// ƵԴ鷵صĽ
																// ûڴ, СΪsizeof(NET_ADD_BYGROUP_RESULT)*nGroupCount
} NET_OUT_ADD_LOGIC_BYGROUP_CAMERA;


/************************************************************************/
/*                         ݿ¼                               */
/************************************************************************/
#define MAX_ORDER_NUMBER 6										// 

// 
typedef enum tagEM_RECORD_ORDER_TYPE
{
	EM_RECORD_ORDER_TYPE_UNKNOWN,                               // δ֪
	EM_RECORD_ORDER_TYPE_ASCENT,                                // 
	EM_RECORD_ORDER_TYPE_DESCENT                                // 
}EM_RECORD_ORDER_TYPE;

typedef struct tagNET_AUTHORITY_TYPE
{
  DWORD                       dwSize; 
  EM_NET_AUTHORITY_TYPE       emAuthorityType;                          //Ȩ
  BOOL                        bAuthorityEnable;                         //Ȩʹ
}NET_AUTHORITY_TYPE;

// ͨڰ¼Ϣ
typedef struct tagNET_TRAFFIC_LIST_RECORD
{
  DWORD                      dwSize; 
  int                        nRecordNo;                                 // ֮ǰѯļ¼
  char                       szMasterOfCar[DH_MAX_NAME_LEN];            // 
  char                       szPlateNumber[DH_MAX_PLATE_NUMBER_LEN];    // ƺ 
  EM_NET_PLATE_TYPE          emPlateType;                               // 
  EM_NET_PLATE_COLOR_TYPE    emPlateColor;                              // ɫ 
  EM_NET_VEHICLE_TYPE        emVehicleType;                             //  
  EM_NET_VEHICLE_COLOR_TYPE  emVehicleColor;                            // ɫ
  NET_TIME                   stBeginTime;                               // ʼʱ
  NET_TIME                   stCancelTime;                              // ʱ
  int                        nAuthrityNum;                              // Ȩ޸
  NET_AUTHORITY_TYPE         stAuthrityTypes[DH_MAX_AUTHORITY_LIST_NUM];// Ȩб , 
  EM_NET_TRAFFIC_CAR_CONTROL_TYPE emControlType;                        //  ,
}NET_TRAFFIC_LIST_RECORD;

// ͨڰ˻¼ѯ
typedef struct
{
    DWORD                    dwSize;
    char                     szPlateNumber[DH_MAX_PLATE_NUMBER_LEN];      // ƺ
    char                     szPlateNumberVague[DH_MAX_PLATE_NUMBER_LEN]; // ƺģѯ
    int                      nQueryResultBegin;                           // һؽڲѯеƫ 
    BOOL                     bRapidQuery;                                 // Ƿٲѯ, TRUE:Ϊ,ٲѯʱȴɾĲɡĬΪǿٲѯ
}FIND_RECORD_TRAFFICREDLIST_CONDITION;

// ɳϱ¼, Ӧ¼ DH_ALARM_TRAFFIC_SUSPICIOUSCAR
typedef struct tagALARM_TRAFFIC_SUSPICIOUSCAR_INFO
{
    DWORD                   dwSize;
    int                     nAction;                        // ¼, -1:δ֪,0:Start, 1:Stop, 2:Pulse
    DH_MSG_OBJECT           stuVehicle;                     // Ϣ
    NET_TRAFFIC_LIST_RECORD stuCarInfo;                     // ĺϢ
    EVENT_COMM_INFO         stCommInfo;                     // Ϣ
}ALARM_TRAFFIC_SUSPICIOUSCAR_INFO;


// ¼¼ѯ
typedef struct
{
    DWORD                    dwSize;
    NET_TIME                 stuStartTime;                      // ʼʱ
    NET_TIME                 stuEndTime;                        // ʱ
}FIND_RECORD_BURN_CASE_CONDITION;


// Ž¼ѯ
typedef struct tagFIND_RECORD_ACCESSCTLCARD_CONDITION
{
    DWORD                    dwSize;
    char                     szCardNo[DH_MAX_CARDNO_LEN];      // 
    char                     szUserID[DH_MAX_USERID_LEN];      // ûID
    BOOL                     bIsValid;                         // ǷЧ, TRUE:Ч,FALSE:Ч
    BOOL                     abCardNo;                         // ŲѯǷЧ,ԳԱ szCardNo
    BOOL                     abUserID;                         // ûIDѯǷЧ,ԳԱ szUserID
    BOOL                     abIsValid;                        // IsValidѯǷЧ,ԳԱ bIsValid
}FIND_RECORD_ACCESSCTLCARD_CONDITION;

// Ž¼ѯ
typedef struct tagFIND_RECORD_ACCESSCTLPWD_CONDITION
{
    DWORD                     dwSize;
    char                      szUserID[DH_MAX_USERID_LEN];      // ûID
}FIND_RECORD_ACCESSCTLPWD_CONDITION;

// Ž¼ֶ
typedef enum tagEM_RECORD_ACCESSCTLCARDREC_ORDER_FIELD
{
	EM_RECORD_ACCESSCTLCARDREC_ORDER_FIELD_UNKNOWN = 0,			// δ֪
	EM_RECORD_ACCESSCTLCARDREC_ORDER_FIELD_RECNO,				// ¼
	EM_RECORD_ACCESSCTLCARDREC_ORDER_FIELD_CREATETIME,			// ʱ
}EM_RECORD_ACCESSCTLCARDREC_ORDER_FIELD;

// Ž¼
typedef struct tagFIND_RECORD_ACCESSCTLCARDREC_ORDER
{
	EM_RECORD_ACCESSCTLCARDREC_ORDER_FIELD		emField;		// ֶ
	EM_RECORD_ORDER_TYPE						emOrderType;    // 
	char										byReverse[64];  // ֽ
}FIND_RECORD_ACCESSCTLCARDREC_ORDER;

// Ž¼ѯ
typedef struct tagFIND_RECORD_ACCESSCTLCARDREC_CONDITION
{
    DWORD                     dwSize;
    char                      szCardNo[DH_MAX_CARDNO_LEN];      // 
    NET_TIME                  stStartTime;                      // ʼʱ
    NET_TIME                  stEndTime;                        // ʱ
}FIND_RECORD_ACCESSCTLCARDREC_CONDITION;

// Ž¼ѯ
typedef struct tagFIND_RECORD_ACCESSCTLCARDREC_CONDITION_EX
{
    DWORD										dwSize;
    BOOL										bCardNoEnable;                  // ÿŲѯ
    char										szCardNo[DH_MAX_CARDNO_LEN];    // 
    BOOL										bTimeEnable;                    // ʱβѯ
    NET_TIME									stStartTime;                    // ʼʱ
	NET_TIME									stEndTime;                      // ʱ
	int											nOrderNum;						// 
	FIND_RECORD_ACCESSCTLCARDREC_ORDER          stuOrders[MAX_ORDER_NUMBER];	// 
}FIND_RECORD_ACCESSCTLCARDREC_CONDITION_EX;

// ¼ѯ
typedef struct tagFIND_RECORD_SENSORRECORD_CONDITION
{
	DWORD					  dwSize;							
	NET_TIME                  stStartTime;                      // ɼʱβѯĿʼʱ䣬
    NET_TIME                  stEndTime;                        // ɼʱβѯĽʱ䣬
	UINT					  uDeviceID;						// ɼ豸IDţuint_32͡8λʾǱͣ24λʾǱšǱ£0- 1-ģ⴫ѡ,0xffffʾЧ
	BOOL                      bDeviceIDEnable;                  // òɼ豸IDѯ	
	BOOL                      bStatusEnable;                    // ״̬ѯ
	BYTE					  byStatus;                         // ״̬01:쳣ѡ0xffʾ״̬
	BYTE					  byReserved[3];					// ֽ	
} FIND_RECORD_SENSORRECORD_CONDITION;

// ռ¼ѯ
typedef struct tagFIND_RECORD_ACCESSCTLHOLIDAY_CONDITION
{
    DWORD                     dwSize;	
    char            		  szHolidayNo[DH_COMMON_STRING_32];       // ڱ
}FIND_RECORD_ACCESSCTLHOLIDAY_CONDITION;

// ӳƲѯ
typedef struct tagFIND_RECORD_ELECTRONICSTAG_CONDITION
{
	DWORD					dwSize;
	NET_TIME                stStartTime;								// ݹʱβѯĿʼʱ, 
    NET_TIME                stEndTime;									// ݹʱβѯĽʱ, 
	BOOL					abDevId;									// дŲѯǷЧ
	UINT					unDevID;									// ݶд豸Ųѯ0ʼ, ѡ
	BOOL					abMatchPic;									// ͼƬƥѯǷЧ
    BOOL					bMatch;										// ǷƥͼƬѯ, ѡ
    BOOL					abPlateNumber;								// ƲѯǷЧ
    char					szPlateNumber[DH_MAX_PLATE_NUMBER_LEN];		// ݳƲѯ, ѡ
} FIND_RECORD_ELECTRONICSTAG_CONDITION;

//Ϣѯ
typedef struct tagFIND_RECORD_RESIDENT_CONDTION
{
	DWORD 					  dwSize;
	char 					  szICNum[DH_MAX_IC_LEN];		   // ֤
}FIND_RECORD_RESIDENT_CONDTION;

// ͨ¼ѯ
typedef struct tagFIND_RECORD_TRAFFICFLOW_CONDITION
{
    DWORD                     dwSize;
    BOOL                      abChannelId;                      // ͨŲѯǷЧ     
    int                       nChannelId;                       // ͨ
    BOOL                      abLane;                           // ŲѯǷЧ
    int                       nLane;                            // 
    BOOL                      bStartTime;                      // ʼʱѯǷЧ   
    NET_TIME                  stStartTime;                      // ʼʱ
    BOOL					  bEndTime;                        // ʱѯǷЧ
    NET_TIME                  stEndTime;                        // ʱ 
    BOOL                      bStatisticsTime;                 // ѯǷΪͳʱ䣬bStartTimebEndTimeΪTRUE
}FIND_RECORD_TRAFFICFLOW_CONDITION;

#define DH_MAX_CALLTYPE_LIST_NUM                16                  // Ͳѯб
#define DH_MAX_ENDSTATE_LIST_NUM                16                  // ״̬ѯб

// ͨ¼ѯ
typedef struct tagFIND_RECORD_VIDEO_TALK_LOG_CONDITION
{
    DWORD                           dwSize;
    BOOL                            bCallTypeEnable;                            // ͲѯǷЧ
    int                             nCallTypeListNum;                           // Ӧ emCallTypeList Чöٸ
    EM_VIDEO_TALK_LOG_CALLTYPE      emCallTypeList[DH_MAX_CALLTYPE_LIST_NUM];   // ʹб
    BOOL                            bEndStateEnable;                            // ״̬ѯǷЧ
    int                             nEndStateListNum;                           // Ӧ emEndStateList Чöٸ
    EM_VIDEO_TALK_LOG_ENDSTATE      emEndStateList[DH_MAX_ENDSTATE_LIST_NUM];   // ״̬ʹб
    BOOL                            bTimeEnable;                                // ʱβѯ
    NET_TIME                        stStartTime;                                // ʼʱ
    NET_TIME                        stEndTime;                                  // ʱ
}FIND_RECORD_VIDEO_TALK_LOG_CONDITION;

// ״̬¼ѯ
typedef struct tagFIND_RECORD_REGISTER_USER_STATE_CONDITION
{
    DWORD                           dwSize;
    BOOL                            bUserIDEnable;                                  // ûIDѯǷЧ
    char                            szUserID[DH_MAX_USERID_LEN];                    // ûID
    BOOL                            bOnlineEnable;                                  // Ƿ߲ѯǷЧ
    int								nOnline;                                        // Ƿ
    BOOL                            bVideoTalkingEnable;                            // Խ״̬ѯǷЧ
    EM_REGISTER_USER_STATE          emVideoTalking;                             // Խ״̬
}FIND_RECORD_REGISTER_USER_STATE_CONDITION;

// ϵ˼¼ѯ
typedef struct tagFIND_RECORD_VIDEO_TALK_CONTACT_CONDITION
{
    DWORD                           dwSize;
    BOOL                            bVTShortNumberEnable;                                   // ӶԽ̺ŲѯǷЧ
    char                            szVTShortNumber[DH_COMMON_STRING_32];                   // ӶԽ̺
    BOOL                            bVTLongNumberEnable;                                   // ӶԽŲѯǷЧ
    char                            szVTLongNumber[DH_COMMON_STRING_64];                   // ӶԽ
}FIND_RECORD_VIDEO_TALK_CONTACT_CONDITION;

// ·Ʒ¼ѯ
typedef struct tagFIND_RECORD_COMMODITY_NOTICE_CONDITION
{
    DWORD                           dwSize;
    BOOL                            bIDEnable;                                   // IDŲѯǷЧ
    char                            szID[DH_COMMON_STRING_64];                   // ID
}FIND_RECORD_COMMODITY_NOTICE_CONDITION;

// Ϣ¼ѯ
typedef struct tagFIND_RECORD_HEALTH_CARE_NOTICE_CONDITION
{
    DWORD                           dwSize;
    BOOL                            bIDEnable;                                   // IDŲѯǷЧ
    char                            szID[DH_COMMON_STRING_64];                   // ID
}FIND_RECORD_HEALTH_CARE_NOTICE_CONDITION;

// ͨ¼
typedef struct tagNET_RECORD_TRAFFIC_FLOW_STATE 
{
    DWORD                           dwSize;
    int                             nRecordNum;                 // ¼
    int                             nChannel;                   // ͨ   
    int                             nLane;                      // 
    int                             nVehicles;                  // ͨ
    float                           fAverageSpeed;              // ƽ,λkm/h
    float                           fTimeOccupyRatio;           // ʱռ,λʱͨĳʱܺռλʱı
    float                           fSpaceOccupyRatio;          // ռռ,ٷʼĳܺͳʱڳƽʻ
    float                           fSpaceHeadway;              // ͷ,ڳ֮ľ,λ/
    float                           fTimeHeadway;               // ͷʱ,λ/
    int                             nLargeVehicles;             // 󳵽ͨ(9<<12),/λʱ
    int                             nMediumVehicles;            // ͳͨ(6<<9),/λʱ
    int                             nSmallVehicles;             // Сͨ(4<<6),/λʱ,
    float                           fBackOfQueue;               // Ŷӳ,λ, źŽͣߵŶӳĩ֮ľ
    int                             nPasserby;                  // ͨ
}NET_RECORD_TRAFFIC_FLOW_STATE;

// CLIENT_FindRecordӿ
typedef struct _NET_IN_FIND_RECORD_PARAM
{
    DWORD                     dwSize;          // ṹС
    EM_NET_RECORD_TYPE        emType;          // ѯ¼
    void*                     pQueryCondition; // ѯͶӦĲѯ
											   // ûڴ棬ݲѯ¼ͣҵѯӦĽṹ壬ȷڴС
}NET_IN_FIND_RECORD_PARAM;

// CLIENT_FindRecordӿ
typedef struct _NET_OUT_FIND_RECORD_PARAM
{
    DWORD                     dwSize;          // ṹС
    LLONG                     lFindeHandle;    // ѯ¼,Ψһʶĳβѯ
}NET_OUT_FIND_RECORD_PARAM;

// CLIENT_FindNextRecordӿ
typedef struct _NET_IN_FIND_NEXT_RECORD_PARAM
{
    DWORD                     dwSize;          // ṹС
    LLONG                     lFindeHandle;    // ѯ
    int                       nFileCount;      // ǰѯļ¼
}NET_IN_FIND_NEXT_RECORD_PARAM;

// CLIENT_FindNextRecordӿ
typedef struct _NET_OUT_FIND_NEXT_RECORD_PARAM
{
    DWORD                     dwSize;          // ṹС
    void*                     pRecordList;     // ¼б,ûڴ,NET_IN_FIND_RECORD_PARAMеĲѯEM_NET_RECORD_TYPEȷӦṹ壬ȷڴС
    int                       nMaxRecordNum;   // ѯб¼
    int                       nRetRecordNum;   // ѯļ¼,ѯСѯʱ,ѯ
}NET_OUT_FIND_NEXT_RECORD_PARAM;

typedef struct tagNET_INSERT_RECORD_INFO
{
    DWORD                     dwSize;
    NET_TRAFFIC_LIST_RECORD   *pRecordInfo;    // ¼Ϣ,ûڴ棬СΪsizeof(NET_TRAFFIC_LIST_RECORD)             
}NET_INSERT_RECORD_INFO;

typedef struct tagNET_UPDATE_RECORD_INFO
{
    DWORD                     dwSize;
    NET_TRAFFIC_LIST_RECORD   *pRecordInfo;    // ¼Ϣ,ûڴ棬СΪsizeof(NET_TRAFFIC_LIST_RECORD)                
}NET_UPDATE_RECORD_INFO;

typedef struct tagNET_REMOVE_RECORD_INFO
{
    DWORD                     dwSize;
    int                       nRecordNo;       // ֮ǰѯļ¼    
}NET_REMOVE_RECORD_INFO;

typedef struct tagNET_IN_OPERATE_TRAFFIC_LIST_RECORD
{
    DWORD                     dwSize;
    
    EM_RECORD_OPERATE_TYPE    emOperateType;   // 
    EM_NET_RECORD_TYPE        emRecordType;    // Ҫļ¼ϢͣNET_RECORD_TRAFFICREDLISTNET_RECORD_TRAFFICBLACKLISTЧ
    void                      *pstOpreateInfo; // ûڴ棬ղemOperateTypeõͶӦĽṹ壬ȷӦڴС
    
}NET_IN_OPERATE_TRAFFIC_LIST_RECORD;

//ֽ׶ʵֵĲӿ,ֻзnRecordNoĲ,stRetRecordʱ
typedef struct tagNET_OUT_OPERATE_TRAFFIC_LIST_RECORD
{
    DWORD                     dwSize;
    int                       nRecordNo;        //¼    
}NET_OUT_OPERATE_TRAFFIC_LIST_RECORD;


//̨Ӧṹ
typedef struct tagPTZ_Control_Continuously
{
    PTZ_SPEED_UNIT         stuSpeed;              //̨ٶ
    int                    nTimeOut;              //ƶʱʱ,λΪ
    char                   szReserve[64];         //Ԥ64ֽ
}PTZ_CONTROL_CONTINUOUSLY;

//Կ̨Ӧṹ
typedef struct tagPTZ_Control_Absolutely
{
    PTZ_SPACE_UNIT         stuPosition;           //̨ƶλ
    PTZ_SPEED_UNIT         stuSpeed;              //̨ٶ
    char                   szReserve[64];         //Ԥ64ֽ
}PTZ_CONTROL_ABSOLUTELY;

//̨꣬ƶ
typedef struct tagPTZ_LOCATION_SPACE_UNIT
{
    int                    nPositionX;           //̨ˮƽ꣬Χ[0,3599]ʾ0ȵ359.9ȣ10ʾ3600ʾˮƽλ
    int                    nPositionY;           //ֱ̨꣬Χ[-1800,1800]ʾ-180.0ȵ+180.0ȣ10ʾ3600ʾֱλ
    int                    nZoom;                //̨ʵʱ䱶޷Χ޶(оʱֻ䱶о)ʾС󱶵ı䱶λã10ʾ
    char                   szReserve[32];        //Ԥ32ֽ
}PTZ_LOCATION_SPACE_UNIT;

//̨,ٶȵԪ
typedef struct tagPTZ_LOCATION_SPEED_UNIT
{
    int                    nSpeedX;				//̨ˮƽٶȵʵֵ,޷Χ޶(̨ٶʱ̨ٶƶ),ΪΪ,100010/s100ʾ
    int                    nSpeedY;				//ֱ̨ٶȵʵֵ,޷Χ޶(̨ٶʱ̨ٶƶ),ΪΪ,100010/s100ʾ
    char                   szReserve[32];       //Ԥ32ֽ
}PTZ_LOCATION_SPEED_UNIT;

//̨ƶ,ǹרöӦṹ DH_EXTPTZ_INTELLI_TRACKMOVE
typedef struct tagPTZ_CONTROL_INTELLI_TRACKMOVE
{
	DWORD						dwSize;
	int							nChannelID;            // ͨ
	int							nFlag;				   // ƶʶλ
													   //0:ʼlocateλʹ,speedٶЧ,positionı䱶ֵЧ
													   //1:ƶʹ,speedٶЧ,positionı䱶ֵЧ
													   //2:ƶʹ,speedٶЧ,positionı䱶ֵЧ

	PTZ_LOCATION_SPACE_UNIT     stuPosition;           // ̨ƶλ
    PTZ_LOCATION_SPEED_UNIT		stuSpeed;              // ̨ٶ
}PTZ_CONTROL_INTELLI_TRACKMOVE;

// þ۽ģʽ DH_EXTPTZ_INTELLI_SETLENSWISDOMSTATE
typedef struct tagPTZ_CONTROL_INTELLI_SETLENSWISDOMSTATE
{
	DWORD						dwSize;                // ṹС
	int							nChannelID;            // ͨ
	int							nMode;				   // 0: ͨģʽʱĬ0
													   // 1: ܸٳģʽ
}PTZ_CONTROL_INTELLI_SETLENSWISDOMSTATE;

// þ۽ DH_EXTPTZ_INTELLI_SETFOCUSAREA
typedef struct tagPTZ_CONTROL_INTELLI_SETFOCUSAREA
{
	DWORD						dwSize;				   // ṹС
	int							nChannelID;            // ͨ
	int							nState;				   // Ŀʱľ۽Ч־λ
													   // 1:þ۽
													   // 0:ȡ۽
	NET_RECT					stuRect;			   // ۽, ʹ0~8191
}PTZ_CONTROL_INTELLI_SETFOCUSAREA;

//,Ӧṹ DH_EXTPTZ_AUXIOPEN,DH_EXTPTZ_AUXICLOSĘƽӿCLIENT_DHPTZControlEx2
typedef struct tagPTZ_CONTROL_AUXILIARY
{
	DWORD						dwSize;
	char						szFunctionName[DH_COMMON_STRING_32];   // ̨ƣͨ CFG_CAP_CMD_PTZ ȡ̨( CFG_PTZ_PROTOCOL_CAPS_INFO )
}PTZ_CONTROL_AUXILIARY;


// ͨϢ
typedef struct tagNET_ALARM_IN_CHANNEL
{
    DWORD                   dwSize;
    BOOL                    bValid;                             // ǷЧ, FALSEʾñͨûʹ
    int                     nChannel;                           // ͨ
    char                    szDeviceID[DH_DEV_ID_LEN];          // 豸ID, رͨ: "Local", Զ豸: ʹuuidʾ
    char                    szName[DH_DEV_NAME_LEN];            // ͨ
}NET_ALARM_IN_CHANNEL;

// ͨ
typedef struct tagNET_ALARM_CHANNEL_COUNT 
{
    DWORD                   dwSize;
    int                     nLocalAlarmIn;                      // رͨ
    int                     nLocalAlarmOut;                     // رͨ
    int                     nRemoteAlarmIn;                     // Զ̱ͨ
    int                     nRemoteAlarmOut;                    // Զ̱ͨ
}NET_ALARM_CHANNEL_COUNT;

//ٶתԤλ̨ƶӦṹ
typedef struct tagPTZ_Control_GotoPreset
{
    int                     nPresetIndex;           //Ԥλ
    PTZ_SPEED_UNIT          stuSpeed;               //̨ٶ
    char                    szReserve[64];          //Ԥ64ֽ
}PTZ_CONTROL_GOTOPRESET;

//ɾԤλ̨ƶӦṹ
typedef struct tagPTZ_Control_RemovePreset
{
    int                     nPresetIndex;           //Ԥλ
    char                    szReserve[64];          //Ԥ64ֽ
}PTZ_CONTROL_REMOVEPRESET;

//ٶתԤλץͼ̨ƶӦṹ
typedef struct tagPTZ_Control_GotoPresetSnap
{
    int                     nPresetIndex;           //Ԥλ
	int						nChannel;               //ͨ
    PTZ_SPEED_UNIT          stuSpeed;               //̨ٶ
    char                    szReserve[64];          //Ԥ64ֽ
}PTZ_CONTROL_GOTOPRESETSNAP;

// CLIENT_SetTourSource ӿ(ôѲʾԴ)
typedef struct tagNET_IN_SET_TOUR_SOURCE 
{
    DWORD                   dwSize;
    int                     nChannel;               // ͨ
    int                     nWindow;                // ں
    DH_SPLIT_SOURCE*        pstuSrcs;               // ʾԴ, ɽдѲ,ûڴ棬СΪsizeof(DH_SPLIT_SOURCE)*nSrcCount
    int                     nSrcCount;              // ʾԴ
} NET_IN_SET_TOUR_SOURCE;

// CLIENT_SetTourSource ӿ(ôѲʾԴ)
typedef struct tagNET_OUT_SET_TOUR_SOURCE
{
    DWORD                   dwSize;
} NET_OUT_SET_TOUR_SOURCE;

// CLIENT_GetTourSource ӿ
typedef struct tagNET_IN_GET_TOUR_SOURCE 
{
    DWORD                   dwSize;
    int                     nChannel;               // ͨ, pszCompsiteIDΪNULLʱЧ
    const char*             pszCompositeID;         // ƴID
    int                     nWindow;                // ں, -1ʾд
} NET_IN_GET_TOUR_SOURCE;

// ѲʾԴϢ
typedef struct tagNET_SPLIT_TOUR_SOURCE 
{
    DWORD                   dwSize;
    DH_SPLIT_SOURCE*        pstuSrcs;               // ʾԴ, ûڴ,СΪsizeof(DH_SPLIT_SOURCE)*nMaxSrcCount
    int                     nMaxSrcCount;           // ʾԴ
    int                     nRetSrcCount;           // صʾԴ
} NET_SPLIT_TOUR_SOURCE;

// CLIENT_GetTourSource ӿ
typedef struct tagNET_OUT_GET_TOUR_SOURCE
{
    DWORD                   dwSize;    
    NET_SPLIT_TOUR_SOURCE*  pstuWndSrcs;            // ѲϢ, ûڴ,СΪsizeof(NET_SPLIT_TOUR_SOURCE)*nMaxWndCount
    int                     nMaxWndCount;           // , ûд
    int                     nRetWndCount;           // صĴ
} NET_OUT_GET_TOUR_SOURCE;

// ָѲ״̬Ϣ
typedef struct tagNET_SPLIT_TOUR_STATUS_INFO
{
    DWORD               dwSize;
    int                 nWindow;                    // ں
    NET_TOUR_STATUS     emStatus;                   // ״̬
    DH_SPLIT_WND_SOURCE stuSource;                  // ǰʾԴϢ
}NET_SPLIT_TOUR_STATUS_INFO;

// Ѳ״̬صԭ, lAttachHandleCLIENT_AttachSplitTourķֵ
typedef void (CALLBACK *fTourStatusCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_SPLIT_TOUR_STATUS_INFO* pstStatus, void* reserved, LDWORD dwUser);

// CLIENT_AttachSplitTourӿ
typedef struct tagNET_IN_ATTACH_SPLIT_TOUR
{
    DWORD               dwSize;
    int                 nChannel;                   // ͨ, pszCompsiteIDΪNULLʱЧ
    const char*         pszCompositeID;             // ƴID
    fTourStatusCallBack cbStatus;                   // Ѳ״̬ص
    LDWORD              dwUser;                     // Ѳ״̬ص
}NET_IN_ATTACH_SPLIT_TOUR;

// CLIENT_AttachSplitTourӿ
typedef struct tagNET_OUT_ATTACH_SPLIT_TOUR 
{
    DWORD               dwSize;
}NET_OUT_ATTACH_SPLIT_TOUR;

// ڹģʽ
typedef enum tagEM_WINDOW_WORKMODE
{
	EM_WINDOW_DISPLAY,				// Ԥģʽ(Ĭ)
	EM_WINDOW_REPLAY,				// طģʽ
} EM_WINDOW_WORKMODE;

typedef struct tagNET_SOURCE_INFO
{
	int 				nWindowID;					// ǰں
	int					nCaremaChannel;				// ǰƵԴͨ
	NET_TIME			stuStartTime;				// ʼŵʱ
	EM_WINDOW_WORKMODE	emWorkMode;					// ڹģʽ
	BYTE				bReserved[128];				// ֽ
}NET_SOURCE_INFO;

// ƵԴϢ
typedef struct tagNET_WINDOW_SOURCE_INFO
{
	DWORD				dwSize;
	int					nRetSrcCount;							// ʵʾԴ
	NET_SOURCE_INFO		*pstSourceInfo;						// ʾԴϢ
} NET_WINDOW_SOURCE_INFO;

// ƵԴϢصԭ, lAttachHandleCLIENT_AttachWindowsSourceķֵ
typedef void (CALLBACK *fWindowSourceCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_WINDOW_SOURCE_INFO* pstWindowSource, void* reserved, LDWORD dwUser);

// CLIENT_AttachWindowsSourceӿ
typedef struct tagNET_IN_ATTACH_WINDOW_SOURCE
{
	DWORD					dwSize;
	int						nWindowID;					// ID-1ʾĻ
	int 					nChannel;					// ͨ, pszCompsiteIDΪNULLʱЧ
	const char*         	pszCompositeID;             // ƴID
	fWindowSourceCallBack 	cbWindowSource;             // ƵԴص
    LDWORD              	dwUser;                     // ƵԴص
} NET_IN_ATTACH_WINDOW_SOURCE;

// CLIENT_AttachWindowsSourceӿ
typedef struct tagNET_OUT_ATTACH_WINDOW_SOURCE
{
    DWORD               dwSize;
}NET_OUT_ATTACH_WINDOW_SOURCE;

// CLIENT_WindowRegionEnlargeӿ
typedef struct tagNET_IN_WINDOW_REGION_ENLARGE
{
	DWORD					dwSize;
    int                 	nChannel;           // ͨŻںͨ
	int						nWindowID;			// ID
	NET_RECT				stuRect;			// ŴϵΪϵ0~8192
} NET_IN_WINDOW_REGION_ENLARGE;

// CLIENT_WindowRegionEnlargeӿ
typedef struct tagNET_OUT_WINDOW_REGION_ENLARGE
{
	DWORD					dwSize;
} NET_OUT_WINDOW_REGION_ENLARGE;

// CLIENT_WindowEnlargeReductionӿ
typedef struct tagNET_IN_WINDOW_ENLARGE_REDUCTION
{
	DWORD					dwSize;
    int                 	nChannel;           // ͨŻںͨ
	int						nWindowID;			// ID
} NET_IN_WINDOW_ENLARGE_REDUCTION;

// CLIENT_WindowEnlargeReductionӿ
typedef struct tagNET_OUT_WINDOW_ENLARGE_REDUCTION
{
	DWORD					dwSize;
} NET_OUT_WINDOW_ENLARGE_REDUCTION;

// 
typedef enum tagEM_MOUSE_OPREATE_TYPE
{
	EM_MOUSE_OPREATE_LEFT_PRESS		= 1,	// 
	EM_MOUSE_OPREATE_LEFT_RELEASE,			// ɿ
	EM_MOUSE_OPREATE_RIGHT_PRESS,			// Ҽ
	EM_MOUSE_OPREATE_RIGHT_RELEASE,			// Ҽɿ
	EM_MOUSE_OPREATE_MOUSE_MOVE,			// ƶ
	EM_MOUSE_OPREATE_MOUSE_SCROLL,			// 
} EM_MOUSE_OPREATE_TYPE;

// 갴ť
typedef enum tagEM_MOUSE_FLAG_TYPE
{
	EM_MOUSE_FLAG_LEFT		= 0,			// ߰ť
	EM_MOUSE_FLAG_RIGHT,					// ұ߰ť
} EM_MOUSE_FLAG_TYPE;

// CLIENT_SplitOnButtonActionӿ
typedef struct tagNET_IN_WINDOW_ONBUTTON_ACTION
{
	DWORD					dwSize;
    int                 	nChannel;           // ͨŻںͨ
	int						nWindowID;			// ID
	EM_MOUSE_OPREATE_TYPE	emOpreateType;		// 
	EM_MOUSE_FLAG_TYPE		emMouseFlag;		// 갴ť
	int						nZDelta;			// ٶ, 0ʾǰС0ʾ0ʾûй
	DH_POINT				stuMousePoint;		// ڴеλ
} NET_IN_WINDOW_ONBUTTON_ACTION;

// CLIENT_SplitOnButtonActionӿ
typedef struct tagNET_OUT_WINDOW_ONBUTTON_ACTION
{
	DWORD					dwSize;
} NET_OUT_WINDOW_ONBUTTON_ACTION;

// fAttachRecordInfoCB , ϱ¼ļϢ
typedef struct tagNET_CB_RECORD_INFO
{
    DWORD                   dwSize;
    int                     nChannel;               // ͨ
    char                    szFileName[MAX_PATH];   // ¼
    DWORD                   dwType;                 // ¼, λ£
                                                    // Bit0-ʱ¼
                                                    // Bit1-̬¼
                                                    // Bit2-¼
                                                    // Bit3-¼
    DWORD                   dwState;                // ¼״̬, 0-, 1-ɾ
} NET_CB_RECORD_INFO;

// ¼»صԭ,lAttachHandleCLIENT_AttachRecordInfoķֵ, ÿn,pBuf->dwSize * n == nBufLen
typedef void (CALLBACK *fAttachRecordInfoCB)(LLONG lLoginID, LLONG lAttachHandle, NET_CB_RECORD_INFO* pBuf, int nBufLen, LDWORD dwUser);

// CLIENT_AttachRecordInfo 
typedef struct tagNET_IN_ATTACH_RECORD_INFO
{
    DWORD                   dwSize;
    int                     nInterval;              // ʱ, 豸ÿnInterval, ¼Ϣ
    int                     nDelay;                 // ϱʱ, 豸1nDelayֵѡ,ӳϱ¼״̬, nDelayСnInterval
    fAttachRecordInfoCB     cbAttachRecordInfo;     // ¼»ص
    LDWORD                  dwUser;                 // û
} NET_IN_ATTACH_RECORD_INFO;

typedef struct tagNET_OUT_ATTACH_RECORD_INFO
{
    DWORD                   dwSize;
} NET_OUT_ATTACH_RECORD_INFO;


//̨Ԫݽӿڻصԭ
//pBuf ֽ׶ҪΪ DH_PTZ_LOCATION_INFO 
typedef void (CALLBACK *fPTZStatusProcCallBack)(LLONG lLoginID, LLONG lAttachHandle, void* pBuf, int nBufLen, LDWORD dwUser);

// ̨Ԫݽӿ
typedef struct tagNET_IN_PTZ_STATUS_PROC
{
    DWORD                   dwSize;
    int                     nChannel;              // ̨ͨ
    fPTZStatusProcCallBack  cbPTZStatusProc;       // ״̬ص
    LDWORD                  dwUser;                // û
}NET_IN_PTZ_STATUS_PROC;

// ̨Ԫݽӿ
typedef struct tagNET_OUT_PTZ_STATUS_PROC
{
    DWORD                   dwSize;
}NET_OUT_PTZ_STATUS_PROC;

// ̨״̬ṹ
typedef struct tagDH_OUT_PTZ_VIEW_RANGE_STATUS
{
    DWORD      dwSize;
    double     dbDistance;                         // Ӿ, λ:
    int        nAngelH;                            // ˮƽӽǶ, 0~1800, λ:ʮ֮һ
    int        nAzimuthH;                          // ˮƽλǶ, 0~3600, λ:ʮ֮һ
    int        nInclinationH;                      // ˮƽбǶ, -900~900, λ:ʮ֮һ
	int        nAngelV;                            // ֱӽǶ, 0~1800, λ:ʮ֮һ
	int        nAzimuthV;                          // ֱλǶ, 0~3600, λ:ʮ֮һ
}DH_OUT_PTZ_VIEW_RANGE_STATUS;

//̨صԭ
typedef void (CALLBACK *fViewRangeStateCallBack)(LLONG lLoginID, LLONG lAttachHandle, DH_OUT_PTZ_VIEW_RANGE_STATUS* pBuf, int nBufLen, LDWORD dwUser);

// Ŀ
typedef struct tagNET_IN_VIEW_RANGE_STATE
{
    DWORD                   dwSize;
    int                     nChannel;              // ̨ͨ
    fViewRangeStateCallBack cbViewRange;           // ״̬ص
    LDWORD                  dwUser;                // û
}NET_IN_VIEW_RANGE_STATE;

// Ŀ
typedef struct tagNET_OUT_VIEW_RANGE_STATE
{
    DWORD                   dwSize;
}NET_OUT_VIEW_RANGE_STATE;

// Ϣṹ
typedef struct tagNET_WEATHER_INFO
{
	float				    fWindSpeed;		       // ,λm/s,	Χ[0.0,60.0]	
	float					fTemperature;		   // ¶,λ϶ȣΧ[-40.0,+80.0]
	float					fHumidity;			   // ׺%,Χ[0.0,100.0]
	unsigned int			nLight;				   // ,λW/(m*m),Χ[0,2000]
	float					fWindDirection;		   // ,λ,Χ[0,360)
	float				    fAirPressure;		   // ѹ,λ,Χ[10~1100]
    int                     nRainfall;             // ۼ,λ0.01mm
	BYTE					byReserved[2044];	   // ֽ
}NET_WEATHER_INFO;

// Ϣصԭ
typedef void (CALLBACK *fWeatherInfoCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_WEATHER_INFO* pBuf, int nBufLen, LDWORD dwUser);

// Ϣ
typedef struct tagNET_IN_WEATHER_INFO
{
	DWORD                   dwSize;
	int                     nChannel;              // ̨ͨ
	fWeatherInfoCallBack	cbWeatherInfo;         // ص
	LDWORD                  dwUser;                // û
}NET_IN_WEATHER_INFO;

// Ϣ
typedef struct tagNET_OUT_WEATHER_INFO
{
	DWORD                   dwSize;
}NET_OUT_WEATHER_INFO;

// ࡢСռÿ 
typedef struct tagNET_IN_SET_VIEW_RANGE_BY_OBJECT
{
	DWORD					dwSize;					
	int						nChannel;				// ͨ
	int						nDistance;				//   λף 
	int						nWidth;					//   λף
	int						nScreenRatio;			// ռȣλף
}NET_IN_SET_VIEW_RANGE_BY_OBJECT;

// ࡢСռÿ 
typedef struct tagNET_OUT_SET_VIEW_RANGE_BY_OBJECT
{
    DWORD                   dwSize;
}NET_OUT_SET_VIEW_RANGE_BY_OBJECT;

// ĿGPSλÿ (CLIENT_SetViewRangeByGPS)
typedef struct tagNET_IN_SET_VIEW_RANGE_BY_GPS
{
	DWORD					dwSize;					
	int						nChannel;				// ͨ
	double				    dLongitude;			    // ,[-180, 180],λ:(),Ϊ
	double					dLatitude;				// γ,[-90, 90],λ:(),Ϊγ
}NET_IN_SET_VIEW_RANGE_BY_GPS;

// ĿGPSλÿ (CLIENT_SetViewRangeByGPS)
typedef struct tagNET_OUT_SET_VIEW_RANGE_BY_GPS
{
	DWORD                   dwSize;
}NET_OUT_SET_VIEW_RANGE_BY_GPS;

//̨Ϣ
typedef struct tagPTZ_VIEW_RANGE_INFO
{
    int                     nStructSize;
    int                     nAzimuthH;              // ˮƽλǶ, 0~3600, λ:
}PTZ_VIEW_RANGE_INFO;

//ȡ̨ѧ䱶Ϣ,Ӧ DH_DEVSTATE_PTZ_ZOOM_INFO
typedef struct tagDH_OUT_PTZ_ZOOM_INFO
{
    int                     dwSize;
    int                     nZoomValue;              // ѧ䱶ֵ
}DH_OUT_PTZ_ZOOM_INFO;

// ͨϢ
typedef struct tagNET_CHN_COUNT_INFO
{
    DWORD                   dwSize;
    int                     nMaxTotal;              // 豸ͨ(Ч֮ͨ)
    int                     nCurTotal;              // õͨ
    int                     nMaxLocal;              // 󱾵ͨ, Ϳɲӿͨ
    int                     nCurLocal;              // ñͨ
    int                     nMaxRemote;             // Զͨ
    int                     nCurRemote;             // Զͨ
} NET_CHN_COUNT_INFO;

// 豸ͨϢ
typedef struct tagNET_DEV_CHN_COUNT_INFO
{
    DWORD                   dwSize;
    NET_CHN_COUNT_INFO      stuVideoIn;             // Ƶͨ
    NET_CHN_COUNT_INFO      stuVideoOut;            // Ƶͨ
} NET_DEV_CHN_COUNT_INFO;

// ¼״̬ϸϢ
typedef struct tagNET_RECORD_STATE_DETAIL 
{
    DWORD                   dwSize;
    BOOL                    bMainStream;            // , TRUE-¼, FALSE-û¼
    BOOL                    bExtraStream1;          // 1, TRUE-¼, FALSE-û¼
    BOOL                    bExtraStream2;          // 2, TRUE-¼, FALSE-û¼
    BOOL                    bExtraStream3;          // 3, TRUE-¼, FALSE-û¼
} NET_RECORD_STATE_DETAIL;

//̨Ծ۽Ӧṹ
typedef struct tagPTZ_Focus_Absolutely
{
    DWORD                    dwValue;               //̨۽λ,ȡֵΧ(0~8191)
    DWORD                    dwSpeed;               //̨۽ٶ,ȡֵΧ(0~7)
    char                     szReserve[64];         //Ԥ64ֽ
}PTZ_FOCUS_ABSOLUTELY;

// CLIENT_PlayAudioFile ӿ
typedef struct tagNET_IN_PLAY_AUDIO_FILE
{
    DWORD                   dwSize;
    const char*             pszFilePath;            // ļ·
    DWORD                   dwOutput;               // ;, Ƕ, λʾ, bit0-mic, bit1-speaker
} NET_IN_PLAY_AUDIO_FILE;

// CLIENT_PlayAudioFile ӿ
typedef struct tagNET_OUT_PLAY_FILE_STREAM
{
    DWORD                   dwSize;
} NET_OUT_PLAY_AUDIO_FILE;

// RTSP URLϢбṹ
typedef struct tagNET_DEV_RTSPURL_LIST
{
    DWORD                   dwSize;
    int                     nChannelID;                                 // ͨ(û)
    int                     nUrlNum;                                    // Urlַ
    char                    szURLList[DH_MAX_URL_NUM][DH_MAX_URL_LEN];  // Urlַб
}NET_DEV_RTSPURL_LIST;

// ̨-ɨӦṹ
typedef struct tagPTZ_Control_SectorScan
{
    int             nBeginAngle;                    //ʼǶ,Χ:[-180,180]
    int             nEndAngle;                      //Ƕ,Χ:[-180,180]
    int             nSpeed;                         //ٶ,Χ:[0,255]
    char            szReserve[64];                  //Ԥ64ֽ
}PTZ_CONTROL_SECTORSCAN;

// ۵̨Ϣ
typedef struct tagPTZ_CONTROL_SET_FISHEYE_EPTZ
{
    DWORD           dwSize;                         // ṹС
    DWORD           dwWindowID;                     // EPtzƵĴڱ
    DWORD           dwCommand;                      // ̨
    DWORD           dwParam1;                       // Ӧ1
    DWORD           dwParam2;                       // Ӧ2
    DWORD           dwParam3;                       // Ӧ3
    DWORD           dwParam4;                       // Ӧ4
}PTZ_CONTROL_SET_FISHEYE_EPTZ;

// Ϣ
typedef struct tagPTZ_CONTROL_SET_TRACK_CONTROL
{
    DWORD           dwSize;                         // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(PTZ_CONTROL_SET_TRACK_CONTROL)
    DWORD           dwChannelID;                    // ͨ
    DWORD           dwCommand;                      // ̨,ӦöNET_TRACK_CONTROL_CMD
    DWORD           dwParam1;                       // Ӧ1
    DWORD           dwParam2;                       // Ӧ2
    DWORD           dwParam3;                       // Ӧ3
} PTZ_CONTROL_SET_TRACK_CONTROL;

//===============ɨ裬̨=============================

// ɨ̨(CLIENT_DHPTZAreaScan)
typedef enum tagNET_AREASCAN_EPTZ_CMD
{
	NET_AREASCAN_EPTZ_CMD_SET,					// õǰλΪĳɨ߽(ṹΪ PTZ_CONTROL_SET_AREA_SCAN_LIMIT,Ч)
    NET_AREASCAN_EPTZ_CMD_DEL,					// ɾĳɨ(ṹΪ PTZ_CONTROL_DEL_AREA_SCAN,Ч)
    NET_AREASCAN_EPTZ_CMD_GET, 					// ȡеɨǷЧ(ṹΪ PTZ_CONTROL_GET_AREA_SCAN_IN,Ϊ PTZ_CONTROL_GET_AREA_SCAN_OUT )
    NET_AREASCAN_EPTZ_CMD_START,				// ʼɨ(ṹΪ PTZ_CONTROL_START_AREA_SCAN,Ч)
    NET_AREASCAN_EPTZ_CMD_STOP,					// ֹͣɨ(ṹΪ PTZ_CONTROL_STOP_AREA_SCAN,Ч)
}NET_AREASCAN_EPTZ_CMD;

// õǰλΪĳɨ߽
typedef struct tagPTZ_CONTROL_SET_AREA_SCAN_LIMIT
{
    DWORD           dwSize;                         // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(PTZ_CONTROL_SET_AREA_SCAN_LIMIT)
    int				nChannelID;                     // ͨ,ͨŴ0ʼ
	int             nIndex;							// ţŴ1ʼ
	char			szLimitMode[16];				// ߽磬"Left":߽ "Right":ұ߽
	int             nZoom;							// ɨ䱶ֵ,Χ0~128ĬΪ0ʾǰֵ1~128ʾӦı䱶λ
} PTZ_CONTROL_SET_AREA_SCAN_LIMIT;

// ɾĳɨ
typedef struct tagPTZ_CONTROL_DEL_AREA_SCAN
{
    DWORD           dwSize;                         // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(PTZ_CONTROL_DEL_AREA_SCAN)
    int				nChannelID;                     // ͨ,ͨŴ0ʼ
	int             nIndex;							// ţŴ1ʼ
} PTZ_CONTROL_DEL_AREA_SCAN;

// ȡеɨǷЧ,
typedef struct tagPTZ_CONTROL_GET_AREA_SCAN_IN
{
    DWORD           dwSize;                         // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(PTZ_CONTROL_GET_AREA_SCAN)
    int				nChannelID;                     // ͨ,ͨŴ0ʼ
	int             nSize;							// Ҫȡɨ
} PTZ_CONTROL_GET_AREA_SCAN_IN;

// ЧϢ
typedef struct tagNET_AREASCAN_STATE 
{
    BOOL            bValid;							// ǷЧ
	BYTE			Reserved[128];					// ֽ
}NET_AREASCAN_STATE;

// ȡеɨǷЧ,
typedef struct tagPTZ_CONTROL_GET_AREA_SCAN_OUT
{
    DWORD                       dwSize;                             // ṹС, ߱ʼֶ
	UINT				        nValidNum;						    //  stuStateInfo Ч
    NET_AREASCAN_STATE			stuStateInfo[DH_COMMON_STRING_32];  // ״̬Ϣ
}PTZ_CONTROL_GET_AREA_SCAN_OUT;

// ʼɨ
typedef struct tagPTZ_CONTROL_START_AREA_SCAN
{
    DWORD           dwSize;                         // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(PTZ_CONTROL_START_AREA_SCAN)
    int				nChannelID;                     // ͨ,ͨŴ0ʼ
	int             nIndex;							// ţŴ1ʼ
	int             nSpeed;							// ˮƽɨٶȣΧ1~255
	int				nTitleAngle;					// ֱɨǶȣӵǰλð˽Ƕȵߵݼɨ裬Χ0~90
} PTZ_CONTROL_START_AREA_SCAN;

// ֹͣɨ
typedef struct tagPTZ_CONTROL_STOP_AREA_SCAN
{
    DWORD           dwSize;                         // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(PTZ_CONTROL_STOP_AREA_SCAN)
    int				nChannelID;                     // ͨ,ͨŴ0ʼ
	int             nIndex;							// ţŴ1ʼ
} PTZ_CONTROL_STOP_AREA_SCAN;
//===============ɨ裬̨=============================


// ۽ģʽ
typedef enum tagEM_NET_FOCUS_REGION_MODE
{
    EM_NET_FOCUS_REGION_MODE_GLOBAL,                // ȫ
    EM_NET_FOCUS_REGION_MODE_AUTO,                  // Զ
    EM_NET_FOCUS_REGION_MODE_INROIREGION,           // ROI ָ
    EM_NET_FOCUS_REGION_MODE_OUTROIREGION,          // ROI ָ

}EM_NET_FOCUS_REGION_MODE;

// ۽(ӦöDH_EXTPTZ_SET_FOCUS_REGION)
typedef struct tagPTZ_CONTROL_SET_FOCUS_REGION
{
    DWORD                       dwSize;             // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(PTZ_CONTROL_SET_FOCUS_REGION)   
    EM_NET_FOCUS_REGION_MODE    emMode;	            // ۽ģʽ
    NET_RECT                    stuRect;            // ۽,ʹϵȡֵΪ0-8192                        
} PTZ_CONTROL_SET_FOCUS_REGION;


// CLIENT_TransmitInfoForWeb ӿչ
typedef struct tagNET_TRANSMIT_EXT_INFO
{
    DWORD           dwSize;
    unsigned char*  pInBinBuf;                      // ݻ
    DWORD           dwInBinBufSize;                 // ݳ
    int             nJsonDataLen;                   // Jsonݳ
    int             nBinDataLen;                    // ݳ
} NET_TRANSMIT_EXT_INFO;

// CAN
// fAttachProxyCB 
typedef struct tagNET_CB_CANDATA
{
    DWORD           dwSize;
    int             nDataLength;                    // ͨݳ
    unsigned char*  pDataContent;                   // ͨ
}NET_CB_CANDATA;

// CANݻصԭ,lAttachHandleCLIENT_AttachCANֵ
typedef void (CALLBACK *fAttachCANCB) (LLONG lLoginID, LLONG lAttachHandle, NET_CB_CANDATA* pBuf, LDWORD dwUser);

// CLIENT_AttachCAN()
typedef struct tagNET_IN_ATTACH_CAN
{
    DWORD          dwSize;
    int            nChannel;                        // CANͨ
    fAttachCANCB   cbAttachCAN;                     // עƵ绰״̬仯ص
    LDWORD         dwUser;                          // û
}NET_IN_ATTACH_CAN;

// CLIENT_AttachCAN()
typedef struct tagNET_OUT_ATTACH_CAN
{
    DWORD          dwSize;
}NET_OUT_ATTACH_CAN;

// CLIENT_SendCAN()
typedef struct tagNET_IN_SEND_CAN
{
    DWORD          dwSize;
    int            nChannel;                       // CANͨ
    int            nSendDataLength;                // ݳ
    unsigned char* pSendData;                      // 
}NET_IN_SEND_CAN;

// CLIENT_SendCAN()
typedef struct tagNET_OUT_SEND_CAN
{
    DWORD          dwSize;
}NET_OUT_SEND_CAN;

// ͸ݻصfAttachDevCommCB 
typedef struct tagNET_CB_DEVCOMMDATA
{
    DWORD           dwSize;
    int             nDataLength;                    // ͨݳ
    unsigned char*  pDataContent;                   // ͨ
}NET_CB_DEVCOMMDATA;

// ͸ݻصԭ,lAttachHandleCLIENT_AttachDevCommֵ
typedef void (CALLBACK *fAttachDevCommCB) (LLONG lLoginID, LLONG lAttachHandle, NET_CB_DEVCOMMDATA* pBuf, LDWORD dwUser);

// CLIENT_AttachDevComm()
typedef struct tagNET_IN_ATTACH_DEVCOMM
{
    DWORD               dwSize;
    int                 nChannel;                        // ͸ں
    fAttachDevCommCB    cbAttachDevComm;                 // ע͸ݻص
    LDWORD              dwUser;                          // û
}NET_IN_ATTACH_DEVCOMM;

// CLIENT_AttachDevComm()
typedef struct tagNET_OUT_ATTACH_DEVCOMM
{
    DWORD          dwSize;
}NET_OUT_ATTACH_DEVCOMM;

// ȡǰ豸ڸ,ӦCLIENT_QueryDevState()ӿڵ DH_DEVSTATE_GET_COMM_COUNT 
typedef struct tagNET_GET_COMM_COUNT
{
    DWORD          dwSize;
    int            nChannelCout;                    // ȡĴ
}NET_GET_COMM_COUNT;

// CLIENT_ExChangeData ӿṹ
typedef struct tagNET_IN_EXCHANGEDATA
{
    DWORD           dwSize;
    int             nChannel;                       // ں
    BOOL            bFlag;                          // TRUE Ϊݲȴظ,FALSE ֻǲɼ
    int             nCollectTime;                   // ڲɼʱ(λ)
    int             nSendDataLength;                // ݳ,bFlag = TRUE Ч
    unsigned char*  pSendData;                      // ,bFlag = TRUE Ч
}NET_IN_EXCHANGEDATA;

// CLIENT_ExChangeData ӿṹ
typedef struct tagNET_OUT_EXCHANGEDATA
{
    DWORD           dwSize;
}NET_OUT_EXCHANGEDATA;

// ̨Ԥõ
typedef struct tagNET_PTZ_PRESET 
{
    int                     nIndex;                         // 
    char                    szName[PTZ_PRESET_NAME_LEN];    // 
    char                    szReserve[64];                  // Ԥ64ֽ
} NET_PTZ_PRESET;

// ̨Ԥõб
typedef struct tagNET_PTZ_PRESET_LIST 
{
    DWORD                   dwSize;
    DWORD                   dwMaxPresetNum;                 // Ԥõ
    DWORD                   dwRetPresetNum;                 // Ԥõ
    NET_PTZ_PRESET          *pstuPtzPorsetList;             // Ԥõб(Ҫڴ),ڴСΪsizeof(NET_PTZ_PRESET)*dwMaxPresetNum
} NET_PTZ_PRESET_LIST;

// ¼ EVENT_IVS_TRAFFIC_RESTRICTED_PLATE (޳¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_RESTRICTED_PLATE
{
    int                     nChannelID;                     // ͨ
    char                    szName[DH_EVENT_NAME_LEN];      // ¼
    int                     nTriggerType;                   // TriggerType:,0,1״,2Ƶ
    DWORD                   PTS;                            // ʱ(λǺ)
    NET_TIME_EX             UTC;                            // ¼ʱ
    int                     nEventID;                       // ¼ID
    int                     nSequence;                      // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                    byEventAction;                  // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                    byImageIndex;                   // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                    byReserved1[2];
    int                     nLane;                          // Ӧ
    DH_MSG_OBJECT           stuObject;                      // ⵽
    DH_MSG_OBJECT           stuVehicle;                     // Ϣ
    DH_EVENT_FILE_INFO      stuFileInfo;                    // ¼ӦļϢ
    int                     nMark;                          // ײĴץ֡
    int                     nFrameSequence;                 // Ƶ֡
    int                     nSource;                        // ƵԴַ
    DWORD                   dwSnapFlagMask;                 // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO      stuResolution;                  // ӦͼƬķֱ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stuTrafficCar;        // ͨϢ
    NET_GPS_INFO            stuGPSInfo;                     // GPSϢ ض
    BYTE                    byReserved[984];                // ֽ
    EVENT_COMM_INFO         stCommInfo;                     // Ϣ
}DEV_EVENT_TRAFFIC_RESTRICTED_PLATE;

// ¼ EVENT_IVS_TRAFFIC_OVERSTOPLINE (ѹͣ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_OVERSTOPLINE
{
    int                     nChannelID;                     // ͨ
    char                    szName[DH_EVENT_NAME_LEN];      // ¼
    int                     nTriggerType;                   // TriggerType:,0,1״,2Ƶ
    DWORD                   PTS;                            // ʱ(λǺ)
    NET_TIME_EX             UTC;                            // ¼ʱ
    int                     nEventID;                       // ¼ID
    int                     nSequence;                      // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                    byEventAction;                  // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                    byImageIndex;                   // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                    byReserved1[2];
    int                     nLane;                          // Ӧ
    DH_MSG_OBJECT           stuObject;                      // ⵽
    DH_MSG_OBJECT           stuVehicle;                     // Ϣ
    DH_EVENT_FILE_INFO      stuFileInfo;                    // ¼ӦļϢ
    int                     nMark;                          // ײĴץ֡
    int                     nFrameSequence;                 // Ƶ֡
    int                     nSource;                        // ƵԴַ
    DWORD                   dwSnapFlagMask;                 // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO      stuResolution;                  // ӦͼƬķֱ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stuTrafficCar;        // ͨϢ
    int                     nSpeed;                         // ʵٶ,Km/h
    NET_GPS_INFO            stuGPSInfo;                     // GPSϢ ض
    BYTE                    byReserved[984];                // ֽ
    EVENT_COMM_INFO         stCommInfo;                     // Ϣ

}DEV_EVENT_TRAFFIC_OVERSTOPLINE;



// ¼EVENT_IVS_TRAFFIC_WITHOUT_SAFEBELT(ͨδϵȫ¼¼)ӦݿϢ
typedef struct  tagDEV_EVENT_TRAFFIC_WITHOUT_SAFEBELT
{
    int                     nChannelID;                     // ͨ
    char                    szName[DH_EVENT_NAME_LEN];      // ¼
    int                     nTriggerType;                   // TriggerType:,0,1״,2Ƶ
    DWORD                   PTS;                            // ʱ(λǺ)
    NET_TIME_EX             UTC;                            // ¼ʱ
    int                     nEventID;                       // ¼ID
    int                     nSequence;                      // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                    byEventAction;                  // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;    BYTE                    byReserved1[2];
    BYTE                    byImageIndex;                   // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                    byReserved1[2];
    DH_EVENT_FILE_INFO      stuFileInfo;                    // ¼ӦļϢ
    int                     nLane;                          // Ӧ
    int                     nMark;                          // ײĴץ֡
    int                     nFrameSequence;                 // Ƶ֡
    int                     nSource;                        // ƵԴַ
    DH_MSG_OBJECT           stuObject;                      // ⵽
    DH_MSG_OBJECT           stuVehicle;                     // Ϣ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stuTrafficCar;        // ͨϢ
    int                     nSpeed;                         // ʵٶ,Km/h
    NET_SAFEBELT_STATE      emMainSeat;                     // ʻλȫ״̬
    NET_SAFEBELT_STATE      emSlaveSeat;                    // ʻλȫ״̬
    DWORD                   dwSnapFlagMask;                 // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO      stuResolution;                  // ӦͼƬķֱ
    NET_GPS_INFO            stuGPSInfo;                     // GPSϢ ض
    BYTE                    byReserved[984];                // ֽ
    EVENT_COMM_INFO         stCommInfo;                     // Ϣ

}DEV_EVENT_TRAFFIC_WITHOUT_SAFEBELT;

// ¼EVENT_IVS_TRAFFIC_DRIVER_SMOKING (ʻԱ¼)ӦݿϢ
typedef struct  tagDEV_EVENT_TRAFFIC_DRIVER_SMOKING
{
    int                     nChannelID;                     // ͨ
    char                    szName[DH_EVENT_NAME_LEN];      // ¼
    int                     nTriggerType;                   // TriggerType:,0,1״,2Ƶ
    DWORD                   PTS;                            // ʱ(λǺ)
    NET_TIME_EX             UTC;                            // ¼ʱ
    int                     nEventID;                       // ¼ID
    int                     nSequence;                      // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                    byEventAction;                  // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;    BYTE                    byReserved1[2];
    BYTE                    byImageIndex;                   // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                    byReserved1[2];
    DH_EVENT_FILE_INFO      stuFileInfo;                    // ¼ӦļϢ
    int                     nLane;                          // Ӧ
    int                     nMark;                          // ײĴץ֡
    int                     nFrameSequence;                 // Ƶ֡
    int                     nSource;                        // ƵԴַ
    DH_MSG_OBJECT           stuObject;                      // ⵽
    DH_MSG_OBJECT           stuVehicle;                     // Ϣ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stuTrafficCar;        // ͨϢ
    int                     nSpeed;                         // ʵٶ,Km/h
    DWORD                   dwSnapFlagMask;                 // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO      stuResolution;                  // ӦͼƬķֱ
    EVENT_COMM_INFO         stCommInfo;                     // Ϣ    
    NET_GPS_INFO            stuGPSInfo;                     // GPSϢ ض
    char                    szDriverID[32];                 // ˾ID
    BYTE                    byReserved[952];                // ֽ
}DEV_EVENT_TRAFFIC_DRIVER_SMOKING;

// ¼EVENT_IVS_TRAFFIC_DRIVER_CALLING(ʻԱ绰¼)ӦݿϢ
typedef struct  tagDEV_EVENT_TRAFFIC_DRIVER_CALLING
{
    int                     nChannelID;                     // ͨ
    char                    szName[DH_EVENT_NAME_LEN];      // ¼
    int                     nTriggerType;                   // TriggerType:,0,1״,2Ƶ
    DWORD                   PTS;                            // ʱ(λǺ)
    NET_TIME_EX             UTC;                            // ¼ʱ
    int                     nEventID;                       // ¼ID
    int                     nSequence;                      // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    BYTE                    byEventAction;                  // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;    BYTE                    byReserved1[2];
    BYTE                    byImageIndex;                   // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    BYTE                    byReserved1[2];
    DH_EVENT_FILE_INFO      stuFileInfo;                    // ¼ӦļϢ
    int                     nLane;                          // Ӧ
    int                     nMark;                          // ײĴץ֡
    int                     nFrameSequence;                 // Ƶ֡
    int                     nSource;                        // ƵԴַ
    DH_MSG_OBJECT           stuObject;                      // ⵽
    DH_MSG_OBJECT           stuVehicle;                     // Ϣ
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stuTrafficCar;        // ͨϢ
    int                     nSpeed;                         // ʵٶ,Km/h
    DWORD                   dwSnapFlagMask;                 // ץͼ־(λ),NET_RESERVED_COMMON    
    DH_RESOLUTION_INFO      stuResolution;                  // ӦͼƬķֱ
    EVENT_COMM_INFO         stCommInfo;                     // Ϣ
    NET_GPS_INFO            stuGPSInfo;                     // GPSϢ ض
    char                    szDriverID[32];                 // ˾ID
    BYTE                    byReserved[952];                // ֽ
}DEV_EVENT_TRAFFIC_DRIVER_CALLING;


// ¼EVENT_IVS_OBJECT_DETECTION(¼)ӦݿϢ
typedef struct  tagDEV_EVENT_TRAFFIC_OBJECT_DETECTION
{
    int                 nChannelID;                         // ͨ
    char                szName[128];                        // ¼
    char                bReserved1[4];                      // ֽڶ
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventID;                           // ¼ID
    DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
    BYTE                bEventAction;                       // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byReserved[2];                      // ֽ
    BYTE                byImageIndex;                       // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
    char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
    unsigned int        nOccurrenceCount;                   // ¼ۼƴ

    int                 nObjectNum;          //Ϣ
    DH_MSG_OBJECT_EX   *pstObjectInfo;       //Ϣ  
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;  		// ¼Ϣ
    BYTE                byReserved2[892];   //ֽ
}DEV_EVENT_TRAFFIC_OBJECT_DETECTION;

// Դ쳣
typedef struct tagALARM_POWER_ABNORMAL_INFO
{
    DWORD                   dwSize;
    int                     nChannelID;                     // ͨ
    NET_TIME                stuTime;                        // ʱ
    DWORD                   dwAction;                       // ¼, 0:Start, 1:Stop
}ALARM_POWER_ABNORMAL_INFO;

// ̬ʹ
typedef enum tagNET_THREE_STATE_ENABLE
{
    EM_STATE_ENABLE_INVALID = 0,            // Ч
    EM_STATE_ENABLE_OFF,                    // 
    EM_STATE_ENABLE_ON,                     // 
} NET_THREE_STATE_ENABLE;

// ʹܸıϱ¼
typedef struct tagCONFIG_ENABLE_CHANGE_INFO
{
    DWORD                   dwSize;
    int                     nChannelID;                     // ͨ, 0ʼ
    NET_THREE_STATE_ENABLE  emMotionDetect;                 // ʹ,     0:Ч, 1:ʹܹر, 2:ʹܴ
    NET_THREE_STATE_ENABLE  emLossDetect;                   // Ƶʧʹ, 0:Ч, 1:ʹܹر, 2:ʹܴ
    NET_THREE_STATE_ENABLE  emBlindDetect;                  // Ƶڵʹ, 0:Ч, 1:ʹܹر, 2:ʹܴ
    NET_THREE_STATE_ENABLE  emAlarmLocal;                   // ⲿʹ, 0:Ч, 1:ʹܹر, 2:ʹܴ
}ALARM_CONFIG_ENABLE_CHANGE_INFO;

// Υ
typedef enum tagEM_ITC_HWS000_IT_TYPE
{
    EM_ITC_HWS000_IT_TYPE_UNKNOWN,      // δ֪
    EM_ITC_HWS000_IT_TYPE_HIGH_SPEED,   // 
    EM_ITC_HWS000_IT_TYPE_LOW_SPEED,    // 
}EM_ITC_HWS000_IT_TYPE;

// ״״̬
typedef enum tagEM_ITC_HWS000_RS_TYPE
{
    EM_ITC_HWS000_RS_TYPE_UNKNOWN,      // δ֪
    EM_ITC_HWS000_RS_TYPE_ONLINE,       // 
    EM_ITC_HWS000_RS_TYPE_OFFLINE,      // 
}EM_ITC_HWS000_RS_TYPE;

// ״̬
typedef enum tagEM_ITC_HWS000_FS_TYPE
{
    EM_ITC_HWS000_FS_TYPE_UNKNOWN,     // δ֪
    EM_ITC_HWS000_FS_TYPE_ONLINE,      // 
    EM_ITC_HWS000_FS_TYPE_OFFLINE,     // 
}EM_ITC_HWS000_FS_TYPE;

// 豸¼뱨
typedef struct tagALARM_ITC_HWS000
{
    DWORD dwSize;
    EM_ITC_HWS000_IT_TYPE emItType;   // Υ
    EM_ITC_HWS000_RS_TYPE emRsType;   // ״״̬
    EM_ITC_HWS000_FS_TYPE emFsType;   // ״̬
    int nOcNum;                       // ټֵ
    int nLcNum;                       // Ƿټֵ
    int nAcNum;                       // Υֵܼ
    int nFcNum;                       // ˸
}ALARM_ITC_HWS000;

// ״̬ +-     
typedef enum tagEM_CAR_COME_STATUS       
{       
    EM_CAR_COME_STATUS_UNKNOWN,                            //δ֪       
    EM_CAR_COME_STATUS_COME_IN,                            //볡       
    EM_CAR_COME_STATUS_COME_OUT,                           //       
}EM_CAR_COME_STATUS;       
           
// ֻϱ¼       
typedef struct tagALARM_TELEPHONE_CHECK_INFO       
{       
    DWORD                       dwSize;       
    EM_CAR_COME_STATUS          emCarStatus;               //״̬       
    char                        szTelephoneNum[32];        //ֻ                          
}ALARM_TELEPHONE_CHECK_INFO; 

#define UPDATE_VERSION_LEN        64

// ȡ豸״̬Ӧṹ
typedef struct tagDHDEV_UPGRADE_STATE_INFO
{
    int                  nState;                            // 0:None-ûм⵽, Ĭ״̬; 1:Regular-һ; 
                                                            // 2:Emergency-ǿ; 3:Upgrading-
    
    char                szOldVersion[UPDATE_VERSION_LEN];   // ɰ汾
    char                szNewVersion[UPDATE_VERSION_LEN];   // °汾
    DWORD               dwProgress;                         // 
    int                 reserved[256];                      // ֶ
}DHDEV_UPGRADE_STATE_INFO;

// ַ
typedef enum tagNET_CROSSLINE_DIRECTION_INFO
{
    EM_CROSSLINE_DIRECTION_UNKNOW = 0 , 
    EM_CROSSLINE_DIRECTION_LEFT2RIGHT ,   //
    EM_CROSSLINE_DIRECTION_RIGHT2LEFT ,   //ҵ
    EM_CROSSLINE_DIRECTION_ANY        ,   
}NET_CROSSLINE_DIRECTION_INFO;

// ¼(Ӧ¼ DH_EVENT_CROSSLINE_DETECTION)
typedef struct tagALARM_EVENT_CROSSLINE_INFO
{
    DWORD                           dwSize;                         
    int					            nChannelID;						// ͨ
    double				            PTS;							// ʱ(λǺ)
    NET_TIME_EX			            UTC;							// ¼ʱ
    int					            nEventID;						// ¼ID
    int                             nEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

    NET_CROSSLINE_DIRECTION_INFO    emCrossDirection;               // ַ
    int                             nOccurrenceCount;               // 򱻴
    int                             nLevel;                         // ¼,GB30147
	BOOL							bIsObjectInfo;					// Ƿ⵽Ϣ
	DH_MSG_OBJECT			        stuObject;                      // ⵽Ϣ
	int								nRetObjectNum;						// ʵʷض⵽Ϣ 
	DH_MSG_OBJECT			        stuObjects[MAX_TARGET_OBJECT_NUM];  // ⵽Ϣ
}ALARM_EVENT_CROSSLINE_INFO;

// ƶ¼(Ӧ¼DH_ALARM_MOVEDETECTION)
typedef struct tagALARM_MOVE_DETECTION_INFO
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	int								nCount;							// 򱻴Ĵ
	BYTE                			byReserved[1024];   			//ֽ
} ALARM_MOVE_DETECTION_INFO;

// ǻ¼(Ӧ¼DH_ALARM_WANDERDETECTION)
typedef struct tagALARM_WANDERDETECTION_INFO
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	int 							nCount;							// 򱻴Ĵ
	int								nLevel;							// ¼,GB31047
	short							nPreserID;						// ¼Ԥõţ1ʼûбʾδ֪
	char							szPresetName[64];				// ¼Ԥ
	BYTE                			byReserved[958];   				//ֽ
} ALARM_WANDERDETECTION_INFO;

// ԽΧ¼(Ӧ¼DH_ALARM_CROSSFENCEDETECTION)
typedef struct tagALARM_CROSSFENCEDETECTION_INFO
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	NET_CROSSLINE_DIRECTION_INFO	emCrossDirection;               // ַ
	int 							nCount;							// 򱻴Ĵ
	BYTE                			byReserved[1024];   			//ֽ
} ALARM_CROSSFENCEDETECTION_INFO;

// ¼(Ӧ¼ ALARM_TRAFFIC_PEDESTRIAN_RUN_REDLIGHT_DETECTION)
typedef struct tagALARM_TRAFFIC_PEDESTRIAN_RUN_REDLIGHT_DETECTION_INFO
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID
	BYTE                			byReserved[1024];   			//ֽ
} ALARM_TRAFFIC_PEDESTRIAN_RUN_REDLIGHT_DETECTION_INFO;

//Ź¼(Ӧ¼DH_ALARM_FIGHTDETECTION)
typedef struct tagNET_ALARM_FIGHTDETECTION
{	

	int                             nAction;                   		// ¼,0:ʼ1:ֹͣ
	int					            nChannelID;						// ͨŴ0ʼ	
    double				            dbPTS;							// ʱ(λǺ)    
    NET_TIME_EX			            stuTime;						// ¼ʱ  
	NET_EXTENSION_INFO              stuExtensionInfo;				// չϢ
	BYTE                			byReserved[892];   			    //ֽ
}NET_ALARM_FIGHTDETECTION;

#define VTO_BUILDING_LEN			8
#define VTO_UNIT_LEN				8

//VTOʶ¼(Ӧ¼DH_ALARM_ACCESSIDENTIFY)
typedef struct tagNET_ALARM_ACCESSIDENTIFY_INFO
{	
    NET_TIME_EX			            stuTime;						 // ¼ʱ    
	char 							szVTOBuilding[VTO_BUILDING_LEN]; // 
	char 							szVTOUnit[VTO_UNIT_LEN];		 // Ԫ
	BYTE                			byReserved[1024];   			 // ֽ
}NET_ALARM_ACCESSIDENTIFY_INFO;

//ֱ£޴Ӧ¼(Ӧ¼DH_ALARM_CALL_NO_ANSWERED)
typedef struct tagNET_ALARM_CALL_NO_ANSWERED_INFO
{
	NET_TIME_EX			            stuTime;						 // ¼ʱ
	char 							szCallID[MAX_CALL_ID_LEN];		 // ID
	int                             nAction;                   		 // ¼, 1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						 // ͨ
	BYTE                			byReserved[1016];   			 // ֽ
} NET_ALARM_CALL_NO_ANSWERED_INFO;

// Ƿͣ¼(Ӧ¼DH_ALARM_PARKINGDETECTION)
typedef struct tagALARM_PARKINGDETECTION_INFO
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	int 							nCount;							// 򱻴Ĵ
	BYTE                			byReserved[1024];   			//ֽ
} ALARM_PARKINGDETECTION_INFO;

// Աۼ¼(Ӧ¼DH_ALARM_RIOTERDETECTION)
typedef struct tagALARM_RIOTERDETECTION_INFO
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	int 							nCount;							// 򱻴Ĵ
	BYTE                			byReserved[1024];   			// ֽ
} ALARM_RIOTERDETECTION_INFO;

// ¼ DH_ALARM_TRAFFIC_PARKING(ͨΥͣ¼)ӦݿϢ
typedef struct tagALARM_TRAFFIC_PARKING_INFO 
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	BYTE                			byReserved[1024];   			// ֽ
} ALARM_TRAFFIC_PARKING_INFO;


// ¼DH_ALARM_TRAFFIC_JAM(ͨӵ¼)ӦݿϢ
typedef struct tagALARM_TRAFFIC_JAM_INFO 
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	BYTE                			byReserved[1024];   			// ֽ
} ALARM_TRAFFIC_JAM_INFO;

//¼ DH_ALARM_TRAFFIC_PEDESTRAIN(ͨ¼)ӦݿϢ
typedef struct tagALARM_TRAFFIC_PEDESTRAIN_INFO
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	BYTE                			byReserved[1024];   			// ֽ
} ALARM_TRAFFIC_PEDESTRAIN_INFO;

//¼ DH_ALARM_TRAFFIC_THROW(ͨƷ¼)ӦݿϢ
typedef struct tagALARM_TRAFFIC_THROW_INFO
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	BYTE                			byReserved[1024];   			// ֽ
} ALARM_TRAFFIC_THROW_INFO;

//¼DH_ALARM_TRAFFIC_RETROGRADE(ͨ¼)ӦݿϢ
typedef struct tagALARM_TRAFFIC_RETROGRADE_INFO
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	BYTE                			byReserved[1024];   			// ֽ
} ALARM_TRAFFIC_RETROGRADE_INFO;

//¼DH_ALARM_TRAFFIC_OVERSPEED(ͨ¼)ӦݿϢ
typedef struct tagALARM_TRAFFIC_OVERSPEED_INFO 
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	int								nSpeed;							// 
	int								nSpeedUpperLimit;				// ٶ
	int								nSpeedLowerLimit;				// ٶ
	BYTE                			byReserved[1024];   			// ֽ
} ALARM_TRAFFIC_OVERSPEED_INFO;

//¼DH_ALARM_TRAFFIC_UNDERSPEED(ͨǷ¼)ӦݿϢ
typedef struct tagALARM_TRAFFIC_UNDERSPEED_INFO 
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	int								nSpeed;							// 
	int								nSpeedUpperLimit;				// ٶ
	int								nSpeedLowerLimit;				// ٶ
	BYTE                			byReserved[1024];   			// ֽ
} ALARM_TRAFFIC_UNDERSPEED_INFO;

//¼DH_ALARM_RETROGRADE_DETECTION(Ա¼)ӦݿϢ
typedef struct tagALARM_RETROGRADE_DETECTION_INFO
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID
	int 							nCount;							// 򱻴Ĵ
	BYTE                			byReserved[1024];   			// ֽ
} ALARM_RETROGRADE_DETECTION_INFO;

// AIO¼(Ӧ¼DH_ALARM_AIO_APP_CONFIG_EVENT)
typedef struct tagALARM_AIO_APP_CONFIG_EVENT_INFO
{
	NET_TIME_EX			            stuTime;							// ¼ʱ
	char 							szAddress[DH_MAX_IPADDR_LEN];		// ƽ̨ĵipַ
	BYTE                			byReserved[1024];   				// ֽ
}ALARM_AIO_APP_CONFIG_EVENT_INFO;


//¼DH_ALARM_BOX(ӱ¼)ӦݿϢ
typedef struct tagALARM_BOX_INFO
{
	int                             nAction;                   		// ¼,1ʾ¼ʼ,2ʾ¼;
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	int 							nAlarmBoxIndex;					// Ӷʱʾš0ʼ
	int								nAlarmIndex;					// ڲͨţ0ʼ
	BYTE                			byReserved[1024];   			// ֽ
} ALARM_BOX_INFO;

// ¼ DH_ALARM_UNDER_VOLTAGE (͵ѹ¼) ӦݿϢ
typedef struct tagALARM_UNDER_VOLTAGE_INFO
{
	int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID
    BYTE                			byReserved[512];       			// ֽ
}ALARM_UNDER_VOLTAGE_INFO;

// ¼ DH_ALARM_OVER_VOLTAGE (ѹ¼) ӦݿϢ
typedef struct tagALARM_OVER_VOLTAGE_INFO
{
    int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID
    BYTE                			byReserved[512];       			// ֽ    
}ALARM_OVER_VOLTAGE_INFO;

// ¼ DH_ALARM_TIRED_PHYSIOLOGICAL (ƣ¼) ӦݿϢ
typedef struct tagALARM_TIRED_PHYSIOLOGICAL
{
    int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	NET_GPS_STATUS_INFO				stuGPSStatus;					// GPSϢ
    BYTE                			byReserved[512];       			// ֽ    
} ALARM_TIRED_PHYSIOLOGICAL;


// ¼ DH_ALARM_CALLING_WHEN_DRIVING (绰¼) ӦݿϢ
typedef struct tagALARM_CALLING_WHEN_DRIVING
{
    int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	NET_GPS_STATUS_INFO				stuGPSStatus;					// GPSϢ
    BYTE                			byReserved[512];       			// ֽ    
} ALARM_CALLING_WHEN_DRIVING;


// ¼ DH_ALARM_TRAFFIC_DRIVER_SMOKING (¼) ӦݿϢ
typedef struct tagALARM_TRAFFIC_DRIVER_SMOKING
{
    int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	NET_GPS_STATUS_INFO				stuGPSStatus;					// GPSϢ
    BYTE                			byReserved[512];       			// ֽ    
} ALARM_TRAFFIC_DRIVER_SMOKING;


// ¼ DH_ALARM_TRAFFIC_DRIVER_LOWER_HEAD (ͷ¼) ӦݿϢ
typedef struct tagALARM_TRAFFIC_DRIVER_LOWER_HEAD
{
    int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	NET_GPS_STATUS_INFO				stuGPSStatus;					// GPSϢ
    BYTE                			byReserved[512];       			// ֽ    
} ALARM_TRAFFIC_DRIVER_LOWER_HEAD;


// ¼ DH_ALARM_TRAFFIC_DRIVER_LOOK_AROUND (α¼) ӦݿϢ
typedef struct tagALARM_TRAFFIC_DRIVER_LOOK_AROUND
{
    int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	NET_GPS_STATUS_INFO				stuGPSStatus;					// GPSϢ
    BYTE                			byReserved[512];       			// ֽ    
} ALARM_TRAFFIC_DRIVER_LOOK_AROUND;


// ¼ DH_ALARM_TRAFFIC_DRIVER_LEAVE_POST (ڱ¼) ӦݿϢ
typedef struct tagALARM_TRAFFIC_DRIVER_LEAVE_POST
{
    int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	NET_GPS_STATUS_INFO				stuGPSStatus;					// GPSϢ
    BYTE                			byReserved[512];       			// ֽ    
} ALARM_TRAFFIC_DRIVER_LEAVE_POST;


// ¼ DH_ALARM_TRAFFIC_DRIVER_YAWN (Ƿ¼) ӦݿϢ
typedef struct tagALARM_TRAFFIC_DRIVER_YAWN
{
    int                             nAction;                   		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID

	NET_GPS_STATUS_INFO				stuGPSStatus;					// GPSϢ
    BYTE                			byReserved[512];       			// ֽ    
} ALARM_TRAFFIC_DRIVER_YAWN;

// λñ¼(DH_ALARM_TRAFFIC_VEHICLE_POSITION)
typedef struct tagALARM_TRAFFIC_VEHICLE_POSITION
{
	int             nAction;                   						// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	char			szEventName[DH_COMMON_STRING_128];				// ¼
	unsigned int	nObjectID;										// ID
	char			szPlateNumber[DH_COMMON_STRING_128];									// ƺ
	int				nPosition;										// ʶ뿨ץߵԾ(0Ϊ׼ʾƵץĿλʱĳƾ룻ʾԽץߣʾδԽץ)
	BYTE            byOpenStrobeState;                              // բ״̬, EM_OPEN_STROBE_STATE 
	BYTE			byReserved[511];       							// ֽ  
} ALARM_TRAFFIC_VEHICLE_POSITION;

// ¼ DH_ALARM_MPTBASE_CONNECT (豸״̬¼) ӦݿϢ
typedef struct tagALARM_MPTBASE_CONNECT
{
    int                             nAction;                        // ¼, 1 ʾ¼ʼ, 2 ʾ¼
    BYTE                            byReserved[512];                // ֽ 
} ALARM_MPTBASE_CONNECT;

// ػԭ
typedef enum tagEM_SHUTDOWN_REASON_TYPE
{
    EM_SHUTDOWN_REASON_UNKNOWN,                 // δ֪
    EM_SHUTDOWN_REASON_LOWERPOWER,              // ͵
    EM_SHUTDOWN_REASON_LOSTPOWER,               // ͻȻ
    EM_SHUTDOWN_REASON_CRASH,                   // ϵͳ
} EM_SHUTDOWN_REASON_TYPE;

// ¼DH_ALARM_CGIRECORD,ӦCGIֶ¼
typedef struct tagALARM_CGIRECORD
{
    int                             nAction;                   		// ¼,1ʾ¼ʼ,2ʾ¼;
    int                             nChannelID;						// ¼ͨ
    double                          dbPTS;							// ʱ(λǺ)	
    NET_TIME_EX                     stuTime;						// ¼ʱ    
    int                             nEventID;						// ¼ID
	NET_TIME_EX                     stuStartTime;					// ¼ʼʱ
	NET_TIME_EX                     stuStopTime;					// ¼ʱ	
	BYTE                            byReserved[512];				// ֽ		 
} ALARM_CGIRECORD;

// ¶ϱ¼ϢӦDH_ALARM_BATTERY_TEMPERATURE
typedef struct tagALARM_BATTERY_TEMPERATURE_INFO
{
	int					nBatteryIndex;                // 
	NET_TIME_EX			stuTime;                      // ¼ʱ
	float				fTemperature;				  // ص¶ֵ,λ:C
	BYTE				byReserved[1024];			  // ֽ
}ALARM_BATTERY_TEMPERATURE_INFO;

// ¼ DH_ALARM_TIRE_PRESSURE ,Ӧ̥ѹ¼ϱ
typedef struct tagALARM_TIRE_PRESSURE_INFO
{
    int                             nAction;                   		// ¼,1ʾ¼ʼ,2ʾ¼;
    int                             nEventID;						// ¼ID    
    double                          dbPTS;							// ʱ(λǺ)	
    NET_TIME_EX                     stuTime;						// ¼ʱ

    int                             nTireIndex;						// ̥,1ʼ
    int                             nAlarmType;                     // ,1-ѹ,2-ѹ
    float                           fUpperLimit;					// ̥ѹ,λBAR
    float                           fLowerLimit;					// ̥ѹ,λBAR
    float                           fCurrentPressure;               // ǰ̥ѹ,λBAR
    BYTE                            byReserved[512];				// ֽ		 
} ALARM_TIRE_PRESSURE_INFO;

// Žˢ¼,Ӧ DH_ALARM_ACCESS_CTL_BLACKLIST
typedef struct tagALARM_ACCESS_CTL_BLACKLIST
{
    int                             nChannel;                                          // ͨ
    char                            szAccessName[DH_COMMON_STRING_64];                 // Ž
    char                            szUserID[DH_COMMON_STRING_32];                     // ûID
    char                            szCardNo[DH_COMMON_STRING_64];                     // 
    char                            szCitizenIDNo[20];                                 // ֤
    BYTE                			byReserved[512];       			                   // ֽ 
}ALARM_ACCESS_CTL_BLACKLIST;

// δȨˢ¼, Ӧ DH_ALARM_ACCESS_CTL_UNAUTHORIZED_MALICIOUSWIP
typedef struct tagALARM_ACCESS_CTL_UNAUTHORIZED_MALICIOUSWIP
{
    int                             nChannel;                           // ͨ
    char                            szDoorName[DH_MAX_DOORNAME_LEN];    // Ž
    char						    szUserID[MAX_COMMON_STRING_16];		// ûID
    char                            szCardNo[DH_COMMON_STRING_64];      // 
    NET_TIME_EX			            stuTime;						    // ¼ʱ
    BYTE                			byReserved[476];  
}ALARM_ACCESS_CTL_UNAUTHORIZED_MALICIOUSWIP;

// û¼,Ӧ DH_ALARM_USERLOCK
typedef struct tagALARM_USERLOCK_INFO
{	
	double				            dbPTS;							// ʱ(λǺ)
	NET_TIME_EX			            stuTime;						// ¼ʱ
	int					            nEventID;						// ¼ID
	
	char							szUserName[MAX_USER_NAME_LEN];  // û
	char							szGroup[MAX_GROUP_LEN];			// 
	char							szIllegalLoginIP[MAX_ILLEGAL_LOGIN_IP_LEN];	// Ƿ¼IP
	BYTE                            byReserved[1024];				// ֽ		
}ALARM_USERLOCK_INFO;

// Զļ¼,Ӧ DH_ALARM_DOWNLOAD_REMOTE_FILE
typedef struct tagALARM_DOWNLOAD_REMOTE_FILE_INFO
{	
	double				            dbPTS;							// ʱ(λǺ)
	NET_TIME_EX			            stuTime;						// ¼ʱ
	int					            nEventID;						// ¼ID
	
	char							szURL[DH_COMMON_STRING_256];	// ļӦURLַ
	UINT							nProgress;						// ؽ[0,100]		
	UINT							nVelocity;						// ƽٶ, λ: Kb/s
	BYTE                            byReserved[1016];				// ֽ		
}ALARM_DOWNLOAD_REMOTE_FILE_INFO;

// ͻϢ
typedef struct tagNET_CONFLICT_INFO 
{
	char							szSlaveMac[DH_COMMON_STRING_32];	// MACַ
	int								nSlaveID;							// ID
	int								nSlavePort;							// ڻλڷĶ˿ں
	BYTE							byReserved[64];						// ֽ
} NET_CONFLICT_INFO;

// ͻϢ
#define	MAX_COUNT_CONFLICT	16

// ¼ DH_ALARM_VTH_CONFLICT, Ӧųͻϱ¼
typedef struct tagALARM_VTH_CONFLICT_INFO 
{
    int                             nAction;                   			// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	int                             nEventID;							// ¼ID    
    double                          dbPTS;								// ʱ(λǺ)
    NET_TIME_EX                     stuTime;							// ¼ʱ
	
	int								nConflictNum;						// ͻ
	NET_CONFLICT_INFO				stConflictInfo[MAX_COUNT_CONFLICT];	// ͻϢ
	char							szVTNCNum[DH_COMMON_STRING_32];		// Ԫ/ſڻ
	char							szVTHNum[DH_COMMON_STRING_32];		// 
	BYTE                            byReserved[512];					// ֽ	
} ALARM_VTH_CONFLICT_INFO;

// ¼DH_ALARM_LATEST_SHUTDOWN (豸ϴιػ״̬¼) ӦݿϢ
typedef struct tagALARM_LATEST_SHUTDOWN
{
	EM_SHUTDOWN_REASON_TYPE			emShutdownReason;				// ػԭ		
	BYTE                			byReserved[512];       			// ֽ 
} ALARM_LATEST_SHUTDOWN;

// ¼DH_ALARM_DISTANCE_DETECTION (쳣¼) ӦݿϢ
typedef struct tagALARM_DISTANCE_DETECTION_INFO
{
	int                             nAction;                   			// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	int                             nEventID;							// ¼ID    
    double                          dbPTS;								// ʱ(λǺ)
    int								nChannel;							// ͨ
    NET_TIME_EX                     stuTime;							// ¼ʱ
	int								nPresetID;							// ¼Ԥõ
	BYTE                			byReserved[508];       				// ֽ
} ALARM_DISTANCE_DETECTION_INFO;

// ¼DH_ALARM_STAY_DETECTION (ͣ¼) ӦݿϢ
typedef struct tagALARM_STAY_DETECTION_INFO
{
	int                             nAction;                   			// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;	
	int                             nEventID;							// ¼ID    
    double                          dbPTS;								// ʱ(λǺ)
	int								nChannel;							// ͨ
	NET_TIME_EX                     stuTime;							// ¼ʱ
    int								nGroupId;							// ¼IDͬһץĹGroupIDͬ
    int								nCountInGroup;						// һ¼ڵץ
    int								nIndexInGroup;						// һ¼ڵץţ1ʼ
    int								nCount;								// 򱻴
	int								nPresetID;							// ¼Ԥõ
	BYTE                			byReserved[508];       				// ֽ
} ALARM_STAY_DETECTION_INFO;

// ¼ DH_ALARM_AUTO_INSPECTION (豸Լ¼) ӦݿϢ
typedef struct tagALARM_AUTO_INSPECTION
{
	double				            dbPTS;							// ʱ(λǺ)
	NET_TIME_EX			            stuTime;						// ¼ʱ
	int					            nEventID;						// ¼ID

	NET_TIME_EX						stuStartTime;					// 豸ʼԼʱ
	BOOL							bCheckResult;					// 豸Լ,FALSEΪʧ,TRUEΪɹ
	BYTE							byReserved[1024];				// ֽ
}ALARM_AUTO_INSPECTION;

// ¼
typedef enum tagEM_FACE_VERIFICATION_ACCESS_SNAP_TYPE
{
	EM_FACE_VERIFICATION_ACCESS_SNAP_TYPE_UNKNOWN,			// δ֪
	EM_FACE_VERIFICATION_ACCESS_SNAP_TYPE_ENTRY,			// 
	EM_FACE_VERIFICATION_ACCESS_SNAP_TYPE_EXIT,				// 
}EM_FACE_VERIFICATION_ACCESS_SNAP_TYPE;

// Ϣ
typedef struct tagNET_PERSON_INFO
{
	BOOL			bCheckResult;					// ȶԽ,ɹΪTRUE,ʧΪFALSE
	char			szName[MAX_NAME_LENGTH];			// ,ȶԳɹʱЧ
	char			szSnapURL[MAX_SNAP_URL_LEN];    // ץͼַ
	BYTE			byReserved[512];				// ֽ
}NET_PERSON_INFO;

// ƷϢ
typedef struct tagNET_GOOD_INFO
{
	char			szCode[MAX_CODE_LEN];			    // Ʒ
	char			szSnapURL[MAX_SNAP_URL_LEN];		// Ʒץͼַ
	BYTE			byReserved[512];				    // ֽ
}NET_GOOD_INFO;

// 
typedef enum tagEM_OPERATION_TYPE
{
	EM_OPERATION_TYPE_UNKNOWN,					// δ֪
	EM_OPERATION_TYPE_FETCH,                    // ȡƷ
	EM_OPERATION_TYPE_STORE,					// Ʒ
	EM_OPERATION_TYPE_EXCHANGE,					// Ʒ
	EM_OPERATION_TYPE_CHECK,					// 					
}EM_OPERATION_TYPE;

// ¼ DH_ALARM_FACE_VERIFICATION_ACCESS_SNAP֤ץͼϢ¼ӦݿϢ
typedef struct tagALARM_FACE_VERIFICATION_ACCESS_SNAP_INFO
{
	double										dbPTS;									// ʱ(λǺ)
	NET_TIME_EX									stuTime;								// ¼ʱ
	int											nEventID;								// ¼ID

	int											nRecNo;									// ¼ţAccessControl¼еļ¼һ 	
	EM_FACE_VERIFICATION_ACCESS_SNAP_TYPE       emEventType;							// ¼
	NET_PERSON_INFO								stuPersonInfo[MAX_PERSON_INFO_NUM];		// Ϣ
	int											nRetPersonInfoNum;						// صϢ
	NET_GOOD_INFO								stuGoodInfo[MAX_GOOD_INFO_NUM];			// ƷϢ
	int											nRetGoodInfoNum;						// صƷϢ
	EM_OPERATION_TYPE							emOperation;							// 
	BYTE										byReserved[1020];						// ֽ
}ALARM_FACE_VERIFICATION_ACCESS_SNAP_INFO;

// ¼DH_ALARM_VIDEOBLIND(Ƶڵ¼)ӦݿϢ
typedef struct  tagALARM_VIDEO_BLIND_INFO
{
	int                             nAction;                   		// ¼,1ʾ¼ʼ,2ʾ¼;
    int					            nChannelID;						// ͨ
    double				            dbPTS;							// ʱ(λǺ)
    NET_TIME_EX			            stuTime;						// ¼ʱ
    int					            nEventID;						// ¼ID
	NET_TIME_EX						stuStartTime;					// ʼʱ,nActionΪ2ʱϱֶ
	NET_GPS_STATUS_INFO				stuGPS;							// GPSϢ
    BYTE                			byReserved[1024];       		// ֽ    
} ALARM_VIDEO_BLIND_INFO;

// ¼DH_ALARM_DRIVER_NOTCONFIRM (˾δȷϰť¼)ӦݿϢ
typedef struct tagALARM_DRIVER_NOTCONFIRM_INFO
{
	int                             nAction;                   		// ¼,1ʾ¼ʼ,2ʾ¼;
    NET_TIME_EX			            stuTime;						// ¼ʱ
	double				            dbPTS;							// ʱ(λǺ)
    BYTE                			byReserved[512];       			// ֽ    
} ALARM_DRIVER_NOTCONFIRM_INFO;

// ¼ DH_ALARM_VIOLATE_NO_FLY_TIME (Υ¼) ӦݿϢ
typedef struct tagALARM_VIOLATE_NO_FLY_TIME_INFO
{   
    int                             nAction;                   		// ¼,1ʾ¼ʼ,2ʾ¼;
    NET_TIME_EX			            stuTime;						// ¼ʱ
    double				            dbPTS;							// ʱ(λǺ)

    BYTE                			byReserved[512];       			// ֽ  
}ALARM_VIOLATE_NO_FLY_TIME_INFO;

//¼ DH_ALARM_BOX_ALARM (ͨĴ¼)ӦݿϢ
typedef struct tagALARM_BOX_ALARM_INFO
{
    int                             nAction;                   		    // ¼,1ʾ¼ʼ,2ʾ¼;
    int					            nChannelID;						    // ͨ
    double				            dbPTS;							    // ʱ(λǺ)
    NET_TIME_EX			            stuTime;						    // ¼ʱ
    int					            nEventID;						    // ¼ID
	char                            szAlarmChannelName[DH_COMMON_STRING_64];   // ͨ
	int								nAlarmBoxIndex;						// Ӷʱʾ,0ʼ
	int								nAlarmIndex;						// ڲͨţ0ʼ
    BYTE                			byReserved[1016];   			    // ֽ
}ALARM_BOX_ALARM_INFO;

// ¼ DH_ALARM_SOSALERT
typedef struct tagALARM_SOSALERT_INFO
{
	int								nChannelID;								// ͨ
	int								nEventID;								// ¼ID
	double							dbPTS;									// ʱ(λǺ)
	NET_TIME_EX						stuTime;								// ¼ʱ

	char							szPlateNumber[DH_COMMON_STRING_128];	// 
	NET_GPS_STATUS_INFO 			stGPSStatusInfo;						// GPSϢ	
	BYTE							byReserved[1024];						// ֽ
}ALARM_SOSALERT_INFO;

// ¼ DH_ALARM_GYROABNORMALATTITUDE
typedef struct tagALARM_GYROABNORMALATTITUDE_INFO
{
	int								nAction;								// ¼,1ʾ¼ʼ,2ʾ¼;
	int								nChannelID;								// ͨ
	double							dbPTS;									// ʱ(λǺ)
	NET_TIME_EX						stuTime;								// ¼ʱ
	int								nEventID;								// ¼ID

	double							dbGyroCurRoll;							// ǰǣλ
	double							dbGyroCurPitch;							// ǰǣλ
	double							dbGyroCurAccel;							// ǰٶȣλm/s^2
	BYTE							byReserved[1024];						// ֶ
}ALARM_GYROABNORMALATTITUDE_INFO;

//¼DH_ALARM_ALARMOUTPUT(ͨ״̬ı¼)ӦݿϢ
typedef struct tagALARM_ALARMOUTPUT_INFO
{
	int 							nAction;								//¼,1:Start 2:Stop
	NET_TIME_EX						UTC;									//¼ʱ
	int								nChannel;								//ͨ
}ALARM_ALARMOUTPUT_INFO;

//¼DH_ALARM_PSTNREPORTFAILURE(绰δӾ¼)ӦݿϢ
typedef struct tagALARM_PSTNREPORTFAILURE_INFO
{
	NET_TIME_EX 					UTC;								//¼ʱ
}ALARM_PSTNREPORTFAILURE_INFO;

//ͨѶ
typedef enum tagGSMFIELD_FAULT_TYPE
{
	GSMFIELD_FAULT_UNKNOWN,				//δ֪
	GSMFIELD_FAULT_GSMModule,			//ͨģ
	GSMFIELD_FAULT_SIMCard,				//δSIM
}GSMFIELD_FAULT_TYPE;
//¼DH_ALARM_NOGSMFIELD(ͨģ߻simû¼)ӦݿϢ
typedef struct tagALARM_NOGSMFIELD_INFO
{
	int								nAction;			// ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX 					UTC;				// ¼ʱ
	GSMFIELD_FAULT_TYPE			emFaultType;		// ͨѶ
}ALARM_NOGSMFIELD_INFO;
//¼DH_ALARM_MOTION_RECORD_ALARM(¼񱨾¼)ӦݿϢ
typedef struct tagALARM_MOTION_RECORD_INFO
{
    int								nAction;			// ¼,1ʾ¼ʼ,2ʾ¼;
    int                             nChannel;           // ͨ
    BOOL                            bMotionIsOpen;      // Ƿڶ״̬
    BOOL                            bRecordIsOpen;      // Ƿ¼״̬
    BYTE                			byReserved[512];    // ֽ 
}ALARM_MOTION_RECORD_INFO;

// ¼DH_ALARM_FACEINFO_COLLECT (Ϣ¼¼)ӦݿϢ
typedef struct tagALARM_FACEINFO_COLLECT_INFO
{
	
	int                             nAction;                   		// ¼,1ʾ¼ʼ,2ʾ¼;
    NET_TIME_EX			            stuTime;						// ¼ʱ
	double				            dbPTS;							// ʱ(λǺ)
	char							szUserID[DH_MAX_USERID_LEN];	// ûID
	BYTE                			byReserved[512];       			// ֽ    
} ALARM_FACEINFO_COLLECT_INFO;

// ¼DH_ALARM_HIGH_SPEED (ٱ¼)ӦݿϢ
typedef struct tagALARM_HIGH_SPEED_INFO
{
	int                             nAction;                   		// ¼,1ʾ¼ʼ,2ʾ¼;
    NET_TIME_EX			            stuTime;						// ¼ʱ
	double				            dbPTS;							// ʱ(λǺ)	
    NET_GPS_STATUS_INFO 			stGPSStatusInfo;                // GPSϢ
	int								nSpeedLimit;					// ֵkm/h
	int								nCurSpeed;						// ǰٶkm/h
	int								nMaxSpeed;					    // ٶKm/h
	NET_TIME_EX						stuStartTime;					// ʼʱ,nActionΪ2ʱϱֶ
	BYTE                			byReserved[472];       			// ֽ    
} ALARM_HIGH_SPEED_INFO;

// ¼DH_ALARM_VIDEO_LOSS (Ƶʧ¼)ӦݿϢ
typedef struct tagALARM_VIDEO_LOSS_INFO
{
	int                             nAction;                   		// ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;						// ͨ
	double				            dbPTS;							// ʱ(λǺ)	
	BYTE							byReserved1[4];					// ֽڶ
	NET_TIME_EX			            stuTime;						// ¼ʱ
	NET_TIME_EX						stuStartTime;					// ʼʱ,nActionΪ2ʱϱֶ
	NET_GPS_STATUS_INFO				stuGPS;							// GPSϢ
	BYTE                			byReserved[1024];       		// ֽ    
} ALARM_VIDEO_LOSS_INFO;

// ¼ DH_ALARM_SMARTHOME_GET_AUTHORIZED (ڻ֪ƽ̨ȡȨάϢ)ӦݿϢ
typedef	struct tagALARM_SMARTHOME_GET_AUTHORIZED
{	
	int								nAction;						// 0: 1:ʼ 2:ֹͣ
	NET_TIME_EX			            UTC;							// ¼ʱ
	char							byReserved[1024];				// Ԥֽ
}ALARM_SMARTHOME_GET_AUTHORIZED;


// ¼ DH_ALARM_SMARTHOME_UPDATE_SCENE	(ڻ֪ƽ̨ҪܼҾӳб)ӦݿϢ
typedef struct tagALARM_SMARTHOME_UPDATE_SCENE
{
	int								nAction;						// 0: 1:ʼ 2:ֹͣ
	NET_TIME_EX			            UTC;							// ¼ʱ
	char							byReserved[1024];				// Ԥֽ
}ALARM_SMARTHOME_UPDATE_SCENE;

// ASG 
typedef enum tagEM_ASG_ALARM_TYPE
{
	EM_ASG_ALARM_BREAK_UNKNOWN,										// δ֪
	EM_ASG_ALARM_BREAK_DOWN,										// 
	EM_ASG_ALARM_ANTI_DEMOLITION,									// 
	EM_ASG_ALARM_FOLLOW,											// β
	EM_ASG_ALARM_TIMEOUT,											// ʱ
	EM_ASG_ALARM_STAY,												// 
	EM_ASG_ALARM_FORCIBLY_OPEN,										// ǿдբ
	EM_ASG_ALARM_MISTAKENLY_ENTER,									// 
	EM_ASG_ALARM_REVERSE_ENTER,										// 洳
	EM_ASG_ALARM_CLIMB,												// Խ
}EM_ASG_ALARM_TYPE;


// ¼ DH_ALARM_ASG (ASG)ӦݿϢ
typedef struct tagALARM_ASG_INFO
{
	int								nAction;						// 0: 1:ʼ 2:ֹͣ
	int					            nChannelID;						// ͨ
	NET_TIME_EX			            UTC;							// ¼ʱ
	EM_ASG_ALARM_TYPE				emAlarmType;					// 
	char							byReserved[1024];				// Ԥֽ
}ALARM_ASG_INFO;

// ¼ DH_ALARM_ASGSTAY (բ¼) ӦݿϢ
typedef struct tagALARM_ASGSTAY_INFO
{
    int                             nAction;                        // 0: 1:ʼ 2:ֹͣ
    int                             nChannelID;                     // ͨ
    NET_TIME_EX                     UTC;                            // ¼ʱ
    char                            byReserved[1020];               // Ԥֽ
} ALARM_ASGSTAY_INFO;

// ¼ DH_ALARM_ASGFOLLOWING (բβ汨¼) ӦݿϢ
typedef struct tagALARM_ASGFOLLOWING_INFO
{
    int                             nAction;                        // 0: 1:ʼ 2:ֹͣ
    int                             nChannelID;                     // ͨ
    NET_TIME_EX                     UTC;                            // ¼ʱ
    char                            byReserved[1020];               // Ԥֽ
} ALARM_ASGFOLLOWING_INFO;

// ¼ DH_ALARM_ASGCLIMBOVER (բԽ¼) ӦݿϢ
typedef struct tagALARM_ASGCLIMBOVER_INFO
{
    int                             nAction;                        // 0: 1:ʼ 2:ֹͣ
    int                             nChannelID;                     // ͨ
    NET_TIME_EX                     UTC;                            // ¼ʱ
    char                            byReserved[1020];               // Ԥֽ
} ALARM_ASGCLIMBOVER_INFO;

// 
typedef enum tagEM_ASGBREAKDOWN_ALARM_TYPE
{
    EM_ASGBREAKDOWN_ALARM_TYPE_UNKNOWN,                             // δ֪
    EM_ASGBREAKDOWN_ALARM_TYPE_INFRARED,                            // 
    EM_ASGBREAKDOWN_ALARM_TYPE_COMMUNICATION,                       // ͨѶ
    EM_ASGBREAKDOWN_ALARM_TYPE_DOOR_WING,                           // 
} EM_ASGBREAKDOWN_ALARM_TYPE;

// ¼ DH_ALARM_ASGBREAKDOWN (բ¼) ӦݿϢ
typedef struct tagALARM_ASGBREAKDOWN_INFO
{
    int                             nAction;                        // 0: 1:ʼ 2:ֹͣ
    int                             nChannelID;                     // ͨ
    NET_TIME_EX                     UTC;                            // ¼ʱ
    EM_ASGBREAKDOWN_ALARM_TYPE      emAlarmType;                    // 
    char                            byReserved[1016];               // Ԥֽ
} ALARM_ASGBREAKDOWN_INFO;

#define  VTS_STATE_LONGNUMBER_LEN	24
// VTS
typedef enum tagVTS_STATE
{
    EM_VTS_STATE_UNKNOWN = 0	, 
	EM_VTS_STATE_BUSY			,								// "Busy" æµ
	EM_VTS_STATE_IDLE			,								// "Idle" 
}VTS_STATE;

// VTS״̬ϱ
typedef struct tagALARM_VTSTATE_UPDATE_INFO
{
	int					            nChannelID;						// ͨ
    NET_TIME			            stuTime;						// ¼ʱ
	VTS_STATE						emState;						// 豸Խ״̬
	char							szLongNum[VTS_STATE_LONGNUMBER_LEN];	// 
	BYTE                			byReserved[1024];   			// ֽ
} ALARM_VTSTATE_UPDATE_INFO;

// ¼DH_ALARM_VIDEO_TALK_PATH(Խ·¼)ӦݿϢ
typedef struct tagALARM_VIDEO_TALK_PATH_INFO
{
	int                             nAction;                   			// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					            nChannelID;							// ͨ
	double				            dbPTS;								// ʱ(λǺ)
    NET_TIME_EX			            stuTime;							// ¼ʱ
	char							szSrcDevID[DH_COMMON_STRING_128];	// Դ豸ΨһID(IDȡֵDevList)
	char							szDstDevID[DH_COMMON_STRING_128];	// Ŀ豸ΨһID(IDȡֵDevList)
	BYTE                			byReserved[1024];   				// ֽ							
} ALARM_VIDEO_TALK_PATH_INFO;


//¼(Ӧ¼ DH_EVENT_CROSSREGION_DETECTION)
typedef struct tagALARM_EVENT_CROSSREGION_INFO
{
    DWORD                           dwSize;    
    int					            nChannelID;						// ͨ
    double				            PTS;							// ʱ(λǺ)
    NET_TIME_EX			            UTC;							// ¼ʱ
	int					            nEventID;						// ¼ID
    int                             nEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

    NET_CROSSREGION_DIRECTION_INFO  emDirection;                    // ַ
    NET_CROSSREGION_ACTION_INFO     emActionType;                   // ⶯
    int                             nOccurrenceCount;               // 򱻴
    int                             nLevel;                         // ¼,GB30147
	char							szName[DH_COMMON_STRING_128];   // 
	BOOL							bIsObjectInfo;					// Ƿ⵽Ϣ
	DH_MSG_OBJECT			        stuObject;                      // ⵽Ϣ
	int								nRetObjectNum;						// ʵʷض⵽Ϣ 
	DH_MSG_OBJECT			        stuObjects[MAX_TARGET_OBJECT_NUM];  // ⵽Ϣ
}ALARM_EVENT_CROSSREGION_INFO;


//Ʒ¼(Ӧ¼ DH_EVENT_LEFT_DETECTION)
typedef struct tagALARM_EVENT_LEFT_INFO
{
    DWORD               dwSize;    
    int					nChannelID;						// ͨ
    double				PTS;							// ʱ(λǺ)
    NET_TIME_EX			UTC;							// ¼ʱ
    int					nEventID;						// ¼ID
    int                 nEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    
    int                 nOccurrenceCount;               // 򱻴
    int                 nLevel;                         // ¼,GB30147
	short				nPreserID;						// ¼Ԥõţ1ʼûбʾδ֪
	char				szPresetName[64];				// ¼Ԥ
}ALARM_EVENT_LEFT_INFO;

//¼(Ӧ¼ DH_EVENT_FACE_DETECTION)
typedef struct tagALARM_EVENT_FACE_INFO
{
    DWORD               dwSize;    
    int					nChannelID;						// ͨ
    double				PTS;							// ʱ(λǺ)
    NET_TIME_EX			UTC;							// ¼ʱ
    int					nEventID;						// ¼ID
    int                 nEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
}ALARM_EVENT_FACE_INFO;

   
//IPC,IPCͨDVRNVRϱıر(Ӧ¼ DH_ALARM_IPC)
typedef struct tagALARM_IPC_INFO
{
    DWORD               dwSize;    
    int					nChannelID;						// ͨ
    int                 nEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX			UTC;							// ¼ʱ
	char				szName[MAX_ALARM_CHANNEL_NAME_LEN];	// ͨ 
}ALARM_IPC_INFO;


// NASļ
typedef enum tagNASFILE_STATUS_TYPE
{
	EM_NASFILE_STATUS_TYPE_UNKNOW,
    EM_NASFILE_STATUS_TYPE_COPY,   //
    EM_NASFILE_STATUS_TYPE_MOVE,   //ƶ
}NASFILE_STATUS_TYPE;

// NASļ״̬
typedef enum tagNASFILE_STATUS_STATE
{
	EM_NASFILE_STATUS_STATE_UNKNOW,
    EM_NASFILE_STATUS_STATE_FAILED,    	 //ʧ
    EM_NASFILE_STATUS_STATE_SUCCESSED,   //ɹ
}NASFILE_STATUS_STATE;


// NASļ״̬¼(Ӧ¼ DH_ALARM_NASFILE_STATUS)
typedef struct tagALARM_NASFILE_STATUS_INFO
{
	double						dbPTS;															// ʱ(λǺ)
	NET_TIME_EX					stuTime;														// ¼ʱ
	NASFILE_STATUS_STATE		emTaskState;													// ״̬
	char						szTaskID[DH_COMMON_STRING_128];									// ID
	NASFILE_STATUS_TYPE			emTaskType;														// ļ
	int							nSrcNum;														// Դļ()
    char						szSrcList[MAX_NASFILE_NUM][DH_COMMON_STRING_128];				// Դļ()б               
	char                        szDstPath[DH_COMMON_STRING_128];								// Ŀ·
    int							nProgress;														// 
    BYTE                		byReserved[1028];												// ֽ
} ALARM_NASFILE_STATUS_INFO;

// 豸ȡ¼(Ӧ¼ DH_ALARM_TALKING_CANCELCALL)
typedef struct tagALARM_TALKING_CANCELCALL_INFO
{
    NET_TIME_EX					stuTime;														// ¼ʱ
    char                        szCallID[DH_COMMON_STRING_32];                                  // ID                   
}ALARM_TALKING_CANCELCALL_INFO;

// Ⱥܶȼ¼(Ӧ¼ DH_ALARM_CROWD_DETECTION)
typedef struct tagALARM_CROWD_DETECTION_INFO
{ 
	int					  nChannelID;							// ͨ
	int					  nEventID;								// ¼ID
	double				  PTS;									// ʱ(λǺ)
	NET_TIME_EX			  UTC;									// ¼ʱ
	int                   nEventAction;							// ¼,1ʾ¼ʼ,2ʾ¼;
	EM_ALARM_TYPE		  emAlarmType;							// ҵ
	char				  szName[MAX_CROWD_DETECTION_NAME_LEN];	// ¼
	int					  nCrowdListNum;						// صȫӵȺܶб 
	int					  nRegionListNum;						// ص޵ıIDб 
	NET_CROWD_LIST_INFO	  stuCrowdList[MAX_CROWD_LIST_NUM];		// ȫӵȺܶбϢ
	NET_REGION_LIST_INFO  stuRegionList[MAX_REGION_LIST_NUM];	// ޵ıIDбϢ
	NET_EXTENSION_INFO    stuExtensionInfo;				        // չϢ
	BYTE				  byReserved[896];						// չֽ
}ALARM_CROWD_DETECTION_INFO;

// 
typedef enum tagEM_ABSTRACT_STATE
{
	EM_ABSTRACT_UNKNOWN,		// δ֪
	EM_ABSTRACT_SUCCESS,		// ؽɹ
	EM_ABSTRACT_FALSE,			// ؽʧ
	EM_ABSTRACT_PROCESS,		// ؽ(GroupID)
} EM_ABSTRACT_STATE;


//ģʧܴ
typedef enum tagEM_FEATURE_ERROR_CODE
{
	EM_FEATURE_ERROR_SUCCESS,			                // ɹ
	EM_FEATURE_ERROR_UNKNOWN,			                // δ֪
	EM_FEATURE_ERROR_IMAGE_FORMAT_ERROR,			    // ͼƬʽ
	EM_FEATURE_ERROR_NOFACE_OR_NOTCLEAR,		        // 򲻹 
	EM_FEATURE_ERROR_MULT_FACES,	            		//  
	EM_FEATURE_ERROR_IMAGH_DECODE_FAILED,		    	// ͼƬʧ 
	EM_FEATURE_ERROR_NOT_SUGGEST_STORAGE,		        // Ƽ 
	EM_FEATURE_ERROR_DATABASE_OPERATE_FAILED,			// ݿʧ 
	EM_FEATURE_ERROR_GET_IMAGE_FAILED,			        // ȡͼƬʧ 
	EM_FEATURE_ERROR_SYSTEM_EXCEPTION,		            // ϵͳ쳣LicenceʧЧģδµʧܣ
}EM_FEATURE_ERROR_CODE;


// ؽϢ
typedef struct tagFACE_FEATURE_ABSTRACT_INFO
{
	EM_ABSTRACT_STATE			emAbstractState;						// 
	int							nProcess;								// Աؽ,ٷֱ
	char						szUID[DH_MAX_PERSON_ID_LEN];			// ؽɵԱ, IVSS֧
	char						szGroupId[DH_COMMON_STRING_64]; 		// ؽɵԱID, IPC֧
	UINT						nSucceedCnt;							// Ա齨ģɹĸIPC֧
	UINT						nFailedCnt;								// Ա齨ģʧܵĸIPC֧
	EM_FEATURE_ERROR_CODE		emFeatureError;							// ģʧܼ¼Ĵԭ(FailedCnt0ʱЧ)IPC֧
	BYTE						byReserved[500];						// չֽ
} FACE_FEATURE_ABSTRACT_INFO;

// ؽ¼(Ӧ¼DH_ALARM_FACE_FEATURE_ABSTRACT)
typedef struct tagALARM_FACE_FEATURE_ABSTRACT_INFO
{
	int					  		nEventID;								// ¼ID
	NET_TIME_EX			  		UTC;									// ¼ʱ
	double				  		PTS;									// ʱ(λǺ)
	BYTE						byReserved1[4];							// ֽڶ
	int							nRetAbstractInfo;						// ʵʷصؽ
	FACE_FEATURE_ABSTRACT_INFO	stuAbstractInfo[MAX_ABSTRACT_INFO_NUM];	// ؽ
	BYTE				  		byReserved[512];						// չֽ
} ALARM_FACE_FEATURE_ABSTRACT_INFO;

// ¼ƻı¼(Ӧ¼ DH_ALARM_RECORD_SCHEDULE_CHANGE)
typedef struct tagALARM_RECORD_SCHEDULE_CHANGE_INFO 
{
	int						nChannelID;								// ͨ
	int						nEventID;								// ¼ID
	double					dbPTS;									// ʱ(λǺ)
	NET_TIME_EX				stuTime;								// ¼ʱ					
	int						nEventAction;							// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

	char					szUser[DH_COMMON_STRING_128];			// û
	BYTE					byReserved[1024];						// ֽ
} ALARM_RECORD_SCHEDULE_CHANGE_INFO;

// NTP޸¼(Ӧ¼ DH_ALARM_NTP_CHANGE)
typedef struct tagALARM_NTP_CHANGE_INFO 
{
	int						nEventID;								// ¼ID
	int						nEventAction;							// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	double					dbPTS;									// ʱ(λǺ)
	NET_TIME_EX				stuTime;								// ¼ʱ		
	char					szUser[DH_COMMON_STRING_128];			// û
	BYTE					byReserved[1028];						// չֽ
} ALARM_NTP_CHANGE_INFO;

//Raidͬ״̬
typedef enum tagEM_RAID_SYNC_STATE
{
	EM_RAID_SYNC_STATE_UNKNOWN = -1,                                // δ֪
	EM_RAID_SYNC_STATE_SELFADAPTION,                                // Ӧ(Ĭֵ)
	EM_RAID_SYNC_STATE_SYNCPRIORITY,                                // ͬȣI/OȷָRaidͬ
	EM_RAID_SYNC_STATE_BUSINESSPRIORITY,                            // ҵȣI/OȷָӲд
	EM_RAID_SYNC_STATE_EQUILIBRIUM,                                 // 
}EM_RAID_SYNC_STATE;

//ӲSmartϢ
typedef struct tagNET_HDDSMART_INFO
{
	int                             nID;                            // ID
	int                             nCurrent;                       // ֵ
	char                            szName[DH_COMMON_STRING_64];    // 	
	int                             nWorst;                         // ֵ
	int                             nThreshold;                     // ֵ
	char                            szRaw[DH_COMMON_STRING_32];     // ʵֵ,֣ܲҪַ
	int                             nPredict;                       // ״̬,Ӳ״̬Ԥֵ,ʵ
	EM_RAID_SYNC_STATE              emSync;                         // Raidͬ״̬
	BYTE                			byReserved[512];       			// ֽ 
}NET_HDDSMART_INFO;

//Ӳ¶ȱ¼( DH_ALARM_HDD_TEMPERATUREALARM )
typedef struct tagALARM_HDD_TEMPERATUREALARM_INFO
{
	int                             nAction;                   		// ¼1:Start 2:Stop
	int                             nTemperature;                   // Ӳ̵ǰ¶ֵ
	NET_TIME_EX			            stuTime;						// ¼ʱ
	char                 			szHDDName[DH_COMMON_STRING_64];	// Ӳ
	NET_HDDSMART_INFO               stuHDDSmartInfo;                // ӲSmartϢ
	BYTE                			byReserved[512];       			// ֽ 
}ALARM_HDD_TEMPERATUREALARM_INFO;

//Ӳ𶯱¼( DH_ALARM_HDD_SHAKEALARM )
typedef struct tagALARM_HDD_SHAKEALARM_INFO
{
	int                             nAction;                   		// ¼1:Start 2:Stop
	NET_TIME_EX			            stuTime;						// ¼ʱ
	char                 			szHDDName[DH_COMMON_STRING_64];	// Ӳ
	NET_HDDSMART_INFO               stuHDDSmartInfo;                // ӲSmartϢ
	BYTE                			byReserved[512];       			// ֽ 
}ALARM_HDD_SHAKEALARM_INFO;

//Ѳ״̬
typedef	enum tagEM_PATROL_STATUS
{
	EM_PATROL_STATUS_UNKNOWN,										//δ֪
	EM_PATROL_STATUS_START,											//Ѳʼ	
	EM_PATROL_STATUS_END,											//Ѳ
	EM_PATROL_STATUS_FAIL,											//Ѳʧ
}EM_PATROL_STATUS;

//δѲ¼( DH_ALARM_PATROL_STATUS )
typedef struct tagALARM_PATROL_STATUS_INFO
{
	NET_TIME_EX			            stuTime;						//¼ʱ
	EM_PATROL_STATUS				emPatrolStatus;					//Ѳ״̬
	BYTE                			byReserved[512];				//ֽ
}ALARM_PATROL_STATUS_INFO;

//ʽ
typedef enum tagEM_AREAARM_TRIGGERMODE
{
	EM_AREAARM_TRIGGERMODE_UNKNOWN,           // δ֪
	EM_AREAARM_TRIGGERMODE_KEYPAD,            // 
	EM_AREAARM_TRIGGERMODE_REMOTECONTROL,     // ң
	EM_AREAARM_TRIGGERMODE_USER,              // û
	EM_AREAARM_TRIGGERMODE_LOCAL,             // 
}EM_AREAARM_TRIGGERMODE;

//û
typedef enum tagEM_AREAARM_USER
{
	EM_AREAARM_USER_UNKNOWN,           // δ֪
	EM_AREAARM_USER_SUPERVISOR,        // û
	EM_AREAARM_USER_MANAGER,           // û
	EM_AREAARM_USER_MASTER,            // û
	EM_AREAARM_USER_USER,              // ͨû
	EM_AREAARM_USER_TEMPORARY,         // ʱû
	EM_AREAARM_USER_DURESS,            // вû
	EM_AREAARM_USER_PATROL,            // Ѳû
}EM_AREAARM_USER;

// ״̬
typedef enum tagEM_ARM_STATE
{
	EM_ARM_STATE_UNKNOWN,           		// δ֪
	EM_ARM_STATE_TOTAL_ARMING,              // Total
	EM_ARM_STATE_PARTIAL1_ARMING,           // partial1
	EM_ARM_STATE_PARTIAL2_ARMING,           // partial2
	EM_ARM_STATE_PARTIAL1_PARTIAL2_ARMING,  // partial1+2
	EM_ARM_STATE_FORCEARMING,               // ǿƲ
	EM_ARM_STATE_DISARMING,                 // 
}EM_ARM_STATE;

//ģʽı¼(Ӧ¼ DH_ALARM_AREAARM_MODECHANGE)
typedef struct tagALARM_AREAARM_MODECHANGE_INFO
{ 
	int                       nAreaIndex;                           // 
	int					      nEventID;								// ¼ID
	NET_TIME_EX			      UTC;									// ¼ʱ
	EM_AREAARM_TRIGGERMODE    emTriggerMode;                        // ʽ
	EM_AREAARM_USER           emUser;                               /* û
	emTriggerMode = EM_AREAARM_USER_USERʱЧ*/
	UINT                      nID;									/* ID,emTriggerMode = EM_AREAARM_TRIGGERMODE_KEYPAD
	ʾ̵ַ;emTriggerMode =EM_AREAARM_TRIGGERMODE_REMOTECONTROLʱʾң*/
	EM_ARM_STATE              emArmState;                           // ״̬
	BYTE				      byReserved[1024];						// չֽ
}ALARM_AREAARM_MODECHANGE_INFO;

// ģ
typedef enum tagEM_LOSTMODULE_TYPE
{
	EM_LOSTMODULE_TYPE_UNKNOWN,           		   // δ֪
	EM_LOSTMODULE_TYPE_WIRED,                      // չģ
	EM_LOSTMODULE_TYPE_WIRELESS,                   // 
}EM_LOSTMODULE_TYPE;

#define MAX_ZONE_NUMBER      72   //         

//ģ¼(Ӧ¼ DH_ALARM_ZONEMODULELOST)
typedef struct tagALARM_ZONEMODULE_LOST_INFO
{ 
	EM_LOSTMODULE_TYPE        emType;                               // ģ
	int					      nEventID;								// ¼ID
	NET_TIME_EX			      UTC;									// ¼ʱ
	int                       nZones;                               // ڴģķ
	int                       arrZones[MAX_ZONE_NUMBER];   			// ڴĳķ
	bool                      bOnLine;                              // ״̬,false: true:
	BYTE                      byReserved1[3];                       // ֽڶ
 	BYTE				      byReserved[1024];						// չֽ
}ALARM_ZONEMODULE_LOST_INFO;

// 
typedef enum tagEM_DEFENCE_AREA_TYPE
{
	EM_DEFENCE_AREA_TYPE_UNKNOWN,       // δ֪
	EM_DEFENCE_AREA_TYPE_INTIME,        // 
	EM_DEFENCE_AREA_TYPE_DELAY,         // ʱ
	EM_DEFENCE_AREA_TYPE_DELAY2,        // ʱ2
	EM_DEFENCE_AREA_TYPE_FOLLOW,        // 
	EM_DEFENCE_AREA_TYPE_EXITEND,       // ˳
	EM_DEFENCE_AREA_TYPE_FULLDAY,       // 24Сʱ
	EM_DEFENCE_AREA_TYPE_FIRE,          // 𾯷
	EM_DEFENCE_AREA_TYPE_PANIC,         // ֻŷ
	EM_DEFENCE_AREA_TYPE_ROBBERY,       // ˾
	EM_DEFENCE_AREA_TYPE_MEDICAL,       // ҽƽ
	EM_DEFENCE_AREA_TYPE_KEY,           // key
}EM_DEFENCE_AREA_TYPE;

//򱨾
typedef enum tagEM_AREAALARM_TRIGGER_TYPE
{
	EM_AREAALARM_TRIGGER_TYPE_UNKNOWN,   //δ֪
	EM_AREAALARM_TRIGGER_TYPE_ALARM,     // ͨ
	EM_AREAALARM_TRIGGER_TYPE_TAMPER,    // ͨ
	EM_AREAALARM_TRIGGER_TYPE_MASK,      // ͨڵ
	EM_AREAALARM_TRIGGER_TYPE_SHORT,     // ͨ
}EM_AREAALARM_TRIGGER_TYPE;

//򱨾¼(Ӧ¼ DH_ALARM_AREAALARM)
typedef struct tagALARM_AREAALARM_INFO
{ 
	int                       nAreaIndex;                           // 
	int					      nEventID;								// ¼ID
	NET_TIME_EX			      UTC;									// ¼ʱ
	char                      szName[128];                          // 
	EM_DEFENCE_AREA_TYPE      emDefenceAreaType;                    // 
	int                       nIndex;                               // ͨ
	EM_AREAALARM_TRIGGER_TYPE emTrigerType;                         // 
 	BYTE				      byReserved[1024];						// չֽ
}ALARM_AREAALARM_INFO;

#define MAX_AREA_NUMBER   8     //area

//¼(Ӧ¼ DH_ALARM_ZONEOPEN)
typedef struct tagALARM_ZONEOPEN_INFO
{ 	
	int                       nAction;               // ¼1:Start 2:Stop
	int					      nEventID;				 // ¼ID
	NET_TIME_EX			      UTC;					 // ¼ʱ
	char                      szName[128];           // 
	int                       nAreaNum;              // 
	int                       arrAreas[MAX_AREA_NUMBER]; //
	int                       nChannelID;            // 
 	BYTE				      byReserved[1024];		 // չֽ
}ALARM_ZONEOPEN_INFO;

//¼(Ӧ¼ DH_ALARM_SYSTEMTAMPER)
typedef struct tagALARM_SYSTEMTAMPER_INFO
{ 	
	int                       nAction;               // ¼1:Start 2:Stop
	int					      nEventID;				 // ¼ID
	NET_TIME_EX			      UTC;					 // ¼ʱ
 	BYTE				      byReserved[1024];		 // չֽ
}ALARM_SYSTEMTAMPER_INFO;

// ֤ȶ¼(Ӧ¼ DH_ALARM_CITIZEN_PICTURE_COMPARE)
typedef struct tagALARM_CITIZEN_PICTURE_COMPARE_INFO 
{
	int						nChannelID;								// ͨ
	int						nEventID;								// ¼ID
	NET_TIME_EX				stuTime;								// ¼ʱ					
	BOOL                	bCompareResult;                     	// ֤ȶԽ,ƶȴڵֵΪȶԳɹ,trueʾɹ,falseʾʧ
    BYTE                	nSimilarity;                        	// ͼƬƶ,λٷֱ,Χ[1,100]
    BYTE                	nThreshold;                         	// ֵ,Χ[1,100]
    BYTE                	byReserved1[2];                      	// ֽڶ
    EM_CITIZENIDCARD_SEX_TYPE emSex;                        		// Ա
    int                 	nEthnicity;                         	// (DEV_EVENT_ALARM_CITIZENIDCARD_INFOnEthnicity)
    char                	szCitizen[DH_COMMON_STRING_64];    		//     
    char                	szAddress[DH_COMMON_STRING_256];    	// סַ
    char                	szNumber[DH_COMMON_STRING_64];          // ֤
    char                    szAuthority[DH_COMMON_STRING_256];      // ǩ
    NET_TIME            	stuBirth;                               // ()
    NET_TIME            	stuValidityStart;                   	// Чʼ()
    BOOL               		bLongTimeValidFlag;                 	// ֵΪ TRUE, ֹ ʾЧ,ʱ stuValidityEnd ֵ
																	// ֵΪ FALSE, ʱ ֹ 鿴 stuValidityEnd ֵ
    NET_TIME            	stuValidityEnd;                     	// Ч޽()
	char                	szCardNo[DH_COMMON_STRING_32];      	// IC
	char                	szCellPhone[DH_COMMON_STRING_32];   	// ֻţȶʱֻţ
	UINT					nEventType;								// ¼ͣ0֤ȶԽ	1֤ɼ
	char					szUserID[32];							// ֤ɼʱԱIDƣ
	BYTE					byReserved[988];						// ֽ
} ALARM_CITIZEN_PICTURE_COMPARE_INFO;

//Ӳ̽״¼( DH_ALARM_HDD_HEALTHALARM )
typedef struct tagALARM_HDD_HEALTHALARM_INFO
{
	int                             nAction;                   		// ¼1:Start 2:Stop
	NET_TIME_EX			            stuTime;						// ¼ʱ
	char                 			szHDDName[DH_COMMON_STRING_64];	// Ӳ
	NET_HDDSMART_INFO               stuHDDSmartInfo;                // ӲSmartϢ
	BYTE                			byReserved[512];       			// ֽ 
}ALARM_HDD_HEALTHALARM_INFO;

// ǰĿ¼л¼( DH_ALARM_STORAGE_WORKDIRECTORY_SWITCH )
typedef struct tagALARM_STORAGE_WORKDIRECTORY_SWITCH_INFO
{
	NET_TIME_EX			            stuTime;						// ¼ʱ
	char                            szGroup[DH_COMMON_STRING_64];   // Ŀ¼ڹ
}ALARM_STORAGE_WORKDIRECTORY_SWITCH_INFO;

//龰״̬
typedef struct tagHOMESCENE_STATE_INFO
{
	char 							szName[128];					//龰
	BOOL							bOnline;						//״̬
	BYTE							byReserved[512];				//ֽ
}HOMESCENE_STATE_INFO;
//ܼҾ龰ģʽ仯֪ͨ¼(DH_ALARM_HOMESCENE_CHANGE)
typedef struct tagALARM_HOMESCENE_CHANGE_INFO
{
	char							szSceneID[32];					//龰
	HOMESCENE_STATE_INFO			stuState;						//龰״̬
	BYTE							byReserved[512];				//ֽ
}ALARM_HOMESCENE_CHANGE_INFO;

// 嶯
typedef enum tagEM_BOARDHOTPLUG_ACTION
{
	EM_BOARDHOTPLUG_ACTION_UNKNOWN,									// δ֪
	EM_BOARDHOTPLUG_ACTION_ADD,										// 
	EM_BOARDHOTPLUG_ACTION_REMOVE,									// γ
}EM_BOARDHOTPLUG_ACTION;



//˫豸Ȳ¼(DH_ALARM_DEVBOARDHOTPLUG)		
typedef struct tagALARM_DEVBOARDHOTPLUG_INFO
{
	NET_TIME_EX			            stuTime;						// ¼ʱ
	EM_BOARDHOTPLUG_ACTION			emBoardAction;					// 嶯
	int								nBoardSlot;						// εĹ忨
	BYTE                			byReserved[512];       			// ֽ 
}ALARM_DEVBOARDHOTPLUG_INFO;

//Υ¼¼ (DH_ALARM_TRAFFIC_LINKAGEALARM)		
typedef struct tagALARM_TRAFFIC_LINKAGEALARM_INFO
{
	NET_TIME_EX			            stuTime;						// ¼ʱ
	char							szCode[DH_COMMON_STRING_32];	// Υ¼
	BYTE                			byReserved[1024];       		// ֽ 
}ALARM_TRAFFIC_LINKAGEALARM_INFO;
// ͬῪر¼ (DH_ALARM_COAXIAL_ALARM_LOCAL)
typedef struct tagALARM_COAXIAL_ALARM_LOCAL_INFO
{
	int								nAction;						// ¼1:Start 2:Stop
	NET_TIME_EX						UTC;							// ¼ʱ
	
	int								nAlarmChannel;					// ͨ
	NET_SENSE_METHOD				emSenseMethod;					// 
	char							szName[MAX_COMMON_STRING_64];	// ͨ
	int								nChannelID;						// Ƶͨ
	BYTE                			byReserved[1020];       		// ֽ 
} ALARM_COAXIAL_ALARM_LOCAL_INFO;

// NASļɾ¼( DH_ALARM_NAS_FILE_REMOVE_STATUS )
typedef struct tagALARM_NAS_FILE_REMOVE_STATUS_INFO 
{
	int						nEventID;								// ¼ID
	int						nAction;								// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	double					dbPTS;									// ʱ(λǺ)
	NET_TIME_EX				stuTime;								// ¼ʱ					
	
	NASFILE_STATUS_STATE	emStatus;								// ״̬
	char					szID[MAX_COMMON_STRING_128];			// ID
	UINT					nProgress;								// : 0 ~ 100
	BYTE					byReserved[1028];						// չֽ
} ALARM_NAS_FILE_REMOVE_STATUS_INFO;
// 豸װAPK¼( DH_ALARM_NAS_APK_INSTALL_REQUEST )
typedef struct tagALARM_NAS_APK_INSTALL_REQUEST_INFO 
{
	DWORD					dwSize;
	char					szApkPath[MAX_COMMON_STRING_128];		// װļ·
} ALARM_NAS_APK_INSTALL_REQUEST_INFO;
// APKװ״̬
typedef enum tagEM_NAS_APK_INSTALL_STATUS
{
	EM_NAS_APK_INSTALL_STATUS_UNKNOWN,								// δ֪
	EM_NAS_APK_INSTALL_STATUS_FAILED,								// ʧ
	EM_NAS_APK_INSTALL_STATUS_SUCCEED,								// ɹ
	EM_NAS_APK_INSTALL_STATUS_INSTALLING,							// װ
} EM_NAS_APK_INSTALL_STATUS;

// 豸װAPK״̬¼( DH_ALARM_NAS_APK_INSTALL_STATUS )
typedef struct tagALARM_NAS_APK_INSTALL_STATUS_INFO 
{
	int							nEventID;							// ¼ID
	int							nAction;							// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	double						dbPTS;								// ʱ(λǺ)
	NET_TIME_EX					stuTime;							// ¼ʱ					
	
	EM_NAS_APK_INSTALL_STATUS	emStatus;							// ״̬
	char						szApkPath[MAX_COMMON_STRING_128];	// װļ·
	UINT						nProgress;							// : 0 ~ 100
	BYTE						byReserved[1028];					// չֽ
} ALARM_NAS_APK_INSTALL_STATUS_INFO;

// ļѹѹ
typedef enum tagEM_FILE_COMPRESS_TYPE
{
	EM_FILE_COMPRESS_TYPE_UNKNOWN,									// δ֪
	EM_FILE_COMPRESS_TYPE_COMPRESS,									// ѹļ, ӦṹpInParam = NET_IN_COMPRESS_FILE,pOutParam = NET_OUT_COMPRESS_FILE
	EM_FILE_COMPRESS_TYPE_DECOMPRESS,								// ѹļ, ӦṹpInParam = NET_IN_DECOMPRESS_FILE,pOutParam = NET_OUT_DECOMPRESS_FILE
} EM_FILE_COMPRESS_TYPE;

// ļѹѹ״̬
typedef enum tagEM_FILE_COMPRESS_STATUS 
{
	EM_FILE_COMPRESS_STATUS_UNKNOWN,								// δ֪
	EM_FILE_COMPRESS_STATUS_FAILED,									// ʧ
	EM_FILE_COMPRESS_STATUS_SUCCEED,								// ɹ
	EM_FILE_COMPRESS_STATUS_NEED_PWD,								// Ҫ
	EM_FILE_COMPRESS_STATUS_WRONG_PWD,								// 
	EM_FILE_COMPRESS_STATUS_NO_FILE,								// ޷ҵļ
} EM_FILE_COMPRESS_STATUS ;

// ļѹѹ¼( DH_ALARM_FILE_COMPRESS_STATUS )
typedef struct tagALARM_FILE_COMPRESS_STATUS_INFO 
{
	int						nEventID;								// ¼ID
	int						nAction;								// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	double					dbPTS;									// ʱ(λǺ)
	NET_TIME_EX				stuTime;								// ¼ʱ					
	
	char					szID[MAX_COMMON_STRING_128];			// ID
	EM_FILE_COMPRESS_TYPE	emType;									// 
	int						nSrcNum;								// Դļ()
	char					szSrcList[MAX_NASFILE_NUM][MAX_COMMON_STRING_128];		// Դļ()б
	char					szDstPath[MAX_COMMON_STRING_128];		// Ŀ·
	EM_FILE_COMPRESS_STATUS	emStatus;								// ״̬
	UINT					nProgress;								// : 0 ~ 100
	BYTE					byReserved[1024];						// չֽ
} ALARM_FILE_COMPRESS_STATUS_INFO;

// İ˱¼Ϣ( DH_ALARM_STRANGER_ALARM )
typedef struct tagALARM_STRANGER_ALARM_INFO
{
	int						nChannelID;						// رͨ
	int						nEventID;						// ¼ID
	int						nAction;						// ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX				UTC;							// ¼ʱ
	BYTE					byReserved[1024];				// Ԥֽ
}ALARM_STRANGER_ALARM_INFO;

// άϱ¼Ϣ( DH_ALARM_QR_CODE_CHECK )
typedef struct tagALARM_QR_CODE_CHECK_INFO
{
	int						nEventID;						// ¼ID
	NET_TIME_EX		        UTC;							// ¼ʱ
	double					dbPTS;							// ʱ(λǺ)
	char                    szQRCode[256];                  // άַ
	BYTE					byReserved[1024];	            // Ԥֽ
}ALARM_QR_CODE_CHECK_INFO;

// ģʽ
typedef enum tagEM_LOCK_MODE
{
	EM_MODE_UNKNOWN =  -1,						            // δ֪
	EM_MODE_NORMAL =  0,							        // ģʽ
	EM_MODE_CHANNEL =  1,								    // ͨģʽ(ֱӿԿ)
	EM_MODE_UNDISTURBED = 2,						        // ģʽ(Ὺʾ)
} EM_LOCK_MODE ;

// ģʽ¼Ϣ( DH_ALARM_ACCESS_CTL_LOCK_MODE  )
typedef struct tagALARM_ACCESS_CTL_LOCK_MODE_INFO
{
	int                     nEventID;                       // ¼ID
	NET_TIME_EX	            UTC;					        // ¼ʱ
	double				    dbPTS;					        // ʱ(λǺ)
	char                    szSN[32];                       // 豸к
	EM_LOCK_MODE		    emLockMode;                     // ģʽ
	BYTE					byReserved[1020];		        // ֽ
}ALARM_ACCESS_CTL_LOCK_MODE_INFO;

// Ű¼Ϣ( DH_ALARM_LOCK_ROOM_NUM_BIND )
typedef struct tagALARM_LOCK_ROOM_NUM_BIND_INFO
{
	int                     nEventID;                       // ¼ID
	NET_TIME_EX             UTC;                            // ¼ʱ
	double                  dbPTS;                          // ʱ(λǺ)
	char                    szSN[32];                       // 豸к
    char                    szName[64];                     // ţֶѷ
    UINT                   nTaskID;                        // ID
	char                    szRoomNo[64];                   // 
	BYTE                    byReserved[956];                // Ԥֽ
}ALARM_LOCK_ROOM_NUM_BIND_INFO;

// ڼ¼Ϣ(DH_ALARM_LEAVE_DETECTION)
typedef struct tagALARM_LEAVE_DETECTION_INFO
{
	int						nChannelID;						// ͨ
	int						nAction;						// ¼,0ʾ¼1ʾ¼ʼ2ʾ¼
	NET_TIME_EX				UTC;							// ¼ʱ
	BYTE					byReserved[1024];				// Ԥֽ
}ALARM_LEAVE_DETECTION_INFO;

// Ϣ
typedef struct tagALARM_LANE_INFO
{
	UINT		nQueueLen;				// Ŷӳȣλ
	UINT		nLane;					// ţ0ʼ01234
	UINT		nUserDefinedLaneNumber;	// ûԶ峵
	BYTE		byReserved[256];		// Ԥֽ
}ALARM_LANE_INFO;

// ݽͨŶӳ¼DH_ALARM_TRAFFICGZJJ_QUEUE_LEN
typedef struct tagALARM_TRAFFICGZJJ_QUEUE_LEN_INFO
{
	int						nChannelID;		// ͨ
	int						nAction;		// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	double                  dbPTS;          // ʱ(λǺ)
	NET_TIME_EX             UTC;            // ¼ʱ
	int						nEventID;		// ¼ID

	UINT					nPeriodByMs;	//  ϱλ
	ALARM_LANE_INFO			stuAlarmLane[5];	//  Ϣ
	BYTE					byReserved[1024];// Ԥֽ
} ALARM_TRAFFICGZJJ_QUEUE_LEN_INFO;

// 
typedef enum _EM_NET_CARTYPE
{
	NET_CARTYPE_UNKNOW = 0,           // δ֪
	NET_CARTYPE_PASSENGERCAR,         // ͳ
	NET_CARTYPE_LARGETRUCK,           // 
	NET_CARTYPE_MIDTRUCK,             // л
	NET_CARTYPE_SALOONCAR,            // γ
	NET_CARTYPE_MICROBUS,             // 
	NET_CARTYPE_MICROTRUCK,           // С
	NET_CARTYPE_TRICYCLE,             // ֳ
	NET_CARTYPE_MOTOR,                // Ħг
	NET_CARTYPE_PASSERBY,             // 
	NET_CARTYPE_SUVMPV,               // SUV-MPV
	NET_CARTYPE_MIDPASSENGERCAR,      // пͳ
	NET_CARTYPE_TANKCAR,              // ΣƷ(⳵)
	NET_CARTYPE_SUV,                  // SUV
	NET_CARTYPE_MPV,                  // MPV
	NET_CARTYPE_BUS,                  // 
	NET_CARTYPE_PICKUP,               // Ƥ
	NET_CARTYPE_MINICARRIAGE,         // ΢ͳ
	NET_CARTYPE_OILTANKTRUCK,         // ͹޳(⳵)
	NET_CARTYPE_SLOTTANKCAR,          // ۹޳(⳵)
	NET_CARTYPE_RESERVED1,            // 1(⳵)
	NET_CARTYPE_DREGSCAR,             // (⳵)
	NET_CARTYPE_CONCRETEMIXERTRUCK,   // 賵(⳵)
	NET_CARTYPE_TAXI,				 // ⳵(⳵)
	NET_CARTYPE_POLICE,				 // (⳵)
	NET_CARTYPE_AMBULANCE,            // Ȼ(⳵)
	NET_CARTYPE_GENERAL,				 // ͨ(⳵)
	NET_CARTYPE_WATERINGCAR,			 // ˮ(⳵)
	NET_CARTYPE_RESERVED2,            // 2(⳵)
	NET_CARTYPE_FIREENGINE,			 // (⳵)
	NET_CARTYPE_TRACTOR,				 // (⳵)
	NET_CARTYPE_MACHINESHOPTRUCK,	 // ̳(⳵)
	NET_CARTYPE_POWERLOTVEHICLE,		 // ϳ(⳵)
	NET_CARTYPE_SUCTIONSEWAGETRUCK,   // ۳(⳵)
	NET_CARTYPE_NORMALVEHICLETANKTRUCK,	// ͨ޳(⳵) 
	NET_CARTYPE_TWOCYCLE,             // ֳ
} EM_NET_CARTYPE;

// ȦϢҪĳϢ
typedef struct tagCOILS_INFO
{
	UINT					nCarId;			//  IdǳƺţID豸⵽¼ı)
	char					PlateNum[64];	//  ƺ
	EM_NET_CARTYPE			emCarType;		//  
	BYTE					byReserved[1024];// Ԥֽ
} COILS_INFO;

// Ϣ
typedef struct tagLANE_INFO
{
	UINT					nLane;					// ţΧ0~4
	int						nLaneType;				// ͣ߳0 ʵ߳1
	double					dbLaneOcc;				// ռռ,Χ[0.0~1.0]
	UINT					nRoadwayNumber;			// Զ峵ţΧ0~128
	int						nCurrentLaneVehicleNum;	// ǰ
	int						nVehicleNum;			// ϴͳƽڣͨ(豸0.5·һ)
	UINT					nCarId;					// ЧIDǳƺţCarId豸⵽¼ı
	double					dbCarEnterTime;			// CarId߳ʱ
	double					dbCarLeaveTime;			// CarId뿪ʵ߳ʱ
	UINT					nCarDistance;			// CarIdʻľ룬λ
	int						nQueueLen;				// ȴʱŶӳȣλ
	double					dbCarSpeed;				// CarIdƽ٣λ/
	int						nCoilsInfoNum;			// ʵʷȦϢ
	COILS_INFO				stuCoilsInfo[70][2];	// ȦϢҪȦڵĳϢ
	int						nRetSolidLanNum;		// ʵʷ߳
	int						nSolidLaneNum[6];		// ߳Ӧʵ߳Զ峵
	int						nVehicleNumByTypeNum;	// ʵʷسͳƸ
	UINT					nVehicleNumByType[64];	// ͳͳ,±ӦͬͣͲο EM_NET_CARTYPE±ֵӦͳƵ
	int						nEndLen;				// ʱβλþͣߵľ λ
	BYTE					byReserved[1024];		// Ԥֽ
} LANE_INFO;

// ̬ͨ¼DH_ALARM_TRAFFIC_XINKONG
typedef struct tagALARM_TRAFFIC_XINKONG_INFO
{
	int						nChannelID;				// ͨ
	int						nAction;				// ֻһ¼0ʾ¼
	double                  dbPTS;					// ʱ(λǺ)
	NET_TIME_EX             UTC;					// ¼ʱ
	int						nEventID;				// ¼ID
	
	char					szName[128];			// ¼
	BYTE					byReserved1[4];			// ֽڶ
	int						nLaneInfoNum;			// ʵϱٳϢ
	LANE_INFO				stuLaneInfo[6];			// Ϣ
	BYTE					byReserved[1024];		// Ԥֽ
} ALARM_TRAFFIC_XINKONG_INFO;

// Jablotron¼
typedef enum tagEM_JABLOTRON_ALARM_TYPE
{
	EM_JABLOTRON_ALARM_TYPE_UNKNOWN,						// δ֪
	EM_JABLOTRON_ALARM_TYPE_INTRUSION,						// Intrusion
	EM_JABLOTRON_ALARM_TYPE_FIRE,							// Fire
	EM_JABLOTRON_ALARM_TYPE_PANIC,							// Panic
	EM_JABLOTRON_ALARM_TYPE_ARMED,							// Armed
	EM_JABLOTRON_ALARM_TYPE_DISARMED,						// Disarmed
	EM_JABLOTRON_ALARM_TYPE_PG,								// PG
}EM_JABLOTRON_ALARM_TYPE;

typedef struct tagHMS_TIME
{
	DWORD					dwHour;							// ʱ
	DWORD					dwMinute;						// 
	DWORD					dwSecond;						// 
}HMS_TIME;

// ͻƷϢ( DH_ALARM_JABLOTRON_ALARM )
typedef struct tagALARM_JABLOTRONALARM_INFO
{
	int							nChannelID;									// ͨ
	int							nAction;									// ¼,1ʾ¼ʼ,2ʾ¼;
	char						szName[128];								// ¼
	EM_JABLOTRON_ALARM_TYPE		emAlarmType;								// Jablotron¼
	unsigned int				nDefenceZone;								// ,1~15
	HMS_TIME					stuTime;									// Jablotronʱ䱾ʱֵ
	BYTE						byReserved[1024];							// ֽ 
}ALARM_JABLOTRONALARM_INFO;

// ʶɫ
typedef struct tagNET_CFG_FACE_BOX_COLOR
{
	int					nFaceID;									// ID
	NET_COLOR_RGBA		stuColor;									// ɫֵ
	BYTE				byReserved[108];							// ֽ						
}NET_CFG_FACE_BOX_COLOR;

// ʶ¼( DH_ALARM_FACE_RECOGNITION )
typedef struct tagALARM_FACE_RECOGNITION_INFO
{
	int							nChannelID;									// ͨ
	int							nAction;									// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ	
	NET_CFG_FACE_BOX_COLOR		stuFaceBoxColor;							// ʶɫ
	BYTE						byReserved[4096];							// ֽ 
}ALARM_FACE_RECOGNITION_INFO;

// ȼҺλ¼( DH_ALARM_VEHICLE_OILLEVEL )
typedef struct tagALARM_VEHICLE_OILLEVEL_INFO
{
	int							nChannelID;									// ͨ
	int							nAction;									// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ	
	float						fOilLevel;									// ȼҺλ,λ%
	BYTE						byReserved[1024];							// ֽ 
}ALARM_VEHICLE_OILLEVEL_INFO;

// ȼ¼( DH_ALARM_VEHICLE_LOAD )
typedef struct tagALARM_VEHICLE_LOAD_INFO
{
	int							nChannelID;									// ͨ
	int							nAction;									// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ	
	UINT						nADValue;									// ADֵ
	float						fLoad;										// ǰ,λkg
	BYTE						byReserved[1024];							// ֽ 
}ALARM_VEHICLE_LOAD_INFO;

// ״̬
typedef enum tagEM_ENGINE_FAILURE_STATUS
{
	EM_ENGINE_FAILURE_UNKNOWN = 0,											// δ֪
	EM_ENGINE_FAILURE_NOTACTIVE,											// "Not active"
	EM_ENGINE_FAILURE_ACTIVE,												// "Active"
	EM_ENGINE_FAILURE_BLINK,												// "Blink"
	EM_ENGINE_FAILURE_NOTAVAILABLE,											// "Not Available"
}EM_ENGINE_FAILURE_STATUS;

// ״̬ϱ¼( DH_ALARM_ENGINE_FAILURE_STATUS )
typedef struct tagALARM_ENGINE_FAILURE_STATUS_INFO
{
	int							nChannelID;									// ͨ
	int							nAction;									// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ	
	EM_ENGINE_FAILURE_STATUS	emStatus;									// ״̬
	NET_GPS_STATUS_INFO			stuGPS;										// GPSϢ()
	BYTE						byReserved[1024];							// ֽ 
}ALARM_ENGINE_FAILURE_STATUS_INFO;

// ״̬ö
typedef enum tagEM_VEHICLE_STATE
{
	EM_VEHICLE_STATE_UNKNOWN = 0,
	EM_VEHICLE_STATE_PARK,							// ͣ״̬
	EM_VEHICLE_STATE_MOTION,						// ʼ˶(ٶȴ0km/h)
	EM_VEHICLE_STATE_SPORT,							// ˶״̬(ٶȴ10km/h)
}EM_VEHICLE_STATE;

// λϢ
typedef enum tagEM_VEHICLE_GEARS_TYPE
{
	EM_VEHICLE_GEARS_UNKNOWN = -1,
	EM_VEHICLE_GEARS_P,								//P
	EM_VEHICLE_GEARS_R,								//R
	EM_VEHICLE_GEARS_N,								//N
	EM_VEHICLE_GEARS_D,								//D
	EM_VEHICLE_GEARS_S,								//S
}EM_VEHICLE_GEARS_TYPE;

// ״̬¼( DH_ALARM_VEHICLE_STATE )
typedef struct tagALARM_VEHICLE_STATE_INFO
{
	int							nChannelID;									// ͨ
	int							nAction;									// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ	

	EM_VEHICLE_STATE			emVehicleState;								// ״̬
	UINT						nOilTankage;								// ݻλ0.1L
	UINT						nCurrentFuel;								// ǰ, λ0.1L
	UINT						nConsumptionOil;							// ǰͺģL/100 λ0.1L
	UINT						nTotalUsedFuel;								// ܵλ0.1L
	UINT						nTotalDistance;								// ̣λ0.1 Km
	int							nServiceDistance;							// 룬λ0.1Km
	EM_VEHICLE_GEARS_TYPE		emCurrentGear;								// ǰλ
	UINT						nSpeed;										// ǰٶȣλ0.1Km/h
	char						szTaskID[64];								// 
	NET_GPS_STATUS_INFO			stuGPS;										// GPSϢ
	int							nAlarmFlag;									// С2000kmʱ澯ʾ0:޸澯 1:и澯 2:
	BYTE						byReserved[1020];							// ֽ 
}ALARM_VEHICLE_STATE_INFO;

// IMSI¼( DH_ALARM_IMSI_CHECK )
typedef struct tagALARM_IMSI_CHECK_INFO
{
	int							nIndex;										// SIM
	int							nAction;									// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ	

	char						szIMSI[32];									// ⵽IMSI
	BYTE						byReserved[1024];							// ֽ 
}ALARM_IMSI_CHECK_INFO;

// ä¼( DH_ALARM_BLIND_ALARM )
typedef struct tagALARM_BLIND_ALARM_INFO
{
	int							nChannelID;									// ͨ
	int							nAction;									// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ	
	
	NET_GPS_STATUS_INFO			stuGPS;										// GPSϢ
	BYTE						byReserved[1024];							// ֽ 
}ALARM_BLIND_ALARM_INFO;

// Աά¼( DH_ALARM_VEHICLE_MAINTAINCE )
typedef struct tagALARM_VEHICLE_MAINTAINCE_INFO
{
	int							nIndex;										// ͨ
	int							nAction;									// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ	

	char						szMaintainer[32];							// άԱ
	char						szMaintainerID[32];							// άԱID
	char						szInfo[256];								// ԶάϢ
	BYTE						byReserved[1024];							// ֽ 
}ALARM_VEHICLE_MAINTAINCE_INFO;

// ¼ (DH_ALARM_FIRE_DETECTION)
typedef struct tagALARM_FIRE_DETECTION_INFO
{
	int							nChannelID;									// ͨ
	int							nAction;									// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ	

	BYTE						byReserved[1024];							// ֽ 
}ALARM_FIRE_DETECTION_INFO;

// λ״̬
typedef enum tagEM_PARKINGLOCK_STATE
{
	EM_PARKINGLOCK_STATE_UNKNOWN = 0,										// δ֪
	EM_PARKINGLOCK_STATE_LOCKRISE,											// λ
	EM_PARKINGLOCK_STATE_LOCKDOWN,											// λ
	EM_PARKINGLOCK_STATE_LOCKERROR,											// ״̬쳣
}EM_PARKINGLOCK_STATE;

// Դ
typedef enum tagEM_TRIGGER_SOURCE
{
	EM_TRIGGER_SOURCE_UNKNOWN = 0,											// δ֪
	EM_TRIGGER_SOURCE_SWING_ARM,											// ڱԶ
	EM_TRIGGER_SOURCE_BLUETOOTH,											// 
	EM_TRIGGER_SOURCE_RS485,												// 485ͨſ
	EM_TRIGGER_SOURCE_ULTRASOUND,											// 
	EM_TRIGGER_SOURCE_REMOTE_CONTROL,										// ң
}EM_TRIGGER_SOURCE;

// λ״̬仯¼( DH_ALARM_PARKINGLOCK_STATE )
typedef struct tagALARM_PARKINGLOCK_STATE_INFO
{
	int							nIndex;										// ͨ
	int							nAction;									// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ	

	UINT						nLane;										// λ
	EM_PARKINGLOCK_STATE		emState;									// ״̬
	EM_TRIGGER_SOURCE			emTriggerSource;							// Դ
	BYTE						byReserved[1024];							// ֽ 
}ALARM_PARKINGLOCK_STATE_INFO;

// NAS
typedef enum tagEM_SERVERNAME
{
	EM_SERVERNAME_UNKNOWN,		// δ֪
	EM_SERVERNAME_NFS,			// NFS
	EM_SERVERNAME_FTP,			// FTP
	EM_SERVERNAME_SAMBA,		// SAMBA
	EM_SERVERNAME_ISCSI,		// ISCSI
}EM_SERVERNAME;

// NAS쳣Ϣ(Ӧ DH_ALARM_NAS_SERVER_STATE)
typedef struct tagALARM_NAS_SERVER_STATE_INFO
{
	int							nAction;									// ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ
	EM_SERVERNAME				emServerNames[4];							// NAS
	int							nRetServerNamesNum;							// ʵʷصNASƸ
	BYTE						byReserved[1024];							// ֽ
}ALARM_NAS_SERVER_STATE_INFO;

// 洢쳣¼Ϣ(Ӧ DH_ALARM_VOLUME_GROUP_FAULT)
typedef struct tagALARM_VOLUME_GROUP_FAULT_INFO
{
	int							nAction;									// ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ
	char						szName[32];									// 쳣洢
	char						szMembers[512][32];							// 洢
	int							nRetMembersNum;								// ʵʷصĴ洢ݸ
	BYTE						byReserved[1024];							// ֽ
}ALARM_VOLUME_GROUP_FAULT_INFO;

// Ѳ챨¼Ϣ(Ӧ DH_ALARM_DISK_CHECK)
typedef struct tagALARM_DISK_CHECK_INFO
{
	int							nAction;									// ¼,1ʾ¼ʼ,2ʾ¼;
	NET_TIME_EX					UTC;										// ¼ʱ
	char						szName[128];								// 
	BYTE						byReserved[1024];							// ֽ
}ALARM_DISK_CHECK_INFO;
///////////////////////////////// ¼Ự /////////////////////////////////////////

// CLIENT_StartBurnSession ӿ
typedef struct tagNET_IN_START_BURN_SESSION 
{
    DWORD               dwSize;
    unsigned int        nSessionID;                         // ỰID
} NET_IN_START_BURN_SESSION;

typedef struct tagNET_OUT_START_BURN_SESSION 
{
    DWORD               dwSize;
} NET_OUT_START_BURN_SESSION;

// ¼ģʽ
typedef enum tagNET_BURN_MODE
{
    BURN_MODE_SYNC,                     // ͬ
    BURN_MODE_TURN,                     // 
    BURN_MODE_CYCLE,                    // ѭ
} NET_BURN_MODE;

// ¼չģʽ
typedef enum tagNET_BURN_EXTMODE
{
	BURN_EXTMODE_UNKNOWN,					 // δ֪
    BURN_EXTMODE_NORMAL = 1,                 // ¼
    BURN_EXTMODE_NODISK,                     // ̿¼
} NET_BURN_EXTMODE;

// ¼ʽ
typedef enum tagNET_BURN_RECORD_PACK
{
    BURN_PACK_DHAV,                     // DHAV
    BURN_PACK_PS,                       // PS
    BURN_PACK_ASF,                      // ASF
    BURN_PACK_MP4,                      // MP4
    BURN_PACK_TS,                       // TS
} NET_BURN_RECORD_PACK;

// CLIENT_StartBurn ӿ
typedef struct tagNET_IN_START_BURN 
{
    DWORD                dwSize;
    DWORD                dwDevMask;                             // ¼豸, λʾ¼豸
    int                  nChannels[DH_MAX_BURN_CHANNEL_NUM];    // ¼ͨ
    int                  nChannelCount;                         // ¼ͨ
    NET_BURN_MODE        emMode;                                // ¼ģʽ
    NET_BURN_RECORD_PACK emPack;                                // ¼ʽ
    NET_BURN_EXTMODE     emExtMode;                             // ¼չģʽ
} NET_IN_START_BURN;

// CLIENT_StartBurn ӿ
typedef struct tagNET_OUT_START_BURN 
{
    DWORD               dwSize;
} NET_OUT_START_BURN;

// CLIENT_BurnMarkTag ӿ
typedef struct tagNET_IN_BURN_MAAK_TAG
{
    DWORD               dwSize;
    const char*         pszDescInfo;                            // Ϣ
} NET_IN_BURN_MARK_TAG;

// CLIENT_BurnMarkTag ӿ
typedef struct tagNET_OUT_BURN_MAAK_TAG
{
    DWORD               dwSize;
} NET_OUT_BURN_MARK_TAG;

// CLIENT_BurnChangeDisk ӿ
typedef struct tagNET_IN_BURN_CHANGE_DISK
{
    DWORD               dwSize;
    BOOL                nAction;                                // ̶, 0-ʼ, 1-
} NET_IN_BURN_CHANGE_DISK;

// CLIENT_BurnChangeDisk ӿ
typedef struct tagNET_OUT_BURN_CHANGE_DISK
{
    DWORD               dwSize;
} NET_OUT_BURN_CHANGE_DISK;

// ¼״̬
typedef enum tagNET_BURN_STATE
{
    BURN_STATE_STOP,                    // ֹͣ
    BURN_STATE_STOPING,                 // ֹͣ
    BURN_STATE_INIT,                    // ʼ
    BURN_STATE_BURNING,                 // ¼
    BURN_STATE_PAUSE,                   // ͣ
    BURN_STATE_CHANGE_DISK,             // 
    BURN_STATE_PREPARE_EXTRA_FILE,      // ʼ
    BURN_STATE_WAIT_EXTRA_FILE,         // ȴ¼
    BURN_STATE_UPLOAD_FILE_START,       // ¼
    BURN_STATE_CHECKING_DISK,           // 
    BURN_STATE_DISK_READY,              // ׼
} NET_BURN_STATE;

// ¼
typedef enum tagNET_BURN_ERROR_CODE
{
    BURN_CODE_NORMAL,                   // 
    BURN_CODE_UNKNOWN_ERROR,            // δ֪
    BURN_CODE_SPACE_FULL,               // ¼
    BURN_CODE_START_ERROR,              // ʼ¼
    BURN_CODE_STOP_ERROR,               // ֹͣ¼
    BURN_CODE_WRITE_ERROR,              // ¼
	BURN_CODE_UNKNOWN,					// δ֪
} NET_BURN_ERROR_CODE;

// CLIENT_BurnGetState ӿ
typedef struct tagNET_IN_BURN_GET_STATE
{
    DWORD                dwSize;
} NET_IN_BURN_GET_STATE;

// ʹ״̬
typedef enum tagEM_NET_BURN_DEV_USED_STATE
{
	EM_NET_BURN_DEV_USED_STATE_UNKNOWN, //δ֪
	EM_NET_BURN_DEV_USED_STATE_STOP,	//ֹͣ
	EM_NET_BURN_DEV_USED_STATE_BURNING,	//¼
}EM_NET_BURN_DEV_USED_STATE;

// ¼豸״̬
typedef struct tagNET_BURN_DEV_STATE 
{
    DWORD                dwSize;
    int                  nDeviceID;                             // 豸ID
    char                 szDevName[DH_BURNING_DEV_NAMELEN];     // 豸
    DWORD                dwTotalSpace;                          // , λKB
    DWORD                dwRemainSpace;                         // ʣ, λKB
	EM_NET_BURN_DEV_USED_STATE	            emUsedType;			// ʹ״̬
	NET_BURN_ERROR_CODE						emError;			// ״̬
} NET_BURN_DEV_STATE;

// CLIENT_BurnGetState ӿ
typedef struct tagNET_OUT_BURN_GET_STATE
{
    DWORD                dwSize;
    NET_BURN_STATE       emState;                               // ¼״̬
    NET_BURN_ERROR_CODE  emErrorCode;                           // 
    DWORD                dwDevMask;                             // ¼豸, λʾ¼豸
    int                  nChannels[DH_MAX_BURN_CHANNEL_NUM];    // ¼ͨ
    int                  nChannelCount;                         // ¼ͨ
    NET_BURN_MODE        emMode;                                // ¼ģʽ
    NET_BURN_RECORD_PACK emPack;                                // ¼ʽ
    int                  nFileIndex;                            // ǰ¼ļ
    NET_TIME             stuStartTime;                          // ¼ʼʱ
    NET_BURN_DEV_STATE   stuDevState[DH_MAX_BURNING_DEV_NUM];   // ¼豸״̬
    int                  nRemainTime;                           // ¼ʣʱ, λ, -1Ч
	NET_BURN_EXTMODE	 emExtMode;								// չģʽ,Ϊ̿¼ʱstuDevStateЧ
} NET_OUT_BURN_GET_STATE;

// fAttachBurnStateCB 
typedef struct tagNET_CB_BURNSTATE
{
    DWORD               dwSize;
    const char*         szState;                        // Ϣ
                                                        //"UploadFileStart"Կʼϴ
                                                        //"InitBurnDevice":ʼ¼豸
                                                        //"Burning":¼
                                                        //"BurnExtraFileStop"¼ֹͣ
                                                        //"BurnFilePause":¼ͣ
                                                        //"SpaceFull":¼ռ
                                                        //"BurnFileError":¼    
    const char*         szFileName;                     // ǰ¼ļ,"UploadFileStart"ʼϴϢ
    unsigned int        dwTotalSpace;                   // ,λKB,"Burning"¼,ʾ
    unsigned int        dwRemainSpace;                  // ʣ,λKB,"Burning"¼
    const char*         szDeviceName;                   // ¼豸,ֲͬĿ¼豸
    int                 nRemainTime;                    // ¼ʣʱ, λ, -1Ч
}NET_CB_BURNSTATE;

// ¼豸صԭ,lAttachHandleCLIENT_AttachBurnStateֵ, ÿ1,pBuf->dwSize == nBufLen
typedef void (CALLBACK *fAttachBurnStateCB) (LLONG lLoginID, LLONG lAttachHandle, NET_CB_BURNSTATE* pBuf, int nBufLen, LDWORD dwUser);

// ¼豸صչԭ
typedef void (CALLBACK *fAttachBurnStateCBEx)(LLONG lLoginID, LLONG lAttachHandle, NET_OUT_BURN_GET_STATE* pBuf, int nBufLen, LDWORD dwUser);

// CLIENT_AttachBurnState()
typedef struct tagNET_IN_ATTACH_STATE
{
    DWORD                   dwSize;
    const char*             szDeviceName;                   // ,"/dev/sda"
    fAttachBurnStateCB      cbAttachState;                  // ¼ص
    LDWORD                  dwUser;                         // û
    LLONG                   lBurnSession;                   // ¼Ự, CLIENT_StartBurnSessionķֵ. ֵΪ0ʱ, szDeviceNameЧ, ʱ¼豸Ŀ¼״̬
    fAttachBurnStateCBEx    cbAttachStateEx;                // չ¼ص
    LDWORD                  dwUserEx;                       // չ¼صû
}NET_IN_ATTACH_STATE;

// CLIENT_AttachBurnState 
typedef struct tagNET_OUT_ATTACH_STATE
{
    DWORD                   dwSize;
}NET_OUT_ATTACH_STATE;

// ¼豸صԭ,lUploadHandleCLIENT_StartUploadFileBurnedֵ
typedef void (CALLBACK *fBurnFileCallBack) (LLONG lLoginID, LLONG lUploadHandle, int nTotalSize, int nSendSize, LDWORD dwUser);

// CLIENT_StartUploadFileBurned()
typedef struct tagNET_IN_FILEBURNED_START
{
    DWORD                   dwSize;
    const char*             szMode;                         // ļϴʽ
                                                            // "append", ׷ģʽ,ʱ¼ļ̶Ϊ" FILE.zip ",filename
                                                            // "evidence", ֤ݵȴ󸽼, Ҫ󵥶¼Ĺ
    const char*             szDeviceName;                   // ,硰/dev/sda
    const char*             szFilename;                     // ļ
    fBurnFileCallBack       cbBurnPos;                      // ¼Ȼص
    LDWORD                  dwUser;                         // û
    LLONG                   lBurnSession;                   // ¼, CLIENT_StartBurnSessionķֵ. ֵΪ0ʱ, szDeviceNameЧ, ʱ¼豸Ŀ¼״̬
}NET_IN_FILEBURNED_START;

// CLIENT_StartUploadFileBurned 
typedef struct tagNET_OUT_FILEBURNED_START
{
    DWORD                   dwSize;
    char                    szState[DH_MAX_NAME_LEN];      // "start"ϵͳ׼,Կʼϴ; "busy"ϵͳæ,Ժԡ"error"ϵͳδڿ¼,س,ʧ
}NET_OUT_FILEBURNED_START;

// ¼Ϣ
typedef struct tagNET_BURN_CASE_INFO
{
    DWORD       dwSize;
    int         nChannel;                                   // ͨ
    NET_TIME    stuStartTime;                               // ¼ʼʱ
    NET_TIME    stuEndTime;                                 // ¼ʱ
    int         nIndex;                                     // 
    int         nCode;                                      // 
    int         nDiscNum;                                   // ̱        
    char        szName[DH_COMMON_STRING_128];               // 
    char        szPlace[DH_COMMON_STRING_128];              // 참ص
    char        szInvestigator[DH_MAX_CASE_PERSON_NUM][DH_COMMON_STRING_32]; // 참Ա
    char        szSuspects[DH_MAX_CASE_PERSON_NUM][DH_COMMON_STRING_32];     // 永Ա
    char        szMemo[DH_COMMON_STRING_256];               // ע
    char        szVideoName[DH_COMMON_STRING_128];          // ¼
    char        szRecorder[DH_COMMON_STRING_32];            // ¼
} NET_BURN_CASE_INFO;

// ¼豸صԭ,lAttachHandleCLIENT_AttachBurnCaseֵ
typedef void (CALLBACK *fBurnCaseCallBack) (LLONG lAttachHandle, NET_BURN_CASE_INFO* pBuf, DWORD dwBufLen, void* pReserved, LDWORD dwUser);

// CLIENT_AttachBurnCase ӿ
typedef struct tagNET_IN_ATTACH_BURN_CASE
{
    DWORD                dwSize;
    fBurnCaseCallBack    cbBurnCase;                        // Ϣص
    LDWORD               dwUser;                            // û
} NET_IN_ATTACH_BURN_CASE;

// CLIENT_AttachBurnCase ӿ
typedef struct tagNET_OUT_ATTACH_BURN_CASE
{
    DWORD                dwSize;
} NET_OUT_ATTACH_BURN_CASE;

// ¼豸
typedef enum tagEM_NET_BURN_DEV_BUS_TYPE
{
    EM_NET_BURN_DEV_BUS_TYPE_UNKNOWN,   // δ֪
    EM_NET_BURN_DEV_BUS_TYPE_IDE,       // IDE
    EM_NET_BURN_DEV_BUS_TYPE_USB,       // USB
    EM_NET_BURN_DEV_BUS_TYPE_1394,      // 1394
    EM_NET_BURN_DEV_BUS_TYPE_SATA,      // SATA
    EM_NET_BURN_DEV_BUS_TYPE_ESATA,     // ESATA
}EM_NET_BURN_DEV_BUS_TYPE;

// ¼豸
typedef enum tagEM_NET_BURN_DEV_BK_TYPE
{
    EM_NET_BURN_DEV_BK_TYPE_UNKNOWN,    // δ֪
    EM_NET_BURN_DEV_BK_TYPE_DHFS,       // ļϵͳ
    EM_NET_BURN_DEV_BK_TYPE_DISK,       // ƶӲ
    EM_NET_BURN_DEV_BK_TYPE_CDRW,       // ̿¼
}EM_NET_BURN_DEV_BK_TYPE;

// ¼豸״̬Ϣ
typedef struct tagNET_BURN_DEV_STATE_INFO
{
    char            szName[DH_COMMON_STRING_256];               // ¼豸
    unsigned int    nTotalSpace;                                // λKB
    unsigned int    nFreeSpace;                                 // ʣλKB
    EM_NET_BURN_DEV_TRAY_TYPE        emTrayType;                // ״̬
    EM_NET_BURN_DEV_OPERATE_TYPE     emOperateType;             // ʹ״̬
    EM_NET_BURN_DEV_BUS_TYPE         emBusType;                 // ¼豸
    EM_NET_BURN_DEV_BK_TYPE          emBkType;                  // ¼豸
} NET_BURN_DEV_STATE_INFO;

// ¼豸״̬Ϣб
typedef struct tagNET_BURN_DEV_STATE_INFO_LIST
{
    unsigned int    nListCount; // бЧ¼豸״̬Ϣ pstuNetBurnDevStateInfo ʹ
    NET_BURN_DEV_STATE_INFO *pstuNetBurnDevStateInfo;   // ¼豸״̬Ϣָ룬 nListCount ʹ
}NET_BURN_DEV_STATE_INFO_LIST;
// ¼豸״̬صԭ,lAttachHandle  CLIENT_AttachBurnDevState ֵ
typedef void (CALLBACK *fBurnDevStateCallBack) (LLONG lAttachHandle, const NET_BURN_DEV_STATE_INFO_LIST* pBuf, DWORD dwBufLen, void* pReserved, LDWORD dwUser);

// CLIENT_AttachBurnDevState ӿ
typedef struct tagNET_IN_ATTACH_BURN_DEV_STATE
{
    DWORD                       dwSize;
    fBurnDevStateCallBack       cbBurnDevState;             // ¼豸״̬ص
    LDWORD                      dwUser;                     // û
} NET_IN_ATTACH_BURN_DEV_STATE;

// CLIENT_AttachBurnDevState ӿ
typedef struct tagNET_OUT_ATTACH_BURN_DEV_STATE
{
    DWORD                dwSize;
} NET_OUT_ATTACH_BURN_DEV_STATE;

/////////////////////////////////// Զϵͳ¼ ///////////////////////////////////////

#define CASE_BACK_UP_CHANNEL_MAX_NUM        32  // ¼ͨĿ
#define CASE_BACK_UP_FILE_TYPE_MAX_NUM      8   // ¼ļĿ
#define CASE_BACK_UP_INQUEST_INFO_MAX_NUM   8   // ¼ѶϢѯĿ
#define CASE_BACK_UP_DEVICE_MAX_NUM         8   // ¼豸Ŀ

// ¼ļ
typedef enum tagEM_CASE_BACK_UP_FILE_TYPE
{
    EM_CASE_BACK_UP_FILE_TYPE_UNKNOWN,          // δ֪
    EM_CASE_BACK_UP_FILE_TYPE_DAV,              // DAV
    EM_CASE_BACK_UP_FILE_TYPE_JPG,              // JPG
    EM_CASE_BACK_UP_FILE_TYPE_TXT,              // TXT
}EM_CASE_BACK_UP_FILE_TYPE;

// ¼
typedef enum tagEM_CASE_BACK_UP_MODE_TYPE
{
    EM_CASE_BACK_UP_MODE_TYPE_UNKNOWN,          // δ֪
    EM_CASE_BACK_UP_MODE_TYPE_SYNC,             // ͬ¼ ̱ͬ
    EM_CASE_BACK_UP_MODE_TYPE_CYCLE,            // ѭ¼ ͨݵı
}EM_CASE_BACK_UP_MODE_TYPE;

// Ƶļݸʽ
typedef enum tagEM_CASE_BACK_UP_PACK_TYPE
{
    EM_CASE_BACK_UP_PACK_TYPE_UNKNOWN,          // δ֪
    EM_CASE_BACK_UP_PACK_TYPE_DHAV,             // DHAV
    EM_CASE_BACK_UP_PACK_TYPE_MP4,              // MP4
    EM_CASE_BACK_UP_PACK_TYPE_PS,               // PS   
}EM_CASE_BACK_UP_PACK_TYPE;

// ¼ݲѯϢ
typedef struct tagNET_CASE_BACK_UP_INQUEST_INFO
{
    char szTitle[128];                          // ֶα
    char szText[128];                           // ֶ
    BYTE byReserved[512];                       // ֽ
}NET_CASE_BACK_UP_INQUEST_INFO;

// ݿ¼ѯ
typedef struct tagNET_CASE_BACK_UP_QUERY_CONDITION
{
    int                             nChannelNum;                                        // ѯͨĿ                            
    int                             nChannels[CASE_BACK_UP_CHANNEL_MAX_NUM];            // ѯͨ
    NET_TIME                        stuStartTime;                                       // ʼʱ
    NET_TIME                        stuEndTime;                                         // ʱ
    int                             nFileTypeNum;                                       // ļĿ
    EM_CASE_BACK_UP_FILE_TYPE       emFileTypes[CASE_BACK_UP_FILE_TYPE_MAX_NUM];        // ļ
    char                            szCaseNumber[256];                                  // 
    int                             nInquestInfoNum;                                    // ѯֶĿ
    NET_CASE_BACK_UP_INQUEST_INFO   stuInquestInfo[CASE_BACK_UP_INQUEST_INFO_MAX_NUM];  // ѯֶ
    BYTE                            byReserved[1024];                                   // ֽ
}NET_CASE_BACK_UP_QUERY_CONDITION;

// ݿ¼ģʽϢ
typedef struct tagNET_CASE_BACK_UP_MODE
{
    EM_CASE_BACK_UP_MODE_TYPE   emBackupMode;                                           // ģʽ
    int                         nDeviceNum;                                             // 豸Ŀ
    char                        szDeviceName[CASE_BACK_UP_DEVICE_MAX_NUM][256];         // 豸
    EM_CASE_BACK_UP_PACK_TYPE   emPackType;                                             // ļ
    BOOL                        bExtraFile;                                             // Ƿи
    BOOL                        bDataCheck;                                             // ǷУ
    BYTE                        byReserved[1024];                                       // ֽ
}NET_CASE_BACK_UP_MODE;

// ʼݿ¼
typedef struct tagNET_IN_START_CASE_BACK_UP
{
    DWORD                               dwSize;                                         // ṹС
    NET_CASE_BACK_UP_QUERY_CONDITION    stuCondition;                                   // ѯ
    NET_CASE_BACK_UP_MODE               stuMode;                                        // ģʽ
}NET_IN_START_CASE_BACK_UP;

// ʼݿ¼ʧܴ
typedef enum tagEM_CASE_BACK_UP_START_ERROR_CODE
{
    EM_CASE_BACK_UP_START_ERROR_CODE_UNKNOWN,                                           // δ֪
    EM_CASE_BACK_UP_START_ERROR_CODE_NORMAL,                                            // 
    EM_CASE_BACK_UP_START_ERROR_CODE_BACKUPING,                                         // ðڱ
    EM_CASE_BACK_UP_START_ERROR_CODE_NO_FINDFILE,                                       // δļ
    EM_CASE_BACK_UP_START_ERROR_CODE_DEVICE_BUSY,                                       // 豸æ
    EM_CASE_BACK_UP_START_ERROR_CODE_NO_SUPPORT_MEDIA_FORMAT,                           // ֵ֧ýʽ   
    EM_CASE_BACK_UP_START_ERROR_CODE_DEVICE_ERROR,                                      // 豸
    EM_CASE_BACK_UP_START_ERROR_CODE_BACKUP_FILE_OVER_LIMIT,                            // ļֵ
    EM_CASE_BACK_UP_START_ERROR_CODE_OTHER_ERROR,                                       // 
}EM_CASE_BACK_UP_START_ERROR_CODE;

// ʼݿ¼
typedef struct tagNET_OUT_START_CASE_BACK_UP
{
    DWORD                               dwSize;                                         // ṹС
    EM_CASE_BACK_UP_START_ERROR_CODE    emErrorCode;                                    // 
}NET_OUT_START_CASE_BACK_UP;

// ֹͣݿ¼
typedef struct tagNET_IN_STOP_CASE_BACK_UP
{
    DWORD                               dwSize;                                         // ṹС
}NET_IN_STOP_CASE_BACK_UP;

// ֹͣݿ¼
typedef struct tagNET_OUT_STOP_CASE_BACK_UP
{
    DWORD                               dwSize;                                         // ṹС
}NET_OUT_STOP_CASE_BACK_UP;

// ݿ¼״̬
typedef enum tagEM_CASE_BACK_UP_STATE_TYPE
{
    EM_CASE_BACK_UP_STATE_TYPE_UNKNOWN,                                                 // δ֪
    EM_CASE_BACK_UP_STATE_TYPE_INIT,                                                    // ʼ
    EM_CASE_BACK_UP_STATE_TYPE_STOP,                                                    // ֹͣ
    EM_CASE_BACK_UP_STATE_TYPE_STOPPING,                                                // ֹͣ
    EM_CASE_BACK_UP_STATE_TYPE_BACKUPING,                                               //             
    EM_CASE_BACK_UP_STATE_TYPE_CHANGE_DISK,                                             // 
    EM_CASE_BACK_UP_STATE_TYPE_PREPARE_EXTRA_FILE,                                      // ʼ
    EM_CASE_BACK_UP_STATE_TYPE_WAIT_EXTRA_FILE,                                         // ȴ¼
    EM_CASE_BACK_UP_STATE_TYPE_UPLOAD_FILE_START,                                       // ¼
}EM_CASE_BACK_UP_STATE_TYPE;

// ݿ¼״̬
typedef enum tagEM_CASE_BACK_UP_ERROR_CODE
{
    EM_CASE_BACK_UP_ERROR_CODE_UNKNOWN,                                                 // δ֪
    EM_CASE_BACK_UP_ERROR_CODE_NORMAL,                                                  // 
    EM_CASE_BACK_UP_ERROR_CODE_SPACE_FULL,                                              // ¼
    EM_CASE_BACK_UP_ERROR_CODE_START_ERROR,                                             // ʼ¼   
    EM_CASE_BACK_UP_ERROR_CODE_STOP_ERROR,                                              // ֹͣ¼
    EM_CASE_BACK_UP_ERROR_CODE_WRITE_ERROR,                                             // ¼ļ   
    EM_CASE_BACK_UP_ERROR_CODE_OTHER_ERROR,                                             //       
}EM_CASE_BACK_UP_ERROR_CODE;

// ݿ¼״̬
typedef struct tagNET_CASE_BACK_UP_STATE
{
    EM_CASE_BACK_UP_STATE_TYPE  emBackUpState;                                          // ǰ¼״̬
    EM_CASE_BACK_UP_ERROR_CODE  emErrorCode;                                            // 
    BYTE                        byReserved[512];                                        // ֽ
}NET_CASE_BACK_UP_STATE;

// ݿ¼ļϢ
typedef struct tagNET_CASE_BACK_UP_FILE_INFO
{
    int                         nFileCount;                                             // Ҫ¼ļ
    int                         nCurFileIndex;                                          // ǰڿ¼ļ   
    TP_U64                      nFileTotalLength;                                       // Ҫ¼ݴС
    TP_U64                      nCurBackupTotalLength;                                  // ǰѾ¼˶
    TP_U64                      nCurBackupFileTotalLength;                              // ǰڿ¼ļĴС
    TP_U64                      nCurBackupFileLength;                                   // ǰڿ¼ļѾ¼ݴС   
    BYTE                        byReserved[512];                                        // ֽ
}NET_CASE_BACK_UP_FILE_INFO;

// ݿ¼豸Ϣ
typedef struct tagNET_CASE_BACK_UP_DEVICE_INFO
{
    int                         nDeviceID;                                              // 豸ID
    char                        szDeviceName[256];                                      // 豸
    int                         nTotalSpace;                                            // 豸ܵ λKB
    int                         nRemainSpace;                                           // 豸ʣ λKB
    EM_CASE_BACK_UP_STATE_TYPE  emBackUpState;                                          // ״̬
    EM_CASE_BACK_UP_ERROR_CODE  emErrorCode;                                            // 
    BYTE                        byReserved[512];                                        // ֽ
}NET_CASE_BACK_UP_DEVICE_INFO;

// ݿ¼״̬
typedef struct tagNET_OUT_CASE_BACK_UP_STATE
{
    DWORD                           dwSize;                                             // ṹС
    NET_CASE_BACK_UP_STATE          stuBackUpState;                                     // ״̬Ϣ
    NET_CASE_BACK_UP_FILE_INFO      stuFileInfo;                                        // ļϢ
    int                             nDeviceNum;                                         // 豸    
    NET_CASE_BACK_UP_DEVICE_INFO    stuDeviceInfo[CASE_BACK_UP_DEVICE_MAX_NUM];         // 豸Ϣ    
}NET_OUT_CASE_BACK_UP_STATE;

// ݿ¼״̬ص
typedef void (CALLBACK *fAttachCaseBackUpState)(LLONG lLoginID, LLONG lAttachHandle, const NET_OUT_CASE_BACK_UP_STATE* pBuf, int nBufLen, LDWORD dwUser);

// ݿ¼״̬attach
typedef struct tagNET_IN_ATTACH_CASE_BACK_UP_STATE
{
    DWORD                           dwSize;                                             // ṹС  
    fAttachCaseBackUpState          cbAttachState;                                      // ص
    LDWORD                          dwUser;                                             // û
}NET_IN_ATTACH_CASE_BACK_UP_STATE;

// ݿ¼״̬attach
typedef struct tagNET_OUT_ATTACH_CASE_BACK_UP_STATE
{
    DWORD                           dwSize;                                             // ṹС
}NET_OUT_ATTACH_CASE_BACK_UP_STATE;

// ݿ¼״̬detach
typedef struct tagNET_IN_DETACH_CASE_BACK_UP_STATE
{
    DWORD                           dwSize;                                             // ṹС
}NET_IN_DETACH_CASE_BACK_UP_STATE;

// ݿ¼״̬detach
typedef struct tagNET_OUT_DETACH_CASE_BACK_UP_STATE
{
    DWORD                           dwSize;                                             // ṹС
}NET_OUT_DETACH_CASE_BACK_UP_STATE;

// ȡݿ¼Ϣ
typedef struct tagNET_IN_GET_CASE_BACK_UP_INFO
{
    DWORD                           dwSize;                                             // ṹС
}NET_IN_GET_CASE_BACK_UP_INFO;

// ȡݿ¼Ϣ
typedef struct tagNET_OUT_GET_CASE_BACK_UP_INFO
{
    DWORD                               dwSize;                                         // ṹС
    NET_CASE_BACK_UP_QUERY_CONDITION    stuCondition;                                   // 
    NET_CASE_BACK_UP_MODE               stuMode;                                        // ģʽ
}NET_OUT_GET_CASE_BACK_UP_INFO;

// ʼݿ¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartBackUpCase(LLONG lLoginID, const NET_IN_START_CASE_BACK_UP* pstInParam, NET_OUT_START_CASE_BACK_UP *pstOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// ֹͣݿ¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopBackUpCase(LLONG lLoginID, const NET_IN_STOP_CASE_BACK_UP* pstInParam, NET_OUT_STOP_CASE_BACK_UP *pstOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// ݿ¼״̬
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachBackUpCaseState(LLONG lLoginID, const NET_IN_ATTACH_CASE_BACK_UP_STATE* pstInParam, NET_OUT_ATTACH_CASE_BACK_UP_STATE *pstOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// ȡݿ¼״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachBackUpCaseState(LLONG lAttachHandle, const NET_IN_DETACH_CASE_BACK_UP_STATE* pstInParam, NET_OUT_DETACH_CASE_BACK_UP_STATE *pstOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// ȡݿ¼Ϣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCaseBackUpInfo(LLONG lLoginID, const NET_IN_GET_CASE_BACK_UP_INFO* pstInParam, NET_OUT_GET_CASE_BACK_UP_INFO *pstOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

/////////////////////////////////// Զϵͳ¼ ///////////////////////////////////////


/////////////////////////////////// ͨ ///////////////////////////////////////

#define NET_COMPOSE_CHANNEL_MAX_SPLIT_WINDOW_NUM 36     // ָͨĿ

// ʱָϢ
typedef struct tagNET_TEMP_SPLIT_WINDOW_INFO
{
    int nChannel;                                       // ӻͨ
    BOOL bAudio;                                        // ǷƵ
    DH_RECT stuPosition;                                // ,8192ϵ
    BYTE byReserved[128];                               // ֽ
}NET_TEMP_SPLIT_WINDOW_INFO;

// ȡʱָϢ
typedef struct tagNET_IN_GET_TEMP_SPLIT
{
    DWORD dwSize;                                       // ṹС
    int nComposeChannel;                                // ͨ
}NET_IN_GET_TEMP_SPLIT;

// ȡʱָϢ
typedef struct tagNET_OUT_GET_TEMP_SPLIT
{
    DWORD dwSize;                                       // ṹС
    DH_SPLIT_MODE emSplitMode;                          // ָģʽĿǰֻ֧32ָģʽ
    int nSplitNum;                                      // ʱָ,Ŀǰֻ֧32ָ
    NET_TEMP_SPLIT_WINDOW_INFO stuWindowInfo[NET_COMPOSE_CHANNEL_MAX_SPLIT_WINDOW_NUM]; // ʱָϢ
}NET_OUT_GET_TEMP_SPLIT;

// ʱָϢ
typedef struct tagNET_IN_SET_TEMP_SPLIT
{
    DWORD dwSize;                                       // ṹС
    int nComposeChannel;                                // ͨ
    DH_SPLIT_MODE emSplitMode;                          // ָģʽĿǰֻ֧32ָģʽ
    int nSplitNum;                                      // ʱָ,Ŀǰֻ֧32ָ
    NET_TEMP_SPLIT_WINDOW_INFO stuWindowInfo[NET_COMPOSE_CHANNEL_MAX_SPLIT_WINDOW_NUM]; // ʱָϢ
}NET_IN_SET_TEMP_SPLIT;

// ʱָϢ
typedef struct tagNET_OUT_SET_TEMP_SPLIT
{
    DWORD dwSize;                                       // ṹС
}NET_OUT_SET_TEMP_SPLIT;

// ָϢ
typedef struct tagNET_TEMP_SOURCE_WINDOW_INFO
{
    int nWindowID;                                      // ڱ,0ʼ
    int nUniqueChannel;                                 // ڰ󶨵ͨԴ
    BYTE byReserved[128];                               // ֽ
}NET_TEMP_SOURCE_WINDOW_INFO;

// ʱķָԴ
typedef struct tagNET_IN_SET_TEMP_SOURCE
{
    DWORD dwSize;                                       // ṹС
    int nComposeChannel;                                // ͨ
    int nWindowNum;                                     // 
    NET_TEMP_SOURCE_WINDOW_INFO stuWindowInfo[NET_COMPOSE_CHANNEL_MAX_SPLIT_WINDOW_NUM]; // Ϣ
}NET_IN_SET_TEMP_SOURCE;

// ʱķָԴ
typedef struct tagNET_OUT_SET_TEMP_SOURCE
{
    DWORD dwSize;                                       // ṹС   
}NET_OUT_SET_TEMP_SOURCE;

// ʱķָϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetTempSplit(LLONG lLoginID, const NET_IN_SET_TEMP_SPLIT* pstInParam, NET_OUT_SET_TEMP_SPLIT *pstOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// ȡʱķָϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetTempSplit(LLONG lLoginID, const NET_IN_GET_TEMP_SPLIT* pstInParam, NET_OUT_GET_TEMP_SPLIT *pstOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// ʱķָԴ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetTempSource(LLONG lLoginID, const NET_IN_SET_TEMP_SOURCE* pstInParam, NET_OUT_SET_TEMP_SOURCE *pstOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

/////////////////////////////////// ͨ ///////////////////////////////////////

/////////////////////////////////// Storage ///////////////////////////////////////

// Զ̴洢д
typedef enum tagNET_STORAGE_WRITE_STATE
{
    NS_WRITE_UNKNOWN,                                   // δ֪
    NS_WRITE_OK,                                        // ɹ
    NS_WRITE_DISK_IO_ERROR,                             // IO
    NS_WRITE_DISK_NOT_READY,                            // δ׼
    NS_WRITE_DISK_FAULT,                                // ̹
    NS_WRITE_STREAM_NOT_EXIST,                          // ID
    NS_WRITE_MOUNT_DISK_ERROR,                          // ̹ش
} NET_STORAGE_WRITE_STATE;

// ԶϢ
typedef struct tagNET_STORAGE_BLOCK 
{
    DWORD                   dwSize;
    unsigned int            nID;                        // CQFSID
    unsigned int            nStreamID;                  // Ψһʶ
    unsigned int            nRecycleTimestamp;          // CQFSʱ
    unsigned int            nBeginTimestamp;            // ݿʼʱ
    unsigned int            nEndTimestamp;              // ݽʱ
    unsigned int            nLockCount;                 // ֵ, 0ʾδ
    char                    szDiskUUID[DH_COMMON_STRING_64]; // UUID
} NET_STORAGE_BLOCK;

// Զ̴洢Ϣ״̬
typedef struct tagNET_STORAGE_WRITE_INFO
{
    DWORD                    dwSize;
    NET_STORAGE_WRITE_STATE  emState;                   // д
    int                      nBlockCount;               // 
    NET_STORAGE_BLOCK        stuBlocks[DH_MAX_NET_STRORAGE_BLOCK_NUM]; // Ϣ
} NET_STORAGE_WRITE_INFO;

//////////////////////////////////////////////////////////////////////////
/// \fn дԶ̴洢Ϣ״̬ص
/// \brief 
/// \author yang_xiuqing
/// \param  LLONG lAttachHandle [OUT] ľ, CLIENT_NetStorageAttachWriteInfoķֵ 
/// \param  NET_STORAGE_WRITE_INFO * pBuf [OUT] Զ̴洢Ϣ״̬
/// \param  int nBufLen [OUT] ״̬Ϣ
/// \param  LDWORD dwUser û
/// \return 
///////////////////////////////////////////////////////////////////////////
typedef void (CALLBACK *fNetStorageAttachWriteInfoCB)(LLONG lAttachHandle, NET_STORAGE_WRITE_INFO* pBuf, int nBufLen, LDWORD dwUser);

// CLIENT_NetStorageAttachWriteInfo ӿ
typedef struct tagNET_IN_STORAGE_ATTACH_WRITE_INFO
{
    DWORD                           dwSize;
    const char*                     pszName;                // Զ̴洢, ֵNASлȡ
    fNetStorageAttachWriteInfoCB    cbISCSIBlcok;           // ص
    LDWORD                          dwUser;                 // û
} NET_IN_STORAGE_ATTACH_WRITE_INFO;

// CLIENT_NetStorageAttachWriteInfo ӿ
typedef struct tagNET_OUT_STORAGE_ATTACH_WRITE_INFO
{
    DWORD                       dwSize;
} NET_OUT_STORAGE_ATTACH_WRITE_INFO;

// CLIENT_NetStorageGetWriteInfo ӿ
typedef struct tagNET_IN_STORAGE_GET_WRITE_INFO 
{
    DWORD                       dwSize;
    const char*                 pszName;                    // Զ̴洢
} NET_IN_STORAGE_GET_WRITE_INFO;

// CLIENT_NetStorageGetWriteInfo ӿ
typedef struct tagNET_OUT_STORAGE_GET_WRITE_INFO 
{
    DWORD                       dwSize;    
    int                         nBlockCount;                // 
    NET_STORAGE_BLOCK           stuBlocks[DH_MAX_NET_STRORAGE_BLOCK_NUM]; // Ϣ
} NET_OUT_STORAGE_GET_WRITE_INFO;

// RAID
typedef enum tagNET_RAID_OPERATE_TYPE
{
    NET_RAID_OPERATE_ADD,                    // RAID, Ӧṹ NET_IN_RAID_ADD  NET_OUT_RAID_ADD
    NET_RAID_OPERATE_REMOVE,                 // ɾRAID, Ӧṹ NET_IN_RAID_REMOVE  NET_OUT_RAID_REMOVE
    NET_RAID_OPERATE_GET_SUBDEVICE,          // ȡRAID豸Ϣ, Ӧṹ NET_IN_RAID_GET_SUBDEVICE  NET_OUT_RAID_GET_SUBDEVICE
    NET_RAID_OPERATE_GET_SUBSMART,           // ȡRAID豸SMARTϢ, Ӧṹ NET_IN_RAID_GET_SUBSMART  NET_OUT_RAID_GET_SUBSMART
    NET_RAID_OPERATE_MODIFY,                 // ޸RAID, Ӧṹ NET_IN_RAID_MODIFY  NET_OUT_RAID_MODIFY
} NET_RAID_OPERATE_TYPE;

// RAIDϢ
typedef struct tagNET_RAID_INFO 
{
    DWORD                dwSize;
    char                 szName[DH_COMMON_STRING_64];     // , Ϊʱ豸
    char                 szLevel[DH_COMMON_STRING_16];    // ȼ, "RAID0", "RAID5"
    int                  nMemberNum;                      // Ա
    char                 szMembers[DH_MAX_MEMBER_PER_RAID][DH_COMMON_STRING_64]; // ԱϢ
} NET_RAID_INFO;

// RAIDķؽ
typedef struct tagNET_RAID_ADD_RESULT 
{
    DWORD                dwSize;
    BOOL                 bResult;
    DWORD                dwErrorCode;                    // ʧܴ
    char                 szName[DH_COMMON_STRING_64];    // 
} NET_RAID_ADD_RESULT;

// RAID
typedef struct tagNET_IN_RAID_ADD 
{
    DWORD                dwSize;
    int                  nRaidNun;                          // RAID
    NET_RAID_INFO        stuRaids[DH_MAX_RAID_NUM];         // RAIDϢ
} NET_IN_RAID_ADD;

// RAID
typedef struct tagNET_OUT_RAID_ADD 
{
    DWORD                dwSize;
    int                  nResultNum;                        // 
    NET_RAID_ADD_RESULT  stuResults[DH_MAX_RAID_NUM];       // RAIDĽ
} NET_OUT_RAID_ADD;

// ɾRAIDķؽ
typedef struct tagNET_RAID_REMOVE_RESULT 
{
    DWORD                dwSize;
    BOOL                 bResult;
    DWORD                dwErrorCode;                       // ʧܴ
} NET_RAID_REMOVE_RESULT;

// ɾRAID
typedef struct tagNET_IN_RAID_REMOVE 
{
    DWORD                dwSize;
    int                  nRaidNum;                         // RAID
    char                 szRaids[DH_MAX_RAID_NUM][DH_COMMON_STRING_64];    // RAID
} NET_IN_RAID_REMOVE;

// ɾRAID
typedef struct tagNET_OUT_RAID_REMOVE
{
    DWORD                dwSize;
    int                  nResultNum;                       // 
    NET_RAID_REMOVE_RESULT stuResults[DH_MAX_RAID_NUM];    // RAIDĽ
} NET_OUT_RAID_REMOVE;

// ȡRAID豸Ϣ
typedef struct tagNET_IN_RAID_GET_SUBDEVICE 
{
    DWORD                dwSize;
    const char*          pszRaidName;                    // RAID
} NET_IN_RAID_GET_SUBDEVICE;

// ȡRAID豸Ϣ
typedef struct tagNET_OUT_RAID_GET_SUBDEVICE 
{
    DWORD                dwSize;
    int                  nSubDeviceNum;                  // 豸
    DH_STORAGE_DEVICE    stuSubDevices[DH_MAX_MEMBER_PER_RAID]; // 豸Ϣ
} NET_OUT_RAID_GET_SUBDEVICE;

// RAID豸SMARTϢ
typedef struct tagNET_RAID_SMART_INFO 
{
    DWORD                dwSize;
    unsigned int         nID;                            // ID
    char                 szName[DH_COMMON_STRING_64];    // 
    int                  nCurrent;                       // ֵ
    int                  nWorst;                         // ֵ
    int                  nThreshold;                     // ֵ
    int                  nPredict;                       // ״̬
    char                 szRaw[DH_COMMON_STRING_16];     // ʵֵ
} NET_RAID_SMART_INFO;

// ȡRAID豸SMARTϢ
typedef struct tagNET_IN_RAID_GET_SUBSMART
{
    DWORD                dwSize;
    const char*          pszSubDevName;                  // RAID豸
} NET_IN_RAID_GET_SUBSMART;

// ȡRAID豸SMARTϢ
typedef struct tagNET_OUT_RAID_GET_SUBSMART
{
    DWORD                dwSize;
    int                  nSmartNum;                          // SMARTϢ
    NET_RAID_SMART_INFO  stuSmartInfos[MAX_SMART_VALUE_NUM]; // SMARTϢ
} NET_OUT_RAID_GET_SUBSMART;

// ޸RAIDķؽ
typedef struct tagNET_RAID_MODIFY_RESULT 
{
    DWORD                dwSize;
    BOOL                 bResult;
    DWORD                dwErrorCode;                       // ʧܴ
} NET_RAID_MODIFY_RESULT;

// ޸RAID
typedef struct tagNET_IN_RAID_MODIFY
{
    DWORD                dwSize;
    int                  nRaidNun;                          // RAID
    NET_RAID_INFO        stuRaids[DH_MAX_RAID_NUM];         // RAIDϢ
} NET_IN_RAID_MODIFY;

// ޸RAID
typedef struct tagNET_OUT_RAID_MODIFY 
{
    DWORD                dwSize;
    int                  nResultNum;                        // 
    NET_RAID_MODIFY_RESULT stuResults[DH_MAX_RAID_NUM];     // RAIDĽ
} NET_OUT_RAID_MODIFY;


//////////////////////////////// ⲿ豸 //////////////////////////////////////////

// 豸
typedef enum tagNET_EXT_DEV_TYPE
{
    EXT_DEV_UNKNOWN,                    // δ֪
    EXT_DEV_PROJECTOR,                  // ͶӰ
    EXT_DEV_SEQUENCE_POWER,            // Դ
} NET_EXT_DEV_TYPE;

// 豸Ϣ
typedef struct tagNET_EXTERNAL_DEVICE 
{
    DWORD               dwSize;
    NET_EXT_DEV_TYPE    emType;                             // 豸
    char                szDevID[DH_DEV_ID_LEN_EX];          // 豸ID, Ψһ
    char                szDevName[DH_DEV_ID_LEN_EX];        // 豸
} NET_EXTERNAL_DEVICE;

// ԴʱƲ
typedef struct tagNET_CTRL_SEQPOWER_PARAM
{
    DWORD               dwSize;
    const char*         pszDeviceID;                        // 豸ID
    int                 nChannel;                           // ڻ
} NET_CTRL_SEQPOWER_PARAM;

// ͶӰǿƲ
typedef struct tagNET_CTRL_PROJECTOR_PARAM 
{
    DWORD               dwSize;
    const char*         pszDeviceID;                        // 豸ID
} NET_CTRL_PROJECTOR_PARAM;

// ⰴ
typedef struct tagNET_CTRL_INFRARED_KEY_PARAM 
{
    DWORD               dwSize;
    int                 nChannel;                           // ͨ
    unsigned int        nKey;                               // ⰴID
} NET_CTRL_INFRARED_KEY_PARAM;

// Ӳ̱
typedef struct tagALARM_NO_DISK_INFO
{
    DWORD               dwSize;
    NET_TIME            stuTime;                            // ʱ
    DWORD               dwAction;                           // ¼, 0:Start, 1:Stop
}ALARM_NO_DISK_INFO;
//״̬ö
typedef enum __EM_CAPSULE_STATE
{
    CAPSULE_STATE_UNKNOW ,      //δ
    CAPSULE_STATE_NORMAL ,      //
    CAPSULE_STATE_TIME_OUT ,    //ʱ
    CAPSULE_STATE_EMERGENCY_CALL,   //
}EM_CAPSULE_STATE;

//¼
typedef struct tagALARM_PROTECTIVE_CAPSULE_INFO
{
    DWORD               dwSize;
    EM_CAPSULE_STATE    emCapsuleState; //״̬
    DWORD               nLock;          //0:δ,1:; emCapsuleStateΪCAPSULE_STATE_NORMALʱЧ
    DWORD               nInfrared;      //0:(),1:();emCapsuleStateΪCAPSULE_STATE_NORMALʱЧ
}ALARM_PROTECTIVE_CAPSULE_INFO;

// ȡ
typedef struct tagNET_IN_VIDEOIN_FISHEYE_CAPS
{
    DWORD                dwSize; 
    int                  nChannel;  //ͨ
}NET_IN_VIDEOIN_FISHEYE_CAPS;

// ȡ
typedef struct tagNET_OUT_VIDEOIN_FISHEYE_CAPS
{
    DWORD                       dwSize; 
    int                         nMountModeNum;                     // ֵ֧İװģʽ         
    NET_FISHEYE_MOUNT_MODE      emMountModes[NET_MAX_FISHEYE_MOUNTMODE_NUM]; // ֵ֧İװģʽб
    int                         nCalibrateModeNum;                 // ֵ֧۽ģʽ  
    NET_FISHEYE_CALIBRATE_MODE  emCalibrateModes[NET_MAX_FISHEYE_CALIBRATEMODE_NUM]; // ֵ֧۽ģʽб
    int                         nEPtzCmdNum;                       // ֵ֧۵̨ 
    NET_FISHEYE_EPTZ_CMD        emEPtzCmds[NET_MAX_FISHEYE_EPTZCMD_NUM]; // ֵ֧۵̨б
    NET_FISHEYE_TYPE            emType;                                 //
}NET_OUT_VIDEOIN_FISHEYE_CAPS;

// ȡԴʱ
typedef struct tagNET_IN_CAP_SEQPOWER 
{
    DWORD                dwSize;
    const char*          pszDeviceID;                       // 豸ID
} NET_IN_CAP_SEQPOWER;

// ȡԴʱ
typedef struct tagNET_OUT_CAP_SEQPOWER
{
    DWORD                dwSize;
    int                  nChannelNum;                       // ͨ
} NET_OUT_CAP_SEQPOWER;

// ȡ豸öӦ
typedef struct tagNET_IN_ENCODE_CFG_CAPS
{
    DWORD               dwSize;           
    int                 nChannelId;                         // ͨ    
    int                 nStreamType;                        // ,01122334ץͼ
                                                            // ˲Բ,ָʲô,豸ץͼ
    char*               pchEncodeJson;                      // Encode,ͨdhconfigsdk.dllнӿCLIENT_PacketDataװõ
                                                            // ӦķװΪ CFG_CMD_ENCODE                 
}NET_IN_ENCODE_CFG_CAPS;

// öӦ
typedef struct tagNET_STREAM_CFG_CAPS
{
    DWORD               dwSize;
    int                 nAudioCompressionTypes[DH_MAX_AUDIO_ENCODE_TYPE]; // ֵ֧Ƶ,DH_TALK_CODING_TYPE
    int                 nAudioCompressionTypeNum;                   // Ƶѹʽ
    int                 dwEncodeModeMask;                           // Ƶģʽ,"ģʽ"
    DH_RESOLUTION_INFO  stuResolutionTypes[DH_MAX_CAPTURE_SIZE_NUM];// ֵ֧Ƶֱ
    int                 nResolutionFPSMax[DH_MAX_CAPTURE_SIZE_NUM]; // ֱֵͬ֡,±nResolutionTypesӦ 
    int                 nResolutionTypeNum;                         // Ƶֱʸ
    int                 nMaxBitRateOptions;                         // Ƶ(kbps) 
    int                 nMinBitRateOptions;                         // СƵ(kbps)
    BYTE                bH264ProfileRank[DH_PROFILE_HIGH];          // ֵ֧H.264 Profileȼ,ö EM_H264_PROFILE_RANK;  
    int                 nH264ProfileRankNum;                        // ֵ֧H.264 Profileȼ
    int                 nCifPFrameMaxSize;                          // ֱΪcifʱp֡(Kbps)
    int                 nCifPFrameMinSize;                          // ֱΪcifʱСp֡(Kbps)
    int                 nFPSMax;                                    // Ƶֵ֡,Ϊ0ʱ,nResolutionFPSMaxΪ׼
    DH_RESOLUTION_INFO  stuIndivResolutionTypes[DH_MAX_COMPRESSION_TYPES_NUM][DH_MAX_CAPTURE_SIZE_NUM];// ֵ֧Ƶֱ
	BOOL				abIndivResolution;							// 0: stuResolutionTypes,nResolutionTypeNum Ч 
                                                                    // 1: stuIndivResolutionTypes, nIndivResolutionNums Ч
    int                 nIndivResolutionNums[DH_MAX_COMPRESSION_TYPES_NUM];// ͬģʽֱֵ֧Ƶֱʸ
}NET_STREAM_CFG_CAPS;

// ȡ豸öӦ
typedef struct tagNET_OUT_ENCODE_CFG_CAPS
{
    DWORD               dwSize;
    NET_STREAM_CFG_CAPS stuMainFormatCaps[DH_REC_TYPE_NUM];         // öӦ, ж, һʾͨ¼, ڶʾ¼, ʾ¼
    NET_STREAM_CFG_CAPS stuExtraFormatCaps[DH_N_ENCODE_AUX];        // öӦ, ж, һʾ1, ڶʾ2, ʾ3
    NET_STREAM_CFG_CAPS stuSnapFormatCaps[SNAP_TYP_NUM];           // ץͼöӦ, ж, һʾͨץͼ, ڶʾץͼ, ʾץͼ
    int                 nMainFormCaps;                              // ЧöӦ
    int                 nExtraFormCaps;                             // ЧĸöӦ
    int                 nSnapFormatCaps;                            // ЧץͼöӦ
}NET_OUT_ENCODE_CFG_CAPS;


//ȡƵ
typedef struct tagNET_IN_VIDEO_DETECT_CAPS
{
    DWORD               dwSize;           
    int                 nChannel;  //ͨ 
}NET_IN_VIDEO_DETECT_CAPS;

// ý
typedef enum tagNET_MEDIA_CAP_TYPE
{
    NET_MEDIA_CAP_TYPE_SENSORINFO,      // ͷϢ
} NET_MEDIA_CAP_TYPE;

// CLIENT_GetDevCaps NET_MEDIAMANAGER_CAPS 
typedef struct tagNET_IN_MEDIAMANAGER_GETCAPS
{
    DWORD               dwSize;
    NET_MEDIA_CAP_TYPE  emType;         // Ҫȡ
} NET_IN_MEDIAMANAGER_GETCAPS;

// ȡ豸öӦ	 
typedef struct tagNET_IN_SNAP_CFG_CAPS	 	 	 
{        	 	 	 
    int                 nChannelId;                     // ͨ(ʼͨ0) 	 	 	 
    BYTE                bReserved[1024];                // 	 	 	 
}NET_IN_SNAP_CFG_CAPS;	 	 	 

#define DH_MAX_FPS_NUM                128                // ֵ֧֡ʸ	 	 	 
#define DH_MAX_QUALITY_NUM            32                 // ֵ֧Ļʸ	 	 	 

// ץͼ	 	 	 
typedef struct tagNET_OUT_SNAP_CFG_CAPS 	 	 	 
{	 	 	 
    int                 nResolutionTypeNum;                // ֵ֧ƵֱϢ	 	 	 
    DH_RESOLUTION_INFO  stuResolutionTypes[DH_MAX_CAPTURE_SIZE_NUM];	 	 	 
    DWORD               dwFramesPerSecNum;                 // ֵ֧֡Ϣ	 	 	 
    int                 nFramesPerSecList[DH_MAX_FPS_NUM]; // -25251֡-24241֡	 	 	 
                                                           // 0Ч111֡212֡313֡	 	 	 
                                                           // 414֡515֡17117֡18118֡	 	 	 
                                                           // 19119֡20120֡	 	 	 
    DWORD               dwQualityMun;                      // ֵ֧ĻϢ	 	 	 
    DWORD               nQualityList[DH_MAX_QUALITY_NUM];  // 1-66ߣ 	 	 
    DWORD               dwMode;                            // ģʽ,λһλʱڶλֶ	 	 	 
    DWORD               dwFormat;                          // ͼƬʽģʽ,λһλbmpڶλjpg	 	 	 
    BYTE                bReserved[2048];                   // 	 	 	 
} NET_OUT_SNAP_CFG_CAPS;

// ͷ
typedef enum tagNET_CAMERA_SENSOR
{
    NET_CAMERA_SENSOR_NORMAL,           // һ㣨ɼ⣩
    NET_CAMERA_SENSOR_LEPTON,           // Lepton ȳ
    NET_CAMERA_SENSOR_TAU,              // Tau ȳ
} NET_CAMERA_SENSOR;

// ͷϢ
typedef struct tagNET_CAMERA_SENSORINFO
{
    NET_CAMERA_SENSOR   emSensorType;       // 
    int                 nChannelsCount;     // ˴ͶӦͨ
    int                 nChannels[512];     // ˴ͶӦͨ
    char                reserved[512];
} NET_CAMERA_SENSORINFO;

// ýϢͷ
typedef struct tagNET_MEDIA_SENSORINFO
{
    BOOL                    bSupport;               // Ƿֱ֧ȡ,ΪTRUEʱ³ԱЧ
    int                     nSensorTypeCount;       // 豸еľͷ͸
    NET_CAMERA_SENSORINFO   stuDetail[16];          // ÿ͵ϸϢ,Ч nSensorTypeCount ָ
    char                    reserved[1024];
} NET_MEDIA_SENSORINFO;

// CLIENT_GetDevCaps NET_MEDIAMANAGER_CAPS 
typedef struct tagNET_OUT_MEDIAMANAGER_GETCAPS
{
    DWORD                   dwSize;
    NET_MEDIA_SENSORINFO    stuSensorInfo;          // ͷϢ
} NET_OUT_MEDIAMANAGER_GETCAPS;

// Ƶ
typedef enum tagNET_ENUM_VIDEOIN_CAP_TYPE
{
    NET_VIDEOIN_CAP_TYPE_CONFLICT,                          // 豸ƵͻӦNET_OUT_VIDEOIN_CONFLICT_CAPS
}NET_ENUM_VIDEOIN_CAP_TYPE;

// CLIENT_GetDevCaps NET_VIDEOIN_CAPS 
typedef struct tagNET_IN_VIDEOIN_CAPS
{
    DWORD                               dwSize;
    int                                 nChannel;                    // ͨ
    NET_ENUM_VIDEOIN_CAP_TYPE           emCapType;                   // 豸Ƶ
}NET_IN_VIDEOIN_CAPS;

typedef enum tagNET_ENUM_CONFLICT_TYPE
{
    NET_ENUM_CONFLICT_TYPE_UNKNOWN,                          // δ֪
    NET_ENUM_CONFLICT_TYPE_MAIN,                             // 
    NET_ENUM_CONFLICT_TYPE_EXTRA1,                           // 1
    NET_ENUM_CONFLICT_TYPE_EXTRA2,                           // 2
    NET_ENUM_CONFLICT_TYPE_TVOUT,                            // ģ
    NET_ENUM_CONFLICT_TYPE_DSP,                              // 
    NET_ENUM_CONFLICT_TYPE_SMARTENC,                         // Smart(GOP)
    NET_ENUM_CONFLICT_TYPE_SETGOP,                           // GOP
    NET_ENUM_CONFLICT_TYPE_ROI,                              // Ȥ
    NET_ENUM_CONFLICT_TYPE_CBR,                              // 㶨
    NET_ENUM_CONFLICT_TYPE_SVC,                              // SVC
    NET_ENUM_CONFLICT_TYPE_MJPEG,                            // MJPEG
    NET_ENUM_CONFLICT_TYPE_ROTATE_90,                        // ת90
}NET_ENUM_CONFLICT_TYPE;

typedef struct tagNET_CONFLICT_TYPE
{
    NET_ENUM_CONFLICT_TYPE      emConflict1;                 // ͻ1              
    NET_ENUM_CONFLICT_TYPE      emConflict2;                 // ͻ2
    char                        reserved[64];
}NET_CONFLICT_TYPE;
// CLIENT_GetDevCaps NET_VIDEOIN_CAPS 
typedef struct tagNET_VIDEOIN_CONFLICT_CAPS
{
    BOOL                        bConflict;                  // ǷԴͻ
    int                         nConflictNum;               // ͻ
    NET_CONFLICT_TYPE           stuConflict[MAX_VIDEOIN_CONFLICT_NUM];           // ͻ
}NET_VIDEOIN_CONFLICT_CAPS;

typedef struct tagNET_OUT_VIDEOIN_CAPS
{
    DWORD                       dwSize;
    NET_VIDEOIN_CONFLICT_CAPS   stuConflictCap;             // Դͻṹ
}NET_OUT_VIDEOIN_CAPS;

// CLIENT_GetDevCaps  NET_VIDEO_MOSAIC_CAPS
typedef struct tagNET_IN_MEDIA_VIDEOMOSAIC_GETCAPS
{
	DWORD               dwSize;						// ûʹʱֵΪṹС
} NET_IN_MEDIA_VIDEOMOSAIC_GETCAPS;

// CLIENT_GetDevCaps  NET_VIDEO_MOSAIC_CAPS
typedef struct tagNET_OUT_MEDIA_VIDEOMOSAIC_GETCAPS
{
	DWORD               dwSize;									// ûʹʱֵΪṹС
	int					nSupportCount;							// ʵֵ֧˵ͨ
	short				snSupport[MAX_MOSAIC_CHANNEL_NUM];		// ֵ֧ͨ[-1]ʾȫ֧
	int					nMosaicCount;							// ʵֵ֧˿
	char				szMosaic[MAX_MOSAIC_NUM];				// ֵ֧˿С
	DH_SIZE				stuRectMax;								// ߴ
	DH_SIZE				stuRectMin;								// Сߴ
} NET_OUT_MEDIA_VIDEOMOSAIC_GETCAPS;

// CLIENT_GetDevCaps NET_FACE_BOARD_CAPS 
typedef struct tagNET_IN_FACEBOARD_CAPS
{
    DWORD               dwSize;						            // ýṹС
}NET_IN_FACEBOARD_CAPS;

// CLIENT_GetDevCaps NET_VIDEO_IMAGECONTROL_CAPS 
typedef struct tagNET_IN_VIDEO_IMAGECONTROL_CAPS
{
	DWORD               dwSize;									// ûʹʱֵΪṹС
	int					nChannel;								// ͨ
} NET_IN_VIDEO_IMAGECONTROL_CAPS;

// 
typedef enum tagNET_EM_STABLE_CAPS_TYPE
{
	EM_STABLE_UNSPPORT,					// ֧ͼ
	EM_STABLE_ELEC,						// ֵ֧ӷ
	EM_STABLE_LIGHT,					// ֹ֧ѧ
	EM_STAVLE_ELEC_AND_LIGHT,			// ֵ֧ӷ͹ѧ
	EM_STABLE_CONTROL,					// ֿ֧ؼ
	EM_STABLE_ELEC_AND_CONTROL,			// ֵ֧ӷͿؼ
	EM_STABLE_LIGHT_AND_CONTROL,		// ֹ֧ѧͿؼ
} NET_EM_STABLE_CAPS_TYPE;

// CLIENT_GetDevCaps NET_VIDEO_IMAGECONTROL_CAPS 
typedef struct tagNET_OUT_VIDEO_IMAGECONTROL_CAPS
{
	DWORD               			dwSize;							// ûʹʱֵΪṹС
	BOOL							bSupport;						// Mirror,Flip,Rotate90һ֧true
	BOOL							bMirror;						// Ƿֻ֧澵
	BOOL							bFlip;							// Ƿֻ֧180ת
	BOOL							bRotate90;						// ֵ֧Ļ90/270ת
	BOOL							bFreeze;						// Ƿ֧ͼ񶳽Ṧ
	NET_EM_STABLE_CAPS_TYPE			emStable;						// ֧ͼĹ
} NET_OUT_VIDEO_IMAGECONTROL_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_EXPOSURE_CAPS 
typedef struct tagNET_IN_VIDEOIN_EXPOSURE_CAPS
{
	DWORD               dwSize;									// ûʹʱֵΪṹС
	int					nChannel;								// ͨ
} NET_IN_VIDEOIN_EXPOSURE_CAPS;

#define MAX_EXPOSURE_COUNT	8

// عģʽ
typedef enum tagNET_EM_EXPOSURE_MODE
{
	NET_EM_EXPOSURE_AUTO,					// ĬԶ
	NET_EM_EXPOSURE_LOWNICE,				// 
	NET_EM_EXPOSURE_ANTISHADOW,				// Ӱ
	NET_EM_EXPOSURE_MANUALRANGE	= 4,		// ֶ
	NET_EM_EXPOSURE_APERTUREFIRST,			// Ȧ
	NET_EM_EXPOSURE_MANUALFIXATION,			// ̶ֶ
	NET_EM_EXPOSURE_GIANFIRST,				// 
	NET_EM_EXPOSURE_SHUTTERFIRST,			// 
	NET_EM_EXPOSURE_FLASHMATCH,				// ƥģʽ
} NET_EM_EXPOSURE_MODE;

// ˸ģʽ
typedef enum tagNET_EM_ANTIFLICKER_MODE
{
	NET_EM_ANTIFLICKER_OUTDOOR,			// 
	NET_EM_ANTIFLICKER_50HZ,			// 50Hz
	NET_EM_ANTIFLICKER_60HZ,			// 60Hz
} NET_EM_ANTIFLICKER_MODE;

// عٶȵȼ飬ֵǷĸλ롣100ʾ1/100عʱ
// "-1"ʾ֧ûɵֶΣʾ֧ûɵ
typedef struct tagNET_SPEED_CAPS
{
	int			nRetManual;								// ֶģʽµĿʵʸ
	int			nManual[DH_COMMON_STRING_16];			// ֶģʽµĿб
	int			nRetManual50Hz;							// ˸50HZ ģʽ£ֶģʽӦĿʵʸ
	int			nManual50Hz[DH_COMMON_STRING_16];		// ˸50HZ ģʽ£ֶģʽӦĿб
	int			nRetManual60Hz;							// ˸60HZ ģʽ£ֶģʽӦĿʵʸ
	int			nManual60Hz[DH_COMMON_STRING_16];		// ˸60HZ ģʽ£ֶģʽӦĿб
	int			nRetShutterPAL;							// µPƿʵʸ
	int			nShutterPAL[DH_COMMON_STRING_16];		// µPƿб
	int			nRetShutterNTSC;						// µNƿʵʸ
	int			nShutterNTSC[DH_COMMON_STRING_16];		// µNƿб
	BYTE		bReserved[128];							// Ԥֶ
} NET_SPEED_CAPS;

typedef struct tagNET_SLOW_SPEED_CAPS
{
	int			nRetPal;
	int			nPal[DH_COMMON_STRING_16];
	int			nRetNtsc;
	int			nNtsc[DH_COMMON_STRING_16];
	BYTE		bReserved[128];					// Ԥֶ
} NET_SLOW_SPEED_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_EXPOSURE_CAPS 
typedef struct tagNET_OUT_VIDEOIN_EXPOSURE_CAPS
{
	DWORD               		dwSize;									// ûʹʱֵΪṹС
	BOOL						bSupport;								// Ƿ֧ع
	int							nExposureMode;							// ʵֵ֧عģʽ
	NET_EM_EXPOSURE_MODE		emExposureMode[MAX_EXPOSURE_COUNT];		// ֵ֧عģʽ
	BOOL						bAntiFlicker;							// Ƿַ֧˸
	int							nAntiFlicker;							// ʵֵ֧ķ˸ܸ
	NET_EM_ANTIFLICKER_MODE		emAntiFlicker[MAX_ANTIFLICKERMODE_COUNT];	// ˸б
	int							nMinCompensation;						// عⲹСֵ
	int							nMaxCompensation;						// عⲹֵ
	BOOL						bGainUpperLimit;						// ֧ѡ
																		// true:ԶȦȣģʽʾѡ
																		// false: ԶȦȣģʽѡ
	int							nMinGain;								// Сֵ
	int							nMaxGain;								// ֵ
	BOOL						bSlowAutoExposure;						// Ƿ֧ع, Ĭ֧
																		// иֵֶΪfalse·عãûдֵֵΪtrue·ع
	int							nMinSlowAutoExposure;					// عСֵ
	int							nMaxSlowAutoExposure;					// عֵ
	BOOL						bSlowShutter;							// Ƿ֧
	float						fMinValueLow;							// ԶعʱСֵ
	float						fMaxValueLow;							// Զعʱֵ
	float						fMinValueUp;							// ԶعʱСֵ
	float						fMaxValueUp;							// Զعʱֵ
	NET_SPEED_CAPS				stuSpeedCaps;							// عٶȵȼ
	NET_SLOW_SPEED_CAPS			stuSlowSpeedCaps;						// عٶȵȼ
	BOOL						bIrisAuto;								// Ƿ֧ԶȦ
	int							nIrisMin;								// ֶȦСֵ
	int							nIrisMax;								// ֶȦֵ
	BOOL						bSupportIrisRange;						// ֹ֧Ȧɵ
	BOOL						bDoubleExposure;						// Ƿ֧ITC˫ŵ
	BOOL						bRecoveryTime;							// Ƿ֧Զعָ
} NET_OUT_VIDEOIN_EXPOSURE_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_DENOISE_CAPS 
typedef struct tagNET_IN_VIDEOIN_DENOISE_CAPS
{
	DWORD				dwSize; 								// ûʹʱֵΪṹС
	int 				nChannel;								// ͨ
} NET_IN_VIDEOIN_DENOISE_CAPS;

// ֵ֧3D
typedef enum tagNET_EM_3DSUPPORT_TYPE
{
	NET_EM_3DSUPPORT_UNKOWN,									// δ֪
	NET_EM_3DSUPPORT_OFF,										// ر
	NET_EM_3DSUPPORT_AUTO,										// Զ
	NET_EM_3DSUPPORT_MANUAL,									// ֶ
} NET_EM_3DSUPPORT_TYPE;

// 3Dֵ֧㷨ģʽ
typedef struct tagNET_3D_ALGORITHM_MODE
{
	// ʾbit0,bit1,bit2...ֱʾ㷨bit0㷨bit1
	// 㷨bit2Դ.ȫΪ0ʾֽ֧㷨
	DWORD	dwSingleExposure;				// Ž
	DWORD	dwDoubleExposureFullRate;		// ITC˫ȫ֡ʽ
	DWORD	dwDoubleExposureHalfRate;		// ITC˫Ű֡ʽ
	DWORD	dsThreeExposure;				// Ž
	BYTE	bReserved[128];					// Ԥֶ
} NET_3DALGORITHM_MODE;

#define		MAX_3DTYPE_COUNT			8			// ֵ֧3D͸ 
#define		MAX_GROUP_COUNT				2			// ֵ
#define		MAX_PROGRAM_COUNT			8			// ÿֵ֧󷽰

// 2D
typedef struct tagNET_SUPPORT2D_CAPS
{
	BOOL						bSupport2D;								// Ƿ֧2D
	int							n2DLevelMin;							// 2DȼСֵ
	int							n2DLevelMax;							// 2Dȼֵ
	int							nMaxRAWLevel;							// RAW2Dֵ, 0 ʾ֧
	BYTE						bReserved[128];							// Ԥֶ
} NET_SUPPORT2D_CAPS;

// ÿ齵ֵ֧ķϢ
typedef struct tagNET_DENOISEGROUP_PROGRAM
{
	int							nProgramCount;								// ʵʵķ
	int							nProgram[MAX_PROGRAM_COUNT];			// ֵ֧ķб
} NET_DENOISEGROUP_PROGRAM;

// 3D
typedef struct tagNET_SUPPORT3D_CAPS
{
	BOOL						bSupport3D;								// Ƿ֧3D
	int							n3DTypeCount;							// ֵ֧3D͸
	NET_EM_3DSUPPORT_TYPE		em3DSupportType[MAX_3DTYPE_COUNT];		// ֵ֧3D
	int							n3DLevelMin;							// 3DȼСֵ
	int							n3DLevelMax;							// 3Dȼֵ
	int							nAutoLevelMin;							// 3DԶģʽСֵ
	int							nAutoLevelMax;							// 3DԶģʽֵ
	NET_3DALGORITHM_MODE		stuAlgorithmSDMode;						// 3Dֵ֧㷨ģʽ
	int							nGroupCount;							// ʵʷ
	NET_DENOISEGROUP_PROGRAM	stuDenoiseGroup[MAX_GROUP_COUNT]; 		// 飬лǰ󷽰ͬһЧЧֵnӦ, DenoiseModebit(n)Ӧķ
	int							nDenoiseScheme;							// 뷽, 1ʾ·ʽý,0ʾֱòʽýɷ
	BYTE						bReserved[128];							// Ԥֶ
} NET_SUPPORT3D_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_DENOISE_CAPS 
typedef struct tagNET_OUT_VIDEOIN_DENOISE_CAPS
{
	DWORD						dwSize; 								// ûʹʱֵΪṹС
	BOOL						bSupport;								// Ƿֽ֧
	NET_SUPPORT2D_CAPS			stu2DCaps;								// 2D 
	NET_SUPPORT3D_CAPS			stu3DCaps;								// 3D
	BOOL						bSupportAlgorithm1;						// Ƿֽ֧㷨1
	int							nTnfLevelRangeMin;						// ʱȼСֵ
	int							nTnfLevelRangeMax;						// ʱȼֵ
	int							nSnfLevelRangeMin;						// ȼСֵ
	int							nSnfLevelRangeMax;						// ȼֵ
	int							nSeniotTypeCount;						// ֵ֧ĸ߼͸
	NET_EM_3DSUPPORT_TYPE		emSeniorType[MAX_3DTYPE_COUNT];		// ֵ֧ĸ߼
} NET_OUT_VIDEOIN_DENOISE_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_BACKLIGHT_CAPS 
typedef struct tagNET_IN_VIDEOIN_BACKLIGHT_CAPS
{
	DWORD				dwSize; 								// ûʹʱֵΪṹС
	int 				nChannel;								// ͨ
} NET_IN_VIDEOIN_BACKLIGHT_CAPS;

// ģʽ
typedef enum tagNET_EM_BACK_MODE
{
	NET_EM_BACKLIGHT_MODE_UNKNOW,					// δ֪ģʽ
	NET_EM_BACKLIGHT_MODE_OFF,						// ر
	NET_EM_BACKLIGHT_MODE_BACKLIGHT,				// ⲹ
	NET_EM_BACKLIGHT_MODE_WIDEDYNAMIC,				// ̬
	NET_EM_BACKLIGHT_MODE_GLAREINHIBITION,			// ǿ
	NET_EM_BACKLIGHT_MODE_SSA,						// Ӧ
} NET_EM_BACK_MODE;

// ⲹģʽ
typedef enum tagNET_EM_BLACKLIGHT_MODE
{
	NET_EM_BLACKLIGHT_UNKNOW,						// δ֪ģʽ
	NET_EM_BLACKLIGHT_DEFAULT,						// Ĭģʽ
	NET_EM_BLACKLIGHT_REGION,						// Զģʽ
} NET_EM_BLACKLIGHT_MODE;

// ӦԱȶǿȵģʽ
typedef enum tagNET_EM_BACK_INTENSITY_MODE
{
	NET_EM_INTENSITY_UNKNOWN,			// δ֪
	NET_EM_INTENSITY_OFF,				// ر
	NET_EM_INTENSITY_AUTO,				// Զ
	NET_EM_INTENSITY_MANUAL,			// ֶ
} NET_EM_BACK_INTENSITY_MODE;

// ֧ǿģʽĲ÷ʽ
typedef enum tagNET_EM_GLAREINHIBITION_MODE
{
	NET_EM_GLAREINHIBITION_UNKNOWN,		// δ֪
	NET_EM_GLAREINHIBITION_DEFAULT,		// ͨģʽ(Ĭֵ)
	NET_EM_GLAREINHIBITION_FPGA,		// Fpgaǿ
} NET_EM_GLAREINHIBITION_MODE;

#define MAX_MODE_COUNT		8		// ģʽ֧

// CLIENT_GetDevCaps NET_VIDEOIN_BACKLIGHT_CAPS 
typedef struct tagNET_OUT_VIDEOIN_BACKLIGHT_CAPS
{
	DWORD						dwSize; 								// ûʹʱֵΪṹС
	BOOL						bSupport;								// Ƿֱ֧
	int							nBackModeCount;							// ģʽʵ֧
	NET_EM_BACK_MODE			emBackMode[MAX_MODE_COUNT];				// ֵ֧ıģʽ
	int							nBackLightModeCount;					// ⲹģʽʵ֧
	NET_EM_BLACKLIGHT_MODE		emBackLightMode[MAX_MODE_COUNT];		// ֵ֧ıⲹģʽ
	int							nWideDynamicRange;						// Ƿֿ֧̬
	int							nSSAIntensity;							// ӦԱȶǿȵֵ֧ģʽ
	NET_EM_BACK_INTENSITY_MODE	emIntensityMode[MAX_MODE_COUNT];		// ӦԱȶǿȵֵ֧ģʽ
	NET_EM_GLAREINHIBITION_MODE	emGlareInhibition[MAX_MODE_COUNT];		// ֧ǿģʽĲ÷ʽ
} NET_OUT_VIDEOIN_BACKLIGHT_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_WHITEBALANCE_CAPS 
typedef struct tagNET_IN_VIDEOIN_WHITEBALANCE_CAPS
{
	DWORD				dwSize; 								// ûʹʱֵΪṹС
	int 				nChannel;								// ͨ
} NET_IN_VIDEOIN_WHITEBALANCE_CAPS;

// ƽģʽ
typedef enum tagNET_EM_WHITEBALANCE_TYPE
{
	NET_EM_WHITEBALANCE_UNKNOW,					// δ֪
	NET_EM_WHITEBALANCE_DISABLE,				// Disable
	NET_EM_WHITEBALANCE_AUTO,					// Auto
	NET_EM_WHITEBALANCE_SUNNY,					// Sunny,6500K
	NET_EM_WHITEBALANCE_CLOUDY,					// Cloudy,7500K
	NET_EM_WHITEBALANCE_HOME,					// Home 5000K
	NET_EM_WHITEBALANCE_OFFICE,					// Office칫 4400K 
	NET_EM_WHITEBALANCE_NIGHT,					// Nightҹ 2800K
	NET_EM_WHITEBALANCE_CUSTOM,					// CustomԶ
	NET_EM_WHITEBALANCE_HIGHCOLORTEMP,			// HighColorTemperatureɫ
	NET_EM_WHITEBALANCE_LOWCOLORTEMP,			// LowColorTemperatureɫ
	NET_EM_WHITEBALANCE_AUTOCOLORTEMP,			// AutoColorTemperatureԶɫ
	NET_EM_WHITEBALANCE_CUSTOMCOLORTEMP,		// CustomColorTemperatureԶɫµȼ
	NET_EM_WHITEBALANCE_INDOOR,					// Indoor
	NET_EM_WHITEBALANCE_OUTDOOR,				// Outdoor,ص㱣֤̲ݵزƫɫ
	NET_EM_WHITEBALANCE_ATW,					// ATW
	NET_EM_WHITEBALANCE_MANUAL,					// Manualֶ
	NET_EM_WHITEBALANCE_AUTOOUTDOOR,			// AutoOutdoor
	NET_EM_WHITEBALANCE_SODIUMAUTO,				// SodiumAutoƵԶ
	NET_EM_WHITEBALANCE_SODIUM,					// SodiumƵ, 2000K
	NET_EM_WHITEBALANCE_MANUALDATUM,			// ManualDatumԶ嵥ƽ
	NET_EM_WHITEBALANCE_PARTWHITEBALANCE,		// PartWhiteBalanceԶƽ
	NET_EM_WHITEBALANCE_NATURAL,				// NaturalȻ, 2000K-12000K +賿
	NET_EM_WHITEBALANCE_STREETLAMP,				// StreetLamp·, 1000K-5000K
} NET_EM_WHITEBALANCE_TYPE;

#define MAX_BALANCEMODES_COUNT			16		// ƽģʽ

// CLIENT_GetDevCaps NET_VIDEOIN_WHITEBALANCE_CAPS 
typedef struct tagNET_OUT_VIDEOIN_WHITEBALANCE_CAPS
{
	DWORD								dwSize; 								// ûʹʱֵΪṹС
	BOOL								bSupport;								// Ƿְ֧ƽ
	int									nWhiteBalance;							// ʵֵ֧İƽģʽ
	NET_EM_WHITEBALANCE_TYPE			emWhiteBalance[MAX_BALANCEMODES_COUNT];	// ֵ֧İƽģʽб
} NET_OUT_VIDEOIN_WHITEBALANCE_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_DAYNIGHT_CAPS 
typedef struct tagNET_IN_VIDEOIN_DAYNIGHT_CAPS
{
	DWORD				dwSize; 								// ûʹʱֵΪṹС
	int 				nChannel;								// ͨ
} NET_IN_VIDEOIN_DAYNIGHT_CAPS;

// ICRл
typedef enum tagNET_EM_ICR_TYPE
{
	NET_EM_ICR_UNKONOW,			// δ֪
	NET_EM_ICR_ELECTRON,		// 
	NET_EM_ICR_MECHANISM,		// е
} NET_EM_ICR_TYPE;

// תģʽ
typedef enum tagNET_EM_COLORBLACK_MODE
{
	NET_EM_COLORBLACK_UNKNOWN,					// δ֪
	NET_EM_COLORBLACK_COLOR,					// ǲɫ
	NET_EM_COLORBLACK_BRIGHTNESS,				// Զл
	NET_EM_COLORBLACK_BLACKWHITE,				// Ǻڰ
	NET_EM_COLORBLACK_PHOTORESISTOR,			// 
	NET_EM_COLORBLACK_GAIN,						// л
	NET_EM_COLORBLACK_ALARMINPUT,				// ⲿ
	NET_EM_COLORBLACK_IO,						// ⲿIO
} NET_EM_COLORBLACK_MODE;

// CLIENT_GetDevCaps NET_VIDEOIN_DAYNIGHT_CAPS 
typedef struct tagNET_OUT_VIDEOIN_DAYNIGHT_CAPS
{
	DWORD						dwSize; 								// ûʹʱֵΪṹС
	BOOL						bSupport;								// оҹ
	int							nICRType;								// ʵֵ֧ICRл͸
	NET_EM_ICR_TYPE				emICRType[MAX_MODE_COUNT];				// ICRлб
	int							nColorBlackMode;						// ʵֵ֧Ĳתģʽ
	NET_EM_COLORBLACK_MODE		emColorBlackMode[MAX_MODE_COUNT];		// ֵ֧Ĳתģʽб
	int							nSensitivityRangeMin;					// תСֵ
	int							nSensitivityRangeMax;					// תֵ
	int							nDelayRangeMin;							// ҹģʽлʱСֵ
	int							nDelayRangeMax;							// ҹģʽлʱֵ
} NET_OUT_VIDEOIN_DAYNIGHT_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_ZOOM_CAPS 
typedef struct tagNET_IN_VIDEOIN_ZOOM_CAPS
{
	DWORD				dwSize; 								// ûʹʱֵΪṹС
	int 				nChannel;								// ͨ
} NET_IN_VIDEOIN_ZOOM_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_ZOOM_CAPS 
typedef struct tagNET_OUT_VIDEOIN_ZOOM_CAPS
{
	DWORD						dwSize; 								// ûʹʱֵΪṹС

	BOOL						bSupport;								// Ƿֱ֧䱶
	int							nSpeedRangeMin;							// 䱶Сֵ
	int 						nSpeedRangeMax;							// 䱶ֵ
	BOOL						bDigitalZoomSupport;					// Ƿֱ֧䱶
	int							nZoomLimitRangeMin;						// ǰ䱶޷ΧСֵ	
	int							nZoomLimitRangeMax;						// ǰ䱶޷Χֵ
} NET_OUT_VIDEOIN_ZOOM_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_FOCUS_CAPS 
typedef struct tagNET_IN_VIDEOIN_FOCUS_CAPS
{
	DWORD				dwSize; 								// ûʹʱֵΪṹС
	int 				nChannel;								// ͨ
} NET_IN_VIDEOIN_FOCUS_CAPS;

// ۽ģʽ
typedef enum tagNET_EM_FOCUS_MODE
{
	NET_EM_FOCUS_OFF,				// ر
	NET_EM_FOCUS_ASSIST,			// ۽
	NET_EM_FOCUS_AUTO,				// Զ۽
	NET_EM_FOCUS_SEMI_AUTO,			// Զ۽
	NET_EM_FOCUS_MANUAL,			// ֶ۽
} NET_EM_FOCUS_MODE;

// ۽ѡȡģʽ
typedef enum tagNET_EM_FOCUS_LIMITSELECT_MODE
{
	NET_EM_FOCUS_LIMITSELECT_UNKNOW,			// δ֪ģʽ
	NET_EM_FOCUS_LIMITSELECT_MANUAL,			// ֶ
	NET_EM_FOCUS_LIMITSELECT_AUTO,				// Զ
} NET_EM_FOCUS_LIMITSELECT_MODE;

// ۽
typedef enum tagNET_EM_FOCUS_TYPE
{
	NET_EM_FOCUS_UNKNOWN,						// δ֪
	NET_EM_FOCUS_AUTOTRACE,						// Զ佹
} NET_EM_FOCUS_TYPE;

// CLIENT_GetDevCaps NET_VIDEOIN_FOCUS_CAPS 
typedef struct tagNET_OUT_VIDEOIN_FOCUS_CAPS
{
	DWORD							dwSize; 								// ûʹʱֵΪṹС
	BOOL							bSupport;								// Ƿ֧־۽
	int								nFcousMode;								// ʵֵ֧ľ۽ģʽʽ
	NET_EM_FOCUS_MODE				emFocusMode[MAX_MODE_COUNT];			// ֵ֧ľ۽ģʽб
	int								nLimitMode;								// ʵֵ֧ľ۽ѡȡģʽ
	NET_EM_FOCUS_LIMITSELECT_MODE	emLimitMode[MAX_MODE_COUNT];			// ֵ֧ľ۽ѡȡģʽб
	BOOL							bSupportFocusRegion;					// Ƿ֧۽
	BOOL							bSensitivity;							// Ƿ֧־۽
	BOOL							bIRCorrection;							// Ƿֺ֧۽
	BOOL							bFocusLimit;							// Ƿ֧־۽
	int								nFocusTypeCount;						// ʵֵ֧ľ۽͸
	NET_EM_FOCUS_TYPE				emFocusType[MAX_MODE_COUNT];			// ֵ֧ľ۽б

    int                             nFocusLimitRangeCount;                  // ۽޷Χֵĸ
    int								nFocusLimitRange[16];					// ֧־۽ʱ۽޷Χֵλ
                                    /*1. ĬΪ[100, 1000, 2000, 3000, 5000]Լǰ豸
                                      2. λдxxxx1ʱʾʱҪ1滻Ϊ0׷ַ+磺200001ʾʱΪ200000mm+ (ͨýֱ۵ĵλʾ磺200m+)*/
} NET_OUT_VIDEOIN_FOCUS_CAPS;

//// CLIENT_GetDevCaps NET_VIDEOIN_SHARPNESS_CAPS 
typedef struct tagNET_IN_VIDEOIN_SHARPNESS_CAPS
{
	DWORD				dwSize; 								// ûʹʱֵΪṹС
	int 				nChannel;								// ͨ
} NET_IN_VIDEOIN_SHARPNESS_CAPS;

// ģʽ
typedef enum tagNET_EM_SHARPNESS_MODE
{
	NET_EM_SHARPNESS_AUTO,				//Զ
	NET_EM_SHARPNESS_MANAUL,			// ֶ
}NET_EM_SHARPNESS_MODE;

// CLIENT_GetDevCaps NET_VIDEOIN_SHARPNESS_CAPS 
typedef struct tagNET_OUT_VIDEOIN_SHARPNESS_CAPS
{
	DWORD						dwSize; 								// ûʹʱֵΪṹС
	BOOL						bSupport;								// Ƿ֧
	int							nSharpnessMode;							// ʵֵ֧ģʽ
	NET_EM_SHARPNESS_MODE		emSharpnessMode[MAX_MODE_COUNT];		// ֵ֧ģʽб
	int							nSharpnessMin;							// Сֵ
	int							nSharpnessMax;							// ֵ

	BOOL						bSupportRestrain;						// Ƿ֧
	int							nRestrainLevelMin;						// ƵȼСֵ
	int							nRestrainLevelMax;						// Ƶȼֵ
} NET_OUT_VIDEOIN_SHARPNESS_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_COLOR_CAPS 
typedef struct tagNET_IN_VIDEOIN_COLOR_CAPS
{
	DWORD				dwSize; 								// ûʹʱֵΪṹС
	int 				nChannel;								// ͨ
} NET_IN_VIDEOIN_COLOR_CAPS;

// ͼ
typedef enum tagNET_EM_STYLE_TYPE
{
	NET_EM_STYLE_UNKONWON,			// δ֪
	NET_EM_STYLE_GENTLE,			// 
	NET_EM_STYLE_STANDARD,			// ׼
	NET_EM_STYLE_FLAMBOYANT,		// 
} NET_EM_STYLE_TYPE;

// ͼ
typedef struct tagNET_COLOR_STYLE_CAPS
{
	BOOL				bSupport;								// Ƿ֧ͼ
	int					nStyleType;								// ʵֵ֧ͼ
	NET_EM_STYLE_TYPE	emStyleType[MAX_MODE_COUNT];			// ֵ֧ͼб
	BYTE				bReserved[128];							// Ԥֶ
} NET_COLOR_STYLE_CAPS;

#define MAX_GRAYVALUE_COUNT			8  // Ҷֵ

// ҶȷΧ
typedef struct tagNET_GRAY_SCALE_CAPS
{
	BOOL				bSupport;								// Ƿֻ֧ҶȷΧ
	int					nValueCount;							// ʵֵ֧ĻҶȷΧ
	int					nValue[MAX_GRAYVALUE_COUNT][2];		// ҶȷΧֵ
	BYTE				bReserved[128];							// Ԥֶ
} NET_GRAY_SCALE_CAPS;

// CLIENT_GetDevCaps NET_VIDEOIN_COLOR_CAPS 
typedef struct tagNET_OUT_VIDEOIN_COLOR_CAPS
{
	DWORD					dwSize; 							// ûʹʱֵΪṹС
	BOOL					bSupport;							// Ƿ֧ͼ
	BOOL					bBrightness;						// Ƿ֧
	BOOL					bContrast;							// Ƿֶ֧Աȶ
	BOOL					bSaturation;						// Ƿֱ֧Ͷ
	BOOL					bHue;								// Ƿ֧ɫ
	BOOL					bGamma;								// Ƿ֧Gamma
	BOOL					bChromaSuppress;					// Ƿ֧ɫ
	NET_COLOR_STYLE_CAPS	stuColorStype;						// ͼ
	NET_GRAY_SCALE_CAPS		stuGrayScale;						// ҶȷΧ
} NET_OUT_VIDEOIN_COLOR_CAPS;

// CLIENT_GetDevCaps ӿ NET_VIDEOIN_RAWFRAME_CAPS 
typedef struct tagNET_IN_VIDEOIN_RAWFRAME_CAPS
{
	DWORD					dwSize;
}NET_IN_VIDEOIN_RAWFRAME_CAPS;

// YUVݸʽ
typedef struct tagNET_RAWFRAMETYPE_DATA
{
	int						nListNum;										// ʵʷصݸʽ
	char					szList[DH_COMMON_STRING_16][DH_COMMON_STRING_8];// ֵ֧YUVݸʽб
	BYTE					byReserved[1024];
}NET_RAWFRAMETYPE_DATA;

// CLIENT_GetDevCaps ӿ NET_VIDEOIN_RAWFRAME_CAPS 
typedef struct tagNET_OUT_VIDEOIN_RAWFRAME_CAPS
{
	DWORD								dwSize;
	NET_RAWFRAMETYPE_DATA				stuFrameData;
}NET_OUT_VIDEOIN_RAWFRAME_CAPS;

// ¶ȵλ
typedef enum tagEM_TEMPERATURE_UNIT
{
	EM_TEMPERATURE_CENTIGRADE,			// ϶
	EM_TEMPERATURE_FAHRENHEIT,			// ϶
	EM_TEMPERATURE_KELVIN,				// 
} EM_TEMPERATURE_UNIT;

#define MAX_UNIT_COUNT		8		// ֵ֧ⵥλ

// CLIENT_GetDevCaps NET_FACE_BOARD_CAPS 
typedef struct tagNET_OUT_FACEBOARD_CAPS
{
    DWORD               	dwSize;						            // ýṹС
    BOOL                	bHasBattery;                            // Ƿе
    BOOL                	bSupportPowerVoltageDetect;             // Ƿֵ֧Դѹ
    BOOL					bTemperatures;							// Ƿ֧¶ȴ
    BOOL					bOSDTemperatureUnit;					// Ƿ֧¶ȵλѡ
    int						nRetUnitCount;							// ʵֵ֧¶ȵλ
    EM_TEMPERATURE_UNIT		emTempreatureUnit[MAX_UNIT_COUNT];		// OSDʱֵ֧¶ȵλ
}NET_OUT_FACEBOARD_CAPS;

// CLIENT_GetDevCapsӿ NET_COAXIAL_CONTROL_IO_CAPS 
typedef struct tagNET_IN_GET_COAXIAL_CONTROL_IO_CAPS
{
	DWORD							dwSize;							// ṹС
	int								nChannel;						// ͨ
} NET_IN_GET_COAXIAL_CONTROL_IO_CAPS;

// CLIENT_GetDevCapsӿ NET_COAXIAL_CONTROL_IO_CAPS 
typedef struct tagNET_OUT_GET_COAXIAL_CONTROL_IO_CAPS
{
	DWORD							dwSize;							// ṹС
	BOOL							bSupportControlLight;			// Ƿְ֧׹
	BOOL							bSupportControlSpeaker;			// Ƿ֧speakerƵ
} NET_OUT_GET_COAXIAL_CONTROL_IO_CAPS;

// CLIENT_GetDevCapsӿ NET_FACEINFO_CAPS 
typedef struct tagNET_IN_GET_FACEINFO_CAPS
{
    DWORD							dwSize;							// ṹС
}NET_IN_GET_FACEINFO_CAPS;

// ʶ㷨
typedef enum tagEM_RECOGNITIONALGORITHM_TYPE
{
    EM_RECOGNITIONALGORITHM_UNKNOWN,                                    // δ֪
    EM_RECOGNITIONALGORITHM_DAHUA,                                      // 
    EM_RECOGNITIONALGORITHM_SHANGTANG,                                  // 
    EM_RECOGNITIONALGORITHM_YITU,                                       // ͼ
    EM_RECOGNITIONALGORITHM_HANWANG,                                    // 
    EM_RECOGNITIONALGORITHM_FIREEYE,                                    // 
}EM_RECOGNITIONALGORITHM_TYPE;

// CLIENT_GetDevCapsӿ NET_FACEINFO_CAPS 
typedef struct tagNET_OUT_GET_FACEINFO_CAPS
{
    DWORD							    dwSize;							// ṹС
    int                                 nRecognitionType;               // ֵ֧ʶͣ0:׹,1:
    EM_RECOGNITIONALGORITHM_TYPE        emRecognitionAlgorithm;         // ʶ㷨
    DWORD                               nRecognitionVersion;            // 㷨汾,1.5.2ʾ0x00010502
    UINT                                nMaxFaces;                      // 洢
    int                                 nMaxPhotoSize;                  // ׹Ƭߴ,λ:KB
    UINT                                nMaxInsertRate;                 // ÿ
    BOOL                                bIsSupportGetPhoto;             // Ƿֻ֧ȡ׹Ƭ
    BOOL                                bIsSupportFaceEigen;            // Ƿ֧ͨͼƬȡֵ
}NET_OUT_GET_FACEINFO_CAPS;

typedef enum tagEM_DETECT_VERSION_TYPE
{
    EM_DETECT_VERSION_UNKNOW = 0 , 
    EM_DETECT_VERSION_V1_0 ,           //һ涯췽
    EM_DETECT_VERSION_V3_0 ,           //涯췽
}EM_DETECT_VERSION_TYPE;
#define    MAX_DETECT_VERSION_NUM           64

typedef enum tagEM_BLIND_DETECT_VERSION_TYPE
{
    EM_BLIND_DETECT_VERSION_UNKNOW = 0 ,
    EM_BLIND_DETECT_VERSION_FULL_SCREEN ,   //ȫڵ
    EM_BLIND_DETECT_VERSION_MULTI_WINDOW ,  //രڼ
}EM_BLIND_DETECT_VERSION_TYPE;
#define    MAX_BLIND_DETECT_VERSION_NUM     64

// ܶ
typedef enum tagEM_SMART_MOTION_TYPE
{
	EM_SMART_MOTION_UNKNOWN,		// δ֪
	EM_SMART_MOTION_HUMAN,			// 
	EM_SMART_MOTION_VEHICLE,		// 
} EM_SMART_MOTION_TYPE;

// ܶϢ
typedef struct tagNET_SMART_MOTION_CAPS
{
	BOOL						bSupport;					// Ƿ֧ܶ
	UINT						nSmartTypeNum;				// ֵ֧ܶļ͸
	EM_SMART_MOTION_TYPE		emSmartMotionType[8];		// ֵ֧ܶļ
	BYTE						byReserved[512];				// ֽ
} NET_SMART_MOTION_CAPS;

typedef struct tagNET_OUT_VIDEO_DETECT_CAPS
{
        DWORD                       dwSize;         
        BOOL                        bSupportBlind;          //Ƿֺ֧
        BOOL                        bSupportLoss;           //Ƿ֧Ƶʧ
        BOOL                        bSupportMotion;         //Ƿֶ֧̬
        BOOL                        bMotionResult;          //Ƿܹõÿļ
        DWORD                       nMotionColumns;         //̬򻮷ֵ
        DWORD                       nMotionRows;            //̬򻮷ֵ
        DWORD                       nMotionDetectWindow;    //ֵ֧Ƶ
        DWORD                       nBlindColumns;          //Ƶڵ򻮷ֵ
        DWORD                       nBlindRows;             //Ƶڵ򻮷ֵ
        DWORD                       nBlindDetectWindow;     //Ƶڵֵ֧Ĵ
        BOOL                        bPositionDetect;        //Ƿ֧ƶλ
        DWORD                       nDetectVersionNum;      //ֵ֧Ķ췽
        EM_DETECT_VERSION_TYPE      emDetectVersions[MAX_DETECT_VERSION_NUM];               //ֵ֧Ķ췽Ϣ
        DWORD                       nBlindDetectVersionNum; //ֵ֧Ƶڵ汾
        EM_BLIND_DETECT_VERSION_TYPE emBlindDetectVersions[MAX_BLIND_DETECT_VERSION_NUM];   //ֵ֧Ƶڵ汾Ϣ
        BOOL                        bMotionLinkPtzPreset;   //Ƿ̨֧Ԥõ
        BOOL                        bMotionLinkPtzTour;     //Ƿ̨֧Ѳ
        BOOL                        bMotionLinkPtzPattern;  //Ƿ̨֧Ѳ
        BOOL                        bUnFocusDetect;         //Ƿ֧齹
        BOOL                        bAlarmDetect;           //Ƿֶ֧ͬʱⱨ
		BOOL						bSupportMoveDetect;		// Ƿֳ֧
		NET_SMART_MOTION_CAPS		stuSmartMotionCaps;		// ܶϢ
}NET_OUT_VIDEO_DETECT_CAPS;

// ¼
typedef struct tagALARM_FALLING_INFO
{
    DWORD               dwStructSize;                               // ṹС
    BYTE                bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                byRserved[3];                               //    
	char				szUserID[32];								// 豸ʱ½ûϢûID
	char				szUserName[128];							// 豸ʱ½ûϢû
}ALARM_FALLING_INFO;

//Bus״̬صԭ
typedef void (CALLBACK *fBusStateCallBack)(LLONG lAttachHandle, LONG lCommand, char *pBuf, DWORD dwBufLen, LDWORD dwUser);

// ˢ
typedef enum tagNET_DRIVER_CHECK_TYPE
{
    NET_DRIVER_CHECK_TYPE_UNKNOWN,                                  // δ֪
    NET_DRIVER_CHECK_TYPE_SIGNIN,                                   // ǩ
    NET_DRIVER_CHECK_TYPE_SIGNOUT,                                  // ǩ
} NET_DRIVER_CHECK_TYPE;

// ˢʽ
typedef enum tagNET_DRIVER_CHECK_METHOD
{
    NET_DRIVER_CHECK_METHOD_UNKNOWN,                                // δ֪
    NET_DRIVER_CHECK_METHOD_POS,                                    // POS
    NET_DRIVER_CHECK_METHOD_HAND,                                   // ֶ
} NET_DRIVER_CHECK_METHOD;

// ¼DH_ALARM_BUS_DRIVER_CHECK( ˾ʶ𿨼¼)ӦϢ
typedef struct tagALARM_BUS_DRIVER_CHECK_INFO
{
    DWORD                   dwSize;
    char                    szCarNo[DH_MAX_PLATE_NUMBER_LEN];       // 
    char                    szDriverName[DH_COMMON_STRING_16];      // ˾
    char                    szDriverID[DH_MAX_PERSON_ID_LEN];       // 
    char                    szOrganize[DH_COMMON_STRING_128];       // ʻ֤֤
    NET_TIME_EX             stUsefulLife;                           // ֤Ч
    NET_GPS_STATUS_INFO     stGPSStatusInfo;                        // GPSϢ
    NET_TIME_EX             stCheckTime;                            // ʱ
    NET_DRIVER_CHECK_METHOD emCheckMethod;                          // 򿨷ʽ
    NET_DRIVER_CHECK_TYPE   emCheckType;                            // 
}ALARM_BUS_DRIVER_CHECK_INFO;

// ¼DH_ALARM_DEVICE_MSG_NOTIFY(豸ƽ̨֪ͨ¼)ӦϢ
typedef struct tagALARM_DEVICE_MSG_NOTIFY_INFO
{
    DWORD                   dwSize;
    char                    szMsg[DH_COMMON_STRING_256];            // Ϣ
    NET_GPS_STATUS_INFO     stuGPSStatusInfo;                       // GPSϢ
} ALARM_DEVICE_MSG_NOTIFY_INFO;

// ¼DH_ALARM_VEHICLE_STANDING_OVER_TIME(ͣʱ)ӦϢ
typedef struct tagALARM_VEHICLE_STANDING_OVER_TIME_INFO
{
    DWORD                   dwSize;
    NET_GPS_STATUS_INFO     stuGPSStatusInfo;                       // GPSϢ
    NET_TIME_EX             stuTime;                                // һηʱ
    NET_TIME_EX             stuUtc;                                 // ¼ʱ
    DWORD                   dwUtc;                                  // ¼ʱ, stuUtcֵһ,ʽͬ,¼ȷϽӿ
    BOOL                    bEventConfirm;                          // ǷҪظ
} ALARM_VEHICLE_STANDING_OVER_TIME_INFO;

// ·
typedef enum tagNET_LINE_DIRECTION
{
    NET_LINE_DIRECTION_UNKNOWN,                                     // δ֪
    NET_LINE_DIRECTION_POSTIVE,                                     // 
    NET_LINE_DIRECTION_NEGATIVE,                                    // 
    NET_LINE_DIRECTION_AROUND,                                      // 
    NET_LINE_DIRECTION_DISPERSE,                                    // ɢ
} NET_LINE_DIRECTION;

// վվ״̬
typedef enum tagNET_BUS_STATE
{
    NET_BUS_STATE_UNKNOWN,                                         // δ֪
    NET_BUS_STATE_ILLEGAL,                                         // Ƿ
    NET_BUS_STATE_LEGAL,                                           // Ϸ
} NET_BUS_STATE;

// վʽ
typedef enum tagNET_PORT_TYPE
{
    NET_PORT_TYPE_UNKOWN,                                           // δ֪
    NET_PORT_TYPE_MANUAL,                                           // ֶվ
    NET_PORT_TYPE_GPS,                                              // GPSվ
} NET_PORT_TYPE;

// ؿ¼
typedef enum tagEM_VEHICLE_DATA_TYPE
{
    EM_VEHICLE_DOOR_OPEN_DATA_UNKNOWN = 0,
    EM_VEHICLE_DOOR_OPEN_DATA_REALTIME,                             // ʵʱ
    EM_VEHICLE_DOOR_OPEN_DATA_HISTORY,                              // ط
}EM_VEHICLE_DATA_TYPE;

// ¼DH_ALARM_BUS_IMPORT_SITE(վ¼)ӦϢ
typedef struct tagALARM_BUS_IMPORT_SITE_INFO
{
    DWORD                   dwSize;
    char                    szSiteID[DH_COMMON_STRING_64];          // վʶ
    DWORD                   dwSiteNum;                              // վ
    NET_LINE_DIRECTION      emDirection;                            // ·
    char                    szLineID[DH_COMMON_STRING_64];          // ·ʶ
    NET_TIME_EX             stuTime;                                // վվʱ
    int                     nTime;                                  // ȷ¼õʱ, UTC, λΪ
    NET_BUS_STATE           emState;                                // Ƿ񰴹涨ʱվ
    NET_PORT_TYPE           emType;                                 // վʽ
    NET_GPS_STATUS_INFO     stuGPSStatusInfo;                       // GPSϢ
    DWORD                   dwSiteCount;                            // վ
    char                    szSiteName[DH_COMMON_STRING_64];        // վ
    char                    szDesignation[DH_COMMON_STRING_64];     // ·
    EM_VEHICLE_DATA_TYPE    emDataType;                             // ¼ݵ
    BOOL                    bNeedConfirm;                           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
	unsigned int			nFromMileage;							// һվǰվ̣λm
	unsigned int			nTotalMileage;							// վǰվ̣λm
	unsigned int			nFromCostTime;							// һվǰվĺʱλs
	unsigned int			nTotalCostTime;							// վǰվĺʱλs
} ALARM_BUS_IMPORT_SITE_INFO;


typedef struct tagNET_SUBTOTAL
{
    unsigned int            nDevNum;                // 豸ţ һϿкü豸
    unsigned int            nInside;                // ׼ϳ
    unsigned int            nExited;                // ׼³
    BYTE                    byRserved[256];         // ֽ
}NET_SUBTOTAL;

// ¼DH_ALARM_BUS_EXPORT_SITE(վ¼)ӦϢ
typedef struct tagALARM_BUS_EXPORT_SITE_INFO
{
    DWORD                   dwSize;
    char                    szSiteID[DH_COMMON_STRING_64];          // վʶ
    DWORD                   dwSiteNum;                              // վ
    NET_LINE_DIRECTION      emDirection;                            // ·
    char                    szLineID[DH_COMMON_STRING_64];          // ·ʶ
    NET_TIME_EX             stuTime;                                // վվʱ
    int                     nTime;                                  // ȷ¼õʱ, UTC, λΪ
    NET_BUS_STATE           emState;                                // Ƿ񰴹涨ʱվ
    NET_PORT_TYPE           emType;                                 // վʽ
    NET_GPS_STATUS_INFO     stuGPSStatusInfo;                       // GPSϢ
    DWORD                   dwSiteCount;                            // վ
    char                    szSiteName[DH_COMMON_STRING_64];        // վ
    char                    szDesignation[DH_COMMON_STRING_64];     // ·
    EM_VEHICLE_DATA_TYPE    emDataType;                             // ¼ݵ
    BOOL                    bNeedConfirm;                           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
	unsigned int			nFromMileage;							// һվǰվ̣λm
	unsigned int			nTotalMileage;							// վǰվ̣λm
	unsigned int			nFromCostTime;							// һվǰվĺʱλs
	unsigned int			nTotalCostTime;							// վǰվĺʱλs
    int                     nCurrentPeople;                         // ι¼ͳƵľֻ㵱ǰʱͳƵ³ϳͳΪ
    unsigned int			nTotalIn;                               // ιϳ
    unsigned int			nTotalOut;                              // ι³
    unsigned int			nSubtotalCount;                         // ͳ豸
    NET_SUBTOTAL            stuSubtotal[32];                        // ͬ豸ͳƵϢ32豸һж豸ͳ
} ALARM_BUS_EXPORT_SITE_INFO;

// 쳣¼
typedef enum tagEM_ALARM_BUS_ABNORMAL_EVENT_TYPE
{
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_UNKNOWN,           // δ֪
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_RUNNING,           // ָӪ,"Running"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_MEAL,              // Է,"Meal"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_BLOCK,             // ·,"Block"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_CALL,              // ͨ,"Call"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_BREAKDOWN,         // ,"Breakdown"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_DISCONTINUED,      // ֹͣӪ,"Discontinued"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_ROBING,            // ,"Robing"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_OVERLOAD,          // ,"Overload"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_DISPUTE,           // ,"Dispute"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_ACCIDENT,          // ¹,"Accident"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_OVERSPEED,         // ,"OverSpeed"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_RENTAL,            // ,"Rental"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_MAINTENANCE,       // ,"Maintenance"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_CLOSURE,           // ѱͣ,"Closure"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_PUBSECURITY,       // ΰ¼, "PubSecurity"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_ENTER_PARK,        // ͣ, "EnterPark"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_LEAVE_PARK,        // 뿪ƽ, "LeavePark"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_REFUEL,            // , "Refuel"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_FIRE,              // ֱ, "Fire"
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE_HELP,              // ˿;, "Help"
}EM_ALARM_BUS_ABNORMAL_EVENT_TYPE;

// ¼DH_ALARM_BUS_ABNORMAL(쳣¼)ӦϢ
typedef struct tagALARM_BUS_ABNORMAL_INFO
{
    DWORD                                   dwSize;
    EM_ALARM_BUS_ABNORMAL_EVENT_TYPE        emEventType;                            // 쳣¼
    char                                    szCarNo[DH_MAX_PLATE_NUMBER_LEN];       // 
    char                                    szLineID[DH_COMMON_STRING_64];          // ·ʶ
    NET_LINE_DIRECTION                      emLineDirection;                        // ·
    NET_TIME_EX                             stuTime;                                // ʱ
    NET_GPS_STATUS_INFO                     stuGPSStatusInfo;                       // GPSϢ
} ALARM_BUS_ABNORMAL_INFO;

// ¼DH_ALARM_ENCLOSURE_ALARM(Χ¼)ӦϢ
typedef struct tagALARM_ENCLOSURE_ALARM_INFO
{
    DWORD                   dwSize;
    DWORD                   dwAlarmType;                            // , λֱʾ,
                                                                    // 0:LimitSpeed, 1:DriveAllow, 2:ForbidDrive, 3:LoadGoods, 4:UploadGoods
    DWORD                   dwAlarmDetail;                          // , λֱʾ,
                                                                    // 0:DriveIn, 1:DriveOut, 2:Overspeed, 3:SpeedClear
    NET_BUS_STATE           emState;                                // Ƿ񰴹涨ʱ䴥¼
    DWORD                   dwDriverNo;                             // ˾
    DWORD                   dwEnclosureID;                          // ΧID
    DWORD                   dwLimitSpeed;                           // 
    DWORD                   dwCurrentSpeed;                         // ǰٶ
    NET_TIME_EX             stuTime;                                // ǰʱ
    NET_GPS_STATUS_INFO     stuGPSStatusInfo;                       // GPSϢ
} ALARM_ENCLOSURE_ALARM_INFO;

// صŵ״̬
typedef NET_ACCESS_CTL_STATUS_TYPE NET_VEHICLE_DOOR_STATUS;

// ؿ¼, Ӧ¼ DH_VEHICLE_DOOR_OPEN
typedef struct tagALARM_VEHICLE_DOOR_OPEN_INFO 
{
    DWORD                       dwSize;
    NET_VEHICLE_DOOR_STATUS     emStatus;               // ״̬
    int                         nDoor;                  // , 1:ǰ,2:,3:
    NET_TIME                    stuTime;                // ¼ʱ, UTC
    int                         nTime;                  // ȷ¼õʱ, UTC, λΪ
    NET_GPS_STATUS_INFO         stuGPSStatusInfo;       // GPSϢ
    EM_VEHICLE_DATA_TYPE        emDataType;             // ¼ݵ
    BOOL                        bNeedConfirm;           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
}ALARM_VEHICLE_DOOR_OPEN_INFO;

// ǰ¼, Ӧ¼ DH_ALARM_BUS_CUR_MILEAGE
typedef struct tagALARM_BUS_CUR_MILEAGE_INFO 
{
    DWORD                       dwSize;
    BOOL                        bNeedConfirm;           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
    int                         nTime;                  // ȷ¼õʱ, UTC, λΪ
    EM_VEHICLE_DATA_TYPE        emDataType;             // ¼ݵ
    NET_TIME                    stuTime;                // ¼ʱ, UTC
    NET_GPS_STATUS_INFO         stuGPSStatusInfo;       // GPSϢ, ֻоγȡٶȡֶЧ
    NET_TIME                    stuStartTime;           // ǰʱεĿʼʱ, UTC
    NET_GPS_STATUS_INFO         stuStartGPSStatusInfo;  // ǰʱεĿʼʱʱGPSϢ, ֻоγȡٶȡֶЧ
    unsigned int                nMileage;               // ǰʱε, λ:0.1km
	char						szDriverID[32];			// 
}ALARM_BUS_CUR_MILEAGE_INFO;

// ǰͺ¼, Ӧ¼ DH_ALARM_BUS_CUR_OIL
typedef struct tagALARM_BUS_CUR_OIL_INFO 
{
    DWORD                       dwSize;
    BOOL                        bNeedConfirm;           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
    int                         nTime;                  // ȷ¼õʱ, UTC, λΪ
    EM_VEHICLE_DATA_TYPE        emDataType;             // ¼ݵ
    NET_TIME                    stuTime;                // ¼ʱ, UTC
    NET_GPS_STATUS_INFO         stuGPSStatusInfo;       // GPSϢ, ֻоγȡٶȡֶЧ
    NET_TIME                    stuStartTime;           // ǰʱεĿʼʱ, UTC
    NET_GPS_STATUS_INFO         stuStartGPSStatusInfo;  // ǰʱεĿʼʱʱGPSϢ, ֻоγȡٶȡֶЧ
    unsigned int                nCurOil;                // ǰ, λ: 0.1L
    unsigned int                nOilTankage;            // ݻ, λ: 0.1L
    int                         nOilChange;             // ǰʱ仯, λ: 0.1L, ʾ, ʾ
    char                        szCarNO[DH_MAX_PLATE_NUMBER_LEN]; // Ϣ
}ALARM_BUS_CUR_OIL_INFO;

// ¼, Ӧ¼ DH_ALARM_BUS_LOW_OIL
typedef struct tagALARM_BUS_LOW_OIL_INFO 
{
    DWORD                       dwSize;
    BOOL                        bNeedConfirm;           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
    int                         nTime;                  // ȷ¼õʱ, UTC, λΪ
    EM_VEHICLE_DATA_TYPE        emDataType;             // ¼ݵ
    NET_TIME                    stuTime;                // ¼ʱ, UTC
    NET_GPS_STATUS_INFO         stuGPSStatusInfo;       // GPSϢ, ֻоγȡٶȡֶЧ
    unsigned int                nCurOil;                // ǰ, λ: 0.1L
    unsigned int                nOilLine;               // ֵ, λ: 0.1L
    unsigned int                nOilTankage;            // ݻ, λ: 0.1L
    char                        szCarNO[DH_MAX_PLATE_NUMBER_LEN]; // Ϣ
}ALARM_BUS_LOW_OIL_INFO;

// ͵ͱ¼, Ӧ¼ DH_ALARM_BUS_STEAL_OIL
typedef struct tagALARM_BUS_STEAL_OIL_INFO 
{
    DWORD                       dwSize;
    BOOL                        bNeedConfirm;           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
    int                         nTime;                  // ȷ¼õʱ, UTC, λΪ
    EM_VEHICLE_DATA_TYPE        emDataType;             // ¼ݵ
    NET_TIME                    stuTime;                // ¼ʱ, UTC
    NET_GPS_STATUS_INFO         stuGPSStatusInfo;       // GPSϢ, ֻоγȡٶȡֶЧ
    unsigned int                nCurOil;                // ǰ, λ: 0.1L
    unsigned int                nOilTankage;            // ݻ, λ: 0.1L
    char                        szCarNO[DH_MAX_PLATE_NUMBER_LEN]; // Ϣ
}ALARM_BUS_STEAL_OIL_INFO;

// ·ƫ¼, ,Ӧ¼ DH_ALARM_BUS_CIRCUIT_SHIFT
typedef struct tagALARM_BUS_CIRCUIT_SHIFT_INFO
{
	BOOL                        bNeedConfirm;           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
	unsigned int                nTime;                  // ȷ¼õʱ, UTC, λΪ
	NET_GPS_STATUS_INFO         stuGPSStatusInfo;       // GPSϢ, ֻоγȡٶȡֶЧ
	NET_TIME                    stuTime;                // ¼ʱ,UTC
	BYTE						byReserved[1024];		// ֽ
}ALARM_BUS_CIRCUIT_SHIFT_INFO;

// ·ʱ¼,Ѻ˳,Ӧ¼ DH_ALARM_BUS_ROUTE_OVERTIME
typedef struct tagALARM_BUS_ROUTE_OVERTIME_INFO
{
	BOOL                        bNeedConfirm;           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
	unsigned int                nTime;                  // ȷ¼õʱ, UTC, λΪ
	NET_GPS_STATUS_INFO         stuGPSStatusInfo;       // GPSϢ, ֻоγȡٶȡֶЧ
	NET_TIME                    stuTime;                // ¼ʱ,UTC
	BYTE						byReserved[1024];		// ֽ
}ALARM_BUS_ROUTE_OVERTIME_INFO;

// ر¼,,Ӧ¼ DH_ALARM_BUS_VEHICLE_CARRY_ALARM
typedef struct tagALARM_BUS_VEHICLE_CARRY_ALARM_INFO 
{
    int							nAction;                // ¼, 0: , 1: 
	BOOL                        bNeedConfirm;           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
	unsigned int                nTime;                  // ȷ¼õʱ, UTC, λΪ
	NET_GPS_STATUS_INFO         stuGPSStatusInfo;       // GPSϢ, ֻоγȡٶȡֶЧ
	NET_TIME                    stuTime;                // ¼ʱ,UTC
	BYTE						byReserved[1024];		// ֽ
} ALARM_BUS_VEHICLE_CARRY_ALARM_INFO;

// ر¼,,Ӧ¼ DH_ALARM_BUS_VEHICLE_PAULIN_ALARM
typedef struct tagALARM_BUS_VEHICLE_PAULIN_ALARM_INFO
{
	int							nAction;                // ¼, 0: 񲼿, 1: 񲼹
	BOOL                        bNeedConfirm;           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
	unsigned int                nTime;                  // ȷ¼õʱ, UTC, λΪ
	NET_GPS_STATUS_INFO         stuGPSStatusInfo;       // GPSϢ, ֻоγȡٶȡֶЧ
	NET_TIME                    stuTime;                // ¼ʱ,UTC
	BYTE						byReserved[1024];		// ֽ
} ALARM_BUS_VEHICLE_PAULIN_ALARM_INFO;

// ¼,,Ӧ¼ DH_ALARM_BUS_VEHICLE_LIFT_ALARM
typedef struct tagALARM_BUS_VEHICLE_LIFT_ALARM_INFO
{
	int							nAction;                // ¼, 0: , 1: ƽ
	BOOL                        bNeedConfirm;           // ǷҪȷ, ͨCLIENT_BusConfirmEventӿȷ
	unsigned int                nTime;                  // ȷ¼õʱ, UTC, λΪ
	NET_GPS_STATUS_INFO         stuGPSStatusInfo;       // GPSϢ, ֻоγȡٶȡֶЧ
	NET_TIME                    stuTime;                // ¼ʱ,UTC
	BYTE						byReserved[1024];		// ֽ
} ALARM_BUS_VEHICLE_LIFT_ALARM_INFO;

// Bus״̬νṹ
typedef struct tagNET_IN_BUS_ATTACH
{
    DWORD                   dwSize;
    fBusStateCallBack       cbBusState;                             // ״̬ص
    LDWORD                  dwUser;                                 // û
}NET_IN_BUS_ATTACH;

// Bus״̬νṹ
typedef struct tagNET_OUT_BUS_ATTACH
{
    DWORD                dwSize;
}NET_OUT_BUS_ATTACH;

// չģ鱨ͨϢ
typedef struct tagNET_EXALARMCHANNELS_INFO
{
    DWORD           dwSize;
    int             nExAlarmBoxNum;                                 // չͨ
    int             nChannelNum;                                    // ͨչϵͨ
    char            szChannelName[DH_MAX_EXALARMCHANNEL_NAME_LEN];  // ͨ
} NET_EXALARMCHANNELS_INFO;

// CLIENT_QueryDevState ӿ
typedef struct tagNET_EXALARMCHANNELS
{
    DWORD                       dwSize;
    int                         nExAlarmInCount;                    // չģ鱨ͨ,ûָѯ
    int                         nRetExAlarmInCount;                 // չģ鱨ͨظ
    NET_EXALARMCHANNELS_INFO*   pstuExAlarmInInfo;                  // չģ鱨ͨϢ
																	// ûڴ棬СΪsizeof(NET_EXALARMCHANNELS_INFO)*nExAlarmInCount
    int                         nExAlarmOutCount;                   // չģ鱨ͨ,ûָѯ
    int                         nRetExAlarmOutCount;                // չģ鱨ͨظ
    NET_EXALARMCHANNELS_INFO*   pstuExAlarmOutInfo;                 // չģ鱨ͨϢ
																	// ûڴ棬СΪsizeof(NET_EXALARMCHANNELS_INFO)*nExAlarmOutCount
} NET_EXALARMCHANNELS;

// ķϢ
typedef struct tagNET_ACTIVATEDDEFENCEAREA_INFO
{
    DWORD                       dwSize;
    int                         nChannel;                           // ͨ
    NET_TIME                    stuActivationTime;                  // ʱ 
}NET_ACTIVATEDDEFENCEAREA_INFO;
// CLIENT_QueryDevState ӿ
typedef struct tagNET_ACTIVATEDEFENCEAREA
{
    DWORD                       dwSize;
    int                         nAlarmInCount;                      // ѯرͨ,ûָ
    int                         nRetAlarmInCount;                   // رͨʵʼ
    NET_ACTIVATEDDEFENCEAREA_INFO* pstuAlarmInDefenceAreaInfo;      // رͨϢ
																	// ûڴ棬СΪsizeof(NET_ACTIVATEDDEFENCEAREA_INFO)*nAlarmInCount
    int                         nExAlarmInCount;                    // ѯչģ鱨ͨ,ûָ
    int                         nRetExAlarmInCount;                 // չģ鱨ͨʵʼ
    NET_ACTIVATEDDEFENCEAREA_INFO* pstuExAlarmInDefenceAreaInfo;    // չģ鱨ͨϢ
																	// ûڴ棬СΪsizeof(NET_ACTIVATEDDEFENCEAREA_INFO)*nExAlarmInCount
}NET_ACTIVATEDDEFENCEAREA;

// Ž״̬
typedef enum tagEM_NET_DOOR_STATUS_TYPE
{
    EM_NET_DOOR_STATUS_UNKNOWN,
    EM_NET_DOOR_STATUS_OPEN,                            // Ŵ
    EM_NET_DOOR_STATUS_CLOSE,                           // Źر
    EM_NET_DOOR_STATUS_BREAK,                           // 쳣
}EM_NET_DOOR_STATUS_TYPE;

// Ž״̬Ϣ(CLIENT_QueryDevState ӿ)
typedef struct tagNET_DOOR_STATUS_INFO
{
    DWORD                       dwSize;
    int                         nChannel;               // Žͨ
    EM_NET_DOOR_STATUS_TYPE     emStateType;            // Ž״̬Ϣ
}NET_DOOR_STATUS_INFO;

// CLIENT_QueryRecordCountӿ
typedef struct _NET_IN_QUEYT_RECORD_COUNT_PARAM
{
    DWORD                       dwSize;                 // ṹС
    LLONG                       lFindeHandle;           // ѯ
}NET_IN_QUEYT_RECORD_COUNT_PARAM;

// CLIENT_QueryRecordCountӿ
typedef struct _NET_OUT_QUEYT_RECORD_COUNT_PARAM
{
    DWORD                       dwSize;                 // ṹС
    int                         nRecordCount;           // 豸صļ¼
}NET_OUT_QUEYT_RECORD_COUNT_PARAM;

// ģͨϢ
typedef struct tagNET_ANALOGALARM_CHANNELS_INFO 
{
    DWORD               dwSize;
    int                 nSlot;										// ַ, 0ʾͨ, 1ʾڵһϵչͨ, 23...Դ
    int                 nLevel1;									// һַ, ʾڵnSlotϵĵnLevel1̽, 0ʼ
    int                 nLevel2;									// ڶַ, ʾڵnLevel1ڵϵĵnLevel2̽,0ʼ,-1ʾڸýڵ
    char                szName[DH_COMMON_STRING_128];				// ͨ
	char				szSenseMethod[DH_COMMON_STRING_32];			// Ӧʽ
	BYTE				byIsNull;									// жϸͨǷÿգ0Ϊδã1Ϊ
}NET_ANALOGALARM_CHANNELS_INFO;

// ģͨӳϵ(ӦDH_DEVSTATE_ANALOGALARM_CHANNELS)
typedef struct tagNET_ANALOGALARM_CHANNELS 
{
    DWORD                          dwSize;	
    int                            nMaxAnalogAlarmChannels;						// ͨ
    int                            nRetAnalogAlarmChannels;						// صͨ
    NET_ANALOGALARM_CHANNELS_INFO* pstuChannelInfo;								// ͨϢ,ûڴ,СΪsizeof(NET_ANALOGALARM_CHANNELS_INFO)*nMaxAnalogAlarmChannels
	int							   nVideoChannel;								// ָƵͨ
}NET_ANALOGALARM_CHANNELS;

// Ϣ
typedef struct tagNET_ANALOGALARM_SENSE_INFO 
{
    DWORD                   dwSize;
    int                     nChannelID;                     // ͨ(0ʼ)
    NET_SENSE_METHOD        emSense;                        // 
    float                   fData;                          // ֵ
    NET_TIME                stuTime;                        // ɼʱ
    int                     nStatus;                        // ״̬, -1:δ֪,0:,1:Ч(),
                                                            // 2:ֵ1,3:ֵ2,4:ֵ3,5:ֵ4,
                                                            // 6:ֵ1,7:ֵ2,8:ֵ3,9:ֵ4
    NET_GPS_STATUS_INFO     stuGpsSatus;                    // GPS״̬
    int                     nUint;                          // ֵĵλ, emSense ΪֵʱЧ
                                                            // NET_SENSE_TEMP,ʱȡֵ NET_TEMPERATURE_UNIT
	int						nVideoChannel;					// Ƶͨ
}NET_ANALOGALARM_SENSE_INFO;

//ģͨݻصԭ
typedef void (CALLBACK *fAnalogAlarmDataCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_ANALOGALARM_SENSE_INFO* pInfo, int nBufLen, LDWORD dwUser);

// CLIENT_AttachAnalogAlarmData()ӿ
typedef struct tagNET_IN_ANALOGALARM_DATA 
{
    DWORD                       dwSize;
    int                         nChannelId;                 // 0ʼ, -1ʾȫͨ
    fAnalogAlarmDataCallBack    cbCallBack;                 // ݻص
    LDWORD                      dwUser;                     // û
	
}NET_IN_ANALOGALARM_DATA;

// CLIENT_AttachAnalogAlarmData()ӿ
typedef struct tagNET_OUT_ANALOGALARM_DATA 
{
    DWORD    dwSize;
}NET_OUT_ANALOGALARM_DATA;

// ļ¼ӿض
#define DH_MAX_RECORD_INSERT_NUM                            128
#define DH_MAX_RECORD_DELETE_NUM                            128
#define DH_MAX_RECORD_UPDATE_NUM                            128

typedef struct tagNET_RECORDUPDATER_INFO
{
    DWORD                       dwSize;
    int                         nInsertNum;                                     // ¼Ϣ,ļ¼
    int                         nInsertNumberList[DH_MAX_RECORD_INSERT_NUM];    // ʾļ¼            
    int                         nDeleteNum;                                     // ¼Ϣ,ɾļ¼
    int                         nDeleteNumberList[DH_MAX_RECORD_DELETE_NUM];    // ʾɾļ¼,-1ʾɾм¼         
    int                         nUpdateNum;                                     // ¼Ϣ,µļ¼
    int                         nUpdateNumberList[DH_MAX_RECORD_UPDATE_NUM];    // ʾµļ¼          
}NET_RECORDUPDATER_INFO;

//ļ¼ӿ
typedef void (CALLBACK *fRecordUpdaterCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_RECORDUPDATER_INFO* pInfo, int nBufLen, LDWORD dwUser);

// CLIENT_AttachRecordUpdater()ӿ
typedef struct tagNET_IN_RECORDUPDATER_DATA
{
    DWORD                       dwSize;
    EM_NET_RECORD_TYPE          emType;                     // ¼Ϣ
    fRecordUpdaterCallBack      cbRecordUpdater;                 // ¼»ص
    LDWORD                      dwUser;                     // û
}NET_IN_RECORDUPDATER_DATA;

// CLIENT_AttachRecordUpdater()ӿ
typedef struct tagNET_OUT_RECORDUPDATER_DATA
{
    DWORD                       dwSize;
}NET_OUT_RECORDUPDATER_DATA;

// ѯ豸ֵ֧Ĵ豸 
// CLIENT_QueryDevStateӿڵ DH_DEVSTATE_GET_SENSORLIST  
#define MAX_SUPPORT_SENSORTYPE_NUM    128                   // ִ֧豸͸

typedef struct tagNET_SENSOR_LIST 
{
    DWORD       dwSize;
    int         nSupportSensorNum;                          // ִ֧豸͸
    char        szSensorList[MAX_SUPPORT_SENSORTYPE_NUM][DH_COMMON_STRING_64];
}NET_SENSOR_LIST;

// CLIENT_QueryDevLogCountȡ־
typedef struct tagNET_IN_GETCOUNT_LOG_PARAM
{
    DWORD                       dwSize;
    QUERY_DEVICE_LOG_PARAM      stuQueryCondition;          // ѯ¼
} NET_IN_GETCOUNT_LOG_PARAM;

// CLIENT_QueryDevLogCountȡ־
typedef struct tagNET_OUT_GETCOUNT_LOG_PARAM
{
    DWORD                       dwSize;
    int                         nLogCount;                  // ־(豸)
} NET_OUT_GETCOUNT_LOG_PARAM;

// SDK־ص
typedef int (CALLBACK *fSDKLogCallBack)(const char* szLogBuffer, unsigned int nLogSize, LDWORD dwUser);

// SDKȫ־ӡϢ
typedef struct tagLogSetPrintInfo
{
    DWORD           dwSize;
    BOOL            bSetFilePath;                           // Ƿ־·
    char            szLogFilePath[MAX_LOG_PATH_LEN];        // ־·(Ĭ"./sdk_log/sdk_log.log")
    BOOL            bSetFileSize;                           // Ƿ־ļС
    unsigned int    nFileSize;                              // ÿ־ļĴС(ĬϴС10240), λ:KB
    BOOL            bSetFileNum;                            // Ƿ־ļ
    unsigned int    nFileNum;                               // ƽ־ļ(ĬϴС10)
    BOOL            bSetPrintStrategy;                      // Ƿ־ӡ
    unsigned int    nPrintStrategy;                         // ־, 0:ļ(Ĭ); 1:
	BYTE			byReserved[4];							// ֽڶ
	fSDKLogCallBack	cbSDKLogCallBack;						// ־صҪsdk־صʱãĬΪNULL
	LDWORD			dwUser;									// û
}LOG_SET_PRINT_INFO;

//////////////////////////////////////////////////////////////////////////
//       Low Rate Wireless Personal Area Network ˽ begin
//////////////////////////////////////////////////////////////////////////

// 豸
typedef enum tagNET_WIRELESS_DEVICE_TYPE
{
    NET_WIRELESS_DEVICE_TYPE_UNKNOWN = 0,               
    NET_WIRELESS_DEVICE_TYPE_KEYBOARD,          // ߼
    NET_WIRELESS_DEVICE_TYPE_DEFENCE,           // ߷ 
    NET_WIRELESS_DEVICE_TYPE_REMOTECONTROL,     // ң 
    NET_WIRELESS_DEVICE_TYPE_MAGNETOMER,        // Ŵ
	NET_WIRELESS_DEVICE_TYPE_ALARMBELL,			// ߾
	NET_WIRELESS_DEVICE_TYPE_SWITCHER,          // ߲
    NET_WIRELESS_DEVICE_TYPE_SMARTLOCK,         // 
    NET_WIRELESS_DEVICE_TYPE_REPEATER,          // м
} NET_WIRELESS_DEVICE_TYPE;

// 豸ģʽ
typedef enum tagEM_WIRELESS_DEVICE_MODE
{
    EM_WIRELESS_DEVICE_MODE_UNKNOWN = 0,                // ģʽδʶ
    EM_WIRELESS_DEVICE_MODE_NORMAL,                     // Normal ͨģʽ 
    EM_WIRELESS_DEVICE_MODE_POLLING,                    // Polling Ѳģʽ ֻTypeΪRemoteControlʱܴѲģʽ
} EM_WIRELESS_DEVICE_MODE;

// ʽ
typedef enum tagEM_CODEID_SENSE_METHOD_TYPE
{
    EM_CODEID_SENSE_METHOD_TYPE_UNKOWN,         // δ֪
    EM_CODEID_SENSE_METHOD_TYPE_DOOR_MAGNETISM, // Ŵ
    EM_CODEID_SENSE_METHOD_TYPE_GAS_SENSOR,     // ȼ
    EM_CODEID_SENSE_METHOD_TYPE_CURTAIN_SENSOR, // Ļ
    EM_CODEID_SENSE_METHOD_TYPE_MOBILE_SENSOR,  // ƶ
    EM_CODEID_SENSE_METHOD_TYPE_PASSIVEINFRA,   // ⴫
    EM_CODEID_SENSE_METHOD_TYPE_URGENCY_BUTTON, // ť
    EM_CODEID_SENSE_METHOD_TYPE_SMOKING_SENSOR, // 
    EM_CODEID_SENSE_METHOD_TYPE_DOUBLEMETHOD,   // ˫(+΢)
    EM_CODEID_SENSE_METHOD_TYPE_WATER_SENSOR,   // ˮ
    EM_CODEID_SENSE_METHOD_TYPE_THREEMETHOD,    // 
}EM_CODEID_SENSE_METHOD_TYPE;

#define DH_WIRELESS_DEVICE_SERIAL_NUMBER_MAX_LEN 32    // 豸к󳤶

// Ϣ
typedef struct tagNET_CODEID_INFO
{
    DWORD                       dwSize;
    TP_U64                      nWirelessId;                        // ID
    NET_WIRELESS_DEVICE_TYPE    emType;                             // 豸
    char                        szName[DH_USER_NAME_LENGTH];        // û
    BOOL                        bEnable;                            // Ƿ˴豸
    char                        szCustomName[DH_COMMON_STRING_64];  // Զ
    int                         nChannel;                           // ߷alarmͨ,Alarmõ±,ֻTypeΪDefenceʱֶβЧ
    EM_WIRELESS_DEVICE_MODE     emMode;                             // 豸ģʽ
    EM_CODEID_SENSE_METHOD_TYPE emSenseMethod;                      // ʽ
    char                        szSerialNumber[DH_WIRELESS_DEVICE_SERIAL_NUMBER_MAX_LEN]; // 豸к
    UINT                       nTaskID;                            // ID
    char                        szRoomNo[64];                       // 
	DWORD                       nMaxFingerprints;                   // ָ:Ϊ0ʱʾָ֧
    DWORD                       nMaxCards;                          // Ƭ:Ϊ0ʱʾֿ֧Ƭ
    DWORD                       nMaxPwd;                            // :Ϊ0ʱʾ֧

}NET_CODEID_INFO;

// 
typedef enum tagNET_CODEID_ERROR_TYPE
{   
    NET_CODEID_ERROR_TYPE_RIGHT = 0,            // ȷ
    NET_CODEID_ERROR_TYPE_ALREADYEXIST,         // Ѿ
    NET_CODEID_ERROR_TYPE_OTHER,                // 
} NET_CODEID_ERROR_TYPE;

// ߶Ϣصԭ,lAttachHandleCLIENT_AttachLowRateWPANֵ
typedef void (CALLBACK *fAttachLowRateWPANCB) (LLONG lLoginID, LLONG lAttachHandle, NET_CODEID_INFO* stuBuf, NET_CODEID_ERROR_TYPE emError, LDWORD dwUser);

// CLIENT_AttachLowRateWPAN()
typedef struct tagNET_IN_ATTACH_LOWRATEWPAN
{
    DWORD                   dwSize;
    fAttachLowRateWPANCB    cbAttachLowRateWPANCB;         // ݻص
    LDWORD                  dwUser;                        // û
}NET_IN_ATTACH_LOWRATEWPAN;

// CLIENT_AttachLowRateWPAN()
typedef struct tagNET_OUT_ATTACH_LOWRATEWPAN
{
    DWORD               dwSize;
}NET_OUT_ATTACH_LOWRATEWPAN;

// ɾָ豸
// CLIENT_ControlDevice ӿڵ DH_CTRL_LOWRATEWPAN_REMOVE
typedef struct tagNET_CTRL_LOWRATEWPAN_REMOVE
{
    DWORD                   dwSize;
    TP_U64                  nWirelessId;                // 豸ID
    char                    szSerialNumber[DH_WIRELESS_DEVICE_SERIAL_NUMBER_MAX_LEN]; // 豸к ߶кŵķʽ                                                                                        
}NET_CTRL_LOWRATEWPAN_REMOVE;

// ɾȫ豸
// CLIENT_ControlDeviceӿڵ DH_CTRL_LOWRATEWPAN_REMOVEALL
typedef struct tagNET_CTRL_LOWRATEWPAN_REMOVEALL
{
    DWORD                   dwSize;
}NET_CTRL_LOWRATEWPAN_REMOVEALL;

// ޸豸Ϣ
// CLIENT_ControlDeviceӿڵ DH_CTRL_LOWRATEWPAN_MODIFY 
typedef struct tagNET_CTRL_LOWRATEWPAN_MODIFY
{
    DWORD                   dwSize;
    NET_CODEID_INFO         stuCodeIDInfo;          // CodeIDInfoеCodeID,޸UserEnableϢ,޸
}NET_CTRL_LOWRATEWPAN_MODIFY;

//̽Ĺģʽ
//CLIENT_ControlDeviceӿڵ DH_CTRL_LOWRATEWPAN_SETWORKMODE
typedef struct tagNET_IN_CTRL_LOWRATEWPAN_SETWORKMODE
{
	DWORD                   dwSize;
	int                     nMode;                 		//ģʽ 0 :ʡģʽ,  1 :ģʽ

}NET_IN_CTRL_LOWRATEWPAN_SETWORKMODE;


// ״̬
typedef enum tagEM_CARPASS_STATUS
{
	EM_CARPASS_STATUS_UNKNOWN,     // δ֪״̬     
	EM_CARPASS_STATUS_CARPASS,     // ״̬
	EM_CARPASS_STATUS_NORMAL,      // ޳״̬
}EM_CARPASS_STATUS;

// ͣϢ,ӦDH_CTRL_SET_PARK_INFO
typedef struct tagNET_CTRL_SET_PARK_INFO
{
	DWORD				   dwSize;
	char				   szPlateNumber[MAX_PLATE_NUMBER_LEN];         // ƺ
	unsigned int		   nParkTime;									// ͣʱ,λ:
	char				   szMasterofCar[MAX_MASTER_OF_CAR_LEN];		// 
	char				   szUserType[MAX_USER_TYPE_LEN];				// û,ͨ,ڳץһ
																		// monthlyCardUserʾ¿û,yearlyCardUserʾ꿨û,longTimeUserʾû/VIP,casualUserʾʱû/Visitor
	unsigned int		   nRemainDay;									// 
	char				   szParkCharge[MAX_PARK_CHARGE_LEN];			// ͣ
	unsigned int		   nRemainSpace;								// ͣλ
	unsigned int		   nPassEnable;									// 0:ͨ 1:ͨ
	NET_TIME			   stuInTime;									// 볡ʱ
	NET_TIME			   stuOutTime;									// ʱ
	EM_CARPASS_STATUS	   emCarStatus;									// ״̬
	char				   szCustom[MAX_CUSTOM_LEN];					// ԶʾֶΣĬϿ 
	char				   szSubUserType[MAX_SUB_USER_TYPE_LEN];		// ûͣszUserTypeֶΣ 
	char				   szRemarks[MAX_REMARKS_LEN];					// עϢ
    char                   szResource[MAX_RESOURCE_LEN];                // ԴļƵͼƬƵ֧:mp4ʽ; ͼƬ֧:BMP/jpg/JPG/jpeg/JPEG/png/PNGʽ
}NET_CTRL_SET_PARK_INFO;

// ǰʱͳϢ, ´0ʼ
//CLIENT_ControlDeviceӿڵ DH_CTRL_CLEAR_SECTION_STAT
typedef struct tagNET_CTRL_CLEAR_SECTION_STAT_INFO
{
	DWORD                   dwSize;
	int						nChannel;		// Ƶͨ
} NET_CTRL_CLEAR_SECTION_STAT_INFO;

// ȡɹ
typedef struct tagNET_GET_CODEID_COUNT
{
    DWORD               dwSize;
    int                 nCodeIDCount;       // ɹ
}NET_GET_CODEID_COUNT;

// ȡϢ
typedef struct tagNET_GET_CODEID_LIST
{
    DWORD               dwSize;
    int                 nStartIndex;            // ʼ,ʼһβѯΪ0
    int                 nQueryNum;              // λȡĶ,ֵСڵnMaxPageSizeֶεֵ
    int                 nRetCodeIDNum;          // ʵʷصĶ
    NET_CODEID_INFO*    pstuCodeIDInfo;         // ȡ,ڴû,СnQueryNum*sizeof(NET_CODEID_INFO)
}NET_GET_CODEID_LIST;

// ӶϢ 
typedef struct tagNET_CTRL_LOWRATEWPAN_ADD
{
	DWORD dwSize;
	NET_CODEID_INFO stuCodeIDInfo;             // 
}NET_CTRL_LOWRATEWPAN_ADD;

// 豸״̬ 
typedef enum tagEM_WIRELESS_DEVICE_ONLINE_STATE
{   
    EM_WIRELESS_DEVICE_STATE_UNKNOWN = 0,       // δ֪
    EM_WIRELESS_DEVICE_STATE_OUTLINE,           // 
    EM_WIRELESS_DEVICE_STATE_ONLINE,            // 
} EM_WIRELESS_DEVICE_ONLINE_STATE;

// 豸״̬
typedef enum tagEM_WIRELESS_DEVICE_POWER_STATE
{   
    EM_WIRELESS_DEVICE_POWER_UNKNOWN = 0,      // δ֪
    EM_WIRELESS_DEVICE_POWER_NORMAL,           // 
    EM_WIRELESS_DEVICE_POWER_LOW,              // ͵
} EM_WIRELESS_DEVICE_POWER_STATE;

// 豸״̬Ϣ
typedef struct tagNET_WIRELESS_DEVICE_INFO
{
    char                            szSerialNumber[DH_WIRELESS_DEVICE_SERIAL_NUMBER_MAX_LEN]; // 豸к 
    EM_WIRELESS_DEVICE_ONLINE_STATE emOnlineState; // ״̬
    EM_WIRELESS_DEVICE_POWER_STATE  emPowerState;  // ״̬  
    BYTE                            byReserved[128]; // ֶ
}NET_WIRELESS_DEVICE_INFO;

// ȡ豸״̬
typedef struct tagNET_GET_WIRELESS_DEVICE_STATE
{
    DWORD               dwSize;
    int                 nStartIndex;           // ʼ,ʼһβѯΪ0, û
    int                 nQueryNum;             // λȡ豸״̬, ֵСڵnMaxPageSizeֶεֵ, û
    int                 nRetQueryNum;          // ȡʵʷص豸״̬, СڵnQueryNum
    NET_WIRELESS_DEVICE_INFO *pstuDeviceInfo;  // ȡ豸״̬, ڴû, СnQueryNum*sizeof(NET_WIRELESS_DEVICE_INFO)
}NET_GET_WIRELESS_DEVICE_STATE;

// Դ״̬
typedef enum tagEM_REDUNDANCE_POWER_STATE
{   
    EM_REDUNDANCE_POWER_STATE_UNKNOWN = 0,       // ״̬δ֪
    EM_REDUNDANCE_POWER_STATE_ON,                // 
    EM_REDUNDANCE_POWER_STATE_OFF,               // ر
    EM_REDUNDANCE_POWER_STATE_ON_FAULT,          // 
} EM_REDUNDANCE_POWER_STATE;

#define MAX_REDUNDANCE_POWER_NUM 16              // Դ

// ȡԴϢ
typedef struct tagNET_GET_REDUNDANCE_POWER_INFO
{
    DWORD                     dwSize;                                   // ṹС
    int                       nPowerNum;                                // Դ
    EM_REDUNDANCE_POWER_STATE emPowerState[MAX_REDUNDANCE_POWER_NUM];   // Դ״̬Ϣ
}NET_GET_REDUNDANCE_POWER_INFO;

// ״̬
typedef enum tagNET_EM_ACCESSORY_TAMPER_STATE
{
    NET_EM_ACCESSORY_TAMPER_UNKNOWN,                    // δ֪
    NET_EM_ACCESSORY_TAMPER_ON,                         // 
    NET_EM_ACCESSORY_TAMPER_OFF,                        // 
}NET_EM_ACCESSORY_TAMPER_STATE;

// Ŵſ״̬
typedef enum tagNET_EM_DOOR_STATE
{
    NET_EM_DOOR_STATE_UNKNOWN,                          // δ֪
    NET_EM_DOOR_STATE_ON,                               // 
    NET_EM_DOOR_STATE_OFF,                              //    
}NET_EM_DOOR_STATE;

// ״̬
typedef enum tagNET_EM_ONLINE_STATE
{
    NET_EM_ONLINE_STATE_UNKNOWN,                        // δ֪
    NET_EM_ONLINE_STATE_OFFLINE,                        // 
    NET_EM_ONLINE_STATE_ONLINE,                         // 
}NET_EM_ONLINE_STATE;

// 澯״̬
typedef enum tagNET_EM_ALARM_STATE
{
    NET_EM_ALARM_STATE_UNKNOWN = -1,                    // δ֪
    NET_EM_ALARM_STATE_NORMAL,                          // 
    NET_EM_ALARM_STATE_ALARM,                           // 澯
}NET_EM_ALARM_STATE;

// ص״̬Ϣ
typedef struct tagNET_STATUS_INFO
{
    char                            szSN[MAX_COMMON_STRING_32];     // к
    UINT                            nPercent;                       // صٷֱ,0~100
    float                           fVolt;                          // ص,λ:
    UINT                            nIntensity;                     // źǿȵȼ0~5
    UINT                            nSignal;                        // źǿȣλdbm0~120
    NET_EM_ACCESSORY_TAMPER_STATE   emAccessoryTamperState;         // ״̬
    NET_EM_DOOR_STATE               emDoorState;                    // Ŵſ״̬
    char                            szName[MAX_COMMON_STRING_32];   // 
    NET_EM_ONLINE_STATE             emOnlineState;                  // ״̬
    NET_EM_ALARM_STATE              emAlarmState;                   // 澯״̬,Ŵšˮ״̬ЧԺ屨Ч
    char                            szVersion[MAX_COMMON_STRING_16];// 汾
}NET_STATUS_INFO;

// ȡ״̬
typedef struct tagNET_GET_ACCESSORY_STATUS
{
    DWORD                       dwSize;                         // ṹС
    int                         nSNNum;                         // кΪ0ʱ,״̬
    char                        szSN[56][MAX_COMMON_STRING_32]; // к,һά
    int                         nStatusNum;                     // ص״̬Ϣ
    NET_STATUS_INFO             stStatusInfo[56];				// ص״̬Ϣ
}NET_GET_ACCESSORY_STATUS;

// ʼ, CLIENT_ControlDeviceEx  Ӧ DH_CTRL_TEST_MAIL
typedef struct tagNET_IN_TEST_MAIL
{
    DWORD dwSize;
}NET_IN_TEST_MAIL;

// ʼ, CLIENT_ControlDeviceEx  Ӧ DH_CTRL_TEST_MAIL
typedef struct tagNET_OUT_TEST_MAIL
{
    DWORD dwSize;
}NET_OUT_TEST_MAIL;

// ܿ, CLIENT_ControlDeviceEx  Ӧ DH_CTRL_CONTROL_SMART_SWITCH
typedef struct tagNET_IN_CONTROL_SMART_SWITCH
{
    DWORD                       dwSize;
    char                        szSerialNumber[DH_WIRELESS_DEVICE_SERIAL_NUMBER_MAX_LEN]; // 豸к 
    BOOL                        bEnable; // TRUE - , FALSE - 
    int                         nDelayTime; // ʱʱ, 0ʱʾ򿪻ر. unit: min
}NET_IN_CONTROL_SMART_SWITCH;

// ܿ, CLIENT_ControlDeviceEx  Ӧ DH_CTRL_CONTROL_SMART_SWITCH
typedef struct tagNET_OUT_CONTROL_SMART_SWITCH
{
    DWORD                       dwSize;
}NET_OUT_CONTROL_SMART_SWITCH;


// ͬIO
typedef enum tagEM_COAXIAL_CONTROL_IO_TYPE
{
	EM_COAXIAL_CONTROL_IO_TYPE_UNKNOWN,				// δ֪
	EM_COAXIAL_CONTROL_IO_TYPE_LIGHT,				// ׹
	EM_COAXIAL_CONTROL_IO_TYPE_SPEAKER,				// speakƵ
} EM_COAXIAL_CONTROL_IO_TYPE;

// ͬIOƿ
typedef enum tagEM_COAXIAL_CONTROL_IO_SWITCH
{
	EM_COAXIAL_CONTROL_IO_SWITCH_UNKNOWN,			// δ֪
	EM_COAXIAL_CONTROL_IO_SWITCH_OPEN,				// 
	EM_COAXIAL_CONTROL_IO_SWITCH_CLOSE,				// 
} EM_COAXIAL_CONTROL_IO_SWITCH;

// ͬIOʽ
typedef enum tagEM_COAXIAL_CONTROL_IO_TRIGGER_MODE
{
	EM_COAXIAL_CONTROL_IO_TRIGGER_MODE_UNKNOWN,			// δ֪
	EM_COAXIAL_CONTROL_IO_TRIGGER_MODE_LINKAGE_TRIGGER,	// 
	EM_COAXIAL_CONTROL_IO_TRIGGER_MODE_MANUAL_TRIGGER,	// ֶ
} EM_COAXIAL_CONTROL_IO_TRIGGER_MODE;

// ͬIOϢṹ
typedef struct tagNET_COAXIAL_CONTROL_IO_INFO
{
	EM_COAXIAL_CONTROL_IO_TYPE			emType;				// ͬIO
	EM_COAXIAL_CONTROL_IO_SWITCH		emSwicth;			// ͬIOƿ
	EM_COAXIAL_CONTROL_IO_TRIGGER_MODE	emMode;				// ͬIOʽ
	BYTE								byReserved[128];	// ֽ
} NET_COAXIAL_CONTROL_IO_INFO;

// ͬIOϢ
#define	MAX_COAXIAL_CONTROL_IO_COUNT	8

// ͬIO, CLIENT_ControlDeviceEx  Ӧ DH_CTRL_COAXIAL_CONTROL_IO
typedef struct tagNET_IN_CONTROL_COAXIAL_CONTROL_IO
{
	DWORD							dwSize;									// ṹС
	int								nChannel;								// ͨ
	int								nInfoCount;								// ͬIOϢ
	NET_COAXIAL_CONTROL_IO_INFO		stInfo[MAX_COAXIAL_CONTROL_IO_COUNT];	// ͬIOϢ
} NET_IN_CONTROL_COAXIAL_CONTROL_IO;

// ͬIO, CLIENT_ControlDeviceEx  Ӧ DH_CTRL_COAXIAL_CONTROL_IO
typedef struct tagNET_OUT_CONTROL_COAXIAL_CONTROL_IO
{
	DWORD							dwSize;									// ṹС
} NET_OUT_CONTROL_COAXIAL_CONTROL_IO;


//////////////////////////////////////////////////////////////////////////
//       Low Rate Wireless Personal Area Network ˽ end
//////////////////////////////////////////////////////////////////////////

// ģͨݲѯ(Ӧ DH_DEVSTATE_ANALOGALARM_DATA )
typedef struct tagNET_GET_ANALOGALARM_DATA 
{
    DWORD                       dwSize;
    int							nChannelID;     // ѯģͨ(0ʼ)
    NET_ANALOGALARM_SENSE_INFO  stuInfo;        // õģͨ
}NET_GET_ANALOGALARM_DATA;

// ƺݲɼ豸豸
typedef enum tagEM_NET_SCADA_DEV_TYPE
{
    EM_NET_SCADA_DEV_TYPE_UNKNOWN = 0,                         // δ֪
    EM_NET_SCADA_DEV_TYPE_ALL,                                 // 豸
    EM_NET_SCADA_DEV_TYPE_UPS,                                 // UPS
} EM_NET_SCADA_DEV_TYPE;

// ƺݲɼ豸ĵλ·Ϣ, ѯ
typedef struct tagNET_IN_SCADA_POINT_LIST_INFO 
{
    DWORD                           dwSize;
    char                            szDevType[DH_COMMON_STRING_64]; // 豸
}NET_IN_SCADA_POINT_LIST_INFO;

#define MAX_SCADA_POINT_LIST_INDEX          8               // SCADADev±, ͨ

// λ·Ϣ
typedef struct tagNET_SCADA_POINT_LIST
{
    DWORD                           dwSize;
    int                             nIndexValidNum;         // Ч±
    int                             nIndex[MAX_SCADA_POINT_LIST_INDEX];// SCADADev±ֵ, 0ʼ
    char                            szPath[DH_COMMON_STRING_256];// ·
}NET_SCADA_POINT_LIST;

#define MAX_SCADA_POINT_LIST_INFO_NUM       256               // λ·
#define MAX_SCADA_POINT_LIST_ALARM_INFO_NUM 256				  // λ

// ƺݲɼ豸ĵλ·Ϣ, ѯ
typedef struct tagNET_OUT_SCADA_POINT_LIST_INFO 
{
    DWORD                           dwSize;
    int                             nList;                  // Чλ·Ϣ
    NET_SCADA_POINT_LIST            stuList[MAX_SCADA_POINT_LIST_INFO_NUM];// λ·Ϣ
}NET_OUT_SCADA_POINT_LIST_INFO;

// ƺݲɼ豸ĵλϢ, (Ӧ DH_DEVSTATE_SCADA_POINT_LIST )
typedef struct tagNET_SCADA_POINT_LIST_INFO 
{
    DWORD                           dwSize;
    NET_IN_SCADA_POINT_LIST_INFO    stuIn;                  // ѯ
    NET_OUT_SCADA_POINT_LIST_INFO   stuOut;                 // ѯ
}NET_SCADA_POINT_LIST_INFO;

// λ
typedef enum tagEM_NET_SCADA_POINT_TYPE
{
    EM_NET_SCADA_POINT_TYPE_UNKNOWN = 0,                       // δ֪
    EM_NET_SCADA_POINT_TYPE_ALL,                               // 
    EM_NET_SCADA_POINT_TYPE_YC,                                // ң ģ
    EM_NET_SCADA_POINT_TYPE_YX,                                // ң 
    EM_NET_SCADA_POINT_TYPE_YT,                                // ң ģ
    EM_NET_SCADA_POINT_TYPE_YK,                                // ң 
} EM_NET_SCADA_POINT_TYPE;

// SCADAλѯ
typedef struct tagNET_IN_SCADA_INFO 
{
    DWORD                   dwSize;
    EM_NET_SCADA_POINT_TYPE emPointType;                    // ѯĵλ
}NET_IN_SCADA_INFO;

#define MAX_SCADA_YX_NUM                128                 // ңŸ
#define MAX_SCADA_YC_NUM                128                 // ң
#define MAX_SCADA_POINT_INFO_NUM        8                   // 

// Ϣ
typedef struct tagNET_SCADA_POINT_INFO 
{
    DWORD                   dwSize;
    char                    szDevName[DH_COMMON_STRING_64];// 豸
    int                     nYX;                            // ЧңŸ
    unsigned int            anYX[MAX_SCADA_YX_NUM];         // ңϢ
    int                     nYC;                            // Чң
    float                   afYC[MAX_SCADA_YC_NUM];         // ңϢ
}NET_SCADA_POINT_INFO;

// SCADAλѯ
typedef struct tagNET_OUT_SCADA_INFO 
{
    DWORD                   dwSize;
    int                     nPointInfoNum;                  // Ч
    NET_SCADA_POINT_INFO    stuPointInfo[MAX_SCADA_POINT_INFO_NUM];// Ϣ
}NET_OUT_SCADA_INFO;

// ƺݲɼ豸ļλϢ(Ӧ DH_DEVSTATE_SCADA_INFO )
typedef struct tagNET_SCADA_INFO
{
    DWORD                   dwSize;
    NET_IN_SCADA_INFO       stuIn;                          // ѯ
    NET_OUT_SCADA_INFO      stuOut;                         // ѯ
}NET_SCADA_INFO;

// SCADA
typedef enum tagEM_NET_SCADA_CAPS_TYPE
{
    EM_NET_SCADA_CAPS_TYPE_UNKNOWN,
    EM_NET_SCADA_CAPS_TYPE_ALL,                                // 
    EM_NET_SCADA_CAPS_TYPE_DEV,                                // DevInfo
} EM_NET_SCADA_CAPS_TYPE;

// ƺݲɼ豸Ϣѯ
typedef struct tagNET_IN_SCADA_CAPS
{
    DWORD                   dwSize;
    EM_NET_SCADA_CAPS_TYPE  emType;                         // ѯ
} NET_IN_SCADA_CAPS;

#define MAX_NET_SCADA_CAPS_TYPE (16)
#define MAX_NET_SCADA_CAPS_NAME (16)

// ƺݲɼ豸Ϣ
typedef struct tagNET_OUT_SCADA_CAPS_ITEM
{
    DWORD                   dwSize;
    char                    szDevType[DH_COMMON_STRING_32];    // 豸
    int                     nValidName;                         // Ч豸Ƹ
    char                    szDevName[MAX_NET_SCADA_CAPS_NAME][DH_COMMON_STRING_32];// 豸, Ψһʾ豸
} NET_OUT_SCADA_CAPS_ITEM;

// ƺݲɼ豸Ϣѯ
typedef struct tagNET_OUT_SCADA_CAPS
{
    DWORD                   dwSize;
    int                     nValidType;                         // Ч豸͸
    NET_OUT_SCADA_CAPS_ITEM stuItems[MAX_NET_SCADA_CAPS_TYPE];  // 16
} NET_OUT_SCADA_CAPS;

// ƺݲɼ豸Ϣ(Ӧ DH_DEVSTATE_SCADA_CAPS )
typedef struct tagNET_SCADA_CAPS
{
    DWORD                   dwSize;
    NET_IN_SCADA_CAPS       stuIn;                          // ѯ
    NET_OUT_SCADA_CAPS      stuOut;                         // ѯ
} NET_SCADA_CAPS;

// λϢ(ͨ豸λȡ)
typedef struct tagNET_SCADA_POINT_BY_ID_INFO 
{
    DWORD                   dwSize;
    EM_NET_SCADA_POINT_TYPE emType;                         // λ
    char                    szID[DH_COMMON_STRING_64];      // λID
    int                     nMeasuredVal;                   // λΪYXʱЧ
    float                   fMeasureVal;                    // λΪYCʱЧ
    int                     nSetupVal;                      // λΪYKʱЧ
    float                   fSetupVal;                      // λΪYTʱЧ
    int                     nStatus;                        // ״̬, -1:δ֪, 0:, 1:1澯, 2:2澯, 3:3澯, 4:4澯, 5:¼, 6:Ч
    NET_TIME                stuTime;                        // ¼ʱ
}NET_SCADA_POINT_BY_ID_INFO;

#define MAX_SCADA_ID_OF_SENSOR_NUM  128                     // λID

// ͨ豸ȡλϢ(Ӧ NET_SCADA_INFO_BY_ID)
typedef struct tagNET_SCADA_INFO_BY_ID
{
    DWORD                   dwSize;
    char                    szSensorID[DH_COMMON_STRING_64];// , ̽ID
    int                     nIDs;                           // , ЧλID
    char                    szIDs[MAX_SCADA_ID_OF_SENSOR_NUM][DH_COMMON_STRING_64];// , λID
	BOOL					bIsHandle;						// Ƿ񾭹Чݹ˵ȣ:"false"δ"true"
    int                     nMaxCount;                      // , pstuInfoӦ
    int                     nRetCount;                      // , pstInfoʵʷЧ, ܴûnMaxCount
    NET_SCADA_POINT_BY_ID_INFO* pstuInfo;                   // , û仺,СΪsizeof(NET_SCADA_POINT_BY_ID_INFO)*nMaxCount
}NET_SCADA_INFO_BY_ID;

// 豸Ϣ
typedef struct tagNET_SCADA_DEVICE_ID_INFO 
{
    char                    szDeviceID[DH_COMMON_STRING_64];// 豸id
    char                    szDevName[DH_COMMON_STRING_64]; // 豸, CFG_SCADA_DEV_INFOеszDevNameһ
    BYTE                    reserve[1024];
}NET_SCADA_DEVICE_ID_INFO;

// ȡǰⲿ豸ID
typedef struct tagNET_SCADA_DEVICE_LIST
{
    DWORD                       dwSize;
    int                         nMax;                       // ûĽṹ
    int                         nRet;                       // 豸ʵʷصЧṹ
    NET_SCADA_DEVICE_ID_INFO*   pstuDeviceIDInfo;           // 豸Ϣ,ûڴ,СΪsizeof(NET_SCADA_DEVICE_ID_INFO)*nMax
}NET_SCADA_DEVICE_LIST;

// λϢ
typedef struct tagNET_SCADA_NOTIFY_POINT_INFO
{
    DWORD                       dwSize; 
    char                        szDevName[DH_COMMON_STRING_64];     // 豸,getInfoȡһ
    EM_NET_SCADA_POINT_TYPE     emPointType;                        // λ
    char                        szPointName[DH_COMMON_STRING_64];   // λ,λȡֵһ
    float                       fValue;                             // TypeΪYCʱΪ
    int                         nValue;                             // TypeΪYXʱΪ
    char                        szFSUID[DH_COMMON_STRING_64];       // ֳصԪID(Field Supervision Unit), 豸
    char                        szID[DH_COMMON_STRING_64];          // λID
    char                        szSensorID[DH_COMMON_STRING_64];    // ̽ID
    NET_TIME_EX                 stuCollectTime;                     // ɼʱ
} NET_SCADA_NOTIFY_POINT_INFO;

// λϢб
typedef struct tagNET_SCADA_NOTIFY_POINT_INFO_LIST
{
    DWORD                           dwSize;
    int                             nList;                        // λϢ
    NET_SCADA_NOTIFY_POINT_INFO     stuList[MAX_SCADA_POINT_LIST_INFO_NUM]; // λϢ
} NET_SCADA_NOTIFY_POINT_INFO_LIST;

// ļλϢصԭ
typedef void (CALLBACK *fSCADAAttachInfoCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_SCADA_NOTIFY_POINT_INFO_LIST *pInfo, int nBufLen, LDWORD dwUser);

// CLIENT_SCADAAttachInfo()ӿ
typedef struct tagNET_IN_SCADA_ATTACH_INFO
{
    DWORD                           dwSize;
    fSCADAAttachInfoCallBack        cbCallBack;                 // ݻص
    EM_NET_SCADA_POINT_TYPE         emPointType;                // λ
    LDWORD                          dwUser;                     // û
} NET_IN_SCADA_ATTACH_INFO;

// CLIENT_SCADAAttachInfo()ӿ
typedef struct tagNET_OUT_SCADA_ATTACH_INFO
{
    DWORD    dwSize;
} NET_OUT_SCADA_ATTACH_INFO;

//////////////////////////////////////////////////////////////////////////
#define MAX_SCADA_ID_NUM                            1024    // λid

// λֵϢ
typedef struct tagNET_SCADA_ID_THRESHOLD_INFO 
{
    DWORD                   dwSize;
    EM_NET_SCADA_POINT_TYPE emPointType;                // λ
    char                    szID[DH_COMMON_STRING_32];  // λID
    float                   fThreshold;                 // 澯
    float                   fAbsoluteValue;             // ֵ
    float                   fRelativeValue;             // ֵ
    int                     nStatus;                    // ״̬, -1:δ֪, 0:, 1:1澯, 2:2澯, 3:3澯, 4:4澯, 5:¼, 6:Ч
}NET_SCADA_ID_THRESHOLD_INFO;

// CLIENT_SCADAGetThreshold
typedef struct tagNET_IN_SCADA_GET_THRESHOLD 
{
    DWORD           dwSize;
    char            szDeviceID[DH_COMMON_STRING_64];                // 豸id
    int             nIDs;                                           // Чλ
    char            szIDs[MAX_SCADA_ID_NUM][DH_COMMON_STRING_32];   // ȡļλID
}NET_IN_SCADA_GET_THRESHOLD;

// CLIENT_SCADAGetThreshold
typedef struct tagNET_OUT_SCADA_GET_THRESHOLD 
{
    DWORD                           dwSize;
    int                             nMax;               // ûĵλֵϢ
    int                             nRet;               // ʵʷصĵλֵϢ
    NET_SCADA_ID_THRESHOLD_INFO*    pstuThresholdInfo;  // λֵϢ, ûڴ,СΪsizeof(NET_SCADA_ID_THRESHOLD_INFO)*nMax
}NET_OUT_SCADA_GET_THRESHOLD;

//////////////////////////////////////////////////////////////////////////
// CLIENT_SCADASetThreshold
typedef struct tagNET_IN_SCADA_SET_THRESHOLD 
{
    DWORD                           dwSize;
    char                            szDeviceID[DH_COMMON_STRING_64];// 豸id
    int                             nMax;               // ûĵλֵϢ
    NET_SCADA_ID_THRESHOLD_INFO*    pstuThresholdInfo;  // λֵϢ, ûڴ,СΪsizeof(NET_SCADA_ID_THRESHOLD_INFO)*nMax
}NET_IN_SCADA_SET_THRESHOLD;

// CLIENT_SCADASetThreshold
typedef struct tagNET_OUT_SCADA_SET_THRESHOLD 
{
    DWORD           dwSize;
    int             nSuccess;                                           // ЧĴֵɹid
    char            szSuccessID[MAX_SCADA_ID_NUM][DH_COMMON_STRING_32]; // ֵɹid,ûڴ
    int             nFail;                                              // ûĴֵʧܵid
    char            szFailID[MAX_SCADA_ID_NUM][DH_COMMON_STRING_32];    // ֵʧܵid, ûڴ
}NET_OUT_SCADA_SET_THRESHOLD;

//////////////////////////////////////////////////////////////////////////
// CLIENT_StartFindSCADA
typedef struct tagNET_IN_SCADA_START_FIND 
{
    DWORD           dwSize;
    NET_TIME        stuStartTime;                   // ʼʱ, 
    BOOL            bEndTime;                       // Ƿƽʱ, TRUE: stuEndTime, FLASE: ƽʱ
    NET_TIME        stuEndTime;                     // ʱ
    char            szDeviceID[DH_COMMON_STRING_64];// DeviceID, 
    char            szID[DH_COMMON_STRING_32];      // λID, 
	int				nIDsNum;						// ID鳤
	char			szIDs[32][DH_COMMON_STRING_32]; // صID飬SDTչֶ
}NET_IN_SCADA_START_FIND;

// CLIENT_StartFindSCADA
typedef struct tagNET_OUT_SCADA_START_FIND 
{
    DWORD           dwSize;
    DWORD           dwTotalCount;                   // ϲѯ
}NET_OUT_SCADA_START_FIND;

// CLIENT_DoFindSCADA
typedef struct tagNET_IN_SCADA_DO_FIND 
{
    DWORD                       dwSize;
    int                         nStartNo;           // ʼ
    int                         nCount;             // ýĸ
}NET_IN_SCADA_DO_FIND;

// CLIENT_DoFindSCADA
typedef struct tagNET_OUT_SCADA_DO_FIND 
{
    DWORD                       dwSize;
    int                         nRetNum;            // βѯĸ
    NET_SCADA_POINT_BY_ID_INFO* pstuInfo;           // ѯ, ûڴ,СΪsizeof(NET_SCADA_POINT_BY_ID_INFO)*nMaxNum
    int	                        nMaxNum;            // ûڴĸ
}NET_OUT_SCADA_DO_FIND;

//λϢ
typedef struct tagNET_SCADA_NOTIFY_POINT_ALARM_INFO
{
    DWORD           dwSize;
    char            szDevID[DH_COMMON_STRING_16];               // 豸ID
    char            szPointID[DH_COMMON_STRING_128];            // λID
    BOOL            bAlarmFlag;                                 // ־
    NET_TIME        stuAlarmTime;                               // ʱ
    int	            nAlarmLevel;                                // 0~6
    int             nSerialNo;                                  // ,ͬһ澯Ŀʼͽıͬġ
    char            szAlarmDesc[DH_COMMON_STRING_128];          // 
} NET_SCADA_NOTIFY_POINT_ALARM_INFO;

// λϢб
typedef struct tagNET_SCADA_NOTIFY_POINT_ALARM_INFO_LIST
{
    DWORD                               dwSize;
    int	                                nList;                                          // λϢ
    NET_SCADA_NOTIFY_POINT_ALARM_INFO   stuList[MAX_SCADA_POINT_LIST_ALARM_INFO_NUM];   // λϢ
} NET_SCADA_NOTIFY_POINT_ALARM_INFO_LIST;

// 㱨Ϣصԭ
typedef void (CALLBACK *fSCADAAlarmAttachInfoCallBack)(LLONG lAttachHandle, NET_SCADA_NOTIFY_POINT_ALARM_INFO_LIST *pInfo, int nBufLen, LDWORD dwUser);

// CLIENT_SCADAAlarmAttachInfo()ӿ
typedef struct tagNET_IN_SCADA_ALARM_ATTACH_INFO
{
    DWORD                           dwSize;
    fSCADAAlarmAttachInfoCallBack   cbCallBack;                 // ݻص
    LDWORD                          dwUser;	                    // û
} NET_IN_SCADA_ALARM_ATTACH_INFO;

// CLIENT_SCADAAlarmAttachInfo()ӿ
typedef struct tagNET_OUT_SCADA_ALARM_ATTACH_INFO
{
    DWORD                       dwSize;
} NET_OUT_SCADA_ALARM_ATTACH_INFO;

// صֵò
typedef struct tagNET_SCADA_POINT_SET_INFO
{
    DWORD                       dwSize;
    EM_NET_SCADA_POINT_TYPE	    emType;                         // صλ,ȡYKYT
    char                        szPointID[DH_COMMON_STRING_64];	// صλID
    int	                        nSetupVal;                      // λΪYKʱЧ
    float                       fSetupVal;                      // λΪYTʱЧ
} NET_SCADA_POINT_SET_INFO;

// صֵòб,CLIENT_SetSCADAInfo()ӿ
typedef struct tagNET_IN_SCADA_POINT_SET_INFO_LIST
{
    DWORD                       dwSize;
    char                        szDevID[DH_COMMON_STRING_32];           // 豸ID
    int	                        nPointNum;                              // ص
    NET_SCADA_POINT_SET_INFO    stuList[MAX_SCADA_ID_OF_SENSOR_NUM];    // صбϢ
} NET_IN_SCADA_POINT_SET_INFO_LIST;

// üصֵصĽб,CLIENT_SetSCADAInfo()ӿ
typedef struct tagNET_OUT_SCADA_POINT_SET_INFO_LIST
{
    DWORD                   dwSize;
    int                     nSuccess;                                                       // ЧĿƻڳɹID
    char                    szSuccessID[MAX_SCADA_ID_OF_SENSOR_NUM][DH_COMMON_STRING_32];   // ƻڳɹIDб
    int                     nFail;                                                          // ЧĿƻʧܵID
    char                    szFailID[MAX_SCADA_ID_OF_SENSOR_NUM][DH_COMMON_STRING_32];      // ƻʧܵIDб
} NET_OUT_SCADA_POINT_SET_INFO_LIST;


// ȡǰϵͳ״̬(ӦDH_DEVSTATE_GET_ALARM_SUBSYSTEM_ACTIVATESTATUS)
typedef struct tagNET_GET_ALARM_SUBSYSTEM_ACTIVATE_STATUES
{
    DWORD               dwSize;
    int                 nChannelId;                         // ϵͳ
    BOOL                bActive;                            // ϵͳ״̬, TRUE ʾ,FALSEʾ
}NET_GET_ALARM_SUBSYSTEM_ACTIVATE_STATUES;

// ϵͳò(ӦDH_CTRL_ALARM_SUBSYSTEM_ACTIVE_SET)
typedef struct tagNET_CTRL_ALARM_SUBSYSTEM_SETACTIVE 
{
    DWORD               dwSize;
    int                 nChannelId;                         // ϵͳ
    BOOL                bActive;                            // ϵͳ״̬,TRUE ʾ,FALSEʾ
}NET_CTRL_ALARM_SUBSYSTEM_SETACTIVE;

// ֹբ(Ӧ DH_CTRL_FORBID_OPEN_STROBE)
typedef struct tagNET_CTRL_FORBID_OPEN_STROBE
{
    DWORD               dwSize;             
    int                 nChannelID;                         // ͨ    
    int                 nTime;                              // ֹբĳʱ,λ:s,ڴ˲֮ĶӦʱڲ豸բ 
}NET_CTRL_FORBID_OPEN_STROBE;

#define MAX_PLATENUMBER_LEN    64                           // ƺ볤

// բ(ӦDH_CTRL_OPEN_STROBE)
typedef struct tagNET_CTRL_OPEN_STROBE
{
    DWORD               dwSize;
    int                 nChannelId;                         // ͨ, nChannelIdΪ-1ʱʾδʹͨ, ʾͨ豸
    char                szPlateNumber[MAX_PLATENUMBER_LEN]; // ƺ
}NET_CTRL_OPEN_STROBE;

// 첽բص
// nError = 0 ʾѯɹ;
// nError = 1 ʾڴʧ;
// nError = 2 ʾʱ, ʱʱ豸δϢ
// nError = 3 ʾ豸У鲻ͨ;
// nError = 4 Ͳѯʧ
typedef void (CALLBACK *fOpenStrobeCallBack)(LLONG lLoginID, NET_CTRL_OPEN_STROBE stuOpenStrobe, int nError, LDWORD dwUser);

// 첽բ(ӦDH_CTRL_OPEN_STROBE)
typedef struct tagNET_CTRL_OPEN_STROBE_ASYN
{
    DWORD					dwSize;
	NET_CTRL_OPEN_STROBE	stuOpenStrobe;						// բ
	fOpenStrobeCallBack		cbCallBack;							// ݻص
	LDWORD					dwUser;								// û
	int						nWaitTime;							// ʱʱ
} NET_CTRL_OPEN_STROBE_ASYN;

// رյբ(ӦDH_CTRL_CLOSE_STROBE)
typedef struct tagNET_CTRL_CLOSE_STROBE
{
    DWORD               dwSize;
    int                 nChannelId;                         // ͨ
}NET_CTRL_CLOSE_STROBE;

// ǿƲΥ²(ӦDH_CTRL_FORCE_BREAKING)
typedef struct tagNET_CTRL_FORCE_BREAKING
{
	DWORD               dwSize;
    int                 nChannelId;                         // ͨ
	int                 nLaneMask;                          // λ
	DWORD               dwBreakingType;                     // Υ, dhnetsdk.h"ܷ¼"                
}NET_CTRL_FORCE_BREAKING;

// طžܾ(ӦDH_CTRL_TALKING_REFUSE)
typedef struct tagNET_CTRL_TALKING_REFUSE 
{
    DWORD           dwSize;
    int             nChannelID;                             // Խͨ
}NET_CTRL_TALKING_REFUSE;


// Զ̶Խ
typedef enum tagEM_REMOTETALK_CTRL_STATE
{
    EM_REMOTETALK_CTRL_STATE_UNKNOWN = 0,                                // δ
    EM_REMOTETALK_CTRL_STATE_INVITE,                                     // 豸ƽ̨Խ
}EM_REMOTETALK_CTRL_STATE;

// Զ̶ԽƲ
typedef struct tagNET_CTRL_REMOTETALK_PARAM
{
    DWORD                       dwSize;                 // ṹС
    EM_REMOTETALK_CTRL_STATE    emAction;               // Զ̶ԽƵĲ
}NET_CTRL_REMOTETALK_PARAM;

// λԤ״̬
typedef enum tagEM_NET_ORDER_STATE
{
    EM_NET_ORDER_STATE_UNKNOWN,
    EM_NET_ORDER_STATE_FREE,                            // Free
    EM_NET_ORDER_STATE_ORDERED,                         // ԤOrdered
}EM_NET_ORDER_STATE;

// λԤ״̬Ϣ
typedef struct tagNET_ORDER_STATE_INFO
{
    DWORD               dwSize;
    unsigned int        nLane;                          // λ
    EM_NET_ORDER_STATE  emOrderState;                   // Ԥ
}NET_ORDER_STATE_INFO;

// óλԤ״̬(ӦDH_CTRL_SET_ORDER_STATE)
typedef struct tagNET_CTRL_SET_ORDER_STATE
{
    DWORD                   dwSize;
    NET_ORDER_STATE_INFO*   pOrderStateInfo;              // λԤϢ,ûռ,СΪsizeof(NET_ORDER_STATE_INFO)*nStateCount
    unsigned int            nStateCount;                  // ЧԤ
}NET_CTRL_SET_ORDER_STATE;

// ͣڿLEDĻĻٶ
typedef enum tagNET_ECK_LED_SPEED_TYPE 
{
    NET_ECK_LED_SPEED_UNKNOWN = 0,
    NET_ECK_LED_SPEED_LOW,                              // 
    NET_ECK_LED_SPEED_NORMAL,                           // 
    NET_ECK_LED_SPEED_HIGH,                             // 
}NET_ECK_LED_SPEED_TYPE;

// ͣڿLED DH_CTRL_ECK_LED_SET
typedef struct tagNET_CTRL_ECK_LED_SET_PARAM 
{
    DWORD                   dwSize;
    NET_ECK_LED_SPEED_TYPE  emLEDSpeed;                 // Ļٶ
    int                     nCount;                     // Чʾ, Χ0-255, 0ʾ
    char                    szCustomData[DH_COMMON_STRING_512];// LEDʼԶַ, 0-256ֽ
}NET_CTRL_ECK_LED_SET_PARAM;

#define NET_MAX_ECK_PANEL_NUM  12                            // ʾݵ

//ʾݵ
typedef enum tagEM_NET_ECK_PANEL_TYPE
{
	EM_NET_ECK_PANEL_TYPE_INTCHAR,                           // ĸո
	EM_NET_ECK_PANEL_TYPE_IMAGE,                             // ͼ
	EM_NET_ECK_PANEL_TYPE_ARROWS,                            // ͷ
}EM_NET_ECK_PANEL_TYPE;

//ǷӴ
typedef enum tagEM_NET_ECK_PANEL_ISBOLD
{
	EM_NET_ECK_PANEL_ISBOLD_FALSE,                           // Ӵ
	EM_NET_ECK_PANEL_ISBOLD_TRUE,                            // Ӵ
}EM_NET_ECK_PANEL_ISBOLD;

//ʾɫ
typedef enum tagEM_NET_ECK_PANEL_COLOR
{
	EM_NET_ECK_PANEL_COLOR_UNKNOWN,                          // δ֪
	EM_NET_ECK_PANEL_COLOR_RED,                              // ɫ
	EM_NET_ECK_PANEL_COLOR_GREEN,                            // ɫ 
	EM_NET_ECK_PANEL_COLOR_YELLOW,                           // ɫ
}EM_NET_ECK_PANEL_COLOR;

//ͷָ򣬼ͷר
typedef enum tagEM_NET_ECK_PANEL_DIRECTION
{
	EM_NET_ECK_PANEL_DIRECTION_UNKNOWN,                      // δ֪
	EM_NET_ECK_PANEL_DIRECTION_LEFT,                         // 
	EM_NET_ECK_PANEL_DIRECTION_UP,                           // 
	EM_NET_ECK_PANEL_DIRECTION_RIGHT,                        // 
}EM_NET_ECK_PANEL_DIRECTION;

//ͼ
typedef enum tagEM_NET_ECK_PANEL_ICON
{
	EM_NET_ECK_PANEL_ICON_UNKNOWN,                           // δ֪
	EM_NET_ECK_PANEL_ICON_CLOSE,                             // ֹ
}EM_NET_ECK_PANEL_ICON;

//ʾ
typedef struct tagNET_ECK_PANEL_CONTENT
{
	EM_NET_ECK_PANEL_TYPE        emType;                     // ʾݵ,ѡ
	EM_NET_ECK_PANEL_ISBOLD      emBold;                     // ǷӴ֣ѡ
	EM_NET_ECK_PANEL_COLOR       emColor;                    // ʾɫѡ
	EM_NET_ECK_PANEL_DIRECTION   emDirection;                // ͷָ򣬼ͷר,ѡ,TypeΪ2ʱЧ
	EM_NET_ECK_PANEL_ICON        emIcon;                     // ͼ꣬ͼרãѡTypeΪ1ʱЧ
	WORD                         nText;                      // ı,ǰֻ֧һַ,Unicode,ַΪ:֡ĸո񣨲ֺ֧֣ѡTypeΪ0ʱЧ
    BYTE                         byReserved[1022];           // ֽ   
}NET_ECK_PANEL_CONTENT;

//յʾ(DH_CTRL_ECK_GUIDINGPANEL_CONTENT)
typedef struct tagNET_CTRL_ECK_GUIDINGPANEL_CONTENT 
{
	DWORD                   dwSize;                          // ṹС
	int                     nPanelNum;                       // ʾ
	NET_ECK_PANEL_CONTENT   stuContentInfo[NET_MAX_ECK_PANEL_NUM];// ʾ
}NET_CTRL_ECK_GUIDINGPANEL_CONTENT;


// ͣϵͳڻICû
typedef enum tagNET_ECK_IC_CARD_USER_TYPE
{
    NET_ECK_IC_CARD_USER_UNKNOWN,
    NET_ECK_IC_CARD_USER_ALL,                           // ȫ
    NET_ECK_IC_CARD_USER_TEMP,                          // ʱû
    NET_ECK_IC_CARD_USER_LONG,                          // û
    NET_ECK_IC_CARD_USER_ADMIN,                         // Ա
    NET_ECK_IC_CARD_USER_BLACK_LIST,                    // 
}NET_ECK_IC_CARD_USER_TYPE;

// ͣϵͳڻ쳣¼
typedef enum tagNET_ECK_CAR_PASS_FLAG
{
    NET_ECK_CAR_PASS_FLAG_NORMAL = 0,                   // 
    NET_ECK_CAR_PASS_FLAG_ABNORMAL = 1,                 // 쳣
    NET_ECK_CAR_PASS_FLAG_ALL,                          // ȫ
} NET_ECK_CAR_PASS_FLAG;

// ͣϵͳڻICϢ
typedef struct tagNET_ECK_IC_CARD 
{
    DWORD                   dwSize;
    DWORD                   dwCard;                     // 
    NET_ECK_IC_CARD_USER_TYPE emUserType;               // û
}NET_ECK_IC_CARD;

#define NET_MAX_ECK_IC_CARD_IMPORT_NUM      50          // ͣϵͳڻɵICĿ

// ͣϵͳڻICϢ DH_CTRL_ECK_IC_CARD_IMPORT
typedef struct tagNET_CTRL_ECK_IC_CARD_IMPORT_PARAM
{
    DWORD               dwSize;
    int                 nCardNum;                       // IC
    NET_ECK_IC_CARD     stuCardInfo[NET_MAX_ECK_IC_CARD_IMPORT_NUM];// ICϢ
}NET_CTRL_ECK_IC_CARD_IMPORT_PARAM;

// ͣϵͳڻICϢָͬ  DH_CTRL_ECK_SYNC_IC_CARD
typedef struct tagNET_CTRL_ECK_SYNC_IC_CARD_PARAM
{
    DWORD               dwSize;
    int                 nCount;                         // ͻICϢ
}NET_CTRL_ECK_SYNC_IC_CARD_PARAM;

#define ECK_SCREEN_NUM_MAX (8)                         // ͣϵͳڻ

// ͣϵͳڻóλϢ  DH_CTRL_ECK_SET_PARK_INFO
typedef struct tagNET_CTRL_ECK_SET_PARK_INFO_PARAM
{
    DWORD           dwSize;
    int             nScreenNum;                             // ,  ECK_SCREEN_NUM_MAX
    int             nScreenIndex[ECK_SCREEN_NUM_MAX];       // , ÿԪرʾ
    int             nFreeParkNum[ECK_SCREEN_NUM_MAX];       // ӦµĿ೵λ
                                                            // Ⱥ±nScreenIndexһ,ÿԪرʾӦµĿ೵λ
}NET_CTRL_ECK_SET_PARK_INFO_PARAM;

// ָƲɼ(ӦDH_CTRL_CAPTURE_FINGER_PRINT)
typedef struct tagNET_CTRL_CAPTURE_FINGER_PRINT 
{
    DWORD           dwSize;
    int             nChannelID;                             // Ž(0ʼ)
    char            szReaderID[DH_COMMON_STRING_32];        // ID
}NET_CTRL_CAPTURE_FINGER_PRINT;

// Ž
typedef enum tagEM_ACCESS_PASSWORD_TYPE
{
    EM_ACCESS_PASSWORD_OPENDOOR=1,                 // 
    EM_ACCESS_PASSWORD_ALARM,                      // ٳֱ
}EM_ACCESS_PASSWORD_TYPE;

// Ž-(ӦCLIENT_ControlDeviceӿڵ DH_CTRL_ACCESS_RESET_PASSWORD )
typedef struct tagNET_CTRL_ACCESS_RESET_PASSWORD 
{
    DWORD                           dwSize;                                 // ṹС
    int                             nChannelID;                             // Ž(0ʼ)
    EM_ACCESS_PASSWORD_TYPE         emType;                                 // 
    char                            szUserID[MAX_COMMON_STRING_32];         // ûID
    char                            szNewPassword[MAX_COMMON_STRING_32];    // 
}NET_CTRL_ACCESS_RESET_PASSWORD;

// е
typedef enum tagEM_CALLLIFT_CMD
{
    EM_CALLLIFT_CMD_UNKNOWN =-1,         // δ֪
    EM_CALLLIFT_CMD_ANY_FLOOR = 0,       // еݵĳ¥㣬κ¥
    EM_CALLLIFT_CMD_DEST_FLOOR,          // еݵĳ¥㣬ûȥֻܰĿ¥
    EM_CALLLIFT_CMD_CARD_UP,             // еݵĳ¥󣬻Ҫˢݲ, Ĭϵ
    EM_CALLLIFT_CMD_AUTO_FLOOR,          // еݵĳ¥,ûȥðťݻԶеĿ¥
    EM_CALLLIFT_CMD_CARD_DOWN,           // еݵĳ¥󣬻Ҫˢݲ, Ĭϵ
}EM_CALLLIFT_CMD;

// еݷʽ
typedef enum tagEM_CALLLIFT_ACTION
{
    EM_CALLLIFT_ACTION_UNKNOWN =-1,             // δ֪
    EM_CALLLIFT_ACTION_USER_UNLOCK_CALL = 0,    // ûͨԽֻ򿪵ԪͬʱеݵԪŴ
    EM_CALLLIFT_ACTION_USER_DIRECT_CALL,        // ûеݵû¥
    EM_CALLLIFT_ACTION_USER_REDIRECT_CALL,      // ûеݾĳ㵽ĳ
    EM_CALLLIFT_ACTION_DIRECT_UNLOCK_CALL,      // ԪſͬʱеݵԪŴ
}EM_CALLLIFT_ACTION;

// Ž-(ӦCLIENT_ControlDeviceӿڵ DH_CTRL_ACCESS_CALL_LIFT )
typedef struct tagNET_CTRL_ACCESS_CALL_LIFT
{
    DWORD				    dwSize;
    int                     nChannelID;                         // ͨ
    char                    szSrcFloor[MAX_COMMON_STRING_16];   // ʼַ(¥+)
    char                    szDestFloor[MAX_COMMON_STRING_16];  // Ŀַ(¥+)
    EM_CALLLIFT_CMD         emCallLiftCmd;                      // е
    EM_CALLLIFT_ACTION      emCallLiftAction;                   // еݵķʽ  
	char					szUserID[16];						// ûID
}NET_CTRL_ACCESS_CALL_LIFT;

// ҶƵ绰(Ӧ DH_CTRL_VTP_DISCONNECT )
typedef struct tagNET_CTRL_VTP_DISCONNECT 
{
    DWORD                   dwSize;
    const char*             szTargetID;                     // ת豸ID, ΪNULLʾת
    EM_NET_VTP_CALL_TYPE    emCallType;                     // 
    char                    szCallID[DH_COMMON_STRING_128]; // ԽΨһʶ
}NET_CTRL_VTP_DISCONNECT;

// ԽͻӦ
typedef enum tagNET_EM_VTP_ACK
{
    NET_EM_VTP_OK,                              // ͻ˽¼,Ϻ
    NET_EM_VTP_BUSY,                            // ͻæ,
}NET_EM_VTP_ACK;

// תӦ
typedef struct tagNET_CTRL_VTP_DIVERTACK
{
    DWORD                   dwSize;
    EM_NET_VTP_CALL_TYPE    emCallType;                     // ѯĺ
    const char*             szCallID;                       // Ωһʶ
    NET_EM_VTP_ACK          emAck;                          // ͻ˽ܺӦ
}NET_CTRL_VTP_DIVERTACK;

// Զ̶ýļʽ
typedef enum tagNET_EM_SPEAK_FILE_ACTION
{
    NET_EM_SPEAK_FILE_ACTION_UPDATE = 0,                    // ԭļ
    NET_EM_SPEAK_FILE_ACTION_ADD,                           // ļ
    NET_EM_SPEAK_FILE_ACTION_DEL,                           // ɾļ
}NET_EM_SPEAK_FILE_ACTION;

// Զ̶ýļͶŲϢ
typedef struct tagNET_SPEAK_FILE_INFO
{
    DWORD                       dwSize;
    char                        szFilePath[MAX_PATH];       // ļ·, ԤCFG_CMD_NASEXúõĵַ
    NET_EM_SPEAK_FILE_ACTION    emAction;                   // , szFilePathָļĲ
    BOOL                        bSave;                      // 豸Ƿ±ļ
}NET_SPEAK_FILE_INFO;

#define MAX_SPEAK_FILE_NUM      32                          // ԶͶŵĶýļ

// ԶͶŶýļ
typedef struct tagNET_CTRL_UPDATE_FILES
{
    DWORD                   dwSize;
    DWORD                   dwFileNum;                      // Чļ
    NET_SPEAK_FILE_INFO     stuFileInfo[MAX_SPEAK_FILE_NUM];// ýļϢ
}NET_CTRL_UPDATE_FILES;

// ˢˢһ,ˢģʽΪֶģʽʱЧ(Ӧ DH_CTRL_RAINBRUSH_MOVEONCE)
typedef struct tagNET_CTRL_RAINBRUSH_MOVEONCE
{
    DWORD           dwSize;
    int             nChannel;       // ʾˢ
}NET_CTRL_RAINBRUSH_MOVEONCE;

// ˢѭˢ,ˢģʽΪֶģʽʱЧ(Ӧ DH_CTRL_RAINBRUSH_MOVECONTINUOUSLY)
typedef struct tagNET_CTRL_RAINBRUSH_MOVECONTINUOUSLY
{
    DWORD           dwSize;
    int             nChannel;       // ʾˢ
    unsigned int    nInterval;      // ˢ
}NET_CTRL_RAINBRUSH_MOVECONTINUOUSLY;

// ˢֹͣˢ,ˢģʽΪֶģʽʱЧ(Ӧ DH_CTRL_RAINBRUSH_STOPMOVE)
typedef struct tagNET_CTRL_RAINBRUSH_STOPMOVE
{
    DWORD           dwSize;
    int             nChannel;       // ʾˢ
}NET_CTRL_RAINBRUSH_STOPMOVE;

// ¼ȷ(Ӧ DH_CTRL_ALARM_ACK )
typedef struct tagNET_CTRL_ALARM_ACK
{
    DWORD                   dwSize;
    int                     nEventID;   // ¼,Ψһ־һ¼
}NET_CTRL_ALARM_ACK;

// Խظ
typedef enum tagNET_EM_VTP_INVITEACK_TYPE
{
    NET_EM_VTP_INVITEACK_TYPE_UNKNOWN = 0,               // δ֪
    NET_EM_VTP_INVITEACK_TYPE_BUSY                       // æ
}NET_EM_VTP_INVITEACK_TYPE;

// Խظ
typedef struct tagNET_CTRL_VTP_INVITEACK
{
    DWORD                        dwSize;
    int                          nChnId;                // ͨ,ڱʶԽԪ
    NET_EM_VTP_INVITEACK_TYPE    emAck;                 // ͻյInvite¼󣬽״̬֪ͨ豸
}NET_CTRL_VTP_INVITEACK;

////////////////////////////////ϵͳ//////////////////////////////////////////
// ״̬
typedef struct __NET_PARTITION_STATE
{
    DWORD             dwSize;
    int               nStatus;                  // ״̬,0-,1- 
    double            dbTotalSize;              // ,ֽΪλ
    double            dbRemainSize;             // ʣ,ֽΪλ
    
}NET_PARTITION_STATE;

// Ӳ״̬
typedef struct __NET_HDD_STATE
{
    DWORD             dwSize; 
    int               nState;                   // Ӳ״̬,0-,1-   
    double            dbTotalSize;              // Ӳ,ֽΪλ
    NET_PARTITION_STATE stuPartitions[DH_MAX_STORAGE_PARTITION_NUM]; // ״̬
    int               nPartitionNum;              // 
}NET_HDD_STATE;

// ͨ״̬
typedef struct __NET_CHANNLE_STATE
{
    DWORD             dwSize;
    BYTE              byRecState;               // ¼״̬,1-¼,0-ر
    BYTE              byVideoInState;           // Ƶ״̬,1-Ƶ,0-Ƶ  
    BYTE              byReserved[2];            // ֽڶ
}NET_CHANNLE_STATE;

// PAD/DVR״̬
typedef enum tagNET_PAD_CONNECT_STATE
{
    NET_PAD_CONNECT_STATE_UNKNOWN,             // δ֪
    NET_PAD_CONNECT_STATE_UNCONNECTED,         // δ
    NET_PAD_CONNECT_STATE_CONNECTED,           // 
} NET_PAD_CONNECT_STATE;

// Home״̬
typedef enum tagNET_HOME_STATE
{
    NET_HOME_STATE_UNKNOWN,                    // δ֪
    NET_HOME_STATE_UNPRESSED,                  // δ
    NET_HOME_STATE_PRESSED,                    // 
} NET_HOME_STATE;

// 豸ԼϢ
typedef struct __NET_SELFCHECK_INFO
{
    DWORD             dwSize;
    int               nAlarmIn;                 // ͨ
    int               nAlarmOut;                // ͨ  
    NET_TIME          stuTime;                  // ϱʱ
    char              szPlateNo[DH_MAX_PLATE_NUMBER_LEN]; // 
    char              szICCID[DH_MAX_SIM_LEN];  // SIM,ʹszICCIDExInfoֶ
    BYTE              byOrientation;            // λ״̬,0-δλ,1-λ 
    BYTE              byACCState;               // ACC ״̬,0-ر,1-
    BYTE              byConstantElecState;      // ״̬,0-,1-Ͽ,2-Ƿѹ,3-ѹ
    BYTE              byAntennaState;           // ͨź״̬,0-,1-δ֪,2-δ,3-·
    
    // ⲿ豸״̬
    BYTE              byReportStation;          // վ״̬,0-δ,1-,2-쳣
    BYTE              byControlScreen;          // ״̬,0-δ,1-,2-쳣
    BYTE              byPOS;                    // POS״̬,0-δ,1-,2-쳣
    BYTE              byCoinBox;                // Ͷ״̬,0-δ,1-,2-쳣
    
    // 
    BOOL              bTimerSnap;               // ʱץͼ,TRUE-֧,FALSE-֧
    BOOL              bElectronEnclosure;       // Χ,TRUE-֧,FALSE-֧
    BOOL              bTeleUpgrade;             // Զ,TRUE-֧,FALSE-֧   
    
    NET_HDD_STATE     stuHddStates[DH_MAX_DISKNUM]; // Ӳ״̬
    int               nHddNum;                  // Ӳ̸
    
    NET_CHANNLE_STATE* pChannleState;           // ͨ״̬,һ, 
                                                // CLIENT_AttachMissionӿ,NET_MISSION_TYPE_SELFCHECK,ص,ڴSDK,SDKͷ
                                                // CLIENT_GetSelfCheckInfoӿ,,ڴû,ûͷ,СΪsizeof(NET_CHANNLE_STATE)*nChannelMax
    int               nChannleNum;              // ʵϱͨ
    int               nChannelMax;              // CLIENT_GetSelfCheckInfoӿ,pChannleStateڴNET_CHANNLE_STATE
    NET_PAD_CONNECT_STATE         emConnState;  // PAD/DVR״̬
    NET_HOME_STATE                emHomeState;  // Home״̬
	char              szICCIDExInfo[DH_COMMON_STRING_256];  // SIMչϢֶչʹ
	BYTE              by3GState;                // 3G/4G״̬, 0-δӣ1-ӣ2-ģδҵ
	BYTE              byWifiState;              // Wifi״̬, 0-δӣ1-ӣ2-ģδҵ
	BYTE              byGpsState;               // Gps״̬, 0-δӣ1-ӣ2-ģδҵ
	BYTE              byBlackBoxState;          // BlackBox״̬, 0-δӣ1-
	int               nCpuUsage;                // CPUʹðٷֱ, λ%
	int               nTemperature;             // 豸ڲ¶, ϶
}NET_SELFCHECK_INFO;

typedef void (CALLBACK *fMissionInfoCallBack)(LLONG lAttachHandle, DWORD dwType, void* pMissionInfo, void* pReserved, LDWORD dwUserData);

typedef enum EM_MISSION_TYPE
{
    NET_MISSION_TYPE_UNKOWN,                    // δ֪
    NET_MISSION_TYPE_SELFCHECK,                 // 豸Լ,Ӧṹ NET_SELFCHECK_INFO
}EM_MISSION_TYPE;

//CLIENT_AttachMissionӿ
typedef struct __NET_IN_ATTACH_MISSION_PARAM
{
    DWORD             dwSize;
    EM_MISSION_TYPE   emMissionType;            // 
    fMissionInfoCallBack cbMissionInfofunc;     // Ϣص
    LDWORD            dwUser;                   // û 
}NET_IN_ATTACH_MISSION_PARAM;

// CLIENT_DetachMissionӿ
typedef struct NET_OUT_ATTACH_MISSION_PARAM
{
    DWORD             dwSize;
    LLONG             lAttachHandle;           // ľ
}NET_OUT_ATTACH_MISSION_PARAM;

#define MAX_EVENT_TO_CONFIRM_NUM        8       // ȷϵ¼ĸ

// ȷϵ¼Ϣ
typedef struct tagNET_EVENT_INFO_TO_CONFIRM 
{
    DWORD               dwSize;
    DWORD               dwEventType;            // ¼, ӦCLIENT_AttachBusStateӿڵ¼
    NET_TIME            stuTime;                // ¼ʱ, UTC
    LONG                lTime;                  // ¼ʱ, UTC, λ
}NET_EVENT_INFO_TO_CONFIRM;

// ȷ 
typedef struct tagNET_IN_BUS_CONFIRM_EVENT 
{
    DWORD                       dwSize;
    int                         nEvent;         // ȷ¼ЧĿ
    NET_EVENT_INFO_TO_CONFIRM   stuEventInfo[MAX_EVENT_TO_CONFIRM_NUM];// ȷ¼Ϣ
}NET_IN_BUS_CONFIRM_EVENT;

// ȷ 
typedef struct tagNET_OUT_BUS_CONFIRM_EVENT 
{
    DWORD                       dwSize;
}NET_OUT_BUS_CONFIRM_EVENT;

// CLIENT_SetDevicePosition豸ַϢ
typedef struct tagNET_IN_SET_DEVICE_POSITION
{
    DWORD                   dwSize;                             // ṹС, ʼʱд
    char                    szPosition[DH_COMMON_STRING_512];   // ַϢ
}NET_IN_SET_DEVICE_POSITION;

// CLIENT_SetDevicePosition豸ַϢ
typedef struct tagNET_OUT_SET_DEVICE_POSITION
{
    DWORD                   dwSize;                             // ṹС, ʼʱд
}NET_OUT_SET_DEVICE_POSITION;

// CLIENT_GetDevicePositionȡ豸ַϢ
typedef struct tagNET_IN_GET_DEVICE_POSITION
{
    DWORD                   dwSize;                             // ṹС, ʼʱд
}NET_IN_GET_DEVICE_POSITION;

// CLIENT_GetDevicePositionȡ豸ַϢ
typedef struct tagNET_OUT_GET_DEVICE_POSITION
{
    DWORD                   dwSize;                             // ṹС, ʼʱд
    char                    szPosition[DH_COMMON_STRING_512];   // ַϢ
}NET_OUT_GET_DEVICE_POSITION;

// CLIENT_SnapPictureByEvent
typedef struct tagNET_IN_SNAP_BY_EVENT 
{
    DWORD                   dwSize;                             // ṹС, ʼʱд
    int                     nChannel;                           // Ƶͨ, 0ʼ
    DWORD                   dwEventID;                          // οCLIENT_RealLoadPicEx¼
}NET_IN_SNAP_BY_EVENT;

// CLIENT_SnapPictureByEvent
typedef struct tagNET_OUT_SNAP_BY_EVENT 
{
    DWORD                   dwSize;                             // ṹС, ʼʱд
}NET_OUT_SNAP_BY_EVENT;

// CLIENT_StartQueryLog 
typedef struct tagNET_IN_START_QUERYLOG
{
    DWORD               dwSize;
} NET_IN_START_QUERYLOG;

// CLIENT_StartQueryLog 
typedef struct tagNET_OUT_START_QUERYLOG
{
    DWORD               dwSize;
}NET_OUT_START_QUERYLOG;

// ־ϸϢ
typedef struct tagNET_LOG_MESSAGE
{
    DWORD               dwSize;
    char                szLogMessage[DH_COMMON_STRING_1024];    // ־
} NET_LOG_MESSAGE;

// ־Ϣ
typedef struct tagNET_LOG_INFO
{
    DWORD               dwSize;
    NET_TIME            stuTime;                        // ʱ 
    char                szUserName[DH_COMMON_STRING_32];// 
    char                szLogType[DH_COMMON_STRING_128];// 
    NET_LOG_MESSAGE     stuLogMsg;                      // ־Ϣ
} NET_LOG_INFO;

// CLIENT_QueryNextLog 
typedef struct tagNET_IN_QUERYNEXTLOG
{
    DWORD               dwSize;
    int                 nGetCount;      // Ҫѯ־
}NET_IN_QUERYNEXTLOG;

// CLIENT_QueryNextLog 
typedef struct tagNET_OUT_QUERYNEXTLOG
{
    DWORD               dwSize;
    int                 nMaxCount;      // ûָṹ,ڵNET_IN_GETNEXTLOGnGetCount
    NET_LOG_INFO*       pstuLogInfo;    // ־Ϣ,Сûָ,СΪnMaxCount*sizeof(NET_LOG_INFO)
    int                 nRetCount;      // ʵʷ־
}NET_OUT_QUERYNEXTLOG;

// 첽ע豸صԭ(nError11ʱ,ֶreservedΪintͲڵCLIENT_StartLoginEx½ʱĶ˿ں)
// ʧʱ   nError ĴӦ˵ο CLIENT_Login е error˵
typedef void (CALLBACK *fHaveLogin)(LLONG lLoginID, char *pchDVRIP, LONG nDVRPort, BOOL bOnline, NET_DEVICEINFO_Ex stuDeviceInfo, int nError, LDWORD dwUser, void *reserved);

// CLIENT_StartLoginEx 
typedef struct tagNET_IN_STARTLOGINEX 
{
    DWORD               dwSize;
    const char*         szIp;           // 豸ip
    DWORD               dwPort;         // ½˿
    const char*         szName;         // û
    const char*         szPwd;          // 
    fHaveLogin          cbLogin;        // ½ص
    LDWORD              dwUser;         // صû
}NET_IN_STARTLOGINEX;

// CLIENT_StartLoginEx 
typedef struct tagNET_OUT_STARTLOGINEX 
{
    DWORD       dwSize;
}NET_OUT_STARTLOGINEX;

// 豸ֵ֧Э
typedef enum tagEM_DEV_PROTOCOL_TYPE
{
	EM_DEV_PROTOCOL_UNKNOWN,			// δ֪
	EM_DEV_PROTOCOL_V2,					// ˽ж
	EM_DEV_PROTOCOL_V3,					// ˽
	EM_DEV_PROTOCOL_ONVIF,				// onvif
	EM_DEV_PROTOCOL_GENERAL,			// general
	EM_DEV_PROTOCOL_GB28181,			// GB28181
	EM_DEV_PROTOCOL_EHOME,				// ehome Э
	EM_DEV_PROTOCOL_HIKVISION,          // ˽Э
	EM_DEV_PROTOCOL_BSCP,				// ǽЭ
} EM_DEV_PROTOCOL_TYPE;

// ƵƴӲ
typedef enum tagNET_VIDEOJOIN_OPERATE_TYPE
{
    NET_VIDEOJOIN_GET_STATUS,                   // ȡƴ״̬, Ӧ NET_IN_VIDEOJOIN_GET_STATUS  NET_OUT_VIDEOJOIN_GET_STATUS
	NET_VIDEOJOIN_GET_CALIBRATE_POINTS,			// ȡ, Ӧ tagNET_IN_VIDEOJOIN_GET_CALIBRATE_POINTS  tagNET_OUT_VIDEOJOIN_GET_CALIBRATE_POINTS
    NET_VIDEOJOIN_CALIBRATE,					// 궨,  Ӧ NET_IN_VIDEOJOIN_CALIBRATE  NET_OUT_VIDEOJOIN_CALIBRATE
}NET_VIDEOJOIN_OPERATE_TYPE;

// Ƶƴ״̬
typedef enum tagNET_VIDEOJOIN_STATUS
{
    NET_VIDEOJOIN_STATUS_UNKNOWN,               // δ֪
    NET_VIDEOJOIN_STATUS_NOTSTART,              // δʼ
    NET_VIDEOJOIN_STATUS_DOING,                 // 
    NET_VIDEOJOIN_STATUS_FINISH,                // 
}NET_VIDEOJOIN_STATUS;

// Ƶƴӱ궨ģʽ
typedef enum tagNET_VIDEOJOIN_MODE
{
    NET_VIDEOJOIN_MODE_UNKNOWN,                 // δ֪
    NET_VIDEOJOIN_MODE_AUTO,                    // Զ
    NET_VIDEOJOIN_MODE_MANUAL,                  // ֶ
}NET_VIDEOJOIN_MODE;

// CLIENT_OperateVideoJoin , ӦNET_VIDEOJOIN_GET_STATUS
typedef struct tagNET_IN_VIDEOJOIN_GET_STATUS
{
    DWORD           dwSize;
}NET_IN_VIDEOJOIN_GET_STATUS;

// CLIENT_OperateVideoJoin , ӦNET_VIDEOJOIN_GET_STATUS
typedef struct tagNET_OUT_VIDEOJOIN_GET_STATUS
{
    DWORD           dwSize;
    NET_VIDEOJOIN_STATUS emStatus;              // ƴ״̬
}NET_OUT_VIDEOJOIN_GET_STATUS;

// 궨, ʾһ
typedef struct tagNET_POINT_PAIR 
{
    DH_POINT        stuPoints[POINT_NUM_IN_PAIR];           // 궨
}NET_POINT_PAIR;

// Ƶƴӱ궨, ÿһʾͨͶ궨
typedef struct tagNET_VIDEOJOIN_POINT_GROUP
{
    DWORD           dwSize;
    int             nPointPairNum;                          // 궨
    NET_POINT_PAIR  stuPointPairs[MAX_POINT_PAIR_NUM];      // 궨
    int             nChannels[CHANNEL_NUM_IN_POINT_GROUP];  // Ƶͨ, ͨ±Ӧ,±0ͨӦNET_POINT_PAIR±0ĵ
}NET_VIDEOJOIN_POINT_GROUP;

// CLIENT_OperateVideoJoin , ӦNET_VIDEOJOIN_GET_CALIBRATE_POINTS
typedef struct tagNET_IN_VIDEOJOIN_GET_CALIBRATE_POINTS
{
    DWORD           dwSize;
}NET_IN_VIDEOJOIN_GET_CALIBRATE_POINTS;

// CLIENT_OperateVideoJoin , ӦNET_VIDEOJOIN_GET_CALIBRATE_POINTS
typedef struct tagNET_OUT_VIDEOJOIN_GET_CALIBRATE_POINTS
{
    DWORD               dwSize;
    NET_VIDEOJOIN_MODE  emMode;                                 // 궨ģʽ
    int                 nPointGroupNum;                         // 궨
    NET_VIDEOJOIN_POINT_GROUP stuPointGroups[MAX_POINT_GROUP_NUM]; // 궨, ֶģʽЧ
}NET_OUT_VIDEOJOIN_GET_CALIBRATE_POINTS;

// CLIENT_OperateVideoJoin , ӦNET_VIDEOJOIN_CALIBRATE
typedef struct tagNET_IN_VIDEOJOIN_CALIBRATE
{
    DWORD               dwSize;
    NET_VIDEOJOIN_MODE  emMode;                                 // 궨ģʽ
    int                 nPointGroupNum;                         // 궨
    NET_VIDEOJOIN_POINT_GROUP stuPointGroups[MAX_POINT_GROUP_NUM]; // 궨, ֶģʽЧ
}NET_IN_VIDEOJOIN_CALIBRATE;

// CLIENT_OperateVideoJoin , ӦNET_VIDEOJOIN_CALIBRATE
typedef struct tagNET_OUT_VIDEOJOIN_CALIBRATE
{
    DWORD           dwSize;
}NET_OUT_VIDEOJOIN_CALIBRATE;

// ȡڴϢ, ӦNET_SPLIT_OPERATE_GET_SCENE
typedef struct tagNET_IN_SPLIT_GET_SCENE 
{
    DWORD               dwSize;
    int                 nChannel;                       // ͨŻںͨ, pszCompositeIDΪNULLʱЧ
    const char*         pszCompositeID;                 // ںID
}NET_IN_SPLIT_GET_SCENE;

// ȡڴϢ, ӦNET_SPLIT_OPERATE_GET_SCENE
typedef struct tagNET_OUT_SPLIT_GET_SCENE 
{
    DWORD               dwSize;
    DH_SPLIT_SCENE      stuScene;                       // Ϣ
}NET_OUT_SPLIT_GET_SCENE;

// ǽѲ״̬
typedef enum tagEM_NET_WM_TOUR_STATUS
{
    EM_NET_WM_TOUR_STATUS_UNKNOWN,              // δ֪
        EM_NET_WM_TOUR_STATUS_START,                // Ѳ
        EM_NET_WM_TOUR_STATUS_STOP,                 // Ѳֹͣ
} EM_NET_WM_TOUR_STATUS;

// ǽԤѲ״̬Ϣ
typedef struct tagNET_WM_TOUR_STATUS_INFO 
{
    DWORD                   dwSize;
    EM_NET_WM_TOUR_STATUS   emStatus;           // Ѳ״̬
    DH_MONITORWALL_SCENE    stuScene;           // ԤϢ
} NET_WM_TOUR_STATUS_INFO;

// ǽԤѲ״̬صԭ, lAttachHandleCLIENT_MonitorWallAttachTourķֵ
typedef void (CALLBACK *fMonitorWallTourStatusCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_WM_TOUR_STATUS_INFO* pstStatus, void* reserved, LDWORD dwUser);

// CLIENT_MonitorWallAttachTour ӿ
typedef struct tagNET_IN_WM_ATTACH_TOUR 
{
    DWORD           dwSize;
    int             nMonitorWallID;             // ǽID
    fMonitorWallTourStatusCallBack cbStatus;    // Ѳ״̬ص
    LDWORD          dwUser;                     // Ѳ״̬ص
} NET_IN_WM_ATTACH_TOUR;

// CLIENT_MonitorWallAttachTour ӿ
typedef struct tagNET_OUT_WM_ATTACH_TOUR 
{
    DWORD           dwSize;
} NET_OUT_WM_ATTACH_TOUR;

// CLIENT_SnapManagerConfirmUpload ӿ
typedef struct tagNET_IN_SNAP_MANAGER_CONFIRM_UPLOAD
{
    DWORD           dwSize;
    char            szFilePath[DH_COMMON_STRING_256];       // ļ·,ΨһʶһͼƬ
    BOOL            bResult;                                // ͼƬǷϴ
}NET_IN_SNAP_MANAGER_CONFIRM_UPLOAD;

// CLIENT_SnapManagerConfirmUpload ӿ
typedef struct tagNET_OUT_SNAP_MANAGER_CONFIRM_UPLOAD
{
    DWORD           dwSize;
}NET_OUT_SNAP_MANAGER_CONFIRM_UPLOAD;

// Ƶ绰״̬Ϣ
typedef struct tagNET_VTP_CALL_STATE_INFO 
{
    DWORD                       dwSize;
    char                        szNumber[DH_COMMON_STRING_128]; // к
    char                        szCallID[DH_COMMON_STRING_128]; // ԽΨһʶ
    EM_NET_VTP_CALL_STATE_TYPE  emCallState;                    // ״̬
}NET_VTP_CALL_STATE_INFO;

// Ƶ绰״̬Ϣصԭ
typedef void (CALLBACK *fVTPCallStateCallBack)(LLONG lAttachHandle, NET_VTP_CALL_STATE_INFO *pInfo, int nBufLen, LDWORD dwUser);

// Ƶ绰״̬Ϣ 
typedef struct tagNET_IN_VTP_CALL_STATE_ATTACH 
{
    DWORD                       dwSize;
    EM_NET_VTP_CALL_TYPE        emCallType;                     // ѯĺ
    fVTPCallStateCallBack       cbCallState;                    // ״̬ص
    LDWORD                      dwUser;                         // û
    const char*                 szTargetID;                     // ת豸ID, ΪNULLʾת
}NET_IN_VTP_CALL_STATE_ATTACH;

// Ƶ绰״̬Ϣ 
typedef struct tagNET_OUT_VTP_CALL_STATE_ATTACH 
{
    DWORD                       dwSize;
}NET_OUT_VTP_CALL_STATE_ATTACH;


//////////////////////////////////////////////////////////////////////////
// ҵؽӿڲ
//////////////////////////////////////////////////////////////////////////

// 鹫·CLIENT_CheckBusLine()
typedef struct tagNET_IN_CHECK_BUS_LINE 
{
    DWORD           dwSize;
    char            szLineID[DH_COMMON_STRING_32];          // ·ʾ
    char            szDesignation[DH_COMMON_STRING_32];     // ·
    NET_LINE_DIRECTION  emDirection;                        // ·
    int             nSiteCount;                             // ·վ
    char            szDirectionName[DH_COMMON_STRING_32];   // ·
    char            szVersion[DH_COMMON_STRING_32];         // ·汾
}NET_IN_CHECK_BUS_LINE;

// ·ǷҪ״̬
typedef enum tagNET_BUS_LINE_UPDATE_TYPE
{
    NET_BUS_LINE_UPDATE_UNKNOWN = 0,
    NET_BUS_LINE_UPDATE_UPDATED,                            // Ҫ
    NET_BUS_LINE_UPDATE_NOT_UPDATED,                        // Ҫ
}NET_BUS_LINE_UPDATE_TYPE;

// 鹫·CLIENT_CheckBusLine()
typedef struct tagNET_OUT_CHECK_BUS_LINE
{
    DWORD           dwSize;
    char            szDeviceID[DH_COMMON_STRING_32];        // 豸ID
    char            szLineID[DH_COMMON_STRING_32];          // ·ʾ
    NET_BUS_LINE_UPDATE_TYPE emUpdate;                      // ǷҪ״ָ̬ʾ
}NET_OUT_CHECK_BUS_LINE;
#define MAX_SITE_GPS_POINT_NUM                      64      // һվGPS

// վ״
typedef enum tagNET_SITE_AREA_TYPE
{
    NET_SITE_AREA_ENCLOSURE = 0,                            // Χ
    NET_SITE_AREA_CIRCLE,                                   // Բ
}NET_SITE_AREA_TYPE;

// Ӧ·ĹյϢ
typedef struct tagNET_FLEXION_INFO
{
	int				nLimitDistance;							// ж·ƫƵƾ룬λ
	int				nPointArrayNum;							// յĸ(ûõĸ)
	GPS_POINT		stuPoint[MAX_SITE_GPS_POINT_NUM];		// յϢ
	BYTE			byReserved[1024];						// Ԥֽ
}NET_FLEXION_INFO;

// վϢ
typedef struct tagNET_BUS_SITE_INFO
{
    DWORD           dwSize;
    char            szLineID[DH_COMMON_STRING_32];          // ·ʾ
    int             nSiteCount;                             // ·վ
    NET_LINE_DIRECTION  emDirection;                        // ·,NET_LINE_DIRECTION_UNKNOWN
    int             nStopSequence;                          // վ
    char            szSiteID[DH_COMMON_STRING_32];          // վID
    char            szSiteName[DH_COMMON_STRING_32];        // վ
    NET_SITE_AREA_TYPE emAreaType;                          // վ
    int             nGPSPointNum;                           // ЧGPS
    GPS_POINT       stuPoint[MAX_SITE_GPS_POINT_NUM];       // վGPSϢ
    int             nRadius;                                // վ뾶, λ: , ԲվЧ
    int             nSpeedLimit;                            // վ, λ: km/H
    int             nDriveTime;                             // վվʱ, λ:
    int             nTicketPrice;                           // Ʊ
    DH_TSECT        stuPowerSchedule[DH_TSCHE_DAY_NUM][DH_TSCHE_SEC_NUM]; // ʱ, һάԪرʾ~ͽڼ
    char            szDesignation[DH_COMMON_STRING_64];     // ·
    char            szDirectionName[DH_COMMON_STRING_64];   // ·
    char            szVersion[DH_COMMON_STRING_32];
    BOOL            bUseExName;                             // Ƿʹչվ
    char            szSiteNameEx[DH_COMMON_STRING_128];     // վչ, ȱ
	NET_FLEXION_INFO stuInflexionInfos;						// Ӧ·ĹյϢ
}NET_BUS_SITE_INFO;

#define MAX_BUS_STOP_NUM                            32      // һ·վĿ

// ··CLIENT_DispatchBusLineInfo()ӿ
typedef struct tagNET_IN_DISPATCH_BUS_LINE_INFO 
{
    DWORD           dwSize;
    int             nBusStopNum;                            // ·վ
    NET_BUS_SITE_INFO   stuStopInfo[MAX_BUS_STOP_NUM];      // ·Ϣ
}NET_IN_DISPATCH_BUS_LINE_INFO;

// ··CLIENT_DispatchBusLineInfo()ӿ
typedef struct tagNET_OUT_DISPATCH_BUS_LINE_INFO 
{
    DWORD           dwSize;
}NET_OUT_DISPATCH_BUS_LINE_INFO;

// ··CLIENT_DispatchBusLineInfoEx()ӿ
typedef struct tagNET_IN_DISPATCH_BUS_LINE_INFO_EX 
{
	DWORD				dwSize;
	int					nBusStopNum;                            // ·վ
	NET_BUS_SITE_INFO   *pstuStopInfo;							// ·Ϣ,ûڴ,СΪsizeof(NET_BUS_SITE_INFO)*nBusStopNum
}NET_IN_DISPATCH_BUS_LINE_INFO_EX;

// ··CLIENT_DispatchBusLineInfoEx()ӿ
typedef struct tagNET_OUT_DISPATCH_BUS_LINE_INFO_EX 
{
	DWORD           dwSize;
}NET_OUT_DISPATCH_BUS_LINE_INFO_EX;

// ӪCLIENT_BusSchedule()ӿ
typedef struct tagNET_IN_BUS_SCHEDULE_INFO 
{
    DWORD               dwSize;
    char                szLineID[DH_COMMON_STRING_64];      // Ӫ·ʶ
    NET_LINE_DIRECTION  emDirection;                        // Ӫ·
    NET_TIME_EX         stuStartTime;                       // ʱ
}NET_IN_BUS_SCHEDULE_INFO;

// ӪCLIENT_BusSchedule()ӿ
typedef struct tagNET_OUT_BUS_SCHEDULE_INFO 
{
    DWORD           dwSize;
}NET_OUT_BUS_SCHEDULE_INFO;

// ŰƻϢ
typedef struct tagNET_BUS_WORK_PLAN 
{
    DWORD               dwSize;
    char                szID[DH_COMMON_STRING_32];          // Ű¼Ψһʾ, 16ַ
    NET_TIME_EX         stuTime;                            // ʱ
    char                szDriverName[DH_COMMON_STRING_64];  // ˾
    char                szStartSite[DH_COMMON_STRING_64];   // ʼվ
    char                szEndSite[DH_COMMON_STRING_64];     // յվ
    BOOL                bRunning;                           // Ӫ״̬, TRUE:Ӫ, FALSE:ͣ
}NET_BUS_WORK_PLAN;

// ·ŰƻCLIENT_DispatchWorkPlanӿ
typedef struct tagNET_IN_BUS_DISPATCH_WORK_PLAN 
{
    DWORD               dwSize;
    NET_BUS_WORK_PLAN   stuWorkPlan;                        // ŰƻϢ
}NET_IN_BUS_DISPATCH_WORK_PLAN;

// ·ŰƻCLIENT_DispatchWorkPlanӿ
typedef struct tagNET_OUT_BUS_DISPATCH_WORK_PLAN 
{
    DWORD               dwSize;
}NET_OUT_BUS_DISPATCH_WORK_PLAN;

// ȳɫ
typedef enum tagNET_THERMO_COLORIZATION 
{
    NET_THERMO_COLORIZATION_UNKNOWN,                        // δ֪
    NET_THERMO_COLORIZATION_WHITE_HOT,                      // 
    NET_THERMO_COLORIZATION_BLACK_HOT,                      // 
    NET_THERMO_COLORIZATION_IRONBOW2,                       // 2
    NET_THERMO_COLORIZATION_ICEFIRE,                        // 
	NET_THERMO_COLORIZATION_FUSION,                         // ں
	NET_THERMO_COLORIZATION_RAINBOW,                        // ʺ
	NET_THERMO_COLORIZATION_GLOBOW,                         // 
	NET_THERMO_COLORIZATION_IRONBOW1,                       // 1
	NET_THERMO_COLORIZATION_SEPIA,                          // 
	NET_THERMO_COLORIZATION_COLOR1,                         // ɫ1
	NET_THERMO_COLORIZATION_COLOR2,                         // ɫ2
	NET_THERMO_COLORIZATION_RAIN,                           // 
	NET_THERMO_COLORIZATION_RED_HOT,                        // 
	NET_THERMO_COLORIZATION_GREEN_HOT,                      // 
} NET_THERMO_COLORIZATION;

// ȳȤģʽ
typedef enum tagNET_THERMO_ROI 
{
    NET_THERMO_ROI_UNKNOWN,                                 // δ֪
    NET_THERMO_ROI_FULL_SCREEN,                             // ȫ
    NET_THERMO_ROI_SKY,                                     // 
    NET_THERMO_ROI_GROUND,                                  // в
    NET_THERMO_ROI_HORIZONTAL,                              // ײ
    NET_THERMO_ROI_CENTER_75,                               // ĵ 75%
    NET_THERMO_ROI_CENTER_50,                               // ĵ 50%
    NET_THERMO_ROI_CENTER_25,                               // ĵ 25%
    NET_THERMO_ROI_CUSTOM,                                  // Զ
} NET_THERMO_ROI;

// ȳģʽ
typedef enum tagNET_THERMO_MODE 
{
    NET_THERMO_MODE_UNKNOWN,                                // δ֪
    NET_THERMO_MODE_DEFAULT,                                // Ĭ
    NET_THERMO_MODE_INDOOR,                                 // 
    NET_THERMO_MODE_OUTDOOR,                                // 
} NET_THERMO_MODE;

// ȳŻ
typedef struct tagNET_THERMO_GRAPHY_OPT_REGION 
{
    BOOL                bOptimizedRegion;                   // ǷŻ
    int                 nOptimizedROIType;                  // Ż,NET_THERMO_ROI
    int                 nCustomRegion;                      // Զ
    NET_RECT            stCustomRegions[64];                // Զ, nOptimizedROIType Ϊ NET_THERMO_ROI_CUSTOM ʱЧ
    char                Reserved[256];
} NET_THERMO_GRAPHY_OPTREGION;

// ȳϢ
typedef struct tagNET_THERMO_GRAPHY_INFO 
{
    int                         nBrightness;                // 
    int                         nSharpness;                 // 
    int                         nEZoom;                     // 
    int                         nThermographyGamma;         // ٤ֵ
    int                         nColorization;              // ɫ,NET_THERMO_COLORIZATION
    int                         nSmartOptimizer;            // Żָ
    NET_THERMO_GRAPHY_OPTREGION stOptRegion;                // Ż
    int                         nAgc;                       // Զ
    int                         nAgcMaxGain;                // Զ
    int                         nAgcPlateau;                // 
    char                        reserved[244];
} NET_THERMO_GRAPHY_INFO;

// CLIENT_QueryDevInfo ӿ NET_QUERY_DEV_THERMO_GRAPHY_PRESET 
typedef struct tagNET_IN_THERMO_GET_PRESETINFO 
{
    DWORD               dwSize;
    int                 nChannel;                           // ͨ
    NET_THERMO_MODE     emMode;                             // ģʽ
} NET_IN_THERMO_GET_PRESETINFO;

// CLIENT_QueryDevInfo ӿ NET_QUERY_DEV_THERMO_GRAPHY_PRESET 
typedef struct tagNET_OUT_THERMO_GET_PRESETINFO 
{
    DWORD                       dwSize;
    NET_THERMO_GRAPHY_INFO      stInfo;                     // ȳϢ
} NET_OUT_THERMO_GET_PRESETINFO;

// CLIENT_QueryDevInfo ӿ NET_QUERY_DEV_THERMO_GRAPHY_EXTSYSINFO 
typedef struct tagNET_IN_THERMO_GET_EXTSYSINFO
{
    DWORD               dwSize;
    int                 nChannel;                           // ͨ
} NET_IN_THERMO_GET_EXTSYSINFO;

// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_LINKCHANNELS 
typedef struct tagNET_IN_GET_LINKCHANNELS
{	
    DWORD               dwSize;
    int                 nChannel;	                        // ͨ,ѯƵͨǷйƵͨ
} NET_IN_GET_LINKCHANNELS;

#define NET_LINKCHANNEL_MAX     512                         // Ƶͨ
#define NET_LINKGROUP_MAX       64                          // Ƶͨ

// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_LINKCHANNELS 
typedef struct tagNET_OUT_GET_LINKCHANNELS
{	
    DWORD               dwSize;
    int                 nLinkedCnt;                         // ƵͨŸ
    int                 nLinked[NET_LINKCHANNEL_MAX];	    // Ƶͨ,ͨ
} NET_OUT_GET_LINKCHANNELS;

// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_ALLLINKCHANNELS 
typedef struct tagNET_IN_GET_ALLLINKCHANNELS
{	
    DWORD               dwSize;
} NET_IN_GET_ALLLINKCHANNELS;

// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_ALLLINKCHANNELS 
typedef struct tagNET_OUT_GET_ALLLINKCHANNELS
{	
    DWORD               dwSize;
    int                 nGroupCnt;                                              // Ƶͨ
    int                 nLinkedCnt[NET_LINKGROUP_MAX];                          // ÿƵͨŸ
    int                 nLinked[NET_LINKGROUP_MAX][NET_LINKCHANNEL_MAX];	    // Ƶͨ,ͨ
                                                                                // һάʾͨ,ڶάʾͨ
                                                                                // ,nLinked[1][2] ʾڶͨĵͨ
} NET_OUT_GET_ALLLINKCHANNELS;

// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_CAMERA_STATE 
typedef struct tagNET_IN_GET_CAMERA_STATEINFO
{
    DWORD               dwSize;
    BOOL                bGetAllFlag;                                // Ƿѯ״̬,óԱΪ TRUE, nChannels Ա
    int                 nValidNum;                                  // óԱ,bGetAllFlag Ϊ FALSEʱЧ,ʾ nChannels ԱЧ
    int                 nChannels[DH_MAX_CAMERA_CHANNEL_NUM];       // óԱ,bGetAllFlag Ϊ FALSEʱЧ,Ҫѯͨ
} NET_IN_GET_CAMERA_STATEINFO;

typedef enum tagEM_CAMERA_STATE_TYPE
{
    EM_CAMERA_STATE_TYPE_UNKNOWN,       // δ֪
    EM_CAMERA_STATE_TYPE_CONNECTING,    // 
    EM_CAMERA_STATE_TYPE_CONNECTED,     // 
    EM_CAMERA_STATE_TYPE_UNCONNECT,     // δ
    EM_CAMERA_STATE_TYPE_EMPTY,         // ͨδ,Ϣ
    EM_CAMERA_STATE_TYPE_DISABLE,       // ͨ,
}EM_CAMERA_STATE_TYPE;

typedef struct tagNET_CAMERA_STATE_INFO
{
    int                     nChannel;           // ͨ, -1ʾͨЧ
    EM_CAMERA_STATE_TYPE    emConnectionState;  // ״̬
    char                    szReserved[1024];   // ֽ
}NET_CAMERA_STATE_INFO;

// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_CAMERA_STATE 
typedef struct tagNET_OUT_GET_CAMERA_STATEINFO 
{
    DWORD                       dwSize;
    int                         nValidNum;              // ѯͨ״̬Ч,sdk
    int                         nMaxNum;                // pCameraStateInfo ,ûд
    NET_CAMERA_STATE_INFO*      pCameraStateInfo;       // ͨϢ,û,СΪsizeof(NET_CAMERA_STATE_INFO)*nMaxNum
} NET_OUT_GET_CAMERA_STATEINFO;

// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_REMOTE_CHANNEL_AUDIO_ENCODE 
typedef struct tagNET_IN_GET_REMOTE_CHANNEL_AUDIO_ENCODEINFO
{
    DWORD               dwSize;
    int                 nChannel;                                   // ͨ
    int                 nStreamType;                                // ,01122334Խ
} NET_IN_GET_REMOTE_CHANNEL_AUDIO_ENCODEINFO;

// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_REMOTE_CHANNEL_AUDIO_ENCODE 
typedef struct tagNET_OUT_GET_REMOTE_CHANNEL_AUDIO_ENCODEINFO
{
    DWORD                       dwSize;
    int                         nValidNum;                                  // ЧƵ
    DHDEV_TALKDECODE_INFO       stuListAudioEncode[MAX_AUDIO_ENCODE_NUM];   // Ƶб
} NET_OUT_GET_REMOTE_CHANNEL_AUDIO_ENCODEINFO;


// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_COMM_PORT_INFO 
typedef struct tagNET_IN_GET_COMM_PORT_INFO
{
    DWORD               dwSize;
} NET_IN_GET_COMM_PORT_INFO;

// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_COMM_PORT_INFO 
//
typedef enum tagEM_COMM_PORT_TYPE_INFO
{
    EM_COMM_PORT_TYPE_UNKNOW = 0    ,
    EM_COMM_PORT_TYPE_RS232         ,
    EM_COMM_PORT_TYPE_RS485         ,
    EM_COMM_PORT_TYPE_RS422         ,
    EM_COMM_PORT_TYPE_RS485_422     ,
}EM_COMM_PORT_TYPE_INFO;

//Ϣ
typedef struct  tagNET_COMM_PORT_INFO
{
    EM_COMM_PORT_TYPE_INFO  emCommPortType;     //
    int                     nCommPortNum;       //
    BYTE                    bReserved[1024];    //ֽ
}NET_COMM_PORT_INFO;

#define MAX_COMM_PORT_NUM       8
typedef struct tagNET_OUT_GET_COMM_PORT_INFO
{
    DWORD                       dwSize;
    int                         nPortInfosNum;                          //Ϣ
    NET_COMM_PORT_INFO          stCommPortInfos[MAX_COMM_PORT_NUM];     //Ϣ
} NET_OUT_GET_COMM_PORT_INFO;

// ⲿϵͳϢ
typedef struct tagNET_THERMO_SYSINFO 
{
    char                szSerialNumber[64];                 // к
    char                szSoftwareVersion[64];              // 汾
    char                szFirmwareVersion[64];              // ̼汾
    char                szLibVersion[64];                   // 汾
    char                reserved[256];
} NET_THERMO_SYSINFO;

// CLIENT_QueryDevInfo ӿ NET_QUERY_DEV_THERMO_GRAPHY_EXTSYSINFO 
typedef struct tagNET_OUT_THERMO_GET_EXTSYSINFO
{
    DWORD                       dwSize;
    NET_THERMO_SYSINFO          stInfo;                     // ⲿϵͳϢ
} NET_OUT_THERMO_GET_EXTSYSINFO;

// CLIENT_QueryDevInfo ӿ NET_QUERY_DEV_THERMO_GRAPHY_OPTREGION 
typedef struct tagNET_IN_THERMO_GET_OPTREGION
{
    DWORD               dwSize;
    int                 nChannel;                           // ͨ
} NET_IN_THERMO_GET_OPTREGION;

// CLIENT_QueryDevInfo ӿ NET_QUERY_DEV_THERMO_GRAPHY_OPTREGION 
typedef struct tagNET_OUT_THERMO_GET_OPTREGION
{
    DWORD                       dwSize;
    NET_THERMO_GRAPHY_OPTREGION stInfo;                     // ŻϢ
} NET_OUT_THERMO_GET_OPTREGION;


// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_VIDEOOUTPUTCHANNELS 
typedef struct tagNET_IN_GET_VIDEOOUTPUTCHANNELS
{
    DWORD               dwSize;             // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_IN_GET_VIDEOOUTPUTCHANNELS)
} NET_IN_GET_VIDEOOUTPUTCHANNELS;

// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_VIDEOOUTPUTCHANNELS 
typedef struct tagNET_OUT_GET_VIDEOOUTPUTCHANNELS
{
    DWORD               dwSize;             // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_OUT_GET_VIDEOOUTPUTCHANNELS)
    int                 nMaxLocal;          // 󱾵ͨ,Ϳɲӿͨ
} NET_OUT_GET_VIDEOOUTPUTCHANNELS;


// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_VIDEOINFO 
typedef struct tagNET_IN_GET_VIDEOINFO
{
    DWORD               dwSize;             // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_IN_GET_VIDEOINFO)
} NET_IN_GET_VIDEOINFO;

// ͨ״̬
typedef enum  tagNET_VIDEOCHANNEL_STATE
{
    NET_VIDEOCHANNEL_STATE_UNKNOWN,        // δ֪״̬
    NET_VIDEOCHANNEL_STATE_IDLE,           // 
    NET_VIDEOCHANNEL_STATE_PLAY,           // 
    NET_VIDEOCHANNEL_STATE_MONITOR,        // 
    NET_VIDEOCHANNEL_STATE_TOUR,           // ѯ
} NET_VIDEOCHANNEL_STATE;

// ͨϢ
typedef struct tagNET_VIDEOCHANNELINFO
{
    BOOL                         bEnable;                // ͨʹ״̬, ״̬Ϊtrueʱ,GB28181ЭὫͨϱ
    NET_VIDEOCHANNEL_STATE       emVideoChannelState;    // ͨ״̬
    int                          nNetflow;               // (λkbps)
    int                          nBitrate;               // (λkbps)
    int                          nFrame;                 // ֡
    CAPTURE_SIZE                 emResolution;           // ֱ
    BYTE                         byReserved[512];        // Ԥֽ 
} NET_VIDEOCHANNELINFO;


// CLIENT_QueryDevInfo ӿ NET_QUERY_GET_VIDEOINFO 
typedef struct tagNET_OUT_GET_VIDEOINFO
{
    DWORD                    dwSize;                // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_OUT_GET_VIDEOINFO)
    int                      nVideoInfoNum;         // ûҪȡĽͨϢ,0ʼȡ,ûָ
    NET_VIDEOCHANNELINFO*    pNetVideoChannelInfo;  // ͨϢб,ûռ,ûбnVideoInfoNumһ,ڴСΪsizeof(NET_VIDEOCHANNELINFO)*nVideoInfoNum
    int                      nRetVideoInfoNum;      // ʵʻȡĽͨϢ,SDK
} NET_OUT_GET_VIDEOINFO;



// CLIENT_ControlDeviceEx ӿ NET_CTRL_DEV_THERMO_GRAPHY_ENSHUTTER 
typedef struct tagNET_IN_THERMO_EN_SHUTTER
{
    DWORD               dwSize;
    int                 nChannel;                           // ͨ
    BOOL                bEnable;                            // shutter,TRUE ,FALSE 
} NET_IN_THERMO_EN_SHUTTER;

// CLIENT_ControlDeviceEx ӿ NET_CTRL_DEV_THERMO_GRAPHY_ENSHUTTER 
typedef struct tagNET_OUT_THERMO_EN_SHUTTER
{
    DWORD               dwSize;
} NET_OUT_THERMO_EN_SHUTTER;

// CLIENT_ControlDeviceEx ӿ DH_CTRL_THERMO_DO_FFC 
typedef struct tagNET_IN_THERMO_DO_FFC
{
	DWORD               dwSize;							   // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_IN_THERMO_DO_FFC)
	int                 nChannel;                          // ͨţ˫Ŀȳдȳͨ1;
} NET_IN_THERMO_DO_FFC;

// CLIENT_ControlDeviceEx ӿ DH_CTRL_THERMO_DO_FFC 
typedef struct tagNET_OUT_THERMO_DO_FFC
{
	DWORD               dwSize;							   // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_OUT_THERMO_DO_FFC)
} NET_OUT_THERMO_DO_FFC;

// CLIENT_ControlDeviceEx ӿ DH_CTRL_THERMO_FIX_FOCUS Σ˷ֻ˫ĿвЧ
typedef struct tagNET_IN_THERMO_FIX_FOCUS
{
	DWORD               dwSize;							    // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_IN_THERMO_FIX_FOCUS)
	int					anLinkVideoChannel[2];              // ͨ[0]Ϊɼͨ0[1]Ϊȳͨ1
	double				dSpeed;								// ۽ٶ,һ0~1(ȳͨЧ)
} NET_IN_THERMO_FIX_FOCUS;

// CLIENT_ControlDeviceEx ӿ DH_CTRL_THERMO_FIX_FOCUS Σ˷ֻ˫ĿвЧ
typedef struct tagNET_OUT_THERMO_FIX_FOCUS
{
	DWORD               dwSize;								// ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_OUT_THERMO_FIX_FOCUS)
} NET_OUT_THERMO_FIX_FOCUS;

// CLIENT_GetDevCaps ӿ NET_THERMO_GRAPHY_CAPS 
typedef struct tagNET_IN_THERMO_GETCAPS
{
    DWORD               dwSize;
    int                 nChannel;                           // ͨ
} NET_IN_THERMO_GETCAPS;

// CLIENT_GetDevCaps ӿ NET_THERMO_GRAPHY_CAPS 
typedef struct tagNET_OUT_THERMO_GETCAPS
{
    DWORD               dwSize;
    DWORD               dwModes;                            // ֵ֧Ԥģʽ
    DWORD               dwColorization;                     // Ԥɫģʽ
    DWORD               dwROIModes;                         // ԤøȤģʽ
    RANGE               stBrightness;                       // 
    RANGE               stSharpness;                        // 
    RANGE               stEZoom;                            // 
    RANGE               stThermographyGamma;                // ٤
    RANGE               stSmartOptimizer;                   // Ż
	NET_FFCPERIOD_RANGE stFFCPeriod;                        // ƽ۽У׼
} NET_OUT_THERMO_GETCAPS;

// CLIENT_GetDevCaps ӿ NET_RADIOMETRY_CAPS 
typedef struct tagNET_IN_RADIOMETRY_GETCAPS
{
    DWORD               dwSize;
    int                 nChannel;                           // ͨ
} NET_IN_RADIOMETRY_GETCAPS;

// ģʽ
typedef enum tagNET_RADIOMETRY_METERTYPE 
{
    NET_RADIOMETRY_METERTYPE_UNKNOWN,
    NET_RADIOMETRY_METERTYPE_SPOT,                          // 
    NET_RADIOMETRY_METERTYPE_LINE,                          // 
    NET_RADIOMETRY_METERTYPE_AREA,                          // 
} NET_RADIOMETRY_METERTYPE;

// ,,ܸ
typedef struct tagNET_RADIOMETRY_TOTALNUM 
{
    DWORD               dwMaxNum;                           // ָ֧
    DWORD               dwMaxSpots;                         // ĸ
    DWORD               dwMaxLines;                         // ໮ߵ
    DWORD               dwMaxAreas;                         // ĸ
    char				reserved[32]; 
} NET_RADIOMETRY_TOTALNUM;

// CLIENT_GetDevCaps ӿ NET_RADIOMETRY_CAPS 
typedef struct tagNET_OUT_RADIOMETRY_GETCAPS
{
    DWORD                       dwSize;
    NET_RADIOMETRY_TOTALNUM     stTotalNum;                 // ,,ܸ
    DWORD                       dwMaxPresets;               // Ԥõĸ
    DWORD                       dwMeterType;                // ģʽ,NET_RADIOMETRY_METERTYPE
    RANGE                       stObjectEmissivity;         // ϵ
    RANGE                       stObjectDistance;           // 
    RANGE                       stReflectedTemperature;     // ¶
    RANGE                       stRelativeHumidity;         // ʪ
    RANGE                       stAtmosphericTemperature;   // ¶
    int                         nStatisticsMinPeriod;       // µͳƹС洢ݼ  λΪ
    float                       fIsothermMaxTemp;           // ɫ¶ֵ
    float                       fIsothermMinTemp;           // ɫ¶ֵ
} NET_OUT_RADIOMETRY_GETCAPS;

// Ϣ
typedef struct tagNET_RADIOMETRYINFO
{
    int                 nMeterType;                         // ز,NET_RADIOMETRY_METERTYPE
    int                 nTemperUnit;                        // ¶ȵλ(ǰõ¶ȵλ), NET_TEMPERATURE_UNIT
    float               fTemperAver;                        // ¶Ȼƽ¶   ʱ ֻشֶ
    float               fTemperMax;                         // ¶ 
    float               fTemperMin;                         // ¶ 
    float               fTemperMid;                         // м¶ֵ    
    float               fTemperStd;                         // ׼ֵ
    char                reserved[64];
} NET_RADIOMETRYINFO;

// ȡ¶ȵ   
typedef struct tagNET_RADIOMETRY_CONDITION
{
    int                 nPresetId;                          // Ԥõ    
    int                 nRuleId;                            //  
    int                 nMeterType;                         // ,NET_RADIOMETRY_METERTYPE
    char                szName[64];                         // ,Ӳùѡȡ
    int                 nChannel;                           // ͨ
    char                reserved[256];
} NET_RADIOMETRY_CONDITION;

// CLIENT_QueryDevInfo ӿ NET_QUERY_DEV_RADIOMETRY_POINT_TEMPER 
typedef struct tagNET_IN_RADIOMETRY_GETPOINTTEMPER
{
    DWORD               dwSize;
    int                 nChannel;                           // ͨ
    DH_POINT            stCoordinate;                       // µ,ֵ 0~8192
} NET_IN_RADIOMETRY_GETPOINTTEMPER;

// CLIENT_QueryDevInfo ӿ NET_QUERY_DEV_RADIOMETRY_POINT_TEMPER 
typedef struct tagNET_OUT_RADIOMETRY_GETPOINTTEMPER
{
    DWORD               dwSize;
    NET_RADIOMETRYINFO  stPointTempInfo;                    // ȡµĲֵ
} NET_OUT_RADIOMETRY_GETPOINTTEMPER;

// CLIENT_QueryDevInfo ӿ NET_QUERY_DEV_RADIOMETRY_TEMPER 
typedef struct tagNET_IN_RADIOMETRY_GETTEMPER
{
    DWORD                       dwSize;
    NET_RADIOMETRY_CONDITION    stCondition;                // ȡ¶ȵ
} NET_IN_RADIOMETRY_GETTEMPER;

// CLIENT_QueryDevInfo ӿ NET_QUERY_DEV_RADIOMETRY_TEMPER 
typedef struct tagNET_OUT_RADIOMETRY_GETTEMPER
{
    DWORD               dwSize;
    NET_RADIOMETRYINFO  stTempInfo;                         // ȡ²ֵ
} NET_OUT_RADIOMETRY_GETTEMPER;

// CLIENT_ControlDeviceEx ӿ NET_CTRL_DEV_RADIOMETRY_SETOSDMARK 
typedef struct tagNET_IN_RADIOMETRY_SETOSDMARK
{
    DWORD                       dwSize;
    NET_RADIOMETRY_CONDITION    stCondition;                // Ҫ osd Ĳƥ
} NET_IN_RADIOMETRY_SETOSDMARK;

// CLIENT_ControlDeviceEx ӿ NET_CTRL_DEV_RADIOMETRY_SETOSDMARK 
typedef struct tagNET_OUT_RADIOMETRY_SETOSDMARK
{
    DWORD               dwSize;
} NET_OUT_RADIOMETRY_SETOSDMARK;

//ȳѯ
typedef enum tagEM_RADIOMETRY_PERIOD
{
	EM_RADIOMETRY_PERIOD_UNKNOWN,			// δ֪
    EM_RADIOMETRY_PERIOD_5  = 5,			// 5Ӽ¼Ĭ
	EM_RADIOMETRY_PERIOD_10 = 10,           // 10Ӽ¼
	EM_RADIOMETRY_PERIOD_15 = 15,           // 15Ӽ¼
	EM_RADIOMETRY_PERIOD_30 = 30,           // 30Ӽ¼
}EM_RADIOMETRY_PERIOD;

// CLIENT_StartFind ӿ NET_FIND_RADIOMETRY 
typedef struct tagNET_IN_RADIOMETRY_STARTFIND
{   
    DWORD                  dwSize;
    NET_TIME               stStartTime;                       // ѯʼʱ
    NET_TIME               stEndTime;                         // ѯʱ
    int                    nMeterType;                        // ѯ,öNET_RADIOMETRY_METERTYPE
    int                    nChannel;                          // ͨ
    EM_RADIOMETRY_PERIOD   emPeriod;                          // ѯı
} NET_IN_RADIOMETRY_STARTFIND;

// CLIENT_StartFind ӿ NET_FIND_RADIOMETRY 
typedef struct tagNET_OUT_RADIOMETRY_STARTFIND
{   
    DWORD               dwSize;
    int                 nFinderHanle;                      // ȡĲѯ
    int                 nTotalCount;                       // ϴ˴βѯĽ
} NET_OUT_RADIOMETRY_STARTFIND;

#define NET_RADIOMETRY_DOFIND_MAX 32

// CLIENT_DoFind ӿ NET_FIND_RADIOMETRY 
typedef struct tagNET_IN_RADIOMETRY_DOFIND
{   
    DWORD               dwSize;
    int                 nFinderHanle;                      // ѯ
    int                 nBeginNumber;                      // βѯʼ
    int                 nCount;                            // βѯ,ΪNET_IN_RADIOMETRY_DOFIND_MAX
} NET_IN_RADIOMETRY_DOFIND;

// زѯ
typedef struct tagNET_RADIOMETRY_QUERY
{
    NET_TIME            stTime;                            // ¼ʱ
    int                 nPresetId;                         // Ԥõ
    int                 nRuleId;                           // 
    char                szName[64];                        // ѯ
	DH_POINT            stCoordinate;                      // ѯµ(Ƽ stCoordinates)
    int                 nChannel;                          // ͨ
    NET_RADIOMETRYINFO  stTemperInfo;                      // Ϣ,ĿǰnTemperMid, nTemperStd ԱЧ
	DH_POINT            stCoordinates[8];				   // ѯµ
	int					nCoordinateNum;					   // ѯ¶ȵ귵صĸ
	char                reserved[220];
} NET_RADIOMETRY_QUERY;

// CLIENT_DoFind ӿ NET_FIND_RADIOMETRY 
typedef struct tagNET_OUT_RADIOMETRY_DOFIND
{   
    DWORD                       dwSize;
    int                         nFound;                             // ʵʲѯĵ
    NET_RADIOMETRY_QUERY        stInfo[NET_RADIOMETRY_DOFIND_MAX];  // ¶ͳϢ
} NET_OUT_RADIOMETRY_DOFIND;

// CLIENT_StopFind ӿ NET_FIND_RADIOMETRY 
typedef struct tagNET_IN_RADIOMETRY_STOPFIND
{   
    DWORD               dwSize;
    int                 nFinderHanle;                       // ѯ
} NET_IN_RADIOMETRY_STOPFIND;

// CLIENT_StopFind ӿ NET_FIND_RADIOMETRY 
typedef struct tagNET_OUT_RADIOMETRY_STOPFIND
{   
    DWORD               dwSize;
} NET_OUT_RADIOMETRY_STOPFIND;

// ȳµ㱨ֵ
typedef enum tagNET_RADIOMETRY_RESULT 
{
    NET_RADIOMETRY_RESULT_UNKNOWN,
    NET_RADIOMETRY_RESULT_VAL,                  // ֵ
    NET_RADIOMETRY_RESULT_MAX,                  // 
    NET_RADIOMETRY_RESULT_MIN,                  // С
    NET_RADIOMETRY_RESULT_AVR,                  // ƽ
    NET_RADIOMETRY_RESULT_STD,                  // ׼
    NET_RADIOMETRY_RESULT_MID,                  // м
    NET_RADIOMETRY_RESULT_ISO,                  // ISO
    NET_RADIOMETRY_RESULT_DIFF,                 // ²
    NET_RADIOMETRY_RESULT_SLOPE,                // б
} NET_RADIOMETRY_RESULT;

// ȳµ㱨
typedef enum tagNET_RADIOMETRY_ALARMCONTION 
{
    NET_RADIOMETRY_ALARMCONTION_UNKNOWN,
    NET_RADIOMETRY_ALARMCONTION_BELOW,          // С
    NET_RADIOMETRY_ALARMCONTION_MATCH,          // 
    NET_RADIOMETRY_ALARMCONTION_ABOVE,          // 
} NET_RADIOMETRY_ALARMCONTION;

// ¶ȵλ
typedef enum tagNET_TEMPERATURE_UNIT
{
    NET_TEMPERATURE_UNIT_UNKNOWN,
    NET_TEMPERATURE_UNIT_CENTIGRADE,                // ϶
    NET_TEMPERATURE_UNIT_FAHRENHEIT,                // ϶
} NET_TEMPERATURE_UNIT;

// ȳµ¶쳣
typedef struct tagALARM_HEATIMG_TEMPER_INFO
{
    char                szName[64];                         // ¶쳣  Ӳ¹ѡ
    int                 nAlarmId;                           //     
    int                 nResult;                            // ֵ fTemperatureValue ,ö NET_RADIOMETRY_RESULT
    int                 nAlarmContion;                      // ,ö NET_RADIOMETRY_ALARMCONTION
    float               fTemperatureValue;                  // ¶ֵ
    int                 nTemperatureUnit;                   // ¶ȵλ(ǰõ¶ȵλ), NET_TEMPERATURE_UNIT
    DH_POINT            stCoordinate;                       //    ϵ,ȡֵΪ0~8191
    int                 nPresetID;                          // Ԥõ
    int                 nChannel;                           // ͨ
    int                 nAction;                            // 0:ʼ 1:ֹͣ -1:
	DH_POLY_POINTS      stuAlarmCoordinates;				// , Ϳǵ㣬߻Ρ滻stCoordinateֶ  
    char                reserved[156];
} ALARM_HEATIMG_TEMPER_INFO;

// ȳŻ㱨
typedef struct tagALARM_FIREWARNING_INFO
{
    int                 nPresetId;                          // ֶηDH_ALARM_FIREWARNING_INFO¼ȡϢ
    int                 nState;                             // 0 - ʼ,1 - ,-1:
    DH_RECT             stBoundingBox;                      // ֶη,DH_ALARM_FIREWARNING_INFO¼ȡϢ	
    int                 nTemperatureUnit;                   // ֶη,DH_ALARM_FIREWARNING_INFO¼ȡϢ
    float               fTemperature;                       // ֶη,DH_ALARM_FIREWARNING_INFO¼ȡϢ 
    unsigned            nDistance;                          // ֶη,DH_ALARM_FIREWARNING_INFO¼ȡϢ
	GPS_POINT           stGpsPoint;                         // ֶη,DH_ALARM_FIREWARNING_INFO¼ȡϢ
    int                 nChannel;                           // ӦƵͨ
	BOOL				bIsLeaveFireDetect;					// ǷڻĿ(TRUE: FALSE:)   
	char                reserved[248];
} ALARM_FIREWARNING_INFO;

//̨굥Ԫ
typedef struct tagPTZ_POSITION_UNIT
{
	int                  nPositionX;                        // ̨ˮƽǶ,Χ[0,3599]ʾ0ȵ359.9ȣ10ʾ
	int                  nPositionY;                        // ֱ̨Ƕ,Χ[-1800,1800]ʾ-180.0ȵ+180.0ȣ10ʾ
	int                  nZoom;                             // ̨ȦŴ,Χ[0,127]ʾС󱶵ı䱶λ
	char                 szReserve[32];                     // Ԥ32ֽ
}PTZ_POSITION_UNIT;

//ȳ鱨Ϣ
typedef struct tagNET_FIREWARNING_INFO
{
	int                 nPresetId;                          // Ԥõ	Ӳ¹CFG_RADIOMETRY_RULE_INFOѡ
	NET_RECT            stuBoundingBox;                     // Żο	
	int                 nTemperatureUnit;                   // ¶ȵλ(ǰõ¶ȵλ), NET_TEMPERATURE_UNIT
	float               fTemperature;                       // ߵ¶ֵ	ͬ֡Ͳּṩ
	UINT				nDistance;                          // Ż,λ 0ʾЧ
	GPS_POINT           stuGpsPoint;                        // Ż㾭γ
	PTZ_POSITION_UNIT   stuPTZPosition;                     // ̨Ϣ
	float               fAltitude;                          // ߶(λ)
	UINT				nThermoHFOV;						// Uint32 ȳӽ
	UINT				nThermoVFOV;						// Uint32 ȳӽ
	UINT				nFSID;								// Uint32 ID
	BYTE                reserved[196];
}NET_FIREWARNING_INFO;
// ȳ鱨Ϣϱ¼
typedef struct tagALARM_FIREWARNING_INFO_DETAIL
{
    int                     nChannel;                                           // ӦƵͨ
    int                     nWarningInfoCount;                                  // Ϣ
    NET_FIREWARNING_INFO    stuFireWarningInfo[MAX_FIREWARNING_INFO_NUM];       // 屨Ϣ
    BYTE                    reserved[256];
}ALARM_FIREWARNING_INFO_DETAIL;

//ȳ巢Ԥ¼
typedef struct tagALARM_FACE_OVERHEATING_INFO
{
    int                     nRelativeId;                                        // ͼƬID, NET_FACE_INFO->nRelativeIDͬ
    int                     nTemperatureUnit;                                   // ¶ȵλ(ǰõ¶ȵλ), NET_TEMPERATURE_UNIT
    float                   fTemperature;                                       // ¶ֵ
    int                     nChannelID;                                         // Ƶͨ
    BYTE                    reserved[124];                                      
}ALARM_FACE_OVERHEATING_INFO;

// ̽״̬
typedef enum tagEM_SENSOR_ABNORMAL_STATUS
{
    NET_SENSOR_ABNORMAL_STATUS_UNKNOWN,
    NET_SENSOR_ABNORMAL_STATUS_SHORT,                                   // ·
    NET_SENSOR_ABNORMAL_STATUS_BREAK,                                   // ·
    NET_SENSOR_ABNORMAL_STATUS_INTRIDED,                                // 
} EM_SENSOR_ABNORMAL_STATUS;

//¼(DH_ALARM_SENSOR_ABNORMAL) ̽״̬쳣
typedef struct tagALARM_SENSOR_ABNORMAL_INFO
{
    int                                 nAction;                        // 0:ʼ 1:ֹͣ
    int                                 nChannelID;                     // Ƶͨ
    NET_TIME_EX                         stuTime;                        // ¼ʱ
    EM_SENSOR_ABNORMAL_STATUS           emStatus;                       // ̽״̬
    BYTE                                byReserved[128];                // Ԥֶ 
}ALARM_SENSOR_ABNORMAL_INFO;

// ͼԪϢ
typedef struct tagNET_RADIOMETRY_METADATA
{
    int                 nHeight;                            // 
    int                 nWidth;                             // 
    int                 nChannel;                           // ͨ
    NET_TIME            stTime;                             // ȡʱ
    int                 nLength;                            // ݴС
    char                szSensorType[64];                   // о
    int                 nUnzipParamR;                       // ѹR
    int                 nUnzipParamB;                       // ѹB
    int                 nUnzipParamF;                       // ѹF
    int                 nUnzipParamO;                       // ѹO
    char                Reserved[256];
} NET_RADIOMETRY_METADATA;

// ͼ
typedef struct tagNET_RADIOMETRY_DATA
{
    NET_RADIOMETRY_METADATA     stMetaData;                 // Ԫ
    BYTE*                       pbDataBuf;                  // ͼݻѹ,ÿص¶,ʹԪϢѹ
    DWORD                       dwBufSize;                  // ͼݻС
    char                        reserved[512];
} NET_RADIOMETRY_DATA;

//////////////////////////////////////////////////////////////////////////
/// \fn ¶ȷֲ״̬ص
/// \brief 
/// \param  LLONG lAttachHandle [OUT] ľ, CLIENT_RadiometryAttach ķֵ 
/// \param  NET_RADIOMETRY_DATA* pBuf [OUT] ͼϢ
/// \param  int nBufLen [OUT] ״̬Ϣ
/// \param  LDWORD dwUser û
/// \return 
///////////////////////////////////////////////////////////////////////////
typedef void (CALLBACK *fRadiometryAttachCB)(LLONG lAttachHandle, NET_RADIOMETRY_DATA* pBuf, int nBufLen, LDWORD dwUser);

// CLIENT_RadiometryAttach 
typedef struct tagNET_IN_RADIOMETRY_ATTACH
{
    DWORD               dwSize;
    int                 nChannel;                           // Ƶͨ	-1 ʾȫ
    fRadiometryAttachCB cbNotify;                           // ״̬صָ
    LDWORD              dwUser;                             // û
} NET_IN_RADIOMETRY_ATTACH;

// CLIENT_RadiometryAttach 
typedef struct tagNET_OUT_RADIOMETRY_ATTACH
{
    DWORD               dwSize;
} NET_OUT_RADIOMETRY_ATTACH;

// ¶ȷֲݣͼ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_RadiometryAttach(LLONG lLoginID, const NET_IN_RADIOMETRY_ATTACH* pInParam, NET_OUT_RADIOMETRY_ATTACH* pOutParam, int nWaitTime);

// ȡ¶ȷֲ,lAttachHandle CLIENT_RadiometryAttach ķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RadiometryDetach(LLONG lAttachHandle);

// CLIENT_RadiometryFetch 
typedef struct tagNET_IN_RADIOMETRY_FETCH
{
    DWORD               dwSize;
    int                 nChannel;                           // ͨ, ͨҪ붩ʱһ, -1
} NET_IN_RADIOMETRY_FETCH;

// CLIENT_RadiometryFetch 
typedef struct tagNET_OUT_RADIOMETRY_FETCH 
{
    DWORD               dwSize;
    int                 nStatus;                            // 0: δ֪, 1: , 2: ȡͼ
} NET_OUT_RADIOMETRY_FETCH;

// ֪ͨʼȡͼ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RadiometryFetch(LLONG lLoginID, const NET_IN_RADIOMETRY_FETCH* pInParam, NET_OUT_RADIOMETRY_FETCH* pOutParam, int nWaitTime);

// CLIENT_GetHeatMapsDirectly 
typedef struct tagNET_IN_GET_HEATMAPS_INFO
{
    DWORD                       dwSize;
    int                         nChannel;                           // ͨ
} NET_IN_GET_HEATMAPS_INFO;

// CLIENT_GetHeatMapsDirectly 
typedef struct tagNET_OUT_GET_HEATMAPS_INFO 
{
    DWORD                       dwSize;
    NET_RADIOMETRY_METADATA     stMetaData;                 // Ԫ
    DWORD				        dwMaxDataBufLen;			// ͼݻ pbDataBuf ĴС, ûָ
    BYTE				        *pbDataBuf;					// ͼݻ(ѹ,ÿص¶,ʹԪϢѹ),Ҫûռ
    DWORD				        dwRetDataBufLen;			// зصʵļݴС
	BYTE              	        byReserved[4];            	// ֽڶ
} NET_OUT_GET_HEATMAPS_INFO;

CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetHeatMapsDirectly(LLONG lLoginID, const NET_IN_GET_HEATMAPS_INFO* pInParam, NET_OUT_GET_HEATMAPS_INFO* pOutParam, int nWaitTime);


// ͼݽѹתӿ
/// \brief 
/// \param  pRadiometryData [IN] ͼݣ  fRadiometryAttachCB 
/// \param  pGrayImg [IN, OUT] ѹݣһŻҶͼ
///			ָʾҪ
///         û豣֤Ļ㹻󣨲С ͼ*sizeof(unsigned short)
///         ÿضӦһ unsigned short ݣʾͼĳصȳҶȣΧ 0 ~ 16383
///         ͵ַӦϽǣߵַӦ½
/// \param  pTempForPixels [IN, OUT] ÿص¶
///			ָܴ,,ʧ
///         û豣֤Ļ㹻󣨲С ͼ*sizeof(float)
///         ÿضӦһ float ݣʾλõ¶
///         ͵ַӦϽǣߵַӦ½
/// \return TRUE ɹFALSE ʧ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RadiometryDataParse(const NET_RADIOMETRY_DATA* pRadiometryData, unsigned short* pGrayImg, float* pTempForPixels);

// CLIENT_GetRadiometryYImage 
typedef struct tagNET_IN_RADIOMETRY_Y_IMAGE
{
    DWORD                       dwSize;
    int                         nChannel;                               // ͨ
}NET_IN_RADIOMETRY_Y_IMAGE;

// CLIENT_GetRadiometryYImage 
typedef struct tagNET_OUT_RADIOMETRY_Y_IMAGE
{   
    DWORD                       dwSize; 
    UINT                        nWidth;                                 // ͼ
    double                      PTS;                                    // ʱ(λǺ)
    UINT                        nHeight;                                // ͼ
    char*                       pbDataBuf;                              // Yݻûڴ棬СΪBuflen
    int                         nBufLen;                                // pbDataBuf󳤶
    int                         nBufRet;                                // ʵʷصĳ
}NET_OUT_RADIOMETRY_Y_IMAGE;

// ȡȳ豸ĵǰY
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetRadiometryYImage(LLONG lLoginID, const NET_IN_RADIOMETRY_Y_IMAGE* pInParam, NET_OUT_RADIOMETRY_Y_IMAGE* pOutParam,int nWaitTime);

// CLIENT_GetRadiometryCurrentHotColdSpotInfo 
typedef struct tagNET_IN_RADIOMETRY_CURRENTHOTCOLDSPOT_INFO
{
	DWORD					dwSize;
	int						nChannel;			// ͨţֻȳͨЧ
} NET_IN_RADIOMETRY_CURRENTHOTCOLDSPOT_INFO;

// 䣨£ȣ£Ϣ
typedef struct tagNET_RADIOMETRY_CURRENTHOTCOLDSPOT_INFO
{
	NET_POINT				stuHotPoint;		// ȵ꣬Χ0~8191
	NET_POINT				stuColdPoint;		// ꣬Χ0~8191
	float					fHotSpotValue;		// ȵ¶ֵ£
	float					fColdSpotValue;		// ¶ֵ¶ȣ
	int						nTemperatrueUnit;	// ¶ȵλ0:϶ 1϶
	BYTE					byReserved[256];	// ֽ
} NET_RADIOMETRY_CURRENTHOTCOLDSPOT_INFO;

// CLIENT_GetRadiometryCurrentHotColdSpotInfo 
typedef struct	tagNET_OUT_RADIOMETRY_CURRENTHOTCOLDSPOT_INFO
{
	DWORD										dwSize;
	NET_RADIOMETRY_CURRENTHOTCOLDSPOT_INFO		stuCurrentHotColdSpotInfo;	// ȳǰ䣨£ȣ£Ϣ
} NET_OUT_RADIOMETRY_CURRENTHOTCOLDSPOT_INFO;

// ȡȳǰ䣨£ȣ£Ϣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RadiometryGetCurrentHotColdSpotInfo(LLONG lLoginID, const NET_IN_RADIOMETRY_CURRENTHOTCOLDSPOT_INFO* pInParam, NET_OUT_RADIOMETRY_CURRENTHOTCOLDSPOT_INFO* pOutParam, int nWaitTime);

#define MAX_RADIOMETRY_TEMPER_NUM  32          // ¶ͳϢ
#define MAX_COORDINATE_NUM  8                  // 

// ²ѯ
typedef enum tagEM_RADIOMETRY_QUERY_TYPE 
{
    EM_RADIOMETRY_QUERY_TYPE_UNKNOWN,                       // δ֪
    EM_RADIOMETRY_QUERY_TYPE_SPOT,                          // 
    EM_RADIOMETRY_QUERY_TYPE_AREA,                          // 
    EM_RADIOMETRY_QUERY_TYPE_LINE,                          // 
} EM_RADIOMETRY_QUERY_TYPE;

// ¶Ϣ
typedef struct tagNET_QUERY_TEMPER_INFO
{
    float               fTemperAve;                         // ƽ¶
    float               fTemperMax;                         // ¶ 
    float               fTemperMin;                         // ¶ 
    BYTE                byReserved[128];                    // ֽ
} NET_QUERY_TEMPER_INFO;

// ²ѯϢ
typedef struct tagNET_RADIOMETRY_QUERY_INFO
{
    NET_TIME                     stuTime;                            // ¼ʱ
    int                          nPresetId;                          // Ԥõ
    int                          nRuleId;                            // 
    EM_RADIOMETRY_QUERY_TYPE     emQueryType;                        // ѯ
    char                         szName[MAX_COMMON_STRING_64];       // ѯ
    NET_POINT                    stuCoordinate[MAX_COORDINATE_NUM];  // ѯµ
    int                          nChannel;                           // ͨ
    NET_TEMPERATURE_UNIT         emTemperatureUnit;                  // ¶ȵλ
    NET_QUERY_TEMPER_INFO        stuQueryTemperInfo;                 // ¶Ϣ
    BYTE                         byReserved[256];                    // ֽ
} NET_RADIOMETRY_QUERY_INFO;

// ¶
typedef struct tagNET_RADIOMETRY_TEMPER_DATA
{
    int                         nRadiometryTemperNum;                                         // ¶Ϣ
    NET_RADIOMETRY_QUERY_INFO   stuRadiometryTemperInfo[MAX_RADIOMETRY_TEMPER_NUM];           // ¶Ϣ
    BYTE                        byReserved[512];                                              // ֽ
} NET_RADIOMETRY_TEMPER_DATA;
//////////////////////////////////////////////////////////////////////////
/// \fn ¶״̬ص
/// \brief 
/// \param  LLONG lAttachTemperHandle [OUT] ľ, CLIENT_RadiometryAttachTemper ķֵ 
/// \param  NET_RADIOMETRY_TEMPER_DATA* pBuf [OUT] ¶
/// \param  int nBufLen [OUT] ״̬Ϣ
/// \param  LDWORD dwUser û
/// \return 
///////////////////////////////////////////////////////////////////////////
typedef void (CALLBACK *fRadiometryAttachTemperCB)(LLONG lAttachTemperHandle, NET_RADIOMETRY_TEMPER_DATA* pBuf, int nBufLen, LDWORD dwUser);

// CLIENT_RadiometryAttachTemper 
typedef struct tagNET_IN_RADIOMETRY_ATTACH_TEMPER
{
    DWORD                        dwSize;                             // ṹС
    int                          nChannel;                           // ͨ
    fRadiometryAttachTemperCB    cbNotify;                           // ״̬صָ
    LDWORD                       dwUser;                             // û
} NET_IN_RADIOMETRY_ATTACH_TEMPER;

// CLIENT_RadiometryAttachTemper 
typedef struct tagNET_OUT_RADIOMETRY_ATTACH_TEMPER
{
    DWORD               dwSize;
} NET_OUT_RADIOMETRY_ATTACH_TEMPER;

// Ĳ¶,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_RadiometryAttachTemper(LLONG lLoginID, const NET_IN_RADIOMETRY_ATTACH_TEMPER* pInParam, NET_OUT_RADIOMETRY_ATTACH_TEMPER* pOutParam, int nWaitTime);

// ȡĲ¶,lAttachTemperHandle CLIENT_RadiometryAttachTemper ķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RadiometryDetachTemper(LLONG lAttachTemperHandle);

//////////////////////////////////////////////////////////////////////////
// ѯϢ
//////////////////////////////////////////////////////////////////////////

// ȡϢΣ
typedef struct tagNET_IN_SIM_CARD_FLUX_INFO
{	
	DWORD dwSize;                 // ṹС
	int nCardIndex;               // sim 0ʼ
}NET_IN_SIM_CARD_FLUX_INFO;

#define NET_FLUX_RECORD_MAX_NUM 7      // Ϣ¼ֵ

// ¼ṹ
typedef struct tagNET_SIM_CARD_FLUX_RECORD
{
	NET_TIME stuDate;            // 
	UINT nDaySendFlux;           //  Uint32λ0.1kb
	UINT nDayRecvFlux;           //  Uint32λ0.1kb
	BYTE byReserved[512];        // ֽ

}NET_SIM_CARD_FLUX_RECORD;

// ȡϢΣ
typedef struct tagNET_OUT_SIM_CARD_FLUX_INFO
{
	DWORD dwSize;                                        // ṹС         
	UINT nTotalFlux;                                     // ܵ=+ Uint32λ0.1kb  
	UINT nSendFlux;                                      //  Uint32λ0.1kb 
	UINT nRecvFlux;                                      //  Uint32λ0.1kb
	NET_TIME stuTime;                                    // дʱ
	int nRecordNum;                                      // ¼ ֵӦô NET_RECORD_MAX_NUM
	NET_SIM_CARD_FLUX_RECORD stuRecord[NET_FLUX_RECORD_MAX_NUM];  // ¼
	UINT nLastMonthTotalFlux;                                     // ϸ Uint32λ0.1kb 

}NET_OUT_SIM_CARD_FLUX_INFO;

// ȡSIMϢ,pNetDataInpNetDataOutûڴ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSimCardFlux(LLONG lLoginID,const NET_IN_SIM_CARD_FLUX_INFO* pNetDataIn,NET_OUT_SIM_CARD_FLUX_INFO* pNetDataOut,int nWaitTime = 1000);

// ÷Žģʽ,pNetDataInpNetDataOutûڴ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDoorWorkMode(LLONG lLoginID,const NET_IN_CTRL_ACCESS_SET_DOOR_WORK_MODE* pNetDataIn,NET_OUT_CTRL_ACCESS_SET_DOOR_WORK_MODE* pNetDataOut,int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// LED,pInParampOutParamûڴ,emTypeӦĽṹ,ȷڴС
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ControlCabinLED(LLONG lLoginID, EM_CABIN_LED_CONTROL_TYPE emType,const void *pInParam, void* pOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);


#define NET_SELECT_UPDATE_LOCK_MAX_NUM 32               // ʱͬʱָĸ

// ԶͨϢ()
typedef struct tagNET_IN_SELECT_UPDATE_LOCK_INFO
{
    DWORD dwSize;
    int nChannelNum;                                    // Ҫѡĸ
    int nChannel[NET_SELECT_UPDATE_LOCK_MAX_NUM];       // ͨ
}NET_IN_SELECT_UPDATE_LOCK_INFO;

// ԶͨϢ()
typedef struct tagNET_OUT_SELECT_UPDATE_LOCK_INFO
{
    DWORD dwSize;   
}NET_OUT_SELECT_UPDATE_LOCK_INFO;

// ͨѡԶ,pNetDataInpNetDataOutûڴ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SelectLockToUpdate(LLONG lLoginID,const NET_IN_SELECT_UPDATE_LOCK_INFO* pNetDataIn,NET_OUT_SELECT_UPDATE_LOCK_INFO* pNetDataOut,int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

typedef enum tagEM_AUTHORITY_SUB_TYPE
{
    EM_AUTHORITY_SUB_TYPE_UNKNOWN,                            // Unknown
    EM_AUTHORITY_SUB_TYPE_SHUT_DOWN,                          // ر豸
    EM_AUTHORITY_SUB_TYPE_MONITOR,                            // ʵʱͨ
    EM_AUTHORITY_SUB_TYPE_MONITOR_FOR_CHANNEL,                // ʵʱͨ
    EM_AUTHORITY_SUB_TYPE_REPLAY,                             // طͨ
    EM_AUTHORITY_SUB_TYPE_REPLAY_FOR_CHANNEL,                 // طͨ
    EM_AUTHORITY_SUB_TYPE_BACKUP,                             // ¼ļ
    EM_AUTHORITY_SUB_TYPE_MHARDISK,                           // Ӳ̹
    EM_AUTHORITY_SUB_TYPE_MPTZ,                               // ̨XYZĵƣȨܲƷHasPtzƣHasPtzΪfalseȨЧ
    EM_AUTHORITY_SUB_TYPE_ACCOUNT,                            // ûʺ
    EM_AUTHORITY_SUB_TYPE_QUERY_LOG,                          // ־ѯ
    EM_AUTHORITY_SUB_TYPE_DEL_LOG,                            // ɾ־
    EM_AUTHORITY_SUB_TYPE_SYS_UPDATE,                         // ϵͳ
    EM_AUTHORITY_SUB_TYPE_AUTO_MAINTAIN,                      // Զά
    EM_AUTHORITY_SUB_TYPE_GENERAL_CONF,                       // ͨ
    EM_AUTHORITY_SUB_TYPE_ENCODE_CONF,                        // 
    EM_AUTHORITY_SUB_TYPE_RECORD,                             // ¼ģʽֶԶ(RecordMode)
    EM_AUTHORITY_SUB_TYPE_RECORD_CONF,                        // ¼ʱ䡢ļʽ(Record)
    EM_AUTHORITY_SUB_TYPE_COM_CONF,                           // 
    EM_AUTHORITY_SUB_TYPE_NET_CONF,                           // 
    EM_AUTHORITY_SUB_TYPE_ALARM,                              // IO
    EM_AUTHORITY_SUB_TYPE_ALARM_CONF,                         // 
    EM_AUTHORITY_SUB_TYPE_VIDEO_CONFIG,                       // Ƶڵʧ
    EM_AUTHORITY_SUB_TYPE_PTZ_CONFIG,                         // ̨
    EM_AUTHORITY_SUB_TYPE_OUTPUT_CONFIG,                      // Ƶ
    EM_AUTHORITY_SUB_TYPE_VIDEO_INPUT_CONFIG,                 // Ƶ
    EM_AUTHORITY_SUB_TYPE_DEFAULT_CONFIG,                     // ָĬ
    EM_AUTHORITY_SUB_TYPE_BK_CONFIG,                          // 洢뵼
    EM_AUTHORITY_SUB_TYPE_INTELLI_CONFIG,                     // 
    EM_AUTHORITY_SUB_TYPE_REMOTE_DEVICE,                      // ɾԶ豸
    EM_AUTHORITY_SUB_TYPE_ATM_POS,                            // ڵ
    EM_AUTHORITY_SUB_TYPE_OFFLINE_LOGINED_USER,               // ߳û
    EM_AUTHORITY_SUB_TYPE_AUDIO_AUTH,                         // 洢ʹãͶ
    EM_AUTHORITY_SUB_TYPE_SPOT_SET,                           // 洢ʹãƵ
    EM_AUTHORITY_SUB_TYPE_TVSET,                              // 洢ʹãTV߾
    EM_AUTHORITY_SUB_TYPE_IPSAN,                              // IPSAN
    EM_AUTHORITY_SUB_TYPE_CONFIG,                             // 洢ʹãģʹ
    EM_AUTHORITY_SUB_TYPE_ARMING,                             // 
    EM_AUTHORITY_SUB_TYPE_DISARM,                             // 
    EM_AUTHORITY_SUB_TYPE_BYPASS,                             // ·ͨ
    EM_AUTHORITY_SUB_TYPE_BYPASS_PARTIAL,                     // ·ͨ
    EM_AUTHORITY_SUB_TYPE_ALARM_BELL,                         // 
    EM_AUTHORITY_SUB_TYPE_ALARM_CONFIRM_PARTIAL,              // ͨ
    EM_AUTHORITY_SUB_TYPE_DEFENCE_CONFIG_PARTIAL,             // ãͨ
    EM_AUTHORITY_SUB_TYPE_ALARM_OUT_PARITAL,                  // ͨ
    EM_AUTHORITY_SUB_TYPE_TALK,                               // Խ
    EM_AUTHORITY_SUB_TYPE_WIRELESS_CONFIG,                    // 
    EM_AUTHORITY_SUB_TYPE_MOBILE_CONFIG,                      // ƶҵ
    EM_AUTHORITY_SUB_TYPE_AUDIO_DETECT_CONFIG,                // Ƶ
    EM_AUTHORITY_SUB_TYPE_NET_PREVIEW_FOR_CHANNEL,            // Ԥͨ

    EM_AUTHORITY_SUB_TYPE_REBOOT,                             // 豸
    EM_AUTHORITY_SUB_TYPE_SYS_LENS,                           // ƻоų̂ҪƱ䱶۽ȦȹܣӴȨ
    EM_AUTHORITY_SUB_TYPE_RAIN_BRUSH_CONFIG,                  // ˢ
    EM_AUTHORITY_SUB_TYPE_LIGHTING_CONFIG,                    // ƹ
    EM_AUTHORITY_SUB_TYPE_ACCESS_CONTROL,                     // Žƣͨ
    EM_AUTHORITY_SUB_TYPE_ACCESS_CONTROL_PARTIAL,             // Žƣͨ
    EM_AUTHORITY_SUB_TYPE_DECODE_TOUR,                        // Ѳ
    EM_AUTHORITY_SUB_TYPE_VIDEO_OUT,                          // Ƶ
    EM_AUTHORITY_SUB_TYPE_PTZ_FOR_CHANNEL,                    // ̨ͨ
    EM_AUTHORITY_SUB_TYPE_MODIFY_LANGUANGE,                   // ޸
    EM_AUTHORITY_SUB_TYPE_MODIFY_VIDEO,                       // ޸Ƶʽ
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_CONTROL,              // 
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_SCHEDULE,             // ѯγ̱
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_MODIFY_SCHEDULE,      // ޸Ŀγ̱
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_INTELL_PARAM,         // ¼ܲ
    EM_AUTHORITY_SUB_TYPE_CAMERA_PERIPHERAL,                  // ͷ裬ˢȡ
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_DOWNLOAD_MEDIA_FILE,  // ؿγ¼ļ
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_MODIFY_MEDIA_FILE,    // ޸Ŀγ¼ļ
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_DELETE_MEDIA_FILE,    // ɾγ¼ļ
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_BACKUP_TO_USB,        // ݿγ¼ļ豸˵USBϣBackupͬʱЧ
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_BACKUP_TO_FTP,        // ݿγ¼ļFTPBackupͬʱЧ
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_EXPORT_ACCONUT,       // ûϢAccountͬʱЧ
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_QUERY_ACCOUNT,        // ѯ˻AccountͬʱЧ
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_MODIFY_ACCOUNT,       // ޸˻AccountͬʱЧ
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_RESET_PASSWORD,       // ãAccountͬʱЧ
    EM_AUTHORITY_SUB_TYPE_COURSE_RECORD_AUTHORITY,            // Ȩ޹AccountͬʱЧ
}EM_AUTHORITY_SUB_TYPE;

typedef enum tagEM_AUTHORITY_MAIN_TYPE
{
    EM_AUTHORITY_MAIN_TYPE_UNKNOWN,            // Unknown
    EM_AUTHORITY_MAIN_TYPE_AUTH_USER_MAG,      // û
    EM_AUTHORITY_MAIN_TYPE_AUTH_SYS_CFG,       // ϵͳ
    EM_AUTHORITY_MAIN_TYPE_AUTH_OFFLINE_USER,  // û
    EM_AUTHORITY_MAIN_TYPE_AUTH_DF_UD,         // Ĭ&
    EM_AUTHORITY_MAIN_TYPE_AUTH_PTZ_CTR,       // ̨
    EM_AUTHORITY_MAIN_TYPE_AUTH_SYS_INFO,      // ϵͳϢ
    EM_AUTHORITY_MAIN_TYPE_AUTH_MANU_CTR,      // ֶ
    EM_AUTHORITY_MAIN_TYPE_AUTH_BACKUP,        // ļ
    EM_AUTHORITY_MAIN_TYPE_AUTH_COLOR_SET,     // ͼɫ
    EM_AUTHORITY_MAIN_TYPE_AUTH_STORE_CFG,     // 洢
    EM_AUTHORITY_MAIN_TYPE_AUTH_EVENT_CFG,     // ¼
    EM_AUTHORITY_MAIN_TYPE_AUTH_NET_CFG,       // 
    EM_AUTHORITY_MAIN_TYPE_AUTH_RMT_DEVICE,    // ͷ
    EM_AUTHORITY_MAIN_TYPE_AUTH_DEL_LOG,       // ɾ־
    EM_AUTHORITY_MAIN_TYPE_AUTH_SHUTDOWN,      // ر豸
}EM_AUTHORITY_MAIN_TYPE;

#define NET_AUTHORITY_CLASS_MAX_NUM 256      // ûȨֵ

// ȨϢ
typedef struct tagNET_AUTH_CLASSIFY_INFO
{	   
    EM_AUTHORITY_MAIN_TYPE  emMainAuthority;    // Ȩ
    EM_AUTHORITY_SUB_TYPE   emSubAuthority;     // Ȩ
    int                     nChannel;           // ͨ
                                                // emSubAuthorityΪEM_AUTHORITY_SUB_TYPE_MONITOR_FOR_CHANNEL,EM_AUTHORITY_SUB_TYPE_REPLAY_FOR_CHANNEL,
                                                // EM_AUTHORITY_SUB_TYPE_NET_PREVIEW_FOR_CHANNEL,EM_AUTHORITY_SUB_TYPE_PTZ_FOR_CHANNEL ʱֶЧ
                                                //
    BYTE                    byReserved[128];    // ֽ
}NET_AUTH_CLASSIFY_INFO;

// ȡȨϢΣ
typedef struct tagNET_IN_GET_AUTHORITY_INFO_LIST
{
    DWORD dwSize;
}NET_IN_GET_AUTHORITY_INFO_LIST;

// ȡȨϢΣ
typedef struct tagNET_OUT_GET_AUTHORITY_INFO_LIST
{
    DWORD dwSize;
    int nRetAuthInfoCount;                                          // صȨϢ
    NET_AUTH_CLASSIFY_INFO stuAuthInfo[NET_AUTHORITY_CLASS_MAX_NUM];// صȨϢ

}NET_OUT_GET_AUTHORITY_INFO_LIST;

// ȡȨϢб,pNetDataInpNetDataOutûڴ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAuthClassifyList(LLONG lLoginID,const NET_IN_GET_AUTHORITY_INFO_LIST* pNetDataIn,NET_OUT_GET_AUTHORITY_INFO_LIST* pNetDataOut,int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

//////////////////////////////////////////////////////////////////////////
// Ϣ
//////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////
//  ѯ
typedef enum
{
    ABILITY_DYNAMIC_CONNECT = 1,        // ѯ̬,ӦΪBOOL
    ABILITY_WATERMARK_CFG = 17,         // ˮӡӦṹΪDH_WATERMAKE_EN
    ABILITY_WIRELESS_CFG = 18,          // wireless,ӦṹΪDH_WIRELESS_EN
    ABILITY_DEVALL_INFO = 26,           // 豸бӦṹΪDH_DEV_ENABLE_INFO
    ABILITY_CARD_QUERY = 0x0100,        // ŲѯӦṹΪDH_CARD_QUERY_EN
    ABILITY_MULTIPLAY = 0x0101,         // ໭Ԥ,ӦṹΪDH_MULTIPLAY_EN
    ABILITY_QUICK_QUERY_CFG = 0x0102,   // ٲѯӦṹΪDH_QUICK_QUERY_CFG_EN
    ABILITY_INFRARED = 0x0121,          // ߱,ӦṹΪDH_WIRELESS_ALARM_INFO
    ABILITY_TRIGGER_MODE = 0x0131,      // ʽӦΪint
    ABILITY_DISK_SUBAREA = 0x0141,      // Ӳ̷ӦṹΪDH_DISK_SUBAREA_EN
    ABILITY_DSP_CFG = 0x0151,           // ѯDSPӦṹΪDH_DSP_CFG
    ABILITY_STREAM_MEDIA = 0x0161,      // ѯSIP,RTSPӦṹΪDH_STREAM_MEDIA_EN
    ABILITY_INTELLI_TRACKER = 0x0171,   // ѯܸӦṹΪDH_INTELLI_TRACKER_EN
} DH_SYS_ABILITY;

//////////////////////////////////////////////////////////////////////////
//  豸ֹ֧б
enum 
{
    EN_FTP = 0,                         // FTP λ,1¼ļ 2ץͼļ
    EN_SMTP,                            // SMTP λ,1ıʼ 2ͼƬ 3:ֽ֧ʼ
    EN_NTP,                             // NTP  λ1ϵͳʱ
    EN_AUTO_MAINTAIN,                   // Զά λ1 2ر 3:ɾļ
    EN_VIDEO_COVER,                     // ڵ λ1ڵ
    EN_AUTO_REGISTER,                   // ע λ1עsdk½
    EN_DHCP,                            // DHCP λ1DHCP
    EN_UPNP,                            // UPNP λ1UPNP
    EN_COMM_SNIFFER,                    // ץ λ1:CommATM
    EN_NET_SNIFFER,                     // ץ λ 1NetSniffer
    EN_BURN,                            // ¼ λ1ѯ¼״̬
    EN_VIDEO_MATRIX,                    // Ƶ λ1Ƿ֧Ƶ 2:Ƿ֧SPOTƵ 3:Ƿ֧HDMIƵ
    EN_AUDIO_DETECT,                    // Ƶ λ1Ƿ֧Ƶ
    EN_STORAGE_STATION,                 // 洢λ λ1Ftp(Ips) 2SMB 3NFS 4ISCSI 16DISK 17U
    EN_IPSSEARCH,                       // IPS洢ѯ λ1IPS洢ѯ 
    EN_SNAP,                            // ץͼ  λ1ֱ2֡3ץͼʽ4ץͼļʽ5ͼ
    EN_DEFAULTNIC,                      // ֧Ĭѯ λ 1֧
    EN_SHOWQUALITY,                     // CBRģʽʾ λ 1:֧
    EN_CONFIG_IMEXPORT,                 // õ뵼 λ 1:֧
    EN_LOG,                             // Ƿַ֧ҳʽ־ѯ λ 1֧
    EN_SCHEDULE,                        // ¼õһЩ λ 1: 2:Ԥ¼ 3:¼ʱ
    EN_NETWORK_TYPE,                    // Ͱλʾ 1:̬ 2:߾ 3:CDMA/GPRS 4:CDMA/GPRS
    EN_MARK_IMPORTANTRECORD,            // ʶҪ¼ λ:1Ҫ¼ʶ
    EN_ACFCONTROL,                      // ֡ʿ λ1ֻ֧֡ʿ, 2:ֶ֧ʱͻ֡ʿ(ֶ֧),ACF
    EN_MULTIASSIOPTION,                 // · λ1֧·, 2:ָ֧ѹʽ
    EN_DAVINCIMODULE,                   // ģ λ1,ʱֿ 2:׼I֡
    EN_GPS,                             // GPS λ1Gpsλ,2:GPSش
    EN_MULTIETHERNET,                   // ֶ֧ѯ λ 1֧
    EN_LOGIN_ATTRIBUTE,                 // Login λ1֧LoginԲѯ
    EN_RECORD_GENERAL,                  // ¼ λ1,ͨ¼2¼3̬¼4ش洢5Զ̴洢6洢7ؽ洢8֧Զ̴洢
    EN_JSON_CONFIG,                     // Jsonʽ:λ1֧Jsonʽ, 2: ʹF6NAS, 3: ʹF6Raid, 4ʹF6MotionDetect, 5֧(V3),ͨF6
    EN_HIDE_FUNCTION,                   // ιܣλ1,PTZ̨, 2: 3Gıʱι
    EN_DISK_DAMAGE,                     // Ӳ̻Ϣ֧: λ1,Ӳ̻Ϣѯ֧
    EN_PLAYBACK_SPEED_CTRL,             // ֻ֧طٶȿ:λ:1,ֻ֧طż
    EN_HOLIDAYSCHEDULE,                 // ּ֧ʱ:λ:1,ּ֧ʱ
    EN_FETCH_MONEY_TIMEOUT,             // ATMȡǮʱ
    EN_BACKUP_VIDEO_FORMAT,             // ֵ֧ĸʽ,λ1:DAV, 2:ASF
    EN_QUERY_DISK_TYPE,                 // ֧ӲͲѯ
    EN_CONFIG_DISPLAY_OUTPUT,           // ֧豸ʾVGAȣ,λ: 1:ָѲ
    EN_SUBBITRATE_RECORD_CTRL,          // ֧չ¼, λ1-¼
    EN_IPV6,                            // ֧IPV6, λ1-IPV6
    EN_SNMP,                            // SNMPЭ飩
    EN_QUERY_URL,                       // ֻ֧ȡ豸URLַ, λ: 1-ѯURLַ
    EN_ISCSI,                           // ISCSIInternetСͼϵͳӿã
    EN_RAID,                            // ֧Raid
    EN_HARDDISK_INFO,                   // ִ֧ϢF5ѯ
    EN_PICINPIC,                        // ֻ֧л λ:1,л; 2,лԤ¼洢ѯ;3,ֻ֧л,ͬʱֻ֧лͨѯ
    EN_PLAYBACK_SPEED_CTRL_SUPPORT,     // ͬ EN_PLAYBACK_SPEED_CTRL ,ֻΪ˼Э
    EN_LF_XDEV,                         // ֧243264·LF-Xϵ,ע豸ı㷽ʽ
    EN_DSP_ENCODE_CAP,                  // F5 DSPѯ
    EN_MULTICAST,                       // 鲥ѯ
    EM_NET_LIMIT,                       // ѯ,λ,1-緢С,2-֧ûݼ,4-֧ݼ,8-֧ݼչ, 16-֧⵼뵼                      
    EM_COM422,                          // 422
    EM_PROTOCAL_FRAMEWORK,              // Ƿ֧ЭܣҪʵlistMethod(),listService(),ͨF6
    EM_WRITE_DISK_OSD,                  // ¼OSD, λ, 1-¼OSD
    EM_DYNAMIC_MULTI_CONNECT,           // ̬, λ, 1-ƵӦ
    EM_CLOUDSERVICE,                    // Ʒ,λ,1-֧˽Ʒ
    EM_RECORD_INFO,                     // ¼Ϣϱ, λ, 1-¼Ϣϱ, 2-֧¼֡ѯ
    EN_DYNAMIC_REG,                     // ע,λ,1-ֶ֧̬ע, 2-עᶯ̬֧SDKIP,port0
    EM_MULTI_PLAYBACK,                  // ͨԤط,Ϊ,1-ֶ֧ͨԤط
    EN_ENCODE_CHN,                      // ͨ, λ, 1-ִ֧Ƶͨ, 2-֧Ƶֿȡ
    EN_SEARCH_RECORD,                   // ¼ѯ, λ, 1-֧첽ѯ¼, 2-֧Эѯ¼
    EN_UPDATE_MD5,                      // ֧ļɺMD5֤,1-֧MD5֤2-֧
	EN_PROTOCOL3ToF6,                   // F6,λ1-Log־2.DeleteFile ָĬ֧ʹconfigManager.deleteFileЭ
	EN_COMPOSECHANNEL,					// ͨ, 1-ԶԤ
	EN_PLAYBACK,						// طλ 1-¼ηط
};

typedef struct 
{
    DWORD IsFucEnable[512];             // б,±Ӧöֵ,λʾӹ
} DH_DEV_ENABLE_INFO;

//////////////////////////////////////////////////////////////////////////
//  Ųѯṹ
typedef struct 
{
    char        IsCardQueryEnable;
    char        iRev[3];
} DH_CARD_QUERY_EN;

//////////////////////////////////////////////////////////////////////////
//  wirelessṹ
typedef struct 
{
    char        IsWirelessEnable;
    char        iRev[3];
} DH_WIRELESS_EN;

//////////////////////////////////////////////////////////////////////////
//  ͼˮӡṹ
typedef struct 
{
    char        isSupportWM;            // 1 ֧֣0 ֧
    char        supportWhat;            // 0ˮӡ1ͼƬˮӡ2ͬʱ֧ˮӡͼƬˮӡ
    char        reserved[2];
} DH_WATERMAKE_EN;

//////////////////////////////////////////////////////////////////////////
//  ໭Ԥṹ
typedef struct  
{
    int         nEnable;                // 1 ֧֣0 ֧
    DWORD       dwMultiPlayMask;        // ໭Ԥ
    char        reserved[4];            // 
} DH_MULTIPLAY_EN;

//////////////////////////////////////////////////////////////////////////
//  ߱ṹ
typedef struct  
{
    BOOL        bSupport;               // Ƿ֧
    int         nAlarmInCount;          // 
    int         nAlarmOutCount;         // 
    int         nRemoteAddrCount;       // ң
    BYTE        reserved[32];
} DH_WIRELESS_ALARM_INFO;

//////////////////////////////////////////////////////////////////////////
//  Ӳ̷ṹ
typedef struct 
{
    BOOL        bSupported;             // Ƿ֧Ӳ̷
    int         nSupportNum;            // ַ֧Ŀ
    BYTE        bReserved[32];          // ֽ
} DH_DISK_SUBAREA_EN;

//  DSPѯ,DSP㷨ʶΪ2ʱʹá
typedef struct  
{
    BYTE        bMainFrame[32];         // Էֱöֵ(CAPTURE_SIZE)Ϊ,ֱʶӦֵ֧֡,ִ֧˷ֱ,ֵΪ0.
    BYTE        bExtraFrame_1[32];      // 1,ʹͬbMainFrame
    BYTE        bReserved[128];         // Ԥ23.       
} DH_DSP_CFG_ITEM;

typedef struct  
{
    int         nItemNum;               // DH_DSP_CFG_ITEMЧ,ͨ
    DH_DSP_CFG_ITEM stuDspCfgItem[32];  // Ϣ
    BYTE        bReserved[128];         // 
} DH_DSP_CFG; 

//////////////////////////////////////////////////////////////////////////
//  ٲѯṹ
typedef struct 
{
    char        IsQuickQueryEnable;     // 1豸֧ٷ,ʱ㹻Ա֤խõȡ60S
    char        iRev[3];
} DH_QUICK_QUERY_CFG_EN;

typedef struct  
{
    int         nStreamType;            // 0, 1,SIP 2,RTSP
    BYTE        bReserved[16];          // 
} DH_STREAM_MEDIA_EN;

//ѯ
typedef struct
{
    char        IsIntelliTrackerEnable;     // 0ʾ
    BYTE        bReserved[3];
}DH_INTELLI_TRACKER_EN;

#define NET_MAX_COMPOSITE_CHANNEL       256                 // ںͨ

// ȡں, ӦNET_COMPOSITE_CAPS
typedef struct tagNET_IN_COMPOSITE_CAPS 
{
    DWORD           dwSize;
    int             nChannelCount;                          // ҪںϵĴ
    int             nChannels[NET_MAX_COMPOSITE_CHANNEL];   // ҪںϵĴںб
    int             nLayoutX;                               // ˮƽ򴰿
    int             nLayoutY;                               // ֱ򴰿
} NET_IN_COMPOSITE_CAPS;

// ȡں, ӦNET_COMPOSITE_CAPS
typedef struct tagNET_OUT_COMPOSITE_CAPS 
{
    DWORD           dwSize;
    int             nSplitModeCount;                        // ֵ֧ķָģʽ
    DH_SPLIT_MODE   emSplitModes[DH_MAX_SPLIT_MODE_NUM];    // ֵ֧ķָģʽб
    int             nMaxFreeWindow;                         // 󿪴
} NET_OUT_COMPOSITE_CAPS;

#define MAX_REGISTER_ID_LEN       (256)
#define MAX_APP_ID_LEN            (256)
#define MAX_URL_LEN               (1024)
#define MAX_IOS_CERTIFICATE_LEN   (1024 * 14)
#define MAX_IOS_SECRET_KEY_LEN    (512)
#define MAX_MOBILE_CHANNEL_NUM    (256)

// ƽ̨
typedef enum tagEM_MOBILE_SERVER_TYPE
{
    EM_MOBILE_SERVER_TYPE_UNKNOWN,             // δ֪
    EM_MOBILE_SERVER_TYPE_APPLE,               // Apple
    EM_MOBILE_SERVER_TYPE_ANDROID,             // Android
    EM_MOBILE_SERVER_TYPE_SDKCLOUD,            // DAHUA_CLOUD
} EM_MOBILE_SERVER_TYPE;

// ͷ
typedef struct tagNET_PUSH_SERVER_INFO
{
    char                            szAddress[MAX_URL_LEN];                    // ַ
    int                             nPort;                                     // ˿
} NET_PUSH_SERVER_INFO;

// ¼
typedef enum tagEM_EVENT_SUB_CODE
{
    EM_EVENT_SUB_CODE_UNKNOWN = -1,            // δ֪
    EM_EVENT_SUB_CODE_LOSS,                    // Loss
    EM_EVENT_SUB_CODE_COVER,                   // Cover
    EM_EVENT_SUB_CODE_FROZEN,                  // Frozen
    EM_EVENT_SUB_CODE_LIGHT,                   // Light
    EM_EVENT_SUB_CODE_DARK,                    // Dark
    EM_EVENT_SUB_CODE_SCENECHANGE,             // SceneChange
} EM_EVENT_SUB_CODE;

// 
typedef struct tagNET_SUBSCRIBE_INFO
{
    int                             nCode;                                     // ¼
    EM_EVENT_SUB_CODE               emSubCode;                                 // ¼, EM_EVENT_SUB_CODE_UNKNOWNΪЧ
                                                                               // VideoAbnormalDetection,AlarmLocalȰ͵ı¼Ч
    int                             nChnNum;                                   // ĵͨ, ͨΪ0
    int                             nIndexs[MAX_MOBILE_CHANNEL_NUM];           // ͨż
    char                            szNumber[DH_COMMON_STRING_16];             // "CallNoAnswered "¼ʱЧ
                                                                               // Ӧ루豸Щ,Ӧʱ,ֻϢ
                                                                               // CFG_CMD_MOBILE_PUSH_NOFITY_CFGʱЧ
    char                            szSound[DH_COMMON_STRING_64];              // ֻյ¼ʱ貥ŵļ
    char                            szIndexsExt[DH_COMMON_STRING_32][DH_COMMON_STRING_16];     //ͨżչ
} NET_SUBSCRIBE_INFO;

// 
typedef enum tagEM_PUSH_GATEWAY_TYPE
{
    EM_PUSH_GATEWAY_TYPE_UNKNOWN,              // δ֪
    EM_PUSH_GATEWAY_TYPE_APPLE_PUSH,           // ƻ, ApplePush
    EM_PUSH_GATEWAY_TYPE_ANDROID_SDKPUSH,      // ׿, AndroidDahuaPush
    EM_PUSH_GATEWAY_TYPE_ANDROID_JPUSH,        // ׿, AndroidJPush
    EM_PUSH_GATEWAY_TYPE_ANDROID_GCM,          // ׿GCM, AndroidGCM
} EM_PUSH_GATEWAY_TYPE;

// ֻpush notification, ʹRegisterID
typedef struct tagNET_MOBILE_PUSH_NOTIFY
{
    DWORD                           dwSize;
    char                            szRegisterID[MAX_REGISTER_ID_LEN];         // ֻAppple/ Androidע᷵ص,ÿβͬ
    EM_MOBILE_SERVER_TYPE           emServerType;                              // ƽ̨
    int                             nPeriodOfValidity;                         // Чʱ,λΪ
    char                            szAuthServerAddr[MAX_URL_LEN];             // Androidַ֤
    int                             nAuthServerPort;                           // Android֤˿
    char                            szPushServerAddr[MAX_URL_LEN];             // ͷַ(󻪴,ĩѡ,)
                                                                               // ɴ󻪷ٷҪ,ѡµļ㷨תٷ
    int                             nPushServerPort;                           // ͷ˿(󻪴)
    NET_PUSH_SERVER_INFO            stuPushServerMain;                         // ͷ, ٷѡ,ʧ,ٳض
    NET_PUSH_SERVER_INFO            stuPushRedirectServer;                     // ͷ(ض,ѡ)
    char                            szDevName[DH_COMMON_STRING_64];            // 豸,ֻʾ
    char                            szDevID[DH_COMMON_STRING_64];              // 豸ʶ,ֻʹ
    char                            szUser[DH_COMMON_STRING_64];               // ½û
    char                            szPassword[DH_COMMON_STRING_64];           // 
    char                            szCertificate[MAX_IOS_CERTIFICATE_LEN];    // ios֤Ϣ,base64ַ֮,ҪTLSʱЧ
    char                            szSecretKey[MAX_IOS_SECRET_KEY_LEN];       // iosԿ,base64ַ֮
    int                             nSubScribeMax;                             // ͸, ʾpstuSubscribesĶ
    int                             nSubScribeNum;                             // ʵʵĶ͸, ȡЧ
    NET_SUBSCRIBE_INFO             *pstuSubscribes;                            // ,ûڴ棬СΪsizeof(NET_SUBSCRIBE_INFO)*nSubScribeMax
    BYTE                        	byReserved[4];                             // ֽڣֽڶ
	BOOL                            bUserEx;                                   // ½ûչǷЧ
    char                            szUserEx[256];                             // ½ûչ		
} NET_MOBILE_PUSH_NOTIFY;

// ɾֻϢ, CLIENT_DelMobilePushNotify
typedef struct tagNET_MOBILE_PUSH_NOTIFY_DEL
{
    DWORD                           dwSize;
    char                            szRegisterID[MAX_REGISTER_ID_LEN];         // ֻAppple/ Androidע᷵ص,ÿβͬ
} NET_MOBILE_PUSH_NOTIFY_DEL;

// ֻpush notification,  ʹRegisterID+AppID
typedef struct tagNET_MOBILE_PUSH_NOTIFY_CFG
{
    DWORD                           dwSize;
    char                            szRegisterID[MAX_REGISTER_ID_LEN];         // ֻAppple/ Androidע᷵ص,ÿβͬ
    char                            szAppID[MAX_APP_ID_LEN];                   // ֻÿһͻ,һ
    EM_MOBILE_SERVER_TYPE           emServerType;                              // ƽ̨
    EM_PUSH_GATEWAY_TYPE            emPushGatewayType;                         // , emServerTypeΪEM_MOBILE_SERVER_TYPE_SDKCLOUDʱЧ
    int                             nPeriodOfValidity;                         // Чʱ,λΪ
    char                            szAuthServerAddr[MAX_URL_LEN];             // Androidַ֤
    int                             nAuthServerPort;                           // Android֤˿
    char                            szPushServerAddr[MAX_URL_LEN];             // ͷַ(󻪴,ĩѡ,)
                                                                               // ɴ󻪷ٷҪ,ѡµļ㷨תٷ
    int                             nPushServerPort;                           // ͷ˿(󻪴)
    char                            szDevName[DH_COMMON_STRING_64];            // 豸,ֻʾ
    char                            szDevID[DH_COMMON_STRING_64];              // 豸ʶ,ֻʹ
    char                            szUser[DH_COMMON_STRING_64];               // ½û
    char                            szPassword[DH_COMMON_STRING_64];           // 
    char                            szCertificate[MAX_IOS_CERTIFICATE_LEN];    // ios֤Ϣ,base64ַ֮,ҪTLSʱЧ
    char                            szSecretKey[MAX_IOS_SECRET_KEY_LEN];       // iosԿ,base64ַ֮
    int                             nSubScribeMax;                             // ͸, ʾpstuSubscribesĶ
    int                             nSubScribeNum;                             // ʵʵĶ͸, ȡЧ
    NET_SUBSCRIBE_INFO             *pstuSubscribes;                            // ,ûڴ棬СΪsizeof(NET_SUBSCRIBE_INFO)*nSubScribeMax
    NET_PUSH_SERVER_INFO            stuPushServerMain;                         // ͷ, ٷѡ,ʧ,ٳض
    NET_PUSH_SERVER_INFO            stuPushRedirectServer;                     // ͷ(ض,ѡ)
	BYTE                        	byReserved[4];                             // ֽڣֽڶ
    BOOL                            bUserEx;                                   // ½ûչǷЧ
    char                            szUserEx[256];                             // ½ûչ
} NET_MOBILE_PUSH_NOTIFY_CFG;

// ɾֻϢ, CLIENT_DelMobilePushNotify
typedef struct tagNET_MOBILE_PUSH_NOTIFY_CFG_DEL
{
    DWORD                           dwSize;
    char                            szRegisterID[MAX_REGISTER_ID_LEN];         // ֻAppple/ Androidע᷵ص,ÿβͬ
    char                            szAppID[MAX_APP_ID_LEN];                   // ֻÿһͻ,һ
} NET_MOBILE_PUSH_NOTIFY_CFG_DEL;

// ֻ½ʱ˿ѡʽ,ͽ|
typedef enum tagEM_OPTTYPE_MOBILE_TYPE
{
    OPTTYPE_MOBILE_DEVICE_ATTR    =0x00000001,			// 豸
    OPTTYPE_MOBILE_DEVICE_SN      =0x00000002,			// 豸к
    OPTTYPE_MOBILE_DISK_INFO      =0x00000004,			// ӲϢ
    OPTTYPE_MOBILE_DIGITAL_NUM    =0x00000008,			// ͨ
    OPTTYPE_MOBILE_ALARM_IO       =0x00000010,			// 
    OPTTYPE_MOBILE_DEVICE_ABILITY =0x00000020,			// 
	OPTTYPE_MOBILE_STATE_SOFTWARE =0x00001000,			// ѯ汾ϢAPPŻ
}EM_OPTTYPE_MOBILE_TYPE;

// SDKڲŻ
typedef enum tagEmOptimizeType
{
    EM_OPT_TYPE_DEFAULT         = 0,    // ĬϲŻ
    EM_OPT_TYPE_MOBILE_V1       = 1,    // ѡ EM_OPT_TYPE_MOBILE_OPTIONͻֻʹһ֧첽½Ż
	                                    // ֻʹŻ,ĬϹ豸ԺӲϢ.
    EM_OPT_TYPE_P2P_NETPARAM_V1 = 2,    // P2PãpParam Ϊ NET_PARAM*
	EM_OPT_TYPE_MOBILE_OPTION   = 3,    // ѡ EM_OPT_TYPE_MOBILE_V1ͻֻʹһ,֧첽½Ż
	                                    // ֻŻѡ, int, λӵ͵, ֵοö EM_OPTTYPE_MOBILE_TYPE
}EM_OPTIMIZE_TYPE;

typedef struct tagNET_IN_MOTIONMATCH_PARAM
{
    DWORD                 dwSize;                   // ṹС , dwSize 踳ֵΪ sizeof(NET_IN_MOTIONMATCH_PARAM)
    BOOL                  bFileName;                // ļǷΪЧĲѯ,ļЧ,ļϢstRecordInfo
    char                  szFileName[MAX_PATH];     // ļ
    NET_RECORDFILE_INFO   stuRecordInfo;            // ļϢ
    int                   nRegionNum;               // 򶥵
    DH_POINT              stuRegion[DH_MAX_DETECT_REGION_NUM];    // , 0~21, 0~17
} NET_IN_MOTIONMATCH_PARAM;
typedef struct tagNET_TIME_BEGIN_END
{
    NET_TIME              stuBegin;                 // ʼ
    NET_TIME              stuEnd;                   // 
} NET_TIME_BEGIN_END;
#define NET_SMART_SEARTCH_TIME_SECTION_MAX (128)
typedef struct tagNET_OUT_MOTIONMATCH_PARAM
{
    DWORD                 dwSize;                   // ṹС , dwSize 踳ֵΪ sizeof(NET_OUT_MOTIONMATCH_PARAM)
    int                   nTimeNum;                 // ѯʱĿ
    NET_TIME_BEGIN_END    stuTime[NET_SMART_SEARTCH_TIME_SECTION_MAX];   // ʱ
} NET_OUT_MOTIONMATCH_PARAM;

// CLIENT_SnapPictureToFileӿ
typedef struct tagNET_IN_SNAP_PIC_TO_FILE_PARAM 
{
    DWORD       dwSize;
    SNAP_PARAMS stuParam;               // ץͼ, modeֶνһץͼ, ֶ֧ʱץͼ; ˳DVR, 豸֧ÿһŵץͼƵ
    char        szFilePath[MAX_PATH];   // дļĵַ
}NET_IN_SNAP_PIC_TO_FILE_PARAM;

// CLIENT_SnapPictureToFileӿ
typedef struct tagNET_OUT_SNAP_PIC_TO_FILE_PARAM 
{
    DWORD       dwSize;
    char*       szPicBuf;               // ͼƬ,ûڴ,СΪdwPicBufLen
    DWORD       dwPicBufLen;            // ͼƬڴС, λ:ֽ
    DWORD       dwPicBufRetLen;         // صͼƬС, λ:ֽ
}NET_OUT_SNAP_PIC_TO_FILE_PARAM;

//¼DH_ALARM_BUS_SHARP_TURN(ת¼)ӦϢ
typedef struct tagALARM_BUS_SHARP_TURN_INFO
{
    DWORD               dwSize;
    NET_GPS_STATUS_INFO stuGPSStatusInfo;       // GPSϢ
} ALARM_BUS_SHARP_TURN_INFO;

//¼DH_ALARM_BUS_SCRAM(ͣ¼)ӦϢ
typedef struct tagALARM_BUS_SCRAM_INFO
{
    DWORD               dwSize;
    NET_GPS_STATUS_INFO stuGPSStatusInfo;       // GPSϢ
} ALARM_BUS_SCRAM_INFO;

//¼DH_ALARM_BUS_SHARP_ACCELERATE(¼)ӦϢ
typedef struct tagALARM_BUS_SHARP_ACCELERATE_INFO
{
    DWORD               dwSize;
    NET_GPS_STATUS_INFO stuGPSStatusInfo;       // GPSϢ
    NET_TIME_EX			stuTime;				// ¼ʱ
} ALARM_BUS_SHARP_ACCELERATE_INFO;

//¼DH_ALARM_BUS_SHARP_DECELERATE(¼)ӦϢ
typedef struct tagALARM_BUS_SHARP_DECELERATE_INFO
{
    DWORD               dwSize;
    NET_GPS_STATUS_INFO stuGPSStatusInfo;       // GPSϢ
    NET_TIME_EX			stuTime;				// ¼ʱ
} ALARM_BUS_SHARP_DECELERATE_INFO;


//Žݲ       
typedef enum tagNET_ACCESS_ACTION_TYPE        
{       
    NET_ACCESS_ACTION_TYPE_UNKNOWN  = 0,    // δ֪       
    NET_ACCESS_ACTION_TYPE_INSERT   = 1,    //        
    NET_ACCESS_ACTION_TYPE_UPDATE   = 2,    //        
    NET_ACCESS_ACTION_TYPE_REMOVE   = 3,    // ɾ       
}NET_ACCESS_ACTION_TYPE;   
        
//Žݲ¼       
typedef struct tagALARM_ACCESS_CARD_OPERATE_INFO       
{       
    DWORD                   dwSize;       
    NET_ACCESS_ACTION_TYPE  emActionType;                    // Žݲ       
    char                    szCardNo[DH_MAX_CARDINFO_LEN];   // Ž       
    NET_THREE_STATUS_BOOL   emResult;                        // ,-1Ϊδ֪,0Ϊʧ,1Ϊɹ,
    int                     nChannelID;                      // ͨ(,źһһӦ), 0ʼ
    char                    szCredentialHolder[16];          // ӵ
    NET_ACCESS_METHOD		emType;                          // û
    char                    szSerialNum[32];                 // к
    int                     nIndex;                          // ĳŷʽµ
	int						nTaskID;						 // ID
}ALARM_ACCESS_CARD_OPERATE_INFO;

// ¼DH_EVENT_TAKENAWAYDETECTION(Ʒ¼)ӦϢ
typedef struct tagALARM_TAKENAWAY_DETECTION_INFO
{
    DWORD               dwSize;    
    int                 nChannelID;                     // ͨ
    double              PTS;                            // ʱ(λǺ)
    NET_TIME_EX         UTC;                            // ¼ʱ
    int                 nEventID;                       // ¼ID
    int                 nEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

    int                 nOccurrenceCount;               // 򱻴
    int                 nLevel;                         // ¼,GB30147, 0 ʾ1 ͨ2 
	short				nPreserID;						// ¼Ԥõţ1ʼûбʾδ֪
	char				szPresetName[64];				// ¼Ԥ
} ALARM_TAKENAWAY_DETECTION_INFO;

// ¼ DH_EVENT_VIDEOABNORMALDETECTION (Ƶ쳣¼)ӦϢ
typedef struct tagALARM_VIDEOABNORMAL_DETECTION_INFO
{
    DWORD               dwSize;    
    int                 nChannelID;                     // ͨ
    double              PTS;                            // ʱ(λǺ)
    NET_TIME_EX         UTC;                            // ¼ʱ
    int                 nEventID;                       // ¼ID
    int                 nEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

    int                 nType;                          // ,0-Ƶʧ, 1-Ƶڵ, 2-涳, 3-, 4-, 5-仯
                                                        // 6-Ƽ , 7- , 8-ƫɫ , 9-Ƶģ , 10-Աȶ쳣
                                                        // 11-Ƶ˶, 12-Ƶ˸, 13-Ƶɫ, 14-齹, 15-ؼ
    int                 nValue;                         // ֵ,ֵԽ߱ʾƵԽ, GB30147
    int                 nOccurrenceCount;               // 򱻴
} ALARM_VIDEOABNORMAL_DETECTION_INFO;

// ¼DH_EVENT_LOCALALARM(ⲿ¼)ӦϢ
typedef struct tagALARM_LOCAL_ALARM_INFO
{
    DWORD               dwSize;    
    int                 nChannelID;                     // ͨ
    double              PTS;                            // ʱ(λǺ)
    NET_TIME_EX         UTC;                            // ¼ʱ
    int                 nEventID;                       // ¼ID
    int                 nEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

    int                 nSenseType;                     // 
    int                 nDefenceAreaType;               // , EM_NET_DEFENCE_AREA_TYPE
} ALARM_LOCAL_ALARM_INFO;

// 촥
typedef enum tagEM_MOTION_DETECT_TYPE
{
	EM_MOTION_DETECT_UNKNOWN,			// δ֪
	EM_MOTION_DETECT_HUMAN,				// 
	EM_MOTION_DETECT_VEHICLE,			// 
	EM_MOTION_DETECT_HUMAN_AND_VEHICLE,	// ˺ͳ
} EM_MOTION_DETECT_TYPE;

// Ϣ
typedef struct tagNET_MOTIONDETECT_REGION_INFO
{
	UINT			nRegionID;					// ID
	char			szRegionName[64];			// 
	BYTE        	bReserved[508];				// ֽ
} NET_MOTIONDETECT_REGION_INFO;

// ¼DH_EVENT_MOTIONDETECT(Ƶƶ¼)ӦϢ
typedef struct tagALARM_MOTIONDETECT_INFO
{
    DWORD               dwSize;    
    int                 nChannelID;                     // ͨ
    double              PTS;                            // ʱ(λǺ)
    NET_TIME_EX         UTC;                            // ¼ʱ
    int                 nEventID;                       // ¼ID
    int                 nEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

	UINT							nRegionNum;			// 
	NET_MOTIONDETECT_REGION_INFO	stuRegion[32];		// Ϣ
	BOOL							bSmartMotionEnable;	// ܶǷʹ
	UINT							nDetectTypeNum;		// 촥͸
	EM_MOTION_DETECT_TYPE			emDetectType[32];	// 촥, nRegionNum0ʱstuRegionһһӦ, 
														// nRegionNumΪ0δ֪봰ڰ󶨣ĬϵһԪرʾ
} ALARM_MOTIONDETECT_INFO;

// ܶ()Ϣ
typedef struct tagNET_SMARTDETECT_HUMAN_OBJECT
{
	UINT				nHumanID;					// ˶ID
	NET_RECT			stuRect;					// ˵λ
	BYTE        	    bReserved[508];				// ֽ
} NET_SMARTDETECT_HUMAN_OBJECT;

// ¼DH_ALARM_SMARTMOTION_HUMAN(Ƶƶ¼())ӦϢ
typedef struct tagALARM_SMARTMOTION_HUMAN_INFO
{
    int                 nChannelID;                     // ͨ
    NET_TIME_EX         UTC;                            // ¼ʱ
    double              PTS;                            // ʱ(λǺ)
    int                 nEventID;                       // ¼ID
    int                 nEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

	NET_MOTIONDETECT_REGION_INFO	stuSmartRegion[32];	// ܶϢ
	UINT							nSmartRegionNum;	// ܶ
	UINT							nHumanObjectNum;	// ܶ()
	NET_SMARTDETECT_HUMAN_OBJECT	stuHumanObject[64];	// ܶ()Ϣ
	BYTE        					bReserved[1024];		// ֽ
} ALARM_SMARTMOTION_HUMAN_INFO;

// ܶ()Ϣ
typedef struct tagNET_SMARTDETECT_VEHICLE_OBJECT
{
	UINT				nVehicleID;					// ID
	NET_RECT			stuRect;					// λ
	BYTE        	    bReserved[508];				// ֽ
} NET_SMARTDETECT_VEHICLE_OBJECT;

// ¼DH_ALARM_SMARTMOTION_VEHICLE(Ƶƶ¼())ӦϢ
typedef struct tagALARM_SMARTMOTION_VEHICLE_INFO
{
    int                 nChannelID;                     	// ͨ
    NET_TIME_EX         UTC;                            	// ¼ʱ
    double              PTS;                            	// ʱ(λǺ)
    int                 nEventID;                       	// ¼ID
    int                 nEventAction;                   	// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

	NET_MOTIONDETECT_REGION_INFO	stuSmartRegion[32];		// ܶϢ
	UINT							nSmartRegionNum;		// ܶ
	UINT							nVehicleObjectNum;		// ܶ()
	NET_SMARTDETECT_VEHICLE_OBJECT	stuVehicleObject[64];	// ܶ()Ϣ
	BYTE        					bReserved[1024];			// ֽ
} ALARM_SMARTMOTION_VEHICLE_INFO;

// ¼DH_ALARM_POLICE_CHECK(Աǩǩ¼)ӦϢ
typedef struct tagALARM_POLICE_CHECK_INFO
{
    DWORD               dwSize;
    int                 nChannelID;                     // ͨ
    double              PTS;                            // ʱ(λǺ)
    NET_TIME_EX         UTC;                            // ¼ʱ
    int                 nEventID;                       // ¼ID
    int                 nEventAction;                   // ¼

    char                szId[32];                       // ǩID
    char                szName[32];                     // ǩ,UTF8
    int                 nSignType;                      // , 鿴NET_DRIVER_CHECK_TYPE
    NET_GPS_STATUS_INFO stuGPSStatusInfo;               // GPSϢ
    char                szComment[1024];                // עϢ
} ALARM_POLICE_CHECK_INFO;

// ¼DH_ALARM_NEW_FILE(new file¼)ӦϢ
typedef struct tagALARM_NEW_FILE_INFO
{
    DWORD           dwSize;
    int             nChannel;                           // ץͼͨ
    int             nEventID;                           // ¼ID
    DWORD           dwEvent;                            // ¼
    int             FileSize;                           // ļС,λֽ
    int             nIndex;                             // ¼Դͨ
    DWORD           dwStorPoint;                        // 洢
    char            szFileName[DH_COMMON_STRING_128];   // ļ
}ALARM_NEW_FILE_INFO;

// ̨״̬
typedef enum tagEM_PTZ_STATUS_TYPE
{
	EM_PTZ_STATUS_UNKNOW,                    // δ֪״̬,״ֵ̬
    EM_PTZ_STATUS_NORMAL,                    // 
    EM_PTZ_STATUS_PANOC_FAILED,              // ˮƽ쳣
    EM_PTZ_STATUS_TILEOC_FAILED,             // ֱ쳣
    EM_PTZ_STATUS_OC_FAILED                  // ȫ쳣
} EM_PTZ_STATUS_TYPE;


// ̨״̬¼Ϣ(ӦDH_ALARM_PTZ_DIAGNOSES)
typedef struct tagALARM_PTZ_DIAGNOSES_INFO
{
	int 				nChannel;			// Ƶͨ(ڵͨ)
	NET_TIME_EX			UTC;				// ¼ʱ
	EM_PTZ_STATUS_TYPE	emPtzStat;			// ̨״̬
	BYTE                Reserved[512];      // ֽ
} ALARM_PTZ_DIAGNOSES_INFO;

// ()¼ DH_ALARM_FLASH_LIGHT_FAULT
typedef struct tagALARM_FLASH_LIGHT_FAULT_INFO
{
    double              PTS;                            // ʱ(λǺ)
    NET_TIME_EX         UTC;                            // ¼ʱ
    int                 nEventAction;                   // ¼, 1-ʾ¼ʼ, 2-ʾ¼; 
    int                 nLightNum;                      // Ƹ
    int                 nDevID[MAX_FLASH_LIGHT_NUM];    // ϵ豸ID
    int                 nLane;                          // 
    BYTE			    bReserved[512];				    // ֽ
}ALARM_FLASH_LIGHT_FAULT_INFO;

// ƵƱ¼ DH_ALARM_STROBOSCOPIC_LIGTHT_FAULT
typedef struct tagALARM_STROBOSCOPIC_LIGTHT_FAULT_INFO
{
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    int                 nEventAction;                       // ¼, 1-ʾ¼ʼ, 2-ʾ¼; 
    int                 nLightNum;                          // ƵƸ
    int                 nDevID[MAX_STROBOSCOPIC_LIGHT_NUM]; // ϵƵ豸ID
    int                 nLane;                              // 
    BYTE			    bReserved[512];				        // ֽ
}ALARM_STROBOSCOPIC_LIGTHT_FAULT_INFO;

// Խ
typedef enum tagEM_UPPER_LIMIT_TYPE
{
    EM_UPPER_LIMIT_TYPE_UNKNOWN,                             // δ֪
    EM_UPPER_LIMIT_TYPE_ENTER_OVER,                          // Խ
    EM_UPPER_LIMIT_TYPE_EXIT_OVER,                           // Խ
    EM_UPPER_LIMIT_TYPE_INSIDE_OVER,                         // ڲԽ
} EM_UPPER_LIMIT_TYPE;

// ¼ DH_ALARM_HUMAM_NUMBER_STATISTIC (/ͳ¼NumberStatӦϢ)
typedef struct tagALARM_NUMBER_STATISTIC_INFO 
{
    double              PTS;                            // ʱ(λǺ)
    NET_TIME_EX         UTC;                            // ¼ʱ
    int                 nEventAction;                   // ¼,0-¼, 1-ʾ¼ʼ, 2-ʾ¼;
    int                 nNumber;                        // ĸ
    int                 nEnteredNumber;                 // ߳ڵ
    int                 nExitedNumber;                  // ߳ڵ
	EM_UPPER_LIMIT_TYPE emUpperLimitType;               // Խ(EnterOver, ExitOver, InsideOver)
	int                 nChannelID;                     // ͨ
    BYTE                reserved[508];                  // Ԥ       
}ALARM_HUMAN_NUMBER_STATISTIC_INFO;

// ¼ DH_ALARM_VIDEOUNFOCUS(Ƶ齹¼)
typedef struct tagALARM_VIDEOUNFOCUS_INFO
{
    int                 nEventAction;                   // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    int                 nChannel;                       // ͨ
    BYTE                reserved[60];                   // Ԥֽ
}ALARM_VIDEOUNFOCUS_INFO;

// ״̬
typedef enum tagEM_DEFENCEMODE
{
    EM_DEFENCEMODE_UNKNOWN,             // "unknown"   δ֪
    EM_DEFENCEMODE_ARMING,              // "Arming"    
    EM_DEFENCEMODE_DISARMING,           // "Disarming" 
}EM_DEFENCEMODE;

//ʽ
typedef enum tagEM_ARMMODECHANGE_TRIGGERMODE
{
	EM_ARMMODECHANGE_TRIGGERMODE_UNKNOWN,		//δ֪
	EM_ARMMODECHANGE_TRIGGERMODE_NET,			//û
	EM_ARMMODECHANGE_TRIGGERMODE_KEYBOARD,		//
	EM_ARMMODECHANGE_TRIGGERMODE_REMOTECONTROL,	//ң
}EM_ARMMODECHANGE_TRIGGERMODE;

//
typedef enum tagEM_ARMMODECHANGE_DEFENCEAREATYPE
{
	EM_ARMMODECHANGE_DEFENCEAREATYPE_UNKNOWN,	//δ֪
	EM_ARMMODECHANGE_DEFENCEAREATYPE_INTIME,	//ʱ
	EM_ARMMODECHANGE_DEFENCEAREATYPE_DELAY,		//ʱ
	EM_ARMMODECHANGE_DEFENCEAREATYPE_FULLDAY,	//ȫ
	EM_ARMMODECHANGE_DEFENCEAREATYPE_FOLLOW,	//
	EM_ARMMODECHANGE_DEFENCEAREATYPE_MEDICAL,	//ҽƽ
	EM_ARMMODECHANGE_DEFENCEAREATYPE_PANIC,		//ֻ
	EM_ARMMODECHANGE_DEFENCEAREATYPE_FIRE,		//
	EM_ARMMODECHANGE_DEFENCEAREATYPE_FULLDAYSOUND,	//ȫ
	EM_ARMMODECHANGE_DEFENCEAREATYPE_FULLDAYSILENT,	//ȫ
	EM_ARMMODECHANGE_DEFENCEAREATYPE_ENTRANCE1,		//1
	EM_ARMMODECHANGE_DEFENCEAREATYPE_ENTRANCE2,		//2
	EM_ARMMODECHANGE_DEFENCEAREATYPE_INSIDE,		//ڲ
	EM_ARMMODECHANGE_DEFENCEAREATYPE_OUTSIDE,		//ⲿ
	EM_ARMMODECHANGE_DEFENCEAREATYPE_PEOPLEDETECT,	//Ա
}EM_ARMMODECHANGE_DEFENCEAREATYPE;


// ¼ DH_ALARM_DEFENCE_ARMMODECHANGE (״̬ı¼)
typedef struct tagALARM_DEFENCE_ARMMODECHANGE_INFO 
{
   EM_DEFENCEMODE       emDefenceStatus;            //״̬
   int                  nDefenceID;                 //
   NET_TIME_EX          stuTime;                    //ʱ
   
   EM_ARMMODECHANGE_TRIGGERMODE 		emTriggerMode;		//ʽ
   EM_ARMMODECHANGE_DEFENCEAREATYPE		emDefenceAreaType;	//
   int					nID;						//ңŻ̵ַ
   int 					nAlarmSubSystem;			//ϵͳ
   char   				szName[64];					//
   char					szNetClientAddr[64];		//ûIPַ
   
   BYTE                 reserved[368];              //Ԥ
}ALARM_DEFENCE_ARMMODECHANGE_INFO;

// ״̬
typedef enum tagEM_SUBSYSTEMMODE
{
    EM_SUBSYSTEMMODE_UNKNOWN,             // "unknown"   δ֪
    EM_SUBSYSTEMMODE_ACTIVE,              // "active"    
    EM_SUBSYSTEMMODE_INACTIVE,            // "inactive"  δ
    EM_SUBSYSTEMMODE_UNDISTRIBUTED,       // "undistributed" δ
    EM_SUBSYSTEMMODE_ALLARMING,           // "AllArming" ȫ
    EM_SUBSYSTEMMODE_ALLDISARMING,        // "AllDisarming" ȫ
    EM_SUBSYSTEMMODE_PARTARMING,          // "PartArming" ֲ
}EM_SUBSYSTEMMODE;

//ʽ
typedef enum tagEM_SUBSYSTEM_ARMMODECHANGE_TRIGGERMODE
{
	EM_SUBSYSTEM_ARMMODECHANGE_TRIGGERMODE_UNKNOWN,		//δ֪
	EM_SUBSYSTEM_ARMMODECHANGE_TRIGGERMODE_NET,			//û
	EM_SUBSYSTEM_ARMMODECHANGE_TRIGGERMODE_KEYBOARD,		//
	EM_SUBSYSTEM_ARMMODECHANGE_TRIGGERMODE_REMOTECONTROL,	//ң
}EM_SUBSYSTEM_ARMMODECHANGE_TRIGGERMODE;

// ¼ DH_ALARM_SUBSYSTEM_ARMMODECHANGE (ϵͳ״̬ı¼)
typedef struct tagALARM_SUBSYSTEM_ARMMODECHANGE_INFO 
{
    EM_SUBSYSTEMMODE    emSubsystemMode;            //״̬ (ֻ֧AllArmingAllDisarmingPartArming״̬)
    NET_TIME_EX         UTC;                        //¼ʱ
    char                szSubSystemname[64];        //ϵͳ
    int                 nSubSystemID;               //ϵͳ
    
    EM_SUBSYSTEM_ARMMODECHANGE_TRIGGERMODE	emTriggerMode; //ʽ
    int				nID;						//̻ңַ
    char				szNetClientAddr[64];		//ûIPַַ
    
    BYTE                reserved[440];              //Ԥ
}ALARM_SUBSYSTEM_ARMMODECHANGE_INFO;

// ߼Ϣ¼ (Ӧ DH_ALARM_RFID_INFO)
typedef struct tagALARM_RFID_INFO
{
    int                         nAction;                // 0:ʼ 1:ֹͣ
    int                         nIndex;                 // ͨ
    NET_TIME_EX                 stuEventTime;           // ¼ʱ
    int                         nValidCount;            // RFID Ч
    char                        szRfid[10][12];         // RFID 
}ALARM_RFID_INFO;

// ⱨ¼ (DH_ALARM_SMOKE_DETECTION)
typedef struct tagALARM_SMOKE_DETECTION_INFO
{
    int                 nAction;                        // 0:ʼ 1:ֹͣ
    char                szName[128];                    // ¼
    double              PTS;                            // ʱ(λǺ)
    NET_TIME_EX         stuTime;                        // ¼ʱ
	int					nChannel;						// ͨ
	int					nEventID;						// ¼ID
	
	int					nDetectRegionNum;                           // 򶥵
	DH_POINT			stuDetectRegion[DH_MAX_DETECT_REGION_NUM];  // 
	BYTE                reserved[36];                  // Ԥֶ               
}ALARM_SMOKE_DETECTION_INFO;

// ¼ DH_ALARM_PHONECALL_DETECT (绰¼)
typedef struct tagALARM_PHONECALL_DETECT_INFO
{
	int                 nAction;                        // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	char                szName[128];                    // ¼
	BYTE                reserved1[4];					// Ԥֶ 
	double              PTS;                            // ʱ(λǺ)
	NET_TIME_EX         stuTime;                        // ¼ʱ
	int					nChannel;						// ͨ
	int					nEventID;						// ¼ID
	
	int					nDetectRegionNum;                           // 򶥵
	DH_POINT			stuDetectRegion[DH_MAX_DETECT_REGION_NUM];  // 
	BYTE                reserved[128];                  // Ԥֶ      
} ALARM_PHONECALL_DETECT_INFO;

// ¼
typedef enum tagNET_EM_EVENT_DATA_TYPE
{
	NET_EN_EVENT_DATA_TYPE_UNKNOWN,									// δ֪
	NET_EN_EVENT_DATA_TYPE_REAL,									// ʵʱ
	NET_EN_EVENT_DATA_TYPE_ALARM,									// 
}NET_EM_EVENT_DATA_TYPE;

// ¼ DH_ALARM_FLOATINGOBJECT_DETECTION (Ư¼)
typedef struct tagALARM_FLOATINGOBJECT_DETECTION_INFO
{
	int                 nAction;                        // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE                reserved1[4];					// Ԥֶ 
	char                szName[128];                    // ¼
	double              PTS;                            // ʱ(λǺ)
	NET_TIME_EX         UTC;							// ¼ʱ
	int					nChannel;						// ͨ
	int					nEventID;						// ¼ID

	int					nPresetID;						// ¼ԤõID
	char				szPresetName[64];				// ¼Ԥ
	BOOL				bExistFloatingObject;			// ǷƯ
	NET_EM_EVENT_DATA_TYPE		emEventType;			// ¼
	float				fCurrentRatio;					// Ưﵱǰռȣڼ򣩵λ:%, ȡֵΧ[0, 100]
	float				fAlarmThreshold;				// ֵƯڼռ, ȡֵΧ[0, 100]

	NET_POINT           stuDetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
	int                 nDetectRegionNum;                   // 򶥵

	BYTE                byReserved[1020];                 // Ԥֶ      
} ALARM_FLOATINGOBJECT_DETECTION_INFO;

// ˮλ״̬
typedef enum tagNET_EM_WATER_LEVEL_STATUS
{
	NET_EM_WATER_LEVEL_STATUS_UNKNOWN,									// δ֪
	NET_EM_WATER_LEVEL_STATUS_NORMAL,									// ˮλ
	NET_EM_WATER_LEVEL_STATUS_HIGH,										// ˮλֵ
	NET_EM_WATER_LEVEL_STATUS_LOW,										// ˮλֵ
}NET_EM_WATER_LEVEL_STATUS;

// ˮλɫ
typedef enum tagNET_EM_WATER_RULER_COLOR
{
	NET_EM_WATER_RULER_COLOR_UNKNOW,									// ޷ʶ
	NET_EM_WATER_RULER_COLOR_BLUE,										// ɫ
	NET_EM_WATER_RULER_COLOR_RED,										// ɫ
}NET_EM_WATER_RULER_COLOR;

// ˮλ
typedef struct tagNET_WATER_RULER
{
	NET_EM_WATER_RULER_COLOR	emRulerColor;							// ˮλɫ
	char						szRulerNum[128];						// ˮλ߱
	float						fWaterLevel;							// ˮλֵƴӵֵΪ궨Ļ׼ֵϵǰ̶ֵλף
	BYTE						byReserved[512];						// ֽ
}NET_WATER_RULER;

// ¼ DH_ALARM_WATER_LEVEL_DETECTION (ˮλ¼)
typedef struct tagALARM_WATER_LEVEL_DETECTION_INFO
{
	int							nAction;                        // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE						reserved1[4];					// Ԥֶ 
	char						szName[128];                    // ¼
	double						PTS;                            // ʱ(λǺ)
	NET_TIME_EX					UTC;							// ¼ʱ
	int							nChannel;						// ͨ
	int							nEventID;						// ¼ID
	int							nPresetID;						// ԤõID
	char						szPresetName[64];				// Ԥõ
	char						szObjectUUID[48];				// ȫΨһʶ
	NET_EM_EVENT_DATA_TYPE		emEventType;					// ¼
	NET_EM_WATER_LEVEL_STATUS	emStatus;						// ˮλ״̬
	NET_WATER_RULER				stuWaterRuler;					// ˮλ
	BYTE						byReserved[1024];                  // Ԥֶ      
} ALARM_WATER_LEVEL_DETECTION_INFO;

// ¼ DH_ALARM_LOW_SPEED
typedef struct tagALARM_LOW_SPEED_INFO
{
	int                 nAction;                        // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					nChannel;						// ͨ
	char                szName[128];                    // ¼
	double              PTS;                            // ʱ(λǺ)
	NET_TIME_EX         UTC;							// ¼ʱ
	int					nEventID;						// ¼ID
	BYTE				byReserved[256];				// Ԥֽ
} ALARM_LOW_SPEED_INFO;
// ¼ DH_ALARM_TRAFFIC_VEHICLEINOUT
typedef struct tagALARM_TRAFFIC_VEHICLEINOUT_INFO
{
	int                 nAction;                        // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	int					nChannel;						// ͨ
	char                szName[128];                    // ¼
	double              PTS;                            // ʱ(λǺ)
	NET_TIME_EX         UTC;							// ¼ʱ
	int					nEventID;						// ¼ID
	int					nLane;							// 
	UINT				nRoadwayNumber;					// Զ峵
	int					nVehicleInOut;					// ״̬ 0 ʾ뿪 1 ʾ복 
	BYTE				byReserved[1024];				// Ԥֽ
} ALARM_TRAFFIC_VEHICLEINOUT_INFO;

// ¼DH_ALARM_TRAFFIC_JUNCTION
typedef struct tagALARM_TAFFIC_JUNCTION_INFO
{
	int					nAction;									// ¼
	int                 nChannelID;                                 // ͨ
	char                szName[128];                                // ¼
	BYTE                byMainSeatBelt;                             // ʻ,ϵȫ״̬,1-ϵȫ,2-δϵȫ
	BYTE                bySlaveSeatBelt;                            // ʻ,ϵȫ״̬,1-ϵȫ,2-δϵȫ
	BYTE                byVehicleDirection;                         // ǰץĵĳǳͷǳβ, EM_VEHICLE_DIRECTION
	BYTE                byOpenStrobeState;                          // բ״̬, EM_OPEN_STROBE_STATE
	BYTE				byReserved1[4];								// ֽڶ
	double              PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         UTC;                                        // ¼ʱ
	int                 nEventID;                                   // ¼ID
	DH_MSG_OBJECT       stuObject;                                  // ⵽
	int                 nLane;                                      // Ӧ
	DWORD               dwBreakingRule;                             // Υ,һλ:; 
	// ڶλ:涨ʻ;
	// λ:; λΥµͷ;
	// λ:ͨ; λ:ͨ쳣
	// λ:ѹʻ; ĬΪ:ͨ·¼

	NET_TIME_EX         RedLightUTC;                                // ƿʼUTCʱ
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ
	int                 nSequence;                                  // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
	int                 nSpeed;                                     // ʵٶKm/h                 
	BYTE                byDirection;                                // ·ڷ,1-ʾ,2-ʾ
	BYTE                byLightState;                               // LightStateʾ̵״̬:0 δ֪,1 ̵,2 ,3 Ƶ
	BYTE                byReserved2;                                 // ֽ
	BYTE                byImageIndex;                               // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
	DWORD               dwSnapFlagMask;                             // ץͼ־(λ),NET_RESERVED_COMMON    
	DH_RESOLUTION_INFO  stuResolution;                              // ӦͼƬķֱ
	char                szRecordFile[DH_COMMON_STRING_128];         // Ӧԭʼ¼ļϢ
	EVENT_JUNCTION_CUSTOM_INFO   stuCustomInfo;                     // ԶϢ
	BYTE                byPlateTextSource;                          // ʶԴ, 0:㷨ʶ,1:˷㷨ʶ
	BYTE                byReserved3[3];                              // ֽ,չ.
	NET_GPS_INFO        stuGPSInfo;                                 // GPSϢ ض

	BYTE                byNoneMotorInfo;                            // 0-޷ǻԱϢϢ,1-зǻԱϢϢ
	// ֶΪ1ʱ11ֶЧ
	BYTE                byBag;                                      // Ƿ񱳰, 0-δ֪ 1-   2-
	BYTE                byUmbrella;                                 // Ƿɡ, 0-δ֪ 1-ɡ   2-ɡ
	BYTE                byCarrierBag;                               // ״̬,0-δ֪ 1-û 2-    
	BYTE                byHat;                                      // Ƿñ, 0-δ֪ 1-ñ 2-ñ    
	BYTE                byHelmet;                                   // ͷ״̬,0-δ֪ 1-û 2-
	BYTE                bySex;                                      // Ա,0-δ֪ 1- 2-Ů
	BYTE                byAge;                                      // 
	NET_COLOR_RGBA      stuUpperBodyColor;                          // ɫ
	NET_COLOR_RGBA      stuLowerBodyColor;                          // ɫ
	BYTE                byUpClothes;                                // · 0:δ֪ 1: 2: 3: 4:̿ 5:ȹ 6: 7:̿ 8:ȹ
	BYTE                byDownClothes;                              // · 0:δ֪ 1: 2: 3: 4:̿ 5:ȹ 6: 7:̿ 8:ȹ   

	NET_EXTENSION_INFO  stuExtensionInfo;                           // չϢ
	BYTE                byReserved4[22];								// ֽ,չ
	int                 nTriggerType;                               // TriggerType:,0,1״,2Ƶ,3RSU
	DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
	DWORD               dwRetCardNumber;                            // Ƭ
	EVENT_CARD_INFO     stuCardInfo[DH_EVENT_MAX_CARD_NUM];         // ƬϢ   
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ

	BOOL				bNonMotorInfoEx;							// ǷзǻϢ
	VA_OBJECT_NONMOTOR  stuNonMotor;								// ǻϢ
	BYTE				byReserved[2048];							// ֽ,չ
} ALARM_TAFFIC_JUNCTION_INFO;

// ¼DH_ALARM_DOOR_CONTROL(¼)ӦݿϢ
typedef struct tagALARM_DOOR_CONTROL_INFO
{
	int                 			nChannelID;                         	// ͨ
    int								nAction;								// 0: 1:ʼ 2:ֹͣ
    char                			szName[128];                         	// ¼
    double              			PTS;                                	// ʱ(λǺ)
    NET_TIME_EX         			UTC;                                	// ¼ʱ
    UINT                			nEventID;                           	// ¼ID

	EM_OPEN_DOOR_METHOD				emOpenDoorMethod;						// ŷʽ
	EM_OPEN_DOOR_STATE				emOpenDoorState;						// Ž
	char							szSourceID[32];							// ¼IDӦóͬһͬһͼƬͬĶ¼SourceIDͬ;
																			// ʽ£ǰ2λ%d%d:01-ƵƬ,02-ͼƬ,03-ļ,99-;
																			// м14λYYYYMMDDhhmmss:ʱ;5λ%u%u%u%u%uID00001
	BYTE			    			byReserved[1024];			        	// Ԥֽ
} ALARM_DOOR_CONTROL_INFO;

// ״̬
typedef enum tagNET_EM_ARM_STATUS
{
	EM_ARM_STATUS_UNKNOWN,													// δ֪
	EM_ARM_STATUS_DELAY,													// ʱ
	EM_ARM_STATUS_ARMING,													// 
	EM_ARM_STATUS_DISARMING,												// 
}NET_EM_ARM_STATUS;

// ¼DH_ALARM_ARMSTATE(״̬¼)ӦݿϢ
typedef struct tagALARM_ARMSTATE_INFO
{
	int                 			nChannelID;                         	// ͨ
	int								nAction;								// 0: 1:ʼ 2:ֹͣ
	char                			szName[128];                         	// ¼
	double              			PTS;                                	// ʱ(λǺ)
	NET_TIME_EX         			UTC;                                	// ¼ʱ
	UINT                			nEventID;                           	// ¼ID
	NET_EM_ARM_STATUS				emStatus;								// ״̬
}ALARM_ARMSTATE_INFO;

// ¼ DH_ALARM_LAW_ENFORCEMENT_INFO(ʵʱϱִն豸Ϣ¼)ӦݿϢ
typedef struct tagALARM_LAW_ENFORCEMENT_INFO
{
	int						nAction;									// 0: 1:ʼ 2:ֹͣ 
	NET_GPS_STATUS_INFO		stuGPSStatus;								// GPSϢ
	char					szUserID[32];								// 豸ʱ½ûϢûID
	char					szUserName[128];							// 豸ʱ½ûϢû
	BYTE					byRserved[4];					            // ֽڶ  
} ALARM_LAW_ENFORCEMENT_INFO;

// ¼DH_ALARM_CONGESTION_DETECTION(·ӵ±¼)ӦݿϢ
typedef struct tagALARM_CONGESTION_DETECTION_INFO
{
	int                 			nChannelID;                                 // ͨ
	int								nAction;									// 0: 1:ʼ 2:ֹͣ
	char                			szName[128];                                // ¼
	double              			PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         			UTC;                                        // ¼ʱ
	DH_EVENT_FILE_INFO				stuFileInfo;								// ¼ӦļϢ
	EM_CLASS_TYPE					emClassType;								// ¼
	UINT                			nEventID;                           		// ¼ID
	UINT							nRuleID;									// ¼ţڱʾĸ򴥷¼
	int 							nPresetID;									// ¼Ԥõţ1ʼ
	char							szPresetName[64];							// ¼Ԥ
	UINT							nAlarmMask;									// ҵ, ͬλʾͬͣbit0λʾǷӵ±bit1λʾǷŶӱ
	UINT							nVehicleQuantity;							// ӵ³
	UINT							nQueueLength;								// Ŷӳ
	int								nDetectRegionNum;							// stuDetectRegionЧ
	DH_POINT						stuDetectRegion[32];						// 
	BYTE			    			byReserved[1024];			        		// Ԥֽ
}ALARM_CONGESTION_DETECTION_INFO;

// ¼DH_ALARM_VEHICLELIMIT_DETECTION(ͣͣޱ)ӦݿϢ
typedef struct tagALARM_VEHICLELIMIT_DETECTION_INFO
{
	int                 			nChannelID;                                 // ͨ
	int								nAction;									// 0: 1:ʼ 2:ֹͣ
	char                			szName[128];                                // ¼
	double              			PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         			UTC;                                        // ¼ʱ
	DH_EVENT_FILE_INFO				stuFileInfo;								// ¼ӦļϢ
	EM_CLASS_TYPE					emClassType;								// ¼
	UINT                			nEventID;                           		// ¼ID
	UINT							nRuleID;									// ¼ţڱʾĸ򴥷¼
	int 							nPresetID;									// ¼Ԥõţ1ʼ
	char							szPresetName[64];							// ¼Ԥ
	UINT							nVehicleQuantity;							// 
	int								nDetectRegionNum;							// stuDetectRegionЧ
	DH_POINT						stuDetectRegion[32];						// 
	BYTE			    			byReserved[1024];			        		// Ԥֽ
}ALARM_VEHICLELIMIT_DETECTION_INFO;

// GPSϢ
typedef struct tagLAMP_GPS_INFO
{
    DWORD                           dwLatitude;                                 // γ(λǰ֮,Χ0-180)籱γ30.183382ȱʾΪ120183382
    DWORD                           dwLongitude;                                // (λǰ֮,Χ0-360)綫120.178274ȱʾΪ300178274
    int                             nNumOfSatellite;                            // Ǹ
    BYTE                            byReserved[4];                              // Ԥֽ
} LAMP_GPS_INFO;

// 豸쳣
typedef enum tagEM_IS_OFF_LINE
{
    EM_IS_OFF_LINE_UNKNOWN = -1,                                                // δ֪
    EM_IS_OFF_LINE_NORMAL,                                                      // 
    EM_IS_OFF_LINE_EXCEPTION,                                                   // 쳣
} EM_IS_OFF_LINE;

// 豸ѹ쳣
typedef enum tagEM_IS_VOLTAGE_FAULT
{
    EM_IS_VOLTAGE_FAULT_UNKNOWN = -1,                                           // δ֪
    EM_IS_VOLTAGE_FAULT_NORMAL,                                                 // 
    EM_IS_VOLTAGE_FAULT_EXCEPTION,                                              // 쳣
} EM_IS_VOLTAGE_FAULT;

// 豸쳣
typedef enum tagEM_IS_CURRENT_FAULT
{
    EM_IS_CURRENT_FAULT_UNKNOWN = -1,                                           // δ֪
    EM_IS_CURRENT_FAULT_NORMAL,                                                 // 
    EM_IS_CURRENT_FAULT_EXCEPTION,                                              // 쳣
} EM_IS_CURRENT_FAULT;

// Ƿ
typedef enum tagEM_BRIGHT_STATE
{
    EM_BRIGHT_STATE_UNKNOWN = -1,                                               // δ֪
    EM_BRIGHT_STATE_OFF,                                                        // δ
    EM_BRIGHT_STATE_ON,                                                         // 
} EM_BRIGHT_STATE;

// ƹģʽ
typedef enum tagEM_LAMP_STATUS_WORK_MODE
{
    EM_LAMP_STATUS_WORK_MODE_UNKNOWN,                                           // δ֪
    EM_LAMP_STATUS_WORK_MODE_DHRS_STROBOSCOPIC_LAMP,                            // RS485Ƶ
    EM_LAMP_STATUS_WORK_MODE_DHRS_STEADY_LAMP,                                  // RS485
    EM_LAMP_STATUS_WORK_MODE_DHRS_FLASH_LAMP,                                   // RS485  
} EM_LAMP_STATUS_WORK_MODE; 

// Ƶģʽ
typedef enum tagEM_STROBOSCOPIC_MODE
{
    EM_STROBOSCOPIC_MODE_UNKNOWN = -1,                                          // δ֪
    EM_STROBOSCOPIC_MODE_ACTIVE,                                                // 
    EM_STROBOSCOPIC_MODE_PASSIVE,                                               // 
} EM_STROBOSCOPIC_MODE;

// ƵƲ
typedef struct tagSTROBOSCOPIC_LAMP_PARAM
{
    EM_STROBOSCOPIC_MODE            emStroboscopicMode;                         // Ƶģʽ
    UINT                            nStayTime;                                  // Ƶʱ, λs, Χ[0,2^32)
    UINT                            nFrequency;                                 // ƵƵ, λHz
    UINT                            nBrightLevel;                               // ȵȼ, 1~20
    UINT                            nPulseWidth;                                // Ƶ, λms, Χ(0,4]
    BYTE                            byReserved[36];                             // Ԥֶ 
} STROBOSCOPIC_LAMP_PARAM;

// Ƶģʽ
typedef enum tagEM_TRIGGER_MODE
{
    EM_TRIGGER_MODE_UNKNOWN = -1,                                               // δ֪
    EM_TRIGGER_MODE_EDGE,                                                       // 
    EM_TRIGGER_MODE_PWM,                                                        // 
} EM_TRIGGER_MODE;

// Ʋ
typedef struct tagFLASH_LAMP_PARAM 
{
    EM_TRIGGER_MODE                 emTriggerMode;                              // ʽ
    UINT                            nTriggerCount;                              // , Χ[0,2^32)
    UINT                            nFlashCount;                                // , Χ[0,2^32)
    UINT                            nPulseWidth;                                // , λms, Χ(0~4]ms
    UINT                            nPulseWidthDetectThreshold;                 // ֵ1~4ȼ
    UINT                            nErrorDetectThreshold;                      // 췧ֵ, 3~8ȼ
    BYTE                            byReserved[32];                             // Ԥֶ 
} FLASH_LAMP_PARAM ;

// Ʋ
typedef struct tagSTEADY_LAMP_PARAM
{
    UINT                            nBrightLevel;                               // ȵȼ, 1~20ȼ
    BYTE                            byReserved[60];                             // Ԥֶ 
} STEADY_LAMP_PARAM;

// ״̬Ϣ
typedef struct tagLAMP_STATUS_INFO
{             
    UINT                            nPort;                                      // ʾĴڶ˿ں
    UINT                            nAddress;                                   // DHRSַ, Χ0~15
    char                            szSoftwareVersion[128];                     // 汾
    char                            szDeviceID[32];                             // 豸ID
    LAMP_GPS_INFO                   stuGPS;                                     // GPSϢ
    EM_IS_OFF_LINE                  emIsOffline;                                // 豸쳣
    EM_IS_VOLTAGE_FAULT             emIsVoltageFault;                           // 豸ѹ쳣         
    EM_IS_CURRENT_FAULT             emIsCurrentFault;                           // 豸쳣
    EM_BRIGHT_STATE                 emBrightState;                              // Ƿ
    UINT                            nPower;                                     // ʾ豸ĹʣԺΪλ 0~65536999
    UINT                            nTemperature;                               // ʾ豸¶ȣ԰ٷ֮һΪȣ1001ʾ10.01, 0~25599
    UINT                            nPhotoSensitivity;                          // ʾ豸ȣ޵λ0~4095
    UINT                            nAmbientBrightnessThreshold;                // ֵ1-6ȼ
    EM_LAMP_STATUS_WORK_MODE        emWorkMode;                                 // ƹģʽ
    STROBOSCOPIC_LAMP_PARAM         stuStroboscopicLampParam;                   // ƵƲ
    FLASH_LAMP_PARAM                stuFlashLampParam;                          // Ʋ
    STEADY_LAMP_PARAM               stuSteadyLampParam;                         // Ʋ
    BYTE                            byReserved[64];                             // Ԥֶ 
} LAMP_STATUS_INFO;

// ͨͨ벹ӻȡƵ״̬Ϣ
typedef struct tagALARM_TRAFFIC_LAMP_WORK_STATE_INFO
{
    NET_TIME_EX                     UTC;                                        // ӦUTC
    UINT                            nUTCMS;                                     // ӦUTC
    int                             nChannelID;                                 // ͨ
    int                             nLampStatusNum;                             // ״̬Ϣ
    LAMP_STATUS_INFO                stuLampStatus[8];                           // ״̬Ϣ
    BYTE                            byReserved[256];                            // Ԥֽ
} ALARM_TRAFFIC_LAMP_WORK_STATE_INFO;

// ¼ DH_ALARM_TRAFFIC_PARKING_TIMEOUT(ͣʱ¼)ӦݿϢ
typedef struct tagALARM_TRAFFIC_PARKING_TIMEOUT_INFO
{
	int                 				nChannelID;                         	// ͨ
	int									nAction;								// 0: 1:ʼ 2:ֹͣ
	NET_TIME_EX         				UTC;                                	// ¼ʱ
	NET_TIME							stuInParkTime;							// ʱ
	NET_TIME							stuOutParkTime;							// ʱ
	UINT								nParkingTime;							// ͣʱλ
	BYTE			    				byReserved[1024];			        	// Ԥֽ
	DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO	stuTrafficCar;							// ͨݿ¼
}ALARM_TRAFFIC_PARKING_TIMEOUT_INFO;

// ¼ DH_ALARM_TICKET_INFO_REPORT (ƱϢϱ¼)ӦݿϢ
typedef struct tagALARM_TICKET_INFO_REPORT
{
	int                         nChannelID;                         // ͨ
	int                         nAction;                            // 0: 1:ʼ 2:ֹͣ	
	double                      PTS;                                // ʱ(λǺ)
	NET_TIME_EX                 UTC;                                // ¼ʱ
	int							nEventID;                           // ¼ID
	int							nOpenFlag;							// űʾ0ţ
	BYTE						byReserved[4];						// Ԥֶ
	char						szPassengerName[256];				// 
	char						szCitizenID[32];					// ֤	
	NET_TIME					stuDriveTime;						// ʱ
	char						szDestination[256];					// Ŀվ
	char						szScheduleID[64];					// 
}ALARM_TICKET_INFO_REPORT;

// ˻״̬
typedef enum TagEM_PATIENTDETECTION_TYPE
{
    EM_PATIENTDETECTION_TYPE_UNKNOWN,                       // δ֪
    EM_PATIENTDETECTION_TYPE_CROSS_REGION,                  // 򱨾ǲ뿪
    EM_PATIENTDETECTION_TYPE_LIGHT_OFF,                     // ƱϨ
    EM_PATIENTDETECTION_TYPE_STOP_DETECTION,                // ټز
    EM_PATIENTDETECTION_TYPE_START_DETECTION,               // ʼ
    EM_PATIENTDETECTION_TYPE_ESCAPE,                        // Ѻ
	EM_PATIENTDETECTION_TYPE_ESCAPE_RELEASE,                // 뱨
}EM_PATIENTDETECTION_TYPE;

// ˻״̬ⱨ¼ (DH_ALARM_PATIENTDETECTION)
typedef struct tagALARM_PATIENTDETECTION_INFO
{
    BYTE                        bEventAction;               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼
    NET_TIME                    stuTime;                    // ¼ʱ
    EM_PATIENTDETECTION_TYPE    emDetectionType;            // ǰ¼
    BYTE                        byReserved[256];            // Ԥֶ 
}ALARM_PATIENTDETECTION_INFO;

// ״ⳬٱ¼ ¥ר (DH_ALARM_RADAR_HIGH_SPEED)
typedef struct tagALARM_RADAR_HIGH_SPEED_INFO
{
    NET_TIME_EX                 stuTime;                    // ¼ʱ
    float                       fSpeed;                     // ٶ(λ:km/h)
	char						szPlateNumber[16];			// 
    BYTE                        byReserved[1008];           // Ԥֶ 
}ALARM_RADAR_HIGH_SPEED_INFO;

// 豸Ѳ챨¼ ר (DH_ALARM_POLLING_ALARM)
typedef struct tagALARM_POLLING_ALARM_INFO
{
    NET_TIME_EX                 stuTime;                    // ¼ʱ
    BYTE                        byReserved[1024];           // Ԥֶ 
}ALARM_POLLING_ALARM_INFO;

// բ״̬
typedef enum tagEM_TRAFFICSTROBE_STATUS
{
    NET_TRAFFICSTROBE_STATUS_UNKNOWN,
	NET_TRAFFICSTROBE_STATUS_CLOSE_COMPLETE,                               // բر
	NET_TRAFFICSTROBE_STATUS_OPEN_COMPLETE,                                // բ
	NET_TRAFFICSTROBE_STATUS_NOT_CLOSE_COMPLETE,                           // բδȫر
	NET_TRAFFICSTROBE_STATUS_NOT_OPEN_COMPLETE,							   // բδȫ
} EM_TRAFFICSTROBE_STATUS;

// բ״̬¼ ( DH_ALARM_TRAFFICSTROBESTATE )
typedef struct tagALARM_TRAFFICSTROBESTATE_INFO
{
	BYTE                        bEventAction;               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼
    NET_TIME                    stuTime;                    // ¼ʱ
	int                         nChannelID;                 // Ƶͨ
    EM_TRAFFICSTROBE_STATUS		emStatus;                   // բ״̬
    BYTE                        byReserved[1024];           // Ԥֶ 
}ALARM_TRAFFICSTROBESTATE_INFO;

// ¼(Ӧ¼ DH_ALARM_PASTE_DETECTION)
typedef struct tagALARM_PASTE_DETECTION_INFO
{
    int                     nChannelID;                                 // ͨ
    char                    szName[128];                                // ¼
    double                  PTS;                                        // ʱ(λǺ)
    NET_TIME_EX             UTC;                                        // ¼ʱ
    DH_MSG_OBJECT           stuObject;                                  // ⵽
    int                     nDetectRegionNum;                           // 򶥵
    DH_POINT                stuDetectRegion[DH_MAX_DETECT_REGION_NUM];  // 
    DH_MSG_HANDLE_EX        stuEventHandler;                            // Ϣ
    BYTE                    bEventAction;                               // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    BYTE                    bReserved[1023];                            // ֽ,չ.
}ALARM_PASTE_DETECTION_INFO;

// ȳ²쳣 (DH_ALARM_BETWEENRULE_TEMP_DIFF)
typedef struct tagALARM_BETWEENRULE_DIFFTEMPER_INFO
{
    int                             nAction;                        // 0:ʼ 1:ֹͣ
    int                             nOsdId;                         // ²OSDеOSD
    int                             nChannelID;                     // Ƶͨ
    NET_RADIOMETRY_ALARMCONTION     emAlarmContion;                 //  0:С 1: 2:
    int                             nRuleId1;                       // ¹1,οCFG_RADIOMETRY_RULE_INFO
    int                             nRuleId2;                       // ¹2,οCFG_RADIOMETRY_RULE_INFO
    float                           fDiffValue;                     // ²ֵ
    int                             nTemperatureUnit;               // ¶ȵλ(ǰõ¶ȵλ), NET_TEMPERATURE_UNIT
    UINT                            nPresetID;                      // Ԥõ
    BYTE                            reserved[128];                  // Ԥֶ  
}ALARM_BETWEENRULE_DIFFTEMPER_INFO;

// ȳȵ쳣¼(Ӧ DH_ALARM_HOTSPOT_WARNING)
typedef struct tagALARM_HOTSPOT_WARNING_INFO
{
    int                 nAction;                        // 0:ʼ 1:ֹͣ
    int                 nChannelID;                     // Ƶͨ
    DH_POINT            stuCoordinate;                   // ȵ,ֵ 0~8192
    float               fHotSpotValue;                  // ȵ¶ֵ
    int                 nTemperatureUnit;               // ¶ȵλ(ǰõ¶ȵλ), NET_TEMPERATURE_UNIT
}ALARM_HOTSPOT_WARNING_INFO;

// ȳ쳣¼(Ӧ DH_ALARM_COLDSPOT_WARNING)
typedef struct tagALARM_COLDSPOT_WARNING_INFO
{
    int                 nAction;                        // 0:ʼ 1:ֹͣ
    int                 nChannelID;                     // Ƶͨ
    DH_POINT            stuCoordinate;                   // ,ֵ 0~8192
    float               fColdSpotValue;                  // ¶ֵ
    int                 nTemperatureUnit;               // ¶ȵλ(ǰõ¶ȵλ), NET_TEMPERATURE_UNIT
}ALARM_COLDSPOT_WARNING_INFO;

// ˮϢ (Ӧ DH_ALARM_FLOW_METER)
typedef struct tagALARM_FLOW_METER_INFO 
{
    DWORD                   dwSize;
    float                   fInstantRate;                       // ˲ʱ m/s
    float                   fInstantFlow;                       // ˲ʱ m^3/h
    float                   fTotalFlow;                         //  m^3
    float                   fCurDayFlow;                        //  m^3
    UINT                    unCurDayWorkingTime;                // 콵ҵʱ,λ: 
    UINT                    unTotalWorktingTime;                // ۼƽҵʱ,λ: 
    NET_GPS_STATUS_INFO     stuGPS;                             // GPSϢ
    float                   fCurTemp;                           // 豸ǰ¶ֵ,λ: ϶
} ALARM_FLOW_METER_INFO;

// ¼֡
typedef enum tagEM_BUF_DROP_FRAME_TYPE
{
    EM_BUF_DROP_FRAME_UNKOWN = 0,                       // ֡Ϊ δ֪¼
    EM_BUF_DROP_FRAME_DEVBUF,                           // ֡Ϊ ¼
    EM_BUF_DROP_FRAME_EXTBUF,                           // ֡Ϊ ¼
    EM_BUF_DROP_FRAME_NETBUF,                           // ֡Ϊ ¼
    EM_BUF_DROP_FRAME_EXTRA1NETBUF                      // ֡Ϊ 1¼
}EM_BUF_DROP_FRAME_TYPE;

// ¼񻺳֡¼(Ӧ DH_ALARM_BUF_DROP_FRAME)
typedef struct tagALARM_BUF_DROP_FRAME_INFO
{
    int                         nAction;                // 0:ʼ 1:ֹͣ
    EM_BUF_DROP_FRAME_TYPE      emDropFrameType;        // ¼֡
    BYTE                        reserved[1024];         // Ԥֶ
}ALARM_BUF_DROP_FRAME_INFO;


// л¼ Ⱥл (Ӧ DH_ALARM_DCSSWITCH)
typedef struct tagALARM_DCSSWITCH_INFO
{
    int                         nAction;                // 0:ʼ 1:ֹͣ
    char                        strMasterIP[32];        // 滻ûIP
    char                        strSlaveIP[32];         // ִ滻ıûIP
    NET_TIME_EX                 stuStartTime;           // 滻Ŀʼʱ
    BYTE                        reserved[1024];         // Ԥֶ
}ALARM_DCSSWITCH_INFO;

// ˫豸뱸֮汾Ϣһ쳣¼ (Ӧ DH_ALARM_DOUBLE_DEV_VERSION_ABNORMAL)
typedef struct tagALARM_DOUBLE_DEV_VERSION_ABNORMAL_INFO
{
    int                         nAction;                // 0:ʼ 1:ֹͣ
    char                        strMasterVer[64];       // İ汾Ϣ(nAction Ϊ0ʱ ֵЧ)
    char                        strSlaveVer[64];        // İ汾Ϣ(nAction Ϊ0ʱ ֵЧ)
    BYTE                        reserved[1024];         // Ԥֶ
}ALARM_DOUBLE_DEV_VERSION_ABNORMAL_INFO;

// ״״̬
typedef enum tagEM_RADAR_CONNECT_STATE
{
    EM_RADAR_CONNECT_STATE_UNKNOWN,     // δ֪
    EM_RADAR_CONNECT_STATE_NORMAL,      // 
    EM_RADAR_CONNECT_STATE_EXCEPTION,   // 쳣
}EM_RADAR_CONNECT_STATE;

// ״״̬¼ (Ӧ DH_ALARM_RADAR_CONNECT_STATE)
typedef struct tagALARM_RADAR_CONNECT_STATE_INFO
{
    EM_RADAR_CONNECT_STATE      emRadarConnectState;    // ״״̬
    BYTE                        reserved[1024];         // Ԥֶ
}ALARM_RADAR_CONNECT_STATE_INFO;

// ߿嶯
typedef enum tagEM_HIGHTOSS_ACTION_TYPE
{
    EM_HIGHTOSS_ACTION_UNKNOWN,         // δ֪
    EM_HIGHTOSS_ACTION_APPEAR,          // һγڼУ߸ʱ붯δȷϵ
    EM_HIGHTOSS_ACTION_MOVE,            // ˶屻
    EM_HIGHTOSS_ACTION_STAY,            // ֹͣ˶岻һ֡бУ忪ʼƶٻָб
    EM_HIGHTOSS_ACTION_REMOVE,          // ԭƳ߱ڸǣ߸ʧܣƳIDᱻԶɾ³пٴαʹ
    EM_HIGHTOSS_ACTION_DISAPPEAR,       // ˶֮⣬ߴﵽ㷨޶ʧIDٳ
    EM_HIGHTOSS_ACTION_SPLIT,           // зIDʾIDӦ
    EM_HIGHTOSS_ACTION_MERGE,           // ϲ壬屣ȫIDʾϲIDӦ
    EM_HIGHTOSS_ACTION_RENAME,          // 㷨޷ȷ붯ĳԭͬһ壬Ӧȴһµ壬֤ݳֺΪɵIDIDʾʱʹõµID
} EM_HIGHTOSS_ACTION_TYPE;

// ߿Ϣ
typedef struct tagNET_HIGHTOSS_OBJECT_INFO
{
    UINT                            nObjectID;              // ID
    EM_HIGHTOSS_ACTION_TYPE         emObjAction;            // 嶯
    NET_RECT                        stuBoundingBox;         // Χ
    UINT                            nConfidence;            // Ŷ
    EM_ANALYSE_OBJECT_TYPE          emObjectType;           // 
    BYTE                            byReserved[2048];		// Ԥֽ 
} NET_HIGHTOSS_OBJECT_INFO;


// ¼ DH_ALARM_HIGH_TOSS_DETECT (߿¼)ӦݿϢ
typedef struct tagALARM_HIGH_TOSS_DETECT_INFO
{
	int                         nChannelID;                         // ͨ
	int                         nAction;                            // 0: 1:ʼ 2:ֹͣ	
	double                      PTS;                                // ʱ(λǺ)
	NET_TIME_EX                 UTC;                                // ¼ʱ
	BYTE                        byReserved1[4];                     // 
	int					        nEventID;                           // ¼ID

    UINT                        nObjNum;                            // 
    NET_HIGHTOSS_OBJECT_INFO    stuObjInfos[50];                    // Ϣ
    BYTE                        byReserved[1024];                   // Ԥֶ 
}ALARM_HIGH_TOSS_DETECT_INFO;

typedef enum tagEM_MARKFILE_MODE
{
	EM_MARK_FILE_BY_TIME_MODE,                              // ͨʱ䷽ʽ¼
	EM_MARK_FILE_BY_NAME_MODE,                              // ͨļʽ¼
}EM_MARKFILE_MODE;
typedef enum tagEM_MARKFILE_NAMEMADE_TYPE
{
	EM_MARKFILE_NAMEMADE_DEFAULT,							// ĬϷʽҪû¼ļszFilename
	EM_MARKFILE_NAMEMADE_JOINT,								// ƴļʽûݴ̺(nDriveNo)ʼغ(nStartCluster)Ҫ¼ļ
}EM_MARKFILE_NAMEMADE_TYPE;
typedef struct tagNET_IN_SET_MARK_FILE
{
    DWORD                                   dwSize;									// 
	EM_MARKFILE_MODE	                    emLockMode;								// ¼ʽ
	EM_MARKFILE_NAMEMADE_TYPE				emFileNameMadeType;						// ļķʽ
    int										nChannelID;								// ͨ
    char									szFilename[MAX_PATH];	                // ļ
    unsigned int							nFramenum;								// ļ֡
    unsigned int							nSize;									// ļ
    NET_TIME								stuStartTime;							// ʼʱ
    NET_TIME								stuEndTime;								// ʱ
    unsigned int							nDriveNo;								// ̺(¼ͱ¼,0127ʾ¼,64ʾ1,128ʾ¼)
    unsigned int							nStartCluster;							// ʼغ
    BYTE									byRecordFileType;						// ¼ļ  0ͨ¼1¼2ƶ⣻3¼4ͼƬ, 5: ¼
    BYTE									byImportantRecID;						// 0:ͨ¼ 1:Ҫ¼
    BYTE									byHint;									// ļλ(nRecordFileType==4<ͼƬ>ʱ,bImportantRecID<<8 +bHint ,ͼƬλ )
    BYTE									byRecType;								// 0-¼  1-1¼ 2-2¼ 3-3¼
} NET_IN_SET_MARK_FILE;
typedef struct tagNET_OUT_SET_MARK_FILE
{
    DWORD               dwSize; 
} NET_OUT_SET_MARK_FILE;
//CLIENT_SetMarkFileByTime
typedef struct tagNET_IN_SET_MARK_FILE_BY_TIME
{
    DWORD               dwSize;
    int                 nChannel;                             //Ҫͨ,0ʼ,ԪΪ-1ʱ,ʾȫͨ
    NET_TIME_EX         stuStartTime;                         //ʼʱ
    NET_TIME_EX         stuEndTime;                           //ʱ
    BOOL                bFlag;                                //Ƕ	true : , false : 
} NET_IN_SET_MARK_FILE_BY_TIME;

//CLIENT_SetMarkFileByTime
typedef struct tagNET_OUT_SET_MARK_FILE_BY_TIME
{
    DWORD               dwSize; 
} NET_OUT_SET_MARK_FILE_BY_TIME;

//CLIENT_SetMarkFileByTimeEx

//CLIENT_SetMarkFileByTimeEx

//CLIENT_GetMarkInfo
typedef struct tagNET_IN_GET_MARK_INFO
{
    DWORD               dwSize;
} NET_IN_GET_MARK_INFO;

//CLIENT_GetMarkInfo
typedef struct tagNET_OUT_GET_MARK_INFO
{
    DWORD               dwSize;
    int                 nTotalSpace;  //λM
    int                 nMarkSpace;   //¼ λM
} NET_OUT_GET_MARK_INFO;

//Ǳ
typedef struct tagNET_IN_CLEAR_REPEAT_ENTER
{
    char         szCardNO[DH_MAX_CARDINFO_LEN];         // û
    BYTE         bReserved[1024];
}NET_IN_CLEAR_REPEAT_ENTER;

//Ǳ
typedef struct tagNET_OUT_CLEAR_REPEAT_ENTER
{
    BYTE         bReserved[1024];
}NET_OUT_CLEAR_REPEAT_ENTER;

// ¼DH_ALARM_RECORD_LOSS(¼ʧ¼)ӦϢ
typedef struct tagALARM_RECORD_LOSS_INFO
{
    int                 nChannelID;                     // ͨ
    int                 nEventAction;                   // ¼, 0:Pulse, 1:Start, 2:Stop
    char                szIP[DH_MAX_IPADDR_LEN_EX];     // ¼豸IP  
    int                 nPort;                          // ¼豸˿
    BYTE                byReserved[1024];               // Ԥ
} ALARM_RECORD_LOSS_INFO;

// ¼DH_ALARM_VIDEO_FRAME_LOSS(Ƶ֡¼)ӦϢ
typedef struct tagALARM_VIDEO_FRAME_LOSS_INFO
{
    int                 nChannelID;                     // ͨ
    int                 nEventAction;                   // ¼, 0:Pulse, 1:Start, 2:Stop
    char                szIP[DH_MAX_IPADDR_LEN_EX];     // ֡豸IP
    int                 nPort;                          // ֡豸˿
    BYTE                byReserved[1024];               // Ԥ
} ALARM_VIDEO_FRAME_LOSS_INFO;

// ¼DH_ALARM_RECORD_VOLUME_FAILURE(̾쳣)ӦϢ
typedef struct tagALARM_RECORD_VOLUME_FAILURE_INFO
{
    int                 nChannelID;                     // ͨ
    int                 nEventAction;                   // ¼, 0:Pulse, 1:Start, 2:Stop
    BYTE                byReserved[1024];               // Ԥ
} ALARM_RECORD_VOLUME_FAILURE_INFO;

// ¼ DH_EVENT_SNAP_UPLOAD(ͼϴ¼)ӦϢ
typedef struct tagEVENT_SNAP_UPLOAD_INFO
{
    int                 nChannelID;                     // ͨ
    int                 nEventAction;                   // ¼, 0:Pulse, 1:Start, 2:Stop
    BOOL                bSnapResult;                    // ͼƬǷϴɹ
    char                szFilePath[MAX_PATH];           // ϴıͼƬ
    BYTE                byReserved[1024];               // Ԥ
}EVENT_SNAP_UPLOAD_INFO;

// ¼DH_ALARM_UPLOADPIC_FAILCOUNT(ϴʧݸ)ӦϢ
typedef struct tagALARM_UPLOADPIC_FAILCOUNT_INFO
{
    int                 nFailCount;                     // ϴʧܸ
    BYTE                byReserved[1024];               // Ԥ
} ALARM_UPLOADPIC_FAILCOUNT_INFO;


// ¼ DH_ALARM_HUMAN_INSIDE(¼) ӦϢ
typedef struct tagALARM_HUMAN_INSIDE_INFO
{
    int                 nChannelID;                     // ͨ
    int                 nEventAction;                   // ¼,-1ʾδ֪¼,0ʾ¼ʼ,1ʾ¼
    int                 nHumanNumber;                   // 
    NET_TIME            stuUtcTime;                     // ¼ʱ
    BYTE                byReserved[1000];               // Ԥ  
} ALARM_HUMAN_INSIDE_INFO;
 
// ¼ DH_ALARM_HUMAN_TUMBLE_INSIDE(ˤ¼) ӦϢ
typedef struct tagALARM_HUMAN_TUMBLE_INSIDE_INFO
{
    int                 nChannelID;                     // ͨ
    int                 nEventAction;                   // ¼,-1ʾδ֪¼,0ʾ¼ʼ,1ʾ¼
    NET_TIME            stuUtcTime;                     // ¼ʱ
    BYTE                byReserved[1000];               // Ԥ
} ALARM_HUMAN_TUMBLE_INSIDE_INFO;

// ¼ DH_ALARM_DISABLE_LOCKIN(Űť¼) ӦϢ
typedef struct tagALARM_DISABLE_LOCKIN_INFO
{
    int                 nChannelID;                     // ͨ
    NET_TIME            stuUtcTime;                     // ¼ʱ
    BYTE                byReserved[1000];               // Ԥ
} ALARM_DISABLE_LOCKIN_INFO;


// ¼ DH_ALARM_DISABLE_LOCKOUT(Űť¼) ӦϢ
typedef struct tagALARM_DISABLE_LOCKOUT_INFO
{
    int                 nChannelID;                     // ͨ
    NET_TIME            stuUtcTime;                     // ¼ʱ
    BYTE                byReserved[1000];               // Ԥ
} ALARM_DISABLE_LOCKOUT_INFO;


////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//CLIENT_GetOperatorName 
typedef struct tagNET_IN_GET_OPERATOR_NAME
{
    BYTE                byReserved[1024];               // Ԥ
} NET_IN_GET_OPERATOR_NAME;

//CLIENT_GetOperatorName 
typedef struct tagNET_OUT_GET_OPERATOR_NAME
{
    char                szOpearatorName[DH_COMMON_STRING_64]; //Աû
    BYTE                byReserved[1024];                     // Ԥ
} NET_OUT_GET_OPERATOR_NAME;

// CLIENT_GetSelfCheckInfo 
typedef struct tagNET_IN_GET_SELTCHECK_INFO
{
    DWORD               dwSize;                  // ûʹøýṹʱ,dwSize 踳ֵΪ sizeof (NET_IN_GET_SELTCHECK_INFO)
} NET_IN_GET_SELTCHECK_INFO;

//¼EVENT_IVS_PTZ_PRESET(̨תԤõ¼)ӦݿϢ
typedef struct tagDEV_EVENT_ALARM_PTZ_PRESET_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    ///////////////////////////////Ϊֶ//////////////////////////////
    char                szPresetName[PTZ_PRESET_NAME_LEN];          // Ԥõ
    PTZ_SPEED_UNIT      stuPos;                                     // ԤõͷŴ
    int                 nPresetID;                                  // ԤõID
    BYTE                bReserved[1024];                            // ֽ
} DEV_EVENT_ALARM_PTZ_PRESET_INFO;

//¼EVENT_IVS_RFID_INFO(߼Ϣ¼)ӦݿϢ
typedef struct tagDEV_EVENT_ALARM_RFID_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    ///////////////////////////////Ϊֶ//////////////////////////////
    int                 nAction;                                    // 0:ʼ 1:ֹͣ
    int                 nValidCount;                                // RFID Ч
    char                szRfid[10][12];                             // RFID 
    BYTE                bReserved[1024];                            // ֽ
} DEV_EVENT_ALARM_RFID_INFO;



// ϵͳϢ
typedef struct tagNET_CAR_WEIGTH_INFO
{
	unsigned int		nAxleNum;									// 
	unsigned int		nMaxAxleDistance;							// , λǺ
    unsigned int        nAxleWeightInfo[MAX_AXLE_NUM];              // ÿ, λKg, һԪرʾһ, 
    unsigned int        nAxleDistanceInfo[MAX_AXLE_NUM-1];          // ļ, λ, һԪرʾһ, ڶԪرʾ, 
    unsigned int        nOverWeight;                                // Ϣ, λǧ
    BYTE                byReserved[512];                            // ֽ
}NET_CAR_WEIGHT_INFO;

// ¼ EVENT_IVS_QSYTRAFFICCARWEIGHT (ͨڳ¼)ӦݿϢ
typedef struct tagDEV_EVENT_QSYTRAFFICCARWEIGHT_INFO  
{
    NET_CAR_WEIGHT_INFO                 stCarWeightInfo;		    // ϵͳϢ
    DEV_EVENT_TRAFFICJUNCTION_INFO      stJunctionInfo;             // ͨϢ
}DEV_EVENT_QSYTRAFFICCARWEIGHT_INFO;

// ǰϢ
typedef struct tagNET_PLATE_INFO
{
	char						szFrontPlateNumber[DH_MAX_PLATE_NUMBER_LEN];	// ǰƺ
	EM_NET_PLATE_COLOR_TYPE		emFrontPlateColor;								//ǰɫ
	char						szBackPlateNumber[DH_MAX_PLATE_NUMBER_LEN];		// ƺ
	EM_NET_PLATE_COLOR_TYPE		emBackPlateColor;								// ɫ
	BYTE						bReserved[1024];								// ֽ
} NET_PLATE_INFO;

// ¼ſͼƬץʱ
typedef struct tagNET_SNAP_TIME_INFO
{
    NET_TIME_EX stFrontGateSnapTime;    // ǰͼƬץʱ(ȷ)
    NET_TIME_EX stBackGateSnapTime;     // 󿨿ͼƬץʱ(ȷ) 
    BYTE  bReserved[128];               // ֽ
}NET_SNAP_TIME_INFO;

// ¼EVENT_IVS_TRAFFIC_COMPAREPLATE(ڳƺϳ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_COMPAREPLARE_INFO
{
	int					nChannelID;							// ͨ
	char				szName[DH_EVENT_NAME_LEN];			// ¼
	int                 nTriggerType;                   	// TriggerType:,0,1״,2Ƶ
	double				dbPTS;								// ʱ(λǺ)
	NET_TIME_EX			stuUTC;								// ¼ʱ
	int					nEventID;							// ¼ID

	DH_MSG_OBJECT		stuObject;							// Ϣ
	DH_MSG_OBJECT		stuVehicle;							// Ϣ
	DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ 
	int					nMark;								// ڱץ֡
	int					nSource;							// ƵԴַ
	int					nFrameSequence;						// Ƶ֡
	int					nSpeed;								// ʵٶ(λ: km/h)
	int					nLane;								// Ӧĳ 
	int					nSequence;							// ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
	DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;         // ͨϢ
	NET_PLATE_INFO		stuPlateInfo;						// ǰϢ
	EVENT_COMM_INFO     stCommInfo;                         // Ϣ
	DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON

    NET_SNAP_TIME_INFO  stSnapTimeInfo;                     // ¼ſͼƬץʱ
	BYTE				bReserved[820];					    // Ϣ
} DEV_EVENT_TRAFFIC_COMPAREPLATE_INFO;
typedef struct tagDEV_EVENT_SHOOTING_SCORE_RECOGNITION_INFO
{
    int							nChannelID;									// ͨ
    char						szName[DH_EVENT_NAME_LEN];					// ¼
    double						dbPTS;										// ʱ(λǺ)
    NET_TIME_EX					stuUTC;										// ¼ʱ
    int							nEventID;									// ¼ID
    DH_EVENT_FILE_INFO			stuFileInfo;								// ¼ӦļϢ
    BYTE						bEventAction;								// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	DH_POINT					stuDetectRegion;								// 
	int							nValidBulletHolesNum;						// ⵽Ч׸
	NET_BULLET_HOLES_INFO       stuBulletHolesInfo[DH_MAX_BULLET_HOLES];	// ⵽ĵ
    BYTE						byImageIndex;								// ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD						dwSnapFlagMask;								// ץͼ־(λ), NET_RESERVED_COMMON    
    BYTE						bReserved[1024];							// ֽ,չ. 
} DEV_EVENT_SHOOTING_SCORE_RECOGNITION_INFO;

// ¼ EVENT_IVS_TRAFFIC_TRANSFINITE(Υ³ץͼϱ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_TRANSFINITE_INFO
{
    int							nChannelID;									// ͨ
    char						szName[DH_EVENT_NAME_LEN];					// ¼
    double						dbPTS;										// ʱ(λǺ)
    NET_TIME_EX					stuUTC;										// ¼ʱ
    int							nEventID;									// ¼ID
    DH_EVENT_FILE_INFO			stuFileInfo;								// ¼ӦļϢ
    BYTE						bEventAction;								// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

	char						szPlateNumber[16];							// 
    char                        szTime[20];									// Υʱ
	double						dbLong;										// λ
    double						dbWidth;									// λ
	double						dbHeight;									// , λ
	char						szViolationCode[16];						// Υ´
	char						szDescribe[132];						    // Υ

    BYTE						byImageIndex;								// ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD						dwSnapFlagMask;								// ץͼ־(λ), NET_RESERVED_COMMON    
    BYTE						bReserved[4096];							// ֽ,չ. 
} DEV_EVENT_TRAFFIC_TRANSFINITE_INFO;

// ץͼƬϢ
typedef struct tagDEV_EVENT_TRAFFIC_FCC_IMAGE
{
    DWORD           dwOffSet;                       // ͼƬļڶݿеƫλ, λ:ֽ
    DWORD           dwLength;						// ͼƬС, λ:ֽ
    WORD            wWidth;                         // ͼƬ, λ:
    WORD            wHeight;                        // ͼƬ߶, λ:
}DEV_EVENT_TRAFFIC_FCC_IMAGE;

// ץͼϢ
typedef struct tagDEV_EVENT_TRAFFIC_FCC_OBJECT
{
	DEV_EVENT_TRAFFIC_FCC_IMAGE	stuImage;							// ץͼƬϢ
}DEV_EVENT_TRAFFIC_FCC_OBJECT;

// ¼EVENT_IVS_TRAFFIC_FCC_INFO
typedef struct tagDEV_EVENT_TRAFFIC_FCC_INFO
{
	int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    DWORD				nTriggerID;									// : 1ʾǹ, 2ʾǹ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    ///////////////////////////////Ϊֶ//////////////////////////////

	DWORD				dwNum;										// ǹ
	DWORD				dwLitre;									// ,λ 0.01
	EM_REFUEL_TYPE		emType;										// : ȡֵΧ{"90#","93#","10#","-20#"}
	DWORD				dwMoney;									// ͽ,λ 0.01Ԫ
	char				szPlateNumber[DH_COMMON_STRING_16];			// ƺ
	char				szTime[DH_COMMON_STRING_32];				// ¼ʱ: "2016-05-23 10:31:17"
	DEV_EVENT_TRAFFIC_FCC_OBJECT	stuObject;						// ץͼϢ
	BYTE				bReserved[1024];					        // ֽ,չ
}DEV_EVENT_TRAFFIC_FCC_INFO;



typedef enum tagEM_PARKINGSPACE_STATUS
{
    EM_PARKINGSPACE_STATUS_UNKNOWN,
    EM_PARKINGSPACE_STATUS_BUSY,                            // ռ
    EM_PARKINGSPACE_STATUS_FREE,                            // 
    EM_PARKINGSPACE_STATUS_OVERLINE,                        // ѹ
}EM_PARKINGSPACE_STATUS;

// λͼϢ
typedef struct tagNET_FEATUREPIC_AREA
{
	int					nRetCount;									// ʵʷ																
	DH_POINT			stuFeaturePicArea[10];						// λϢͼ							
	BYTE				bReserved[256];					            // ֽ
}NET_FEATUREPIC_AREA;

//¼EVENT_IVS_TRAFFIC_ANALYSE_PRESNAP(ԤץƬͼƬ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_ANALYSE_PRESNAP_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[128];                                // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         stuTime;                                    // ¼ʱ
    int                 nEventID;                                   // ¼ID
    int					nGroupID;									// ¼IDͬһץĹGroupIDͬ
    int					nCountInGroup;								// һ¼ڵץ
    int					nIndexInGroup;								// һ¼ڵץ
    DH_MSG_OBJECT       stuObject;                                  // Ϣ
    DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
    int					nMark;								        // ڱץ֡
    int					nSource;							        // ƵԴַ
    int					nFrameSequence;						        // Ƶ֡
    int					nLane;								        // Ӧĳ 
    int					nSequence;							        // ʾץ,3,2,1,1ʾץĽ,0ʾ쳣
    DEV_EVENT_TRAFFIC_TRAFFICCAR_INFO stTrafficCar;                 // ͨϢ
    EM_PARKINGSPACE_STATUS   emParkingSpaceStatus;                  // 豸гλۺ״̬
	EVENT_COMM_INFO     stCommInfo;                                 // Ϣ
	EM_PARKINGSPACE_STATUS   emCurParkingSpaceStatus;				// Ӧǰλŵĳλ״̬
	NET_FEATUREPIC_AREA		 stuParkingInfo;						// λͼϢ֧꣬4㣬ֵ꣬ͼƬķֱʾ
    DH_RESOLUTION_INFO       stuResolution;                         // ͼƬֱ
	BYTE				bReserved[716];								// Ϣ
}DEV_EVENT_TRAFFIC_ANALYSE_PRESNAP_INFO;

//¼EVENT_IVS_NEAR_DISTANCE_DETECTION(Ӵ¼)ӦݿϢ
typedef struct tagDEV_EVENT_NEAR_DISTANCE_DETECTION_INFO
{
    int                 nChannelID;                                 // ͨ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    char                bReserved1[4];                              // ֽڶ
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    ///////////////////////////////Ϊֶ//////////////////////////////
    int                 nAction;                                    // 0: 1:ʼ 2:ֹͣ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;                 // ¼Ϣ
    BYTE                bReserved[2048];                            // ֽ
} DEV_EVENT_NEAR_DISTANCE_DETECTION_INFO;

// ¼ EVENT_IVS_FLOATINGOBJECT_DETECTION (Ư¼) ӦݿϢ
typedef struct tagDEV_EVENT_FLOATINGOBJECT_DETECTION_INFO
{
	int                 nChannelID;                         // ͨ
	int					nAction;							// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	char                szName[128];                        // ¼
	double              PTS;                                // ʱ(λǺ)
	NET_TIME_EX         UTC;                                // ¼ʱ
	int                 nEventID;                           // ¼ID
	DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
	NET_POINT           DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
	int                 nDetectRegionNum;                   // 򶥵
	int                 nImageIndex;                        // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
	int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
	char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
	UINT				nOccurrenceCount;                   // ¼ۼƴ
	int                 nObjectNum;                         // ⵽
	DH_MSG_OBJECT       stuObjects[HDBJ_MAX_OBJECTS_NUM];	// ⵽
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	char				szPresetName[64];					// ¼Ԥ
	BOOL				bExistFloatingObject;				// ǷƯ
	NET_EM_EVENT_DATA_TYPE		emEventType;				// ¼
	float				fCurrentRatio;						// Ưﵱǰռȣڼ򣩵λ:%, ȡֵΧ[0, 100]
	float				fAlarmThreshold;					// ֵƯڼռ, ȡֵΧ[0, 100]
	NET_INTELLIGENCE_IMAGE_INFO	stuOriginalImage;			// ԭʼͼ
	NET_INTELLIGENCE_IMAGE_INFO	stuSceneImage;				// 䵽Сµץͼ
	BYTE                byReserved[3956];                   // ֽ,չ.
} DEV_EVENT_FLOATINGOBJECT_DETECTION_INFO;

// ¼ EVENT_IVS_WATER_LEVEL_DETECTION(ˮλ¼)ӦݿϢ
typedef struct tagDEV_EVENT_WATER_LEVEL_DETECTION_INFO
{
	int							nChannelID;										// ͨ
	int							nAction;										// 0: 1:ʼ 2:ֹͣ
	char						szName[MAX_EVENT_NAME];							// ¼
	double						PTS;											// ʱ(λǺ)
	NET_TIME_EX					UTC;											// ¼ʱ
	int							nEventID;										// ¼ID

	DH_EVENT_FILE_INFO			stuFileInfo;									// ¼ӦļϢ
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;								// ¼Ϣ 
	char						szPresetName[64];								// Ԥõ
	char						szObjectUUID[48];								// ȫΨһʶ
	NET_EM_EVENT_DATA_TYPE		emEventType;									// ¼
	NET_EM_WATER_LEVEL_STATUS	emStatus;										// ˮλ״̬
	NET_WATER_RULER				stuWaterRuler;									// ˮλ
	NET_INTELLIGENCE_IMAGE_INFO	stuOriginalImage;								// ԭʼͼ
	NET_INTELLIGENCE_IMAGE_INFO	stuSceneImage;									// 䵽Сµץͼ

	BYTE						byReserved[1024];                               // ֽ
}DEV_EVENT_WATER_LEVEL_DETECTION_INFO;

// ¼ EVENT_IVS_SHIP_DETECTION (¼) ӦݿϢ
typedef struct tagDEV_EVENT_SHIP_DETECTION_INFO
{
	int                 nChannelID;                         // ͨ
	int					nAction;							// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	char                szName[128];                        // ¼
	double              PTS;                                // ʱ(λǺ)
	NET_TIME_EX         UTC;                                // ¼ʱ
	int                 nEventID;                           // ¼ID
	DH_EVENT_FILE_INFO  stuFileInfo;                        // ¼ӦļϢ
	NET_POINT           DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
	int                 nDetectRegionNum;                   // 򶥵
	int					nImageIndex;						// ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
	int                 nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ
	NET_CROSSREGION_DIRECTION_INFO emDirection;             // ʾַ
	NET_CROSSREGION_ACTION_INFO    emActionType;            // ʾ⶯
	char                szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
	UINT				nOccurrenceCount;                   // ¼ۼƴ
	int                 nTrackLineNum;                      // ˶켣
	NET_POINT			stuTrackLine[DH_MAX_TRACK_LINE_NUM];// ˶켣
	DH_MSG_OBJECT       stuObject;                          // ⵽
	DH_MSG_OBJECT       stuObjects[HDBJ_MAX_OBJECTS_NUM];	// ⵽
	int                 nObjectNum;                         // ⵽
	int                 nTrackNum;                          // 켣(⵽Ӧ)
	DH_POLY_POINTS      stuTrackInfo[HDBJ_MAX_OBJECTS_NUM];	// 켣Ϣ(⵽Ӧ)
	EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
	char				szPresetName[64];					// ¼Ԥ
	BOOL				bExistShip;							// Ƿڴ
	BYTE                bReserved[4096];                    // ֽ,չ.
} DEV_EVENT_SHIP_DETECTION_INFO;


// ¼ EVENT_IVS_HOLD_UMBRELLA (Υɡ¼) ӦݿϢ
typedef struct tagDEV_EVENT_HOLD_UMBRELLA_INFO
{
    int                 nChannelID;                         // ͨ
    int					nAction;						    // 0: 1:ʼ 2:ֹͣ
    char                szName[128];                        // ¼
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    UINT                nEventID;                           // ¼ID    
    DH_EVENT_FILE_INFO	stuFileInfo;						// ¼ӦļϢ
    NET_POINT           DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    int                 nDetectRegionNum;                   // 򶥵
    DH_MSG_OBJECT       stuObjects[HDBJ_MAX_OBJECTS_NUM];	// ⵽
    int                 nObjectNum;                         // ⵽
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
    char				szPresetName[64];					// ¼Ԥ
    UINT                nViolationDuration;                 // Υʱλ ȱʡֵ0ʾ
    char				szSourceID[32];						// ¼ID,ͬһͼƬɶ¼ʱSourceIDͬ
	DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    BYTE                bReserved[4092];                    // ֽ,չ.
} DEV_EVENT_HOLD_UMBRELLA_INFO;

// ¼ EVENT_IVS_GARBAGE_EXPOSURE (¶¼) ӦݿϢ
typedef struct tagDEV_EVENT_GARBAGE_EXPOSURE_INFO
{
    int                 nChannelID;                         // ͨ
    int					nAction;							// 0: 1:ʼ 2:ֹͣ
    char                szName[128];                        // ¼
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    UINT                nEventID;                           // ¼ID
    DH_EVENT_FILE_INFO	stuFileInfo;						// ¼ӦļϢ
    NET_POINT           DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    int                 nDetectRegionNum;                   // 򶥵
    DH_MSG_OBJECT       stuObjects[HDBJ_MAX_OBJECTS_NUM];	// ⵽
    int                 nObjectNum;                         // ⵽
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
    char				szPresetName[64];					// ¼Ԥ
    UINT                nViolationDuration;                 // Υʱλ ȱʡֵ0ʾ 
    char				szSourceID[32];						// ¼ID,ͬһͼƬɶ¼ʱSourceIDͬ
	DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    BYTE                bReserved[4092];                    // ֽ,չ.
} DEV_EVENT_GARBAGE_EXPOSURE_INFO;

// ¼ EVENT_IVS_DUSTBIN_OVER_FLOW (Ͱ¼) ӦݿϢ
typedef struct tagDEV_EVENT_DUSTBIN_OVER_FLOW_INFO
{
    int                 nChannelID;                         // ͨ
    int					nAction;							// 0: 1:ʼ 2:ֹͣ
    char                szName[128];                        // ¼
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    UINT                nEventID;                           // ¼ID
    DH_EVENT_FILE_INFO	stuFileInfo;						// ¼ӦļϢ
    NET_POINT           DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    int                 nDetectRegionNum;                   // 򶥵
    DH_MSG_OBJECT       stuObjects[HDBJ_MAX_OBJECTS_NUM];	// ⵽
    int                 nObjectNum;                         // ⵽
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
    char				szPresetName[64];					// ¼Ԥ
    UINT                nViolationDuration;                 // Υʱλ ȱʡֵ0ʾ 
    char				szSourceID[32];						// ¼ID,ͬһͼƬɶ¼ʱSourceIDͬ
	DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON    
    BYTE                bReserved[4092];                    // ֽ,չ.
} DEV_EVENT_DUSTBIN_OVER_FLOW_INFO;

// ¼ EVENT_IVS_DOOR_FRONT_DIRTY (ǰҼ¼) ӦݿϢ
typedef struct tagDEV_EVENT_DOOR_FRONT_DIRTY_INFO
{
    int                 nChannelID;                         // ͨ
    int					nAction;							// 0: 1:ʼ 2:ֹͣ
    char                szName[128];                        // ¼
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    UINT                nEventID;                           // ¼ID
    DH_EVENT_FILE_INFO	stuFileInfo;						// ¼ӦļϢ
    NET_POINT           DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    int                 nDetectRegionNum;                   // 򶥵
    DH_MSG_OBJECT       stuObjects[HDBJ_MAX_OBJECTS_NUM];	// ⵽
    int                 nObjectNum;                         // ⵽
    EVENT_INTELLI_COMM_INFO     stuIntelliCommInfo;         // ¼Ϣ
    char				szPresetName[64];					// ¼Ԥ
    char				szShopAddress[256];					// ̵ַ
    UINT                nViolationDuration;                 // Υʱλ룬ȱʡֵ0ʾ 
    char				szSourceID[32];						// ¼ID,ͬһͼƬɶ¼ʱSourceIDͬ
	DWORD               dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON   
    BYTE                bReserved[4092];                    // ֽ,չ.
} DEV_EVENT_DOOR_FRONT_DIRTY_INFO;

// ¼
typedef enum tagEM_HELMET_EVENT_TYPE
{
    EM_UNKNOWN_TYPE,
    EM_NOT_WEAR_HELMET,                                 // δȫñ
}EM_HELMET_EVENT_TYPE;

// ¼ EVENT_IVS_HELMET_DETECTION (ȫñ¼) ӦݿϢ
typedef struct tagDEV_EVENT_HELMET_DETECTION_INFO
{
    int                     nChannelID;                         // ͨ
    int					    nAction;							// 0: 1:ʼ 2:ֹͣ
    char                    szName[128];                        // ¼
    double                  PTS;                                // ʱ(λǺ)
    NET_TIME_EX             UTC;                                // ¼ʱ
    EM_CLASS_TYPE		    emClassType;						// ¼
    UINT                    nEventID;                           // ¼ID
    UINT                    nRuleID;                            // 
    int                     nObjectID;			                // ĿID
    DH_EVENT_FILE_INFO	    stuFileInfo;						// ¼ӦļϢ
    EM_HELMET_EVENT_TYPE    emHelmetEventType ;                 // ¼
    HUMAN_IMAGE_INFO        stuHumanImage;                      // ͼƬ
    SCENE_IMAGE_INFO        stuSceneImage;                      // ȫͼ    
}DEV_EVENT_HELMET_DETECTION_INFO;

// MaskϢ
typedef struct tagNET_CFG_MASK_INFO
{
	UINT					nOffset;							// MaskϢڶݿеƫ
	UINT					nLength;							// MaskϢС,λֽ
	BYTE					byReserved[1016];
}NET_CFG_MASK_INFO;

// ¼ EVENT_IVS_DEPOSIT_DETECTION (ѻ̶ȼ¼) ӦݿϢ
typedef struct tagDEV_EVENT_DEPOSIT_DETECTION_INFO
{
    int                 nChannelID;                         // ͨ
    int					nAction;							// 0: 1:ʼ 2:ֹͣ
    char                szName[128];                        // ¼
    double              PTS;                                // ʱ(λǺ)
    NET_TIME_EX         UTC;                                // ¼ʱ
    DH_EVENT_FILE_INFO	stuFileInfo;						// ¼ӦļϢ
    UINT                nEventID;                           // ¼ID

    int                 nDetectRegionNum;                   // 򶥵
    NET_POINT           DetectRegion[DH_MAX_DETECT_REGION_NUM]; // 
    char                szRegionName[64];                   // 
    UINT                nStackThreshold;                    // ѻٷֱ
    UINT                nGridState;                         // ״̬ 0δ֪1ղ 2 3 4      
    NET_INTELLIGENCE_IMAGE_INFO    stuSceneImage;           // ȫͼϢ
    NET_INTELLIGENCE_IMAGE_INFO    stuDepositImage;         // ڿͼͼƬϢ
    BYTE			    byReserved[1024];			        // ΪͼƬϢԤֽڣֶڸñֽ
	NET_CFG_MASK_INFO	stuMask;							// MaskϢ
}DEV_EVENT_DEPOSIT_DETECTION_INFO;

// ¼ EVENT_IVS_HOTSPOT_WARNING (ȵ쳣¼) ӦݿϢ
typedef struct tagDEV_EVENT_HOTSPOT_WARNING_INFO
{
	int                 nChannelID;                         // ͨ
	int					nAction;							// 0: 1:ʼ 2:ֹͣ
	char                szName[128];                        // ¼
	double              PTS;                                // ʱ(λǺ)
	NET_TIME_EX         UTC;                                // ¼ʱ
	DH_EVENT_FILE_INFO	stuFileInfo;						// ¼ӦļϢ
	UINT                nEventID;                           // ¼ID
	
	DH_POINT				stuPoint;						// ȵ,ֵ 0~8192
	float					fHotSpotValue;                  // ȵ¶ֵ
	NET_TEMPERATURE_UNIT    nTemperatureUnit;               // ¶ȵλ(ǰõ¶ȵλ)
	BYTE					byReserved[256];				// ֽ
}DEV_EVENT_HOTSPOT_WARNING_INFO;

// Ϊ
typedef enum tagEM_CLASSROOM_ACTION
{
	EM_CLASSROOM_ACTION_UNKNOWN,			// δ֪
	EM_CLASSROOM_ACTION_PLAY_PHONE,			// ֻ
	EM_CLASSROOM_ACTION_HANDSUP,			// 
	EM_CLASSROOM_ACTION_LISTEN,				// 
	EM_CLASSROOM_ACTION_READ_WRITE,			// д
	EM_CLASSROOM_ACTION_TABLE,				// ſ
} EM_CLASSROOM_ACTION;

// ¼ EVENT_IVS_CLASSROOM_BEHAVIOR (Ϊ¼) ӦݿϢ
typedef struct tagDEV_EVENT_CLASSROOM_BEHAVIOR_INFO
{
	int                 			nChannelID;                         		// ͨ
    int								nAction;									// 0: 1:ʼ 2:ֹͣ
    char                			szName[128];                         		// ¼
    double              			PTS;                                		// ʱ(λǺ)
    NET_TIME_EX         			UTC;                                		// ¼ʱ
    UINT                			nEventID;                           		// ¼ID
    DH_EVENT_FILE_INFO				stuFileInfo;								// ¼ӦļϢ

	EM_CLASS_TYPE		            emClassType;						        // ¼
	UINT							nRuleID;									// ¼ţڱʾĸ򴥷¼
	UINT							nObjectID;									// ID
	UINT							nSequence;									// ֡
	EM_CLASSROOM_ACTION				emClassroomAction;							// Ϊ
	NET_POINT           			stuDetectRegion[DH_MAX_DETECT_REGION_NUM]; 	// 
	int                 			nDetectRegionNum;                   		// 򶥵
	UINT							nPresetID;									// ¼Ԥõ
	char							szPresetName[64];							// ¼Ԥõ
	char							szSerialUUID[22];							// ȫΨһʶ
																				// ʽ£ǰ2λ%d%d:01-ƵƬ,02-ͼƬ,03-ļ,99-;
																				//м14λYYYYMMDDhhmmss:ʱ;5λ%u%u%u%u%uID00001
	BYTE			    			byReserved1[2];								// ֽڶ 
    DH_RECT             			stuBoundingBox;                        		// Χ
    NET_INTELLIGENCE_IMAGE_INFO		stuSceneImage;           					// ͼϢ
    NET_INTELLIGENCE_IMAGE_INFO    	stuFaceImage;         						// СͼϢ
    NET_FACE_ATTRIBUTE_EX			stuFaceAttributes;							// 
    BYTE			    			byReserved[1024];			        		// Ԥֽ
} DEV_EVENT_CLASSROOM_BEHAVIOR_INFO;

// ¼ EVENT_IVS_VEHICLE_DISTANCE_NEAR (ȫʻ¼) ӦݿϢ
typedef struct tagDEV_EVENT_VEHICLE_DISTANCE_NEAR_INFO
{
    int                 nAction;                                    // ¼, 0ʾ¼, 1ʾ¼ʼ, 2ʾ¼;
    NET_TIME_EX         UTC;                                        // ¼ʱ
    NET_GPS_STATUS_INFO stuGPSStatusInfo;                           // GPSϢ
    char                szDriverID[32];                             // ˾ID
    char                szVideoPath[256];                           // Υ¹ƵFTPϴ·
    BYTE                bReserved[736];                             // Ԥֽ
} DEV_EVENT_VEHICLE_DISTANCE_NEAR_INFO;

// ¼ EVENT_IVS_TRAFFIC_DRIVER_ABNORMAL (ʻԱ쳣¼) ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_DRIVER_ABNORMAL_INFO
{
    int                 nChannelID;                                // ͨ
    int					nAction;							       // ¼, 0ʾ¼, 1ʾ¼ʼ, 2ʾ¼
    NET_GPS_STATUS_INFO stuGPSStatusInfo;                          // GPSϢ
    NET_TIME_EX         UTC;							           // ¼ʱ
    char                szVideoPath[256];                          // Υ¹ƵFTPϴ·
    BYTE                bReserved[768];                            // Ԥֽ
} DEV_EVENT_TRAFFIC_DRIVER_ABNORMAL_INFO;

// ¼ EVENT_IVS_TRAFFIC_DRIVER_CHANGE (ʻԱ¼) ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_DRIVER_CHANGE_INFO
{
    int                 nChannelID;                                // ͨ
    int					nAction;							       // ¼, 0ʾ¼, 1ʾ¼ʼ, 2ʾ¼
    NET_GPS_STATUS_INFO stuGPSStatusInfo;                          // GPSϢ
    NET_TIME_EX         UTC;							           // ¼ʱ
    char                szPrevDriverID[MAX_COMMON_STRING_32];      // ʻԱǰʻԱID
    char                szCurDriverID[MAX_COMMON_STRING_32];       // ʻԱʻԱID
    char                szVideoPath[256];                          // Υ¹ƵFTPϴ·
    BYTE                bReserved[768];                            // Ԥֽ
} DEV_EVENT_TRAFFIC_DRIVER_CHANGE_INFO;

// ȫñ״̬
typedef enum tagEM_WORK_HELMET_STATE
{
	EM_HELMET_STATE_UNKNOWN,		// δ֪
	EM_HELMET_STATE_NOTWEAR,		// ȫñ
	EM_HELMET_STATE_WEAR,			// дȫñ
} EM_WORK_HELMET_STATE;

// ȫñ
typedef struct tagNET_HELMET_ATTRIBUTE
{
	EM_WORK_HELMET_STATE			emHelmetState;								// ȫñ״̬
	EM_CLOTHES_COLOR				emHelmetColor;								// ȫñɫ
	BYTE			    			byReserved[1024];			        		// Ԥֽ
} NET_HELMET_ATTRIBUTE;

// ״̬
typedef enum tagEM_WORKCLOTHES_STATE
{
	EM_WORKCLOTHES_STATE_UNKNOWN,		// δ֪
	EM_WORKCLOTHES_STATE_NOTWEAR,		// ޹
	EM_WORKCLOTHES_STATE_WEAR,			// й
} EM_WORKCLOTHES_STATE;

// 
typedef struct tagNET_WORKCLOTHES_ATTRIBUTE
{
	EM_WORKCLOTHES_STATE			emWorkClothesState;							// ״̬
	EM_CLOTHES_COLOR				emWorkClothColor;							// ɫ
	BYTE			    			byReserved[1024];			        		// Ԥֽ
} NET_WORKCLOTHES_ATTRIBUTE;

// ¼EVENT_IVS_WORKCLOTHES_DETECT(װ(ȫñ/)¼)ӦݿϢ
typedef struct tagDEV_EVENT_WORKCLOTHES_DETECT_INFO
{
	int                 			nChannelID;                         		// ͨ
    int								nAction;									// 0: 1:ʼ 2:ֹͣ
    char                			szName[128];                         		// ¼
    double              			PTS;                                		// ʱ(λǺ)
    NET_TIME_EX         			UTC;                                		// ¼ʱ
    UINT                			nEventID;                           		// ¼ID

	EM_CLASS_TYPE				    emClassType;								// ¼
	UINT							nRuleID;									// ¼ţڱʾĸ򴥷¼
	UINT							nObjectID;									// ID
	UINT							nGroupID;									// ¼IDһμĶnGroupIDͬ
	UINT							nCountInGroup;								// һ¼ڵץ,һμĶnCountInGroupͬ
	UINT							nIndexInGroup;								// һ¼ڵץţ1ʼ
    SCENE_IMAGE_INFO				stuSceneImage;           					// ȫͼϢ
    HUMAN_IMAGE_INFO    			stuHumanImage;         						// СͼϢ
    NET_HELMET_ATTRIBUTE			stuHelmetAttribute;							// ȫñ
    NET_WORKCLOTHES_ATTRIBUTE		stuWorkClothesAttribute;					// 
    BYTE			    			byReserved[1024];			        		// Ԥֽ
} DEV_EVENT_WORKCLOTHES_DETECT_INFO;

// ȫԱͨ
typedef enum tagEM_SECURITYGATE_PERSON_PASS_DIRECTION
{
	EM_SECURITYGATE_PERSON_PASS_DIRECTION_UNKNOWN = 0,	// δ֪
	EM_SECURITYGATE_PERSON_PASS_DIRECTION_IN,			// 
	EM_SECURITYGATE_PERSON_PASS_DIRECTION_OUT,			// 뿪
}EM_SECURITYGATE_PERSON_PASS_DIRECTION;

// ȫԱ
typedef enum tagEM_SECURITYGATE_ALARM_LEVEL
{
	EM_SECURITYGATE_ALARM_LEVEL_UNKNOWN = 0,			    // δ֪
	EM_SECURITYGATE_ALARM_LEVEL_NON,					// ޱ
	EM_SECURITYGATE_ALARM_LEVEL_LOW,					// Σ
	EM_SECURITYGATE_ALARM_LEVEL_MIDDLE,					// Σ
	EM_SECURITYGATE_ALARM_LEVEL_HIGH,					// Σ
}EM_SECURITYGATE_ALARM_LEVEL;

// ȫűλ
typedef enum tagEM_SECURITYGATE_ALARM_POSITION
{
    EM_SECURITYGATE_ALARM_POSITION_UNKNWON       = -1,       // δ֪
    EM_SECURITYGATE_ALARM_POSITION_LEFT_1,                   // 1
    EM_SECURITYGATE_ALARM_POSITION_LEFT_2,                   // 2
    EM_SECURITYGATE_ALARM_POSITION_LEFT_3,                   // 3
    EM_SECURITYGATE_ALARM_POSITION_LEFT_4,                   // 4
    EM_SECURITYGATE_ALARM_POSITION_LEFT_5,                   // 5
    EM_SECURITYGATE_ALARM_POSITION_LEFT_6,                   // 6
    EM_SECURITYGATE_ALARM_POSITION_MIDDLE_1,                 // 1
    EM_SECURITYGATE_ALARM_POSITION_MIDDLE_2,                 // 2
    EM_SECURITYGATE_ALARM_POSITION_MIDDLE_3,                 // 3
    EM_SECURITYGATE_ALARM_POSITION_MIDDLE_4,                 // 4
    EM_SECURITYGATE_ALARM_POSITION_MIDDLE_5,                 // 5
    EM_SECURITYGATE_ALARM_POSITION_MIDDLE_6,                 // 6
    EM_SECURITYGATE_ALARM_POSITION_RIGHT_1,                  // 1
    EM_SECURITYGATE_ALARM_POSITION_RIGHT_2,                  // 2
    EM_SECURITYGATE_ALARM_POSITION_RIGHT_3,                  // 3
    EM_SECURITYGATE_ALARM_POSITION_RIGHT_4,                  // 4
    EM_SECURITYGATE_ALARM_POSITION_RIGHT_5,                  // 5
    EM_SECURITYGATE_ALARM_POSITION_RIGHT_6,                  // 6
} EM_SECURITYGATE_ALARM_POSITION;

// ¼ EVENT_IVS_SECURITYGATE_PERSONALARM ȫԱ¼ӦݿϢ
typedef struct tagDEV_EVENT_SECURITYGATE_PERSONALARM_INFO
{
    int                                         nChannelID;                                 // ͨ
    int                                         nAction;                                    // 0: 1:ʼ 2:ֹͣ
    char                                        szName[DH_EVENT_NAME_LEN];                  // ¼
    double                                      PTS;                                        // ʱ(λǺ)
    NET_TIME_EX                                 UTC;                                        // ʱ
    UINT                                        nEventID;                                   // ¼ID
    EM_SECURITYGATE_PERSON_PASS_DIRECTION       emDirection;                                // Աͨ
    EM_SECURITYGATE_ALARM_LEVEL                 emAlarmLevel;                               // 
    int                                         nChannelIn;                                 // ͨ
    int                                         nChannelOut;                                // 뿪ͨ
    NET_INTELLIGENCE_IMAGE_INFO                 stuImageInfo;                               // ͼƬϢ
    UINT                                        nAlarmPositionNum;                          // λø
    EM_SECURITYGATE_ALARM_POSITION              emAlarmPosition[18];                        // λ
    BYTE                                        bReserved[1020];                            // ֽ
}DEV_EVENT_SECURITYGATE_PERSONALARM_INFO;


// ԱϢ
typedef struct tagNET_HUMAN
{
    NET_RECT            stuBoundingBox;						// Χ(8192ϵ)
    UINT                nObjectID;                          // ID
    BYTE                bReserved[252];                     // ֽ
}NET_HUMAN;

// ¼ EVENT_IVS_STAY_ALONE_DETECTION (˶¼) ӦݿϢ
typedef struct tagDEV_EVENT_STAY_ALONE_DETECTION_INFO
{
    int                 nChannelID;                                 // ͨ
    int					nAction;							        // 0: 1:ʼ 2:ֹͣ
    char                szName[DH_EVENT_NAME_LEN];                  // ¼
    double              PTS;                                        // ʱ(λǺ)
    EM_CLASS_TYPE		emClassType;						        // ¼
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 UTCMS;                                      // UTCʱӦĺ
    int                 nEventID;                                   // ¼ID
    NET_HUMAN           stuHuman;                                   // ԱϢ
    SCENE_IMAGE_INFO_EX stuSceneImage;                              // ȫͼ
    int                 nDetectRegionNum;                           // 򶥵
    DH_POINT            stuDetectRegion[DH_MAX_DETECT_REGION_NUM];  // 
    BYTE                byReserved[1024];                           // ֽ
}DEV_EVENT_STAY_ALONE_DETECTION_INFO;


// ¼ EVENT_IVS_TRAFFIC_ROAD_BLOCK (ͨ·ϼ¼) ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_ROAD_BLOCK_INFO
{
    int                 nChannelID;                                // ͨ
    int					nAction;							       // ¼, 0ʾ¼, 1ʾ¼ʼ, 2ʾ¼
    char                szName[128];                         	   // ¼
    double              PTS;                                	   // ʱ(λǺ)
    NET_TIME_EX         UTC;                                	   // ¼ʱ
    UINT                nEventID;                           	   // ¼ID
    DH_EVENT_FILE_INFO	stuFileInfo;							   // ¼ӦļϢ
	
    NET_RECT			stuBoundingBox;						       // Χ
    UINT                nLane;                                     // 
    EVENT_COMM_INFO     stCommInfo;                                // Ϣ
    DWORD               dwSnapFlagMask;                            // ץͼ־(λ),NET_RESERVED_COMMON 
    BYTE                bReserved[4092];                           // Ԥֽ
} DEV_EVENT_TRAFFIC_ROAD_BLOCK_INFO;

// ¼ EVENT_IVS_TRAFFIC_ROAD_CONSTRUCTION (ͨ·ʩ¼) ӦݿϢ
typedef struct tagDEV_EVENT_TRAFFIC_ROAD_CONSTRUCTION_INFO
{
    int                 nChannelID;                                // ͨ
    int					nAction;							       // ¼, 0ʾ¼, 1ʾ¼ʼ, 2ʾ¼
    char                szName[128];                         	   // ¼
    double              PTS;                                	   // ʱ(λǺ)
    NET_TIME_EX         UTC;                                	   // ¼ʱ
    UINT                nEventID;                           	   // ¼ID
    DH_EVENT_FILE_INFO	stuFileInfo;							   // ¼ӦļϢ
	
    NET_RECT			stuBoundingBox;						       // Χ
    UINT                nLane;                                     // 
    EVENT_COMM_INFO     stCommInfo;                                // Ϣ
    DWORD               dwSnapFlagMask;                            // ץͼ־(λ),NET_RESERVED_COMMON 
    BYTE                bReserved[4092];                           // Ԥֽ
} DEV_EVENT_TRAFFIC_ROAD_CONSTRUCTION_INFO;

// ҵΪ״̬Ϣ
typedef enum tagEM_WORKACTION_STATE
{
	EM_WORKACTION_STATE_UNKNOWN,			// δ֪
	EM_WORKACTION_STATE_NO_WORKER,			// ҵ
	EEM_WORKACTION_STATE_SINGLE_WORKER,		// ҵ
	EM_WORKACTION_STATE_NORED_VEST,			// ޺ҵ
} EM_WORKACTION_STATE;

// ¼EVENT_IVS_WORKSTATDETECTION(ҵͳ¼)ӦݿϢ
typedef struct tagDEV_EVENT_WORKSTATDETECTION_INFO
{
	int                 			nChannelID;                         		// ͨ
    int								nAction;									// 0: 1:ʼ 2:ֹͣ
    char                			szName[128];                         		// ¼
    double              			PTS;                                		// ʱ(λǺ)
    NET_TIME_EX         			UTC;                                		// ¼ʱ
    UINT                			nEventID;                           		// ¼ID

	EM_CLASS_TYPE				    emClassType;								// ¼
	UINT							nRuleID;									// ¼ţڱʾĸ򴥷¼
	UINT							nObjectID;									// ID
	UINT							nWorkActionNum;								// ҵΪ״̬
	EM_WORKACTION_STATE				emWorkAction[32];							// ҵΪ״̬Ϣ
	SCENE_IMAGE_INFO				stuSceneImage;           					// ȫͼϢ
	BYTE			    			byReserved[1024];			        		// Ԥֽ
} DEV_EVENT_WORKSTATDETECTION_INFO;

// 
typedef struct tagNET_FACE_ATTRIBUTES
{
    int                             nAngle[3];              // ץĽǶ,Ƕȷֱǣ,ƫ,ǣĬֵ[999,999,999]ʾ޴
    UINT                            nFaceQuality;           // ץ,ȡֵΧ 0~10000
    int                             nFaceAlignScore;        // ÷ַ,ȡֵΧ 0~10000-1ΪЧֵ
    BYTE			    			byReserved[36];	        // Ԥֽ
}NET_FACE_ATTRIBUTES;

// ֵϢ
typedef struct tagNET_FEATURE_VECTOR_INFO
{
    char                            szFeatureVersion[32];   // 汾汾
    EM_FEATURE_ERROR_CODE           emFeatureErrCode;       // ģʧܴ
    NET_FEATURE_VECTOR              stuFeatureVector;       // ֵƫƺʹСϢ
    NET_FACE_ATTRIBUTES             stuFaceAttribute;       //  ,ȡɹʱϱ        
    BYTE			    			byReserved[968];	    // Ԥֽ
}NET_FEATURE_VECTOR_INFO;

// ¼EM_ANALYSE_EVENT_FEATURE_ABSTRACT(ȡ)ӦݿϢ
typedef struct tagDEV_EVENT_FEATURE_ABSTRACT_INFO
{
    int                 			nChannelID;                         		// ͨ
    int								nAction;									// 0: 1:ʼ 2:ֹͣ
    EM_CLASS_TYPE                   emClassType;                           		// ¼
    UINT                            nFeatureNum;                                // ֵ
    NET_FEATURE_VECTOR_INFO         stuFeatureVectorList[10];                   // ֵ飬ͬһͼƬҪж汾ȡһ¼з
    BYTE			    			byReserved[1024];			        		// Ԥֽ
} DEV_EVENT_FEATURE_ABSTRACT_INFO;

// ȫץĴ
typedef enum tagEM_TRIGGER_EVENT_TYPE
{
	EM_TRIGGER_EVENT_TYPE_UNKNOWN,		// δ֪
	EM_TRIGGER_EVENT_TYPE_PTZ_PRESET,	// ̨Ԥõ㴥
	EM_TRIGGER_EVENT_TYPE_FIREWARNING,	// 鴥
	EM_TRIGGER_EVENT_TYPE_MOVE_ABSOLUTELY,// ƶλ
} EM_TRIGGER_EVENT_TYPE;

// ¼EVENT_IVS_PANORAMA_SHOT(ȫץ)ӦݿϢ
typedef struct tagDEV_EVENT_PANORAMA_SHOT_INFO
{
	int						nChannelID;                 // ͨ

	char					szStationID[64];			// վID
	char					szPictureID[128];			// ӰID
	NET_TIME_EX				stuLocalSnapshotTime;		// ץʱ	
	int						nPitchAngleInSnapping;		// ץʱĸ(ǶȾȷ0.1)Χ-1800~1800Ӧʵʵġ-180.0~180.0ȣ10ʾ
	int						nHorizontalAngleInSnapping;	// ץʱˮƽǶ(ǶȾȷ0.1)Χ0~3599Ӧʵʡ0~359.9ȡ10ʾ 
	EM_TRIGGER_EVENT_TYPE	emTriggerEventType;			// ȫץ
	DWORD					dwFireID;					// ID¼Ϊ鴥Ч
	NET_RECT				stuFireBoundingBox;			// ߽򣨴¼Ϊ鴥Ч				
	BYTE					byReserved[1024];			// Ԥֽ
} DEV_EVENT_PANORAMA_SHOT_INFO;

// ¼EVENT_IVS_INTELLI_SHELF(ܲ¼)ӦݿϢ
typedef struct tagDEV_EVENT_INTELLI_SHELF_INFO
{
    int                 			nChannelID;                         		// ͨ
    int								nAction;									// 0: 1:ʼ 2:ֹͣ
    char                			szName[128];                         		// ¼
    double              			PTS;                                		// ʱ(λǺ)
    NET_TIME_EX         			UTC;                                		// ¼ʱ
    UINT                			nEventID;                           		// ¼ID
    EM_CLASS_TYPE				    emClassType;								// ¼

    UINT                            nAreaID;                                    // ID1ʼ, 0Ϊ
    UINT                            nPresetID;                                  // ¼Ԥõţ1ʼ
    int                             nPercent;                                   // ʾʣİٷֱ
    SCENE_IMAGE_INFO_EX             stuSceneImage;                              // ȫͼ
	BYTE			    			byReserved1[4];								// Ԥֽֽڶ
    BYTE			    			byReserved[1024];			        		// Ԥֽ
} DEV_EVENT_INTELLI_SHELF_INFO;

// ʻ
typedef enum tagEM_DRIVING_DIRECTION
{
	EM_DRIVING_DIRECTION_UNKNOWN = 0,								// δ֪ 
	EM_DRIVING_DIRECTION_IN,										// ʻ
	EM_DRIVING_DIRECTION_OUT,										// ʻ
}EM_DRIVING_DIRECTION;


// ¼EVENT_IVS_CAR_DRIVING_IN_OUT(ʻʻ״̬¼)ӦݿϢ
typedef struct tagDEV_EVENT_CAR_DRIVING_IN_OUT_INFO
{
	int                 nChannelID;                                 // ͨ
	int                 nEventID;                                   // ¼ID
	char                szName[128];                                // ¼
	double              PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         UTC;                                        // ¼ʱ
	DH_MSG_OBJECT       stuObject;                                  // Ϣ
	DH_MSG_OBJECT       stuVehicle;                                 // Ϣ
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ 
	int					nSequence;									// ʾץ,3-2-1/0,1ʾץ,0ʾץ쳣
	int					nFrameSequence;								// ֡
	EM_DRIVING_DIRECTION emDrivingDirection;						// ʻ
	NET_EVENT_IMAGE_OFFSET_INFO	stuGlobalScene;						// ͼϢ
	NET_EVENT_IMAGE_OFFSET_INFO	stuParkingImage;					// λͼϢ
	char				szParkingNum[32];							// λ(ش) 
	BYTE				byReserved[512];							// Ԥֽ
}DEV_EVENT_CAR_DRIVING_IN_OUT_INFO;

// ¼EVENT_IVS_PARKINGSPACE_STATUS(ͣλ״̬¼)ӦݿϢ
typedef struct tagDEV_EVENT_PARKINGSPACE_STATUS_INFO
{
	int                 nChannelID;                                 // ͨ
	int                 nEventID;                                   // ¼ID
	char                szName[128];                                // ¼
	double              PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         UTC;                                        // ¼ʱ
	DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ 

	int					nSource;									// ƵԴַ
	int					nFrameSequence;								// ֡

	int					nMark;										// ڱץ֡
	EM_PARKINGSPACE_STATUS emParkingSpaceStatus;					// λ״̬
	char				szParkingNum[32];							// λ(ش) 
	char				szText[32];									// ƺ 
	BYTE				byReserved[512];							// Ԥֽ
}DEV_EVENT_PARKINGSPACE_STATUS_INFO;


// ĿϢ
typedef struct tagOBJECT_RELATED_INFO
{
	UINT							nObjectID;									// ID
	UINT							nRelativeID;								// ID
	char							szObjectType[128];							// ,"HumanFace"
	NET_RECT						stuBoundingBox;								// ΧУ[0, 8192]
	NET_RECT						stuOriginalBoundingBox;						// ԭʼΧУ[0, 8192]
	BYTE							byReserved[1024];							// Ԥֶ
}OBJECT_RELATED_INFO;

// ¼EVENT_IVS_FACEBODY_DETECT(¼)ӦݿϢ
typedef struct tagDEV_EVENT_FACEBODY_DETECT_INFO
{
	int                 			nChannelID;                                 // ͨ
	int								nAction;									// 1:ʼ 2:ֹͣ
	char                			szName[128];                                // ¼
	double              			PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         			UTC;                                        // ¼ʱ
	EM_CLASS_TYPE					emClassType;								// ¼
	UINT                			nEventID;                           		// ¼ID
	UINT							nObjectID;									// ID
	UINT							nRuleID;									// ¼ţڱʾĸ򴥷¼
	UINT							nSequence;									// ֡
	int								nGroupID;									// ¼IDһμĶnGroupIDͬ
	int								nCountInGroup;								// һ¼ڵץ,һμĶnCountInGroupͬ
	int								nIndexInGroup;								// һ¼ڵץţ1ʼ
	BYTE							byReserved1[4];								// ֽڶ
	FACE_TRAIT						stuFaceTrait;								// 
	BODY_TRAIT						stuBodyTrait;								// 
	NET_EVENT_IMAGE_OFFSET_INFO		stuBodyImage;								// ͼƬϢ
	NET_EVENT_IMAGE_OFFSET_INFO		stuFaceImage; 								// ͼƬϢ
	NET_EVENT_IMAGE_OFFSET_INFO		stuSceneImage;								// ȫͼƬϢ
	OBJECT_RELATED_INFO				stuFaceObject;								// Ϣ
	OBJECT_RELATED_INFO				stuBodyObject;								// Ϣ
}DEV_EVENT_FACEBODY_DETECT_INFO;


// ¼EVENT_IVS_FACEBODY_ANALYSE(ʶ¼)ӦݿϢ
typedef struct tagDEV_EVENT_FACEBODY_ANALYSE_INFO
{
	int                 			nChannelID;                                 // ͨ
	int								nAction;									// 1:ʼ 2:ֹͣ
	char                			szName[128];                                // ¼
	double              			PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         			UTC;                                        // ¼ʱ
	EM_CLASS_TYPE					emClassType;								// ¼
	UINT                			nEventID;                           		// ¼ID
	UINT							nObjectID;									// ID
	UINT							nRuleID;									// ¼ţڱʾĸ򴥷¼
	UINT							nSequence;									// ֡
	int								nGroupID;									// ¼IDһμĶnGroupIDͬ
	int								nCountInGroup;								// һ¼ڵץ,һμĶnCountInGroupͬ
	int 							nIndexInGroup;								// һ¼ڵץţ1ʼ
	BYTE							byReserved1[4];								// ֽڶ
	FACE_TRAIT						stuFaceTrait;								// 
	BODY_TRAIT						stuBodyTrait;								// 
	NET_EVENT_IMAGE_OFFSET_INFO		stuBodyImage;								// ͼƬϢ
	NET_EVENT_IMAGE_OFFSET_INFO		stuFaceImage; 								// ͼƬϢ
	NET_EVENT_IMAGE_OFFSET_INFO		stuSceneImage;								// ȫͼƬϢ
	OBJECT_RELATED_INFO				stuFaceObject;								// Ϣ
	OBJECT_RELATED_INFO				stuBodyObject;								// Ϣ
	CANDIDATE_INFOEX				stuCandidate[DH_MAX_CANDIDATE_NUM];			// ѡб
	int								nCandidateNum;								// صĺѡ
}DEV_EVENT_FACEBODY_ANALYSE_INFO;

// ¼EVENT_IVS_CONGESTION_DETECTION(·ӵ±¼)ӦݿϢ
typedef struct tagDEV_EVENT_CONGESTION_DETECTION_INFO
{
	int                 			nChannelID;                                 // ͨ
	int								nAction;									// 1:ʼ 2:ֹͣ
	char                			szName[128];                                // ¼
	double              			PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         			UTC;                                        // ¼ʱ
	DH_EVENT_FILE_INFO				stuFileInfo;								// ¼ӦļϢ
	EM_CLASS_TYPE					emClassType;								// ¼
	UINT                			nEventID;                           		// ¼ID
	UINT							nRuleID;									// ¼ţڱʾĸ򴥷¼
	int 							nPresetID;									// ¼Ԥõţ1ʼ
	char							szPresetName[64];							// ¼Ԥ
	int								nAlarmMask;									// ҵ, ͬλʾͬͣbit0λʾǷӵ±bit1λʾǷŶӱ
	int								nVehicleQuantity;							// ӵ³
	int								nQueueLength;								// Ŷӳ
	int								nDetectRegionNum;							// stuDetectRegionЧ
	DH_POINT						stuDetectRegion[32];						// 
	BYTE			    			byReserved[1024];			        		// Ԥֽ
}DEV_EVENT_CONGESTION_DETECTION_INFO;

// ¼EVENT_IVS_VEHICLELIMIT_DETECTION(ͣͣޱ)ӦݿϢ
typedef struct tagDEV_EVENT_VEHICLELIMIT_DETECTION_INFO
{
	int                 			nChannelID;                                 // ͨ
	int								nAction;									// 1:ʼ 2:ֹͣ
	char                			szName[128];                                // ¼
	double              			PTS;                                        // ʱ(λǺ)
	NET_TIME_EX         			UTC;                                        // ¼ʱ
	DH_EVENT_FILE_INFO				stuFileInfo;								// ¼ӦļϢ
	EM_CLASS_TYPE					emClassType;								// ¼
	UINT                			nEventID;                           		// ¼ID
	UINT							nRuleID;									// ¼ţڱʾĸ򴥷¼
	int 							nPresetID;									// ¼Ԥõţ1ʼ
	char							szPresetName[64];							// ¼Ԥ
	int								nVehicleQuantity;							// 
	int								nDetectRegionNum;							// stuDetectRegionЧ
	DH_POINT						stuDetectRegion[32];						// 
	BYTE			    			byReserved[1024];			        		// Ԥֽ
}DEV_EVENT_VEHICLELIMIT_DETECTION_INFO;

// ¼EVENT_IVS_VIOLENT_THROW_DETECTION()ӦݿϢ
typedef struct tagDEV_EVENT_VIOLENT_THROW_DETECTION_INFO
{
    int                 nChannelID;                                 // ͨ
    int					nAction;									// 0: 1:ʼ 2:ֹͣ
    char                szName[128];                                // ¼
    double              PTS;                                        // ʱ(λǺ)
    NET_TIME_EX         UTC;                                        // ¼ʱ
    int                 nEventID;                                   // ¼ID
    DH_EVENT_FILE_INFO  stuFileInfo;                                // ¼ӦļϢ 
    
	int                 nFrameSequence;                             // Ƶ֡
    char                szRegionName[64];                           //  
    SCENE_IMAGE_INFO_EX stuSceneImage;                              // ͼϢ
	BYTE				byReserver[1028];							// ֽ
}DEV_EVENT_VIOLENT_THROW_DETECTION_INFO;

// ¼EVENT_IVS_TRAMCARSECTIONS_DETECTION(󳵳ұ¼)ӦݿϢ
typedef struct tagDEV_EVENT_TRAMCARSECTIONS_DETECTION_INFO
{
	int							nChannelID;                         // ͨ
	int							nAction;							// 0: 1:ʼ 2:ֹͣ
	char						szName[128];                        // ¼
	double						PTS;                                // ʱ(λǺ)
	NET_TIME_EX					UTC;                                // ¼ʱ
	int							nEventID;                           // ¼ID

	UINT						nRuleID;							// ¼ţڱʾĸ򴥷¼
	EM_CLASS_TYPE				emClassType;						// ¼
	int							nSequence;							// ֡

	UINT						nCarSections;						// ǰ
	NET_INTELLIGENCE_IMAGE_INFO	stuSceneImage;						// ȫͼ
	BYTE						byReserved[512];					// Ԥֽ
}DEV_EVENT_TRAMCARSECTIONS_DETECTION_INFO;

// ͳϢ
typedef struct tagNET_ANIMAL_OBJECTS_STATISTICS
{
    UINT                nAnimalsAmount;     // 
    BYTE                bReserved[132];     // ֽ
}NET_ANIMAL_OBJECTS_STATISTICS;


// ĴͼϢ
typedef struct tagNET_ANIMAL_SCENE_IMAGE_INFO
{
    UINT				nOffSet;			// ڶݿеƫ   
    UINT				nLength;		    // ͼƬС,λֽ
    BYTE                bReserved[256];     // ֽ
}NET_ANIMAL_SCENE_IMAGE_INFO;

// ¼EVENT_IVS_ANIMAL_DETECTION(¼)ӦݿϢ
typedef struct tagDEV_EVENT_ANIMAL_DETECTION_INFO
{
    int							    nChannelID;                         // ͨ
    int							    nAction;							// 0: 1:ʼ 2:ֹͣ
    char						    szName[128];                        // ¼
    double						    PTS;                                // ʱ(λǺ)
    NET_TIME_EX					    UTC;                                // ¼ʱ
    int							    nEventID;                           // ¼ID

    UINT						    nRuleID;							// ¼ţڱʾĸ򴥷¼
    int							    nSequence;							// ֡
    NET_ANIMAL_SCENE_IMAGE_INFO	    stuSceneImage;						// ȫͼ
    NET_ANIMAL_OBJECTS_STATISTICS   stuObjectsStatistics;               // ͳϢ
	EM_CLASS_TYPE				    emClassType;						// ¼
    BYTE						    byReserved[516];					// Ԥֽ
}DEV_EVENT_ANIMAL_DETECTION_INFO;

// 
typedef enum tagEM_VEHICLE_ACTION
{
    EM_VEHICLE_ACTION_UNKNOWN,          // δ֪
    EM_VEHICLE_ACTION_APPEAR,           // 
    EM_VEHICLE_ACTION_DISAPPEAR,        // 뿪
    EM_VEHICLE_ACTION_STAY,             // ͣڼ
} EM_VEHICLE_ACTION;

// 

// ⵽ĳϢ
typedef struct tagNET_DETECT_VEHICLE_INFO
{
    EM_VEHICLE_ACTION       emAction;               // ⳵
    UINT                    nObjectID;              // ID
    EVENT_PIC_INFO          stuVehicleImage;        // ץͼϢ
    NET_COLOR_RGBA          stuColor;               // Ҫɫ
    EM_CATEGORY_TYPE        emCategoryType;         // 
    UINT                    nFrameSequence;         // ֡
    UINT                    nCarLogoIndex;          // 
    UINT                    nSubBrand;              // Ʒ
    UINT                    nBrandYear;             // Ʒ
    UINT                    nConfidence;            // Ŷ,ֵԽʾŶԽ, Χ 0~255
    NET_RECT                stuBoundingBox;         // Χ, 0-8191
    char                    szText[128];            // 
    UINT                    nSpeed;                 // ,λΪkm/h
    UINT                    nDirection;             // ʻ, 0:δ֪, 1:з, 2:з
    BYTE                    bReserved[512];         // ֽ
} NET_DETECT_VEHICLE_INFO;

// ĳϢ
typedef struct tagNET_DETECT_PLATE_INFO
{
    UINT                    nObjectID;              // ID
    UINT                    nRelativeID;            // ĳID
    EVENT_PIC_INFO          stuPlateImage;          // ͼƬϢ
    EM_NET_PLATE_TYPE       emPlateType;            // 
    EM_NET_PLATE_COLOR_TYPE emPlateColor;           // ɫ
    UINT                    nConfidence;            // Ŷ,ֵԽʾŶԽ, Χ 0~255
    char                    szCountry[3];           // ƹ
    BYTE                    bReserved1;             // ֽڶ
    char                    szPlateNumber[128];     // ƺ
    BYTE                    bReserved[512];         // ֽ
} NET_DETECT_PLATE_INFO;

// ¼EVENT_IVS_GASSTATION_VEHICLE_DETECT(վ¼)ӦݿϢ
typedef struct tagDEV_EVENT_GASSTATION_VEHICLE_DETECT_INFO
{
    int                         nChannelID;                                 // ͨ
    int                         nAction;                                    // 0: 1:ʼ 2:ֹͣ
    char                        szName[128];                                // ¼
    double                      PTS;                                        // ʱ(λǺ)
    NET_TIME_EX                 UTC;                                        // ¼ʱ
    int                         nEventID;                                   // ¼ID

    UINT                        nRuleID;                                    // ¼ţڱʾĸ򴥷¼
    EM_CLASS_TYPE               emClassType;                                // ¼

    NET_DETECT_VEHICLE_INFO     stuDetectVehicleInfo;                       // ⵽ĳϢ
    NET_DETECT_PLATE_INFO       stuDetectPlateInfo;                         // ⵽ĳϢ
    BOOL                        bIsGlobalScene;                             // Ƿгͼ
    EVENT_PIC_INFO              stuSceneImage;                              // ͼϢ, bIsGlobalScene Ϊ TRUE ʱЧ
    int                         nCarCandidateNum;                           // ѡ    
    NET_CAR_CANDIDATE_INFO      stuCarCandidate[MAX_CAR_CANDIDATE_NUM];     // ѡ
    BYTE                        bReserved[1024];                            // ֽ
} DEV_EVENT_GASSTATION_VEHICLE_DETECT_INFO;


// ¼EVENT_IVS_SHOP_WINDOW_POST(¼)ӦݿϢ
typedef struct tagDEV_EVENT_SHOP_WINDOW_POST_INFO
{
    int                         nChannelID;                                 // ͨ
    int                         nAction;                                    // 0: 1:ʼ 2:ֹͣ
    char                        szName[128];                                // ¼
    double                      PTS;                                        // ʱ(λǺ)
    NET_TIME_EX                 UTC;                                        // ¼ʱ
    int                         nEventID;                                   // ¼ID
    UINT                        nRuleID;                                    // ¼ţڱʾĸ򴥷¼
    EM_CLASS_TYPE               emClassType;                                // ¼
    DH_EVENT_FILE_INFO          stuFileInfo;                                // ¼ӦļϢ 

    int                         nDetectRegionNum;                           // 򶥵
    DH_POINT                    stuDetectRegion[DH_MAX_DETECT_REGION_NUM];  // 
    int					        nObjectNum;									// ⵽
    DH_MSG_OBJECT		        stuObjects[HDBJ_MAX_OBJECTS_NUM];			// ⵽
    
    UINT                        nPresetID;                                  // ¼Ԥõţ1ʼ
    char                        szPresetName[64];                           // ¼Ԥõ
    char                        szShopAddress[256];                         // ̵ַ
    UINT                        nViolationDuration;                         // Υʱλ,ȱʡֵ0ʾ
    DWORD                       dwSnapFlagMask;                             // ץͼ־(λ), NET_RESERVED_COMMON    
    BYTE                        bReserved[1024];                            // ֽ
} DEV_EVENT_SHOP_WINDOW_POST_INFO;

// ¼EVENT_IVS_SHOP_SIGN_ABNORMAL(쳣¼)ӦݿϢ
typedef struct tagDEV_EVENT_SHOP_SIGN_ABNORMAL_INFO
{
    int                         nChannelID;                                 // ͨ
    int                         nAction;                                    // 0: 1:ʼ 2:ֹͣ
    char                        szName[128];                                // ¼
    double                      PTS;                                        // ʱ(λǺ)
    NET_TIME_EX                 UTC;                                        // ¼ʱ
    int                         nEventID;                                   // ¼ID
    UINT                        nRuleID;                                    // ¼ţڱʾĸ򴥷¼
    EM_CLASS_TYPE               emClassType;                                // ¼
    DH_EVENT_FILE_INFO          stuFileInfo;                                // ¼ӦļϢ 

    int                         nDetectRegionNum;                           // 򶥵
    DH_POINT                    stuDetectRegion[DH_MAX_DETECT_REGION_NUM];  // 
    int					        nObjectNum;									// ⵽
    DH_MSG_OBJECT		        stuObjects[HDBJ_MAX_OBJECTS_NUM];			// ⵽

    UINT                        nPresetID;                                  // ¼Ԥõţ1ʼ
    char                        szPresetName[64];                           // ¼Ԥõ
    char                        szShopAddress[256];                         // ̵ַ
    UINT                        nViolationDuration;                         // Υʱλ,ȱʡֵ0ʾ
    DWORD                       dwSnapFlagMask;                             // ץͼ־(λ), NET_RESERVED_COMMON    
    BYTE                        bReserved[1024];                            // ֽ
} DEV_EVENT_SHOP_SIGN_ABNORMAL_INFO;

// ǻֳĿ
typedef enum tagEM_BREED_DETECT_CATEGORY_TYPE
{
    EM_BREED_DETECT_CATEGORY_UNKNOWN,                   // δ֪
    EM_BREED_DETECT_CATEGORY_PIG,                       // 
} EM_BREED_DETECT_CATEGORY_TYPE;

// ǻֳϢ
typedef struct tagNET_VAOBJECT_ANIMAL_INFO
{
    UINT                            nObjectID;              // IDÿIDʾһΨһ
    EM_BREED_DETECT_CATEGORY_TYPE   emCategoryType;         // ǻֳĿ
    NET_RECT                        stuBoundingBox;         // Χ
    UINT                            nObjectWeight;          // , λ: g
    SCENE_IMAGE_INFO_EX             stuImageData;           // ͼ
    BYTE                            byReserved[1024];       // Ԥֽ
} NET_VAOBJECT_ANIMAL_INFO;

// ¼EVENT_IVS_BREED_DETECTION(ǻֳ¼)ӦݿϢ
typedef struct tagDEV_EVENT_BREED_DETECTION_INFO
{
    int                         nChannelID;                         // ͨ
    int                         nAction;                            // 0: 1:ʼ 2:ֹͣ
    char                        szName[128];                        // ¼
    double                      PTS;                                // ʱ(λǺ)
    NET_TIME_EX                 UTC;                                // ¼ʱ
    int                         nEventID;                           // ¼ID

    UINT                        nRuleID;                            // ¼ţڱʾĸ򴥷¼
    UINT                        nSequence;                          // ֡
    EM_CLASS_TYPE               emClassType;                        // ¼
    SCENE_IMAGE_INFO_EX         stuSceneImage;                      // ȫͼ
    BYTE                        byReserved1[4];                     // ֽڶ
    UINT                        nObjectNum;                         // ⵽
    NET_VAOBJECT_ANIMAL_INFO    stuObjects[64];                     // ⵽Ϣ
    BYTE                        byReserved[512];                    // Ԥֽ
} DEV_EVENT_BREED_DETECTION_INFO;

// ϳ
typedef enum tagEM_AIRPORT_VEHICLE_TYPE
{
	EM_AIRPORT_VEHICLE_TYPE_UNKNOWN = 0,							// δ֪
	EM_AIRPORT_VEHICLE_TYPE_TANKER,									// ͳ
	EM_AIRPORT_VEHICLE_TYPE_CONVEYORCAR,							// ʹ
	EM_AIRPORT_VEHICLE_TYPE_TRAILERCAR,								// ϳ
}EM_AIRPORT_VEHICLE_TYPE;

// ϳ
typedef enum tagEM_AIRPORT_VEHICLE_ACTION
{
	EM_AIRPORT_VEHICLE_ACTION_UNKNOWN = 0,							// δ֪
	EM_AIRPORT_VEHICLE_ACTION_ENTERREGION,							// 
	EM_AIRPORT_VEHICLE_ACTION_LEAVEREGION,							// 뿪
	EM_AIRPORT_VEHICLE_ACTION_STARTWORK,							// ʼ
	EM_AIRPORT_VEHICLE_ACTION_OVERWORK,								// 
	EM_AIRPORT_VEHICLE_ACTION_AIRREFUEL,							// ɻ
	EM_AIRPORT_VEHICLE_ACTION_OVERREFUEL,							// 
}EM_AIRPORT_VEHICLE_ACTION;

// ϳ
typedef struct tagNET_AIRPORT_VEHICLE_OBJECT
{
	int								nObjectID;						// ID
	EM_AIRPORT_VEHICLE_TYPE			emType;							// ϳ
	NET_RECT						stuRect;						// ϳλ
	EM_AIRPORT_VEHICLE_ACTION		emAction;						// ϳ
	BYTE							byReserved[1020];				// Ԥֽ
}NET_AIRPORT_VEHICLE_OBJECT;

// ¼EVENT_IVS_AIRPORT_VEHICLE_DETECT(ܱϳ¼)ӦݿϢ
typedef struct tagDEV_EVENT_AIRPORT_VEHICLE_DETECT_INFO
{
    int                         nChannelID;									// ͨ
    int                         nAction;									// 0: 1:ʼ 2:ֹͣ
    char                        szName[128];								// ¼
    double                      PTS;										// ʱ(λǺ)
    NET_TIME_EX                 UTC;										// ¼ʱ
    int                         nEventID;									// ¼ID

    UINT                        nRuleID;									// ¼ţڱʾĸ򴥷¼
    UINT                        nSequence;									// ֡
    EM_CLASS_TYPE               emClassType;								// ¼
	int                         nDetectRegionNum;                           // 򶥵
	DH_POINT                    stuDetectRegion[DH_MAX_DETECT_REGION_NUM];  // ,[0,8192)
	SCENE_IMAGE_INFO_EX         stuSceneImage;								// ȫͼ
	int 						nVehicleObjectNum;							// ⵽ıϳ
	NET_AIRPORT_VEHICLE_OBJECT	stuVehicleObjects[MAX_AIRPORT_VEHICLE_OBJECT_NUM];	// Ᵽϳб
    BYTE                        byReserved[504];							// Ԥֽ
} DEV_EVENT_AIRPORT_VEHICLE_DETECT_INFO;


// ¼EVENT_IVS_MAN_CAR_COEXISTANCE(˳¼)ӦݿϢ
typedef struct tagDEV_EVENT_MAN_CAR_COEXISTANCE_INFO
{
    int                         nChannelID;									// ͨ
    int                         nAction;									// 0: 1:ʼ 2:ֹͣ
    char                        szName[128];								// ¼
    double                      PTS;										// ʱ(λǺ)
    NET_TIME_EX                 UTC;										// ¼ʱ
    int                         nEventID;									// ¼ID
    
    UINT                        nRuleID;									// ¼ţڱʾĸ򴥷¼
    UINT                        nSequence;									// ֡
    EM_CLASS_TYPE               emClassType;								// ¼
    DWORD                       dwSnapFlagMask;                             // ץͼ־(λ), NET_RESERVED_COMMON    
    SCENE_IMAGE_INFO			stuSceneImage;						        // ȫͼ
    BYTE                        byReserved[512];							// Ԥֽ
}DEV_EVENT_MAN_CAR_COEXISTANCE_INFO;

// λǰ״̬
typedef enum tagEM_PARKING_STATE
{
    EM_PARKING_STATE_UNKNOWN = -1,               // δ֪
    EM_PARKING_STATE_FREE,                       // 
    EM_PARKING_STATE_BUSY,                       // ռ
} EM_PARKING_STATE;

// λ״̬ϴϱı仯״̬
typedef enum tagEM_PARKING_CHANGE_STATUS
{
    EM_PARKING_CHANGE_STATUS_UNKNOWN = -1,               // δ֪
    EM_PARKING_CHANGE_STATUS_NO_CHANGE,                  // ޱ仯
    EM_PARKING_CHANGE_STATUS_FREE_TO_BUSY,               // еռ
    EM_PARKING_CHANGE_STATUS_BUSY_TO_FREE,               // ռõ
} EM_PARKING_CHANGE_STATUS;

// ͣλ״̬
typedef struct tagNET_PARKING_STATUS
{
    char                                              szName[32];                                               // λ
    int                                               nID;                                                      // λIDΧ:[0,99]
    EM_PARKING_STATE                                  emStatus;                                                 // λǰ״̬
    EM_PARKING_CHANGE_STATUS                          emChangeStatus;                                           // λ״̬ϴϱı仯״̬
    BYTE                                              reserved[252];                                            // Ԥֽ
} NET_PARKING_STATUS;

//¼ EVENT_IVS_PARKING_LOT_STATUS_DETECTION(ͣλ״̬)ӦݿϢ
typedef struct tagDEV_EVENT_PARKING_LOT_STATUS_DETECTION_INFO
{
    int                         nChannelID;                                 // ͨ
    int                         nAction;                                    // 0: 1:ʼ 2:ֹͣ
    char                        szName[128];                                // ¼
    EM_CLASS_TYPE               emClassType;                                // ¼
    NET_TIME_EX                 UTC;                                        // ¼ʱ
    double                      PTS;                                        // ʱ(λǺ)
    unsigned int                nEventID;                                   // ¼ID
    UINT                        nRuleID;                                    // ¼ţڱʾĸ򴥷¼
    UINT                        nSequence;                                  // ֡
    int                         nParkingStatusNum;                          // ͣλ
    NET_PARKING_STATUS          stuParkingStatus[100];                      // ͣλ״̬
    SCENE_IMAGE_INFO_EX         stuSceneImage;                              // ȫͼ
    BYTE                        byReserved[1020];                           // Ԥֽ
} DEV_EVENT_PARKING_LOT_STATUS_DETECTION_INFO;

// ¼EVENT_IVS_HIGH_TOSS_DETECT(߿¼)ӦݿϢ
typedef struct tagDEV_EVENT_HIGH_TOSS_DETECT_INFO
{
    int                         nChannelID;									// ͨ
    int                         nAction;									// 0: 1:ʼ 2:ֹͣ
    char                        szName[128];								// ¼
    double                      PTS;										// ʱ(λǺ)
    NET_TIME_EX                 UTC;										// ¼ʱ
    int                         nEventID;									// ¼ID

    UINT                        nRuleID;									// ¼ţڱʾĸ򴥷¼
    EM_CLASS_TYPE               emClassType;								// ¼
    NET_HIGHTOSS_OBJECT_INFO    stuObjInfos[50];                            // Ϣ
    UINT                        nObjNum;                                    // 
    BYTE                        byReserved[1020];							// Ԥֽ
} DEV_EVENT_HIGH_TOSS_DETECT_INFO;

// ͼ
typedef struct tagNET_OBJECT_IMAGE_INFO
{
    unsigned int        nOffSet;                // ڶݿеƫ   
    unsigned int        nLength;                // ͼƬС,λֽ
    unsigned int        nWidth;                 // ͼƬ()
    unsigned int        nHeight;                // ͼƬ߶()
    char                szFilePath[260];        // ȫͼƬ·
    BYTE                byReserved[508];        // Ԥֽ
}NET_OBJECT_IMAGE_INFO;

// 
typedef enum tagEM_ELECTRIC_GLOVE_TYPE
{
    EM_ELECTRIC_GLOVE_TYPE_UNKNOWN,         // δ֪
    EM_ELECTRIC_GLOVE_TYPE_GENERAL,         // ͨ
    EM_ELECTRIC_GLOVE_TYPE_INSULATED,       // Ե
} EM_ELECTRIC_GLOVE_TYPE;

// ׶Ϣ
typedef struct tagNET_ELECTRIC_GLOVE_OBJECT
{
    UINT                        nObjectID;                      // ID
    EM_ELECTRIC_GLOVE_TYPE      emGloveType;                    // 
    NET_RECT                    stuBoundingBox;                 // Χ
    NET_OBJECT_IMAGE_INFO       stuImageData;                   // ͼ
    BYTE                        byReserved[1024];               // Ԥֽ
} NET_ELECTRIC_GLOVE_OBJECT;

// ¼EVENT_IVS_ELECTRIC_GLOVE_DETECT(׼¼)ӦݿϢ
typedef struct tagDEV_EVENT_ELECTRIC_GLOVE_DETECT_INFO
{
    int                         nChannelID;                     // ͨ
    int                         nAction;                        // 0: 1:ʼ 2:ֹͣ
    char                        szName[128];                    // ¼
    double                      PTS;                            // ʱ(λǺ)
    NET_TIME_EX                 UTC;                            // ¼ʱ
    int                         nEventID;                       // ¼ID

    UINT                        nRuleID;                        // ¼ţڱʾĸ򴥷¼
    UINT                        nSequence;                      // ֡
    EM_CLASS_TYPE               emClassType;                    // ¼
    UINT                        nGloveObjNum;                   // ׶
    NET_ELECTRIC_GLOVE_OBJECT   stuGloveObjs[32];               // ׶Ϣ
    SCENE_IMAGE_INFO_EX         stuSceneImage;                  // ȫͼ
    BYTE                        byReserved[1028];               // Ԥֽ
}DEV_EVENT_ELECTRIC_GLOVE_DETECT_INFO;

// 
typedef enum tagEM_ELECTRIC_LADDER_TYPE
{
    EM_ELECTRIC_LADDER_TYPE_UNKNOWN,         // δ֪
    EM_ELECTRIC_LADDER_TYPE_GENERAL,         // ͨ
    EM_ELECTRIC_LADDER_TYPE_INSULATED,       // Ե
} EM_ELECTRIC_LADDER_TYPE;

// ӶϢ
typedef struct tagNET_ELECTRIC_LADDER_OBJECT
{
    UINT                        nObjectID;                      // ID
    EM_ELECTRIC_LADDER_TYPE     emLadderType;                   // 
    NET_RECT                    stuBoundingBox;                 // Χ
    NET_OBJECT_IMAGE_INFO       stuImageData;                   // ͼ
    BYTE                        byReserved[1024];               // Ԥֽ
} NET_ELECTRIC_LADDER_OBJECT;

// ¼EVENT_IVS_ELECTRIC_LADDER_DETECT(Ӽ¼)ӦݿϢ
typedef struct tagDEV_EVENT_ELECTRIC_LADDER_DETECT_INFO
{
    int                         nChannelID;                     // ͨ
    int                         nAction;                        // 0: 1:ʼ 2:ֹͣ
    char                        szName[128];                    // ¼
    double                      PTS;                            // ʱ(λǺ)
    NET_TIME_EX                 UTC;                            // ¼ʱ
    int                         nEventID;                       // ¼ID

    UINT                        nRuleID;                        // ¼ţڱʾĸ򴥷¼
    UINT                        nSequence;                      // ֡
    EM_CLASS_TYPE               emClassType;                    // ¼
    UINT                        nLadderObjNum;                  // Ӷ
    NET_ELECTRIC_LADDER_OBJECT  stuLadderObjs[32];              // ӶϢ
    SCENE_IMAGE_INFO_EX         stuSceneImage;                  // ȫͼ
    BYTE                        byReserved[1028];               // Ԥֽ
}DEV_EVENT_ELECTRIC_LADDER_DETECT_INFO;

// 
typedef enum tagEM_ELECTRIC_CURTAIN_TYPE
{
    EM_ELECTRIC_CURTAIN_TYPE_UNKNOWN,         // δ֪
    EM_ELECTRIC_CURTAIN_TYPE_GENERAL,         // ͨ
} EM_ELECTRIC_CURTAIN_TYPE;

// ᣶Ϣ
typedef struct tagNET_ELECTRIC_CURTAIN_OBJECT
{
    UINT                        nObjectID;                      // ID
    EM_ELECTRIC_CURTAIN_TYPE    emCurtainType;                  // 
    EM_UNIFIED_COLOR_TYPE       emCurtainColor;                 // ɫ
    BYTE                        byReserved1[4];                 // ֽڶ
    NET_RECT                    stuBoundingBox;                 // Χ
    NET_OBJECT_IMAGE_INFO       stuImageData;                   // ͼ
    BYTE                        byReserved[1024];               // Ԥֽ
} NET_ELECTRIC_CURTAIN_OBJECT;

// ¼EVENT_IVS_ELECTRIC_CURTAIN_DETECT(Ⲽ᣼¼)ӦݿϢ
typedef struct tagDEV_EVENT_ELECTRIC_CURTAIN_DETECT_INFO
{
    int                         nChannelID;                     // ͨ
    int                         nAction;                        // 0: 1:ʼ 2:ֹͣ
    char                        szName[128];                    // ¼
    double                      PTS;                            // ʱ(λǺ)
    NET_TIME_EX                 UTC;                            // ¼ʱ
    int                         nEventID;                       // ¼ID

    UINT                        nRuleID;                        // ¼ţڱʾĸ򴥷¼
    UINT                        nSequence;                      // ֡
    EM_CLASS_TYPE               emClassType;                    // ¼
    UINT                        nCurtainObjNum;                 // ᣶
    NET_ELECTRIC_CURTAIN_OBJECT stuCurtainObjs[32];             // ᣶Ϣ
    SCENE_IMAGE_INFO_EX         stuSceneImage;                  // ȫͼ
    BYTE                        byReserved[1028];               // Ԥֽ
}DEV_EVENT_ELECTRIC_CURTAIN_DETECT_INFO;

// Χ
typedef enum tagEM_ELECTRIC_FENCE_TYPE
{
    EM_ELECTRIC_FENCE_TYPE_UNKNOWN,         // δ֪
    EM_ELECTRIC_FENCE_TYPE_GENERAL,         // ͨΧ
    EM_ELECTRIC_FENCE_TYPE_COLUMNAR,        // ״Χ
    EM_ELECTRIC_FENCE_TYPE_GRID,            // ״Χ
} EM_ELECTRIC_FENCE_TYPE;

// ΧϢ
typedef struct tagNET_ELECTRIC_FENCE_OBJECT
{
    UINT                        nObjectID;                      // ID
    EM_ELECTRIC_FENCE_TYPE      emFenceType;                    // Χ
    NET_RECT                    stuBoundingBox;                 // Χ
    NET_OBJECT_IMAGE_INFO       stuImageData;                   // ͼ
    BYTE                        byReserved[1024];               // Ԥֽ
} NET_ELECTRIC_FENCE_OBJECT;

// ¼EVENT_IVS_ELECTRIC_FENCE_DETECT(Χ¼)ӦݿϢ
typedef struct tagDEV_EVENT_ELECTRIC_FENCE_DETECT_INFO
{
    int                         nChannelID;                     // ͨ
    int                         nAction;                        // 0: 1:ʼ 2:ֹͣ
    char                        szName[128];                    // ¼
    double                      PTS;                            // ʱ(λǺ)
    NET_TIME_EX                 UTC;                            // ¼ʱ
    int                         nEventID;                       // ¼ID

    UINT                        nRuleID;                        // ¼ţڱʾĸ򴥷¼
    UINT                        nSequence;                      // ֡
    EM_CLASS_TYPE               emClassType;                    // ¼
    UINT                        nFenceObjNum;                   // Χ
    NET_ELECTRIC_FENCE_OBJECT   stuFenceObjs[32];               // ΧϢ
    SCENE_IMAGE_INFO_EX         stuSceneImage;                  // ȫͼ
    BYTE                        byReserved[1028];               // Ԥֽ
}DEV_EVENT_ELECTRIC_FENCE_DETECT_INFO;

// ʶ
typedef enum tagEM_ELECTRIC_SIGNBOARD_TYPE
{
    EM_ELECTRIC_SIGNBOARD_TYPE_UNKNOWN,         // δ֪
    EM_ELECTRIC_SIGNBOARD_TYPE_GENERAL,         // ͨʶ
    EM_ELECTRIC_SIGNBOARD_TYPE_WARNING,         // 
    EM_ELECTRIC_SIGNBOARD_TYPE_NAMEPLATE,       // 
} EM_ELECTRIC_SIGNBOARD_TYPE;

// ʶƶϢ
typedef struct tagNET_ELECTRIC_SIGNBOARD_OBJECT
{
    UINT                        nObjectID;                      // ID
    EM_ELECTRIC_SIGNBOARD_TYPE  emSignboardType;                // Χ
    NET_RECT                    stuBoundingBox;                 // Χ
    NET_OBJECT_IMAGE_INFO       stuImageData;                   // ͼ
    BYTE                        byReserved[1024];               // Ԥֽ
} NET_ELECTRIC_SIGNBOARD_OBJECT;

// ¼EVENT_IVS_ELECTRIC_SIGNBOARD_DETECT(ʶƼ¼)ӦݿϢ
typedef struct tagDEV_EVENT_ELECTRIC_SIGNBOARD_DETECT_INFO
{
    int                             nChannelID;                 // ͨ
    int                             nAction;                    // 0: 1:ʼ 2:ֹͣ
    char                            szName[128];                // ¼
    double                          PTS;                        // ʱ(λǺ)
    NET_TIME_EX                     UTC;                        // ¼ʱ
    int                             nEventID;                   // ¼ID

    UINT                            nRuleID;                    // ¼ţڱʾĸ򴥷¼
    UINT                            nSequence;                  // ֡
    EM_CLASS_TYPE                   emClassType;                // ¼
    UINT                            nSignboardObjNum;           // ʶƶ
    NET_ELECTRIC_SIGNBOARD_OBJECT   stuSignboardObjs[32];       // ʶƶϢ
    SCENE_IMAGE_INFO_EX             stuSceneImage;              // ȫͼ
    BYTE                            byReserved[1028];           // Ԥֽ
}DEV_EVENT_ELECTRIC_SIGNBOARD_DETECT_INFO;

// ȫ
typedef enum tagEM_ELECTRIC_BELT_TYPE
{
    EM_ELECTRIC_BELT_TYPE_UNKNOWN,         // δ֪
    EM_ELECTRIC_BELT_TYPE_GENERAL,         // ͨȫ
} EM_ELECTRIC_BELT_TYPE;

// ȫʽ
typedef enum tagEM_BELT_WARE_TYPE
{
    EM_BELT_WARE_TYPE_UNKNOWN,          // δ֪
    EM_BELT_WARE_TYPE_NORMAL,           // 
    EM_BELT_WARE_TYPE_MISS_MAIN,        // ȱʧ
    EM_BELT_WARE_TYPE_MISS_BACKUP,      // ñȱʧ
    EM_BELT_WARE_TYPE_LOW_HANGING,      // ҵ͹Ҹ
} EM_BELT_WARE_TYPE;

// ȫϢ
typedef struct tagNET_ELECTRIC_BELT_OBJECT
{
    UINT                        nObjectID;                      // ID
    EM_ELECTRIC_BELT_TYPE       emBeltType;                     // ȫ
    EM_BELT_WARE_TYPE           emBeltWareType;                 // ȫʽ
    BYTE                        byReserved1[4];                 // ֽڶ
    NET_RECT                    stuBoundingBox;                 // Χ
    NET_OBJECT_IMAGE_INFO       stuImageData;                   // ͼ
    BYTE                        byReserved[1024];               // Ԥֽ
} NET_ELECTRIC_BELT_OBJECT;

// ¼EVENT_IVS_ELECTRIC_BELT_DETECT(ⰲȫ¼)ӦݿϢ
typedef struct tagDEV_EVENT_ELECTRIC_BELT_DETECT_INFO
{
    int                             nChannelID;                 // ͨ
    int                             nAction;                    // 0: 1:ʼ 2:ֹͣ
    char                            szName[128];                // ¼
    double                          PTS;                        // ʱ(λǺ)
    NET_TIME_EX                     UTC;                        // ¼ʱ
    int                             nEventID;                   // ¼ID

    UINT                            nRuleID;                    // ¼ţڱʾĸ򴥷¼
    UINT                            nSequence;                  // ֡
    EM_CLASS_TYPE                   emClassType;                // ¼
    UINT                            nBeltObjNum;                // ȫ
    NET_ELECTRIC_BELT_OBJECT        stuBeltObjs[32];            // ȫϢ
    SCENE_IMAGE_INFO_EX             stuSceneImage;              // ȫͼ
    BYTE                            byReserved[1028];           // Ԥֽ
} DEV_EVENT_ELECTRIC_BELT_DETECT_INFO;

// ״
typedef enum tagEM_RADAR_DETECT_OBJECT_TYPE
{
	EM_RADAR_DETECT_OBJECT_UNKNOWN,											// δ֪
	EM_RADAR_DETECT_OBJECT_HUMAN,											// 
	EM_RADAR_DETECT_OBJECT_VEHICLE											// 
}EM_RADAR_DETECT_OBJECT_TYPE;

// ״
typedef struct tagNET_RADAR_DETECT_OBJECT
{
	int								nObjectID;								// ID
	EM_RADAR_DETECT_OBJECT_TYPE		emObjectType;							// 
	BYTE							byReserved[1024];						// Ԥֽ				
}NET_RADAR_DETECT_OBJECT;

// ¼EVENT_IVS_RADAR_LINE_DETECTION(״ﾯ/߼¼)ӦݿϢ
typedef struct tagDEV_EVENT_RADAR_LINE_DETECTION_INFO
{
	int                         nChannelID;									// ͨ
	int                         nAction;									// 0: 1:ʼ 2:ֹͣ
	char                        szName[128];								// ¼
	double                      PTS;										// ʱ(λǺ)
	NET_TIME_EX                 UTC;										// ¼ʱ
	int                         nEventID;									// ¼ID

	UINT                        nRuleID;									// ¼ţڱʾĸ򴥷¼
	EM_CLASS_TYPE               emClassType;								// ¼
	DH_EVENT_FILE_INFO          stuFileInfo;                                // ¼ӦļϢ 
	int							nObjectNum;									// ⵽Ķ
	NET_RADAR_DETECT_OBJECT		stuObjects[100];							// ״б
	int							nPresetID;									// ¼Ԥõ
	int                         nDetectRegionNum;                           // 򶥵
	NET_POINT                   stuDetectRegion[DH_MAX_DETECT_REGION_NUM];  // ,[0,8192)
	SCENE_IMAGE_INFO_EX			stuSceneImage;								// ȫͼ
	BYTE						byReserved[1020];							// Ԥֽ
} DEV_EVENT_RADAR_LINE_DETECTION_INFO;

// ״ﱨ
typedef enum tagEM_RADAR_ALARM_TYPE
{
	EM_RADAR_ALARM_TYPE_UNKNOWN,											// δ֪
	EM_RADAR_ALARM_TYPE_ALARM,												// 
	EM_RADAR_ALARM_TYPE_WARNING,											// Ԥ
}EM_RADAR_ALARM_TYPE;

// ¼EVENT_IVS_RADAR_REGION_DETECTION(״ﾯ¼)ӦݿϢ
typedef struct tagDEV_EVENT_RADAR_REGION_DETECTION_INFO
{
	int                         nChannelID;									// ͨ
	int                         nAction;									// 0: 1:ʼ 2:ֹͣ
	char                        szName[128];								// ¼
	double                      PTS;										// ʱ(λǺ)
	NET_TIME_EX                 UTC;										// ¼ʱ
	int                         nEventID;									// ¼ID

	UINT                        nRuleID;									// ¼ţڱʾĸ򴥷¼
	EM_CLASS_TYPE               emClassType;								// ¼
	DH_EVENT_FILE_INFO          stuFileInfo;                                // ¼ӦļϢ 
	int							nObjectNum;									// ⵽Ķ
	NET_RADAR_DETECT_OBJECT		stuObjects[100];							// ״б
	int							nPresetID;									// ¼Ԥõ
	int                         nDetectRegionNum;                           // 򶥵
	NET_POINT                   stuDetectRegion[DH_MAX_DETECT_REGION_NUM];  // ,[0,8192)
	SCENE_IMAGE_INFO_EX			stuSceneImage;								// ȫͼ
	EM_RADAR_ALARM_TYPE			emAlarmType;								// 
	BYTE						byReserved[1016];							// Ԥֽ
} DEV_EVENT_RADAR_REGION_DETECTION_INFO;



// 쳣Ϣƣ
typedef struct tagAUDIO_INTENSITY_MESSAGE_INFO
{
	char							szType[128];				// Ϣͣ"Audio Detection"
	char							szContent[128];				// Ϣ
	BYTE							byReserved[1024];			// Ԥֶ
}AUDIO_INTENSITY_MESSAGE_INFO;

// ¼EVENT_IVS_AUDIO_INTENSITY(쳣¼)ӦݿϢ
typedef struct tagDEV_EVENT_AUDIO_INTENSITY_INFO
{
	int                         	nChannelID;					// ͨţƵ
	int                         	nAction;					// 0: 1:ʼ 2:ֹͣ
	double                      	PTS;						// ʱ(λǺ)
    NET_TIME_EX                 	UTC;						// ¼ʱ
	BYTE							byReserved1[4];				// Ԥֶ1
	AUDIO_INTENSITY_MESSAGE_INFO	stuAudioIntensityInfo;		// ƵϢ
	BYTE							byReserved[1024];			// Ԥֶ
}DEV_EVENT_AUDIO_INTENSITY_INFO;



// ʼ
typedef struct tagNETSDK_INIT_PARAM
{
    int                 nThreadNum;         // ָNetSDK紦߳, ֵΪ0ʱ, ʹڲĬֵ
    BYTE                bReserved[1024];    // ֽ
}NETSDK_INIT_PARAM, *LPNETSDK_INIT_PARAM;

// ýӿڷϢ
typedef struct tagNET_CONFIG_RETURN_INFO
{
	DWORD				    dwSize;
	int						nRetCnt;		// صʵЧø
} NET_CONFIG_RETURN_INFO;

// 
typedef enum tagNET_EM_OSD_BLEND_TYPE
{
    NET_EM_OSD_BLEND_TYPE_UNKNOWN,                                  //δ֪
    NET_EM_OSD_BLEND_TYPE_MAIN,                                     //ӵ
    NET_EM_OSD_BLEND_TYPE_EXTRA1,                                   //ӵ1
    NET_EM_OSD_BLEND_TYPE_EXTRA2,                                   //ӵ2
    NET_EM_OSD_BLEND_TYPE_EXTRA3,                                   //ӵ3
    NET_EM_OSD_BLEND_TYPE_SNAPSHOT,                                 //ӵץͼ
    NET_EM_OSD_BLEND_TYPE_PREVIEW,                                  //ӵԤƵ
}NET_EM_OSD_BLEND_TYPE;

// -ͨ
typedef struct tagNET_OSD_CHANNEL_TITLE
{
	DWORD				    dwSize;
    NET_EM_OSD_BLEND_TYPE   emOsdBlendType;                 // ͣǻȡöҪøֶ
    BOOL                    bEncodeBlend;                   // Ƿ
	NET_COLOR_RGBA		    stuFrontColor;					// ǰɫ
	NET_COLOR_RGBA		    stuBackColor;					// ɫ
	NET_RECT		    	stuRect;						// , ȡֵ[0~8191], ʹlefttopֵ, (left,top)Ӧ(right,bottom)óͬĵ
} NET_OSD_CHANNEL_TITLE;

// -ʱ
typedef struct tagNET_OSD_TIME_TITLE
{
	DWORD				    dwSize;
    NET_EM_OSD_BLEND_TYPE   emOsdBlendType;             // ͣǻȡöҪøֶ
    BOOL                    bEncodeBlend;               // Ƿ
	NET_COLOR_RGBA		    stuFrontColor;				// ǰɫ
	NET_COLOR_RGBA		    stuBackColor;				// ɫ
	NET_RECT 			    stuRect;					// , ȡֵ[0~8191], ʹlefttopֵ, (left,top)Ӧ(right,bottom)óͬĵ
	BOOL 				    bShowWeek;					// Ƿʾ
} NET_OSD_TIME_TITLE;

// ӱ;
typedef enum tagNET_EM_TITLE_TYPE
{
    NET_EM_TITLE_UNKNOWN,              // δ֪
    NET_EM_TITLE_RTINFO,               // ʵʱ¼Ϣ
    NET_EM_TITLE_CUSTOM,               // Զӡʪȵ
    NET_EM_TITLE_TITLE,                // ƬͷϢ
    NET_EM_TITLE_CHECK,                // У
    NET_EM_TITLE_SPEEDOMETER,          // 
    NET_EM_TITLE_GEOGRAPHY,            // Ϣ
    NET_EM_TITLE_ATMCARDINFP,          // ATMϢ
    NET_EM_TITLE_CAMERAID,             // 
}NET_EM_TITLE_TYPE; 


// -ԶϢ
typedef struct tagNET_CUSTOM_TITLE_INFO
{
    BOOL                    bEncodeBlend;                   // Ƿ
	NET_COLOR_RGBA		    stuFrontColor;					// ǰɫ
	NET_COLOR_RGBA		    stuBackColor;					// ɫ
	NET_RECT			    stuRect;						// , ȡֵ[0~8191], ʹlefttopֵ, (left,top)Ӧ(right,bottom)óͬĵ
	char				    szText[CUSTOM_TITLE_LEN];		// 
    NET_EM_TITLE_TYPE       emTitleType;                    // ӱ;
	BYTE                    byReserved[508];                // ֽ 
} NET_CUSTOM_TITLE_INFO;

// -Զ
typedef struct tagNET_OSD_CUSTOM_TITLE
{
	DWORD					dwSize;
	NET_EM_OSD_BLEND_TYPE   emOsdBlendType;                         // ͣǻȡöҪøֶ
	int						nCustomTitleNum;						// Զ
	NET_CUSTOM_TITLE_INFO	stuCustomTitle[MAX_CUSTOM_TITLE_NUM];	// Զ
} NET_OSD_CUSTOM_TITLE;

// ı뷽ʽ
typedef enum tagEM_TITLE_TEXT_ALIGNTYPE
{
    EM_TEXT_ALIGNTYPE_INVALID,                              // ЧĶ뷽ʽ
    EM_TEXT_ALIGNTYPE_LEFT,                                 // 
    EM_TEXT_ALIGNTYPE_XCENTER,                              // Xж
    EM_TEXT_ALIGNTYPE_YCENTER,                              // Yж
    EM_TEXT_ALIGNTYPE_CENTER,                               // 
    EM_TEXT_ALIGNTYPE_RIGHT,                                // Ҷ
    EM_TEXT_ALIGNTYPE_TOP,                                  // ն
    EM_TEXT_ALIGNTYPE_BOTTOM,                               // յײ
    EM_TEXT_ALIGNTYPE_LEFTTOP,                              // ϽǶ
    EM_TEXT_ALIGNTYPE_CHANGELINE,                           // ж
}EM_TITLE_TEXT_ALIGNTYPE;

// Զı
typedef struct tagNET_OSD_CUSTOM_TITLE_TEXT_ALIGN
{
	DWORD					dwSize;
	int						nCustomTitleNum;						// Զ
    EM_TITLE_TEXT_ALIGNTYPE emTextAlign[MAX_CUSTOM_TITLE_NUM];      // Զı뷽ʽ
}NET_OSD_CUSTOM_TITLE_TEXT_ALIGN;

//-Ϣ
typedef struct tagNET_OSD_COMM_INFO
{
	DWORD					dwSize;
	double					fFontSizeScale;			//СŴ
													//fFontSizeScale0ʱ,nFontSize
													//fFontSizeScale=0ʱ,nFontSize
													//豸ĬfFontSizeScale=1.0
													//Ҫ޸ı޸ĸֵ
													//ҪãøֵΪ0nFontSizeֵЧ
	int						nFontSize;				//ӵϵȫС,λ px, Ĭ24.
													//fFontSizeScaleͬ
	int						nFontSizeExtra1;		//ӵ1ϵȫС,λ px
	int						nFontSizeExtra2;		//ӵ2ϵȫС,λ px
	int						nFontSizeExtra3;		//ӵ3ϵȫС,λ px
	int						nFontSizeSnapshot;		//ӵץͼϵȫС, λ px
	int						nFontSizeMergeSnapshot; //ӵץͼϺϳͼƬС,λ px
} NET_OSD_COMM_INFO;

// -䱶
typedef struct tagNET_OSD_PTZZOOM_INFO
{
	DWORD					dwSize;
	BOOL					bMainBlend;				// Ƿӵ
	BOOL					bPreviewBlend;			// ǷӵԤ
	NET_COLOR_RGBA		    stuFrontColor;			// ǰɫ
	NET_COLOR_RGBA		    stuBackColor;			// ɫ
	NET_RECT		    	stuRect;				// , ȡֵ0~8191, ʹlefttopֵ, (left,top)Ӧ(right,bottom)óͬĵ
	int						nDisplayTime;			// ʾʱ䣬λΪ0ʾһֱʾ
} NET_OSD_PTZZOOM_INFO;

// -GPSʾ
typedef struct tagNET_OSD_GPS_TITLE
{
	DWORD					dwSize; 
	BOOL					bEncodeBlend;            //ӵƵ
}NET_OSD_GPS_TITLE;

#define MAX_COUNT_PLANE		32	// ͳƼƻ

// ÿƻӦͳƼƻOSD 
typedef struct tagNET_STATPLAN_INFO
{
	int						nPlanID;				// ͳƼƻ
	BOOL					bEncodeBlend;			// Ƿӵ
	NET_COLOR_RGBA		    stuFrontColor;			// ǰɫ
	NET_COLOR_RGBA		    stuBackColor;			// ɫ
	EM_TITLE_TEXT_ALIGNTYPE emTextAlign;			// 뷽ʽ
	NET_RECT		    	stuRect;				// , ȡֵ0~8191
	BOOL					bShowEnterNum;			// Ƿʾ
	BOOL					bShowExitNum;			// Ƿʾ뿪
	BYTE                    byReserved[128];        // ֽ 
} NET_STATPLAN_INFO;

// ͳƼƻOSD
typedef struct tagNET_OSD_NUMBER_STATPLAN
{
	DWORD					dwSize;
	int						nRetPlanCount;							// ʵʵͳƼƻ
	NET_STATPLAN_INFO		stuStatplanInfo[MAX_COUNT_PLANE];		// OSD
} NET_OSD_NUMBER_STATPLAN;

// Ƶģʽ
typedef enum tatNET_EM_AUDIO_FORAMT
{
	EM_AUDIO_FORMAT_UNKNOWN,							// unknown
	EM_AUDIO_FORMAT_G711A,                              // G711a
    EM_AUDIO_FORMAT_PCM,                                // PCM
    EM_AUDIO_FORMAT_G711U,                              // G711u
    EM_AUDIO_FORMAT_AMR,                                // AMR
    EM_AUDIO_FORMAT_AAC,                                // AAC
    
    EM_AUDIO_FORMAT_G726,								// G.726
    EM_AUDIO_FORMAT_G729,								// G.729
    EM_AUDIO_FORMAT_ADPCM,								// ADPCM
    EM_AUDIO_FORMAT_MPEG2,								// MPEG2
    EM_AUDIO_FORMAT_MPEG2L2,							// MPEG2-Layer2
    EM_AUDIO_FORMAT_OGG,								// OGG
    EM_AUDIO_FORMAT_MP3,								// MP3
    EM_AUDIO_FORMAT_G7221,								// G.722.1
} NET_EM_AUDIO_FORMAT;


// Ƶѹʽ
typedef enum tagNET_EM_VIDEO_COMPRESSION
{
	EM_VIDEO_FORMAT_UNKNOWN = -1,						// δ֪
	EM_VIDEO_FORMAT_MPEG4,								// MPEG4
	EM_VIDEO_FORMAT_MS_MPEG4,							// MS-MPEG4
	EM_VIDEO_FORMAT_MPEG2,								// MPEG2
	EM_VIDEO_FORMAT_MPEG1,								// MPEG1
	EM_VIDEO_FORMAT_H263,								// H.263
	EM_VIDEO_FORMAT_MJPG,								// MJPG
	EM_VIDEO_FORMAT_FCC_MPEG4,							// FCC-MPEG4
	EM_VIDEO_FORMAT_H264,								// H.264
    EM_VIDEO_FORMAT_H265,								// H.265
	EM_VIDEO_FORMAT_SVAC,								// SVAC
} NET_EM_VIDEO_COMPRESSION;

// ģʽ
typedef enum tagNET_EM_BITRATE_CONTROL
{
	EM_BITRATE_CBR,									// ̶
	EM_BITRATE_VBR,									// ɱ
} NET_EM_BITRATE_CONTROL;

// 
typedef enum tagNET_EM_IMAGE_QUALITY
{
	EM_IMAGE_QUALITY_Q10 = 1,							// ͼ10%
	EM_IMAGE_QUALITY_Q30,								// ͼ30%
	EM_IMAGE_QUALITY_Q50,								// ͼ50%
	EM_IMAGE_QUALITY_Q60,								// ͼ60%
	EM_IMAGE_QUALITY_Q80,								// ͼ80%
	EM_IMAGE_QUALITY_Q100,								// ͼ100%
} NET_EM_IMAGE_QUALITY;

// H264 뼶
typedef enum tagNET_EM_H264_PROFILE_RANK
{
	EM_PROFILE_UNKNOWN,							   // δ֪
	EM_PROFILE_BASELINE = 1,                       // ṩI/P֧֡progressive(ɨ)CAVLC
	EM_PROFILE_MAIN,                               // ṩI/P/B֧֡progressivinterlacedṩCAVLCCABAC
	EM_PROFILE_EXTENDED,                           // ṩI/P/B/SP/SI֧֡progressive(ɨ)CAVLC
	EM_PROFILE_HIGH,                               // FRExtMain_Profile8x8 intra prediction(8x8 ֡Ԥ), custom 
												   // quant(Զ), lossless video coding(Ƶ), yuvʽ
}NET_EM_H264_PROFILE_RANK;

// 
typedef enum tagNET_EM_FORMAT_TYPE
{
	EM_FORMAT_TYPE_UNKNOWN,				// δ֪
	/**/
	EM_FORMAT_MAIN_NORMAL,				// ͨ
	EM_FORMAT_MAIN_MOVEEXAMINE,			// 
	EM_FORMAT_MAIN_ALARM,				// 

	/**/
	EM_FORMAT_EXTRA1,					// 1
	EM_FORMAT_EXTRA2,					// 2
	EM_FORMAT_EXTRA3,					// 3
} NET_EM_FORMAT_TYPE;

// ģʽ
typedef enum tagNET_EM_PACK_TYPE
{
	EM_PACK_UNKOWN,				// UNKOWN
	EM_PACK_DHAV,				// DHAV
	EM_PACK_PS,					// ps
} NET_EM_PACK_TYPE;


// ()Ƶʽ(f6/f5/bin)
typedef struct tagNET_ENCODE_VIDEO_INFO
{
	DWORD						dwSize;
	NET_EM_FORMAT_TYPE			emFormatType;				// ,úͻȡʱҪֵ
	BOOL						bVideoEnable;				// Ƶʹ
	NET_EM_VIDEO_COMPRESSION 	emCompression;				// Ƶѹʽ
	int							nWidth;						// Ƶ
	int							nHeight;					// Ƶ߶
	NET_EM_BITRATE_CONTROL		emBitRateControl;			// ģʽ
	int							nBitRate;					// Ƶ(kbps)
	float						nFrameRate;					// Ƶ֡
	int							nIFrameInterval;			// I֡(1-100)50ʾÿ49B֡P֡һI֡
	NET_EM_IMAGE_QUALITY		emImageQuality;				// ͼ
} NET_ENCODE_VIDEO_INFO;

// ()Ƶʽģʽ(f6/f5)
typedef struct tagNET_ENCODE_VIDEO_PACK_INFO
{
	DWORD						dwSize;
	NET_EM_FORMAT_TYPE			emFormatType;				// ,úͻȡʱҪֵ
	NET_EM_PACK_TYPE			emPackType;					// ģʽ
} NET_ENCODE_VIDEO_PACK_INFO;

// ()ƵʽSVC(f6)
typedef struct tagNET_ENCODE_VIDEO_SVC_INFO
{
	DWORD						dwSize;
	NET_EM_FORMAT_TYPE			emFormatType;				// ,úͻȡʱҪֵ
	int							nSVC;						// SVC-T
} NET_ENCODE_VIDEO_SVC_INFO;

// ()Ƶʽprofile(f6/bin)
typedef struct tagNET_ENCODE_VIDEO_PROFILE_INFO
{
	DWORD						dwSize;
	NET_EM_FORMAT_TYPE			emFormatType;				// ,úͻȡʱҪֵ
	NET_EM_H264_PROFILE_RANK 	emProfile;                	// H.264뼶
} NET_ENCODE_VIDEO_PROFILE_INFO;

// ()Ƶѹʽ
typedef struct tagNET_ENCODE_AUDIO_COMPRESSION_INFO
{
	DWORD						dwSize;
	BOOL						bAudioEnable;			// Ƶʹ
	NET_EM_FORMAT_TYPE			emFormatType;			// ,úͻȡʱҪֵ
	NET_EM_AUDIO_FORMAT			emCompression;			// Ƶѹģʽ
} NET_ENCODE_AUDIO_COMPRESSION_INFO;

//()Ƶʽ
typedef struct tagNET_ENCODE_AUDIO_INFO
{
	DWORD						dwSize;
	NET_EM_FORMAT_TYPE			emFormatType;			// ,úͻȡʱҪֵ
	int							nDepth;					// Ƶ
	int							nFrequency;				// ƵƵ
	int							nMode;					// ,ͬͶ岻ͬ
                                                       /* "AMR"
                                                            0: 4.75kbps,
                                                            1: 5.15 kbps,
                                                            2: 5.9 kbps,
                                                            3: 6.7 kbps,
                                                            4: 7.4 kbps,
                                                            5: 7.95 kbps,
                                                            6: 10.2 kbps,
                                                            7: 12.2 kbps,
                                                        G726
                                                            0: 40kbps(Ĭ)
                                                            1: 16kbps
                                                            2: 24kbps
                                                            3: 32kbps
                                                        : ޶*/

	int							nFrameType;				// Ƶģʽ, 0-DHAV, 1-PS
	int							nPacketPeriod;			// Ƶ, ms
} NET_ENCODE_AUDIO_INFO;

// ץͼ
typedef enum tagNET_EM_SNAP_TYPE
{
	EM_SNAP_UNKNOWN,			// δ֪
	EM_SNAP_NORMAL,				// ͨץͼ
	EM_SNAP_MOVEEXAMINE,		// ץͼ
	EM_SNAP_ALARM,				// ץͼ
} NET_EM_SNAP_TYPE;

// ץͼ
typedef struct tagNET_ENCODE_SNAP_INFO
{
	DWORD						dwSize;
	NET_EM_SNAP_TYPE			emSnapType;					// ץͼ
	BOOL						bSnapEnable;				// ʱץͼʹ
	NET_EM_VIDEO_COMPRESSION 	emCompression;				// Ƶѹʽ
	int							nWidth;						// Ƶ
	int							nHeight;					// Ƶ߶
	float						nFrameRate;					// Ƶ֡
	int 						nQualityRange;				// ͼȡֵΧ
	NET_EM_IMAGE_QUALITY		emImageQuality;				// ͼ
} NET_ENCODE_SNAP_INFO;

// ץͼʱ
typedef struct tagNET_ENCODE_SNAP_TIME_INFO
{
	DWORD				dwSize;
	short           	shPicTimeInterval;             	// ʱץͼʱ,λΪ,Ŀǰ豸֧ץͼʱΪ30                           
	BYTE            	bPicIntervalHour;              	// ʱץͼʱСʱ
	DWORD           	dwTrigPicIntervalSecond;       	// ÿץͼʱʱ λ
} NET_ENCODE_SNAP_TIME_INFO;

// ÿͨӦ
typedef enum tagNET_EM_CONFIG_TYPE
{
	NET_EM_CONFIG_DAYTIME,			// 
	NET_EM_CONFIG_NIGHT,			// ҹ
	NET_EM_CONFIG_NORMAL,			// ͨ
} NET_EM_CONFIG_TYPE;


// ͨ
typedef struct tagNET_ENCODE_CHANNELTITLE_INFO
{
	DWORD				dwSize;
	char				szChannelName[MAX_CHANNEL_NAME_LEN];				// ͨ
} NET_ENCODE_CHANNELTITLE_INFO;

// Ƶ
typedef enum tagNET_EM_AUDIOIN_SOURCE_TYPE
{
	NET_EM_AUDIOIN_SOURCE_UNKNOW,			// δ֪
	NET_EM_AUDIOIN_SOURCE_COAXIAL,			// Coaxial
	NET_EM_AUDIOIN_SOURCE_BNC,				// BNC
	NET_EM_AUDIOIN_SOURCE_HDCVI_BNC,		// HDCVI_BNC
	NET_EM_AUDIOIN_SOURCE_LINEIN,			// LineIn
	NET_EM_AUDIOIN_SOURCE_LINEIN1,			// LineIn1
	NET_EM_AUDIOIN_SOURCE_LINEIN2,			// LineIn2
	NET_EM_AUDIOIN_SOURCE_LINEIN3,			// LineIn3
	NET_EM_AUDIOIN_SOURCE_MIC,				// Mic
	NET_EM_AUDIOIN_SOURCE_MIC1,				// Mic1
	NET_EM_AUDIOIN_SOURCE_MIC2,				// Mic2
	NET_EM_AUDIOIN_SOURCE_MIC3,				// Mic3
	NET_EM_AUDIOIN_SOURCE_MICOUT,			// MicOut
	NET_EM_AUDIOIN_SOURCE_REMOTE,			// Remote
	NET_EM_AUDIOIN_SOURCE_REMOTE1,			// Remote1
	NET_EM_AUDIOIN_SOURCE_REMOTE2,			// Remote2
	NET_EM_AUDIOIN_SOURCE_REMOTE3,			// Remote3
} NET_EM_AUDIOIN_SOURCE_TYPE;

// Ƶ
typedef struct tagNET_ENCODE_AUDIO_SOURCE_INFO
{
	DWORD						dwSize;
	int 						nMaxAudioInSource;		// 
	int							nRetAudioInSource;		// ʵʷظ
	NET_EM_AUDIOIN_SOURCE_TYPE	emAudioInSource[24];	// Դ
} NET_ENCODE_AUDIO_SOURCE_INFO;

// Ƶ뽵
typedef struct tagNET_AUDIOIN_DENOISE_INFO
{
	DWORD				dwSize;
	BOOL				bEnable;			// ʹ
} NET_AUDIOIN_DENOISE_INFO;

// Ƶ
typedef struct tagNET_AUDIOIN_VOLUME_INFO
{
	DWORD				dwSize;
	int					nVolume;			// Ƶ
} NET_AUDIOIN_VOLUME_INFO;

// Ƶ
typedef struct tagNET_AUDIOOUT_VOLUME_INFO
{
	DWORD				dwSize;
	int					nVolume;			// Ƶ
} NET_AUDIOOUT_VOLUME_INFO;

// лģʽ
typedef enum tagNET_EM_SWITCH_MODE
{
	NET_EM_SWITCH_MODE_WIGHT,		// лʹð
	NET_EM_SWITCH_MODE_LIGHT,		// л
	NET_EM_SWITCH_MODE_TIME,		// ʱл
	NET_EM_SWITCH_MODE_NIGHT,		// лʹҹ
	NET_EM_SWITCH_MODE_NORMAL,		// ʹͨ
} NET_EM_SWITCH_MODE;

// ճ/ʱ
typedef struct tagNET_SUN_TIME
{
	int				nHour;				// ʱ
	int				nMinute;			// 
	int				nSecond;			// 
} NET_SUN_TIME;

// лģʽ
typedef struct tagNET_VIDEOIN_SWITCH_MODE_INFO
{
	DWORD				dwSize;
	NET_EM_SWITCH_MODE	emSwitchMode;			// лģʽ

	/*ճʱ䣬֮ճ֮ǰ
	ҹ,emSwitchModeΪNET_EM_SWITCH_MODE_TIMEЧ*/
	NET_SUN_TIME		stuSunRiseTime;			// ճʱ
	NET_SUN_TIME		stuSunSetTime;			// ʱ
} NET_VIDEOIN_SWITCH_MODE_INFO;

// ɫʷ
typedef enum tagEM_COLOR_STYLE_TYPE
{
	EM_COLOR_STYLE_UNKNOWN,			// δ֪
	EM_COLOR_STYLE_GENTLE,			// 
	EM_COLOR_STYLE_STANDARD,		// ׼
	EM_COLOR_STYLE_FLAMBOYANT,		// 
} EM_COLOR_STYLE_TYPE;

// Ƶɫ
typedef struct tagNET_VIDEOIN_COLOR_INFO
{
	DWORD				dwSize;
	NET_EM_CONFIG_TYPE	emCfgType;				// ͣȡʱҪƶ
	int					nBrightness;			// 0-100
	int					nContrast;				// Աȶ0-100
	int					nSaturation;			// Ͷ0-100
	int					nGamma;					// ٤ֵ0-100
	EM_COLOR_STYLE_TYPE	emColorStyle;			// ɫʷ
    int                 nHue;                   // ɫֵ0-100
    int                 nChromaSuppress;        // ɫƵȼֵ0-100
    DH_TSECT            stuTimeSection;         // Ӧʱ
} NET_VIDEOIN_COLOR_INFO;

// LEDʾɫ
typedef enum tagNET_EM_FLIP_MODE
{
    NET_EM_FLIP_MODE_UNKNOWN = 0,     // δ֪
    NET_EM_FLIP_MODE_MANUAL,          // ֶ
    NET_EM_FLIP_MODE_AUTO,            // Զ  
}NET_EM_FLIP_MODE;

// ͼת,ӦöNET_EM_CFG_VIDEO_IMAGE_CTRL
typedef struct tagNET_EM_CFG_VIDEO_IMAGE_CTRL_INFO
{
    DWORD			dwSize;
    BOOL            bMirror;                // Ƿֻ֧澵
    BOOL            bFlip;                  // Ƿֻ֧180ת
    BOOL            bFreeze;                // Ƿ֧ͼ񶳽Ṧ
    BOOL            bVerticalFlip;          // Ƿֱת180ȹ
    BOOL            bHorizontalFlip;        // Ƿˮƽת180ȹ
    int             nRotate90;              // 90˳ʱת־ 0-ת1-˳ʱ90㣬2-ʱ90
    int             nStable;                // ֧ͼĹ 0رգְ֧λ 1-ӷ2-ѧ4-ؼ
    int             nStableSensitivity;     // Ƿֵ֧ӷ, ȡֵΧ[0-100]
    NET_EM_FLIP_MODE emFlipMode;            // 淭תģʽ
}NET_EM_CFG_VIDEO_IMAGE_CTRL_INFO;


// ͼ
typedef struct tagNET_VIDEOIN_IMAGE_INFO
{
	DWORD				dwSize;
	NET_EM_CONFIG_TYPE	emCfgType;				// ͣȡʱҪƶ
	BOOL				bMirror;				// Ƿ澵
	BOOL				bFlip;					// Ƿ淭ת
	int					nRotate90;				// 0-ת1-˳ʱ90㣬2-ʱ90
} NET_VIDEOIN_IMAGE_INFO;

// ͼģʽ
typedef enum tagNET_EM_STABLE_TYPE
{
	NET_EM_STABLE_OFF,				// ر
	NET_EM_STABLE_ELEC,				// ӷ
	NET_EM_STABLE_LIGHT,			// ѧ
	NET_EM_STABLE_CONTORL = 4,		// ؼ
} NET_EM_STABLE_TYPE;

// ͼ
typedef struct tagNET_VIDEOIN_STABLE_INFO
{
	DWORD				dwSize;
	NET_EM_CONFIG_TYPE	emCfgType;			// ͣȡʱҪָ
	NET_EM_STABLE_TYPE	emStableType;		// 
} NET_VIDEOIN_STABLE_INFO;

// ԶȦ
typedef struct tagNET_VIDEOIN_IRISAUTO_INFO
{
	DWORD				dwSize;
	NET_EM_CONFIG_TYPE	emCfgType;		// ͣȡʱҪָ
	BOOL				bIrisAuto;		//ǷʹԶȦ
} NET_VIDEOIN_IRISAUTO_INFO;

// ͼǿ
typedef struct tagNET_VIDEOIN_IMAGEENHANCEMENT_INFO
{
	DWORD				dwSize;
	BOOL				bEnable;			// ʹ
	int					nLevel;				// ͼǿȼ
}NET_VIDEOIN_IMAGEENHANCEMENT_INFO;

// ˫ŵ֧
typedef enum tagEM_DOUBLE_EXPOSURE_TYPE
{
    EM_DOUBLE_EXPOSURE_UNKNOWN = -1,				// δ֪
    EM_DOUBLE_EXPOSURE_NOT_SUPPORT,				    // ֧
    EM_DOUBLE_EXPOSURE_SUPPORT_FULL_FRAM,			// ֧˫ȫ֡ʣͼƵֻпŲͬ
    EM_DOUBLE_EXPOSURE_SUPPORT_HALF_FRAM,		    // ֧˫Ű֡ʣͼƵżƽͬ
    EM_DOUBLE_EXPOSURE_ALL,		                    // ֧˫ȫ֡ʺͰ֡
} EM_DOUBLE_EXPOSURE_TYPE;


//ͨع
typedef struct tagNET_VIDEOIN_EXPOSURE_NORMAL_INFO
{
	DWORD					dwSize;
	NET_EM_CONFIG_TYPE		emCfgType;				// ͣȡʱҪָ
	NET_EM_EXPOSURE_MODE	emExposureMode;			// عģʽ
	int						nAntiFlicker;			// ˸0-Outdoor  1-50Hz˸ 2-60Hz˸
	int						nCompensation;			// عⲹ0-100
	int						nGain;					// ֵ
	int						nGainMin;				// 0-100
	int						nGainMax;				// 0-100
	int						nExposureIris;			// ȦֵģʽΪȦʱЧ0-100
	double					dbExposureValue1;		// Զعʱ޻ֶعԶʱ,Ϊλȡֵ0.1ms~80ms
	double					dbExposureValue2;		// Զعʱ,Ϊλȡֵ0.1ms~80msұ벻С"ExposureValue1"ȡֵ
    
    BOOL                    bIrisAuto;              // ԶȦʹ
    EM_DOUBLE_EXPOSURE_TYPE emDoubleExposure;       // ˫ŵ֧
} NET_VIDEOIN_EXPOSURE_NORMAL_INFO;

// ع
typedef struct tagNET_VIDEOIN_EXPOSURE_OTHER_INFO
{
	DWORD					dwSize;
	NET_EM_CONFIG_TYPE		emCfgType;				// ͣȡʱҪָ
	BOOL					bSlowShutter;			// ʹ
	int						nSlowSpeed;				// عٶȵȼ
	int						nSlowAutoExposure;		// ع
	int						nRecoveryTime;			// 0-ʾָʾָʱ䣬λΪ
	int						nIrisMin;				// ȦޣSupportIrisRangeΪtrueʱ,0~100 ȦãIris⣩
	int						nIrisMax;				// Ȧ,0~100,ȡֵС"IrisMin"ȡֵȦãIris⣩
} NET_VIDEOIN_EXPOSURE_OTHER_INFO;

// ع
typedef struct tagNET_VIDEOIN_EXPOSURE_SHUTTER_INFO
{
	DWORD					dwSize;
	BOOL					bAutoSyncPhase;			// Զλʹ
	float					fShutter;				// ֵAutoSyncPhaseΪtrueʱЧΪλȡֵ0.1ms~80ms
													// ұ벻СNET_VIDEOIN_EXPOSURE_NORMAL_INFOе"ExposureValue1""ExposureValue2"
	int						nPhase;					// λֵ,ȡֵ0~360
} NET_VIDEOIN_EXPOSURE_SHUTTER_INFO;


// 
typedef struct tagNET_VIDEOIN_BACKLIGHT_INFO
{
	DWORD					dwSize;
	NET_EM_CONFIG_TYPE		emCfgType;				// ͣȡʱҪָ
	NET_EM_BACK_MODE		emBlackMode;			// ģʽ
	NET_EM_BLACKLIGHT_MODE	emBlackLightMode;		// ⲹģʽ
	NET_RECT				stuBacklightRegion;     // ⲹ   
	int						nWideDynamicRange;		// ֵ̬emBlackModeΪNET_EM_BACKLIGHT_MODE_WIDEDYNAMICʱЧ
	int						nGlareInhibition;		// ǿ0-100emBlackModeΪNET_EM_BACKLIGHT_MODE_GLAREINHIBITIONʱЧ
} NET_VIDEOIN_BACKLIGHT_INFO;


//ӦԱȶǿãģʽΪӦʱЧ
typedef struct tagNET_VIDEOIN_INTENSITY_INFO
{
	DWORD						dwSize;
	NET_EM_CONFIG_TYPE			emCfgType;				// ͣȡʱҪָ
	NET_EM_BACK_INTENSITY_MODE	emIntensityMode;		// ӦԱȶǿȵģʽ
	int							nIntensity;				// SSAֶǿ0-100, emIntensityModeΪNET_EM_INTENSITY_MANUALʱЧ
} NET_VIDEOIN_INTENSITY_INFO;

// ƽ
typedef struct tagNET_VIDEOIN_WHITEBALANCE_INFO
{
	DWORD						dwSize;
	NET_EM_CONFIG_TYPE			emCfgType;					// ͣȡʱҪָ
	NET_EM_WHITEBALANCE_TYPE	emWhiteBalanceType;			//ƽģʽ
	int							nGainRed;					// ɫ0-100ƽΪ"Custom"ģʽЧ
	int							nGainBlue;					// ɫ0-100ƽΪ"Custom"ģʽЧ
	int							nGainGreen;					// ɫ0-100ƽΪ"Custom"ģʽЧ
	int							nColorTemperature;			// ɫµȼ, ƽΪ"CustomColorTemperature"ģʽЧ
} NET_VIDEOIN_WHITEBALANCE_INFO;

// ҹлģʽ
typedef enum tagNET_EM_DAYNIGHT_TYPE
{
	NET_EM_DAYNIGHT_COLOR,				// ǲɫ
	NET_EM_DAYNIGHT_AUTO,				// Զл
	NET_EM_DAYNIGHT_WHITEBLACK,			// Ǻڰ
} NET_EM_DAYNIGHT_TYPE;

//ҹģʽ
typedef struct tagNET_VIDEOIN_DAYNIGHT_INFO
{
	DWORD						dwSize;
	NET_EM_CONFIG_TYPE			emCfgType;					// ͣȡʱҪָ
	NET_EM_DAYNIGHT_TYPE		emDayNightType;				// ҹлģʽ
	int							nDayNightSensitivity;		// ҹģʽл,Χ1-3
	int							nDayNightSwitchDelay;		// ҹģʽлӳʱ,λ룬Χ2-10
} NET_VIDEOIN_DAYNIGHT_INFO;

// ҹģʽICRл
typedef struct tagNET_VIDEOIN_DAYNIGHT_ICR_INFO
{
	DWORD						dwSize;
	NET_EM_CONFIG_TYPE			emCfgType;					// ͣȡʱҪָ
	NET_EM_ICR_TYPE				emType;						// ICRл
} NET_VIDEOIN_DAYNIGHT_ICR_INFO;

//ƹģʽ
typedef enum tagNET_EM_LIGHTING_MODE
{
	NET_EM_LIGHTING_UNKNOW,			// δ֪ģʽ
	NET_EM_LIGHTING_MANUAL,			// ֶģʽ
	NET_EM_LIGHTING_AUTO,			// Զģʽ
	NET_EM_LIGHTING_OFF,			// رģʽ
	NET_EM_LIGHTING_ZOOMPRIO,		// ģʽ
	NET_EM_LIGHTING_TIMING,			// ʱģʽģʽʱLightingScheduleЧ	
	NET_EM_LIGHTING_SMARTLIGHT,		// ܵƹģʽ(ʹ),ģʽѡģʽʹ¼ӵSmartLighting
    NET_EM_LIGHTING_EXCLUSIVEMANUAL,	// ֵֶ֧ƹ⣬ֶģʽֻʹһֵƹ⣬ʱʹManualLighting
} NET_EM_LIGHTING_MODE;

// 
typedef struct tagNET_VIDEOIN_LIGHTING_INFO
{
	DWORD						dwSize;
	NET_EM_LIGHTING_MODE		emLightMode;			// ƹģʽ
	int							nCorrection;			// ƹⲹֵʱЧ0-4
	int							nSensitive;				// ƹȣʱЧ0-5ĬΪ3
	int							nNearLight;				// 0-100
	int							nFarLight;				// Զ0-100
} NET_VIDEOIN_LIGHTING_INFO;

// ͸ģʽ
typedef enum tagNET_EM_DEFOG_MODE
{
	NET_EM_DEFOG_UNKNOW,			// δ֪ģʽ
	NET_EM_DEFOG_OFF,				// ر
	NET_EM_DEFOG_AUTO,				// Զ
	NET_EM_DEFOG_MANAUL,			// ֶ
}NET_EM_DEFOG_MODE;

//ģʽö
typedef enum tagNET_EM_INTENSITY_MODE
{
	NET_EM_INTENSITY_MODE_UNKNOW,//δ֪ʽ
	NET_EM_INTENSITY_MODE_AUTO,  //Զ
	NET_EM_INTENSITY_MODE_MANUAL, //ֶ
}NET_EM_INTENSITY_MODE;


// ͸
typedef struct tagNET_VIDEOIN_DEFOG_INFO
{
	DWORD							dwSize;
	NET_EM_CONFIG_TYPE				emCfgType;					// ͣȡʱҪָ
	NET_EM_DEFOG_MODE				emDefogMode;				// ͸ģʽ
	int								nIntensity;					// ǿ0-100
	NET_EM_INTENSITY_MODE			emIntensityMode;			//ģʽ
	int								nLightIntensityLevel;		//ǿ(0-15)
	BOOL							bCamDefogEnable;			//ѧȥʹ (TRUEʹܣFALSEȥʹ)
} NET_VIDEOIN_DEFOG_INFO;

// ۽ģʽ
typedef struct tagNET_VIDEOIN_FOCUSMODE_INFO
{
	DWORD							dwSize;
	NET_EM_CONFIG_TYPE				emCfgType;				// ͣȡʱҪָ
	NET_EM_FOCUS_MODE				emFocusMode;			// ۽ģʽ
} NET_VIDEOIN_FOCUSMODE_INFO;

// ۽
typedef enum tagNET_EM_SENSITIVITY_TYPE
{
	NET_EM_SENSITIVITY_HIGH,				// 
	NET_EM_SENSITIVITY_DEFAULT,				// Ĭ
	NET_EM_SENSITIVITY_LOW,					// 
} NET_EM_SENSITIVITY_TYPE;

// ۽ģʽ
typedef enum tagNET_EM_IRC_TYPE
{
	NET_EM_IRC_DONOT,			// 
	NET_EM_IRC_DOIT,			// 
	NET_EM_IRC_AUTO,			// Զ
} NET_EM_IRC_TYPE;

// ۽Ϣ
typedef struct tagNET_VIDEOIN_FOCUSVALUE_INFO
{
	DWORD							dwSize;
	NET_EM_CONFIG_TYPE				emCfgType;				// ͣȡʱҪָ
	NET_EM_SENSITIVITY_TYPE			emSensitivity;			// ۽
	NET_EM_IRC_TYPE					emIRCorrection;			// ۽
	NET_EM_FOCUS_LIMITSELECT_MODE	emFocusLimitSelectMode;	// ۽ѡȡģʽ
	int								nFocusLimit;			// ˾۽޽ֵ,λ
	BOOL							bAutoFocusTrace;		// 佹ʹ
} NET_VIDEOIN_FOCUSVALUE_INFO;

// 
typedef struct tagNET_VIDEOIN_SHARPNESS_INFO
{
	DWORD							dwSize;
	NET_EM_CONFIG_TYPE				emCfgType;					// ͣȡʱҪָ
	NET_EM_SHARPNESS_MODE			emSharpnessMode;			// ģʽ
	int								nSharpness;					// ֵ0-100ֶʱЧ
	int								nLevel;						// Ƶȼ0-1000ʾ
} NET_VIDEOIN_SHARPNESS_INFO;

// 3D
typedef enum tagNET_EM_3D_TYPE
{
	NET_EM_3D_UNKONW,		// δ֪
	NET_EM_3D_OFF,			// ر
	NET_EM_3D_AUTO,			// Զ
} NET_EM_3D_TYPE;

// ߼
typedef enum tagNET_EM_ALGORITHM_TYPE
{
	NET_EM_ALGORITHM_UNKNOW,		// δ֪
	NET_EM_ALGORITHM_OFF,			// ر
	NET_EM_ALGORITHM_MANUAL,		// ֶ
}NET_EM_ALGORITHM_TYPE;

// ߼
typedef struct tagNET_DENOISE_ALGORITHM
{
	NET_EM_ALGORITHM_TYPE	emAlgorithmType;		// ߼ȼ,	NET_EM_ALGORITHM_MANUALʱʱЧ
	int						nTnfLevel;				// ʱȼ
	int						nSnfLevel;				//ȼ
	BYTE					bReserved[256];			// ֽ
} NET_DENOISE_ALGORITHM;

// ͨý
typedef struct tagNET_VIDEOIN_DENOISE_INFO
{
	DWORD							dwSize;
	NET_EM_CONFIG_TYPE				emCfgType;					// ͣȡʱҪָ
	BOOL							b2DEnable;					// 2Dʹ
	int								n2DLevel;					// 2Dȼ0-100, b2DEnableΪTRUEʱЧ
	NET_DENOISE_ALGORITHM			stuAlgorithm;				// ߼
} NET_VIDEOIN_DENOISE_INFO;

// 3D
typedef struct tagNET_VIDEOIN_3D_DENOISE_INFO
{
	DWORD							dwSize;
	NET_EM_CONFIG_TYPE				emCfgType;					// ͣȡʱҪָ
	NET_EM_3D_TYPE					em3DType;					// 3D
	int								nAutoLevel;					// 3Dȼem3DTypeΪNET_EM_3D_AUTOʱЧ
} NET_VIDEOIN_3D_DENOISE_INFO;

// Ⱦ۽ģʽ
typedef struct tagNET_PRIOR_FOCUSMODE_INFO
{
	unsigned int					nPriorFocusMode;			// ۽ģʽ:0: 1:Զ
	BYTE							byReserved[256];			// ֽ
}NET_PRIOR_FOCUSMODE_INFO;

// ۽չ(Ӧ NET_EM_CFG_VIDEOIN_FOCUSEX)
typedef struct tagNET_VIDEOIN_FOCUS_INFO_EX
{
	DWORD							dwSize;											// ṹĴС
	int								nPriorFocusModeNum;								// Ⱦ۽ģʽ
	NET_PRIOR_FOCUSMODE_INFO		stuPriorFocusMode[8];							// Ⱦ۽ģʽ
}NET_VIDEOIN_FOCUS_INFO_EX;

// 
typedef struct tagNET_NEAR_LIGHT
{
    int                 nLight;                     // ƹȰٷֱֵ,0ر (1~100)ƹȰٷֱ
    int                 nAngle;                     // ƽǶȹһֵ, 0~100
    BYTE                byReserved[128];            // ֽ    
}NET_NEAR_LIGHT;

// й
typedef struct tagNET_MIDDLE_LIGHT
{
    BOOL                bEnable;                    // ʹ
    int                 nLight;                     // ƹȰٷֱֵ,0ر (1~100)ƹȰٷֱ
    int                 nAngle;                     // ƽǶȹһֵ, 0~100
    BYTE                byReserved[132];            // ֽ         
}NET_MIDDLE_LIGHT;

// Զ
typedef struct tagNET_FAR_LIGHT
{
    int                 nLight;                     // ƹȰٷֱֵ,0ر (1~100)ƹȰٷֱ
    int                 nAngle;                     // ƽǶȹһֵ, 0~100
    BYTE                byReserved[128];            // ֽ
}NET_FAR_LIGHT;

// ÿͨӦ
typedef enum tagNET_EM_CONFIGEX_TYPE
{
    NET_EM_CONFIGEX_REALTIME,			// ʱЧ
    NET_EM_CONFIGEX_DAYTIME,			// 
    NET_EM_CONFIGEX_NIGHT,			    // ҹ
    NET_EM_CONFIGEX_NORMAL,			    // ͨ
} NET_EM_CONFIGEX_TYPE;

// õչ(Ӧ NET_EM_CFG_VIDEOIN_LIGHTINGEX)
typedef struct tagNET_VIDEOIN_LIGHTINGEX_INFO
{
    DWORD				dwSize;
    NET_EM_CONFIGEX_TYPE	emCfgType;  				// ͣȡʱҪƶ
    NET_EM_LIGHTING_MODE emLightMode;			    // ƹģʽ
    int                 nCorrection;                // ƹⲹʱЧ,Χ(0~4)л(0~100)ַΧû֡(0~100)
    int                 nSensitive;                 // ƹȣʱЧΧ0~5Ĭ3
    int                 nTimes;                     // ƿʱ䣬ԶģʽЧ,λ բ

    int                 nNearLight;                 // 
    int                 nMiddleLight;               // й
    int                 nFarLight;                  // Զ
    BYTE                byReserved[4];              // ֽ,ֽڶ
    NET_NEAR_LIGHT      stuNearLight[4];            // 
    NET_MIDDLE_LIGHT    stuMiddleLight[4];          // й
    NET_FAR_LIGHT       stuFarLight[4];             // Զ
}NET_VIDEOIN_LIGHTINGEX_INFO;

// ץͼģʽ
typedef struct tagNET_SNAP_MODE
{
    DWORD                           dwSize;
    int                             nMode;                      // 0Զץͼ1ֶץͼ2رץͼ
    BOOL                            bDirectStorageMode;         // ֱģʽTRUE򿪣FALSEر
}NET_SNAP_MODE;

// ¼̱ƻ(Ӧ CFG_CMD_ENCODEPLAN)ÿͨ(лͨ)һýṹ
typedef struct tagNET_ENCODE_PLAN_INFO
{
	DWORD				dwSize;
	BOOL                bEnable;                        // ͨǷҪ,FALSE:ûдͨ,TRUE:ͨ
	unsigned int        nExpectTime;                    // ҵԤʱ	 ,λ
	CAPTURE_SIZE		emResolution;                   // Ƶֱ
	unsigned int        nBitRate;                       // Ƶ̶ֵ(kbps)
	unsigned int		nPacketSize;					// ¼ļС(KB)
}NET_ENCODE_PLAN_INFO;

// ϳͨ(Ӧ NET_EM_CFG_COMPOSE_CHANNEL)
typedef struct tagNET_COMPOSE_CHANNEL_INFO
{
	DWORD				dwSize;
	DH_SPLIT_MODE		emSplitMode;			// ָģʽ
	int					nChannelCombination[CFG_MAX_VIDEO_CHANNEL_NUM]; // ģʽµĸӴʾ
	int					nChannelCount;			// ָ
} NET_COMPOSE_CHANNEL_INFO;

// ӵƹ(NET_EM_CFG_YUEQING_SUPPLYLIGHTING)
typedef struct tagNET_YUEQING_SUPPLYLIGHTING_INFO
{
	DWORD				dwSize;
	BOOL				bTimeEnable;					// ʱʹ(ʹ)
	BOOL				bManualEnable;					// ֶʹܣtrue :  false : ر
	unsigned int		nPreferentialMode;				// ƿ״̬ 0  п 1ֶ 2ʱ	
	unsigned int		nBrightness;					//  Χ1~255
	DH_TSECT			stuTimeSection[DH_TSCHE_DAY_NUM][DH_TSCHE_SEC_NUM];	// ʱ
}NET_YUEQING_SUPPLYLIGHTING_INFO;

// ҳȡϢעϢб(CLIENT_ScenicSpotGetPointInfos)
typedef struct tagNET_IN_SCENICSPOT_GETPOINTINFOS_INFO
{
	DWORD				dwSize;
	int					nChannelID;						// ͨ
	int					nOffset;						// ӵڼλʼȡ 255
	int					nLimit;							// ȡϢṹ 0 ʼ 
}NET_IN_SCENICSPOT_GETPOINTINFOS_INFO;


typedef struct tagNET_POINT_INFO
{
	DH_POINT	stuMasterPoint;		// 궨
	DH_POINT	stuSlavePoint;		// ()궨
	BYTE        byReserved[256];	// ֶ
}NET_POINT_INFO;

typedef struct
{
    int                nHorizontalAngle;               // ˮƽǶ 
    int                nVerticalAngle;                 // ֱǶ
    int                nMagnification;                 // Ŵ
} POSTION;

typedef struct tagNET_POSTIONF
{
	float                fHorizontalAngle;               // ˮƽǶ [-1,1]
	float                fVerticalAngle;                 // ֱǶ [-1,1]
	float                fMagnification;                 // Ŵ [-1,1]
} NET_POSTIONF;

typedef struct tagNET_POINT_PAIR_EX
{
    int					nCaliSceneID;           // 궨ţƴӺȫԷֳɶб궨
	PTZ_SPACE_UNIT		stuSlaveCenter;			// 궨һĿʱת͵һĿƵĵط´ʱĵ
	NET_POINT_INFO		stuPoint[16];			// ڸó̶󣬼¼صӦϵ 
	int					nEffectiveNumber;		// stuPoint Ч
	float				fMasterZoom;			// (ǹһ豸)ǹ߱䱶ܣָܳʱֵ,Χ[0,1]
	BYTE                byReserved[252];		// ֶ
} NET_POINT_PAIR_EX;

// Ŀ궨
typedef struct tagNET_CALIBRATE_MATRIX_ELEMENT_EX
{
	char                szMasterSN[48];							// 豸к
    char                szSlaveSN[48];							// 豸к
	PTZ_SPACE_UNIT		stuExpectRatio;							// (ѡ)
	NET_POINT_PAIR_EX	stuPointPairEx[8];						// ĿӸٱ궨
	int					nEffectiveNumber;						// stuPointPairEx Ч
	BYTE                byReserved[256];						// ֶ
} NET_CALIBRATE_MATRIX_ELEMENT_EX;

//ʽ궨չ Ŀʹ(Ӧ NET_EM_CFG_CALIBRATE_MATRIX )
typedef struct tagNET_MULTI_SENSOR_INFO
{
	DWORD							 dwSize;
    DWORD							 nMaxCalibElement;			// Ӹ궨Ԫ(ûд)
	DWORD							 nRetCalibElement;			// Ӹ궨Ԫʵʸ(ǻȡʱЧ)
	NET_CALIBRATE_MATRIX_ELEMENT_EX	*pstCaliMatrixElementEx;	// ڴû		  
} NET_MULTI_SENSOR_INFO;

// 궨ģʽ
typedef enum tagNET_EM_CALIBRATION_MODES
{
	NET_EM_CALIBRATION_MODES_UNKNOWN,							// δ֪궨
	NET_EM_CALIBRATION_MODES_AUTO,								// Զ궨
	NET_EM_CALIBRATION_MODES_MANUAL,							// ֶ궨
	NET_EM_CALIBRATION_MODES_SEMIAUTO,							// Զ궨
	NET_EM_CALIBRATION_MODES_CLIENTAUTO							// ͻԶ궨
}NET_EM_CALIBRATION_MODES;

// ͫ궨
typedef struct tagNET_CALIBRATE_MATRIX_ELEMENT_MULTIMODE
{
	NET_EM_CALIBRATION_MODES	emMode;							// ֶ֧ģʽ궨ǰЧı궨ģʽ
	char                szMasterSN[48];							// 豸к
	char                szSlaveSN[48];							// 豸к
	PTZ_SPACE_UNIT		stuExpectRatio;							// (ѡ)
	NET_POINT_PAIR_EX	stuPointPairEx[8];						// ೡֶ궨
	int					nPointPairNumber;						// stuPointPairEx Ч
	NET_POINT_PAIR_EX	stuAutoPointPairEx[8];					// 㷨ԶĶ궨
	int					nAutoPointPairNumber;					// stuAutoPointPairEx Ч
	BYTE                byReserved[512];						// ֶ
} NET_CALIBRATE_MATRIX_ELEMENT_MULTIMODE;

//ʽ궨չ ͫʹ(Ӧ NET_EM_CFG_STEREO_CALIBRATEMATRIX_MULTIMODE )
typedef struct tagNET_CALIBRATEMATRIX_MULTIMODE_INFO
{
	DWORD									dwSize;
    DWORD									nMaxCalibElement;			// Ӹ궨Ԫ(ûд)
	DWORD									nRetCalibElement;			// Ӹ궨Ԫʵʸ(ǻȡʱЧ)
	NET_CALIBRATE_MATRIX_ELEMENT_MULTIMODE	*pstCaliMatrixElementEx;	// ڴû		  
} NET_CALIBRATEMATRIX_MULTIMODE_INFO;

// ֳʱץͼ
typedef struct tagNET_CFG_AUTO_SNAP_SCHEDULE_INFO
{
    DWORD           dwSize;                 // ṹС
    BOOL            bEnable;                // Ƿʹܶʱץͼ
    UINT            nChannelNum;            // ץͼͨ
    int             arnChannelID[2];        // ץͼͨ
    UINT            nPeriod;                // ץͼ, λ
} NET_CFG_AUTO_SNAP_SCHEDULE_INFO;

#define MAX_STAFF_COUNT		32		// 궨

// 궨Ϣ
typedef struct tagNET_MAP_STAFF_INFOO
{
	NET_POINT	stuStartPoint;		// 
	NET_POINT	stuEndPoint;		// յ
	double		dbLength;			// ʵʳ, λ
	BYTE        byReserved[256];	// ֶ
} NET_MAP_STAFF_INFO;

// Ⱥֲ궨
typedef struct tagNET_CROWDDISTRIMAP_CALIBRATE_INFO
{
	DWORD							dwSize;							// ˽ṹС
	int								nStaffNum;						// 궨
	NET_MAP_STAFF_INFO				stuStaffInfo[MAX_STAFF_COUNT];	// 궨Ϣ
} NET_CROWDDISTRIMAP_CALIBRATE_INFO;

// ʱϢ
typedef struct tagNET_TIME_SECTION 
{
	BOOL				bEnable;			// ʹ 0:ʱЧ  1:ʱЧ
	int					nBeginHour;			// ʼ ʱ
	int					nBeginMin;			// ʼ 
	int					nBeginSec;			// ʼ 
	int					nEndHour;			//  ʱ
	int					nEndMin;			//  
	int					nEndSec;			//  
	BYTE				byReserved[80];		// ֶ
} NET_TIME_SECTION;

// Ϊܣһʼ˫ȡǰԪ1-2-˫
typedef struct tagNET_NOPASSING_TIMESECTION_INFO
{
	int						nLimitedNum;											// Ƶĸ
	int						nPlateTailNum[MAX_PLATE_TAILNUM];						// еĳβţĬΪһΪĸ͵ڶԴƣ
	char					szLegalPlateHead[MAX_COMMON_STRING_8];					// ϷƵַĸϵҪץġ
																					// ıʽΪUTF8; Ϊձʾֹץ			
	NET_TIME_SECTION		stuTimeSection;											// ץʱ
	BYTE					byReserved[256];										// ֶ
}NET_NOPASSING_TIMESECTION_INFO;

//¼ EVENT_IVS_TRAFFIC_NOPASSING (ͨΥ-ֹͨ¼)Ӧ
typedef struct tagNET_TRAFFIC_NOPASSING_INFO
{
	DWORD									dwSize;													// ˽ṹС
	BOOL									bEnable;												// ʱʹ
	int										nLaneNumber;											// 
	int										nTimeSectionMode;										// ʱģʽ 0-(Ĭ) 1-˫
	int										nNoPassingTimeNumRow;									// 
	int										nNoPassingTimeNumCol;									// ʱθ
	NET_NOPASSING_TIMESECTION_INFO			stuNoPassingTimeSection[DH_N_WEEKS][DH_N_REC_TSECT];	// ʱϢ
}NET_TRAFFIC_NOPASSING_INFO;

// 궨Ϣ
typedef struct tagNET_CALIBRATE_AREA_INFO
{
    int         nCalibratePloygonAreaNum;                                       // 궨򶥵
    DH_POINT	stuCalibratePloygonArea[MAX_CALIBRATE_PLOYGON_AREA_NUM];		// 궨
    int         nCalibrateRectNum;                                              // 궨
    NET_RECT    stuCalibrateRects[MAX_CALIBRATE_RECT_NUM];                      // 궨, ڱ궨
    BYTE        byReserved[256];	                                            // ֶ
} NET_CALIBRATE_AREA_INFO;

// Ϣ
typedef struct tagNET_SCENE_INFO
{
    int								nSceneID;						            // , Ϊ0, ೡΪ0~N
    NET_CALIBRATE_AREA_INFO		    stuCalibrateAreaInfo;	                    // 궨Ϣ
    BYTE                            byReserved[256];                            // ֶ
} NET_SCENE_INFO;

// ܱ궨
typedef struct tagNET_FIGHT_CALIBRATE_INFO
{
    DWORD							dwSize;							            // ṹС
    int								nSceneNum;						            // 
    NET_SCENE_INFO	                stuScenes[MAX_SCENE_NUM];	                // Ϣ
} NET_FIGHT_CALIBRATE_INFO;

typedef struct
{								
    int                nX;								// һԪرʾx(0~8191) 
    int                nY;								// ڶԪرʾy(0~8191)
} POINTCOORDINATE;											

// ״
typedef enum tagNET_EM_SHAPE_TYPE
{
	NET_EM_SHAPE_TYPE_UNKNOWN = -1,				// δ֪
	NET_EM_SHAPE_TYPE_MANSARD,					// 
	NET_EM_SHAPE_TYPE_SECTOR,					// 
}NET_EM_SHAPE_TYPE;

typedef struct
{
	int					nIndex;									// Ϣ
	bool				bEnable;								// ϢǷЧ
	bool				bTitleAttribute;						// ϢǷӱ
	POSTION				stuPostion;								// ̨ŴһԪΪˮƽǶȣ0~3600ڶԪΪֱǶȣ-1800~1800ԪΪŴ0~127
	POINTCOORDINATE		stuPoint;								// λãʹϵȡֵΪ0-8191Ļϵλã
	char				szTitleName[MAX_COMMON_STRING_64];		// һ
	BYTE				byTitleType;							// һ	
	BYTE				byReserved[3];							// Ԥֽ
	NET_EM_SHAPE_TYPE	emShapeType;							// ״
	DH_POINT		    stuPolygon[DH_MAX_POLYGON_NUM];			// ,ÿαʾ
	int					nRetPolygonPointNum;					// صľ
	BYTE                byReserved1[184];						// ֶ
}POINTINFOS;

// ҳȡϢעϢб(CLIENT_ScenicSpotGetPointInfos)
typedef struct tagNET_OUT_SCENICSPOT_GETPOINTINFOS_INFO
{
	DWORD				dwSize;
	int					nTotal;										// 豸ܹٸϢ
	int					nRetSceneNum;								// ǰȡ
	POINTINFOS			stuPointInfos[MAX_SCENICSPOT_POINTS_NUM];	// 鳤ȵlimit,һѯСlimit		
}NET_OUT_SCENICSPOT_GETPOINTINFOS_INFO;

// þ㣬ԭŵľ㽫ᱻ (CLIENT_ScenicSpotSetPointInfo)
typedef struct tagNET_IN_SCENICSPOT_SETPOINTINFO_INFO
{
	DWORD				dwSize;
	int					nChannel;										// ͨ
	int					nIndex;											// Ϣ
	bool				bEnable;										// ϢǷЧ
	bool				bTitleAttribute;								// ϢǷӱ
	POSTION				stuPosition;									// ̨Ŵ
	POINTCOORDINATE		stuPoint;										// λ
	char				szTitleName[MAX_COMMON_STRING_64];				// һ
	BYTE				byTitleType;									// һ
	BYTE				byReserved[3];									// Ԥֽ
	NET_EM_SHAPE_TYPE   emShapeType;									// ״
	DH_POINT		    stuPolygon[DH_MAX_POLYGON_NUM];					// ,ÿαʾ
	int					nPolygonPointNum;								// ĸ󲻳DH_MAX_POLYGON_NUM
}NET_IN_SCENICSPOT_SETPOINTINFO_INFO;

// þ㣬ԭŵľ㽫ᱻ (CLIENT_ScenicSpotSetPointInfo)
typedef struct tagNET_OUT_SCENICSPOT_SETPOINTINFO_INFO
{
	DWORD				dwSize;
}NET_OUT_SCENICSPOT_SETPOINTINFO_INFO;

// ȡֵ֧(CLIENT_ScenicSpotGetCaps ) 
typedef struct tagNET_IN_SCENICSPOT_GETCAPS_INFO
{
	DWORD				dwSize;
	int					nChannel;					// ͨ
}NET_IN_SCENICSPOT_GETCAPS_INFO;

// 
typedef struct tagNET_SCENICSPOT_CAPS_INFO
{
	BOOL						bEnable;			// Ƿ֧־㹦
	unsigned int				nTotalNum;			// ֶܹ֧ٸ
	unsigned int				nRegionNum;			// ֶ֧ٸ
	BYTE                		byReserved[256];	// ֶ
}NET_SCENICSPOT_CAPS_INFO;

// ȡֵ֧(CLIENT_ScenicSpotGetCaps )
typedef struct tagNET_OUT_SCENICSPOT_GETCAPS_INFO
{
	DWORD						dwSize;
	NET_SCENICSPOT_CAPS_INFO	stuCaps;			// Ϣ
}NET_OUT_SCENICSPOT_GETCAPS_INFO;


// ԾעΪģάλ(Ӧ CLIENT_ScenicSpotTurnToPoint) 
typedef struct tagNET_IN_SCENICSPOT_TURNTOPOINT_INFO
{
	DWORD						dwSize;
	int							nChannel;			// ͨ
	int							nIndex;				// 
}NET_IN_SCENICSPOT_TURNTOPOINT_INFO;


// ԾעΪģάλ(Ӧ CLIENT_ScenicSpotTurnToPoint) 
typedef struct tagNET_OUT_SCENICSPOT_TURNTOPOINT_INFO
{
	DWORD						dwSize;
}NET_OUT_SCENICSPOT_TURNTOPOINT_INFO;

// Ч
typedef enum tagEM_ALARM_SOUND_EFFECT
{
    EM_ALARM_SOUND_EFFECT_UNKNOWN,                      // δ֪Ч
    EM_ALARM_SOUND_EFFECT_MUTE,                         // 
    EM_ALARM_SOUND_EFFECT_NOTICE,                       // Ϊı, ʾ
    EM_ALARM_SOUND_EFFECT_ALERT,                        // ı, 𵽾ʾ
}EM_ALARM_SOUND_EFFECT;

// 
typedef struct tagNET_ALARM_SOUND_INFO
{
    DWORD				dwSize;
    EM_ALARM_SOUND_EFFECT emSoundEffect;                // Ч
}NET_ALARM_SOUND_INFO;

// ˫Ŀ궨
typedef struct tagNET_STEREO_CALIBRATE_INFO
{
	DWORD				dwSize;
	int					nCameraHeight;					// ϴα궨߶ȣλcm
	float				fCameraAngle;					// ϴα궨ǶȣλǶ
} NET_STEREO_CALIBRATE_INFO;

// ģʽ
typedef enum tagEM_LINK_MODE
{
    EM_LINK_MODE_UNKNOWN,                                       // δ֪ģʽ
    EM_LINK_MODE_AUTO,                                          // Զѡʵģʽ
    EM_LINK_MODE_ADHOC,                                         // һӦģʽ, һȺ翨, ໥, Դ, ͸Access Point
    EM_LINK_MODE_INFRASTRUCTURE,                                // һ߾ܹӦģʽ, Դ, Ӧ͸Access Point
}EM_LINK_MODE;

// APܷʽ
typedef enum tagEM_AP_DATA_ENCRYPT
{
    EM_AP_DATA_ENCRYPT_UNKNOWN,                           // UnKnown
    EM_AP_DATA_ENCRYPT_NONE,                              // NONE
    EM_AP_DATA_ENCRYPT_AUTO,                              // AUTO
    EM_AP_DATA_ENCRYPT_SHARED,                            // SHARED
    EM_AP_DATA_ENCRYPT_OPEN,                              // OPEN
    EM_AP_DATA_ENCRYPT_TKIP,                              // TKIP
    EM_AP_DATA_ENCRYPT_AES,                               // AES
} EM_AP_DATA_ENCRYPT;

// ģʽ
typedef enum tagEM_AP_POWER_MODE
{
    EM_AP_POWER_MODE_UNKNOWN,                             // UnKnown
    EM_AP_POWER_MODE_LOW,                                 // Low
    EM_AP_POWER_MODE_MIDDLE,                              // Middle
    EM_AP_POWER_MODE_HIGH,                                // High
}EM_AP_POWER_MODE;

// DHCP 
typedef struct tagNET_DHCP_INFO
{
    char                    szStartIP[NET_IPADDRSTR_LEN];       // ʼIP
    char                    szStopIP[NET_IPADDRSTR_LEN];        // ĽIP
    int                     nLeaseTime;                         // ʱ λ: 
    BYTE                    byReserved[512];                    // ֶ
}NET_DHCP_INFO;

// WEP֤
typedef struct tagNET_WEP_INFO
{
    int                     nKeyID;                             // Կ, ȡֵ0~3
    char                    szKeys[MAX_WEP_KEY_NUM][MAX_COMMON_STRING_64];// 
    BYTE                    byReserved[256];                    // ֶ
}NET_WEP_INFO;


// WPA/WPA2 PSK
typedef struct tagNET_WPA_PSK_INFO
{
    char                    szPassword[MAX_COMMON_STRING_64];  // 
    BYTE                    byReserved[256];                   // ֶ
}NET_WPA_PSK_INFO;

// EAP
typedef enum tagEM_EAP_METHOD
{
    EM_EAP_METHOD_UNKNOWN,                                      // UnKnown
    EM_EAP_METHOD_PEAP,                                         // PEAP
    EM_EAP_METHOD_TLS,                                          // TLS
    EM_EAP_METHOD_TTLS,                                         // TTLS
} EM_EAP_METHOD;

// EAP֤
typedef enum tagEM_EAP_AUTH_TYPE
{
    EM_EAP_AUTH_TYPE_UNKNOWN,                                   // UnKnown
    EM_EAP_AUTH_TYPE_NONE,                                      // NONE
    EM_EAP_AUTH_TYPE_PAP,                                       // PAP
    EM_EAP_AUTH_TYPE_MSCHAP,                                    // MSCHAP
    EM_EAP_AUTH_TYPE_MSCHAPV2,                                  // MSCHAPV2
    EM_EAP_AUTH_TYPE_GTC,                                       // GTC
} EM_EAP_AUTH_TYPE;

// AP֤ʽ
typedef enum tagEM_AP_AUTHENTICATION
{
    EM_AP_AUTHENTICATION_UNKNOWN,                         // UnKnown
    EM_AP_AUTHENTICATION_OPEN,                            // OPEN
    EM_AP_AUTHENTICATION_WEP,                             // WEP
    EM_AP_AUTHENTICATION_WPAPSK,                          // WPA PSK
    EM_AP_AUTHENTICATION_WPA2PSK,                         // WPA2 PSK
    EM_AP_AUTHENTICATION_WPA,                             // WPA
    EM_AP_AUTHENTICATION_WPA2,                            // WPA2
} EM_AP_AUTHENTICATION;

// WPA/WPA2
typedef struct tagNET_EAP_INFO
{
    EM_EAP_METHOD           emMethod;                           // EAP
    EM_EAP_AUTH_TYPE        emAuthType;                         // EAP֤
    char                    szIdentity[MAX_COMMON_STRING_64];   // 
    char                    szAnonymousID[MAX_COMMON_STRING_64];// 
    char                    szPassword[MAX_COMMON_STRING_64];   // 
    char                    szCaCert[MAX_COMMON_STRING_512];    // CA֤
    char                    szUserCert[MAX_COMMON_STRING_512];  // û֤ 
    BYTE                    byReserved[256];                    // ֶ
}NET_EAP_INFO;

// WIFI ӷʽ
typedef enum tagEM_WIFI_CONNECT_TYPE
{
    EM_WIFI_CONNECT_TYPE_UNKNOWN,                               // δ֪
    EM_WIFI_CONNECT_TYPE_PUSH_BUTTON,                           // ťʽ
    EM_WIFI_CONNECT_TYPE_PIN_ENROLLEE,                          // PIN 뷽ʽ
    EM_WIFI_CONNECT_TYPE_PIN_REG,                               // PIN REGʽ Ŀǰݲ֧
}EM_WIFI_CONNECT_TYPE;

// WIFI ȫ
typedef struct tagNET_WPS_INFO
{
    EM_WIFI_CONNECT_TYPE   emConnType;                          // ӷʽ
    char                   szPIN[MAX_COMMON_STRING_32];         // PIN, ӷʽΪPIN뷽ʽʱҪд
    BYTE                   byReserved[256];                    // ֶ
}NET_WPS_INFO;

// ַб
typedef struct tagNET_FILTER_ADDRESS_LIST
{
    BOOL                    bEffective;                         // бЧ trueЧfalseЧ
    char                    szMAC[DH_MACADDR_LEN];              // 豸MACַ
    char                    szDescribeText[DH_COMMON_STRING_256]; // ԸMACϢ    
    BYTE                    byReserved[256];                    // ֶ
}NET_FILTER_ADDRESS_LIST;

// ַб˲
typedef enum tagEM_ADDRLIST_FILTER_POLICY
{
    EM_ADDRLIST_FILTER_POLICY_UNKNOWN,                          // δ֪
    EM_ADDRLIST_FILTER_POLICY_WHITE,                            // "white" : беЧַ豸ȵ㣬
    EM_ADDRLIST_FILTER_POLICY_BLACK,                            // "black" : ֹбеЧַ豸ȵ㣬
}EM_ADDRLIST_FILTER_POLICY;

// AccessPoint 
typedef struct tagNET_AP_FILTER
{
    BOOL                    bEnable;                            // Ƿ˹
    int                     nMaxAccessNum;                      // Wifi豸Ӹ
    EM_ADDRLIST_FILTER_POLICY emPolicy;                         // ˲
    NET_FILTER_ADDRESS_LIST *pstuAddrList;                      // ַбûڴͷ                     
    int                     nMaxListNum;                        // ַ
    int                     nRetListNum;                        // صĵַ
    BYTE                    byReserved[256];                    // ֶ
}NET_AP_FILTER;

//Accesspoint ģʽ
typedef enum tagEM_WORKPATTERN
{
    EM_WORKPATTERN_UNKNOWN,                          // δ֪
    EM_WORKPATTERN_2_4G,                             // ĬΪ2.4Gģʽ
    EM_WORKPATTERN_5G,                               // 5Gģʽ
}EM_WORKPATTERN;

// AP ģʽ
typedef struct tagNET_AP_WORKPATTERN
{
    EM_WORKPATTERN          emWorkPatternType;                  // ģʽ:2.4G/5G
    BOOL                    bEnable;                            // WIFIʹܿ, TRUE, FALSEر
    BOOL                    bHideSSID;                          // ǷSSID, TRUE , FALSE ʾ
    char                    szSSID[DH_COMMON_STRING_36];        // (SSID)
    EM_LINK_MODE            emLinkMode;                         // ģʽ
    int                     nPriority;                          // ȼ (Χ 1-32)
    int                     nChannel;                           // ŵ (Χ 1-13)
    int                     nChannelBandwidth;                  // ŵ λ: M
    EM_AP_AUTHENTICATION    emAuthentication;                   // ֤ʽ
    EM_AP_DATA_ENCRYPT      emDataEncryption;                   // ݼܷʽ
    EM_AP_POWER_MODE        emPowerMode;                        // ģʽ
    BOOL                    bDHCPEnable;                        // ǷDHCPʽIPַ
    NET_DHCP_INFO           stuDHCP;                            // DHCPϸϢ
    char                    szIPAddresss[NET_IPADDRSTR_LEN];    // IPַ
    char                    szSubnetMask[MAX_COMMON_STRING_16]; // 
    char                    szDefaultGateway[MAX_COMMON_STRING_16]; // Ĭ
    NET_WEP_INFO            stuWEP;                             // WEP֤
    NET_WPA_PSK_INFO        stuWPAPSK;                          // WPA/WPA2 PSK
    NET_EAP_INFO            stuEAP;                             // WPA/WPA2 
    NET_WPS_INFO            stuWPS;                             // WPS ȫ
    NET_AP_FILTER           stuFilter;                          // 
    BYTE                    byReserved[1024];                   // ֶ
}NET_AP_WORKPATTERN;

// ȵ㹦ܵ
typedef enum tagEM_ACCESSPOINT_NAME
{
    EM_ACCESSPOINT_NAME_UNKNOWN,                          // δ֪
    EM_ACCESSPOINT_NAME_ETH2,                             // "eth2" : ǰʹõAP
    EM_ACCESSPOINT_NAME_WALN0,                            // "wlan0" : 洢ʹõAP
    EM_ACCESSPOINT_NAME_APRA0,                            // "apra0" :  ṩӲAPܵ
}EM_ACCESSPOINT_NAME;

// AccessPoint Ϣ
typedef struct tagNET_ACCESSPOINT_INFO
{
    EM_ACCESSPOINT_NAME     emAccessPointName;                  // ṩȵ㹦ܵ
    int                     nValidPatternNum;                   // Чģʽ
    NET_AP_WORKPATTERN      stuWorkPattern[MAX_WORKPATTERN_NUM];// ģʽ:2.4G(Ĭ)/5G
    BYTE                    byReserved[1024];                   // ֶ
}NET_ACCESSPOINT_INFO;

// WIFI (ȵ㹦)
typedef struct tagNET_NETAPP_ACCESSPOINT
{
    DWORD                   dwSize;
    int                     nValidAPNum;                        // AccessPoints Ч
    NET_ACCESSPOINT_INFO    stuAccessPoints[NET_MAX_AP_NUM];    // AP Ϣ
}NET_NETAPP_ACCESSPOINT;

//򴰿
typedef enum tagEM_DISORDERWINDOW_TYPE
{
	EM_DISORDERWINDOW_TYPE_UNKNOWN = -1,
	EM_DISORDERWINDOW_TYPE_PACKETS_NUMBER = 0,   //ݰ,Ĭ
	EM_DISORDERWINDOW_TYPE_DATA_DELAY = 1,       //ʱ(ms)
	EM_DISORDERWINDOW_TYPE_MEMORY_SIZE = 2,      //ڴС(KB)
}EM_DISORDERWINDOW_TYPE;

// RTSP
typedef struct tagNET_CFG_RTSP_TRANSIT
{
	int                      nUdpSndBufSize;    //UDPsocketС(λ:KB) Ĭ512 0-ʹϵͳĬֵ
	int                      nUdpRcvBufSize;    //UDPsocketС(λ:KB)Ĭ512 0-ʹϵͳĬֵ
	int                      nSliceSize;        //rtpķְС(λ:ֽ),Ĭ1472 ֵ:mtu-ipͷ-udpͷ
	int                      nFlowControlMaxDelay;/* ӳ٣ʾƺ
	ӳ󲻳ֵ,Ĭ400ms */
	int                      nFlowControlCoefficient;/* ӳϵʵЧӳ= MaxDelay* Coefficient/100
	ֵԽ󣬱ʾӳԽݷҲ͸,Χ[0,100],Ĭ50 ,0ʾرӦò*/
	EM_DISORDERWINDOW_TYPE   emDisorderWindowType;   //򴰿
	int                      nDisorderWindowValue;   //򴰿ڴСĬΪ100
	BYTE                     byReserved[2048];  //ֽ
}NET_CFG_RTSP_TRANSIT;

//ش
typedef enum tagEM_RETRANSIT_TYPE
{
	EM_RETRANSIT_TYPE_UNKNOWN = -1,
	EM_RETRANSIT_TYPE_PACKETS_NUMBER = 0,   //ݰ,Ĭ
	EM_RETRANSIT_TYPE_DATA_DELAY = 1,       //ʱ(ms)
}EM_RETRANSIT_TYPE;

// DVRIP
typedef struct tagNET_CFG_DVRIP_TRANSIT
{
	int                      nUdpSndBufSize;     //UDPsocketС(λ:KB),Ĭ512 0-ʹϵͳĬֵ
	int                      nMaxSize;           //ݰְС(λ:ֽ) Ĭ:1400 ֵ:mtu-ipͷ-udpͷ
	int 					 nFlowControlMaxDelay;/* ӳ٣ʾƺ
	ӳ󲻳ֵ,Ĭ400ms */
	int 					 nFlowControlCoefficient;/* ӳϵʵЧӳ= MaxDelay* Coefficient/100
	ֵԽ󣬱ʾӳԽݷҲ͸,Χ[0,100],Ĭ50 ,0ʾرӦò*/
	EM_RETRANSIT_TYPE        emRetransitType;    //ش
	int                      nRetransitValue;    //شֵ
	BYTE                     byReserved[2048];  //ֽ
}NET_CFG_DVRIP_TRANSIT;

// GB28181
typedef struct tagNET_CFG_GB28181_TRANSIT
{
	int                      nUdpSndBufSize;     //UDPsocketС(λ:KB),Ĭ512 0-ʹϵͳĬֵ
	int                      nMaxSize;           //ݰְС(λ:ֽ) Ĭ:1400 ֵ:mtu-ipͷ-udpͷ
	int 					 nFlowControlMaxDelay;/* ӳ٣ʾƺ
	ӳ󲻳ֵ,Ĭ400ms */
	int 					 nFlowControlCoefficient;/* ӳϵʵЧӳ= MaxDelay* Coefficient/100
	ֵԽ󣬱ʾӳԽݷҲ͸,Χ[0,100],Ĭ50 ,0ʾرӦò*/
	BYTE                     byReserved[2048];  //ֽ
}NET_CFG_GB28181_TRANSIT;

// ӦöӦNET_EM_CFG_NETAUTOADAPTTRANSIT
typedef struct tagNET_NETAUTOADAPTTRANSIT
{
	DWORD					dwSize;
	NET_CFG_RTSP_TRANSIT    stuRtsp;    //RTSP
	NET_CFG_DVRIP_TRANSIT   stuDvrip;   //DVRIP
	NET_CFG_GB28181_TRANSIT stuGB28181; //GB28181
}NET_NETAUTOADAPTTRANSIT;

// ʶ󳤶
#define	MAX_DN_LENGTH	128

// LDAP 
typedef struct tagNET_NETAPP_LDAP 
{
	DWORD					dwSize;
	BOOL					bEnable;							// Ƿʹ
	char					szServerIP[MAX_SERVER_ADDRESS_LEN];	// IPַ
	int						nServerPort;						// ˿ں
	char					szBindDN[MAX_DN_LENGTH];			// 󶨵ıʶ
	char					szBindPwd[MAX_PWD_LEN];				// 
	BOOL					bAnonymousBind;						// Ƿ
	char					szBaseDN[MAX_DN_LENGTH];			// ʶ
	char					szFilter[DH_COMMON_STRING_128];		// Χ
} NET_NETAPP_LDAP;


// 豸(ñһ,űʶԸ豸־·)
typedef enum tagEM_SYSLOG_FACILITY_TYPE
{
	EM_SYSLOG_FACILITY_UNKNOWN = -1,
	EM_SYSLOG_FACILITY_KERNEL_MESSAGES,								// 0 kernel messages
	EM_SYSLOG_FACILITY_USER_LEVEL_MESSAGES,							// 1 user-level messages
	EM_SYSLOG_FACILITY_MAIL_SYSTEM,									// 2 mail system
	EM_SYSLOG_FACILITY_SYSTEM_DAEMONS,								// 3 system daemons
	EM_SYSLOG_FACILITY_SECURITY_MESSAGES,							// 4 security/authorization messages
	EM_SYSLOG_FACILITY_MESSAGES_GENERATED_INTERNALLY_BY_SYSLOGD,	// 5 messages generated internally by syslogd
	EM_SYSLOG_FACILITY_LINE_PRINTER_SUBSYSTEM,						// 6 line printer subsystem
	EM_SYSLOG_FACILITY_NETWORK_NEWS_SUBSYSTEM,						// 7 network news subsystem
	EM_SYSLOG_FACILITY_UUCP_SUBSYSTEM,								// 8 UUCP subsystem
	EM_SYSLOG_FACILITY_CLOCK_DAEMON,								// 9 clock daemon
	EM_SYSLOG_FACILITY_SECURITY_MESSAGES_2,							// 10 security/authorization messages
	EM_SYSLOG_FACILITY_FTP_DAEMON,									// 11 FTP daemon
	EM_SYSLOG_FACILITY_NTP_SUBSYSTEM,								// 12 NTP subsystem
	EM_SYSLOG_FACILITY_LOG_AUDIT,									// 13 log audit
	EM_SYSLOG_FACILITY_LOG_ALERT,									// 14 log alert
	EM_SYSLOG_FACILITY_CLOCK_DAEMON_2,								// 15 clock daemon
	EM_SYSLOG_FACILITY_LOCAL_USE_0,									// 16 local use 0
	EM_SYSLOG_FACILITY_LOCAL_USE_1,									// 17 local use 1
	EM_SYSLOG_FACILITY_LOCAL_USE_2,									// 18 local use 2
	EM_SYSLOG_FACILITY_LOCAL_USE_3,									// 19 local use 3
	EM_SYSLOG_FACILITY_LOCAL_USE_4,									// 20 local use 4
	EM_SYSLOG_FACILITY_LOCAL_USE_5,									// 21 local use 5
	EM_SYSLOG_FACILITY_LOCAL_USE_6,									// 22 local use 6
	EM_SYSLOG_FACILITY_LOCAL_USE_7,									// 23 local use 7
} EM_SYSLOG_FACILITY_TYPE;

// Syslog 
typedef struct tagNET_NETAPP_SYSLOG 
{
	DWORD						dwSize;
	BOOL						bEnable;							// ʹ
	char						szServerIP[MAX_SERVER_IP_LEN];		// ַ
	int							nServerPort;						// ˿ں
	EM_SYSLOG_FACILITY_TYPE		emFacility;							// 豸
} NET_NETAPP_SYSLOG;

// 
typedef enum tagEM_WIRELESS_APN_TYPE
{
	EM_WIRELESS_APN_UNKNOWN = -1,									// δ֪
	EM_WIRELESS_APN_CUSTOMIZED,										// Զ
	EM_WIRELESS_APN_CTNET,											// й
	EM_WIRELESS_APN_CMNET,											// йƶ
	EM_WIRELESS_APN_UNINET,											// йͨ
}EM_WIRELESS_APN_TYPE;

// Ȩģʽ
typedef enum tagEM_WIRELESS_AUTH_MODE
{
	EM_WIRELESS_AUTH_MODE_UNKNOWN = 0,
	EM_WIRELESS_AUTH_MODE_NO,										// Ȩ
	EM_WIRELESS_AUTH_MODE_PAP,										// PAPȨ
	EM_WIRELESS_AUTH_MODE_CHAP,										// CHAPȨ
}EM_WIRELESS_AUTH_MODE;

// Ʋ
typedef enum tagEM_WIRELESS_3GFLUX_TACTICS
{
	EM_WIRELESS_3GFLUX_TACTICS_UNKNOWN = 0,
	EM_WIRELESS_3GFLUX_TACTICS_BYFLUX_MONTHLY,							// °
	EM_WIRELESS_3GFLUX_TACTICS_BYTIME_MONTHLY							// °ʱ
}EM_WIRELESS_3GFLUX_TACTICS;

// ÿƲ
typedef enum tagEM_WIRELESS_DAY3GFLUX_TACTICS
{
	EM_WIRELESS_DAY3GFLUX_TACTICS_UNKNOWN = 0,
	EM_WIRELESS_DAY3GFLUX_TACTICS_BYFLUX,								// 
	EM_WIRELESS_DAY3GFLUX_TACTICS_BYTIME								// ʱ
}EM_WIRELESS_DAY3GFLUX_TACTICS;

// ÿմﵽ޶
typedef enum tagEM_WIRELESS_3GFLUX_ACTION
{
	EM_WIRELESS_3GFLUX_ACTION_UNKNOWN = 0,
	EM_WIRELESS_3GFLUX_ACTION_NOTHING,									// ޶
	EM_WIRELESS_3GFLUX_ACTION_3GNETDOWN									// 3G
}EM_WIRELESS_3GFLUX_ACTION;

// ģʽѡ
typedef enum tagEM_WIRELESS_WORK_MODE
{
	EM_WIRELESS_WORK_MODE_UNKNOWN = 0,
	EM_WIRELESS_WORK_MODE_CDMA1X,											// CDMA1x
	EM_WIRELESS_WORK_MODE_EVDO,												// EVDO
	EM_WIRELESS_WORK_MODE_TD_SCDMA,											// TD-SCDMA
	EM_WIRELESS_WORK_MODE_WCDMA,											// WCDMA
	EM_WIRELESS_WORK_MODE_EDGE,												// EDGE
	EM_WIRELESS_WORK_MODE_TDD_LTE,											// TDD-LTE
	EM_WIRELESS_WORK_MODE_FDD_LTE,											// FDD-LTE
}EM_WIRELESS_WORK_MODE;

#define	MAX_DAIL_NUMBER	32													// Wirelessвź볤
// 
typedef struct tagNET_NETAPP_WIRELESS
{
	DWORD						dwSize;
	BOOL						bEnable;					                // ʹܿ
	int							nIndex;										// ģֻPALȡindex
	int							nKeepAlive;						            // ʱ, λΪ룬0ʾԶϿ
	EM_WIRELESS_APN_TYPE		emAPN;							            // 磬 ΪԶʱʹszAPNNameַ͸
	char						szAPNName[DH_COMMON_STRING_32];				// emAPNΪԶʱʹszAPNNameַ͸:"CTNET", "CMNET", "UNINET", "CUSTOMIZED"
	EM_WIRELESS_AUTH_MODE		emAuthMode;									// Ȩģʽ
	char						szUserName[DH_COMMON_STRING_64];	        // û
	char						szPassword[DH_COMMON_STRING_64];	        // 
	BOOL						bAutoDial;									// ʱԶſ, ĬΪtrue򿪣ʱʹstuTimeSection,falseʱstuTimeSectionЧ
	DH_TSECT					stuTimeSection[DH_N_WEEKS][DH_N_REC_TSECT]; // ʱ

	EM_WIRELESS_3GFLUX_TACTICS	em3GFluxTactic;								// ʹò
	UINT						n3GFluxUp;									// ʹ, [0,65535]MB߷
	UINT						n3GFlux;									// ʵʹ, [0,65535]MB߷

	EM_WIRELESS_DAY3GFLUX_TACTICS emDay3GFluxTactic;						// ÿƲ
	UINT						nDay3GFluxUp;								// ÿʹ, [0,65535]MB߷
	UINT						nDay3GFlux;									// ʹ, [0,65535]MB߷
	EM_WIRELESS_3GFLUX_ACTION	emDay3GFluxAction;							// ,ÿմﵽ޶

	EM_WIRELESS_WORK_MODE		emWorkMode;									// ģʽѡ
	char						szDailNumber[MAX_DAIL_NUMBER];				// ź
	BOOL						bActivate;									// ǷѾż
} NET_NETAPP_WIRELESS;

// ·¼Ϣ
typedef struct tagNET_DEV_CAR_COACH_INFO
{
    DWORD                   dwSize;                         
    char                    szCarNo[MAX_CARNO_LEN];              // 
    char                    szCoachNo[MAX_COACHNO_LEN];          // 
}NET_DEV_CAR_COACH_INFO;

// ץͼʽոʽ
typedef enum tagEM_MEDIA_GLOBAL_SNAP_FORMAT_AS
{
	EM_MEDIA_GLOBAL_SNAP_FORMAT_AS_UNKNOWN,
	EM_MEDIA_GLOBAL_SNAP_FORMAT_AS_MAIN_FORMAT,                  // 
	EM_MEDIA_GLOBAL_SNAP_FORMAT_AS_EXTRA_FORMAT,				 // ո1
	EM_MEDIA_GLOBAL_SNAP_FORMAT_AS_EXTRA2_FORMAT,				 // ո2
	EM_MEDIA_GLOBAL_SNAP_FORMAT_AS_EXTRA3_FORMAT,				 // ո3
}EM_MEDIA_GLOBAL_SNAP_FORMAT_AS;

// ýȫ
typedef struct tagNET_MEDIA_GLOBAL_INFO
{
	DWORD               dwSize;
	int                 nPacketType;                          // 0:ʱ,1С
	BYTE                byPacketLength;                       // ¼ʱ䳤,λӡ1-255
	BYTE                byAlign[3];                           // 
	DWORD				dwPacketSize;                   	  // ¼ļ,λKB
	BOOL				bLogRecord;                           // Ƿ¼¼־
	BOOL				bLogEncode;                           // Ƿ¼쳣־
	EM_MEDIA_GLOBAL_SNAP_FORMAT_AS  emSnapFormatAs;           // ץͼʽոʽ豸ֶ֧ץͼֱʸʽʱץͼʽݲոʽ
}NET_MEDIA_GLOBAL_INFO;

// λ(רгλͨλ) Ӧ NET_EM_CFG_PARKINGSPACECELL_STATUS
// ע16, ʵʷЧã鿴ӿ(NET_CONFIG_RETURN_INFO*)reserve
typedef struct tagNET_PARKINGSPACECELL_STATUS_INFO
{
	DWORD				dwSize;	
	int					nCellNumber;			// λ
	UINT				nCellType;				// λ, -1:Ч, 0:ͨλ 1:רгλ 2:糵λ	
} NET_PARKINGSPACECELL_STATUS_INFO;

// λɫ
typedef struct tagNET_PARKINGSPACELIGHT_INFO
{
	int						nRed;					// : -1:Ч, 0/, 1/, 2/˸
	int						nYellow;				// Ƶ: -1:Ч, 0/, 1/, 2/˸
	int						nBlue;					// : -1:Ч, 0/, 1/, 2/˸
	int						nGreen;					// ̵: -1:Ч, 0/, 1/, 2/˸
	int						nPurple;				// ϵ: -1:Ч, 0/, 1/, 2/˸
	int						nWhite;					// ׵: -1:Ч, 0/, 1/, 2/˸
	int						nPink;					// ۵: -1:Ч, 0/, 1/, 2/˸
	BYTE					byReserved[32];			// ֽ
} NET_PARKINGSPACELIGHT_INFO;

// 쳣״̬ɫ
typedef struct tagNET_NETWORK_EXCEPTION_INFO
{
	NET_PARKINGSPACELIGHT_INFO  stNetPortAbortInfo[MAX_NETPORT_NUM];	// ڶϿ״̬ɫ
	int							nRetNetPortAbortNum;					// ʵʷصĸ
	NET_PARKINGSPACELIGHT_INFO	stuSpaceSpecialInfo;					// λר״̬ɫ					
	NET_PARKINGSPACELIGHT_INFO	stuSpaceChargingInfo;					// 糵λ״̬ɫ
	BYTE						byReserved[256];						// ֽ
} NET_NETWORK_EXCEPTION_INFO;

// λ״̬Ӧĳλָʾɫ Ӧ NET_EM_CFG_PARKINGSPACELIGHT_STATE
typedef struct tagNET_PARKINGSPACELIGHT_STATE_INFO
{
	DWORD								dwSize;
	NET_PARKINGSPACELIGHT_INFO			stuSpaceFreeInfo;			// λ״̬ɫ
	NET_PARKINGSPACELIGHT_INFO			stuSpaceFullInfo;			// λռ״̬ɫ
	NET_PARKINGSPACELIGHT_INFO			stuSpaceOverLineInfo;		// λѹ״̬ɫ
	NET_PARKINGSPACELIGHT_INFO			stuSpaceOrderInfo;			// λԤ״̬ɫ
	NET_NETWORK_EXCEPTION_INFO			stuNetWorkExceptionInfo;	// 쳣״̬ɫ
} NET_PARKINGSPACELIGHT_STATE_INFO;

// NAS Protocol 
typedef enum __EM_NAS_PROTOCOL
{
	NAS_PROTOCOL_UNKNOW = 0,
	NAS_PROTOCOL_FTP,		// FTP
	NAS_PROTOCOL_SMB,		// SMB
	NAS_PROTOCOL_NFS,		// NFS
	NAS_PROTOCOL_ISCSI,		// ISCSI
	NAS_PROTOCOL_CLOUD,		// CLOUD
}EM_NAS_PROTOCOL;

// NAS Ϣ
typedef struct tagNET_NAS_INFO
{
	DWORD               dwSize;
    BOOL                bEnable;										// Ƿ	
	char				szName[MAX_COMMON_STRING_128];					// 
    char                szHostIp[DH_MAX_IPADDR_OR_DOMAIN_LEN];			// IPַ
    WORD                wHostPort;										// ˿
	char				reserved[2];									// ֶ
    char                szDirName[DH_FTP_MAX_PATH];						// FTPĿ¼·
    char                szUserName[DH_FTP_USERNAME_LEN];				// û
    char                szPassword[DH_FTP_PASSWORD_LEN];				//     
    int                 nInterval;										// ļʱ(1~600),λ   
	BOOL				bAnonymity;										// ʹ,ʹܣProtocolΪFTPʱЧ
	EM_NAS_PROTOCOL     emProtocol;										// Э	
}NET_NAS_INFO;

// PPPoEϢ
typedef struct tagNET_PPPOE_INFO
{
	DWORD               dwSize; 
	BOOL				bEnable;								// Ƿʹ	
    char                szUserName[MAX_USER_NAME_LEN];			// û
	char				szPasswd[MAX_PWD_LEN];					// 	
}NET_PPPOE_INFO;

// EmailϢ
typedef struct tagNET_EMAIL_INFO
{
	DWORD               dwSize;		
	BOOL                bEnable;									// ʹ0:false,    1:true
	char                szMailIPAddr[DH_MAX_DOMAIN_NAME_LEN];		// ʼַ(IP)   
    WORD                wMailPort;									// ʼ˿   
	char				reserved[2];								// ֶ
    char                szSenderAddr[DH_MAX_MAIL_ADDR_LEN];			// ͵ַ
    char                szUserName[DH_MAX_MAIL_NAME_LEN];			// û
    char                szUserPsw[DH_MAX_MAIL_NAME_LEN];			// û
    char                szDestAddr[DH_MAX_MAIL_ADDR_LEN];			// Ŀĵַ    
    char                szSubject[DH_MAX_MAIL_SUBJECT_LEN];			// 
	char				*szReceivers[DH_MAX_MAIL_ADDR_LEN];			// ռбûڴ 
	unsigned int		nReceiversNum;								// ռ
	unsigned int		nReceiversNumRet;							// 豸صռ    
    BOOL                bSSLEnable;									// SSLʹ
	BOOL				bTLSEnable;									// TLSʹ
    WORD                wSendInterval;								// ʱ,[0,3600]
    BYTE                bAnonymous;									// ѡ[0,1], 0ʾFALSE,1ʾTRUE.
    BYTE                bAttachEnable;								// ʹ[0,1], 0ʾFALSE,1ʾTRUE.
	BOOL				bHealthReport;								// ʼʹ
	int					nHealthReportInterval;						// ʼ   
}NET_EMAIL_INFO;

// DDNSϢ
typedef struct tagNET_DDNS_INFO
{
	DWORD                dwSize;
    DWORD                dwDdnsServerNum; // DDNS 
    DH_DDNS_SERVER_CFG   stuDdnsServer[DH_MAX_DDNS_NUM];
}NET_DDNS_INFO;

// ЭϢб
typedef struct tagNET_PROTOCOLS_MANAGER
{
	char				szDesc[DH_COMMON_STRING_128];       // Э,:̸̽_DI_SMK
	BOOL				bEnable;							// ʹܱ־
	char				szProtocol[DH_COMMON_STRING_128];   // Э,:DI_SMK
	char				szShowType[DH_COMMON_STRING_128];	// Э,:SmokingSensor
	BYTE				byReserved[256];					// ֽ
}NET_PROTOCOLS_MANAGER;

// ЭϢ
typedef struct tagNET_SCADA_PROTOCOLS_MANAGER
{
	DWORD					dwSize;
	NET_PROTOCOLS_MANAGER*	pstProtocolsManager;		     // ЭϢ
	int						nProtocolsManagerNum;		     // ЭϢ
	int						nRetProtocolsManagerNum;		 // ʵʷصЭϢ
															 // һλȡЭʱnRetProtocolsManagerNumnProtocolsManagerNum
															 // ôһλȡЭʱnProtocolsManagerNumֵȡnRetProtocolsManagerNum
}NET_SCADA_PROTOCOLS_MANAGER;

// 豸Ϣб
typedef struct tagNET_DEVICEIDSETS
{
	char			  szDevName[DH_COMMON_STRING_32];		// 豸
	char			  szDevType[DH_COMMON_STRING_32];		// 豸
	char			  szNewDeviceId[DH_COMMON_STRING_32];   // ûʲ,szNewDeviceIdʵʴСҪszOldDeviceIdʵʴСͬ
	char			  szOldDeviceId[DH_COMMON_STRING_32];	// Ĭʲ
	BYTE			  byReserved[128];						// ֽ
}NET_DEVICEIDSETS;

// 豸Ϣ
typedef struct tagNET_SCADA_DEVICEINFO_CFG
{
	DWORD			    dwSize;
	char			    szCity[DH_COMMON_STRING_32];         // ڳ
	char			    szProvince[DH_COMMON_STRING_32];     // ʡ
	int				    nStation;							 // վ
	NET_DEVICEIDSETS*	pstDeviceIdSets;					 // 豸Ϣ
	int					nDeviceIdSetsNum;					 // 豸
	int					nRetDeviceIdSetsNum;				 // صĽ豸
}NET_SCADA_DEVICEINFO_CFG;
//Ϣ
typedef struct tagNET_SCADA_CONTROLLER_SITE_INFO
{
	char			szIPAddress[64];			// IPַ
	char			szDevName[64];				// 豸
	UINT			nPort;						// ˿
	char			szDeviceID[32];				// 豸ID.޸ģΨһʶ
	BYTE			bReserved[128];				// ֽ
}NET_SCADA_CONTROLLER_SITE_INFO;
//Ϣ
typedef struct tagNET_CFG_SCADA_CONTROLLER_SITE_INFO
{
	DWORD								dwSize;						// ṹС
	int									nControllerNum;				// 
	NET_SCADA_CONTROLLER_SITE_INFO		stuControllerInfo[128];		// Ϣ
}NET_CFG_SCADA_CONTROLLER_SITE_INFO;

//·VPN
typedef enum tagNET_EM_LINK_LAYER_VPN_TYPE
{
	NET_EM_TYPE_UNKNOWN = 0,    // δ֪
	NET_EM_TYPE_PPTP,           // PPTP͵·VPN
	NET_EM_TYPE_L2TP,		    // L2TP͵·VPN
}NET_EM_LINK_LAYER_VPN_TYPE;

//·VPNб
typedef struct tagNET_NETAPP_LINK_LAYER_VPN
{
	char						szName[MAX_LINK_NAME_LEN];				// 
	NET_EM_LINK_LAYER_VPN_TYPE  emLinkLayerVPNType;						// ·VPN
	BOOL						bEnable;								// ʹܿ
	char						szAddress[MAX_SERVER_ADDRESS_LEN];				// IP
	char						szUserName[MAX_USER_NAME_LEN];			// û
	char						szPassword[MAX_PWD_LEN];				// 
	BYTE						byReserved[1024];						// ֽ
}NET_NETAPP_LINK_LAYER_VPN;

//·VPN
typedef struct tagNET_NETAPP_LINK_LAYER_VPN_CFG
{
	DWORD			            dwSize;
	int							nRetLinkLayerVPNNum;					 //ص·VPNø
	NET_NETAPP_LINK_LAYER_VPN   stLinkLayerVPN[LINK_LAYER_VPN_NUM];   //·VPN
}NET_NETAPP_LINK_LAYER_VPN_CFG;

//ssh 
typedef struct tagNET_NETAPP_SSHD_CFG 
{
	DWORD						dwSize;									// ṹС
	BOOL						bEnable;								// Ƿsshd
} NET_NETAPP_SSHD_CFG;

// ϵϢ
typedef struct tagNET_MEMBERS_INFO
{
    char                        szName[MAX_COMMON_STRING_32];           // ϵ
    char                        szMobile[MAX_COMMON_STRING_16];         // 豸
    char                        szEmail[MAX_COMMON_STRING_32];          // 
    char                        szOrganization[MAX_COMMON_STRING_64];   // ֯                            
}NET_MEMBERS_INFO;

// ֪ͨ
typedef enum tagNET_NOTIFY_TYPE
{
    NET_NOTIFY_TYPE_UNKNOWN,                    // δ֪
    NET_NOTIFY_TYPE_SMS,                        // 
    NET_NOTIFY_TYPE_CALL,                       // 绰
    NET_NOTIFY_TYPE_ALL,                        // &绰
}NET_NOTIFY_TYPE;

// û֪ͨϢ
typedef struct tagNET_NOTIFY_INFO
{
    NET_NOTIFY_TYPE                 emType;                         // ֪ͨ
    BOOL                            bAlarmEvents;                   // Ƿܱ¼
    BOOL                            bSystemEvents;                  // Ƿܹ¼
    BOOL                            bOperationEvents;               // Ƿܲ¼
}NET_NOTIFY_INFO;

// ͨѶ¼б
typedef struct tagNET_NETAPP_COMMUNICATION_LIST
{
    char                            szGroupName[MAX_COMMON_STRING_16];      // Զ,ظ
    int                             nMembersNum;                            // ϵ˸
    NET_MEMBERS_INFO                arrMembers[32];                         // ϵϢ
    NET_NOTIFY_INFO                 stuNotifyInfo;                          // û֪ͨϢ
}NET_NETAPP_COMMUNICATION_LIST;

// ͨѶ¼
typedef struct tagNET_NETAPP_COMMUNICATION_LIST_CFG
{
    DWORD                           dwSize;                                 // ṹС
    int                             nConmmunicationListNum;                 // ʵʵͨѶ¼ø
    NET_NETAPP_COMMUNICATION_LIST   stuCommunication[10];                   // ͨѶ¼
}NET_NETAPP_COMMUNICATION_LIST_CFG;

// йƽ̨
typedef struct tagNET_VSP_CHINA_TOWER
{
	DWORD			dwSize;
	BOOL			bEnable;                              // ʹ,TRUEΪ,FALSEΪر
	char			szServerIP[MAX_SERVER_IP_LEN];		  // IP
	int				nServerPort;						  // ˿,ȡֵΧ0~65535
	int				nLoginInterval;						  // עʱ,λΪ,ȡֵΧ60~180
}NET_VSP_CHINA_TOWER;

// йֻ
typedef struct tagNET_VSP_SHDXJT 
{
    DWORD			dwSize;
    BOOL			bEnable;                              // ʹ,TRUEΪ,FALSEΪر
    char            szRegisterUrl[128];                   // עURLַ
    char            szDeviceID[32];                       // 豸Ψһʶ룬ƽ̨ͳһ
    char            szDeviceKey[32];                      // 豸Ϸ֤룬ƽ̨ͳһ
    int             nEStoreFlag;                          // ƴ洢ܱʶ,	0֧֣1֧
    BYTE            byReserve[4];                         // ֽڣֽڶ
}NET_VSP_SHDXJT;


// ѻ
typedef struct tagNET_CFG_VSP_CONSUME
{
	DWORD			dwSize;									// ṹС
	UINT			nTotalNumber;							// 
}NET_CFG_VSP_CONSUME;

// ƵԽ绰ͨ(ӦNET_EM_CFG_VTH_PASSWORD)
typedef struct tagNET_CFG_VTH_PASSWORD_INFO
{
	DWORD		   dwSize;
	char		   szUser[8];					            // û룬Ϊ6λ
}NET_CFG_VTH_PASSWORD_INFO;

// sipעϢ
typedef struct tagNET_CFG_SIPSERVER_INFO
{
    DWORD                   dwSize;                 
    char                    szAccoutName[MAX_COMMON_STRING_64];         // ˻
    char                    szAddres[DH_MAX_IPADDR_EX_LEN];             // sipַ
    int                     nPort;                                      // sip˿ں
    char                    szProxyAdress[DH_MAX_IPADDR_EX_LEN];        // ַ
    char                    szProxyID[MAX_COMMON_STRING_64];            // ID
    int                     nProxyPort;                                 // ˿ں
    char                    szUserID[MAX_COMMON_STRING_64];             // ûIDһǵ绰
    int                     nUserType;                                  // û͡0:SIPͻ,2:ſڻ,3:VTNC
    char                    szAuthID[MAX_USER_NAME_LEN];                // ݼID
    char                    szAuthPassword[MAX_PWD_LEN];                // ݼ
    char                    szSTUNServer[DH_MAX_IPADDR_EX_LEN];         // UDPݱ򵥴Խַת
    char                    szRegisterRealm[MAX_COMMON_STRING_64];      // ע
    int                     nRegExpiration;                             // עʱ䣬λ
    int                     nSipPort;                                   // Sip˿
    int                     nRTPPort;                                   // RTP˿
    BOOL                    bUnregisterOnReboot;                        // ɾעϢʹ
    char                    szDefaultCallNumber[MAX_COMMON_STRING_64];  // ĬϺк
    UINT                    nVideoStreamType;                           // Ƶ,0112233
    UINT                    nAudioStreamType;                           // Ƶ,0112233
    BOOL                    bRouteEnable;                               // ǷSip·ɹ
    int                     nRouteCount;                                // ·
    char                    szRouteAddress[DH_MAX_IPADDR_EX_LEN][MAX_ROUTE_NUM]; // ·ɵַ
    char                    szSIPServerLoginUserName[MAX_USER_NAME_LEN];// ½VTNCû
    char                    szSIPServerLoginPWD[MAX_PWD_LEN];           // ¼VTNC
    BOOL                    bMainVTO;                                   // ǷǱ÷ʹ
    char                    szRedundancyServer[DH_MAX_IPADDR_EX_LEN];   // sipַ
    char                    szRedundancyUserName[MAX_USER_NAME_LEN];    // ÷½û
    char                    szRedundancyPassword[MAX_PWD_LEN];          // ÷½
    char                    szAnalogNumberStart[MAX_COMMON_STRING_64];  // ģϵͳֵ֧ģڻʼ
    char                    szAnalogNumberEnd[MAX_COMMON_STRING_64];    // ģϵͳֵ֧ģڻ
	BOOL					bUserEnable;								// עʹ
}NET_CFG_SIPSERVER_INFO; 

// ſڻ
typedef struct tagNET_DEVICE_LOGIN_INFO
{
	char					szAddress[DH_MAX_IPADDR_EX_LEN];			// IPַ
	char					szLongNumber[MAX_COMMON_STRING_16];			// 
	char					szUsername[MAX_COMMON_STRING_16];			// û
	char					szPassword[MAX_COMMON_STRING_16];			// 
	BYTE					byReserved[512];							// ֽ
} NET_DEVICE_LOGIN_INFO;

// ſڻ½ſڻ
typedef struct tagNET_CFG_DEVICE_LOGIN_INFO 
{
	DWORD					dwSize;
	int						nCount;										// ſڻø
	NET_DEVICE_LOGIN_INFO	stDeviceLoginInfo[32];						// ſڻ
} NET_CFG_DEVICE_LOGIN_INFO;


// ͷǰڵ(ӦNET_EM_CFG_AELENSMASK)
typedef struct tagNET_CFG_AELENSMASK_INFO
{
	DWORD          dwSize;
	BOOL           bEnable;                       // ʹ(trueʱ֧ڵǵĿ͹ز)
	char           szName[MAX_COMMON_STRING_128]; // Զ
	BOOL           bStatus;                       // ״̬true:ʾڵfalse:ڵסͷ
}NET_CFG_AELENSMASK_INFO;

//
typedef struct tagNET_CFG_SINGLE_ULTRASONIC
{
	BOOL      bEnable;              //Ƿʹ
	UINT      nFreq;                //̽ͷƵʣλhz
	int       nBurst;               //̽һη
	int       nGain;                //̽ͷ淶Χ[0,100]
	int       nDriveCurrent;        //̽ͷλmA
	int       nMinValidDistance;    //źСֵλcm
	int       nMaxValidDistance;    //źֵλcmʾ˴СС
	int       nMinVaildSignalIntensity;   //Сǿ С֮źЧ
	int       nMaxVaildSignalIntensity;   //ǿ
	BYTE      byReserved[512];      //ֽ
}NET_CFG_SINGLE_ULTRASONIC;

//Ϣ
typedef struct tagNET_CFG_ULTRASONIC_INFO
{
	DWORD                      dwSize;
	int                        nMaxCount;         //ø
	int                        nRetCount;         //صĳø
	NET_CFG_SINGLE_ULTRASONIC  *pstuULTRASONIC;   //Ϣûͷ
}NET_CFG_ULTRASONIC_INFO;

// ŽԤǷ
typedef struct tagNET_CFG_ACCESS_DELAYSTRATEGY
{
    DWORD                   dwSize;
    BOOL                    bEnable;                                    // Ƿ
    int                     nPreArrearsTerm;                            // ԤǷޣλ
    int                     nArrearsTerm;                               // Ƿޣλ
}NET_CFG_ACCESS_DELAYSTRATEGY;

// 
typedef enum tagNET_EM_REGISTAR_SERVER_TYPE
{
    NET_EM_REGISTAR_SERVER_TYPE_UNKNOWN,
    NET_EM_REGISTAR_SERVER_TYPE_VTO,
    NET_EM_REGISTAR_SERVER_TYPE_H500,
    NET_EM_REGISTAR_SERVER_TYPE_VTNC,
    NET_EM_REGISTAR_SERVER_TYPE_ZYCOO,
    NET_EM_REGISTAR_SERVER_TYPE_THIRDPARTY,
    NET_EM_REGISTAR_SERVER_TYPE_3CXSYSTEM,
    NET_EM_REGISTAR_SERVER_TYPE_ASTERISK,
}NET_EM_REGISTAR_SERVER_TYPE;

// עϢ
typedef struct tagNET_CFG_REGISTAR_INFO
{
    DWORD                   dwSize;
    char                    szRegistarName[MAX_COMMON_STRING_64];    // עƣΨһ
    NET_EM_REGISTAR_SERVER_TYPE emServerType;                        // ע
    BOOL                    bRegistarEnable;                         // Ƿע
    char                    szAddress[DH_MAX_IPADDR_EX_LEN];         // עַ
    int                     nPort;                                   // ע˿
    char                    szPassword[MAX_COMMON_STRING_64];        // ע
}NET_CFG_REGISTAR_INFO;


// ¼ʱ
typedef struct tagNET_CFG_RECORDEXTRA_INFO
{
	DWORD					dwSize;
	DH_TSECT                stuTimeSection[DH_N_SCHEDULE_TSECT][DH_N_REC_TSECT];   // һάǰ7ԪضӦÿ7죬8ԪضӦڼգÿ6ʱ
}NET_CFG_RECORDEXTRA_INFO;

#define  NET_MAX_NUM_RECORDBACKUP_TASK       512         // ¼ش
#define  NET_MAX_NUM_RECORDBACKUP_CHANNEL    128         // ¼شͨ

// ¼ش
typedef struct tagNET_RECORDBACKUP_TASK
{
	int                     nNumChannel;                 // ͨ
	int                     nChannel[NET_MAX_NUM_RECORDBACKUP_CHANNEL];// ͨб
	NET_TIME_EX             stuStartTime;                // ʼʱ 
	NET_TIME_EX             stuEndTime;                  // ʱ
	char                    szStorageGroupName[DH_COMMON_STRING_32];   // ͨ¼Ҫ浽ĳСڴֶΣ豸Ĭʵ־
	//"ReadWrite*",д,м"*"Ϊ,Ϊһ
	//"ReadOnly",ֻ
	//"Redundant",,豸ô,ʹôļϵͳ."ReadWirte"һั
	//"NASFTP-"  "NASNFS-"  "NASSMB-"  "NASISCSI-"  "NASCloud-"
	//"Backup":,豸ӵĴ̻U,ʹñ׼ļϵͳ.дֹͣ,ѭ
	//"DrawFrame":ʷ֡,豸ô,ʹôļϵͳ.ʵʱ¼ָʱ,֡д
	BYTE                    byReserved[512];             // ֽ
}NET_RECORDBACKUP_TASK;

// Զ¼ش(NET_EM_CFG_AUTO_RECORDBACKUP_RESTORE)
typedef struct tagNET_CFG_AUTORECORDBACKUPRESTORE_INFO
{
	DWORD					dwSize;                      // ṹС
	BOOL                    bEnable;                     // ʹܿ
	UINT                    nSpeed;                      // ûشٶ,λ:Kbps
	NET_TIME_EX             stuBackupTime;               // ʼ¼شʱ
	int                     nNumTask;                    // ¼ش
	NET_RECORDBACKUP_TASK   stuTask[NET_MAX_NUM_RECORDBACKUP_TASK]; //¼ش
}NET_CFG_AUTORECORDBACKUPRESTORE_INFO;

// IPCץĲ
typedef enum tagEM_FACE_SNAP_POLICY
{
	EM_FACE_SNAP_POLICY_UNKNOWN,					// δ֪
	EM_FACE_SNAP_POLICY_REALTIME,					// ʵʱץģʽ(ǰͨģʽʵʱ)
	EM_FACE_SNAP_POLICY_OPTIMAL,					// ѡץģʽ趨ʱ(OptimalTime)ѡߵץͼ׼ȷȵʱϴ
	EM_FACE_SNAP_POLICY_QUALITY,					// ץģʽOptimalĻϣͼƬֵǰѡʵʱ
	EM_FACE_SNAP_POLICY_RECOGNITION,				// ʶץģʽѡʱڣһ֡νбȶԣһȶԳɹѡ߶Աȳɹʣȡģʽ
	EM_FACE_SNAP_POLICY_QUICK,						// ѡӼ⵽/忪ʼץһ֡ڵõ,
	EM_FACE_SNAP_POLICY_FULLTRACK,					// ȫѡץȫõ壬
	EM_FACE_SNAP_POLICY_INTERVAL,					// ץģ
	EM_FACE_SNAP_POLICY_SINGLE,						// ģʽŽ
	EM_FACE_SNAP_POLICY_PRECISION,					// ߾ģʽǿʶ𣬶
}EM_FACE_SNAP_POLICY;

//  IPCץϱͼ
typedef enum tagEM_CUTOUT_POLICY
{
	EM_CUTOUT_POLICY_UNKNOWN = -1,					// δ֪
	EM_CUTOUT_POLICY_UNSUPPORT,						// ֿ֧ͼ
	EM_CUTOUT_POLICY_ORIGINAL,						// ϱƬԭʼС
	EM_CUTOUT_POLICY_HALF,							// 
	EM_CUTOUT_POLICY_WHOLE,							// ȫ
	EM_CUTOUT_POLICY_CEPHALOTHORAX,					// ͷ
}EM_CUTOUT_POLICY;

// IPCץ
typedef struct tagNET_CFG_FACESNAPSHOT_INFO
{
	DWORD					dwSize;					// ṹС
	EM_FACE_SNAP_POLICY		emSnapPolicy;			// ץĲ
	UINT					nSnapFrames;			// ץ֡ڿץģʽΧ[10,1500]Ĭ25֡
	UINT					nOptimalTime;			// ʱ,λ
													// emSnapPolicyΪEM_FACE_SNAP_POLICY_OPTIMALEM_FACE_SNAP_POLICY_QUALITYʱЧ
	EM_CUTOUT_POLICY		emCutoutPolicy;			// 
	UINT					nIntervalFrmCnt;		// ʶץļ֡	emSnapPolicy Ϊ EM_FACE_SNAP_POLICY_RECOGNITION Ч
	UINT					nOptimalInterval;		// ѡץļ֡ emSnapPolicy Ϊ EM_FACE_SNAP_POLICY_INTERVAL Ч
	UINT					nOptimalCount;			// ѡץĴemSnapPolicy Ϊ EM_FACE_SNAP_POLICY_INTERVAL Ч
	UINT					nRecognizeTimeout;		// ʶʧܳʱʱ,λ
}NET_CFG_FACESNAPSHOT_INFO;

// ϱ
typedef enum tagNET_EM_REPORT_POLICY
{
	NET_EM_REPORT_POLICY_UNKNOWN,
	NET_EM_REPORT_POLICY_AUTO,			    // 豸Զϱ
	NET_EM_REPORT_POLICY_TIMING,			// ƽ̨ʱϱ
}NET_EM_REPORT_POLICY;

// 豸ԶϱϢ
typedef struct tagNET_AUTO_REPORT_INFO
{
	int				nReportTime;			// ϱʱλ:
	int				nReportDistance;		// ϱ룬λ:
	int				nInflectionPointAngle;	// յǶȣλ:
	int				nAccOffReportTime;		// ACCرλϱʱ,λ:
	BYTE			byReserved[1024];		// ֽ
}NET_AUTO_REPORT_INFO;

// GPSλϱϢ(Ӧ NET_EM_CFG_POSITIONREPORTPOLICY)
typedef struct tagNET_CFG_POSITIONREPORTPOLICY_INFO
{
	DWORD						    dwSize;
	NET_EM_REPORT_POLICY			emReportPolicy;			// ϱ,øֶʱemReportPolicyΪNET_EM_REPORT_POLICY_UNKNOWN
	NET_AUTO_REPORT_INFO			stuAutoReportInfo;		// ԶϱϢ,ֶemReportPolicyΪNET_EM_REPORT_POLICY_AUTOʱЧ
}NET_CFG_POSITIONREPORTPOLICY_INFO;

//ģʽ
typedef struct tagNET_RUNMODE_PARAMS
{
	DWORD                   dwSize;                     
	//ģʽ0:ڴģʽ1:ڴģʽ 
	int                     nMode;                              
	/*nWinConnectBufSize (windows) ÿӽݻС(ֽΪλ)
	Ϊ0ʾάԭֵ250*1024ѣСΪ128*1024 */
	int                     nWinConnectBufSize;
	/*nWinSocketRcvBuf (windows/linux), socketջС(ֽΪλ)
	Ϊ0ʾάԭֵ64*1024ѣСΪ36*1024 */
	int                     nWinSocketRcvBuf;       
}NET_RUNMODE_PARAMS;

// Զʱ
typedef struct tagNET_CFG_ARMSCHEDULE_INFO
{
   DWORD					dwSize;
   BOOL                     bEnable;                                               // ʹ
   DH_TSECT                 stuTimeSection[DH_N_SCHEDULE_TSECT][DH_N_REC_TSECT];   // һάǰ7ԪضӦÿ7죬8ԪضӦڼգÿ6ʱ
}NET_CFG_ARMSCHEDULE_INFO;

#define MAX_CID_NUM				    100				    // ׼CIDЭ
#define MAX_FTCID_NUM				100				    // 4+2CIDЭ
#define MAX_TEL_NUM			        2				    // ϱı±

//Э
typedef enum tagEM_CID_REPORT_PROTOCOL_TYPE
{
    EM_CID_REPORT_PROTOCOL_TYPE_UNKNOWN,               // δ֪
    EM_CID_REPORT_PROTOCOL_TYPE_CID,                   // ׼CIDЭ
    EM_CID_REPORT_PROTOCOL_TYPE_FTCID,                 // 4+2CIDЭ
}EM_CID_REPORT_PROTOCOL_TYPE;

//׼CIDЭ¼
typedef enum tagEM_CID_EVENT_CODE
{
    EM_CID_EVENT_CODE_UNKNOWN =-1,                                // -1 : δ֪
    EM_CID_EVENT_CODE_DEFENCE_GENERAL_ALARM,                      // 0 : һ㱨
    EM_CID_EVENT_CODE_DEFENCE_PREVENT_MOVE_ALARM,                 // 1 : 𱨾
    EM_CID_EVENT_CODE_DEFENCE_FAULT_ALARM,                        // 2 : ϱ
    EM_CID_EVENT_CODE_DEFENCE_BYPASS,                             // 3 : ·
    EM_CID_EVENT_CODE_RAPID_ARM,                                  // 4 : ٲ
    EM_CID_EVENT_CODE_LOCK_ARM_DISARM,                            // 5 : 
    EM_CID_EVENT_CODE_REMOTE_ARM_DISARM,                          // 6 : Զ̲
    EM_CID_EVENT_CODE_TIME_ARM_DISARM,                            // 7 : ʱ
    EM_CID_EVENT_CODE_TELEOPERATION_ARM_DISARM,                   // 8 : ңز
    EM_CID_EVENT_CODE_USER_ARM_DISARM,                            // 9 : û
    EM_CID_EVENT_CODE_PART_ARM_DISARM,                            // 10 : ֲ
    EM_CID_EVENT_CODE_HOST_PREVENT_MOVE,                          // 11 :
    EM_CID_EVENT_CODE_HOST_POWER_FAULT,                           // 12 :
    EM_CID_EVENT_CODE_BATTERY_LOW,                                // 13 :صѹ
    EM_CID_EVENT_CODE_BATTERY_FAULT,                              // 14 :ص
    EM_CID_EVENT_CODE_TELEPHONE_DISCONNECTION,                    // 15 :绰߶
    EM_CID_EVENT_CODE_GSM_SIGNAl_BAD,                             // 16 :GSMźŲ
    EM_CID_EVENT_CODE_ALARM_PREVENT_MOVE,                         // 17 :ŷ
    EM_CID_EVENT_CODE_MODULE_COMMUNICATION_FAULT,                 // 18 :ģͨŹ
    EM_CID_EVENT_CODE_SYSTEM_TIME_ABNORMAl,                       // 19 :ϵͳʱ쳣
    EM_CID_EVENT_CODE_SIM_CAR_FAULT,                              // 20 :SIM
    EM_CID_EVENT_CODE_NETWORK_COMMUNICATION_FAULT,                // 21 :ͨŹ
    EM_CID_EVENT_CODE_FIRE_ALARM,                                 // 22 :
    EM_CID_EVENT_CODE_ROBBER_ALARM,                               // 23 :˾
    EM_CID_EVENT_CODE_URGENT_MEDICAL_ALARM,                       // 24 :ҽƱ
    EM_CID_EVENT_CODE_DURESS_ALARM,                               // 25 :вȱ
    EM_CID_EVENT_CODE_PANIC_ALARM,                                // 26 :ֻű
    EM_CID_EVENT_CODE_PERIOD_TEST_REPORT,                         // 27 :ڲԱ
    EM_CID_EVENT_CODE_MANUAL_TEST_REPORT,                         // 28 :ֶԱ
    EM_CID_EVENT_CODE_CLEAR_ALARM_CACHE,                          // 29 :
    EM_CID_EVENT_CODE_ALARM_CANCEL,                               // 30 :ȡ
    EM_CID_EVENT_CODE_EMERGENCY_ALARM,                            // 31 :¼
    EM_CID_EVENT_CODE_OUTSIDE_ZONE_ALARM,                         // 32 :ⲿܽ磩
    EM_CID_EVENT_CODE_INSIDE_ZONE_ALARM,                          // 33 :ڲ
    EM_CID_EVENT_CODE_24H_ZONE_ALARM,                             // 34 :24H
    EM_CID_EVENT_CODE_DELAY_ZONE_ALARM,                           // 35 :ڣʱ
    EM_CID_EVENT_CODE_INTIME_DOUBLEMETHOD_ZONE_ALARM,             // 36 :ʱ+˫ϱ
    EM_CID_EVENT_CODE_24H_URGENCYBUTTON_ZONE_ALARM,               // 37 :24Hťͣ24HӦʽť
    EM_CID_EVENT_CODE_24H_FIRE_ZONE_ALARM,                        // 38 :24H𾯷
    EM_CID_EVENT_CODE_24H_ROBBERY_ZONE_ALARM,                     // 39 :24H˾
    EM_CID_EVENT_CODE_24H_SILENT_ZONE_ALARM,                      // 40 :24H
    EM_CID_EVENT_CODE_24H_SOUND_ZONE_ALARM,                       // 41 :24H
    EM_CID_EVENT_CODE_24H_AUXILIARY_ZONE_ALARM,                   // 42 :24H
    EM_CID_EVENT_CODE_24H_VIBRATION_ZONE_ALARM,                   // 43 :24H𶯷
    EM_CID_EVENT_CODE_TIMEOUT_ZONE_ALARM,                         // 44 :ʱ
    EM_CID_EVENT_CODE_FOLLOW_ZONE_ALARM,                          // 45 :
    EM_CID_EVENT_CODE_EXMODULE_FAULT,                             // 46 :չģ
    EM_CID_EVENT_CODE_EXMODULE_DC_LOSS,                           // 47 :չģֱ
    EM_CID_EVENT_CODE_EXMODULE_LOW_BATTERY,                       // 48 :չģѹ
    EM_CID_EVENT_CODE_EXMODULE_TAMPER,                            // 49 :չģ
    EM_CID_EVENT_CODE_EXMODULE_AC_LOSS,                           // 50 :չģ齻
    EM_CID_EVENT_CODE_PRINTER_FAILURE,                            // 51 :ӡ
    EM_CID_EVENT_CODE_GSM_FAULT,                                  // 51 :GSMģ
    EM_CID_EVENT_CODE_ARMED_STAY,                                 // 53 :ز
    EM_CID_EVENT_CODE_AUTO_ARM_FAILED,                            // 54 :Զʧ
    EM_CID_EVENT_CODE_SYSTEM_TROUBLE_PRESENT,                     // 55 :ϵͳϱ
    EM_CID_EVENT_CODE_PROGRAM_MODE_ENTRY,                         // 56 :ģʽ
    EM_CID_EVENT_CODE_PROGRAM_MODE_EXIT,                          // 57 :˳ģʽ
    EM_CID_EVENT_CODE_PANEL_PROGRAMMING_CHANGED,                  // 58 :̱Ķ˴ָSDK Demoĵ¼˳
    EM_CID_EVENT_CODE_KEYPAD_TAMPER_ALARM,                        // 59 :̷𱨾
    EM_CID_EVENT_CODE_IP_CONFLICT,                                // 60 :IPͻ
}EM_CID_EVENT_CODE;

//׼CIDЭϢ
typedef struct tagNET_CFG_CID_REPORT_CID_INFO
{
    int                                       nTelNum;                            // ϱı±
    int                                       nTel[MAX_TEL_NUM];                  // ϱı±
    EM_CID_EVENT_CODE                         emEventCode;                        // ¼
    BOOL                                      bEventRestore;                      // Ƿ֧¼ָϱ
    char                                      szContactId[4];                     // 3λַ¼
    BYTE                                      bReserved[256];                       // ֽ
}NET_CFG_CID_REPORT_CID_INFO;

//4+2CIDЭ¼
typedef enum tagEM_FTCID_EVENT_CODE
{
    EM_FTCID_EVENT_CODE_UNKNOWN =-1,                                       // δ֪
    EM_FTCID_EVENT_CODE_DEFENCE_ALARM = 0,                                 // 0~15 : 1~16
    EM_FTCID_EVENT_CODE_DEFENCE_ALARM_RESTORE = 16,                        // ָ16~31 : 1~16ָ
    EM_FTCID_EVENT_CODE_DEFENCE_BYPASS = 32,                               // ·32~47 : 1~16·
    EM_FTCID_EVENT_CODE_DEFENCE_BYPASS_RESTORE = 48 ,                      // ·ָ48~63 : 1~16·ָ
    EM_FTCID_EVENT_CODE_ARM = 64,                                          // 64 : 
    EM_FTCID_EVENT_CODE_DISARM = 65,                                       // 65 : 
    EM_FTCID_EVENT_CODE_ALARM_CANCEL = 66,                                 // 66 : ȡ
    EM_FTCID_EVENT_CODE_PERIOD_TEST_REPORT = 67,                           // 67 : ڲԱ
    EM_FTCID_EVENT_CODE_MANUAL_TEST_REPORT = 68,                           // 68 : ֶԱ
    EM_FTCID_EVENT_CODE_HOST_POWER_FAULT = 69,                             // 69 : 
    EM_FTCID_EVENT_CODE_HOST_POWER_FAULT_RESTORE = 70,                     // 70 : ָ
    EM_FTCID_EVENT_CODE_BATTERY_LOW = 71,                                  // 71 : صѹ
    EM_FTCID_EVENT_CODE_BATTERY_LOW_RESTORE = 72,                          // 72 : صѹָ
    EM_FTCID_EVENT_CODE_SOFT_KEYBOARD_REPORT_CODE = 73,                    // 73 : ̱
}EM_FTCID_EVENT_CODE;

//4+2CIDЭϢ
typedef struct tagNET_CFG_CID_REPORT_FTCID_INFO
{
    int                                       nTelNum;                            // ϱı±
    int                                       nTel[MAX_TEL_NUM];                  // ϱı±
    EM_FTCID_EVENT_CODE                       emEventCode;                        // ¼
    int                                       nDefenceChannel;                    // ţ¼Ϊָ··ָʱЧ
    char                                      szContactId[3];                     // 2λַ¼
    BYTE                                      bReserved[257];                       // ֽ
}NET_CFG_CID_REPORT_FTCID_INFO; 

//CID(ӦNET_EM_CFG_CID_REPORT)
typedef struct tagNET_CFG_CID_REPORT_INFO
{
    DWORD							             dwSize;				          // ṹС
    EM_CID_REPORT_PROTOCOL_TYPE		             emProtocol;                      // Э
    int                                          nCIDNum;                         // ׼CIDЭ
    NET_CFG_CID_REPORT_CID_INFO                  stuCID[MAX_CID_NUM];             // ׼CIDЭ,emProtocolΪEM_CID_REPORT_PROTOCOL_TYPE_CIDʱЧ
    int                                          nFTCIDNum;                       // 4+2CIDЭ,emProtocolΪEM_CID_REPORT_PROTOCOL_TYPE_FTCIDʱЧ
    NET_CFG_CID_REPORT_FTCID_INFO                stuFTCID[MAX_FTCID_NUM];         // 4+2CIDЭ
}NET_CFG_CID_REPORT_INFO;

//ԱϢ
typedef struct tagNET_CFG_KBUSER_SERVER
{
	int								nUserCode;			//	û
	char							szPasswd[7];		//	
	BYTE							bReserved[129]; 	//	ֽ
}NET_CFG_KBUSER_SERVER;
//жƣ֧100û
#define MAX_KBUSER_SERVER_NUM	100
//(Ӧ NET_EM_CFG_KBUER_PASSWORD)
typedef struct tagNET_CFG_KBUSER_PASSWORD
{
	DWORD							dwSize;								//ṹС
	int								nServerNum;							//ԱϢ
	NET_CFG_KBUSER_SERVER			stuServers[MAX_KBUSER_SERVER_NUM];	//ԱϢ
}NET_CFG_KBUSER_PASSWORD;

// Ƶ
typedef struct tagNET_PROJECT_TASK
{
	BOOL							bEnable;									// Ƿʹ
	char							szTaskName[MAX_PATH];						// Ansi
	DH_TSECT                		stuTimeSection[DH_N_WEEKS][DH_N_REC_TSECT]; // ʱ
	BOOL                            bIsCycle;                                   // Ƿѭ,TRUEʾѭ,FALSEʾѭ
	BYTE      						byReserved[512];      						// ֽ
}NET_PROJECT_TASK;

// Ƶϼƻ
typedef struct tagNET_VIDEODIAGNOSIS_PROJECT_INFO
{
	DWORD					dwSize;	
	char					szProjectName[MAX_PATH];		// ƻ
	int						nTotalTaskNum;					// ߷б, ȡ
	int						nReturnTaskNum;					// ʵб
	NET_PROJECT_TASK*		pstProjectTasks;				// б , ߷ڴnTotalTaskNum
} NET_VIDEODIAGNOSIS_PROJECT_INFO;

// Ƶ
typedef struct tagNET_PROJECT_TASK_INFO
{
	BOOL							bEnable;									// Ƿʹ
	char							szTaskName[260];							// 
	DH_TSECT                		stuTimeSection[32][6];						// µʱ,һάǰ31ԪضӦÿµ,32ԪΪԤԪ
	BOOL                            bIsCycle;                                   // Ƿѭ,TRUEʾѭ,FALSEʾѭ
	BYTE      						byReserved[512];      						// ֽ
}NET_PROJECT_TASK_INFO;

// µƵϼƻչϢ,Ӧ NET_EM_CFG_VIDEO_DIAGNOSIS_PROJECT_MONTH
typedef struct tagNET_CFG_VIDEODIAGNOSIS_PROJECT_MONTH_INFO
{
	DWORD					dwSize;							// ṹС
	char					szProjectName[260];				// ƻ
	int						nTotalTaskNum;					// ߷б, ȡ,󲻳32
	int						nReturnTaskNum;					// ʵб
	NET_PROJECT_TASK_INFO*	pstProjectTasks;				// б, ߷ڴnTotalTaskNum*sizeof(NET_PROJECT_TASK_INFO)ֽ
}NET_CFG_VIDEODIAGNOSIS_PROJECT_MONTH_INFO;

// GPSOSD
typedef struct tagNET_CFG_GPSSTARNUM_OSD_INFO
{
	DWORD                   dwSize;
	BOOL                    bBDOSDEnable;                   // Ƿӱ
	BOOL                    bGPSOSDEnable;                  // ǷGPS
}NET_CFG_GPSSTARNUM_OSD_INFO;

// ͼƬ
typedef struct tagNET_OSD_PICTURE_TITLE
{
	DWORD					dwSize;
	NET_EM_OSD_BLEND_TYPE   emOsdBlendType;                     // 
	BOOL                    bEncodeBlend;						// Ƿ
	NET_COLOR_RGBA			stuFrontColor;						// ǰɫ
	NET_COLOR_RGBA			stuBackColor;						// ɫ
	NET_RECT				stuRect;							// , ȡֵ0~8191
	char					szName[DH_COMMON_STRING_64];		// ͼƬ
	int						nWidth;								// ͼƬ
	int						nHeight;							// ͼƬ	
}NET_OSD_PICTURE_TITLE;



// ԤõϢ NET_EM_CFG_PTZ_PRESET
typedef struct tagNET_OSD_CFG_PTZ_PRESET
{
    DWORD					dwSize;
    int                     nDisplayTime;           // ʾʱ,λΪ룬0 ʾһֱʾ,Զ巶Χ1-3600
    BOOL                    bEncodeBlend;           // ӵƵ
    BOOL                    bPreviewBlend;          // ǷӵԤʾ
    NET_COLOR_RGBA			stuFrontColor;			// ǰɫ
    NET_COLOR_RGBA			stuBackColor;			// ɫ
    NET_RECT		    	stuRect;			    // 
}NET_OSD_CFG_PTZ_PRESET;

// ʾѲٷֱȵ NET_EM_CFG_PTZ_PATTERN
typedef struct tagNET_OSD_CFG_PTZ_PATTERN
{
    DWORD					dwSize;
    int                     nDisplayTime;           // ʾʱ,λΪ룬0 ʾһֱʾ,Զ巶Χ1-3600
    BOOL                    bEncodeBlend;           // ӵƵ
    BOOL                    bPreviewBlend;          // ǷӵԤʾ
    NET_COLOR_RGBA			stuFrontColor;			// ǰɫ
    NET_COLOR_RGBA			stuBackColor;			// ɫ
    NET_RECT		    	stuRect;			    // 
}NET_OSD_CFG_PTZ_PATTERN;

// ʾRS485ĵ NET_EM_CFG_PTZ_RS485_DETECT
typedef struct tagNET_OSD_CFG_PTZ_RS485_DETECT
{
    DWORD					dwSize;
    int                     nDisplayTime;           // ʾʱ,λΪ룬0 ʾһֱʾ,Զ巶Χ1-3600
    BOOL                    bEncodeBlend;           // ӵƵ
    BOOL                    bPreviewBlend;          // ǷӵԤʾ
    NET_COLOR_RGBA			stuFrontColor;			// ǰɫ
    NET_COLOR_RGBA			stuBackColor;			// ɫ
    NET_RECT		    	stuRect;			    // 
}NET_OSD_CFG_PTZ_RS485_DETECT;

// ʾ̨ĵ NET_EM_CFG_PTZ_COORDINATES
typedef struct tagNET_OSD_CFG_PTZ_COORDINATES
{
    DWORD					dwSize;
    int                     nDisplayTime;           // ʾʱ,λΪ룬0 ʾһֱʾ,Զ巶Χ1-3600
    BOOL                    bEncodeBlend;           // ӵƵ
    BOOL                    bPreviewBlend;          // ǷӵԤʾ
    NET_COLOR_RGBA			stuFrontColor;			// ǰɫ
    NET_COLOR_RGBA			stuBackColor;			// ɫ
    NET_RECT		    	stuRect;			    // 
}NET_OSD_CFG_PTZ_COORDINATES;

// ʾ̨ĵ NET_EM_CFG_PTZ_DIRECTION
typedef struct tagNET_OSD_CFG_PTZ_DIRECTION
{
    DWORD					dwSize;
    int                     nDisplayTime;           // ʾʱ,λΪ룬0 ʾһֱʾ,Զ巶Χ1-3600
    BOOL                    bEncodeBlend;           // ӵƵ
    BOOL                    bPreviewBlend;          // ǷӵԤʾ
    NET_COLOR_RGBA			stuFrontColor;			// ǰɫ
    NET_COLOR_RGBA			stuBackColor;			// ɫ
    NET_RECT		    	stuRect;			    // 
}NET_OSD_CFG_PTZ_DIRECTION;


// ¶ȵλ
typedef enum tagEM_TEMPERATURE_UNIT_EX
{
    EM_TEMPERATURE_EX_UNKNOWN,              // δ֪
    EM_TEMPERATURE_EX_CENTIGRADE,			// ϶
    EM_TEMPERATURE_EX_FAHRENHEIT,			// ϶
    EM_TEMPERATURE_EX_KELVIN,				// 
} EM_TEMPERATURE_UNIT_EX;

// ʾ¶ȵĵ NET_EM_CFG_TEMPERATURE
typedef struct tagNET_OSD_CFG_TEMPERATURE
{
    DWORD					dwSize;
    int                     nDisplayTime;           // ʾʱ,λΪ룬0 ʾһֱʾ,Զ巶Χ1-3600
    BOOL                    bEncodeBlend;           // ӵƵ
    BOOL                    bPreviewBlend;          // ǷӵԤʾ
    NET_COLOR_RGBA			stuFrontColor;			// ǰɫ
    NET_COLOR_RGBA			stuBackColor;			// ɫ
    NET_RECT		    	stuRect;			    // 
    EM_TEMPERATURE_UNIT_EX  emTemperatureType;      // ¶ȵλ
}NET_OSD_CFG_TEMPERATURE;


//  
typedef struct tagNET_VEDIO_WIDGET_COVER
{
    BOOL				bPreviewBlend;					// ӵԤƵ
    BOOL				bEncodeBlend;					// ӵ
    BOOL				bEncodeBlendExtra1;				// ӵ1
    BOOL				bEncodeBlendExtra2;				// ӵ2
    BOOL				bEncodeBlendExtra3;				// ӵ3
    BOOL				bEncodeBlendSnapshot;			// ӵץͼ
    NET_COLOR_RGBA		stuFrontColor;					// ǰɫ
    NET_COLOR_RGBA		stuBackColor;					// ɫ
    NET_RECT			stuRect;						// , ȡֵ0~8191
    BYTE                byReserver[128];                // ֽ
}NET_VEDIO_WIDGET_COVER;

// 򸲸 NET_EM_CFG_COVERS
typedef struct tagNET_OSD_CFG_COVERS
{
    DWORD				    dwSize;
    int                     nCoverCount;            // 
    NET_VEDIO_WIDGET_COVER  stuCovers[16];          // 
}NET_OSD_CFG_COVERS;

// ԶıϢ
typedef struct tagNET_USER_DEF_TITLE_INFO
{
    char				    szText[CUSTOM_TITLE_LEN];		// 
    BOOL                    bEncodeBlend;                   // ǼӵӵƵʹ
    BOOL                    bPreviewBlend;                  // ӵԤƵʹ
    NET_RECT			    stuRect;						// , ȡֵ[0~8191], ʹlefttopֵ, (left,top)Ӧ(right,bottom)óͬĵ
    NET_COLOR_RGBA		    stuFrontColor;					// ǰɫ
    NET_COLOR_RGBA		    stuBackColor;					// ɫ
    EM_TITLE_TEXT_ALIGNTYPE emTextAlign;                    // ı뷽ʽ
    BYTE                    byReserved[516];                // ֽ 
}NET_USER_DEF_TITLE_INFO;

// ûԶOSD NET_EM_CFG_USER_DEF_TITLE
typedef struct tagNET_OSD_USER_DEF_TITLE
{
    DWORD					dwSize;
    int						nUserDefTitleNum;						// Զ
    NET_USER_DEF_TITLE_INFO	stuUserDefTitle[16];					// Զ
}NET_OSD_USER_DEF_TITLE;


// ͳOSD
typedef struct tagNET_OSD_FACEFLOW_STAT_INFO
{
	DWORD							dwSize;							// ṹС
	BOOL							bEncodeBlend;					// ǷӵƵ	
	NET_COLOR_RGBA					stuFrontColor;					// ǰɫ
	NET_COLOR_RGBA					stuBackColor;					// ɫ
	NET_RECT						stuRect;						// 	귶Χ [0, 8192]
	int								nTextAlign;						// ı뷽ʽ 0-  2-Ҷ
	BOOL							bShowFaceRecognition;			// Ƿʾʶɹ(ע)
	BOOL							bShowFaceDetection;				// Ƿʾ⵽
	BOOL							bShowBodyDetection;				// ǷӼ⵽	
}NET_OSD_FACEFLOWSTAT_INFO;

// ˮOSD
typedef struct tagNET_WATERMONITOR_OSD_INFO
{
	BOOL							bEncodeBlend;					// ǷӵƵ
	int								nTextAlign;						// ı뷽ʽ 0-  2-Ҷ
	NET_COLOR_RGBA					stuFrontColor;					// ǰɫ
	NET_COLOR_RGBA					stuBackColor;					// ɫ
	NET_RECT						stuRect;						// 	8192
	BYTE							byReserved[1024];				// ֽ
}NET_WATERMONITOR_OSD_INFO;

// ǻˮOSD(Ӧö NET_EM_CFG_WATER_MONITOR_TITLE) 
typedef struct tagNET_CFG_WATER_MONITOR_TITLE_INFO
{
	DWORD                           dwSize;
	NET_WATERMONITOR_OSD_INFO		stuWaterLevel;					// ˮλOSD
	NET_WATERMONITOR_OSD_INFO		stuFlotage;						// ƯOSD
}NET_CFG_WATER_MONITOR_TITLE_INFO;

// KTĿRTSPʹܵ(Ӧö NET_EM_CFG_KT_RTSP_FLAG) 
typedef struct tagNET_CFG_KT_RTSP_FLAG_INFO
{
    DWORD                dwSize;
    BOOL                 bEnable;    // ǷʹRtspĶ߲ԣTRUE:ʹ; FALSE:ʹ
}NET_CFG_KT_RTSP_FLAG_INFO;

// ¼
typedef struct tagNET_ABORT_VEDIO
{
    char                szVedio[100];
}NET_ABORT_VEDIO;

// ȡRTSPߺ洢豸ص¼бֻлȡûã(Ӧö NET_EM_CFG_RTSP_ABORT_LIST) 
typedef struct tagNET_CFG_RTSP_ABORT_LIST_INFO
{
     DWORD               dwSize;
     BYTE                byReserved[4];         // ֽڣֽڶ
     int                 nMaxListCount;         // û¼б,֧3000
     UINT                nRetListCount;         // 豸ص¼б
     NET_ABORT_VEDIO*    pVedioList;            // ¼бҪû
     char                szMark[32];            // ǰ¼
}NET_CFG_RTSP_ABORT_LIST_INFO;






// ¼񱣴 (Ӧö NET_EM_CFG_FILE_HOLD_DAYS) 
typedef struct tagNET_CFG_FILE_HOLD_DAYS_INFO
{
    DWORD               dwSize;
    UINT                nDays;       // ļıʱĽɾλ:죬ȡֵΧ0-655350ʾû
}NET_CFG_FILE_HOLD_DAYS_INFO;

// 빦(Ӧö NET_EM_CFG_ACCESS_FUNCTION)
typedef struct tagNET_CFG_ACCESS_FUNCTION_INFO
{
    DWORD               dwSize;
    BOOL                bGb28181ClientEnable;                   // Ƿǰ豸
    BOOL                bGb28181ServerEnable;                   // Ƿܽƽ̨
    BOOL                bONVIFClientEnable;                     // ǷONVIFǰ
    BOOL                bONVIFServerEnable;                     // Ƿ֧onvifserver
    BOOL                bRTSPEnable;                            // Ƿ֧rtsp
}NET_CFG_ACCESS_FUNCTION_INFO;
// û
typedef enum tagEM_ATTENDANCE_USER_TYPE
{
	EM_ATTENDANCE_USER_TYPE_UNKNOWN = -1,			 // δ֪û
	EM_ATTENDANCE_USER_TYPE_NORMAL,                  // ͨû
	EM_ATTENDANCE_USER_TYPE_BLACKLIST,               // û	
}EM_ATTENDANCE_USER_TYPE;

// Ա״̬
typedef enum tagEM_ATTENDANCE_USER_STATUS
{
	EM_ATTENDANCE_USER_STATUS_UNKNOWN = -1,			// δ֪
	EM_ATTENDANCE_USER_STATUS_NORMAL,				// 
	EM_ATTENDANCE_USER_STATUS_FROZEN,				// 	
}EM_ATTENDANCE_USER_STATUS;

// ԱϢ
typedef struct tagNET_ATTENDANCE_USER_INFO
{
	char							szUserID[64];					// ûID
	EM_ATTENDANCE_USER_TYPE			emUserType;						// û
	EM_ATTENDANCE_USER_STATUS		emUserStatus;                   // û״̬
	BYTE							byReserved[128];				// Ԥֶ
}NET_ATTENDANCE_USER_INFO;

// ģʽϢƣӦö NET_EM_CFG_ATTENDANCE_MODEL_INFO 
typedef struct tagNET_CFG_ATTENDANCE_MODEL_INFO
{	
	DWORD							dwSize;							// ṹС						
	BOOL							bEnable;						// Ƿģʽ
	NET_TIME						stuBeginTime;					// ڿʱ
	NET_TIME						stuEndTime;						// ڽʱ
	NET_ATTENDANCE_USER_INFO		stuUserInfo[128];				// ԱϢ
	UINT							nUserCount;						// Ա
	BYTE							byReserved[4];					// Ԥֶ
}NET_CFG_ATTENDANCE_MODEL_INFO;

// ʱϢ
typedef struct tagNET_CFG_TIME_SCHEDULE
{
	BOOL                    bEnableHoliday;                                                 // Ƿֽ֧ڼãĬΪ֧֣ǻȡú󷵻ΪTRUEҪʹܼ
	DH_TSECT                stuTimeSection[DH_N_SCHEDULE_TSECT][DH_N_REC_TSECT];            // һάǰ7ԪضӦÿ7죬8ԪضӦڼգÿ6ʱ
} NET_CFG_TIME_SCHEDULE;

// ¼ݽṹ
typedef struct tagNET_CFG_EVENT_TITLE
{
	char					szText[CFG_MAX_CHANNELNAME_LEN];
	DH_POINT				stuPoint;						// Ͻ, 0-8191ϵ
	DH_SIZE     			stuSize;						// ĿȺ͸߶,0-8191ϵĳΪ0ʾӦ
	NET_COLOR_RGBA			stuFrontColor;					// ǰɫ
	NET_COLOR_RGBA			stuBackColor;					// ɫ
} NET_CFG_EVENT_TITLE;

// ʼ
typedef enum tagNET_CFG_ATTACHMENT_TYPE
{
	NET_ATTACHMENT_TYPE_PIC,							// ͼƬ
	NET_ATTACHMENT_TYPE_VIDEO,							// Ƶ
	NET_ATTACHMENT_TYPE_NUM,							// 
} NET_CFG_ATTACHMENT_TYPE;
// ʼϸ
typedef struct tagNET_CFG_MAIL_DETAIL
{
	NET_CFG_ATTACHMENT_TYPE		emAttachType;                 // 
	int							nMaxSize;                     // ļСޣλkB
	int							nMaxTimeLength;               // ¼ʱ䳤ȣλ룬videoЧ
}NET_CFG_MAIL_DETAIL;

// Ѳ
typedef struct tagNET_CFG_TOURLINK
{
	BOOL					bEnable;									// Ѳʹ
	DH_SPLIT_MODE   	    emSplitMode;								// Ѳʱķָģʽ
	int						nChannels[CFG_MAX_VIDEO_CHANNEL_NUM];		// Ѳͨб
	int						nChannelCount;								// Ѳͨ
} NET_CFG_TOURLINK;

// Ž
enum NET_EM_CFG_ACCESSCONTROLTYPE
{
	NET_EM_CFG_ACCESSCONTROLTYPE_NULL = 0,					// 
	NET_EM_CFG_ACCESSCONTROLTYPE_AUTO,						// Զ
	NET_EM_CFG_ACCESSCONTROLTYPE_OPEN,						// 
	NET_EM_CFG_ACCESSCONTROLTYPE_CLOSE,						// 
	NET_EM_CFG_ACCESSCONTROLTYPE_OPENALWAYS,				// Զ
	NET_EM_CFG_ACCESSCONTROLTYPE_CLOSEALWAYS,				// Զر
};

// з
typedef enum tagNET_EM_CALLER_TYPE
{
	NET_EM_CALLER_DEVICE = 0,								// 豸
}NET_EM_CALLER_TYPE;

// Э
typedef enum tagNET_EM_CALLER_PROTOCOL_TYPE
{
	NET_EM_CALLER_PROTOCOL_CELLULAR = 0,					// ֻʽ
}NET_EM_CALLER_PROTOCOL_TYPE;

// Ϣ
typedef struct tagNET_CFG_TALKBACK_INFO
{
	BOOL							bCallEnable;					// ʹ
	NET_EM_CALLER_TYPE				emCallerType;					// з
	NET_EM_CALLER_PROTOCOL_TYPE		emCallerProtocol;				// Э
}NET_CFG_TALKBACK_INFO;

// 绰Ϣ
typedef struct tagNET_CFG_PSTN_ALARM_SERVER
{
	BOOL				bNeedReport;									// Ƿϱ绰
	int					nServerCount;									// 绰					
	BYTE 				byDestination[CFG_MAX_PSTN_SERVER_NUM];			// ϱı±
}NET_CFG_PSTN_ALARM_SERVER;

// عƻ
typedef struct tagNET_CFG_VEHICLE_WORKTIMESCHEDULE_INFO
{
	DWORD							dwSize;
	BOOL							bEnable;							// ʹ
	NET_CFG_TIME_SCHEDULE			stuWorkSchedule;					// ƻ
}NET_CFG_VEHICLE_WORKTIMESCHEDULE_INFO;

// 
typedef struct tagNET_CFG_VEHICLE_LOAD_INFO
{
	DWORD							dwSize;
	int								nLoadNumber;					    // 
}NET_CFG_VEHICLE_LOAD_INFO;

#define MAX_TICKETINFO_NUM 8											// ƱϢ
// ƱϢ
typedef struct tagNET_CFG_TICKET_INFO
{
	BOOL							bEnable;							// ǷҪʾʹӡ
	char							szScreenModel[32];					// ʾĻϸƱļ
	char							szPrintModel[64];					// ӡƱ
	unsigned int					nFare;								// Ʊ
}NET_CFG_TICKET_INFO;

// ӡƱ
typedef struct tagNET_CFG_TICKETPRINT_INFO
{
	DWORD							dwSize;
	BOOL							bEncodeBlend;						// Ƿӵ
	char							szRoute[32];						// ·
	char							szNumber[32];						// 
	unsigned int					nNormal;							// ͨƱ
	unsigned int					nDiscount;							// Żݼ
	unsigned int					nSubsidy;							// ײ
	unsigned int					nStatisticsNum;						// ͳƱӡ, ĬΪ1, Χ[1,2]
	unsigned int					nTicketInfoNum;						// ƱϢ
	NET_CFG_TICKET_INFO				stuTicketInfo[MAX_TICKETINFO_NUM];	// ƱϢ
	char							szText[256];						// ע
}NET_CFG_TICKETPRINT_INFO;

// ACCʱػʱ
typedef struct tagNET_CFG_VEHICLEAUTOMAIN_INFO
{
	DWORD							dwSize;
	int								nAutoShutDelay;						//ʱػʱ䣬ACCϵʼλ,[0, 65536], 65536Чڲػ
	int								nForceShutDelay;					//ʱʱﵽǿʱػʱ䡣൱ACCϵ󣬹ʱAuto+Forceӹػ, [0, 65536]
	int								nPercent;							//ԵʣΪػAutoShutDelayáһ㣬ػĬ0[0, 100]
}NET_CFG_VEHICLEAUTOMAIN_INFO;

// ãӡBRTĿ
typedef struct tagNET_CFG_VEHICLENETSERVER_INFO
{
	DWORD							dwSize;
	BOOL							bEnable;							// Ƿ
	UINT							nUdpPort;							// Udp˿
	UINT							nTcpPort;							// ˿
}NET_CFG_VEHICLENETSERVER_INFO;

// زIMSI
typedef struct tagNET_CFG_IMSIBIND_INFO
{
	DWORD							dwSize;
	int								nIMSI;								// IMSIĸ
	char							szIMSI[4][32];						// 󶨵IMSI
}NET_CFG_IMSIBIND_INFO;

// Աά
typedef struct tagNET_CFG_VEHICLE_MAINTAINCE_INFO
{
	DWORD							dwSize;
	char							szMaintainer[32];					// άԱ
	char							szMaintainerID[32];					// άԱID
	char							szInfo[256];						// ԶάϢ
}NET_CFG_VEHICLE_MAINTAINCE_INFO;

// Ϣ
typedef struct tagNET_ACCESSCTL_SPECIALDAY_INFO
{
    char                            szDayName[32];                      // 
    NET_TIME                        stuStartTime;                       // ʼʱ
    NET_TIME                        stuEndTime;                         // ʱ
    BYTE                            byReserved[256]; 
}NET_ACCESSCTL_SPECIALDAY_INFO;

// Ž
typedef struct tagNET_CFG_ACCESSCTL_SPECIALDAY_GROUP_INFO
{
    DWORD							dwSize;
    BOOL                            bGroupEnable;                       // ʹ
    char                            szGroupName[32];                    // 
    int                             nSpeciaday;                         // ЧĽڼ
    NET_ACCESSCTL_SPECIALDAY_INFO   stuSpeciaday[16];                   // Ϣ
}NET_CFG_ACCESSCTL_SPECIALDAY_GROUP_INFO;

// Žռƻ
typedef struct tagNET_CFG_ACCESSCTL_SPECIALDAYS_SCHEDULE_INFO 
{
    DWORD							dwSize;
    char                            szSchduleName[64];                  // ռƻ
    BOOL                            bSchdule;                           // ռƻʹ
    int                             nGroupNo;                           // NET_EM_CFG_ACCESSCTL_SPECIALDAY_GROUP õ±
    int                             nTimeSection;                       // һʱθ
    DH_TSECT                        stuTimeSection[6];                  // ʱ
    int                             nDoorNum;                           // Ч
    int                             nDoors[64];                         // Чͨ       
}NET_CFG_ACCESSCTL_SPECIALDAYS_SCHEDULE_INFO;

// кŰ·NVR 
typedef struct tagNET_CFG_SERIALNOWHITETABLE_INFO
{
    DWORD                           dwSize;
    int                             nCount;                         // ЧкŸ
    char                            szSerialNo[512][48];            // к
}NET_CFG_SERIALNOWHITETABLE_INFO;

/////////////////////////////////////////////////////////Ӿ-start////////////////////////////////////////////////////////////////////////
// Ӿƽ̨Ϣ· 
typedef struct tagNET_CFG_LXSJ_WXJJ_INFO
{
    DWORD                           dwSize;
    BOOL                            bEnable;                            // Ƿʹ
    NET_TIME                        stuStartTime;                       // ʼʱ
    NET_TIME                        stuEndTime;                         // ʱ
    char                            szText[256];                        // ·Ϣ
    char                            szDisplayContent[256];              // ʾ
}NET_CFG_LXSJ_WXJJ_INFO;

// ͨѶ䷽ʽ
typedef enum tagNET_EM_LXSJ_TRANSMODE
{
	NET_EM_LXSJ_TRANSMODE_UNKNOWN = -1,									// δ֪
	NET_EM_LXSJ_TRANSMODE_TCP,											// TCPʽ
	NET_EM_LXSJ_TRANSMODE_UDP											// UDPʽ
}NET_EM_LXSJ_TRANSMODE;

// ɫ
typedef enum tagNET_EM_LXSJ_FONTCOLOR
{
	NET_EM_LXSJ_FONTCOLOR_UNKNOWN = -1,									// δ֪
	NET_EM_LXSJ_FONTCOLOR_R0_G0_B0,										// 0-ơ̵ơƶ
	NET_EM_LXSJ_FONTCOLOR_R1_G0_B0,										// 1-̵ƲƲ
	NET_EM_LXSJ_FONTCOLOR_R0_G1_B0,										// 2-Ʋ̵Ʋ
	NET_EM_LXSJ_FONTCOLOR_R1_G1_B0,										// 3-̵Ʋ
	NET_EM_LXSJ_FONTCOLOR_R0_G0_B1,										// 4-Ʋ̵Ʋ
	NET_EM_LXSJ_FONTCOLOR_R1_G0_B1,										// 5-̵Ʋ
	NET_EM_LXSJ_FONTCOLOR_R0_G1_B1,										// 6-Ʋ̵Ʋ
	NET_EM_LXSJ_FONTCOLOR_R1_G1_B1										// 7-ơ̵ơȫ
}NET_EM_LXSJ_FONTCOLOR;

// ޳
typedef struct tagNET_CFG_VSP_LXSJ_NOPLATE
{
	BOOL							bEnable;							// ʹ
	char							szText[128];						// Ƴ
	BYTE							byReserved[380];					// Ԥ
}NET_CFG_VSP_LXSJ_NOPLATE;

// ͨΥ
typedef struct tagNET_CFG_VIOLATIONTYPE_NORMAL
{
	BOOL							bEnable;							// ʹ
	NET_EM_LXSJ_FONTCOLOR			emTextColor;						// ıɫ
	char							szText[128];						// Υ
	BYTE							byReserved[376];					// Ԥ
}NET_CFG_VIOLATIONTYPE_NORMAL;

typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_TRAFFICOVERSPEED;			//  
typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_TRAFFICCROSSLANE;			// Υ 
typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_TRAFFICPARKING;			// Υͣ
typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_TRAFFICBACKING;			// Υ 
typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_TRAFFICRETROGRADE;		// 
typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_PARKINGWARNING;			// ΥͣԤ
typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_TRAFFICPEDESTRAINPRIORITY;// 
typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_TRAFFICRUNREDLIGHT;		// 
typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_TRAFFICWRONGROUTE;		// ʻ
typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_TRAFFICJAMFORBIDINTO;		// ӵ½
typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_TRAFFICOVERLINE;			// ѹ
typedef NET_CFG_VIOLATIONTYPE_NORMAL NET_CFG_VIOLATIONTYPE_TRAFFICVEHICLEINROUTE;	// гռ

// Υ
typedef struct tagNET_CFG_VIOLATIONTYPE_TRAFFICJUNCTION
{
	BOOL							bEnable;							// ʹ
	NET_EM_LXSJ_FONTCOLOR			emTrustTextColor;					// ıɫ
	char							szTrustText[128];					// ڰʱ
	NET_EM_LXSJ_FONTCOLOR			emDisTrustTextColor;				// ıɫ
	char							szDisTrustText[128];				// ڰʱ
	BYTE							byReserved[244];					// Ԥ
}NET_CFG_VIOLATIONTYPE_TRAFFICJUNCTION;

// Υʹܼ
typedef struct tagNET_CFG_VSP_LXSJ_VIOLATIONTYPE
{
	NET_CFG_VIOLATIONTYPE_TRAFFICOVERSPEED			stuTrafficOverSpeed;				//  
	NET_CFG_VIOLATIONTYPE_TRAFFICCROSSLANE			stuTrafficCrossLane;				// Υ 
	NET_CFG_VIOLATIONTYPE_TRAFFICPARKING			stuTrafficParking;					// Υͣ 
	NET_CFG_VIOLATIONTYPE_TRAFFICBACKING			stuTrafficBacking;					// Υ 
	NET_CFG_VIOLATIONTYPE_TRAFFICRETROGRADE			stuTrafficRetrograde;				// 
	NET_CFG_VIOLATIONTYPE_PARKINGWARNING			stuParkingWarning;					// ΥͣԤ 
	NET_CFG_VIOLATIONTYPE_TRAFFICJUNCTION			stuTrafficJunction;					// 
	NET_CFG_VIOLATIONTYPE_TRAFFICPEDESTRAINPRIORITY	stuTrafficPedestrainPriority;		// 
	NET_CFG_VIOLATIONTYPE_TRAFFICRUNREDLIGHT		stuTrafficRunRedLight;				// 
	NET_CFG_VIOLATIONTYPE_TRAFFICWRONGROUTE			stuTrafficWrongRoute;				// ʻ
	NET_CFG_VIOLATIONTYPE_TRAFFICJAMFORBIDINTO		stuTrafficJamForbidInto;			// ӵ½
	NET_CFG_VIOLATIONTYPE_TRAFFICOVERLINE			stuTrafficOverLine;					// ѹ
	NET_CFG_VIOLATIONTYPE_TRAFFICVEHICLEINROUTE		stuTrafficVehicleInRoute;			// гռ
	BYTE											byReserved[13824];					// Ԥ
}NET_CFG_VSP_LXSJ_VIOLATIONTYPE;

// ɫ
typedef enum tagNET_EM_LXSJ_COLORTYPE
{
	NET_EM_LXSJ_COLORTYPE_UNKNOWN = -1,										// δ֪
	NET_EM_LXSJ_COLORTYPE_SINGLE_COLOR = 1,									// ɫ
	NET_EM_LXSJ_COLORTYPE_DOUBLE_COLOR = 2,										// ˫ɫ
	NET_EM_LXSJ_COLORTYPE_THREE_COLOR = 3,										// ɫ
}NET_EM_LXSJ_COLORTYPE;

// 
typedef enum tagNET_EM_LXSJ_AREATYPE
{
	NET_EM_LXSJ_AREATYPE_UNKNOWN = -1, //δ֪
	NET_EM_LXSJ_AREATYPE_STATIC_TYPE = 0, // 0- ̬
	NET_EM_LXSJ_AREATYPE_DYNAMIC_TYPE = 1, // 1- ̬
}NET_EM_LXSJ_AREATYPE;

// ʾ
typedef enum tagNET_EM_LXSJ_DISPLAYTYPE
{
	NET_EM_LXSJ_DISPLAYTYPE_UNKNOWN = -1, //δ֪
	NET_EM_LXSJ_DISPLAYTYPE_BACK_TYPE = 0, // 0- 
	NET_EM_LXSJ_DISPLAYTYPE_FRONT_TYPE = 1, // 1- ǰ
}NET_EM_LXSJ_DISPLAYTYPE;

// ʾ
typedef enum tagNET_EM_LXSJ_SHOWMODE
{
	NET_EM_LXSJ_SHOWMODE_UNKNOWN  = -1,				// δ֪
	NET_EM_LXSJ_SHOWMODE_IMMEDIATELY = 1,			// ʾ
	NET_EM_LXSJ_SHOWMODE_TO_LEFT = 2,				// ƶ
	NET_EM_LXSJ_SHOWMODE_TO_TOP = 3,				// ƶ
	NET_EM_LXSJ_SHOWMODE_TO_RIGHT = 4,				// ƶ
	NET_EM_LXSJ_SHOWMODE_TO_BOTTOM = 5,				// ƶ
	NET_EM_LXSJ_SHOWMODE_BLINK = 6,					// ˸ 
	NET_EM_LXSJ_SHOWMODE_TO_TOP_CONTINUOUS = 94,	// 
	NET_EM_LXSJ_SHOWMODE_TO_BOTTOM_CONTINUOUS = 95,	// 
	NET_EM_LXSJ_SHOWMODE_TO_RIGHT_CONTINUOUS = 96,	// 
	NET_EM_LXSJ_SHOWMODE_TO_LEFT_CONTINUOUS = 97,	// 
}NET_EM_LXSJ_SHOWMODE;

// ִС(ָ߿)
typedef enum tagNET_EM_LXSJ_FONTSIZE
{
	NET_EM_LXSJ_FONTSIZE_UNKNOWN = -1,		// δ֪
	NET_EM_LXSJ_FONTSIZE_16 = 16,			// 16
	NET_EM_LXSJ_FONTSIZE_32 = 32,			// 32
}NET_EM_LXSJ_FONTSIZE;

// 
typedef enum tagNET_EM_LXSJ_ELEM_NAMETYPE
{
	NET_EM_LXSJ_ELEM_NAMETYPE_UNKNOWN = -1,		// δ֪
	NET_EM_LXSJ_ELEM_NAMETYPE_SEPERATER = 0,			// 0-ָ
	NET_EM_LXSJ_ELEM_NAMETYPE_NEWLINE = 1,				// 1-з
	NET_EM_LXSJ_ELEM_NAMETYPE_PLATE = 2,				// 2-
	NET_EM_LXSJ_ELEM_NAMETYPE_VIOLATIONINFO = 3,		// 3-ΥϢ
	NET_EM_LXSJ_ELEM_NAMETYPE_SPEED = 4,				// 4-ٶ
	NET_EM_LXSJ_ELEM_NAMETYPE_CUSTOM = 5,				// 5-Զ
}NET_EM_LXSJ_ELEM_NAMETYPE;

// Ԫ
typedef struct tagNET_CFG_VSP_LXSJ_ELEMENT
{
	NET_EM_LXSJ_ELEM_NAMETYPE		emNameType;			// 
	char							szName[32];			// 
	char							szPrefix[64];		// ǰ׺ַ	
	char							szPostfix[64];		// ׺ַ
	int								nSeperaterCount;	// ӷָ
	BYTE							byReserved[856];	// Ԥ
}NET_CFG_VSP_LXSJ_ELEMENT;

// 
typedef struct tagNET_CFG_VSP_LXSJ_AREADATA
{
	NET_EM_LXSJ_AREATYPE			emAreaType;							// 
	NET_EM_LXSJ_DISPLAYTYPE			emAreaDisplayType;					// ʾ
	UINT							nAreaX1;							// ʼX1
	UINT							nAreaY1;							// ʼY1
	UINT							nAreaX2;							// ʼX2
	UINT							nAreaY2;							// ʼY2
	NET_EM_LXSJ_FONTCOLOR			emFontColor;						// ɫ
	DH_COLOR_RGBA					stuRGB;								// RGBֵ
	NET_EM_LXSJ_SHOWMODE			emShowMode;							// ʾ
	UINT							nMoveSpeed;							// ƶٶȣԽСԽ(λ5ms)
	UINT							nStayTime;							// ÿҳͣʱ䣨λ1s
	NET_EM_LXSJ_FONTSIZE			emFontSize;							// ִС(ָ߿)
	UINT							nMaxRollingItem;					// 
	int								nElement;							// Ԫصĸ
	NET_CFG_VSP_LXSJ_ELEMENT		stuElement[16];						// Ԫб
	BYTE							byReserved[956];					// Ԥ
}NET_CFG_VSP_LXSJ_AREADATA;

// Զ
typedef struct tagNET_CFG_VSP_LXSJ_CUSTOM
{
	BOOL							bEnable;
	UINT							nWaitTime;							// ȴʱ䣬λ
	char							szText[256];						// Զʾ
	NET_EM_LXSJ_DISPLAYTYPE			emAreaDisplayType;					// ʾ
	UINT							nAreaX1;							// ʼX1
	UINT							nAreaY1;							// ʼY1
	UINT							nAreaX2;							// ʼX2
	UINT							nAreaY2;							// ʼY2
	NET_EM_LXSJ_FONTCOLOR			emFontColor;						// ɫ
	DH_COLOR_RGBA					stuRGB;								// RGBֵ
	NET_EM_LXSJ_SHOWMODE			emShowMode;							// ʾ
	UINT							nMoveSpeed;							// ƶٶȣԽСԽ(λ5ms)
	UINT							nStayTime;							// ÿҳͣʱ䣨λ1s
	NET_EM_LXSJ_FONTSIZE			emFontSize;							// ִС(ָ߿)
	BYTE							byReserved[704];					// Ԥ 
}NET_CFG_VSP_LXSJ_CUSTOM;

// 
typedef struct tagNET_CFG_VSP_LXSJ_ROLLCONFIG
{
	BOOL							bEnable;
	UINT							nMaxItemNum;						// ¼
	UINT							nPeriod;							// 
	BYTE							byReserved[52];						// Ԥ 
}NET_CFG_VSP_LXSJ_ROLLCONFIG;

// /ʾ
typedef struct tagNET_CFG_VSP_LXSJ_SLOGAN
{
	char							szText[256];						// ʾ
	NET_EM_LXSJ_DISPLAYTYPE			emAreaDisplayType;					// ʾ
	UINT							nAreaX1;							// ʼX1
	UINT							nAreaY1;							// ʼY1
	UINT							nAreaX2;							// ʼX2
	UINT							nAreaY2;							// ʼY2
	NET_EM_LXSJ_FONTCOLOR			emFontColor;						// ɫ
	DH_COLOR_RGBA					stuRGB;								// RGBֵ
	NET_EM_LXSJ_SHOWMODE			emShowMode;							// ʾ
	UINT							nMoveSpeed;							// ƶٶȣԽСԽ(λ5ms)
	UINT							nStayTime;							// ÿҳͣʱ䣨λ1s
	NET_EM_LXSJ_FONTSIZE			emFontSize;							// ִС(ָ߿)
	BYTE							byReserved[712];					// Ԥ 
}NET_CFG_VSP_LXSJ_SLOGAN, NET_CFG_VSP_LXSJ_WARNNING;

// ͨӵ¼
typedef struct tagNET_CFG_VSP_LXSJ_TRAFFICJAM
{
	BOOL							bEnable;
	NET_CFG_VSP_LXSJ_SLOGAN			stuSlogan;							// 
	NET_CFG_VSP_LXSJ_WARNNING		stuWarnning;						// ʾ
	BYTE							byReserved[4096];					// Ԥ
}NET_CFG_VSP_LXSJ_TRAFFICJAM;

// ״Ԥ
typedef struct tagNET_CFG_VSP_LXSJ_RADARPREALARM
{
	BOOL							bEnable;
	char							szText[256];						// ʾ
	NET_EM_LXSJ_DISPLAYTYPE			emAreaDisplayType;					// ʾ
	UINT							nAreaX1;							// ʼX1
	UINT							nAreaY1;							// ʼY1
	UINT							nAreaX2;							// ʼX2
	UINT							nAreaY2;							// ʼY2
	NET_EM_LXSJ_FONTCOLOR			emFontColor;						// ɫ
	DH_COLOR_RGBA					stuRGB;								// RGBֵ
	NET_EM_LXSJ_SHOWMODE			emShowMode;							// ʾ
	UINT							nMoveSpeed;							// ƶٶȣԽСԽ(λ5ms)
	UINT							nStayTime;							// ÿҳͣʱ䣨λ1s
	NET_EM_LXSJ_FONTSIZE			emFontSize;							// ִС(ָ߿)
	BYTE							byReserved[708];					// Ԥ 
}NET_CFG_VSP_LXSJ_RADARPREALARM;

// Ӿƽ̨
typedef struct tagNET_CFG_VSP_LXSJ_INFO
{
    DWORD                           dwSize;
	BOOL                            bEnable;                            // ƽ̨ʹ
	char							szServerIP[32];						// ƽ̨IPַ
	int								nServerPort;						// ˿
	NET_EM_LXSJ_TRANSMODE			emTransMode;						// ͨѶ䷽ʽ
	char							szContorlID[32];					// ID
	UINT							nWidth;								// ʾ
	UINT							nHeigth;							// ʾ߶
	UINT							nPlayTime;							// ʱ()
	UINT							nCirclePlayTimes;					// ѭŴ

	NET_EM_LXSJ_COLORTYPE			emColorType;						// ɫ
	NET_CFG_VSP_LXSJ_NOPLATE		stuNoPlate;							// ޳
	NET_CFG_VSP_LXSJ_VIOLATIONTYPE	stuViolationType;					// Υʹܼ
	int								nAreaDataNum;						// 
	NET_CFG_VSP_LXSJ_AREADATA		stuAreaData[16];					// 
	NET_CFG_VSP_LXSJ_CUSTOM			stuCustom;							// Զ
	NET_CFG_VSP_LXSJ_ROLLCONFIG     stuRollConfig;						// 
	NET_CFG_VSP_LXSJ_TRAFFICJAM		stuTrafficJam;						// ͨӵ¼
	NET_CFG_VSP_LXSJ_RADARPREALARM  stuRadarPreAlarm;					// ״Ԥ
}NET_CFG_VSP_LXSJ_INFO;

/////////////////////////////////////////////////////////Ӿ-end////////////////////////////////////////////////////////////////////////

// Ӧģʽµֵ
typedef struct tagNET_CFG_GLOBAL_MODEVALUE_INFO
{
	int				nNormal;											// ͨģʽֵ
	int				nAlarm;												// ģʽֵ
	BYTE			byReserved[24];										// ֶ	
}NET_CFG_GLOBAL_MODEVALUE_INFO;

// ȫ 
typedef struct tagNET_CFG_SENSOR_ALARM_GLOBAL_INFO
{
	DWORD                           dwSize;
	NET_CFG_GLOBAL_MODEVALUE_INFO	stuFrequency;						// 豸ɼ
	NET_CFG_GLOBAL_MODEVALUE_INFO	stuTimes;							// 豸ɼ
}NET_CFG_SENSOR_ALARM_GLOBAL_INFO;

// Ϣ
typedef struct tagNET_CFG_SERSOR_INFO
{
	NET_SENSE_METHOD				emSenseMethod;						// 
	int								nAlarmLowerLimit;					// ޱֵڴֵᱨ
	int								nAlarmHighLimit;					// ޱֵڴֵᱨ
	BYTE							byReserved[500];					// ֶ	
}NET_CFG_SERSOR_INFO;

//  
typedef struct tagNET_CFG_SENSOR_ALARM_INFO
{
	DWORD                           dwSize;
	int								nMaxNum;							// pstSensorListڴ
	int								nRetNum;							// ʵʴĸ
	NET_CFG_SERSOR_INFO*			pstSensorList;						// бڴû䣬СΪnMaxNum * sizeof(NET_CFG_SERSOR_INFO)
}NET_CFG_SENSOR_ALARM_INFO;

// ʱ
typedef struct tagNET_TIME_POINT
{
	int             bEnable;                        // ʹ
	int				nHour;							// ʱ
	int				nMin;							// 
	int				nSec;							// 
}NET_TIME_POINT;

// ʱץ(Ϻӵඨ)(Ӧö NET_EM_CFG_TIMINGCAPTURE) 
typedef struct tagNET_CFG_TIMINGCAPTURE_INFO
{
	DWORD                           dwSize;
	NET_TIME_POINT					stuTimeSchedule[DH_N_WEEKS];		// ʱץʱ䣨ע7ԪУһգڶһԴƣ
}NET_CFG_TIMINGCAPTURE_INFO;

// ̨ٶ
typedef struct tagNET_CFG_PTZ_SPEED
{
	DWORD                           dwSize;
	int                             nPtzSpeed;							// ̨ٶ 0~4
	int                             nPatternSpeed;						// Ѳٶ 1-10ɵ10Ϊ100%ٶȣ5Ϊ50%ٶȣơ
}NET_CFG_PTZ_SPEED;

// ̨ˮƽתϢ
typedef struct tagNET_CFG_HORIZONTAL_ROTATION_LIMIT_INFO
{
	BOOL			bLimitEnable;					// ʹ
	int				nLimitMode;						// ģʽ 0: 1
	BYTE			byReserved[256];				// ֽ
} NET_CFG_HORIZONTAL_ROTATION_LIMIT_INFO;

// ̨ˮƽתɨ NET_EM_CFG_PTZ_HORIZONTAL_ROTATION_SCAN
typedef struct tagNET_CFG_HORIZONTAL_ROTATION_GROUP_SCAN_INFO
{
	DWORD												dwSize;									// ṹС								
	NET_CFG_HORIZONTAL_ROTATION_LIMIT_INFO				stuHorizontalRotationInfo;				// ̨ˮƽתϢ
} NET_CFG_HORIZONTAL_ROTATION_GROUP_SCAN_INFO;

// ɨϢ
typedef struct tagNET_AUTOSCAN_INFO
{
	char												szName[32];				// ɨ
	BOOL												bLeftEnable;			// ɨ߽ǷЧ
	BOOL												bRightEnable;			// ɨұ߽ǷЧ
	UINT												nScanSpeed;				// ɨٶ,0~7
	BYTE												byReserved[948];		// Ԥ
}NET_AUTOSCAN_INFO;

// Զɨ
typedef struct tagNET_CFG_AUTOSCAN_INFO
{
	DWORD												dwSize;					// ṹС
	int													nMaxScanInfoNum;		// ûpAutoScanInfosڴĸ
	NET_AUTOSCAN_INFO*									pAutoScanInfos;			// ɨϢڴû䣬СӦΪ nMaxScanInfoNum * sizeof(NET_AUTOSCAN_INFO)
	int													nRetScanInfoNum;		// ʵʻȡ/õõĸСnMaxScanInfoNum
}NET_CFG_AUTOSCAN_INFO;

// ׹Ƶͨ NET_PRIOR_MODE_INFO
typedef struct tagNET_CFG_COAXIAL_LIGHT_INFO 
{
	DWORD							dwSize;
	BOOL							bEnable;											// ʹ
	DH_TSECT						stuTimeSection[DH_TSCHE_DAY_NUM][DH_TSCHE_SEC_NUM];	// ׹ʱ
} NET_CFG_COAXIAL_LIGHT_INFO;

// Ƶɫ
typedef struct tagNET_VIDEO_OUT_COLOR 
{
    UINT			nBrightness;					// , 0~100
    UINT			nContrast;						// Աȶ, 0~100
    UINT			nSaturation;					// Ͷ, 0~100
    UINT			nHue;							// ɫ, 0~100
    UINT			nGamma;						    // Gammaֵ, 0~100
    BYTE            byResered[132];                 // ֽ
} NET_VIDEO_OUT_COLOR;

// źģʽ
typedef enum tagEM_VIDEO_OUT_FORMAT
{
    EM_VIDEO_OUT_FORMAT_UNKNOWN,            // δ֪
    EM_VIDEO_OUT_FORMAT_AUTO,               // Auto, ·
    EM_VIDEO_OUT_FORMAT_TV,                 // TV
    EM_VIDEO_OUT_FORMAT_VGA,                // VGA
    EM_VIDEO_OUT_FORMAT_DVI,                // DVI
    EM_VIDEO_OUT_FORMAT_HDMI,               // DHMI
    EM_VIDEO_OUT_FORMAT_SPOT,               // SPOT
    EM_VIDEO_OUT_FORMAT_SDI,                // SDI
} EM_VIDEO_OUT_FORMAT;

// ɨģʽ
typedef enum tagEM_VIDEO_OUT_SCAN_FORMAT
{
    EM_VIDEO_OUT_SCAN_FORMAT_UNKNOWN,       // δ֪
    EM_VIDEO_OUT_SCAN_FORMAT_PROGRESSIVE,   // 
    EM_VIDEO_OUT_SCAN_FORMAT_INTERLACE,     // 
} EM_VIDEO_OUT_SCAN_FORMAT;


// Ƶģʽ
typedef struct tagNET_VIDEO_OUT_MODE 
{
    int			                nWidth;							// ˮƽֱ
    int			                nHeight;						// ֱֱ
    int			                nBPP;							// ɫ
    int			                nRefreshRate;					// ˢƵ
    EM_VIDEO_OUT_FORMAT		    emFormat;						// źģʽ
    EM_VIDEO_OUT_SCAN_FORMAT    emScanFormat;					// ɨģʽ
    BYTE                        byResered[128];                 // ֽ
} NET_VIDEO_OUT_MODE;

// ԶƵģʽ
typedef struct tagNET_VIDEO_OUT_USERDEF_MODE 
{
    int			                nWidth;							// ˮƽֱ
    int			                nHeight;						// ֱֱ
    int			                nBPP;							// ɫ
    int			                nRefreshRate;					// ˢƵ
    EM_VIDEO_OUT_FORMAT		    emFormat;						// źģʽ
    EM_VIDEO_OUT_SCAN_FORMAT    emScanFormat;					// ɨģʽ
    BYTE                        byResered[128];                 // ֽ
} NET_VIDEO_OUT_USERDEF_MODE;

// Ƶ NET_EM_CFG_VIDEO_OUT
typedef struct tagNET_CFG_VIDEO_OUT_INFO
{
    DWORD				        dwSize;
    BOOL                        bEnable;                    // ʹ
    UINT		                nMargin[4];					// С,ÿһֱʾƵĸߵС,ÿ0~100
    BOOL				        bIQIMode;					// ͼǿ
    BOOL				        bIsUserDefMode;				// ǷûԶƵģʽ
    NET_VIDEO_OUT_COLOR         stuColor;                   // Ƶɫ
    NET_VIDEO_OUT_MODE          stuMode;                    // Ƶģʽ
    NET_VIDEO_OUT_USERDEF_MODE  stuSelfDefMode;             // ԶƵģʽ, bIsUserDefModeΪTRUEʱЧ
} NET_CFG_VIDEO_OUT_INFO;

// ¼ϴƷʱ 
typedef struct tagNET_CFG_CLOUDUPLOADTIME_INFO
{
    DWORD                           dwSize;
    BOOL                            bEnable;                        // ʹ
    NET_TIME                        stStartTime;                    // ʼʱ,ʱڽƵϴ
    NET_TIME                        stEndTime;                      // ʱ,ʱڽƵϴ
}NET_CFG_CLOUDUPLOADTIME_INFO;

// ƽ̨ѡ
typedef enum tagEM_SERVER_OPTION
{
	EM_SERVER_OPTION_UNKNOWN,			// δ֪
	EM_SERVER_OPTION_DISABLE,			// ƽ̨벻
	EM_SERVER_OPTION_GB28181,			// 28181뷽ʽ
	EM_SERVER_OPTION_GB35114,			// 35114뷽ʽ
}EM_SERVER_OPTION;

// ͨϢ
typedef struct tagNET_CHANNEL_INFO
{
	char				szID[MAX_CHANNEL_ID_LEN];				// ͨ
	unsigned int		nAlarmLevel;							// ,Χ[1,6]
	BYTE				byReserved[1024];						// ֽ			
}NET_CHANNEL_INFO;

// Ϣ
typedef struct tagNET_ALARM_INFO
{
	char				szID[MAX_CHANNEL_ID_LEN];				// ͨ
	unsigned int		nAlarmLevel;							// ,Χ[1,6]
	BYTE				byReserved[1024];						// ֽ	
}NET_ALARM_INFO;

// ƵͨϢ
typedef struct tagNET_AUDIO_OUTPUT_CHANNEL_INFO
{
	char				szID[MAX_CHANNEL_ID_LEN];				// ͨ
	BYTE				byReserved[1024];						// ֽ	
}NET_AUDIO_OUTPUT_CHANNEL_INFO;

// SIPϢ
typedef struct tagNET_SIP_SERVER_INFO
{
	EM_SERVER_OPTION			emServerOption;								// ƽ̨ѡ
	char						szSipSvrId[MAX_SIP_SVR_ID_LEN];				// SIP
	char						szDomain[MAX_SIP_DOMAIN_LEN];				// SIP
	char						szSipSvrIp[MAX_SIP_SVR_IP_LEN];				// SIPIP
	char						szDeviceId[MAX_SIP_SERVER_DEVICE_ID_LEN];	// 豸
	char						szPassword[MAX_REG_PASSWORD_LEN];		    // ע
	unsigned short				nLocalSipPort;								// SIP˿
	unsigned short				nSipSvrPort;								// SIP˿
	unsigned int				nSipRegExpires;								// עЧ,λ:
	unsigned int				nRegInterval;								// עʧܺע,λ:
	unsigned int				nKeepAliveCircle;							// ,λ:
	unsigned int				nMaxTimeoutTimes;							// ʱ
	char						szCivilCode[MAX_CIVIL_CODE_LEN];			// 
	char						szIntervideoID[MAX_INTERVIDEO_ID_LEN];		// ģʶ
	NET_CHANNEL_INFO*			pstuChannnelInfo;							// ͨϢ,ûڴ,СΪsizeof(NET_CHANNEL_INFO)*nChannelInfoNum
	unsigned int				nChannelInfoNum;							// ͨϢ,Ըݵ½ʱȡͨΪ׼
	unsigned int				nRetChannelInfoNum;							// ʵʷصͨϢ
	NET_ALARM_INFO*				pstuAlarmInfo;								// ͨϢ,ûڴ,СΪsizeof(NET_ALARM_INFO)*nAlarmInfoNum
	unsigned int				nAlarmInfoNum;								// Ϣ,ֵΪ640
	unsigned int				nRetAlarmInfoNum;							// ʵʷصıͨϢ
	NET_AUDIO_OUTPUT_CHANNEL_INFO*		pstuAudioOutputChnInfo;				// ƵͨϢ,ûڴ,СΪsizeof(NET_AUDIO_OUTPUT_CHANNEL_INFO)*nAudioOutputChnInfoNum
	unsigned int				nAudioOutputChnInfoNum;						// ƵͨϢ,ֵΪ181
	unsigned int				nRetAudioOutputChnInfoNum;					// ʵʷصƵͨϢ
	BYTE						byReserved[1024];							// Ԥֽ
}NET_SIP_SERVER_INFO;


// һƽ̨Ϣ
typedef struct tagNET_CFG_VSP_GAYS_SERVER_INFO
{
	DWORD							dwSize;											// ṹС
	unsigned int					nSipServerInfoNum;								// ·SIPϢĸ,MAX_SIP_SERVER_NUM
	NET_SIP_SERVER_INFO				stuSipServerInfo[MAX_SIP_SERVER_NUM];			// SIPϢ
	unsigned int					nRetSipServerInfoNum;							// ȡʵʷSIPϢ
	BYTE							byReserved[4];									// Ԥֽ
}NET_CFG_VSP_GAYS_SERVER_INFO;

// ЭͬǩϢ,Ӧ NET_EM_CFG_VSP_CO_SIGN_SERVER
typedef struct tagNET_CFG_VSP_CO_SIGN_SERVER_INFO
{
	DWORD							dwSize;						// ṹС
	char							szCoSignServerIP[64];		// ЭͬǩIPַ
	unsigned int					nCoSignServerPort;			// Эͬǩ˿
}NET_CFG_VSP_CO_SIGN_SERVER_INFO;

// ϱϢ
typedef struct tagNET_VSP_GAVI_NOTIFY_OBJECT
{
	BOOL							bFaceChecked;				// ѡ
	BOOL							bPersonChecked;				// ѡ
	BOOL							bMotorVehicleChecked;		// ѡ
	BOOL							bNonMotorVehicleChecked;	// ǻѡ
	BOOL							bImageChecked;				// ͼƬѡ
	BYTE							byReserved[516];			// Ԥֶ
}NET_VSP_GAVI_NOTIFY_OBJECT;


// ͨϢ
typedef struct tagNET_VSP_GAVI_CHANNEL_INFO
{
	char							szChannelEncode[24];		// ͨ
	NET_VSP_GAVI_NOTIFY_OBJECT		stuNotifyObject;			// ϱ豸Ϣ
	BYTE							byReserved[512];			// Ԥֶ
}NET_VSP_GAVI_CHANNEL_INFO;

// ƽ̨ö
typedef enum tagEM_VSP_GAVI_PLATFORM_CODE
{
	EM_VSP_GAVI_PLATFORM_CODE_UNKNOWN = -1,						// δ֪
	EM_VSP_GAVI_PLATFORM_CODE_DEFAULT,							// Ĭϣ׼ͼƽ̨
	EM_VSP_GAVI_PLATFORM_CODE_DAHUA,							// ͼ
	EM_VSP_GAVI_PLATFORM_CODE_HKTDA_CLOUDSTORAGE,				// TDA+ƴ洢
	EM_VSP_GAVI_PLATFORM_CODE_UNIVIEW,							// 
	EM_VSP_GAVI_PLATFORM_CODE_HKTEST,							// ӿڲ
	EM_VSP_GAVI_PLATFORM_CODE_SHQPNETPOSE,						// Ϻֶ
	EM_VSP_GAVI_PLATFORM_CODE_HKTDA,							// TDA
	EM_VSP_GAVI_PLATFORM_CODE_HARZONE,							// 
	EM_VSP_GAVI_PLATFORM_CODE_NETPOSE,							// 
	EM_VSP_GAVI_PLATFORM_CODE_TAOAN,							// 躰
	EM_VSP_GAVI_PLATFORM_CODE_RESERVED,							// Ԥ
	EM_VSP_GAVI_PLATFORM_CODE_HKVIEWGATEWAY,					// ͼ
	EM_VSP_GAVI_PLATFORM_CODE_KODAK,							// ´	
}EM_VSP_GAVI_PLATFORM_CODE;

// ͼƴ洢ȨԿ
typedef struct tagNET_HKIMAGESERVER_INFO
{
	char						szAccessKey[136];				// 
	char						szSecretKey[136];				// ȨԿ
	BYTE						szReserved[512];				// Ԥֶ
}NET_HKIMAGESERVER_INFO;

// עƽ̨Ϣ
typedef struct tagNET_VSP_GAVI_INFO
{
    char                			szAddress[128];    			// עƽ̨IPַIPΪʱ
    char                			szUserId[64];       		// 豸½ʺ
    char                			szPassword[64];     		// ½
    UINT                			nPort;              		// עƽ̨˿ں
	BOOL							bEnable;					// ʹ
	UINT							nKeepAliveTime;				// ỰڣΧ[10,90],λ
	UINT							nMaxTimeoutTimes;			// ʱΧ[2,5]
	UINT							nRegisterInterval;			// עʧܺעʱޣΧ[30,300],λ	
	char							szDeviceID[24];				// ע豸ID	
	NET_VSP_GAVI_CHANNEL_INFO* 		pstuChannelInfo; 			// ͨϢûڴ
	UINT							nChannelCount;				// pstuChannelInfo ͨһ
	UINT							nChannelCountRet;			// ص pstuChannelInfo 
	EM_VSP_GAVI_PLATFORM_CODE		emPlatform;					// ǰƽ̨
	BOOL							bIsOnLine;					// Ƿߣ޸
	NET_HKIMAGESERVER_INFO*			pHKImageServerInfo;			// ͼƴ洢ȨԿϢemPlatform Ϊ EM_VSP_GAVI_PLATFORM_CODE_HKTDA_CLOUDSTORAGEʱЧ
    BYTE                			byReserved[68];    			// ֽ 
}NET_VSP_GAVI_INFO;

// ƽ̨ΧϢ
typedef struct tagNET_VSP_GAVI_PLATFORM_INFO
{
	EM_VSP_GAVI_PLATFORM_CODE	emPlatformCode;					// ƽ̨
	char						szPlatformName[128];			// ƽ̨
	BYTE						byReserved[132];				// Ԥֶ
}NET_VSP_GAVI_PLATFORM_INFO;

// ƵͼϢӦϵͳ,Ӧ NET_EM_CFG_VSP_GAVI
typedef struct tagNET_CFG_VSP_GAVI_INFO
{
    DWORD						dwSize;				    		// ṹС
    int							nGaviInfoCount;         		// עƽ̨
    NET_VSP_GAVI_INFO			stuGaviInfo[16];        		// עƽ̨Ϣ
	int							nPlatformCount;					// stuPlatformInfo
	NET_VSP_GAVI_PLATFORM_INFO  stuPlatformInfo[64];			// ƽ̨ΧϢ޸		
}NET_CFG_VSP_GAVI_INFO;

// ýݼ
typedef struct tagNET_MEDIA_ENCRYPT_INFO
{
	DWORD							dwSize;						// ṹС
	BOOL							bKeyFrameEncryptEnable;		// Ƿؼ֡ݼ
	unsigned int					nVKUpdateTime;				// Կ,λ:,Ϊ0,ʾԿ
	BOOL							bRTSPOverTlsEnable;			// ǷRTSP TLS
}NET_MEDIA_ENCRYPT_INFO;

// ݼ
typedef struct tagNET_DOWNLOAD_ENCRYPT_INFO
{
	DWORD							dwSize;						// ṹС
	BOOL							bEncryptEnable;				// Ƿݼ	
	char							szEncryptPasswd[256];		// 
}NET_DOWNLOAD_ENCRYPT_INFO;

// /
typedef struct tagNET_CFG_COUNTRY_INFO
{
    DWORD                           dwSize;                     // ṹС
    char                            szCountry[3];               // /,2ֽڴдʽ,ISO 3166淶
    BYTE                            byReserved1[1];             // ֽڶ, Ǳֽ
}NET_CFG_COUNTRY_INFO;

// Ƶʽ
typedef enum tagEM_VIDEO_STANDARD
{
    EM_VIDEO_STANDARD_UNKNOWN,                               
	EM_VIDEO_STANDARD_PAL,      // "PAL"                               
	EM_VIDEO_STANDARD_NTSC,     // "NTSC"
	EM_VIDEO_STANDARD_SECAM,    // "SECAM"
}EM_VIDEO_STANDARD;

// Ƶʽ
typedef struct tagNET_CFG_VIDEOSTANDARD_INFO
{
    DWORD                           dwSize;                     // ṹС
    EM_VIDEO_STANDARD               emVideoStandard;            // Ƶʽ
}NET_CFG_VIDEOSTANDARD_INFO;

// NVRIPCƹ
typedef struct tagNET_CFG_CASCADE_LIGHT_INFO
{
	DWORD							dwSize;
	int								nCount;						// ʵʵƹ
	BOOL							bEnable[16];				// ƹʹ
} NET_CFG_CASCADE_LIGHT_INFO;

// ֳȼ׷
typedef struct tagNET_CFG_LE_SMARTTRACK_INFO
{
	DWORD							dwSize;                     // ṹС
	BOOL							bEnable;                    // ֳȼ׷ʹ
} NET_CFG_LE_SMARTTRACK_INFO;

// ֳȾͷڵ
typedef struct tagNET_CFG_LE_LENS_MASK_INFO
{
    DWORD                           dwSize;                         // ṹС
    BOOL                            bEnable;                        // ͷǷڵλ, TRUE:ڵλ, Ƶ; FALSE:λ
    int                             nValidLastPositionNum;          // Чڵǰ̨λ
    BYTE                            byReserved[4];                  // ֽڶ
    double                          dbLastPosition[3];              // ڵǰ̨λ, ¼ڵǰ̨λ, ָʱص
                                                                    // һԪΪˮƽǶȣһ-1~1;ڶԪΪֱǶȣһ-1~1;ԪΪŴһ0~1
                                                                    // ԪطֱӦDH_PTZ_LOCATION_INFOеpantiltzoom,ӦDH_DEVSTATE_PTZ_LOCATIONö
                                                                    // ڵʹΪFALSEʱ,
}NET_CFG_LE_LENS_MASK_INFO;

// ע
typedef enum tagNET_EM_REGISTER_TYPE
{
	NET_EM_REGISTER_TYPE_UNKNOWN,                               // δ֪
	NET_EM_REGISTER_TYPE_LECHENG,                               // :lecheng
	NET_EM_REGISTER_TYPE_EASY4IP,                               // :easy4ip
}NET_EM_REGISTER_TYPE;

//ֳע(NET_EM_CFG_VSP_PAAS)
typedef struct tagNET_CFG_VSP_PAAS_INFO
{
	DWORD							dwSize;						// ṹС
	BOOL							bEnable;	                // ʹ,WEB˻ȡ/ýʹ
	BOOL							bOnline;				    // Ƿ߱ʶ,ж豸Ƿƽ̨
	char							szRsServerIP[DH_MAX_IPADDR_EX_LEN];	    // עַ
	int							    nRsServerPort;				// ע˿
	char							szSN[DH_DEV_SERIALNO_LEN];	// 豸к
	char							szCheckCode[DH_DEV_SERIALNO_LEN];       // 豸֤
	NET_EM_REGISTER_TYPE			emType;	                    // ע
}NET_CFG_VSP_PAAS_INFO;

// ֤ģʽ
typedef enum tagNET_EM_FACE_AUTH_MODE
{
	NET_EM_FACE_AUTH_MODE_UNKNOWN = 0,                          // δ֪
	NET_EM_FACE_AUTH_MODE_LOCAL,                                // رȶ֤
	NET_EM_FACE_AUTH_MODE_REMOTE,                               // Զ̱ȶ֤
}NET_EM_FACE_AUTH_MODE;

// Ƭ֤ģʽ
typedef enum tagNET_EM_CARD_AUTH_MODE
{
	NET_EM_CARD_AUTH_MODE_UNKNOWN = 0,                          // δ֪
	NET_EM_CARD_AUTH_MODE_LOCAL,                                // رȶ֤
	NET_EM_CARD_AUTH_MODE_REMOTE,                               // Զ̱ȶ֤
}NET_EM_CARD_AUTH_MODE;

// ά֤ģʽ
typedef enum tagNET_EM_QR_CODE_AUTH_MODE
{
	NET_EM_QR_CODE_AUTH_MODE_UNKNOWN = 0,                       // δ֪
	NET_EM_QR_CODE_AUTH_MODE_LOCAL,                             // رȶ֤
	NET_EM_QR_CODE_AUTH_MODE_REMOTE,                            // Զ̱ȶ֤
}NET_EM_QR_CODE_AUTH_MODE;

// Ȩ֤ģʽ
typedef enum tagNET_EM_ALL_AUTH_MODE
{
    NET_EM_ALL_AUTH_MODE_UNKNOWN = 0,                       // δ֪
    NET_EM_ALL_AUTH_MODE_DISABLE,                           // ЧҪøȨ֤ģʽʱʹ
    NET_EM_ALL_AUTH_MODE_LOACL,                             // رȶ֤
    NET_EM_ALL_AUTH_MODE_REMOTE,                            // Զ̱ȶ֤
}NET_EM_ALL_AUTH_MODE;

// ߿֤ģʽ,ģʽ,豸ȨԶ̼Ȩ,ģʽ,豸Ȩ
typedef struct tagNET_CFG_ACCESSCTL_AUTH_MODE
{
	DWORD					       dwSize;				       // ṹС
	NET_EM_FACE_AUTH_MODE		   emFaceAuthMode;	           // ֤ģʽ
	NET_EM_CARD_AUTH_MODE          emCardAuthMode;             // Ƭ֤ģʽ
	NET_EM_QR_CODE_AUTH_MODE       emQRCodeAuthMode;           // ά֤ģʽ
    NET_EM_ALL_AUTH_MODE           emAllAuthMode;              // Ȩ֤ģʽ,ģʽЧʱ֤ģʽԴģʽΪ׼ģʽЧʱʹøȨ޸Ե֤ģʽ
}NET_CFG_ACCESSCTL_AUTH_MODE;

// LEDʾɫ
typedef enum tagNET_EM_LED_COLOR
{
	NET_EM_LED_COLOR_UNKNOWN = 0,                                  // δ֪
	NET_EM_LED_COLOR_GREEN,                                        // ɫ
	NET_EM_LED_COLOR_YELLOW,                                       // ɫ
	NET_EM_LED_COLOR_RED,                                          // ɫ
}NET_EM_LED_COLOR;
 
// LEDʾ
typedef struct tagNET_CFG_LED_TEXT
{
    DWORD                          dwSize;                     // ṹС
	char                           szText[128];                // ʾ
    NET_EM_LED_COLOR               emColor;                    // ʾɫ
}NET_CFG_LED_TEXT;

// LEDʾ
typedef struct tagNET_CFG_LED_TEXT_ARRAY
{
    DWORD                          dwSize;                     	// ṹС
    char                           szText[128];                	// ʾ
    NET_EM_LED_COLOR               emColor;                    	// ʾɫ
    int                            nHoldTime;               	// ʱ()
}NET_CFG_LED_TEXT_ARRAY;

// һ
typedef struct tagNET_CFG_DISABLE_LINKAGE
{
	DWORD                          dwSize;                     // ṹС
	BOOL						   bEnable;					   // ܿ
}NET_CFG_DISABLE_LINKAGE;

// ̿ٿԪϢ
typedef struct tagNET_MATRIX_NETKBDFASTCTRL_ELEMENTS_INFO
{
	int						nChannel;			// ̲ӦƵԴͨ
	char					szUserName[64];		// ̲Ӧû
	BYTE                    byReserved[260];    // ֽ
} NET_MATRIX_NETKBDFASTCTRL_ELEMENTS_INFO;

// ̿ٿ
typedef struct tagNET_CFG_MATRIX_NETKBDFASTCTRL_INFO
{
	DWORD										dwSize;								// ṹС
	int											nMatrixNetKBDFastCtrlInfoNum;		// ̿ٿø
	NET_MATRIX_NETKBDFASTCTRL_ELEMENTS_INFO		stuMatrixNetKBDFastCtrlInfo[128];	// ̿ٿ
} NET_CFG_MATRIX_NETKBDFASTCTRL_INFO;

// Ҵ
typedef struct tagNET_CFG_VIDEO_CHANNEL_LABEL_INFO
{
	DWORD					dwSize;						// ṹС
	char					szSecurityRoomCode[32];		// Ҵ
	char					szSecurityRoomName[32];		// 
}NET_CFG_VIDEO_CHANNEL_LABEL_INFO;

// ԤõץͼãӦö NET_EM_CFG_PRESET_SNAP_PICTURE_NUM
typedef struct tagNET_CFG_PRESET_SNAP_PICTURE_NUM
{
	DWORD					dwSize;						// ṹС
	int						nNum;						// ץͼ	
}NET_CFG_PRESET_SNAP_PICTURE_NUM;

// ȶԱ
typedef enum tagEM_ALARM_RULE_TYPE
{
	EM_ALARM_RULE_UNKNOWN = -1,	// δ֪
	EM_ALARM_RULE_NONE,			// 
	EM_ALARM_RULE_SUCCESS,		// ȶԳɹ
	EM_ALARM_RULE_FAIL,			// ȶʧܱ
} EM_ALARM_RULE_TYPE;

// ͨϢ
typedef struct tagNET_ALARM_OUT_CHANNEL_INFO
{
	EM_ALARM_RULE_TYPE		emAlarmRuleType;		// ȶԱ
	int						nAlarmOutLatch;			// ʱ, λ, Χ1-300
	BYTE                    byReserved[128];        // ֽ
} NET_ALARM_OUT_CHANNEL_INFO;

// ʶͨϢ
typedef struct tagNET_FACE_RECOGNITION_ALARM_CHANNEL
{
	char						szGroupID[64];			// ID
	char						szGroupName[128];		// 
	BOOL						bAlarmOutEnable;		// ʶ¼Ƿ
	UINT						nAlarmChannelNum;		// ͨ
	NET_ALARM_OUT_CHANNEL_INFO	stuAlarmChannel[64];		// ͨϢ
	BYTE                    	byReserved[256];        	// ֽ
} NET_FACE_RECOGNITION_ALARM_CHANNEL;

// ʶͨ, Ӧö NET_EM_CFG_FACE_RECOGNITION_ALARM
typedef struct tagNET_FACE_RECOGNITION_ALARM_INFO
{
	DWORD								dwSize;						// ṹС
	UINT								nFaceReconChannelNum;		// ʶͨ
	NET_FACE_RECOGNITION_ALARM_CHANNEL	stuFaceReconChannel[50];		// ʶͨϢ
} NET_FACE_RECOGNITION_ALARM_INFO;
// ߼ʾ
typedef enum tagNET_EM_SCREEN_SHOW_CONTENTS
{
	EM_TRAFFIC_LATTICE_SCREEN_UNKNOWN = 0,				// δ֪
	EM_TRAFFIC_LATTICE_SCREEN_PLATENUMBE,				// 
	EM_TRAFFIC_LATTICE_SCREEN_SYSTIME,					// ϵͳʱ
	EM_TRAFFIC_LATTICE_SCREEN_PARKTIME,					// ͣʱ
	EM_TRAFFIC_LATTICE_SCREEN_MASTEROFCAR,				// 
	EM_TRAFFIC_LATTICE_SCREEN_USERTYPE,					// û
	EM_TRAFFIC_LATTICE_SCREEN_REMAINDAY,				// 
	EM_TRAFFIC_LATTICE_SCREEN_PARKCHARGE,				// ͣ
	EM_TRAFFIC_LATTICE_SCREEN_REMAINSPACE,				// λ
	EM_TRAFFIC_LATTICE_SCREEN_SYSDATE,					// ϵͳ
	EM_TRAFFIC_LATTICE_SCREEN_PASSICONCIRCLE,			// ָͨʾ(ԲԲָʾ)
	EM_TRAFFIC_LATTICE_SCREEN_PASSICONARROW,			// ָͨʾ(ָ̼ʾ)
	EM_TRAFFIC_LATTICE_SCREEN_INTIME,					// 볡ʱ
	EM_TRAFFIC_LATTICE_SCREEN_OUTTIME,					// ʱ
	EM_TRAFFIC_LATTICE_SCREEN_REMARKS,					// עϢ
	EM_TRAFFIC_LATTICE_SCREEN_RESOURCE,					// Դļ(ƵͼƬ)
	EM_TRAFFIC_LATTICE_SCREEN_CUSTOM,					// ԶϢ
}NET_EM_SCREEN_SHOW_CONTENTS;

// ߼ʾ
typedef struct tagNET_TRAFFIC_LATTICE_SCREEN_SHOW_CONTENTS
{
	NET_EM_SCREEN_SHOW_CONTENTS	emContents;				// ߼ʾ
	BYTE						byReserved1[4];			// ֽڶ
	char						szCustomStr[32];		// ԶݣemContentsΪ	EM_TRAFFIC_LATTICE_SCREEN_CUSTOM ʱЧ
	BYTE						byReserved[32];			// Ԥ
}NET_TRAFFIC_LATTICE_SCREEN_SHOW_CONTENTS;

// ʾϢ
typedef struct tagNET_TRAFFIC_LATTICE_SCREEN_SHOW_INFO
{
	NET_TRAFFIC_LATTICE_SCREEN_SHOW_CONTENTS	stuContents[64];		// ߼ʾ
	int											nContentsNum;			// ߼
	BYTE										byReserved[1020];		// Ԥ
}NET_TRAFFIC_LATTICE_SCREEN_SHOW_INFO;

// ʾϢ, Ӧö NET_EM_CFG_TRAFFIC_LATTICE_SCREEN
typedef struct tagNET_CFG_TRAFFIC_LATTICE_SCREEN_INFO
{
	DWORD									dwSize;						// ṹС
	int										nStatusChangeTime;			// ״̬лλ,ȡֵ10 ~ 60
	NET_TRAFFIC_LATTICE_SCREEN_SHOW_INFO	stuNormal;					// ̬
	NET_TRAFFIC_LATTICE_SCREEN_SHOW_INFO	stuCarPass;					// ʱ
}NET_CFG_TRAFFIC_LATTICE_SCREEN_INFO;

#define NET_MAX_PLATEENABLE_NUM			16      // ʹܹƲ
#define NET_MAX_BROADCAST_ELEMENT_NUM	64      // Ԫظ
// ʹܹƲö
typedef enum tagNET_EM_PLATEENABLE_TYPE
{
	EM_PLATEENABLE_UNKNOWN = 0,					// δ
	EM_PLATEENABLE_TIPS,						// Żӭ
	EM_PLATEENABLE_PLATE,						// ų
	EM_PLATEENABLE_ELEMENT,						// Ԫز
} NET_EM_PLATEENABLE_TYPE;

// Ԫ
typedef enum tagNET_EM_VOICE_BROADCAST_ELEMENT_TYPE
{
	EM_VOICE_BROADCAST_ELEMENT_UNKNOWN = 0,		// δ֪
	EM_VOICE_BROADCAST_ELEMENT_PLATENUMBER,		// ƺ
	EM_VOICE_BROADCAST_ELEMENT_PARKTIME,		// ͣʱ
	EM_VOICE_BROADCAST_ELEMENT_PARKCHARGE,		// ͣշ
	EM_VOICE_BROADCAST_ELEMENT_USERTYPE,		// û
	EM_VOICE_BROADCAST_ELEMENT_REMAINDAY,		// ʣ
	EM_VOICE_BROADCAST_ELEMENT_INTIME,			// 볡ʱ
	EM_VOICE_BROADCAST_ELEMENT_OUTTIME,			// ʱ
	EM_VOICE_BROADCAST_ELEMENT_REMARKS,			// עϢ
	EM_VOICE_BROADCAST_ELEMENT_CUSTOM,			// Զ,Ϊǰ׺+׺ַ
}NET_EM_VOICE_BROADCAST_ELEMENT_TYPE;

// Ԫ
typedef struct tagNET_TRAFFIC_VOICE_BROADCAST_ELEMENT
{
	NET_EM_VOICE_BROADCAST_ELEMENT_TYPE	emType;		// 
	BYTE						byReserved1[4];		// ֽڶ
	char						szPrefix[512];		// ǰ׺ַ
	char						szPostfix[512];		// ׺ַ
	BYTE						byReserved[1024];	// Ԥ
}NET_TRAFFIC_VOICE_BROADCAST_ELEMENT;

// ܽͨ Ӧö NET_EM_CFG_TRAFFIC_VOICE_BROADCAST
typedef struct tagNET_CFG_TRAFFIC_VOICE_BROADCAST_INFO
{
	DWORD									dwSize;								// ṹС
	int										nEnableCount;                       // ʹܲ
	NET_EM_PLATEENABLE_TYPE					emEnable[NET_MAX_PLATEENABLE_NUM];  // ʹܹƲ,ö NET_EM_PLATEENABLE_TYPE
	char									szNormalCar[MAX_PATH];              // ͨ,:ļ"ӭ.wav"
	char									szTrustCar[MAX_PATH];               // γ,:ļ"ӭ.wav"
	char									szSuspiciousCar[MAX_PATH];          // ɳ,:ļ"עᳵ.wav"
	NET_TRAFFIC_VOICE_BROADCAST_ELEMENT		stuElement[NET_MAX_BROADCAST_ELEMENT_NUM];	// Ԫ
	int										nElementNum;						// stuElementЧݸ
}NET_CFG_TRAFFIC_VOICE_BROADCAST_INFO;

// ץ
typedef enum tagNET_EM_SNAP_SHOT_TYPE
{
	NET_EM_SNAP_SHOT_TYPE_UNKNOWN = 0,											// δ֪
	NET_EM_SNAP_SHOT_TYPE_NEAR,													// 
	NET_EM_SNAP_SHOT_TYPE_MEDIUM,												// о
	NET_EM_SNAP_SHOT_TYPE_FAR,													// Զ
	NET_EM_SNAP_SHOT_TYPE_FEATURE,												// д
}NET_EM_SNAP_SHOT_TYPE;				

// ץļģʽ
typedef enum tagNET_EM_SNAP_SHOT_INTERVAL_MODE
{
	NET_EM_SNAP_SHOT_INTERVAL_UNKNOWN = 0,										// δ֪
	NET_EM_SNAP_SHOT_INTERVAL_TIME,												// ̶ʱģʽnSingleIntervalЧ
	NET_EM_SNAP_SHOT_INTERVAL_FRAMEADAPTSPEED,									// ٶӦ֡
	NET_EM_SNAP_SHOT_INTERVAL_FRAME,											// ̶֡
}NET_EM_SNAP_SHOT_INTERVAL_MODE;

// ץĲ
typedef struct tagNET_SNAP_SHOT_WITH_RULE_INFO
{
	UINT							nRuleId;
	DWORD							dwRuleType;									// ͣdhnetsdk.h"ܷ¼"
	UINT							nSnapShotNum;								// ץͼƬ
	NET_EM_SNAP_SHOT_TYPE			emSnapShotType[MAX_SNAP_SHOT_NUM];			// ץͼƬ
	UINT							nSingleInterval[MAX_SNAP_SHOT_NUM];			// ץͼʱ,λ룬һʱ:5~180 Ĭ10 ʱ(NץN-1ʱ):1~3600 Ĭ20
	NET_EM_SNAP_SHOT_INTERVAL_MODE	emIntervalMode;								// ץļģʽ
	BYTE							byReserved[1024];							// Ԥ
}NET_SNAP_SHOT_WITH_RULE_INFO;

// ץĲ
typedef struct tagNET_SCENE_SNAP_SHOT_WITH_RULE2_INFO
{
	UINT							nPresetID;									// Ԥõ
	UINT							nRetSnapShotRuleNum;						// stuSnapShotWithRuleЧݸ
	NET_SNAP_SHOT_WITH_RULE_INFO	stuSnapShotWithRule[32];					// ץĲ
	BYTE							byReserved[1024];							// Ԥ
}NET_SCENE_SNAP_SHOT_WITH_RULE2_INFO;

// ץ Ӧö NET_EM_CFG_SCENE_SNAP_SHOT_WITH_RULE2
typedef struct tagNET_CFG_SCENE_SNAP_SHOT_WITH_RULE2_INFO
{
	DWORD									dwSize;								// ṹС
	UINT									nMaxRuleNum;						// pstuSnapShotWithRuleûڴ
	UINT									nRetRuleNum;						// pstuSnapShotWithRuleʵЧݸ
	NET_SCENE_SNAP_SHOT_WITH_RULE2_INFO*	pstuSceneSnapShotWithRule;			// ץĲ,ûͷڴ棬СΪnMaxRuleNum * sizeof(NET_SCENE_SNAP_SHOT_WITH_RULE2_INFO)
}NET_CFG_SCENE_SNAP_SHOT_WITH_RULE2_INFO;

// 
typedef enum tagNET_EM_DOORBELL_TYPE
{
	NET_EM_DOORBELL_UNKNOWN = -1,               // δ֪
    NET_EM_DOORBELL_UNCONNECTED,                // δ
	NET_EM_DOORBELL_MECHANICAL,                 // е
	NET_EM_DOORBELL_ELECTRONIC,                 // 
} NET_EM_DOORBELL_TYPE;

// , Ӧö NET_EM_CFG_DOORBELL_EXTERNALDOORBELL
typedef struct tagNET_CFG_DOORBELL_EXTERNALDOORBELL
{
    DWORD                               dwSize;             // ṹС
    NET_EM_DOORBELL_TYPE                emDoorBellType;     // 
    BOOL                                bEnable;            // ʹ
}NET_CFG_DOORBELL_EXTERNALDOORBELL;

// װģʽ
typedef enum tagEM_MOUNT_MODE
{
    EM_MOUNT_MODE_UNKNOWN,
    EM_MOUNT_MODE_INDOOR,       // 
    EM_MOUNT_MODE_OUTDOOR,      // 
}EM_MOUNT_MODE;

// Wifi豸װ, Ӧö NET_EM_CFG_WIFI_INSTALL_PARAM
typedef struct tagNET_CFG_WIFI_INSTALL_PARAM
{
    DWORD                       dwSize;                             // ṹС
    char                        szCountry[4];                       // /, ISO3166淶
    EM_MOUNT_MODE               emMountMode;                        // װģʽ
    BYTE                        byReserved[4];                     // ֽڶ, Ǳֽ
}NET_CFG_WIFI_INSTALL_PARAM;

// ʾڵϢ
typedef struct tagNET_CFG_KVM_MAIN_NODE_INFO
{
    int                 nLevel;                            // ȼ,ֵԽȼԽͣɸݵȼڵѡȼ豸ֵܳͻ
    char                szAddress[128];                    // KVMڵIPַ
    BYTE                byReserved[128];                   // ֽ
} NET_CFG_KVM_MAIN_NODE_INFO;

// ʾڵ,ӦöNET_EM_CFG_KVM_MAIN_NODE
typedef struct tagNET_CFG_KVM_MAIN_NODE
{
    DWORD                      dwSize;                         // ṹС
    UINT                       nMainNodeNum;                   // ڵ
    NET_CFG_KVM_MAIN_NODE_INFO stuMainNodeInfo[1024];          // ʾڵϢ
} NET_CFG_KVM_MAIN_NODE;

//ȼ
typedef enum tagNET_EM_KVM_HOTKEY_FUNCTION_NAME
{
    EM_KVM_HOTKEY_FUNCTION_NAME_UNKNOWN,                // δ֪
    EM_KVM_HOTKEY_FUNCTION_NAME_SPLITMENU,              // ˵ȡ
    EM_KVM_HOTKEY_FUNCTION_NAME_GETMENU,                // ӹܲ˵ȡ
    EM_KVM_HOTKEY_FUNCTION_NAME_PUSHMENU,               // Ͳ˵ȡ
    EM_KVM_HOTKEY_FUNCTION_NAME_BASEINFOMENU            // Ϣ˵ȡ
}EM_KVM_HOTKEY_FUNCTION_NAME;

// ʾȼϢ
typedef struct tagNET_CFG_KVM_HOT_KEY_INFO
{
    int                            nKeyNum;               // ȼԪظ
    int                            szKey[3];              // ȼ
    EM_KVM_HOTKEY_FUNCTION_NAME    emFuncName;            // ȼ
    BYTE                           byReserved[128];       // ֽ
}NET_CFG_KVM_HOT_KEY_INFO;

// ʾȼ,ӦöNET_EM_CFG_KVM_HOT_KEY
typedef struct tagNET_CFG_KVM_HOT_KEY
{
    DWORD                     dwSize;                           // ṹС
    int                       nHotKeyNum;                       // ȼ
    NET_CFG_KVM_HOT_KEY_INFO  stuHotKeyInfo[64];                // ȼϢ
}NET_CFG_KVM_HOT_KEY;

// ,ӦNET_EM_CFG_KM_TRANS_ENCRYPT
typedef struct tagNET_CFG_KM_TRANS_ENCRYPT
{
    DWORD               dwSize;                         // ṹС
    BOOL                bEnable;                        // Ϣܴ俪أ true:ʹܣfalseʹ
}NET_CFG_KM_TRANS_ENCRYPT;

// ȳоά, Ӧö NET_EM_CFG_SENSOR_MAINTAIN
typedef struct tagNET_CFG_SENSOR_MAINTAIN
{
    DWORD                       dwSize;                     // ṹС
    BOOL                        bEnable;                    // Ƿά, 
    DH_TSECT                    stuTimeSection[DH_TSCHE_DAY_NUM][DH_TSCHE_SEC_NUM];     // ʱΣһά飬ǰ7ԪضӦÿ7죬8ԪضӦڼգÿ6ʱΡ
}NET_CFG_SENSOR_MAINTAIN;

// ษ, Ӧö NET_EM_CFG_TILT_LIMIT 
typedef struct tagNET_CFG_TILT_LIMIT
{
    DWORD                       dwSize;                 // ṹС
    int                         nUp;                    // ϸ,0.1, ʵֵ10Χ[0,900]
    int                         nDown;                  // ¸,0.1, ʵֵ10Χ[-900,0]
    BYTE                        byReserve[4];           // ֽڣֽڶ
}NET_CFG_TILT_LIMIT;

// Žʶ Ӧö NET_EM_CFG_ACCESS_FACE_RECOGNITION
typedef struct tagNET_CFG_ACS_FACE_RECOGNITION_SCHEME
{
    DWORD                           dwSize;                 // ṹС 
    UINT                            nMode;                  // ʶģʽ; 0ǰʶ, 1ʶ, 2ǰʧܺ󵽺ʶ
}NET_CFG_ACS_FACE_RECOGNITION_SCHEME;

//Ĭͨģʽ
typedef enum tagEM_COMPOSIT_CHANNEL_BIND_MODE
{
    EM_COMPOSIT_CHANNEL_BIND_MODE_UNKNOWN,                        // δ֪
    EM_COMPOSIT_CHANNEL_BIND_MODE_AUTOMATIC,                      // Զ
    EM_COMPOSIT_CHANNEL_BIND_MODE_SEMIAUTOMATIC,                  // Զ
    EM_COMPOSIT_CHANNEL_BIND_MODE_MANUAL,                         // ֶ
} EM_COMPOSIT_CHANNEL_BIND_MODE; 

// ʹ
typedef enum tagEM_CAN_START_STREAM
{
    EM_CAN_START_STREAM_UNKNOWN = -1,                                               // δ֪
    EM_CAN_START_STREAM_OFF,                                                        // 
    EM_CAN_START_STREAM_ON,                                                         // 
} EM_CAN_START_STREAM;

// ¼ʹ
typedef enum tagEM_IS_RECORD
{                              
    EM_IS_RECORD_UNKNOWN,                                                           // δ֪
    EM_IS_RECORD_ON,                                                                // ¼
    EM_IS_RECORD_OFF,                                                               // ¼
} EM_IS_RECORD;

// ¼Ĭ
typedef struct tagNET_CFG_COURSE_RECORD_DEFAULT_CONFIG
{
    DWORD                                     dwSize;                               // ṹС 
    UINT                                      nCompositChannelMode;                 // ͨĬģʽ; 0: Ч, 1: Ӱģʽ, 2: ̬ģʽ, 3: Ʒģʽ, С0: Զģʽ
    int                                       nCanStartStreamNum;                   // ܷ߼ͨ
    int                                       nIsRecordNum;                         // ǷҪ¼߼ͨ
    EM_CAN_START_STREAM                       emCanStartStream[64];                 // ܷ
    EM_IS_RECORD                              emIsRecord[64];                       // ǷҪ¼
    EM_COMPOSIT_CHANNEL_BIND_MODE             emCompositChannelBindMode;            // Ĭͨģʽ
    BYTE                                      byReserved[4];                        // ֽ
}NET_CFG_COURSE_RECORD_DEFAULT_CONFIG;

// ݿȫ
typedef struct tagNET_CFG_LIFTCONTROL_OPTION
{
	DWORD										dwSize;			// ṹС
	BOOL										bEnable;		// ʹTRUEʹܣFALSEδʹ
}NET_CFG_LIFTCONTROL_OPTION;
// ־ض
typedef struct tagNET_CFG_DEBUGINFO_REDIR_INFO
{
    DWORD									dwSize;					// ṹСֵΪsizeof(NET_CFG_DEBUGINFO_REDIR_INFO)
    BOOL                                    bEnable;                // Ƿʹض
}NET_CFG_DEBUGINFO_REDIR_INFO;

// ò
typedef enum tagNET_EM_CFG_OPERATE_TYPE
{
    NET_EM_CFG_SNAP_MODE,                   // ץͼģʽ,Ӧṹ NET_SNAP_MODE
    NET_EM_CFG_DEV_CAR_COACH,               // ·¼, Ӧṹ NET_DEV_CAR_COACH_INFO
	NET_EM_CFG_YUEQING_SUPPLYLIGHTING,		// ӵƹ, Ӧṹ NET_YUEQING_SUPPLYLIGHTING_INFO
	NET_EM_CFG_MEDIA_GLOBAL,                // ýȫ, Ӧṹ NET_MEDIA_GLOBAL_INFO
	NET_EM_CFG_PARKINGSPACECELL_STATUS,		// λ(רгλͨλ), Ӧṹ NET_PARKINGSPACECELL_STATUS_INFO
	NET_EM_CFG_PARKINGSPACELIGHT_STATE,		// λ״̬Ӧĳλָʾ, Ӧṹ NET_PARKINGSPACELIGHT_STATE_INFO
	NET_EM_CFG_COAXIAL_LIGHT,				// ׹Ƶͨ, Ӧṹ NET_CFG_COAXIAL_LIGHT_INFO
    NET_EM_CFG_VIDEO_OUT,				    // 	Ƶ, Ӧṹ NET_CFG_VIDEO_OUT_INFO
	
	NET_EM_CFG_MEDIA_ENCRYPT = 9,			// ýݼ,Ӧṹ NET_MEDIA_ENCRYPT_INFO,ͨ,ͨҪ-1
    NET_EM_CFG_COUNTRY,                     // /, Ӧṹ NET_CFG_COUNTRY_INFO,ͨ,ͨҪ-1
    NET_EM_CFG_VIDEOSTANDARD,               // Ƶʽ, Ӧṹ NET_CFG_VIDEOSTANDARD_INFO,ͨ,ͨҪ-1, Ŀǰ豸֧SECAMʽ
	NET_EM_CFG_SERIAL_PUSH_LOG,				// ڷ־ã Ӧṹ NET_CFG_SERIALPUSHLOG_INFOͨҪ-1
	NET_EM_CFG_PRESET_SNAP_PICTURE_NUM,		// ԤõץͼƬ,Ӧṹ NET_CFG_PRESET_SNAP_PICTURE_NUM
	NET_EM_CFG_DOWNLOAD_ENCRYPT,			// ݼ, Ӧṹ NET_DOWNLOAD_ENCRYPT_INFO,ͨ,ͨҪ-1
	NET_EM_CFG_LIFT_CONTROL_OPTION,			// ݿعȫãӦṹ NET_CFG_LIFTCONTROL_OPTION,ͨ,ͨҪ-1
    NET_EM_CFG_DEBUGINFO_REDIR = 21,             // ־ض, Ӧṹ NET_CFG_DEBUGINFO_REDIR_INFO

	/*********OSD*************************************************************************************************/
	NET_EM_CFG_CHANNELTITLE = 1000,         // ͨãӦṹ NET_OSD_CHANNEL_TITLE,нṹеemOsdBlendTypeΪ
	NET_EM_CFG_TIMETITLE,               	// ʱãӦṹ NET_OSD_TIME_TITLE,нṹеemOsdBlendTypeΪ
	NET_EM_CFG_CUSTOMTITLE,             	// ԶãӦṹ NET_OSD_CUSTOM_TITLE,нṹеstuCustomTitle.emOsdBlendTypeΪ
	NET_EM_CFG_CUSTOMTITLETEXTALIGN,    	// Զ뷽ʽãӦṹ NET_OSD_CUSTOM_TITLE_TEXT_ALIGN
	NET_EM_CFG_OSDCOMMINFO,             	// ӹãӦṹ NET_OSD_COMM_INFO
	NET_EM_CFG_OSD_PTZZOOM,					// 䱶ãӦṹ NET_OSD_PTZZOOM_INFO
	NET_EM_CFG_GPSTITLE,					// GPSʾãӦṹ NET_OSD_GPS_TITLE
	NET_EM_CFG_OSD_NUMBERSTATPLAN,			// ͳƼƻOSD, ֧NumberStatPlan㷨ʱ()ʹãӦṹNET_OSD_NUMBER_STATPLAN
    NET_EM_CFG_GPSSTARNUM_OSD,              // GPSOSD, ض, Ӧṹ NET_CFG_GPSSTARNUM_OSD_INFO
	NET_EM_CFG_PICTURETITLE,				// ͼƬ,Ӧṹ NET_OSD_PICTURE_TITLE
	NET_EM_CFG_OSD_FACEFLOWSTAT,			// ͳOSDãӦṹ NET_OSD_FACEFLOWSTAT_INFO 

    NET_EM_CFG_PTZ_PRESET,		            // ԤõϢ,Ӧṹ NET_OSD_CFG_PTZ_PRESET
    NET_EM_CFG_PTZ_PATTERN,		            // ʾѲٷֱȵ,Ӧṹ NET_OSD_CFG_PTZ_PATTERN
    NET_EM_CFG_PTZ_RS485_DETECT,		    // ʾRS485ĵ,Ӧṹ NET_OSD_CFG_PTZ_RS485_DETECT
    NET_EM_CFG_PTZ_COORDINATES,		        // ʾ̨ĵ,Ӧṹ NET_OSD_CFG_PTZ_COORDINATES
    NET_EM_CFG_PTZ_DIRECTION,		        // ʾ̨ĵ,Ӧṹ NET_OSD_CFG_PTZ_DIRECTION
    NET_EM_CFG_TEMPERATURE,		            // ʾ¶ȵĵ,Ӧṹ NET_OSD_CFG_TEMPERATURE
    NET_EM_CFG_COVERS,		                // 򸲸,Ӧṹ NET_OSD_CFG_COVERS
    NET_EM_CFG_USER_DEF_TITLE,		        // ûԶOSD⣬Ӧṹ NET_OSD_USER_DEF_TITLE

	/*********encode *************************************************************************************************/
	NET_EM_CFG_ENCODE_VIDEO = 1100,			// ƵʽãӦṹ NET_ENCODE_VIDEO_INFO
	NET_EM_CFG_ENCODE_VIDEO_PACK,			// ƵʽģʽãӦṹ NET_ENCODE_VIDEO_PACK_INFO
	NET_EM_CFG_ENCODE_VIDEO_SVC,			// ƵʽSVCãӦṹ NET_ENCODE_VIDEO_SVC_INFO
	NET_EM_CFG_ENCODE_VIDEO_PROFILE,		// ƵʽprofileãӦṹ NET_ENCODE_VIDEO_PROFILE_INFO
	NET_EM_CFG_ENCODE_AUDIO_COMPRESSION,	// ƵѹʽãӦṹ NET_ENCODE_AUDIO_COMPRESSION_INFO
	NET_EM_CFG_ENCODE_AUDIO_INFO,			// ƵʽãӦṹ NET_ENCODE_AUDIO_INFO
	NET_EM_CFG_ENCODE_SNAP_INFO,			// ץͼãӦṹ NET_ENCODE_SNAP_INFO
	NET_EM_CFG_ENCODE_SNAPTIME, 			// ץͼʱãӦṹ NET_ENCODE_SNAP_TIME_INFO
	NET_EM_CFG_ENCODE_CHANNELTITLE,			// ͨãӦṹ NET_ENCODE_CHANNELTITLE_INFO
		
	/**********Ƶ***************************************************************************************************/
	NET_EM_CFG_AUDIOIN_SOURCE = 1200,		// ƵãӦṹ NET_ENCODE_AUDIO_SOURCE_INFO
	NET_EM_CFG_AUDIOIN_DENOISE,				// ƵãӦṹ NET_AUDIOIN_DENOISE_INFO
	NET_EM_CFG_AUDIOIN_VOLUME,				// ƵãӦṹ NET_AUDIOIN_VOLUME_INFO
	NET_EM_CFG_AUDIOOUT_VOLUME,				// ƵãӦṹ NET_AUDIOOUT_VOLUME_INFO
	
	/**********videoin ***********************************************************************************************/
	NET_EM_CFG_VIDEOIN_SWITCHMODE = 1300,	// лģʽãӦṹ NET_VIDEOIN_SWITCH_MODE_INFO
	NET_EM_CFG_VIDEOIN_COLOR,				// ƵɫãӦṹ NET_VIDEOIN_COLOR_INFO			
	NET_EM_CFG_VIDEOIN_IMAGE_OPT,			// ͼãӦṹ NET_VIDEOIN_IMAGE_INFO
	NET_EM_CFG_VIDEOIN_STABLE,				// ͼãӦṹ NET_VIDEOIN_STABLE_INFO
	NET_EM_CFG_VIDEOIN_IRISAUTO,			// ԶȦãӦṹ NET_VIDEOIN_IRISAUTO_INFO
	NET_EM_CFG_VIDEOIN_IMAGEENHANCEMENT,	// ͼǿãӦṹ NET_VIDEOIN_IMAGEENHANCEMENT_INFO
	NET_EM_CFG_VIDEOIN_EXPOSURE_NORMAL,		// عͨãӦṹ NET_VIDEOIN_EXPOSURE_NORMAL_INFO
	NET_EM_CFG_VIDEOIN_EXPOSURE_OTHER,		// عãӦṹ NET_VIDEOIN_EXPOSURE_OTHER_INFO
	NET_EM_CFG_VIDEOIN_EXPOSURE_SHUTTER,	// عãӦṹ NET_VIDEOIN_EXPOSURE_SHUTTER_INFO
	NET_EM_CFG_VIDEOIN_BACKLIGHT,			// ãӦṹ NET_VIDEOIN_BACKLIGHT_INFO
	NET_EM_CFG_VIDEOIN_INTENSITY,			// ӦԱȶǿãӦṹ NET_VIDEOIN_INTENSITY_INFO
	NET_EM_CFG_VIDEOIN_LIGHTING,			// ãӦṹ NET_VIDEOIN_LIGHTING_INFO
	NET_EM_CFG_VIDEOIN_DEFOG,				// ͸ãӦṹ NET_VIDEOIN_DEFOG_INFO
	NET_EM_CFG_VIDEOIN_FOCUSMODE,			// ۽ģʽãӦṹ NET_VIDEOIN_FOCUSMODE_INFO
	NET_EM_CFG_VIDEOIN_FOCUSVALUE,			// ۽ϢãӦṹ NET_VIDEOIN_FOCUSVALUE_INFO
	NET_EM_CFG_VIDEOIN_WHITEBALANCE,		// ƽãӦṹ NET_VIDEOIN_WHITEBALANCE_INFO
	NET_EM_CFG_VIDEOIN_DAYNIGHT,			// ҹģʽãӦṹ NET_VIDEOIN_DAYNIGHT_INFO
	NET_EM_CFG_VIDEOIN_DAYNIGHT_ICR,		// ҹģʽICRлãӦṹ NET_VIDEOIN_DAYNIGHT_ICR_INFO
	NET_EM_CFG_VIDEOIN_SHARPNESS,			// ãӦṹ NET_VIDEOIN_SHARPNESS_INFO
	NET_EM_CFG_VIDEOIN_COMM_DENOISE,		// ͨýãӦṹ NET_VIDEOIN_DENOISE_INFO
	NET_EM_CFG_VIDEOIN_3D_DENOISE,			// 3D ãӦṹ NET_VIDEOIN_3D_DENOISE_INFO
	NET_EM_CFG_VIDEOIN_FOCUSEX,				// ۽չãӦṹ NET_VIDEOIN_FOCUS_INFO_EX
    NET_EM_CFG_VIDEOIN_LIGHTINGEX,			// õչӦṹ NET_VIDEOIN_LIGHTINGEX_INFO
    

	/***********ͥ*****************************************************************************************/
	NET_EM_CFG_ENCODE_PLAN = 1400,			// ¼̱ƻ, Ӧṹ NET_ENCODE_PLAN_INFO
	NET_EM_CFG_COMPOSE_CHANNEL,				// ϳͨ, ӦṹNET_COMPOSE_CHANNEL_INFO
	
	/************************************************************************************************/
    NET_EM_CFG_ALARM_SOUND = 1500,			// , Ӧṹ NET_ALARM_SOUND_INFO 
	NET_EM_CFG_LOCAL_EXT_ALARM = 1501,		// ,Ӧṹ NET_LOCAL_EXT_ALARM_INFO,ͨ޹
	NET_EM_CFG_REMOTE_ALARM_BELL = 1502,	 // ǰ, Ӧṹ NET_CFG_REMOTE_ALARM_BELL_INFO
	NET_EM_CFG_FIRE_WARNINGMODE = 1503,		 // Ԥģʽ, Ӧṹ NET_FIREWARNING_MODE_INFO
	NET_EM_CFG_FIRE_WARNING = 1504,			 // Ԥ(Ԥģʽʹ), ӦĽṹ NET_FIRE_WARNING_INFO
    NET_EM_CFG_HOT_COLD_SPOT_WARNING = 1505, // 㱨, ӦĽṹ NET_HOT_COLD_SPOT_WARNING_INFO
	NET_EM_CFG_COAXIAL_ALARMLOCAL,			 // CVI ⲿãӦṹ NET_COAXIAL_ALARMLOCAL_INFO

    /**********Ӧ**************************************************************************************/
    NET_EM_CFG_ACCESS_POINT = 1600,			// WiFi(ȵ㹦), Ӧṹ NET_NETAPP_ACCESSPOINT
	NET_EM_CFG_LDAP,						// LDAP, Ӧṹ NET_NETAPP_LDAP
	NET_EM_CFG_SYSLOG,						// SyslogЭ, Ӧṹ NET_NETAPP_SYSLOG	
    NET_EM_CFG_NETAUTOADAPTTRANSIT,         // Ӧ,ӦṹNET_NETAUTOADAPTTRANSIT
	NET_EM_CFG_WIRELESS,					// (׳Ƶ3G/4G), Ӧṹ NET_NETAPP_WIRELESS

	/**************ȫ**************************************************************************************/
	NET_EM_CFG_NAS			= 1700,			// NAS , Ӧṹ NET_NAS_INFO   
	NET_EM_CFG_PPPOE,						// PPPOE ãӦṹ NET_PPPOE_INFO   
	NET_EM_CFG_EMAIL,						// Email ãӦṹ NET_EMAIL_INFO  
	NET_EM_CFG_DDNS,						// DDNS ãӦṹ NET_DDNS_INFO  

	/**************SCADA**************************************************************************************/
	NET_EM_CFG_SCADA_PROTOCOLS_MANAGER  = 1800,		// ЭãӦṹ NET_SCADA_PROTOCOLS_MANAGER
	NET_EM_CFG_SCADA_DEVICEINFO_CFG,				// 豸ϢãӦṹ NET_SCADA_DEVICEINFO_CFG
	NET_EM_CFG_SCADA_CONTROLLER_SITE,				// ãӦṹ NET_CFG_SCADA_CONTROLLER_SITE_INFO

	/**************NetApp*************************************************************************************/
	NET_EM_CFG_NETAPP_LINK_LAYER_VPN = 1900,		// ·VPN,Ӧṹ NET_NETAPP_LINK_LAYER_VPN_CFG
	NET_EM_CFG_NETAPP_SSHD,							// SSH,Ӧṹ NET_NETAPP_SSHD_CFG
    NET_EM_CFG_NETAPP_COMMUNICATION_LIST,			// ͨѶ¼, Ӧṹ NET_NETAPP_COMMUNICATION_LIST_CFG, ͨ,ͨҪ-1  

	/**************ƽ̨***********************************************************************************/
	NET_EM_CFG_VSP_CHINA_TOWER = 2000,				// (йƽ̨)γƽ̨,Ӧṹ NET_VSP_CHINA_TOWER 
    NET_EM_CFG_VSP_SHDXJT = 2001,				    // йֻ,Ӧṹ NET_VSP_SHDXJT 
	NET_EM_CFG_VSP_CONSUME,							// ѻãӦṹ NET_CFG_VSP_CONSUMEͨ޹أͨҪ-1

	/*****************************************************************************************************/
	NET_EM_CFG_STEREO_CALIBRATE = 2100,				// ˫Ŀ궨, ӦṹNET_STEREO_CALIBRATE_INFO
	NET_EM_CFG_STEREO_CALIBRATEMATRIX_MULTISENSOR,	// Ŀ궨CalibrateMatrix(MultiSensor), ӦĽṹ NET_MULTI_SENSOR_INFO
	NET_EM_CFG_CROWDDISTRIMAP_CALIBRATE,			// Ⱥֲͼ궨, ӦĽṹ NET_CROWDDISTRIMAP_CALIBRATE_INFO
	NET_EM_CFG_TRAFFIC_NOPASSING,					// ͨ, ӦĽṹ NET_TRAFFIC_NOPASSING_INFO
    NET_EM_CFG_FIGHT_CALIBRATE,                     // ܱ궨, ӦĽṹ NET_FIGHT_CALIBRATE_INFO
	NET_EM_CFG_FACE_RECOGNITION_ALARM,				// ʶͨ, Ӧṹ NET_FACE_RECOGNITION_ALARM_INFO
	NET_EM_CFG_STEREO_CALIBRATEMATRIX_MULTIMODE,	// ͫı궨ʽ CalibrateMatrix(MultiMode), ӦĽṹ NET_CALIBRATEMATRIX_MULTIMODE_INFO
	NET_EM_CFG_AUTO_SNAP_SCHEDULE,                  // ֳʱץͼ, Ӧṹ NET_CFG_AUTO_SNAP_SCHEDULE_INFO
	
	/**********״***********************************************************************************************/
	NET_EM_CFG_RADAR            = 2200,				// ״ãӦṹ DEV_RADAR_CONFIG
	
	/**********ƵԽ绰ͨ***********************************************************************************/
	NET_EM_CFG_VTH_PASSWORD			= 2300,			// ƵԽ绰ͨ,Ӧṹ NET_CFG_VTH_PASSWORD_INFO
    NET_EM_CFG_REGISTAR         	= 2301,  		// ע,Ӧṹ NET_CFG_REGISTAR_INFO
    NET_EM_CFG_SIP              	= 2302,			// sip, Ӧṹ NET_CFG_SIPSERVER_INFO
	NET_EM_CFG_DEVICE_LOGIN_INFO	= 2303,			// ſڻ½ſڻ NET_CFG_DEVICE_LOGIN_INFO
	
	/**********ͷǰڵ***************************************************************************************/
	NET_EM_CFG_AELENSMASK       	= 2400,     	//ͷǰڵãӦṹNET_CFG_AELENSMASK_INFO
	NET_EM_CFG_ULTRASONIC       	= 2500,     	//ãӦṹNET_CFG_ULTRASONIC_INFO 
	
    /*************************************************************************************************/
    NET_EM_CFG_ARMSCHEDULE      	= 2600,     	// ƻãӦṹ NET_CFG_ARMSCHEDULE_INFO
    NET_EM_CFG_CID_REPORT       	= 2601,     	// CID, ӦṹNET_CFG_CID_REPORT_INFO
	NET_EM_CFG_VSP_HONEYWELL    	= 2602,			// ãӦṹNET_CFG_VSP_HONEYWELL_INFO
	NET_EM_CFG_KBUSER_PASSWORD		= 2603,			// ûȨޣãӦṹ NET_CFG_KBUSER_PASSWORD	

	/**********¼ץͼ***********************************************************************************/
	NET_EM_CFG_RECORDEXTRA			= 3610,			// ¼¼, Ӧṹ NET_CFG_RECORDEXTRA_INFO
	NET_EM_CFG_AUTO_RECORDBACKUP_RESTORE = 3611,  	// Զ¼ش, Ӧṹ NET_CFG_AUTORECORDBACKUPRESTORE_INFO
	NET_EM_CFG_FACESNAPSHOT			= 3612,			// IPCץ Ӧṹ NET_CFG_FACESNAPSHOT_INFO

	/**********Ƶ***************************************************************************************/
	NET_EM_VIDEODIAGNOSIS_PROJECT 	= 3700,			// Ƶϼƻ, Ӧṹ NET_VIDEODIAGNOSIS_PROJECT_INFO
	NET_EM_CFG_VIDEO_DIAGNOSIS_PROJECT_MONTH  = 3701,// µƵϼƻ, Ӧṹ NET_CFG_VIDEODIAGNOSIS_PROJECT_MONTH_INFO,ӦͨΪ-1
	
	/*****************************************************************************************************/
	NET_EM_CFG_POSITIONREPORTPOLICY	= 3800,		// GPSλϢϱ, Ӧṹ NET_CFG_POSITIONREPORTPOLICY_INFO
	NET_EM_CFG_VEHICLE_WORKTIMESCHEDULE,		// عƻãӦṹ NET_CFG_VEHICLE_WORKTIMESCHEDULE_INFO
	NET_EM_CFG_VEHICLE_LOAD,					// , Ӧṹ NET_CFG_VEHICLE_LOAD_INFO
	NET_EM_CFG_TICKETPRINT,						// ӡƱ, Ӧṹ NET_CFG_TICKETPRINT_INFO
	NET_EM_CFG_VEHICLEAUTOMAIN,					// ACCʱػʱ, Ӧṹ NET_CFG_VEHICLEAUTOMAIN_INFO
	NET_EM_CFG_VEHICLENETSERVER,				// ãӡBRTĿ, Ӧṹ NET_CFG_VEHICLENETSERVER_INFO
	NET_EM_CFG_IMSIBIND,						// زIMSI, Ӧṹ NET_CFG_IMSIBIND_INFO
	NET_EM_CFG_VEHICLE_MAINTAINCE,				// Աά,Ӧṹ NET_CFG_VEHICLE_MAINTAINCE_INFO
	
    /***********Ž******************************************************************************************/
    NET_EM_CFG_ACCESSCTL_BLACKLIST 		= 3900,      	// ŽãӦṹ NET_CFG_ACCESSCTL_BLACKLIST
    NET_EM_CFG_ACCESSCTL_BLACKLIST_LINK = 3901, 		// Ž,Ӧṹ NET_CFG_ALARM_MSG_HANDLE
    NET_EM_CFG_ACCESSCTL_SPECIALDAY_GROUP 	  = 3902,	// Žڼ, Ӧṹ NET_CFG_ACCESSCTL_SPECIALDAY_GROUP_INFO
    NET_EM_CFG_ACCESSCTL_SPECIALDAYS_SCHEDULE = 3903, 	// Žڼռƻ, Ӧṹ NET_CFG_ACCESSCTL_SPECIALDAYS_SCHEDULE_INFO
	NET_EM_CFG_ACCESSCTL_AUTH_MODE 		= 3904,         // ߿֤ģʽãӦṹNET_CFG_ACCESSCTL_AUTH_MODE
    NET_EM_CFG_ACS_FACE_RECOGNITION_SCHEME = 3905,     //  Žʶ,Ӧṹ NET_CFG_ACS_FACE_RECOGNITION_SCHEME
	
    /***********************************************************************************************************/
    NET_EM_CFG_SERIALNOWHITETABLE			= 4000,    	// ǰкŰ·NVR , Ӧṹ NET_CFG_SERIALNOWHITETABLE_INFO
    NET_EM_CFG_LXSJ_WXJJ					= 4001,    	// Ӿƽ̨, Ӧṹ NET_CFG_LXSJ_WXJJ_INFO
	NET_EM_CFG_SENSOR_ALARM_GLOBAL			= 4002,		// ȫ(IPCʹ) Ӧṹ NET_CFG_SENSOR_ALARM_GLOBAL_INFO
	NET_EM_CFG_SENSOR_ALARM					= 4003,		// (IPCʹ) Ӧṹ NET_CFG_SENSOR_ALARM_INFO
	NET_EM_CFG_VSP_LXSJ						= 4004,		// Ӿƽ̨ Ӧṹ NET_CFG_VSP_LXSJ_INFOýϴ󣬽ڴnew
	NET_EM_CFG_TIMINGCAPTURE				= 4005,		// ʱץ(Ϻӵඨ) Ӧṹ NET_CFG_TIMINGCAPTURE_INFO
	NET_EM_CFG_WATER_MONITOR_TITLE			= 4006,		// ǻˮOSD Ӧṹ NET_CFG_WATER_MONITOR_TITLE_INFO
	NET_EM_CFG_ATTENDANCE_MODEL_INFO		= 4007,		// ģʽϢƣӦṹ NET_CFG_ATTENDANCE_MODEL_INFOͨ޹أͨ-1
    NET_EM_CFG_KT_RTSP_FLAG                 = 4008,		// KTĶƵRTSPʹ, Ӧṹ NET_CFG_KT_RTSP_FLAG_INFO ,ͨ,ͨҪ-1   
    NET_EM_CFG_RTSP_ABORT_LIST              = 4009,		// ȡRTSPߺ洢豸ص¼б(ֻлȡû), Ӧṹ NET_CFG_RTSP_ABORT_LIST_INFO ,ͨ,ͨҪ-1 
    NET_EM_CFG_FILE_HOLD_DAYS               = 4010,		// ¼񱣴, ӦṹNET_CFG_FILE_HOLD_DAYS_INFO
    NET_EM_CFG_ACCESS_FUNCTION              = 4011,     // 빦(), Ӧṹ NET_CFG_ACCESS_FUNCTION_INFO, ͨ,ͨҪ-1
    							
	/***********Ʋ************************************************************************************************/
    NET_EM_CFG_CLOUDUPLOADTIME		= 5000,		// ¼ϴƷʱ, Ӧṹ NET_CFG_CLOUDUPLOADTIME_INFO

	/***********************************************************************************************************/
	//ڵ CLIENT_SetConfig ʱ,restartֶЧ
	NET_EM_CFG_RADAR_MAPPARA        = 6000,		// ״ͼ, Ӧṹ NET_CFG_RADAR_MAPPARA_INFO
	NET_EM_CFG_RADAR_CALIBRATION    = 6001,		// У׼, Ӧṹ NET_CFG_RADAR_CALIBRATION_INFO
	NET_EM_CFG_RADAR_LINKSD         = 6002,     // ״ʹ, Ӧṹ NET_CFG_RADAR_LINKSD_INFO
	NET_EM_CFG_RADAR_RULELINE       = 6003,     // ״, Ӧṹ NET_CFG_RADAR_RULELINE_INFO
	NET_EM_CFG_RADAR_ANALYSERULE    = 6004,     // ״ﱨ, Ӧṹ NET_CFG_RADAR_ANALYSERULE_INFO
	NET_EM_CFG_RADAR_TRACKGLOBALCONFIG = 6005,  // ״ȫ, Ӧṹ NET_CFG_RADAR_TRACKGLOBALCONFIG_INFO
	NET_EM_CFG_RADAR_RADARPARA		= 6006,		// ״﹦, Ӧṹ NET_CFG_RADAR_RADARPARA_INFO
	NET_EM_CFG_RADAR_REMOTESDLINK	= 6007,		// ״Զʹ, Ӧṹ NET_CFG_RADAR_REMOTESDLINK_INFO
	NET_EM_CFG_RADAR_RADARLINKDEVICE= 6008,		// ״Զ, Ӧṹ NET_CFG_RADAR_RADARLINKDEVICE_INFO
	NET_EM_CFG_RADAR_MAPOSDPARA		= 6009,		// ״ͼOSD, Ӧṹ NET_CFG_RADAR_MAPOSDPARA_INFO

	/***********̨************************************************************************************************/
	NET_EM_CFG_PTZ_SPEED			= 7000,						// ̨ٶ Ӧṹ NET_CFG_PTZ_SPEED
	NET_EM_CFG_PTZ_HORIZONTAL_ROTATION_GROUP_SCAN	= 7001,		// ̨ˮƽתɨ Ӧṹ NET_CFG_HORIZONTAL_ROTATION_GROUP_SCAN_INFO 
	NET_EM_CFG_AUTOSCAN				= 7002,						// Զɨ Ӧṹ NET_CFG_AUTOSCAN_INFO 

	/***********ֳͷ************************************************************************************************/
	NET_EM_CFG_CASCADE_LIGHT		= 8000,		// NVRIPCƹ, Ӧṹ NET_CFG_CASCADE_LIGHT_INFO
    NET_EM_CFG_LE_SMARTTRACK        = 8001,     // ֳȼ׷, Ӧṹ NET_CFG_LE_SMARTTRACK_INFO
    NET_EM_CFG_LE_LENS_MASK         = 8002,     // ֳȾͷڵ, Ӧṹ NET_CFG_LE_LENS_MASK_INFO

	/***********************************************************************************************************/
	NET_EM_CFG_VSP_PAAS    			= 9000,		// ֳע޸, Ӧṹ NET_CFG_VSP_PAAS_INFO
	NET_EM_CFG_VSP_GAYS_SERVER		= 9001,		// һƽ̨(),Ӧṹ NET_CFG_VSP_GAYS_SERVER_INFO,ӦͨΪ-1
	NET_EM_CFG_VSP_CO_SIGN_SERVER   = 9002,		// Эͬǩ,ӦṹNET_CFG_VSP_CO_SIGN_SERVER_INFO,ӦͨΪ-1
    NET_EM_CFG_VSP_GAVI             = 9003,		// ƵͼϢӦϵͳ,ӦṹNET_CFG_VSP_GAVI_INFO,ӦͨΪ-1

	/***********բ**************************************************************************************************/
	NET_EM_CFG_TRAFFICSTROBE 		= 9100,		// բ, Ӧṹ NET_CFG_TRAFFICSTROBE_INFO

	/***********LED************************************************************************************************/
	NET_EM_CFG_LED_TEXT  			= 9200,		// LEDʾ, Ӧṹ NET_CFG_LED_TEXT
    NET_EM_CFG_LED_TEXT_ARRAY  		= 9201,		// LEDʾ, Ӧṹ NET_CFG_LED_TEXT_ARRAY

	/***********************************************************************************************************/
	NET_EM_CFG_DISABLE_LINKAGE 		= 9300,		// һ,Ӧṹ NET_CFG_DISABLE_LINKAGE, ͨ,ͨҪ-1

	/***********************************************************************************************************/
	NET_EM_CFG_MATRIX_NETKBDFASTCTRL = 9400,	// ̿ٿ, Ӧṹ NET_CFG_MATRIX_NETKBDFASTCTRL_INFO

	/***********Vedio************************************************************************************************/
	NET_EM_CFG_VIDEO_CHANNEL_LABEL = 9600,	// űҴƣ Ӧṹ NET_CFG_VIDEO_CHANNEL_LABEL_INFO
    NET_EM_CFG_VIDEO_IMAGE_CTRL = 9601,		// ͼת ,Ӧṹ NET_EM_CFG_VIDEO_IMAGE_CTRL_INFO

	/***********Traffic***************************************************************************************************/
	NET_EM_CFG_TRAFFIC_LATTICE_SCREEN = 10000,	// ʾϢ, Ӧṹ NET_CFG_TRAFFIC_LATTICE_SCREEN_INFO
	NET_EM_CFG_TRAFFIC_VOICE_BROADCAST = 10001,	// ܽͨã Ӧṹ NET_CFG_TRAFFIC_VOICE_BROADCAST_INFO
	NET_EM_CFG_SCENE_SNAP_SHOT_WITH_RULE2= 10002, // ץã Ӧṹ NET_CFG_SCENE_SNAP_SHOT_WITH_RULE2_INFO

    /***********DoorBell******************************************************************************************/
	NET_EM_CFG_DOORBELL_EXTERNALDOORBELL = 11000,		// ,Ӧṹ NET_CFG_DOORBELL_EXTERNALDOORBELL, ͨ,ͨҪ-1

    /***********ȳ******************************************************************************************/
    NET_EM_CFG_SENSOR_MAINTAIN = 11100,		// ȳоά,Ӧṹ NET_CFG_SENSOR_MAINTAIN
    NET_EM_CFG_TILT_LIMIT = 11101,		    // ษ,Ӧṹ NET_CFG_TILT_LIMIT

    /***********KVM******************************************************************************************/
    NET_EM_CFG_KVM_MAIN_NODE = 12000,                    // ʾڵ,Ӧṹ NET_CFG_KVM_MAIN_NODE
    NET_EM_CFG_KVM_HOT_KEY = 12001,                      // ʾȼ,Ӧṹ NET_CFG_KVM_HOT_KEY
    NET_EM_CFG_KM_TRANS_ENCRYPT = 12002,                 // ,Ӧṹ NET_CFG_KM_TRANS_ENCRYPT

    /***********¼Ĭ******************************************************************************************/
    NET_EM_CFG_COURSE_RECORD_DEFAULT_CONFIG = 12100,     // ¼Ĭ, Ӧṹ NET_CFG_COURSE_RECORD_DEFAULT_CONFIG

    /***********AroundWifi******************************************************************************************/
    NET_EM_CFG_WIFI_INSTALL_PARAM = 12200,              // Wifi豸װ, Ӧṹ NET_CFG_WIFI_INSTALL_PARAM, ͨ,ͨҪ-1 
} NET_EM_CFG_OPERATE_TYPE;


//////////////////////////////////////////////////////////////////////////
// RPC
//////////////////////////////////////////////////////////////////////////

#define RPC_METHOD_MONITORWALL_ADD      "monitorWallManager.addMonitorWall"     // ӵǽ


/***********************************************************************
 ** ص
 ***********************************************************************/

// ӶϿصԭ
typedef void (CALLBACK *fDisConnect)(LLONG lLoginID, char *pchDVRIP, LONG nDVRPort, LDWORD dwUser);

// ӻָصԭ
typedef void (CALLBACK *fHaveReConnect)(LLONG lLoginID, char *pchDVRIP, LONG nDVRPort, LDWORD dwUser);

// ̬ӶϿصԭ
typedef void (CALLBACK *fSubDisConnect)(EM_INTERFACE_TYPE emInterfaceType, BOOL bOnline, LLONG lOperateHandle, LLONG lLoginID, LDWORD dwUser);

// ƵӶϿصԭ, (paramڴSDKڲͷ )
typedef void (CALLBACK *fRealPlayDisConnect)(LLONG lOperateHandle, EM_REALPLAY_DISCONNECT_EVENT_TYPE dwEventType, void* param, LDWORD dwUser);

// ʵʱݻصԭ(pBufferڴSDKڲͷ)
// ͨ dwDataType ˵õӦο EM_REALDATA_FLAG; תʱ dwDataType ֵο NET_DATA_CALL_BACK_VALUE ˵
typedef void (CALLBACK *fRealDataCallBack)(LLONG lRealHandle, DWORD dwDataType, BYTE *pBuffer, DWORD dwBufSize, LDWORD dwUser);

// ʵʱݻصԭ--չ(pBufferڴSDKڲͷ)
// ͨ dwDataType ˵õӦο EM_REALDATA_FLAG; תʱ dwDataType ֵο NET_DATA_CALL_BACK_VALUE ˵
typedef void (CALLBACK *fRealDataCallBackEx)(LLONG lRealHandle, DWORD dwDataType, BYTE *pBuffer, DWORD dwBufSize, LONG param, LDWORD dwUser);

// ʵʱݻصԭ--չ(pBufferڴSDKڲͷ)
// ͨ dwDataType ˵õӦο EM_REALDATA_FLAG; תʱ dwDataType ֵο NET_DATA_CALL_BACK_VALUE ˵
// תʱparam ΪתϢƵ֡Ƶ֡ϢӦṹ NET_STREAMCONVERT_INFO
typedef void (CALLBACK *fRealDataCallBackEx2)(LLONG lRealHandle, DWORD dwDataType, BYTE *pBuffer, DWORD dwBufSize, LLONG param, LDWORD dwUser);


// Ļӻصԭ
typedef void (CALLBACK *fDrawCallBack)(LLONG lLoginID, LLONG lPlayHandle, HDC hDC, LDWORD dwUser);

// ʱطŽȻصԭ
typedef void (CALLBACK *fTimeDownLoadPosCallBack) (LLONG lPlayHandle, DWORD dwTotalSize, DWORD dwDownLoadSize, int index, NET_RECORDFILE_INFO recordfileinfo, LDWORD dwUser);

// Ϣصԭ(pBufڴSDKڲͷ)
typedef BOOL (CALLBACK *fMessCallBack)(LONG lCommand, LLONG lLoginID, char *pBuf, DWORD dwBufLen, char *pchDVRIP, LONG nDVRPort, LDWORD dwUser);
// ˵
// bAlarmAckFlag : TRUE,¼ΪԽȷϵ¼FALSE,¼޷ȷ
// nEventID ڶ CLIENT_AlarmAck ӿڵνиֵ, bAlarmAckFlag Ϊ TRUE ʱ,Ч
// pBufڴSDKڲͷ
typedef BOOL (CALLBACK *fMessCallBackEx1)(LONG lCommand, LLONG lLoginID, char *pBuf, DWORD dwBufLen, char *pchDVRIP, LONG nDVRPort, BOOL bAlarmAckFlag, LONG nEventID, LDWORD dwUser);

// صԭ
typedef int (CALLBACK *fServiceCallBack)(LLONG lHandle, char *pIp, WORD wPort, LONG lCommand, void *pParam, DWORD dwParamLen, LDWORD dwUserData);

// ԽƵݻصԭ(pDataBufڴSDKڲͷ)
// byAudioFlagΪ2ʱpDataBufʾΪͷPCMݣȽصbyAudioFlagΪ1ʱͨCLIENT_AudioDecӿڷͣͨbyAudioFlagΪ2ʱݻصû
typedef void (CALLBACK *pfAudioDataCallBack)(LLONG lTalkHandle, char *pDataBuf, DWORD dwBufSize, BYTE byAudioFlag, LDWORD dwUser);

// 豸صԭ
// nTotalSize = 0, nSendSize = -1 ʾ
// nTotalSize = 0, nSendSize = -2 ʾ
// nTotalSize = 0, nSendSize = -3 ûûȨ
// nTotalSize = 0, nSendSize = -4 汾
// nTotalSize = -1, nSendSize = XX ʾ
// nTotalSize = XX, nSendSize = XX ʾļͽ
typedef void (CALLBACK *fUpgradeCallBack) (LLONG lLoginID, LLONG lUpgradechannel, int nTotalSize, int nSendSize, LDWORD dwUser);

// 豸صԭ֧Gļ
// nTotalSize = 0, nSendSize = -1 ʾ
// nTotalSize = 0, nSendSize = -2 ʾ
// nTotalSize = 0, nSendSize = -3 ûûȨ
// nTotalSize = 0, nSendSize = -4 汾
// nTotalSize = -1, nSendSize = XX ʾ
// nTotalSize = XX, nSendSize = XX ʾļͽ 
typedef void (CALLBACK *fUpgradeCallBackEx) (LLONG lLoginID, LLONG lUpgradechannel, INT64 nTotalSize, INT64 nSendSize, LDWORD dwUser);

// ͸ڻصԭ(pBufferڴSDKڲͷ)
typedef void (CALLBACK *fTransComCallBack) (LLONG lLoginID, LLONG lTransComChannel, char *pBuffer, DWORD dwBufSize, LDWORD dwUser);

// ѯ豸־ݻصԭ(pBufferڴSDKڲͷ)
typedef void (CALLBACK *fLogDataCallBack)(LLONG lLoginID, char *pBuffer, DWORD dwBufSize, DWORD nTotalSize, BOOL bEnd, LDWORD dwUser);

// ץͼصԭ(pBufڴSDKڲͷ)
// EncodeType ͣ10ʾjpegͼƬ 0mpeg4i֡
typedef void (CALLBACK *fSnapRev)(LLONG lLoginID, BYTE *pBuf, UINT RevLen, UINT EncodeType, DWORD CmdSerial, LDWORD dwUser);

// GPSϢĻص
typedef void (CALLBACK *fGPSRev)(LLONG lLoginID, GPS_Info GpsInfo, LDWORD dwUserData);

// GPSϢĻص--չ
typedef void (CALLBACK *fGPSRevEx)(LLONG lLoginID, GPS_Info GpsInfo, ALARM_STATE_INFO stAlarmInfo, LDWORD dwUserData, void *reserved);

// GPSϢĻص--չ2
typedef void (CALLBACK *fGPSRevEx2)(LLONG lLoginID, const LPNET_GPS_LOCATION_INFO lpData, LDWORD dwUserData, void *reserved);

// GPSʪϢĻص
typedef void (CALLBACK *fGPSTempHumidityRev)(LLONG lLoginID, GPS_TEMP_HUMIDITY_INFO GpsTHInfo, LDWORD dwUserData);

// 첽ݻص
typedef void (CALLBACK *fMessDataCallBack)(LLONG lCommand, LPNET_CALLBACK_DATA lpData, LDWORD dwUser);

// ļص
typedef void (CALLBACK *fTransFileCallBack)(LLONG lHandle, int nTransType, int nState, int nSendSize, int nTotalSize, LDWORD dwUser);

// ܷݻص;nSequenceʾϴͬͼƬ,Ϊ0ʱʾǵһγ,Ϊ2ʾһγֻһ,Ϊ1ʾ˴֮
// int nState = (int*) reserved ʾǰصݵ״̬, Ϊ0ʾǰΪʵʱ,Ϊ1ʾǰص,Ϊ2ʱʾݴͽ
typedef int  (CALLBACK *fAnalyzerDataCallBack)(LLONG lAnalyzerHandle, DWORD dwAlarmType, void* pAlarmInfo, BYTE *pBuffer, DWORD dwBufSize, LDWORD dwUser, int nSequence, void *reserved);

// 첽豸ص(pDevNetInfoڴSDKڲͷ)
typedef void (CALLBACK *fSearchDevicesCB)(DEVICE_NET_INFO_EX *pDevNetInfo, void* pUserData);

// 첽豸ص(pDevNetInfoڴSDKڲͷ)
typedef void (CALLBACK *fSearchDevicesCBEx)(LLONG lSearchHandle,DEVICE_NET_INFO_EX2 *pDevNetInfo, void* pUserData);

// 첽ע豸صԭ
// typedef void (CALLBACK *fHaveLogin)(LLONG lLoginID, char *pchDVRIP, LONG nDVRPort, BOOL bOnline, NET_DEVICEINFO_Ex stuDeviceInfo, int nError, LDWORD dwUser, void *reserved);

// طYUVݻص
typedef void (CALLBACK *fYUVDataCallBack)(LLONG lPlaybackHandle, BYTE *pBuffer, DWORD dwBufSize, LONG param, LDWORD dwUser, void *reserved);

// ־ݻص
typedef void (CALLBACK *fSubLogDataCallBack)(LLONG lLogHandle, NET_EM_LOG_QUERY_TYPE emLogType, const DH_DEVICE_LOG_ITEM_EX *pstuLogData, const int& nCount, LDWORD dwUser, void *reserved);
/************************************************************************
 ** ӿڶ
 ***********************************************************************/

// SDKʼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Init(fDisConnect cbDisConnect, LDWORD dwUser);

// SDKʼ, ͨNETSDK_INIT_PARAMָʼ, 綨NetSDKõĳ紦߳
// lpInitParamΪʱCLIENT_InitЧһ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_InitEx(fDisConnect cbDisConnect, LDWORD dwUser, LPNETSDK_INIT_PARAM lpInitParam = NULL);

// SDK˳
CLIENT_NET_API void CALL_METHOD CLIENT_Cleanup();

//ģʽ,CLIENT_Init֮
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetRunModeParams(NET_RUNMODE_PARAMS *pstuRunParams);

//------------------------------------------------------------------------

// öɹص,úSDKڲԶ
CLIENT_NET_API void CALL_METHOD CLIENT_SetAutoReconnect(fHaveReConnect cbAutoConnect, LDWORD dwUser);

// ö̬Ӷ߻ص,ĿǰSVR豸ļӺͻطǶӵġ
CLIENT_NET_API void CALL_METHOD CLIENT_SetSubconnCallBack(fSubDisConnect cbSubDisConnect, LDWORD dwUser);

// غִʧܴ
CLIENT_NET_API DWORD CALL_METHOD CLIENT_GetLastError(void);

// 豸ʱʱͳԴ
CLIENT_NET_API void CALL_METHOD CLIENT_SetConnectTime(int nWaitTime, int nTryTimes);

// õ½绷(pNetParamڴûͷ)
CLIENT_NET_API void CALL_METHOD CLIENT_SetNetworkParam(NET_PARAM *pNetParam);

// UDP鲥
CLIENT_NET_API void CALL_METHOD CLIENT_GetUdpOption(NET_UDP_OPTION *pUdpOption);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetUdpOption(NET_UDP_OPTION *pUdpOption);

// ȡSDKİ汾Ϣ
CLIENT_NET_API DWORD CALL_METHOD CLIENT_GetSDKVersion();

//------------------------------------------------------------------------

// 豸ע(lpDeviceInfoڴûͷ)
// errorȡֵ京壺  
//					error =	-1	豸ָ֧߰ȫȼ¼
//					error = 0   ޴
//					error = 1   ˺Ż
//                  error = 2   û
//                  error = 3   ¼ʱ
//                  error = 4   ظ¼
//                  error = 5   ʺű
//                  error = 6   ʺű
//                  error = 7   ϵͳæ,Դ
//                  error = 8   ʧ
//                  error = 9   ʧ
//                  error = 10  
//                  error = 11  ֻ֧3Э
//                  error = 12  豸δUܻUϢ
//                  error = 13  ͻIPַûе¼Ȩ
//					error = 18  豸˺δʼ޷½
//					error = 19  ¼
//					error = 20  豸ָֻ֧߰ȫȼ½

CLIENT_NET_API LLONG CALL_METHOD CLIENT_Login(const char *pchDVRIP, WORD wDVRPort, const char *pchUserName, const char *pchPassword, LPNET_DEVICEINFO lpDeviceInfo, int *error = 0);

// չӿڣnSpecCap = 0ΪTCPʽµĵ,void* pCapParamNULL
//			 nSpecCap = 2Ϊעĵ,void* pCapParamNULL
//			 nSpecCap = 3Ϊ鲥ʽµĵ,void* pCapParamNULL
//           nSpecCap = 4ΪUDPʽµĵ,void* pCapParamNULL
//			 nSpecCap = 6Ϊֻµĵ,void* pCapParamNULL
//			 nSpecCap = 7ΪSSL,void* pCapParamNULL
//           nSpecCap = 9Ϊ¼Զ豸,ʱvoid* pCapParamԶ豸ֵַ
//           nSpecCap = 12ΪLDAPʽ¼,void* pCapParamNULL
//           nSpecCap = 13ΪADʽ¼,void* pCapParamNULL
//           nSpecCap = 14ΪRadius¼ʽ,void* pCapParamNULL 
//           nSpecCap = 15ΪSocks5½ʽ,ʱvoid* pCapParamSocks5IP&&port&&ServerName&&ServerPasswordַ
//           nSpecCap = 16Ϊ½ʽ,ʱvoid* pCapParamSOCKETֵ
//           nSpecCap = 19ΪP2P½ʽ,void* pCapParamNULL
//           nSpecCap = 20Ϊֻͻ˵,void* pCapParamNULL
//			 lpDeviceInfoڴûͷ
// ʧʱ   errorĴӦ˵ο CLIENT_Login
//			 lpDeviceInfo, pCapParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_LoginEx(const char *pchDVRIP, WORD wDVRPort, const char *pchUserName, const char *pchPassword, int nSpecCap, void* pCapParam, LPNET_DEVICEINFO lpDeviceInfo, int *error = 0);

// չӿ(lpDeviceInfo, pCapParamڴûͷ)
// ʧʱ   errorĴӦ˵ο CLIENT_Login
CLIENT_NET_API LLONG CALL_METHOD CLIENT_LoginEx2(const char *pchDVRIP, WORD wDVRPort, const char *pchUserName, const char *pchPassword, EM_LOGIN_SPAC_CAP_TYPE emSpecCap, void* pCapParam, LPNET_DEVICEINFO_Ex lpDeviceInfo, int *error = 0);

// TLSܲԵչӿ(pstLoginParamڴûͷ)
// ʧʱ: errorĴӦ˵οCLIENT_Login
CLIENT_NET_API LLONG CALL_METHOD CLIENT_LoginEx3(
								  const NET_LOGIN_PARAM		   	   *pstLoginParam,
										LPNET_DEVICEINFO_Ex 		lpDeviceInfo, 
										int 				   	   *error = 0);

// 첽豸ע 
// nSpecCap = 0ΪTCPʽµĵ,nSpecCap = 6Ϊֻµĵ
// nSpecCap = 19ΪP2P¼
// pCapParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartLogin(char *pchDVRIP, WORD wDVRPort, char *pchUserName, char *pchPassword, int nSpecCap, void* pCapParam, fHaveLogin cbLogin, LDWORD dwUser);

// ֻеCLIENT_StartLogin()ĻصΪ11ʱʹøýӿڼ첽½(pInParam, pOutParamڴûͷ)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartLoginEx(NET_IN_STARTLOGINEX* pInParam, NET_OUT_STARTLOGINEX* pOutParam);

// 첽豸עӿչ-- ֧TLSܲ(pstLoginParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartLoginEx2(const NET_LOGIN_PARAM *pstLoginParam, fHaveLogin cbLogin, LDWORD dwUser);

// ֹͣ豸ע
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopLogin(LLONG lLoginID);

CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopLoginEx(LLONG lLoginID);

// 豸ע
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Logout(LLONG lLoginID);


// CLIENT_LoginWithHighLevelSecurity 
typedef struct tagNET_IN_LOGIN_WITH_HIGHLEVEL_SECURITY
{
	DWORD						dwSize;				// ṹС
	char						szIP[64];			// IP
	int							nPort;				// ˿
	char						szUserName[64];		// û
	char						szPassword[64];		// 
	EM_LOGIN_SPAC_CAP_TYPE		emSpecCap;			// ¼ģʽ
	BYTE						byReserved[4];		// ֽڶ
	void*						pCapParam;			//  CLIENT_LoginEx ӿ pCapParam  nSpecCap ϵ
}NET_IN_LOGIN_WITH_HIGHLEVEL_SECURITY;

// CLIENT_LoginWithHighLevelSecurity 
typedef struct tagNET_OUT_LOGIN_WITH_HIGHLEVEL_SECURITY
{
	DWORD						dwSize;				// ṹС
	NET_DEVICEINFO_Ex			stuDeviceInfo;		// 豸Ϣ
	int							nError;				// 룬 CLIENT_Login ӿڴ
	BYTE						byReserved[132];	// Ԥֶ
}NET_OUT_LOGIN_WITH_HIGHLEVEL_SECURITY;


// ߰ȫ½
CLIENT_NET_API LLONG CALL_METHOD CLIENT_LoginWithHighLevelSecurity(NET_IN_LOGIN_WITH_HIGHLEVEL_SECURITY* pstInParam, NET_OUT_LOGIN_WITH_HIGHLEVEL_SECURITY* pstOutParam);

//------------------------------------------------------------------------

// ȡ豸Э汾
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDevProtocolType(LLONG lLoginID, EM_DEV_PROTOCOL_TYPE *pemProtocolType);

//------------------------------------------------------------------------
// ʵʱܹؽӿ

// 㷨
typedef enum tagEM_ALGORITHM_TYPE
{
	EM_ALGORITHM_TYPE_UNKNOWN,							// δ֪㷨
	EM_ALGORITHM_TYPE_AES256_OFB,						// AES256-OFB㷨
}EM_ALGORITHM_TYPE;

// VKֵϢ
typedef struct tagNET_VKINFO
{
	char						szVKID[128];			// VKID
	char						szVK[128];				// VK
	EM_ALGORITHM_TYPE			emAlgorithmType;		// 㷨
	int							nRetVKIDLen;			// صVKIDֶεʵʴС
	int							nRetVKLen;				// صVKʵʴС
	BYTE						byReserved[500];		// ֽ
}NET_VKINFO;

// VKϢص(pBufferڴSDKڲͷ),dwErrorֵdhnetsdk.hҵӦĽ,NET_NOERROR,NET_ERROR_VK_INFO_DECRYPT_FAILED
typedef void (CALLBACK *fVKInfoCallBack)(LLONG lRealHandle, NET_VKINFO* pBuffer, DWORD dwError, LDWORD dwUser, void* pReserved);

// ȡVK
typedef struct tagNET_IN_GET_VKINFO
{
    DWORD dwSize;	  // ṹС
    int   nChannelID; // ͨID
}NET_IN_GET_VKINFO;

// ȡVK
typedef struct tagNET_OUT_GET_VKINFO
{
    DWORD		dwSize;	   // ṹС	
    NET_VKINFO  stuVKInfo; // VKֵϢ
	BOOL		bContainPrevVKInfo;	// ǷǰһVKֵϢ,TRUEʾǰһVKֵԣFALSEʾûǰһVKֵ
	NET_VKINFO	stuPrevVKInfo;	// ǰһVKֵϢ
}NET_OUT_GET_VKINFO;

// VK
typedef struct tagNET_IN_UPDATE_VKINFO
{
    DWORD		dwSize;		// ṹС	
    int			nChannelID;	// ͨ
}NET_IN_UPDATE_VKINFO;

// VK
typedef struct tagNET_OUT_UPDATE_VKINFO
{
    DWORD		dwSize;			// ṹС
    char		szVKID[128];	// VKID
}NET_OUT_UPDATE_VKINFO;

// VKص
typedef void (CALLBACK *fAttachVK)(LLONG lLoginID, LLONG lAttachHandle,int nChannelID,const NET_VKINFO* pVKInfo,LDWORD dwUser);

// VK
typedef struct tagNET_IN_ATTACH_VK
{
    DWORD              dwSize;                              // ṹС 
    int                nChannelID;							// ͨ
    fAttachVK          cbAttachVK;                          // ص
    LDWORD             dwUser;                              // û
}NET_IN_ATTACH_VK;

// VK
typedef struct tagNET_OUT_ATTACH_VK
{
    DWORD				dwSize;                 // ṹС
	NET_VKINFO			stuCurrentVKInfo;		// ǰVKֵϢ
	BOOL				bContainPrevVKInfo;		// ǷǰһVKֵϢ,TRUEʾǰһVKֵԣFALSEʾûǰһVKֵ
	NET_VKINFO			stuPrevVKInfo;			// ǰһVKֵϢ
}NET_OUT_ATTACH_VK;


// Ϣ
typedef struct tagNET_MEDIA_ENCRYPT_CAPS_INFO
{
    BOOL				bSupport;							// Ƿ֧
    BYTE				byReserved[256];					// ֽ
}NET_MEDIA_ENCRYPT_CAPS_INFO;

// ȡ
typedef struct tagNET_IN_GET_MEDIA_ENCRYPT_CAPS
{
    DWORD              dwSize;                      // ṹС
    int                nChannelOffset;				// ȡͨƫ
    int                nChannelCount;				// һλȡͨ
}NET_IN_GET_MEDIA_ENCRYPT_CAPS;

// ȡ
typedef struct tagNET_OUT_GET_MEDIA_ENCRYPT_CAPS
{
    DWORD                           dwSize;                    // ṹС
    NET_MEDIA_ENCRYPT_CAPS_INFO*    pstuCapsInfo;			   // Ϣ		
    int                             nMaxCapsInfoCount;		   // ȡ
    int                             nRetCapsInfoCount;		   // ص
}NET_OUT_GET_MEDIA_ENCRYPT_CAPS;

// VK
CLIENT_NET_API BOOL CALL_METHOD CLIENT_UpdateVK(LLONG lLoginID, const NET_IN_UPDATE_VKINFO* pInParam, NET_OUT_UPDATE_VKINFO* pOutParam, int nWaitTime);

// VK,ԻȡǰvkǰһvkϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachVK( LLONG lLoginID, const NET_IN_ATTACH_VK* pInParam, NET_OUT_ATTACH_VK* pOutParam, int nWaitTime);

// ȡVK
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachVK( LLONG lAttachHandle);

// ȡýļ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_GetMediaEncryptCaps( LLONG lLoginID, const NET_IN_GET_MEDIA_ENCRYPT_CAPS* pInParam, NET_OUT_GET_MEDIA_ENCRYPT_CAPS* pOutParam, int nWaitTime);
//------------------------------------------------------------------------
// ʼʵʱ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_RealPlay(LLONG lLoginID, int nChannelID, HWND hWnd);

// ʼʵʱ--չ
// ໭ԤʱnChannelID NVR豸Ƶͨ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_RealPlayEx(LLONG lLoginID, int nChannelID, HWND hWnd, DH_RealPlayType rType = DH_RType_Realplay);
//ʵʱ,0ʾʧ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartRealPlay(LLONG lLoginID, int nChannelID, HWND hWnd, DH_RealPlayType rType, fRealDataCallBackEx cbRealData, fRealPlayDisConnect cbDisconnect, LDWORD dwUser, DWORD dwWaitTime = 10000);

// ໭ʵʱԤ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_MultiPlay(LLONG lLoginID, HWND hWnd);

// ֹͣ໭ʵʱԤ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopMultiPlay(LLONG lMultiHandle);

// ץͼhPlayHandleΪӻطž
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CapturePicture(LLONG hPlayHandle, const char *pchPicFileName);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CapturePictureEx(LLONG hPlayHandle, const char *pchPicFileName, NET_CAPTURE_FORMATS eFormat);

// CLIENT_CapturePictureEx2 ӿ
typedef struct tagNET_IN_CAPTURE_PICTURE
{
    DWORD                   dwSize;                         // ṹС
    NET_CAPTURE_FORMATS     emFormat;                       // ͼƬʽ
    char                    szPicFilePath[256];             // ͼƬ·
} NET_IN_CAPTURE_PICTURE;

// CLIENT_CapturePictureEx2 ӿڳ
typedef struct tagNET_OUT_CAPTURE_PICTURE
{
    DWORD                   dwSize;                         // ṹС
    NET_TIME_EX             stuTime;                        // ͼƬʱ
} NET_OUT_CAPTURE_PICTURE;

// ֶץͼչӿ(ַ֧ͼƬʱ䣬ȷ), hPlayHandleΪӻطž
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CapturePictureEx2(LLONG lPlayHandle, NET_IN_CAPTURE_PICTURE *pstInParam, NET_OUT_CAPTURE_PICTURE *pstOutParam);

// ʵʱݻص
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetRealDataCallBack(LLONG lRealHandle, fRealDataCallBack cbRealData, LDWORD dwUser);

typedef enum _PrerecordStreamType
{
	Prerecord_RType_Realplay_0,						   // ʵʱ-
	Prerecord_RType_Realplay_1,                        // ʵʱ-1
	Prerecord_RType_Realplay_2,                        // ʵʱ-2
	Prerecord_RType_Realplay_3,                        // ʵʱ-3  
}EM_PRERECODE_STREAM_TYPE;

CLIENT_NET_API LLONG CALL_METHOD CLIENT_PrerecordStream(LLONG lLoginID, int nChannelID,EM_PRERECODE_STREAM_TYPE emPreRecord, int nWaitTime);

// ʵʱӵʵʱݱ־, Ӧ CLIENT_SetRealDataCallBackEx(Ex2) е dwFlag 
// ֧ '|' ,  dwFlag = REALDATA_FLAG_RAW_DATA | REALDATA_FLAG_YUV_DATA
typedef enum tagEM_REALDATA_FLAG
{	
	REALDATA_FLAG_RAW_DATA				= 0x01,	// ԭʼݱ־,			ӦfRealDataCallBack(Ex/Ex2)ص dwDataType Ϊ0, 0x01 = 0x01 << 0
	REALDATA_FLAG_DATA_WITH_FRAME_INFO	= 0x02,	// ֡Ϣݱ־,	ӦfRealDataCallBack(Ex/Ex2)ص dwDataType Ϊ1, 0x02 = 0x01 << 1
	REALDATA_FLAG_YUV_DATA				= 0x04,	// YUV ݱ־,			ӦfRealDataCallBack(Ex/Ex2)ص dwDataType Ϊ2, 0x04 = 0x01 << 2
	REALDATA_FLAG_PCM_AUDIO_DATA		= 0x08,	// PCM Ƶݱ־,		ӦfRealDataCallBack(Ex/Ex2)ص dwDataType Ϊ3, 0x08 = 0x01 << 3
} EM_REALDATA_FLAG;

// ʵʱݻص--չ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetRealDataCallBackEx(LLONG lRealHandle, fRealDataCallBackEx cbRealData, LDWORD dwUser, DWORD dwFlag);


// ʵʱӼݻص(pBufferڴSDKڲͷ)
typedef void (CALLBACK *fEncryptRealDataCallBackEx)(LLONG lRealHandle, BYTE *pBuffer, DWORD dwBufSize, LDWORD dwUser);

// ʵʱӼݻص
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetEncryptRealDataCallBack(LLONG lRealHandle, fEncryptRealDataCallBackEx cbRealData, LDWORD dwUser);

// ʵʱݻص--չEx2
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetRealDataCallBackEx2(LLONG lRealHandle, fRealDataCallBackEx2 cbRealData, LDWORD dwUser, DWORD dwFlag);

// ʵʱԭʼݻص(pBufferڴSDKڲͷ)
typedef void (CALLBACK *fOriginalRealDataCallBack)(LLONG lRealHandle, BYTE *pBuffer, DWORD dwBufSize, LDWORD dwUser);

// ʵʱԭʼݻص
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetOriginalRealDataCallBack(LLONG lRealHandle, fOriginalRealDataCallBack cbRealData, LDWORD dwUser);


// VKϢص:lPlayHandle ͻطŽӿڷصľ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetVKInfoCallBack(LLONG lPlayHandle, fVKInfoCallBack cbVKInfo, LDWORD dwUser);

// ͼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AdjustFluency(LLONG lRealHandle, int nLevel);

// Ϊļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SaveRealData(LLONG lRealHandle, const char *pchFileName);

// Ϊļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopSaveRealData(LLONG lRealHandle);

// ͼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ClientSetVideoEffect(LLONG lPlayHandle, unsigned char nBrightness, unsigned char nContrast, unsigned char nHue, unsigned char nSaturation);

// ȡͼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ClientGetVideoEffect(LLONG lPlayHandle, unsigned char *nBrightness, unsigned char *nContrast, unsigned char *nHue, unsigned char *nSaturation);

// Ļӻص
CLIENT_NET_API void CALL_METHOD CLIENT_RigisterDrawFun(fDrawCallBack cbDraw, LDWORD dwUser);

// 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OpenSound(LLONG hPlayHandle);

// lPlayHandleΪӻطž
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetVolume(LLONG lPlayHandle, int nVolume);

// Ƿøͼڲ,Ĭáòʱ,ڿ4ʱ,ֻI֡,ʱ,ÿ֡
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PlayEnableLargePicAdjustment(LLONG lPlayHandle, BOOL bEnable);

// ر
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloseSound();

// ֹͣʵʱԤ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopRealPlay(LLONG lRealHandle);

// ֹͣʵʱԤ--չ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopRealPlayEx(LLONG lRealHandle);

//------------------------------------------------------------------------

// ̨Զλ
typedef struct tagNET_IN_MOVERELATIVELY_INFO
{
	DWORD							dwSize;				// ṹС
	PTZ_SPACE_RELATIVELY_UNIT		stuTranslation;		// x, y, zoom һ -1~1
	PTZ_SPACE_RELATIVELY_UNIT		stuSpeed;			// x, y, zoom һ 0~1
}NET_IN_MOVERELATIVELY_INFO;

// ̨
typedef enum tagNET_EM_PTZ_DIRECTION_TYPE
{
	NET_EM_PTZ_DIRECTION_TYPE_UNKNOWN,	// δ֪
	NET_EM_PTZ_DIRECTION_TYPE_EAST,		// 
	NET_EM_PTZ_DIRECTION_TYPE_SOUTH,	// 
	NET_EM_PTZ_DIRECTION_TYPE_WEST,		// 
	NET_EM_PTZ_DIRECTION_TYPE_NORTH,	// 
}NET_EM_PTZ_DIRECTION_TYPE;

// ̨ DH_EXTPTZ_SET_DIRECTION
typedef struct tagNET_IN_SET_DIRECTION_INFO
{
	DWORD								dwSize;				// ṹС
	NET_EM_PTZ_DIRECTION_TYPE			emDirection;		// ̨
}NET_IN_SET_DIRECTION_INFO;

// ̨ͨ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PTZControl(LLONG lLoginID, int nChannelID, DWORD dwPTZCommand, DWORD dwStep, BOOL dwStop);

// ˽̨,param4ûͷڴ棬ڴСDH_EXTPTZ_ControlTypeӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DHPTZControl(LLONG lLoginID, int nChannelID, DWORD dwPTZCommand, unsigned char param1, unsigned char param2, unsigned char param3, BOOL dwStop,void* param4=NULL);

// ˽̨չӿ,֧άٶλ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DHPTZControlEx(LLONG lLoginID, int nChannelID, DWORD dwPTZCommand, LONG lParam1, LONG lParam2, LONG lParam3, BOOL dwStop );

// ˽̨չӿ,֧άٶλ,,param4ûͷڴ棬ڴСDH_EXTPTZ_ControlTypeӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DHPTZControlEx2(LLONG lLoginID, int nChannelID, DWORD dwPTZCommand, LONG lParam1, LONG lParam2, LONG lParam3, BOOL dwStop , void* param4 = NULL);

// ɨӿڣȡϢ(NET_AREASCAN_EPTZ_CMD)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DHPTZAreaScan(LLONG lLoginID ,DWORD dwPTZCommand, char* szInBuffer, DWORD dwInBufferSize,char* szOutBuffer = NULL, DWORD dwOutBufferSize = 0, int waittime=1000);



// CLIENT_DHPTZCalibrateSingleDirection 
typedef struct tagNET_IN_CALIBRATE_SINGLEDIRECTION
{
    DWORD                       dwSize;
    int                         nMode;                      // У׼ģʽ1ˮƽУ׼2ֱУ׼
}NET_IN_CALIBRATE_SINGLEDIRECTION;

//------------------------------------------------------------------------
// ѯĳµĸǷ¼ļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryRecordStatus(LLONG lLoginID, int nChannelId, int nRecordFileType, LPNET_TIME tmMonth, char* pchCardid, LPNET_RECORD_STATUS pRecordStatus, int waittime=1000);
// ѯʱǷ¼ļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryRecordTime(LLONG lLoginID, int nChannelId, int nRecordFileType, LPNET_TIME tmStart, LPNET_TIME tmEnd, char* pchCardid, BOOL *bResult, int waittime=1000);
// ѯʱڵ¼ļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryRecordFile(LLONG lLoginID, int nChannelId, int nRecordFileType, LPNET_TIME tmStart, LPNET_TIME tmEnd, char* pchCardid, LPNET_RECORDFILE_INFO nriFileinfo, int maxlen, int *filecount, int waittime=1000, BOOL bTime = FALSE);

// 첽ѯʱڵ¼ļ(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartQueryRecordFile(LLONG lLoginID, NET_IN_START_QUERY_RECORDFILE *pInParam, NET_OUT_START_QUERY_RECORDFILE *pOutParam);

// ֹͣ첽¼ѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopQueryRecordFile(LLONG lQueryHandle);

// ٲѯʱڵ¼ļ,ʱ¼񳬹16ʱ,ֻʱ16¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QuickQueryRecordFile(LLONG lLoginID, int nChannelId, int nRecordFileType, LPNET_TIME tmStart, LPNET_TIME tmEnd, char* pchCardid, LPNET_RECORDFILE_INFO nriFileinfo, int maxlen, int *filecount, int waittime=1000, BOOL bTime = FALSE);

// ѯ¼ʱ(pFurthrestTimeڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryFurthestRecordTime(LLONG lLoginID, int nRecordFileType, char *pchCardid, NET_FURTHEST_RECORD_TIME* pFurthrestTime, int nWaitTime);

// ʼ¼ļ
CLIENT_NET_API LLONG    CALL_METHOD CLIENT_FindFile(LLONG lLoginID, int nChannelId, int nRecordFileType, char* cardid, LPNET_TIME time_start, LPNET_TIME time_end, BOOL bTime, int waittime);

// ¼ļ(lpFindDataڴûͷ)
CLIENT_NET_API int    CALL_METHOD CLIENT_FindNextFile(LLONG lFindHandle,LPNET_RECORDFILE_INFO lpFindData);

// ¼ļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FindClose(LLONG lFindHandle);

// ļʽط(lpRecordFileڴûͷ)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_PlayBackByRecordFile(LLONG lLoginID, LPNET_RECORDFILE_INFO lpRecordFile, HWND hWnd, fDownLoadPosCallBack cbDownLoadPos, LDWORD dwUserData);

// ļʽط--չ(lpRecordFileڴûͷ)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_PlayBackByRecordFileEx(LLONG lLoginID, LPNET_RECORDFILE_INFO lpRecordFile, HWND hWnd, fDownLoadPosCallBack cbDownLoadPos, LDWORD dwPosUser, fDataCallBack fDownLoadDataCallBack, LDWORD dwDataUser);

// ļ¼طϢ
typedef struct tagNET_IN_PLAY_BACK_BY_FILE_INFO
{
    LPNET_RECORDFILE_INFO pRecordFile;                     // ¼ļϢ 
    HWND                hWnd;                              // Ŵ, ΪNULL
    fDownLoadPosCallBack cbDownLoadPos;                    // Ȼص
    LDWORD              dwPosUser;                         // ȻصûϢ
    fDataCallBack       fDownLoadDataCallBack;             // ݻص
    LDWORD              dwDataUser;                        // ݻصûϢ
    int                 nPlayDirection;                    // ŷ, 0:; 1:;
    int                 nWaittime;                         // ӿڳʱʱ, Ŀǰʹ
    BYTE                bReserved[1024];                   // Ԥֽ
}NET_IN_PLAY_BACK_BY_FILE_INFO;

// ļ¼طųϢ
typedef struct tagNET_OUT_PLAY_BACK_BY_FILE_INFO
{
    BYTE                bReserved[1024];                   // Ԥֽ
}NET_OUT_PLAY_BACK_BY_FILE_INFO;

// ļʽط--չ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_PlayBackByRecordFileEx2(LLONG lLoginID, const NET_IN_PLAY_BACK_BY_FILE_INFO *pstNetIn, NET_OUT_PLAY_BACK_BY_FILE_INFO *pstNetOut);

// ļʽط--صطж¼(lpRecordFileڴûͷ)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartPlayBackByRecordFile(LLONG lLoginID,  LPNET_RECORDFILE_INFO lpRecordFile, HWND hWnd, 
                                                             fDownLoadPosCallBack cbDownLoadPos, LDWORD dwPosUser, 
                                                             fDataCallBack fDownLoadDataCallBack, LDWORD dwDataUser, 
                                                             fRealPlayDisConnect fDisConnectCallBack, LDWORD dwDisUser, DWORD dwWaitTime = 10000);

//ļʽط--֡(ʱʹ)(lpRecordFileڴûͷ)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_FramCotrolPlayBackByRecordFile(LLONG lLoginID, LPNET_RECORDFILE_INFO lpRecordFile, HWND hWnd, 
                                                                   fDownLoadPosCallBack cbDownLoadPos, LDWORD dwPosUser, 
                                                                   fDataCallBack fDownLoadDataCallBack, LDWORD dwDataUser, unsigned int nCutFrameRate);

// ʱ䷽ʽط
CLIENT_NET_API LLONG CALL_METHOD CLIENT_PlayBackByTime(LLONG lLoginID, int nChannelID, LPNET_TIME lpStartTime, LPNET_TIME lpStopTime, HWND hWnd, fDownLoadPosCallBack cbDownLoadPos, LDWORD dwPosUser);




// ʱ䷽ʽط--չ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_PlayBackByTimeEx(LLONG lLoginID, int nChannelID, LPNET_TIME lpStartTime, LPNET_TIME lpStopTime, HWND hWnd, 
                                                     fDownLoadPosCallBack cbDownLoadPos, LDWORD dwPosUser, 
                                                     fDataCallBack fDownLoadDataCallBack, LDWORD dwDataUser);
// ʱ䷽ʽط--չڶ,ֱ֧ӵ,pstNetInpstNetOutҪûڴ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_PlayBackByTimeEx2(LLONG lLoginID, int nChannelID, 
                        NET_IN_PLAY_BACK_BY_TIME_INFO *pstNetIn, NET_OUT_PLAY_BACK_BY_TIME_INFO *pstNetOut);

// ʱ䷽ʽط--صطж¼
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartPlayBackByTime(LLONG lLoginID, int nChannelID, 
                                                       LPNET_TIME lpStartTime, LPNET_TIME lpStopTime, HWND hWnd, 
                                                       fDownLoadPosCallBack cbDownLoadPos, LDWORD dwPosUser,
                                                       fDataCallBack fDownLoadDataCallBack, LDWORD dwDataUser, 
                                                       fRealPlayDisConnect fDisConnectCallBack, LDWORD dwDisUser, DWORD dwWaitTime = 10000);

//ʱ䷽ʽط--֡(ʱʹ)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_FramCotrolPlayBackByTime(LLONG lLoginID, int nChannelID, LPNET_TIME lpStartTime, LPNET_TIME lpStopTime, HWND hWnd, 
                                                             fDownLoadPosCallBack cbDownLoadPos, LDWORD dwPosUser, 
                                                             fDataCallBack fDownLoadDataCallBack, LDWORD dwDataUser, unsigned int nCutFrameRate);

//ƵŨļط(lpRecordFileڴûͷ)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_PlayBackBySynopsisFile(LLONG lLoginID, 
                                                            LPNET_SYNOPSISFILE_INFO lpRecordFile, 
                                                            HWND hWnd, 
                                                            fDownLoadPosCallBack cbDownLoadPos,
                                                            LDWORD dwPosUser, 
                                                            fDataCallBack fDownLoadDataCallBack,
                                                            LDWORD dwDataUser,
                                                            LDWORD dwUser);
                                                            
// ͨԤط(pParamڴûͷ)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_MultiPlayBack(LLONG lLoginID, NET_MULTI_PLAYBACK_PARAM *pParam);

// λ¼طʼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SeekPlayBack(LLONG lPlayHandle, unsigned int offsettime, unsigned int offsetbyte);

// ʱ䶨λطʼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SeekPlayBackByTime(LLONG lPlayHandle, LPNET_TIME lpSeekTime);

// ָͣ¼ط
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PausePlayBack(LLONG lPlayHandle, BOOL bPause);

// ¼ط
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FastPlayBack(LLONG lPlayHandle);

// ¼ط
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SlowPlayBack(LLONG lPlayHandle);

// ¼طٶ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPlayBackSpeed(LLONG lPlayHandle, EM_PLAY_BACK_SPEED emSpeed);

// ¼ط
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StepPlayBack(LLONG lPlayHandle, BOOL bStop);

// Ʋŷ--Żߵ
// bBackward FLASE ,TRUE 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PlayBackControlDirection(LLONG lPlayHandle, BOOL bBackward);

// ûط֡
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetFramePlayBack(LLONG lPlayHandle, int framerate);

// ȡط֡
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetFramePlayBack(LLONG lPlayHandle, int *fileframerate, int *playframerate);

// ָطٶ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_NormalPlayBack(LLONG lPlayHandle);

// ܼط(lpPlayBackParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SmartSearchPlayBack(LLONG lPlayHandle, LPIntelligentSearchPlay lpPlayBackParam);

// ȡطOSDʱ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetPlayBackOsdTime(LLONG lPlayHandle, LPNET_TIME lpOsdTime, LPNET_TIME lpStartTime, LPNET_TIME lpEndTime);

// ֹͣ¼ط
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopPlayBack(LLONG lPlayHandle);

// ¼ļ(lpRecordFileڴûͷ)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_DownloadByRecordFile(LLONG lLoginID, LPNET_RECORDFILE_INFO lpRecordFile, char *sSavedFileName, fDownLoadPosCallBack cbDownLoadPos, LDWORD dwUserData);

// ¼ļ--չ
// sSavedFileNameΪ, ¼д뵽·Ӧļ; fDownLoadDataCallBackΪ, ¼ͨص
// pReserved ָ¼루ȲС 8 ַ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_DownloadByRecordFileEx(LLONG lLoginID, LPNET_RECORDFILE_INFO lpRecordFile, char *sSavedFileName, 
                                                           fDownLoadPosCallBack cbDownLoadPos, LDWORD dwUserData, 
                                                           fDataCallBack fDownLoadDataCallBack, LDWORD dwDataUser, void* pReserved = NULL);

// ͨʱ¼
// nRecordFileType Ͳμ öEM_QUERY_RECORD_TYPE
CLIENT_NET_API LLONG CALL_METHOD CLIENT_DownloadByTime(LLONG lLoginID, int nChannelId, int nRecordFileType, LPNET_TIME tmStart, LPNET_TIME tmEnd, char *sSavedFileName, fTimeDownLoadPosCallBack cbTimeDownLoadPos, LDWORD dwUserData);

// ͨʱ¼--չ
// sSavedFileNameΪ, ¼д뵽·Ӧļ; fDownLoadDataCallBackΪ, ¼ͨص
// pReserved ָ¼루ȲС 8 ַ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_DownloadByTimeEx(LLONG lLoginID, int nChannelId, int nRecordFileType, LPNET_TIME tmStart, LPNET_TIME tmEnd, char *sSavedFileName, 
                                                     fTimeDownLoadPosCallBack cbTimeDownLoadPos, LDWORD dwUserData, 
                                                     fDataCallBack fDownLoadDataCallBack, LDWORD dwDataUser, void* pReserved = NULL);

// ѯ¼ؽ,λKB
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDownloadPos(LLONG lFileHandle, int *nTotalSize, int *nDownLoadSize);

// ֹͣ¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopDownload(LLONG lFileHandle);

// ָͣ¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PauseDownload(LLONG lFileHandle, BOOL bPause);

//------------------------------------- ָصݸʽ ӡطš ؽӿ ---------------------

#define NET_DATA_CALL_BACK_VALUE      1000       // EM_REAL_DATA_TYPEʹ,תݻص(fRealDataCallBackEx,fDataCallBack)еĲdwDataTypeֵ
                                                 // ΪתͼNET_DATA_CALL_BACK_VALUE.
                                                 // ,dwDataType = NET_DATA_CALL_BACK_VALUE + emDataType
                                                 // ڻصнת,Ҫж dwDataType ֵǷΪ NET_DATA_CALL_BACK_VALUEemDataType֮
                                                 // ,EM_REAL_DATA_TYPE_PRIVATEж

// ʵʱӻص
typedef enum tagEM_REAL_DATA_TYPE
{
    EM_REAL_DATA_TYPE_PRIVATE,       // ˽
    EM_REAL_DATA_TYPE_GBPS,          // PS
    EM_REAL_DATA_TYPE_TS,            // TS
    EM_REAL_DATA_TYPE_MP4,           // MP4ļ(ӻص˽,dwDataTypeֵΪ0)
    EM_REAL_DATA_TYPE_H264,          // Ƶ,h264h265תɹ
	EM_REAL_DATA_TYPE_FLV_STREAM,	 // ʽFLV
	EM_REAL_DATA_TYPE_PS,			 // PS
	EM_REAL_DATA_TYPE_DHTS,			 // DHTS
}EM_REAL_DATA_TYPE;

// ʼʵʱӲָصݸʽ
typedef struct tagNET_IN_REALPLAY_BY_DATA_TYPE
{
    DWORD					dwSize;                 // ṹС
    int						nChannelID;             // ͨ
    HWND					hWnd;                   // ھ
    DH_RealPlayType			rType;                  //     
    fRealDataCallBackEx		cbRealData;             // ݻص
    EM_REAL_DATA_TYPE		emDataType;             // ص 
    LDWORD					dwUser;                 // û
    const char*				szSaveFileName;         // תļ
	fRealDataCallBackEx2	cbRealDataEx;           // ݻص-չ
}NET_IN_REALPLAY_BY_DATA_TYPE;

// ʼʵʱӲָصݸʽ
typedef struct tagNET_OUT_REALPLAY_BY_DATA_TYPE
{
    DWORD               dwSize;                 // ṹС  
}NET_OUT_REALPLAY_BY_DATA_TYPE;

// ָص ʵʩ(Ԥ), ݻص cbRealData еõΪ emDataType ָ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_RealPlayByDataType(LLONG lLoginID, const NET_IN_REALPLAY_BY_DATA_TYPE* pstInParam, NET_OUT_REALPLAY_BY_DATA_TYPE* pstOutParam, DWORD dwWaitTime);


// ʼطŲָصݸʽ 
typedef struct tagNET_IN_PLAYBACK_BY_DATA_TYPE
{
    DWORD					dwSize;                 // ṹС
    int						nChannelID;             // ͨ
    NET_TIME				stStartTime;            // ʼʱ
    NET_TIME				stStopTime;             // ʱ
    HWND					hWnd;                   // Ŵ, ΪNULL
    fDownLoadPosCallBack	cbDownLoadPos;			// Ȼص
    LDWORD					dwPosUser;              // ȻصûϢ
    fDataCallBack			fDownLoadDataCallBack;  // ݻص
    EM_REAL_DATA_TYPE		emDataType;             // ص 
    LDWORD					dwDataUser;             // ݻصûϢ
    int						nPlayDirection;         // ŷ, 0:; 1:;
}NET_IN_PLAYBACK_BY_DATA_TYPE;

// ʼطŲָصݸʽ 
typedef struct tagNET_OUT_PLAYBACK_BY_DATA_TYPE
{
    DWORD               	dwSize;                 // ṹС  
}NET_OUT_PLAYBACK_BY_DATA_TYPE;

// ָصݸʽ  ʼط,  ݻص fDownLoadDataCallBack еõΪ emDataType ָ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_PlayBackByDataType(LLONG lLoginID, const NET_IN_PLAYBACK_BY_DATA_TYPE* pstInParam, NET_OUT_PLAYBACK_BY_DATA_TYPE* pstOutParam, DWORD dwWaitTime);


// ʼزָصݸʽ 
typedef struct tagNET_IN_DOWNLOAD_BY_DATA_TYPE
{
    DWORD                       dwSize;                 // ṹС
    int                         nChannelID;             // ͨ
    EM_QUERY_RECORD_TYPE        emRecordType;           // ¼
    char*                       szSavedFileName;        // صļ·
    NET_TIME                    stStartTime;            // ʼʱ
    NET_TIME                    stStopTime;             // ʱ
    fTimeDownLoadPosCallBack    cbDownLoadPos;          // Ȼص
    LDWORD                      dwPosUser;              // ȻصûϢ
    fDataCallBack               fDownLoadDataCallBack;  // ݻص
    EM_REAL_DATA_TYPE           emDataType;             // ص 
    LDWORD                      dwDataUser;             // ݻصûϢ
}NET_IN_DOWNLOAD_BY_DATA_TYPE;

// ʼزָصݸʽ 
typedef struct tagNET_OUT_DOWNLOAD_BY_DATA_TYPE
{
    DWORD               dwSize;                 // ṹС  
}NET_OUT_DOWNLOAD_BY_DATA_TYPE;

// ָ ʼ, صõļݻص fDownLoadDataCallBack еõ;Ϊ emDataType ָ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_DownloadByDataType(LLONG lLoginID, const NET_IN_DOWNLOAD_BY_DATA_TYPE* pstInParam, NET_OUT_DOWNLOAD_BY_DATA_TYPE* pstOutParam, DWORD dwWaitTime);


// CLIENT_AdaptiveDownloadByTime 
typedef struct tagNET_IN_ADAPTIVE_DOWNLOAD_BY_TIME
{
	DWORD                       dwSize;                 // ṹС
	int                         nChannelID;             // ͨ
	EM_QUERY_RECORD_TYPE        emRecordType;           // ¼
	char*                       szSavedFileName;        // صļ·
	NET_TIME                    stStartTime;            // ʼʱ
	NET_TIME                    stStopTime;             // ʱ
	fTimeDownLoadPosCallBack    cbDownLoadPos;          // Ȼص
	LDWORD                      dwPosUser;              // ȻصûϢ
	fDataCallBack               fDownLoadDataCallBack;  // ݻص
	EM_REAL_DATA_TYPE           emDataType;             // ص 
	LDWORD                      dwDataUser;             // ݻصûϢ
	char						szEncryptPasswd[64];	// ¼룬볤ȲС8
}NET_IN_ADAPTIVE_DOWNLOAD_BY_TIME;

// CLIENT_AdaptiveDownloadByTime 
typedef struct tagNET_OUT_ADAPTIVE_DOWNLOAD_BY_TIME
{
	DWORD               dwSize;                 // ṹС  
}NET_OUT_ADAPTIVE_DOWNLOAD_BY_TIME;

// Ӧٶȵ  Ҫ CLIENT_StopDownload ͷԴ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AdaptiveDownloadByTime( LLONG lLoginID, const NET_IN_ADAPTIVE_DOWNLOAD_BY_TIME* pstInParam, NET_OUT_ADAPTIVE_DOWNLOAD_BY_TIME* pstOutParam, DWORD dwWaitTime );


// CLIENT_DownloadByFileSelfAdapt 
typedef struct tagNET_IN_DOWNLOAD_BYFILE_SELFADAPT
{
	DWORD                       dwSize;                 // ṹС
	int                         nChannelID;             // ͨ
	EM_QUERY_RECORD_TYPE        emRecordType;           // ¼
	char                       	szFileName[MAX_PATH];   // صļ·
	unsigned int        		size;                   // ļ, λΪKbyte
	fDownLoadPosCallBack    	cbDownLoadPos;          // Ȼص
	LDWORD                      dwPosUser;              // ȻصûϢ
	fDataCallBack               fDownLoadDataCallBack;  // ݻص
	EM_REAL_DATA_TYPE           emDataType;             // ص 
	LDWORD                      dwDataUser;             // ݻصûϢ
}NET_IN_DOWNLOAD_BYFILE_SELFADAPT;

// CLIENT_DownloadByFileSelfAdapt 
typedef struct tagNET_OUT_DOWNLOAD_BYFILE_SELFADAPT
{
	DWORD               dwSize;                 // ṹС  
}NET_OUT_DOWNLOAD_BYFILE_SELFADAPT;

// Ӧٶȵİļ¼, pstInParam pstOutParam Դûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_DownloadByFileSelfAdapt(LLONG lLoginID, const NET_IN_DOWNLOAD_BYFILE_SELFADAPT* pstInParam, NET_OUT_DOWNLOAD_BYFILE_SELFADAPT* pstOutParam, DWORD dwWaitTime);


//-------------------------------------------------------------------

//ֲŴ(pSrcRectڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDisplayRegion(LLONG lPlayHandle,DWORD nRegionNum, DH_DISPLAYRREGION *pSrcRect, HWND hDestWnd, BOOL bEnable);

// ʼ¼ļ֡Ϣ(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL    CALL_METHOD CLIENT_FindFrameInfo(LLONG lLoginID, NET_IN_FIND_FRAMEINFO_PRAM *pInParam, NET_OUT_FIND_FRAMEINFO_PRAM* pOutParam, int nWaitTime);

// ¼ļ֡ϢָϢѯ(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL    CALL_METHOD CLIENT_FindNextFrameInfo(LLONG lFindHandle, NET_IN_FINDNEXT_FRAMEINFO_PRAM *pInParam, NET_OUT_FINDNEXT_FRAMEINFO_PRAM* pOutParam, int nWaitTime);

// ñǩϢ
CLIENT_NET_API BOOL    CALL_METHOD CLIENT_FileStreamSetTags(LLONG lFindHandle, NET_IN_FILE_STREAM_TAGS_INFO *pInParam, NET_OUT_FILE_STREAM_TAGS_INFO *pOutParam, int nWaitTime);

// ȡǩϢ
CLIENT_NET_API BOOL    CALL_METHOD CLIENT_FileStreamGetTags(LLONG lFindHandle, NET_IN_FILE_STREAM_GET_TAGS_INFO *pInParam, NET_OUT_FILE_STREAM_GET_TAGS_INFO *pOutParam, int nWaitTime);

// ǩϢ
CLIENT_NET_API BOOL    CALL_METHOD CLIENT_FileStreamClearTags(LLONG lFindHandle, NET_IN_FILE_STREAM_TAGS_INFO *pInParam, NET_OUT_FILE_STREAM_TAGS_INFO *pOutParam, int nWaitTime);

// ˲ѯǩϢ
CLIENT_NET_API BOOL    CALL_METHOD CLIENT_FileStreamFilterTags(LLONG lFindHandle, NET_IN_FILE_STREAM_FILTER_TAGS_INFO *pInParam, NET_OUT_FILE_STREAM_GET_TAGS_INFO *pOutParam, int nWaitTime);

// ¼ļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FindFrameInfoClose(LLONG lFindHandle);
// pInParam, pOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FileStreamMotionMatch(LLONG lLoginID, const NET_IN_MOTIONMATCH_PARAM *pInParam, NET_OUT_MOTIONMATCH_PARAM* pOutParam, int nWaitTime);

// ѯǩϢ, lFindHandleͨCLIENT_FindFrameInfoȡѯıǩCLIENT_TagManagerStartTag/CLIENT_TagManagerSetSubTag/CLIENT_TagManagerStopTagõ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FileStreamFindTags(LLONG lFindHandle, NET_IN_FINDTAGS_INFO *pInParam, NET_OUT_FINDTAGS_INFO *pOutParam, int nWaitTime);

// ȡǩ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_TagManagerGetTagState(LLONG lLoginID, NET_IN_TAGMANAGER_GETTAGSTATE_INFO *pInParam, NET_OUT_TAGMANAGER_GETTAGSTATE_INFO *pOutParam, int nWaitTime);

// ʼǩ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_TagManagerStartTag(LLONG lLoginID, NET_IN_TAGMANAGER_STARTTAG_INFO *pInParam, NET_OUT_TAGMANAGER_STARTTAG_INFO *pOutParam, int nWaitTime);

// ӱǩ, ӱǩӦ20ʧ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_TagManagerSetSubTag(LLONG lLoginID, NET_IN_TAGMANAGER_SETSUBTAG_INFO *pInParam, NET_OUT_TAGMANAGER_SETSUBTAG_INFO *pOutParam, int nWaitTime);

// ֹͣǩ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_TagManagerStopTag(LLONG lLoginID, NET_IN_TAGMANAGER_STOPTAG_INFO *pInParam, NET_OUT_TAGMANAGER_STOPTAG_INFO *pOutParam, int nWaitTime);

//------------------------------------------------------------------------

// ñص
CLIENT_NET_API void CALL_METHOD CLIENT_SetDVRMessCallBack(fMessCallBack cbMessage,LDWORD dwUser);

CLIENT_NET_API void CALL_METHOD CLIENT_SetDVRMessCallBackEx1(fMessCallBackEx1 cbMessage,LDWORD dwUser);

// 豸ı
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartListen(LLONG lLoginID);

// 豸ı--չ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartListenEx(LLONG lLoginID);

// ֹͣı
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopListen(LLONG lLoginID);

// λ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AlarmReset(LLONG lLoginID, DWORD dwAlarmType, int nChannel, void* pReserved = NULL, int nWaitTime = 1000);

//------------------------------------------------------------------------

// CLIENT_SetServerParam ӿڲ
typedef struct tagNET_ACTIVE_RIGST_PARAMS
{
    DWORD               dwSize;             // ṹС
    BOOL                bManualLogout;      // Ƿֶǳע豸ߺĬSDKԶǳ
} NET_ACTIVE_RIGST_PARAMS;


// עȫֲ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetServerParam(NET_ACTIVE_RIGST_PARAMS* pParam);

// עṦ,nTimeoutЧ(ĬΪ豸ߺSDKڲǳ)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ListenServer(char* ip, WORD port, int nTimeout, fServiceCallBack cbListen, LDWORD dwUserData);

// ֹͣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopListenServer(LLONG lServerHandle);

// Ӧ豸ע
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ResponseDevReg(char *devSerial, char* ip, WORD port, BOOL bAccept);

//------------------------------------------------------------------------

//------------------------------------------------------------------------

// ضصԭ
// ˵
// lDevHandle : 豸
// pDevIp : 豸ip
// wDevPort : 豸˿
// dwUserData : û
typedef int (CALLBACK *fRedirectServerCallBack)( LLONG lDevHandle, char *pDevIp, WORD wDevPort, LDWORD dwUserData);

// ض
// ˵
// Ip : IP
// port : ˿
// fRedirectServerCallBack : 豸ضص
// dwUserData : û, fRedirectServerCallBack
// ֵ: 
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartRedirectService(char* ip, WORD port,fRedirectServerCallBack cbListen, LDWORD dwUserData);

// ֹͣض
// lServerHandle : 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopRedirectService(LLONG lServerHandle);

// ضIPPort
// lDevHandle : ض豸
// ARSIP : ض豸IP
// ARSPort : ض豸˿
// nRetry : 豸ע᳢Դ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetAutoRegisterServerInfo(LLONG lDevHandle, char* ARSIP, WORD ARSPort,WORD nRetry);

//------------------------------------------------------------------------

//------------------------------------------------------------------------
// 豸
typedef enum tagEM_DEV_PUSH_STREAM_TYPE
{
	EM_DEV_PUSH_STREAM_TYPE_MAJOR,	// 
	EM_DEV_PUSH_STREAM_TYPE_MINOR1, // 1
	EM_DEV_PUSH_STREAM_TYPE_MINOR2, // 2
}EM_DEV_PUSH_STREAM_TYPE;

// 豸ʼ
typedef struct tagNET_IN_REQUEST_START_PUSH_STREAM_TYPE
{
	DWORD						dwSize;				// ṹС
	int							nChannelID;			// ͨ
	EM_DEV_PUSH_STREAM_TYPE		emStreamType;		// 
	char						szSSID[MAX_PUSH_STREAM_AUTH_SSID];	// ȨID64λ
	char						szReciveServerIP[DH_MAX_IPADDR_LEN_EX];	// IP
	int							nReciveServerPort;	// ˿
}NET_IN_REQUEST_START_PUSH_STREAM_TYPE;

// 豸ʼĳ
typedef struct tagNET_OUT_REQUEST_START_PUSH_STREAM_TYPE
{
	DWORD dwSize;	// ṹС
}NET_OUT_REQUEST_START_PUSH_STREAM_TYPE;

typedef struct tagNET_IN_REQUEST_STOP_PUSH_STREAM_TYPE
{
	DWORD	dwSize;	// ṹС
	char	szSSID[MAX_PUSH_STREAM_AUTH_SSID];	// ȨID64λ
}NET_IN_REQUEST_STOP_PUSH_STREAM_TYPE;

typedef struct tagNET_OUT_REQUEST_STOP_PUSH_STREAM_TYPE
{
	DWORD	dwSize;	// ṹС
}NET_OUT_REQUEST_STOP_PUSH_STREAM_TYPE;

// ѯ豸ĳһ·Ϣ
typedef struct tagNET_IN_QUERY_PUSH_STREAM_INFO
{
	DWORD	dwSize;	// ṹС
	char	szSSID[MAX_PUSH_STREAM_AUTH_SSID];	// ȨID64λ
}NET_IN_QUERY_PUSH_STREAM_INFO;

// ѯ豸ĳһ·Ϣ
typedef struct tagNET_OUT_QUERY_PUSH_STREAM_INFO
{
	DWORD	dwSize;	// ṹС
	char	szReciveServerIP[DH_MAX_IPADDR_LEN_EX]; // IP
	int		nReciveServerPort;						// ˿
}NET_OUT_QUERY_PUSH_STREAM_INFO;

// 豸 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ReqDevStartPushStream(LLONG lLoginID,const NET_IN_REQUEST_START_PUSH_STREAM_TYPE* pInParam, NET_OUT_REQUEST_START_PUSH_STREAM_TYPE* pOutParam, int nWaitTime);

// 豸ֹͣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ReqDevStopPushStream(LLONG lLoginID,const NET_IN_REQUEST_STOP_PUSH_STREAM_TYPE* pInParam, NET_OUT_REQUEST_STOP_PUSH_STREAM_TYPE* pOutParam, int nWaitTime);

// ѯ豸Ϣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDevPushStreamInfo(LLONG lLoginID, const NET_IN_QUERY_PUSH_STREAM_INFO* pInParam, NET_OUT_QUERY_PUSH_STREAM_INFO* pOutParam, int nWaitTime);
//------------------------------------------------------------------------

//------------------------------------------------------------------------
// 豸״̬
typedef enum tagEM_PUSH_STREAM_CONNECT_STATE
{
	EM_PUSH_STREAM_CONNECT_STATE_SETUP,		// ͻӽ
	EM_PUSH_STREAM_CONNECT_STATE_TEARDOWN,	// ͻӹر
}EM_PUSH_STREAM_CONNECT_STATE;

// 豸״̬ص:ӽӶϿ
// lClientHandle : ͻӾ
// clientIP : ͻIP
// clientPort : ͻӶ˿
// clientConState : ͻ״̬
// dwUserData : û 
typedef void (CALLBACK *fStreamClientState)(LLONG lClientHandle, char* clientIP, int clientPort, EM_PUSH_STREAM_CONNECT_STATE clientConState, LDWORD dwUserData);

// Ϣص 
// ˵:
// lClientHandle : ͻӾ
// pBuffer : 
// dwBufSize : ݴС
// dwUserData : û 
typedef void (CALLBACK *fStreamDataComing)(LLONG lClientHandle, BYTE *pBuffer, DWORD dwBufSize,LDWORD dwUserData);

// 
// ˵:
// ip : ipַ
// port : ˿
// cbClientState: ͻ״̬
// dwUserData1: ûcbClientState
// cbLiveStreamData: ص
// dwUserData2: ûcbLiveStreamData
// ֵ: 
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartReceiveStreamService(char *ip, WORD port,fStreamClientState cbClientState,LDWORD dwUserData1, fStreamDataComing cbLiveStreamData, LDWORD dwUserData2);

// ر
// ˵
// lServerHandle : 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopReceiveStreamService(LLONG lServerHandle);

// ֹͣĳһ·豸
// ˵
// lClientHandle : Ӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopStreamClient(LLONG lClientHandle);

// УSSID
// ˵
// lServerHandle : 
// pSSID : ͻӼȨSSID
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetStreamClientAuthID(LLONG lServerHandle, const char* pSSID);

//------------------------------------------------------------------------

// ϴ,dwTimeOutЧ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartService(WORD wPort, char *pIp = NULL, fServiceCallBack pfscb = NULL, DWORD dwTimeOut = 0xffffffff, LDWORD dwUserData = 0);

// ֹͣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopService(LLONG lHandle);

//------------------------------------------------------------------------

// Խģʽ,ͻ˷ʽǷʽ(pValueڴûͷţСEM_USEDEV_MODEӦĽṹ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDeviceMode(LLONG lLoginID, EM_USEDEV_MODE emType, void* pValue);

// Խ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartTalkEx(LLONG lLoginID, pfAudioDataCallBack pfcb, LDWORD dwUser);

// Խ
enum EM_TALK_DIRECTION
{
	EM_TALK_DIRECTION_UNKNOWN = 0,					// δ֪
	EM_TALK_DIRECTION_UNI,							// Խͻ˵豸
	EM_TALK_DIRECTION_BILATERAL,					// ˫Խ
	EM_TALK_DIRECTION_LISTEN,						// 豸ͻ
};

// ȡԽ:lTalkHandle Ϊ CLIENT_StartTalkExֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetTalkDirection(LLONG lTalkHandle, EM_TALK_DIRECTION* pDirection);

// ȡԽ
// ʼPC¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RecordStart();

// PC¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RecordStop();


// ʼPC¼(CLIENT_RecordStart()չ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RecordStartEx(LLONG lLoginID);

// PC¼(CLIENT_RecordStop()չ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RecordStopEx(LLONG lLoginID);


// ݵ豸(pSendBufڴûͷ)
CLIENT_NET_API LONG  CALL_METHOD CLIENT_TalkSendData(LLONG lTalkHandle, char *pSendBuf, DWORD dwBufSize);

// Ƶ(pAudioDataBufڴûͷ)
CLIENT_NET_API void CALL_METHOD CLIENT_AudioDec(char *pAudioDataBuf, DWORD dwBufSize);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AudioDecEx(LLONG lTalkHandle, char *pAudioDataBuf, DWORD dwBufSize);

// Խ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetAudioClientVolume(LLONG lTalkHandle, WORD wVolume);

// ֹͣԽ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopTalkEx(LLONG lTalkHandle);

// 豸㲥
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AudioBroadcastAddDev(LLONG lLoginID);

// ӹ㲥ɾ豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AudioBroadcastDelDev(LLONG lLoginID);

// Ƶ--ʼ(ض׼ʽ->˽иʽ)
CLIENT_NET_API int  CALL_METHOD CLIENT_InitAudioEncode(DH_AUDIO_FORMAT aft);

// Ƶ--ݱ(lpInBuf, lpOutBufڴûͷ)
CLIENT_NET_API int    CALL_METHOD    CLIENT_AudioEncode(LLONG lTalkHandle, BYTE *lpInBuf, DWORD *lpInLen, BYTE *lpOutBuf, DWORD *lpOutLen);

// Ƶ--˳
CLIENT_NET_API int    CALL_METHOD    CLIENT_ReleaseAudioEncode();

//------------------------------------------------------------------------

// ѯ豸־(pLogBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryLog(LLONG lLoginID, char *pLogBuffer, int maxlen, int *nLogBufferlen, int waittime=3000);

// ѯ豸־Էҳʽѯ(pQueryParam, pLogBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDeviceLog(LLONG lLoginID, QUERY_DEVICE_LOG_PARAM *pQueryParam, char *pLogBuffer, int nLogBufferLen, int *pRecLogNum, int waittime=3000);

// ѯ豸־(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDevLogCount(LLONG lLoginID, NET_IN_GETCOUNT_LOG_PARAM *pInParam, NET_OUT_GETCOUNT_LOG_PARAM* pOutParam , int waittime=3000);

// ־ص
CLIENT_NET_API void CALL_METHOD CLIENT_SetSubscribeLogCallBack(fSubLogDataCallBack pLogDataCB, LDWORD dwUser);

// 豸־
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartSubscribeLog(LLONG lLoginID, int nWaittime, void* pReserved);

// ֹͣ豸־
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopSubscribeLog(LLONG lSubLogHandle);

// ͨ¼״̬(pRSBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryRecordState(LLONG lLoginID, char *pRSBuffer, int maxlen, int *nRSBufferlen, int waittime=1000);

// ͨ¼״ֽ̬ͨӦ, ÿֽڱʾӦͨĸ¼״̬,0-ر,1-ֶ,2-Զ,pRSBufferڴûͷţ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryExtraRecordState(LLONG lLoginID, char *pRSBuffer, int maxlen, int *nRSBufferlen, void *pReserved, int waittime=1000);

// ѯ豸״̬(pBufڴûͷ,nTypeȷӦṹ壬ҪṹСڴ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDevState(LLONG lLoginID, int nType, char *pBuf, int nBufLen, int *pRetLen, int waittime=1000);

// ѯԶ豸״̬,nTypeΪDH_DEVSTATE_ALARM_FRONTDISCONNECTʱͨŴ1ʼ(pBufڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryRemotDevState(LLONG lLoginID, int nType, int nChannelID, char *pBuf, int nBufLen, int *pRetLen, int waittime=1000);

// ѯϵͳϢ(pSysInfoBufferڴûͷţСDH_SYS_ABILITYӦĽṹ壬nSystemTypeΪ ABILITY_DYNAMIC_CONNECT ڴСΪsizeof(BOOL),nSystemTypeΪABILITY_TRIGGER_MODEڴСΪsizeof(int))
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QuerySystemInfo(LLONG lLoginID, int nSystemType, char *pSysInfoBuffer, int maxlen, int *nSysInfolen, int waittime=1000);

// ϵͳѯӿڣѯϵͳϢ(JsonʽSDK)(szOutBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryNewSystemInfo(LLONG lLoginID, char* szCommand, int nChannelID, char* szOutBuffer, DWORD dwOutBufferSize, int *error, int waittime=1000);

// ȡͨ
CLIENT_NET_API LONG  CALL_METHOD CLIENT_GetStatiscFlux(LLONG lLoginID, LLONG  lPlayHandle);

// ȡ̨Ϣ(lpOutBufferڴûͷ)
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_GetPtzOptAttr(LLONG lLoginID,DWORD dwProtocolIndex,LPVOID lpOutBuffer,DWORD dwBufLen,DWORD *lpBytesReturned,int waittime=500);

// 豸, ӦCLIENT_GetDevCapsӿ
#define NET_DEV_CAP_SEQPOWER            0x01                // Դʱ, pInBuf=NET_IN_CAP_SEQPOWER*, pOutBuf=NET_OUT_CAP_SEQPOWER*
#define NET_ENCODE_CFG_CAPS             0x02                // 豸öӦ, pInBuf=NET_IN_ENCODE_CFG_CAPS*, pOutBuf= NET_OUT_ENCODE_CFG_CAPS*
#define NET_VIDEOIN_FISHEYE_CAPS        0x03                // , pInBuf=NET_IN_VIDEOIN_FISHEYE_CAPS*, pOutBuf=NET_OUT_VIDEOIN_FISHEYE_CAPS*
#define NET_COMPOSITE_CAPS              0x04                // ָĴںԤȻȡںϺ, pInBuf=NET_IN_COMPOSITE_CAPS*, pOutBuf=NET_OUT_COMPOSITE_CAPS*
#define NET_VIDEO_DETECT_CAPS           0x05                // ȡƵ,pInBuf=NET_IN_VIDEO_DETECT_CAPS* , pOutBuf=NET_OUT_VIDEO_DETECT_CAPS*
#define NET_THERMO_GRAPHY_CAPS          0x06                // ȳͷ,pInBuf=NET_IN_THERMO_GETCAPS*, pOutBuf=NET_OUT_THERMO_GETCAPS*
#define NET_RADIOMETRY_CAPS             0x07                // ȳȫ,pInBuf=NET_IN_RADIOMETRY_GETCAPS*, pOutBuf=NET_OUT_RADIOMETRY_GETCAPS*
#define NET_POS_CAPS                    0x08                // POS,pInBuf = NET_IN_POS_GETCAPS *, pOutBuf = NET_OUT_POS_GETCAPS *
#define NET_USER_MNG_CAPS               0x09                // û, pInBuf = NET_IN_USER_MNG_GETCAPS *, pOutBuf = NET_OUT_USER_MNG_GETCAPS *
#define NET_MEDIAMANAGER_CAPS           0x0a                // ȡ VideoInput ĸ,pInBuf=NET_IN_MEDIAMANAGER_GETCAPS*, pOutBuf=NET_OUT_MEDIAMANAGER_GETCAPS*
#define NET_VIDEO_MOSAIC_CAPS           0x0b                // ȡͨ˵,pInBuf=NET_IN_MEDIA_VIDEOMOSAIC_GETCAPS*, pOutBuf=NET_OUT_MEDIA_VIDEOMOSAIC_GETCAPS*
#define NET_SNAP_CFG_CAPS               0x0c                // 豸ץͼöӦ, pInBuf=NET_IN_SNAP_CFG_CAPS*, pOutBuf= NET_OUT_SNAP_CFG_CAPS*
#define NET_VIDEOIN_CAPS                0x0d                // 豸Ƶ, pInBUf = NET_IN_VIDEOIN_CAPS*, pOutBuf = NET_OUT_VIDEOIN_CAPS*
#define NET_FACE_BOARD_CAPS             0x0e                // 豸, pInBuf = NET_IN_FACEBOARD_CAPS*, pOutBuf = NET_OUT_FACEBOARD_CAPS*
#define NET_EXTERNALSENSOR_CAPS         0x0f                // ⲿpInBuf = NET_IN_EXTERNALSENSOR_CAPS*, pOutBuf = NET_OUT_EXTERNALSENSOR_CAPS*
#define NET_VIDEO_IMAGECONTROL_CAPS     0x10                // ͼת, pInBuf = NET_IN_VIDEO_IMAGECONTROL_CAPS*, pOutBuf = NET_OUT_VIDEO_IMAGECONTROL_CAPS*
#define NET_VIDEOIN_EXPOSURE_CAPS       0x11                // ع, pInBuf = NET_IN_VIDEOIN_EXPOSURE_CAPS*, pOutBuf = NET_OUT_VIDEOIN_EXPOSURE_CAPS*
#define NET_VIDEOIN_DENOISE_CAPS        0x12                // , pInBuf = NET_IN_VIDEOIN_DENOISE_CAPS*, pOutBuf = NET_OUT_VIDEOIN_DENOISE_CAPS*
#define NET_VIDEOIN_BACKLIGHT_CAPS      0x13                // , pInBuf = NET_IN_VIDEOIN_BACKLIGHT_CAPS*, pOutBuf = NET_OUT_VIDEOIN_BACKLIGHT_CAPS*
#define NET_VIDEOIN_WHITEBALANCE_CAPS   0x14                // ƽ, pInBuf = NET_IN_VIDEOIN_WHITEBALANCE_CAPS*, pOutBuf = NET_OUT_VIDEOIN_WHITEBALANCE_CAPS*
#define NET_VIDEOIN_DAYNIGHT_CAPS       0x15                // оҹ, pInBuf = NET_IN_VIDEOIN_DAYNIGHT_CAPS*, pOutBuf = NET_OUT_VIDEOIN_DAYNIGHT_CAPS*
#define NET_VIDEOIN_ZOOM_CAPS           0x16                // 䱶, pInBuf = NET_IN_VIDEOIN_ZOOM_CAPS*, pOutBuf = NET_OUT_VIDEOIN_ZOOM_CAPS*
#define NET_VIDEOIN_FOCUS_CAPS          0x17                // ۽, pInBuf = NET_IN_VIDEOIN_FOCUS_CAPS*, pOutBuf = NET_OUT_VIDEOIN_FOCUS_CAPS*
#define NET_VIDEOIN_SHARPNESS_CAPS      0x18                // , pInBuf = NET_IN_VIDEOIN_SHARPNESS_CAPS*, pOutBuf = NET_OUT_VIDEOIN_SHARPNESS_CAPS*
#define NET_VIDEOIN_COLOR_CAPS          0x19                // ͼ, pInBuf = NET_IN_VIDEOIN_COLOR_CAPS*, pOutBuf = NET_OUT_VIDEOIN_COLOR_CAPS*
#define NET_GET_MASTERSLAVEGROUP_CAPS   0x1a                // ȡҵ, pInBuf = NET_IN_GET_MASTERSLAVEGROUP_CAPS*, pOutBuf = NET_OUT_GET_MASTERSLAVEGROUP_CAPS*
#define NET_FACERECOGNITIONSE_CAPS      0x1b                // ʶѯ pInBuf = NET_IN_FACERECOGNITIONSERVER_CAPSBILITYQUERY, pOutBuf = NET_OUT_FACERECOGNITIONSERVER_CAPSBILITYQUERY *
#define NET_STORAGE_CAPS                0x1c                // ȡ洢, pInBuf = NET_IN_STORAGE_CAPS*, pOutBuf = NET_OUT_STORAGE_CAPS*
#define NET_VIDEOIN_RAWFRAME_CAPS       0x1d                // ȡƵչ, pInBuf = NET_IN_VIDEOIN_RAWFRAME_CAPS*, pOutBuf = NET_OUT_VIDEOIN_RAWFRAME_CAPS*
#define NET_COAXIAL_CONTROL_IO_CAPS     0x1e                // ȡͬIO, pInBuf = NET_IN_GET_COAXIAL_CONTROL_IO_CAPS*, pOutBuf = NET_OUT_GET_COAXIAL_CONTROL_IO_CAPS*
#define NET_FACEINFO_CAPS               0x1f                // Ž, pInBuf = NET_IN_GET_FACEINFO_CAPS*, pOutBuf = NET_OUT_GET_FACEINFO_CAPS*
#define NET_ACCESSCONTROL_CAPS          0x20                // ȡŽ, pInBuf = NET_IN_AC_CAPS*, pOutBuf = NET_OUT_AC_CAPS*
#define NET_COAXIAL_CONTROL_IO_STATUS   0x21                // ȡͬIO׹ƺ״̬, pInBuf = NET_IN_GET_COAXIAL_CONTROL_IO_STATUS*, pOutBuf = NET_OUT_GET_COAXIAL_CONTROL_IO_STATUS*
#define NET_LIGHTINGCONTROL_CAPS        0x22                // ȡ(IPC/SDʹ), pInBuf =NET_IN_LIGHTINGCONTROL_CAPS* ,pOutBuf=NET_OUT_LIGHTINGCONTROL_CAPS*
#define NET_SUPPORT_GET_AUDIO_DECODE_CAPS   0x23            // ȡ豸Ƿ֧Ƶȡ, pInBuf =NET_IN_SUPPORT_GET_AUDIO_DECODE_CAPS* ,pOutBuf=NET_OUT_SUPPORT_GET_AUDIO_DECODE_CAPS*
#define NET_UNIFIEDINFOCOLLECT_CAPS     0x24                // ȡ豸Ƿ֧DMSSרЭ,pInBuf = NET_IN_UNIFIEDINFOCOLLECT_CAPS*, pOutBuf = NET_OUT_UNIFIEDINFOCOLLECT_CAPS*
#define NET_EXALARMBOX_CAPS             0x25                // ȡĳչе, pInBuf = NET_IN_EXALARMBOX_CAPS*, pOutBuf = NET_OUT_EXALARMBOX_CAPS*
#define NET_ALARMBOXMANAGER_CAPS        0x26                // ȡӹpInBuf = NET_IN_ALARMBOXMANAGER_CAPS*, pOutBuf = NET_OUT_ALARMBOXMANAGER_CAPS* 
#define NET_GET_AUDIO_DETECT_CAPS       0x27                // ȡƵ, pInBuf = NET_IN_GET_AUDIO_DETECT_CAPS*, pOutBuf = NET_OUT_GET_AUDIO_DETECT_CAPS*                   
#define NET_SUPPORT_FACEDB_DOWNLOAD     0x28                // ȡǷ֧Զ, pInBuf = NET_IN_SUPPORT_FACEDB_DOWNLOAD_CAPS*, pOutBuf = NET_OUT_SUPPORT_FACEDB_DOWNLOAD_CAPS*
#define NET_GET_LENS_FUNC_CAPS          0x29                // ȡǶȵ, pInBuf = NET_IN_GET_LENS_FUNC_CAPS*, pOutBuf = NET_OUT_GET_LENS_FUNC_CAPS*
#define NET_VIDEO_IN_DEFOG_CAPS         0x30                // ȡƵ͸, pInBuf = NET_IN_VIDEO_IN_DEFOG_CAPS*, pOutBuf = NET_OUT_VIDEO_IN_DEFOG_CAPS*       
#define NET_DIAGNOSIS_CAPS				0x31				// ȡpInBuf = NET_IN_DIAGNOSIS_CAPS*, pOutBuf = NET_OUT_DIAGNOSIS_CAPS*
#define NET_LOWRATEWPAN_CAPS			0x32				// ȡ͹WPANpInBuf = NET_IN_LOWRATEWPAN_CAPS*, pOutBuf = NET_OUT_LOWRATEWPAN_CAPS*
#define NET_GET_FILE_TRANSFER_CAPS      0x33                // ȡԶļ, pInBuf = NET_IN_GET_FILE_TRANSFER_CAPS*, pOutBuf = NET_OUT_GET_FILE_TRANSFER_CAPS*
#define NET_REMOTE_COLLECT_DEVINFO_CAPS  0x36				// ȡԶ豸Ϣɼ pInBuf = NET_IN_REMOTE_COLLECT_DEVINFO_CAPS*, pOutBuf = NET_OUT_REMOTE_COLLECT_DEVINFO_CAPS*

// ȡ豸(pInBuf, pOutBufڴûͷţnTypeӦҵӦĽṹ壬ȷڴС)
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_GetDevCaps(LLONG lLoginID, int nType, void* pInBuf, void* pOutBuf, int nWaitTime);

// 豸Ϣ,ӦCLIENT_QueryDevInfoӿ
#define NET_QUERY_DEV_STORAGE_NAMES                 0x01                // ѯ豸Ĵ洢ģб , pInBuf=NET_IN_STORAGE_DEV_NAMES *, pOutBuf=NET_OUT_STORAGE_DEV_NAMES *
#define NET_QUERY_DEV_STORAGE_INFOS                 0x02                // ѯ豸Ĵ洢ģϢб, pInBuf=NET_IN_STORAGE_DEV_INFOS*, pOutBuf= NET_OUT_STORAGE_DEV_INFOS *
#define NET_QUERY_RECENCY_JNNCTION_CAR_INFO         0x03                // ѯĿڳϢӿ, pInBuf=NET_IN_GET_RECENCY_JUNCTION_CAR_INFO*, pOutBuf=NET_OUT_GET_RECENCY_JUNCTION_CAR_INFO*
#define NET_QUERY_LANES_STATE                       0x04                // ѯϢ,pInBuf = NET_IN_GET_LANES_STATE , pOutBuf = NET_OUT_GET_LANES_STATE
#define NET_QUERY_DEV_FISHEYE_WININFO               0x05                // ѯ۴Ϣ , pInBuf= NET_IN_FISHEYE_WININFO*, pOutBuf=NET_OUT_FISHEYE_WININFO *
#define NET_QUERY_DEV_REMOTE_DEVICE_INFO            0x06                // ѯԶ豸Ϣ , pInBuf= NET_IN_GET_DEVICE_INFO*, pOutBuf= NET_OUT_GET_DEVICE_INFO *
#define NET_QUERY_SYSTEM_INFO                       0x07                // ѯ豸ϵͳϢ , pInBuf= NET_IN_SYSTEM_INFO*, pOutBuf= NET_OUT_SYSTEM_INFO*
#define NET_QUERY_REG_DEVICE_NET_INFO               0x08                // ѯע豸 , pInBuf=NET_IN_REGDEV_NET_INFO * , pOutBuf=NET_OUT_REGDEV_NET_INFO *
#define NET_QUERY_DEV_THERMO_GRAPHY_PRESET          0x09                // ѯȳԤϢ , pInBuf= NET_IN_THERMO_GET_PRESETINFO*, pOutBuf= NET_OUT_THERMO_GET_PRESETINFO *
#define NET_QUERY_DEV_THERMO_GRAPHY_OPTREGION       0x0a                // ѯȳȤϢ,pInBuf= NET_IN_THERMO_GET_OPTREGION*, pOutBuf= NET_OUT_THERMO_GET_OPTREGION *
#define NET_QUERY_DEV_THERMO_GRAPHY_EXTSYSINFO      0x0b                // ѯȳⲿϵͳϢ, pInBuf= NET_IN_THERMO_GET_EXTSYSINFO*, pOutBuf= NET_OUT_THERMO_GET_EXTSYSINFO *
#define NET_QUERY_DEV_RADIOMETRY_POINT_TEMPER       0x0c                // ѯµĲֵ, pInBuf= NET_IN_RADIOMETRY_GETPOINTTEMPER*, pOutBuf= NET_OUT_RADIOMETRY_GETPOINTTEMPER *
#define NET_QUERY_DEV_RADIOMETRY_TEMPER             0x0d                // ѯĲֵ, pInBuf= NET_IN_RADIOMETRY_GETTEMPER*, pOutBuf= NET_OUT_RADIOMETRY_GETTEMPER *
#define NET_QUERY_GET_CAMERA_STATE                  0x0e                // ȡ״̬, pInBuf= NET_IN_GET_CAMERA_STATEINFO*, pOutBuf= NET_OUT_GET_CAMERA_STATEINFO *
#define NET_QUERY_GET_REMOTE_CHANNEL_AUDIO_ENCODE   0x0f                // ȡԶͨƵ뷽ʽ, pInBuf= NET_IN_GET_REMOTE_CHANNEL_AUDIO_ENCODEINFO*, pOutBuf= NET_OUT_GET_REMOTE_CHANNEL_AUDIO_ENCODEINFO *
#define NET_QUERY_GET_COMM_PORT_INFO                0x10                // ȡ豸Ϣ, pInBuf=NET_IN_GET_COMM_PORT_INFO* , pOutBuf=NET_OUT_GET_COMM_PORT_INFO* 
#define NET_QUERY_GET_LINKCHANNELS                  0x11                // ѯĳƵͨĹͨб,pInBuf=NET_IN_GET_LINKCHANNELS* , pOutBuf=NET_OUT_GET_LINKCHANNELS*
#define NET_QUERY_GET_VIDEOOUTPUTCHANNELS           0x12                // ȡͨͳϢ, pInBuf=NET_IN_GET_VIDEOOUTPUTCHANNELS*, pOutBuf=NET_OUT_GET_VIDEOOUTPUTCHANNELS*
#define NET_QUERY_GET_VIDEOINFO                     0x13                // ȡͨϢ, pInBuf=NET_IN_GET_VIDEOINFO*, pOutBuf=NET_OUT_GET_VIDEOINFO*
#define NET_QUERY_GET_ALLLINKCHANNELS               0x14                // ѯȫƵͨб,pInBuf=NET_IN_GET_ALLLINKCHANNELS* , pOutBuf=NET_OUT_GET_ALLLINKCHANNELS*
#define NET_QUERY_VIDEOCHANNELSINFO                 0x15                // ѯƵͨϢ,pInBuf=NET_IN_GET_VIDEOCHANNELSINFO* , pOutBuf=NET_OUT_GET_VIDEOCHANNELSINFO*
#define NET_QUERY_TRAFFICRADAR_VERSION              0x16                // ѯ״豸汾,pInBuf=NET_IN_TRAFFICRADAR_VERSION* , pOutBuf=NET_OUT_TRAFFICRADAR_VERSION*
#define NET_QUERY_WORKGROUP_NAMES                   0x17                // ѯеĹĿ¼,pInBuf=NET_IN_WORKGROUP_NAMES* , pOutBuf=NET_OUT_WORKGROUP_NAMES*
#define NET_QUERY_WORKGROUP_INFO                    0x18                // ѯϢ,pInBuf=NET_IN_WORKGROUP_INFO* , pOutBuf=NET_OUT_WORKGROUP_INFO*
#define NET_QUERY_WLAN_ACCESSPOINT                  0x19                // ѯϢ,pInBuf=NET_IN_WLAN_ACCESSPOINT* , pOutBuf=NET_OUT_WLAN_ACCESSPOINT*
#define NET_QUERY_GPS_INFO							0x1a				// ѯ豸GPSϢ,pInBuf=NET_IN_DEV_GPS_INFO* , pOutBuf=NET_OUT_DEV_GPS_INFO*
#define NET_QUERY_IVS_REMOTE_DEVICE_INFO            0x1b                // ѯIVSǰ豸Զ豸Ϣ, pInBuf = NET_IN_IVS_REMOTE_DEV_INFO*, pOutBuf = NET_OUT_IVS_REMOTE_DEV_INFO*
#define NET_QUERY_SMART_SWITCH_INFO                 0x1c                // ѯܲϢ, pInBuf = NET_IN_SMART_SWITCH_INFO*,  pOutBuf = NET_OUT_SMART_SWITCH_INFO*
#define NET_QUERY_UPGRADE_STATE                     0x1d                // ѯ״̬Ϣ, pInBuf = NET_IN_UPGRADE_STATE*, pOutBuf = NET_OUT_UPGRADE_STATE* 
#define NET_QUERY_VIDEO_ENCODE_CAPS					0x1e				// ȡƵ, pInBuf = NET_IN_VIDEO_ENCODE_CAPS*, pOutBuf = NET_OUT_VIDEO_ENCODE_CAPS* 
#define NET_QUERY_AUDIO_ENCODE_CAPS					0x1f				// ȡƵ, pInBuf = NET_IN_AUDIO_ENCODE_CAPS*, pOutBuf = NET_OUT_AUDIO_ENCODE_CAPS* 
#define NET_QUERY_AUDIO_IN_CAPS						0x20				// ȡƵͨ, pInBuf = NET_IN_AUDIO_IN_CAPS*, pOutBuf = NET_OUT_AUDIO_IN_CAPS* 
#define NET_QUERY_SMART_ENCODE_CAPS					0x21				// ѯSmart, pInBuf = NET_IN_SMART_ENCODE_CAPS*, pOutBuf = NET_OUT_SMART_ENCODE_CAPS* 
#define NET_QUERY_HARDDISK_TEMPERATURE				0x22				// ȡӲ¶,pInBuf = NET_IN_HDD_TEMPERATURE*, pOutBuf = NET_OUT_HDD_TEMPERATURE*
#define NET_QUERY_RAWFRAMEDATA						0x23				// ȡָʽYUV, pInBuf = NET_IN_RAWFRAMEDATA*, pOutBuf = NET_OUT_RAWFRAMEDARA*
#define NET_QUERY_GETSPLICEDATA						0x24				// ȡ豸ƴӲӿ, pInBuf = NET_IN_GETSPLICEDATA*, pOutBuf = NET_OUT_GETSPLICEDATA*
#define NET_QUERY_AUDIO_DECODE_CAPS					0x25				// ȡƵ, pInBuf = NET_IN_AUDIO_DECODE_CAPS*, pOutBuf = NET_OUT_AUDIO_DECODE_CAPS* 
#define	NET_QUERY_DEVICE_ID							0x26				// ȡ豸ID, pInBuf = NET_IN_DEVICE_ID*, pOutBuf = NET_OUT_DEVICE_ID* 

// ѯ豸Ϣ(pInBuf, pOutBufڴûͷ,nQueryTypeӦҵӦĽṹ壬ȷڴС)
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_QueryDevInfo(LLONG lLoginID, int nQueryType, void* pInBuf, void* pOutBuf, void *pReserved = NULL , int nWaitTime = 1000);
//------------------------------------------------------------------------

// 豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RebootDev(LLONG lLoginID);

// ر豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ShutDownDev(LLONG lLoginID);

// 豸(paramڴûͷţСtypeͶӦĽṹ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ControlDevice(LLONG lLoginID, CtrlType type, void *param, int waittime = 1000);

// 첽豸(paramڴûͷţСtypeͶӦĽṹ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartControlDevice(LLONG lLoginID, CtrlType type, void *param);

// 豸չӿڣ CLIENT_ControlDevice (pInBuf, pOutBufڴûͷ,emTypeȷӦṹ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ControlDeviceEx(LLONG lLoginID, CtrlType emType, void* pInBuf, void* pOutBuf = NULL, int nWaitTime = 1000);

#define DH_POS_EXCHANGE_GOODS_MAX				4			//ѯʱֵ֧Ʒ
#define DH_POS_EXCHANGE_FUSSY_KEY_MAX			4			//ģѯֵ֧Ĺؼ

// POSȡϢģѯKEYֵ
typedef enum tagEM_NET_POS_EXCHANGE_FUSSY_KEY
{
    EM_NET_POS_EXCHANGE_KEY_NULL = 0,                      // ģѯ,ֻҪһֵΪEM_NET_POS_EXCHANGE_KEY_NULLֵ֮ĿǰֻEM_NET_POS_EXCHANGE_KEY_GOODS,ͻӦֶεģѯ
    EM_NET_POS_EXCHANGE_KEY_GOODS = 1,                     // ģѯʱ Ʒ ΪKEYֵ(Ŀǰֻ֧ģѯƷ)
} EM_NET_POS_EXCHANGE_FUSSY_KEY;

// ӿ CLIENT_StartFind ӿ NET_FIND_POS_EXCHANGE 
typedef struct tagNET_IN_POSEXCHANGE_STARTFIND
{
	DWORD                            dwSize;															//ṹС
    int	                             nChannel;															//Ҫͨ,0ʼ,ԪΪ-1ʱ,ʾȫͨ
    NET_TIME_EX	                     stuStartTime;														//ʼʱ,, û
    NET_TIME_EX	                     stuEndTime;														//ʱ,ʾΪֹ, û
	char						     szGoods[DH_POS_EXCHANGE_GOODS_MAX][DH_COMMON_STRING_32];			//Ʒ,ѡ,ַ
	EM_NET_POS_EXCHANGE_FUSSY_KEY    szFuzzyPattern[DH_POS_EXCHANGE_FUSSY_KEY_MAX];	            		//ָģѯĹؼ,δָؼֵʹþȷѯ,
																								    	//,ҪģѯʱNULL
    int                              nPosId;                                                            //PosΨһʶ, -1ʶȫ
} NET_IN_POSEXCHANGE_STARTFIND;

// ӿ CLIENT_StartFind ӿ NET_FIND_POS_EXCHANGE 
typedef struct tagNET_OUT_POSEXCHANGE_STARTFIND
{
    DWORD                dwSize;                         // ˽ṹС
    unsigned int		 nToken;						 // ѯ
    DWORD                dwTotalCount;                   // ܸ
}NET_OUT_POSEXCHANGE_STARTFIND;

// ӿ CLIENT_DoFind ӿ NET_FIND_POS_EXCHANGE 
typedef struct tagNET_IN_POSEXCHANGE_DOFIND
{
    DWORD                dwSize;                         // ˽ṹС
	unsigned int         nToken;						 // ѯ
	unsigned int		 nBeginNumber;					 // ʼ	0<=dwBeginNumber<=dwTotalCount-1
	unsigned int         nCount;						 // ÿβѯPOSϢ
} NET_IN_POSEXCHANGE_DOFIND;

// POSϢ
typedef struct tagNET_POSEXCHANGE_INFO
{
	NET_TIME			stuExchangeTime;				//׷ʱ
}NET_POSEXCHANGE_INFO;

// POSϢչֶ
typedef struct tagNET_POSEXCHANGE_INFO_EX
{
    int                 nPosId;                         // PosΨһʶ
    char                cDetail[512];                   // ׵ľϢ
    int                 nDetailLen;                     // ׵ľϢ
    BYTE                reserved[1024];                 // Ԥ
} NET_POSEXCHANGE_INFO_EX;

// ӿ CLIENT_DoFind ӿ NET_FIND_POS_EXCHANGE 
typedef struct tagNET_OUT_POSEXCHANGE_DOFIND
{
    DWORD						dwSize;												// ˽ṹС
    DWORD						dwFound;											// ѯĸ
	NET_POSEXCHANGE_INFO		arrPOSExchangeInfo[DH_MAX_POS_EXCHANGE_INFO];		// ѯĽϢб
    NET_POSEXCHANGE_INFO_EX     stuInfoEx[DH_MAX_POS_EXCHANGE_INFO];                // Ϣ
}NET_OUT_POSEXCHANGE_DOFIND;

// CLIENT_StopFind ӿ NET_FIND_POS_EXCHANGE 
typedef struct tagNET_IN_POSEXCHANGE_STOPFIND
{   
    DWORD               dwSize;								// ˽ṹС
    unsigned int        nToken;								// ѯ
} NET_IN_POSEXCHANGE_STOPFIND;

// CLIENT_StopFind ӿ NET_FIND_POS_EXCHANGE 
typedef struct tagNET_OUT_POSEXCHANGE_STOPFIND
{   
    DWORD               dwSize;								// ˽ṹС
} NET_OUT_POSEXCHANGE_STOPFIND;

// 豸Ϣ,Ӧ CLIENT_StartFind CLIENT_DoFind CLIENT_StopFind ӿ
typedef enum tagNET_FIND {
    NET_FIND_RADIOMETRY,                            // ȳ¶Ȳѯ, pInBuf= NET_IN_RADIOMETRY_*FIND*, pOutBuf= NET_OUT_RADIOMETRY_*FIND*   
	NET_FIND_POS_EXCHANGE,							// POSϢѯ,pInBuf = NET_IN_POSEXCHANGE_*FIND*,pOutBuf= NET_OUT_POSEXCHANGE_*FIND*
} NET_FIND;

// صʽ
typedef enum tagNET_VIDEOSTREAM_TYPE
{
	NET_VIDEOSTREAM_NORMAL,							// Ĭϸʽ
	NET_VIDEOSTREAM_YUV,							// YUVʽ
} NET_VIDEOSTREAM_TYPE;


#define MAX_EVENT_LINK_QUERY_CODE_NUMBER	8		// ÿβѯ
#define MAX_EVENT_LINK_NAME_NUMBER			16		// ÿ¼

typedef enum tagEM_NET_QUERY_CODE {
		EM_NET_QUERY_CODE_UNKNOWN,					// δ֪
		EM_NET_QUERY_CODE_CROSSLINEDETECTION,		// /¼	CrossLineDetection
		EM_NET_QUERY_CODE_CROSSREGIONDETECTION,		// ¼		CrossRegionDetection
		EM_NET_QUERY_CODE_TAKENAWAYDETECTION,		// Ʒ¼		TakenAwayDetection
		EM_NET_QUERY_CODE_LEFTDETECTION,			// Ʒ¼		LeftDetection
		EM_NET_QUERY_CODE_PARKINGDETECTION,			// Ƿͣ¼		ParkingDetection
		EM_NET_QUERY_CODE_WANDERDETECTION,			// ǻ¼			WanderDetection
		EM_NET_QUERY_CODE_MOVEDETECTION,			// ˶¼		MoveDetection
		EM_NET_QUERY_CODE_FACEDETECTION,			// ¼		FaceDetection
		EM_NET_QUERY_CODE_RETROGRADEDETECTION,		// Ա¼		RetrogradeDetection
		EM_NET_QUERY_CODE_NUMBERSTAT,				// /ͳ¼	NumberStat
		EM_NET_QUERY_CODE_TRAFFICJUNCTION,			// ½ͨ·¼	TrafficJunction
		EM_NET_QUERY_CODE_RIOTERDETECTION,			// ¼			RioterDetection
		EM_NET_QUERY_CODE_ALARMLOCAL,				// ⲿ¼	AlarmLocal
		EM_NET_QUERY_CODE_VIDEOMOTION,				// Ƶƶ¼	VideoMotion
		EM_NET_QUERY_CODE_VIDEOBLIND,				// Ƶڵ¼		VideoBlind
		EM_NET_QUERY_CODE_AUDIODETECT,				// ¼		AudioDetect
		EM_NET_QUERY_CODE_AUDIOANOMALY,				// 쳣¼		AudioAnomaly
		EM_NET_QUERY_CODE_AUDIOMUTATION,			// ǿͻ¼		AudioMutation
		EM_NET_QUERY_CODE_SCENECHANGE,				// IPC¼	SceneChange
		EM_NET_QUERY_CODE_VIDEOUNFOCUS,				// Ƶ齹¼		VideoUnFocus
		EM_NET_QUERY_CODE_STORAGELOWSPACE,			// Ӳ̿ռͱ¼	StorageLowSpace
		EM_NET_QUERY_CODE_STORAGEFAILURE,			// 洢¼		StorageFailure
		EM_NET_QUERY_CODE_LOGINFAILURE,				// ½ʧ¼		LoginFailure
		EM_NET_QUERY_CODE_STORAGENOTEXIST,			// 洢鲻¼	StorageNotExist
		EM_NET_QUERY_CODE_IPCONFLICT,				// IPͻ¼		IPConflict
		EM_NET_QUERY_CODE_NETABORT,					// 豸¼	NetAbort
		EM_NET_QUERY_CODE_HOTPLUG,					// Ȳ¼		HotPlug
		EM_NET_QUERY_CODE_STORAGEFORMAT,			// 洢ʽ			StorageFormat
		EM_NET_QUERY_CODE_EMERGENCYRECORDPULL,		// ¼񱨾¼	EmergencyRecordPull
} EM_NET_QUERY_CODE;


typedef enum tagEM_NET_LINK_NAME {
		EM_NET_LINK_NAME_UNKNOWN,				// δ֪
		EM_NET_LINK_NAME_DEFAULT,				// Ĭ,eventManager.getCapsȡ		default
		EM_NET_LINK_NAME_TIMESECTIONENABLE,		// ʱ¼Ӧ	TimeSectionEnable
		EM_NET_LINK_NAME_RECORDENABLE,			// ¼			RecordEnable
		EM_NET_LINK_NAME_RECORDCLOUDENABLE,		// ¼ƴ洢	RecordCloudEnable
		EM_NET_LINK_NAME_ALARMOUTENABLE,		// 		AlarmOutEnable
		EM_NET_LINK_NAME_PTZLINKENABLE,			// ̨		PtzLinkEnable
		EM_NET_LINK_NAME_SNAPSHOTENABLE,		// 			SnapshotEnable
		EM_NET_LINK_NAME_SNAPSHOTCLOUDENABLE,	// ץͼƴ洢	SnapshotCloudEnable
		EM_NET_LINK_NAME_MAILENABLE,			// ʼ		MailEnable
		EM_NET_LINK_NAME_BEEPENABLE,			// 			BeepEnable
		EM_NET_LINK_NAME_DEJITTERENABLE,		// ȥ		DejitterEnable
		EM_NET_LINK_NAME_TIPENABLE,				// Ϣʾ	TipEnable
		EM_NET_LINK_NAME_MONITORTOURENABLE,		// ѯ	MonitorTourEnable
		EM_NET_LINK_NAME_MMSENABLE,				// Ϣ		MMSEnable
		EM_NET_LINK_NAME_SUPPORTALARMBELL,		// 		SupportAlarmBell
		EM_NET_LINK_NAME_SUPPORTACCESSCONTROL,	// Ž		SupportAccessControl
		EM_NET_LINK_NAME_SIPCALLENABLE,			// SIP		SipCallEnable
		EM_NET_LINK_NAME_SUPPORTALARMSERVER,	// ϴ	SupportAlarmServer
		EM_NET_LINK_NAME_SUPPORTPTZLINKDELAY,	// ̨ӳ	SupportPtzLinkDelay
		EM_NET_LINK_NAME_SUPPORTPSTNALARMSERVER,// ϴ绰	SupportPSTNAlarmServer
		EM_NET_LINK_NAME_SUPPORTICR,			// ICR(˫˹Ƭл)л	SupportICR
		EM_NET_LINK_NAME_BEEPTIME,				// ʱ	BeepTime
		EM_NET_LINK_NAME_DEJITTERRANGE,			// ȥΧ	DejitterRange
		EM_NET_LINK_NAME_ALARMOUTLATCH,			// ʱ	AlarmOutLatch
		EM_NET_LINK_NAME_RECORDLATCH,			// ¼ʱ		RecordLatch
		EM_NET_LINK_NAME_VOICEENABLE,			// ʾ		VoiceEnable
		EM_NET_LINK_NAME_LOGENABLE,				// ־		LogEnable
		EM_NET_LINK_NAME_SUPPORTLIGHTCONTROL,	// ƹ	SupportLightControl
		EM_NET_LINK_NAME_SUPPORTVIDEOMATRIX,	// Ƶ	SupportVideoMatrix
} EM_NET_LINK_NAME;

// CLIENT_getEventLink ӿ
typedef struct tagNET_IN_EVENT_LINK
{   
    DWORD               dwSize;					// ˽ṹС
	int					nCodeNum;				// ѯ¼
	EM_NET_QUERY_CODE	szCodeName[MAX_EVENT_LINK_QUERY_CODE_NUMBER];		// ѯ¼б
} NET_IN_EVENT_LINK;

// CLIENT_getEventLink ӿڳ
typedef struct tagNET_OUT_EVENT_LINK
{   
    DWORD               dwSize;						// ˽ṹС
	EM_NET_LINK_NAME	szLinkName[MAX_EVENT_LINK_QUERY_CODE_NUMBER][MAX_EVENT_LINK_NAME_NUMBER];		// 
} NET_OUT_EVENT_LINK;

// CLIENT_GetVideoInAnalyseEnableChannels ӿ
typedef struct tagNET_IN_VIDEOINANALYSE_GET_ENABLECHANNELS
{
	DWORD               dwSize;						// ˽ṹС
} NET_IN_VIDEOINANALYSE_GET_ENABLECHANNELS;

// CLIENT_GetVideoInAnalyseEnableChannels ӿ
typedef struct tagNET_OUT_VIDEOINANALYSE_GET_ENABLECHANNELS
{
	DWORD               dwSize;										// ˽ṹС
	int					nLocalChnNum;								// ʹܵĺͨ
	int					nLocalChannel[DH_MAX_CAMERA_CHANNEL_NUM];	// ʹܵͨб
	int					nRemoteChnNum;								// ʹܵǰͨ
	int					nRemoteChannel[DH_MAX_CAMERA_CHANNEL_NUM];	// ǰʹܵͨб
} NET_OUT_VIDEOINANALYSE_GET_ENABLECHANNELS;

// ʼѯϢȡѯ(pInBuf, pOutBufڴûͷ,emTypeӦҵӦĽṹ壬ȷڴС)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartFind(LLONG lLoginID, NET_FIND emType, void* pInBuf, void* pOutBuf, int nWaitTime = 1000);
// ѯϢ(pInBuf, pOutBufڴûͷ,emTypeӦҵӦĽṹ壬ȷڴС
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFind(LLONG lLoginID, NET_FIND emType, void* pInBuf, void* pOutBuf, int nWaitTime = 1000);
// ֹͣѯϢٲѯ(pInBuf, pOutBufڴûͷ,emTypeӦҵӦĽṹ壬ȷڴС)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFind(LLONG lLoginID, NET_FIND emType, void* pInBuf, void* pOutBuf, int nWaitTime = 1000);

// ͨ¼״̬(pRsBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetupRecordState(LLONG lLoginID, char *pRSBuffer, int nRSBufferlen);

// ͨ¼״̬(pRsBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetupExtraRecordState(LLONG lLoginID, char *pRSBuffer, int nRSBufferlen, void* pReserved);

// ѯIO״̬(pStateڴûͷ,emTypeӦҵӦĽṹ壬ȷڴС)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryIOControlState(LLONG lLoginID, DH_IOTYPE emType, 
                                           void *pState, int maxlen, int *nIOCount, int waittime=1000);

// IO(pStateڴûͷ,emTypeӦҵӦĽṹ壬ȷڴС)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_IOControl(LLONG lLoginID, DH_IOTYPE emType, void *pState, int maxlen);

// ǿI֡nChannelIDͨ,nSubChannel(0,11)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MakeKeyFrame(LLONG lLoginID, int nChannelID, int nSubChannel=0);

// ע
typedef void (CALLBACK *fConnectMessCallBack)(LLONG lConnectHandle, NET_CLOUDSERVICE_CONNECT_RESULT* pConnectResult, void* pReserved, LDWORD dwUser);
// ע,pConnectParmڴûͷ,СΪsizeof(NET_CLOUDSERVICE_CONNECT_PARAM)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ConnectCloudService(LLONG lLoginID, NET_CLOUDSERVICE_CONNECT_PARAM* pConnectParm, fConnectMessCallBack pConnectMessCB, LDWORD dwUser, void* pReserved);
//------------------------------------------------------------------------

// ѯûϢ(infoڴûͷ,СΪsizeof(USER_MANAGE_INFO))
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryUserInfo(LLONG lLoginID, USER_MANAGE_INFO *info, int waittime=1000);

// ѯûϢ--չ(infoڴûͷ,СΪsizeof(USER_MANAGE_INFO_EX))
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryUserInfoEx(LLONG lLoginID, USER_MANAGE_INFO_EX *info, int waittime=1000);

// ѯûϢ--֧64ͨ豸(infoڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryUserInfoNew(LLONG lLoginID, USER_MANAGE_INFO_NEW *info, void* pReserved, int waittime = 1000);

// 豸û(opParam, subParamڴûͷ,nOperateTypeӦҵӦĽṹ壬ȷڴС)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateUserInfo(LLONG lLoginID, int nOperateType, void *opParam, void *subParam, int waittime=1000);

// 豸û--չ(opParam, subParamڴûͷ,nOperateTypeӦҵӦĽṹ壬ȷڴС)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateUserInfoEx(LLONG lLoginID, int nOperateType, void *opParam, void *subParam, int waittime=1000);

// 豸û--֧64ͨ豸(opParam, subParamڴûͷ,nOperateTypeӦҵӦĽṹ壬ȷڴС)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateUserInfoNew(LLONG lLoginID, int nOperateType, void *opParam, void *subParam, void* pRetParam, int waittime = 1000);

//------------------------------------------------------------------------

// ͸ͨ,TransComType2ֽڱʾ,2ֽڱʾ,Ŀǰ֧0,1:485
CLIENT_NET_API LLONG CALL_METHOD CLIENT_CreateTransComChannel(LLONG lLoginID, int TransComType, unsigned int baudrate, unsigned int databits, unsigned int stopbits, unsigned int parity, fTransComCallBack cbTransCom, LDWORD dwUser);

// ͸ڷ(pBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SendTransComData(LLONG lTransComChannel, char *pBuffer, DWORD dwBufSize);

// ͷͨͨ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DestroyTransComChannel(LLONG lTransComChannel);

// ѯ͸״̬(pCommStateڴûͷ)
CLIENT_NET_API BOOL   CALL_METHOD CLIENT_QueryTransComParams(LLONG lLoginID, int TransComType, DH_COMM_STATE* pCommState, int nWaitTime = 500);

//------------------------------------------------------------------------

// ʼ豸,pchFileNameûͷڴ棬СΪMAX_PATH
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartUpgrade(LLONG lLoginID, char *pchFileName, fUpgradeCallBack cbUpgrade, LDWORD dwUser);

// ʼ豸--չ,pchFileNameûͷڴ棬СΪMAX_PATH
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartUpgradeEx(LLONG lLoginID, EM_UPGRADE_TYPE emType, char *pchFileName, fUpgradeCallBack cbUpgrade, LDWORD dwUser);

//ʼ豸--չ֧Gļ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartUpgradeEx2(LLONG lLoginID, EM_UPGRADE_TYPE emType, char *pchFileName, fUpgradeCallBackEx cbUpgrade, LDWORD dwUser);

// 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SendUpgrade(LLONG lUpgradeID);

// 豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopUpgrade(LLONG lUpgradeID);

//------------------------------------------------------------------------
// Զص
typedef enum tagEM_REMOTE_UPGRADE_CB_TYPE
{
	EM_REMOTE_UPGRADE_CB_TYPE_APPENDING,				// ͻص	nParam1 ļܴС nParam2 ѷʹС
	EM_REMOTE_UPGRADE_CB_TYPE_EXECUTE,					// ɻص	nParam1 
	EM_REMOTE_UPGRADE_CB_TYPE_FAILED,					// ʧܻص nParam1 
	EM_REMOTE_UPGRADE_CB_TYPE_CANCEL,					// ûȡ
}EM_REMOTE_UPGRADE_CB_TYPE;

// Զ豸ص
typedef void (CALLBACK *fRemoteUpgradeCallBack) (LLONG lLoginID, LLONG lUpgradeID, EM_REMOTE_UPGRADE_CB_TYPE emState, INT64 nParam1, INT64 nParam2, LDWORD dwUser);

// ԶͨϢ
typedef struct tagNET_REMOTE_UPGRADE_CHNL_INFO
{
	UINT				nChannel;					// Զͨ
	BYTE				byReserved[512];			// Ԥֶ
}NET_REMOTE_UPGRADE_CHNL_INFO;

// CLIENT_StartRemoteUpgrade-
typedef struct tagNET_IN_START_REMOTE_UPGRADE_INFO
{
	DWORD							dwSize;						// ˽ṹС
	UINT							nListNum;					// ҪԶͨ
	NET_REMOTE_UPGRADE_CHNL_INFO	*pstuList;					// ҪԶͨϢ
	void							*pReserved;					// ֽڶ
	char							szFileName[256];			// ļ
	fRemoteUpgradeCallBack			cbRemoteUpgrade;			// Ȼص
	LDWORD							dwUser;						// û
}NET_IN_START_REMOTE_UPGRADE_INFO;

// CLIENT_StartRemoteUpgrade-
typedef struct tagNET_OUT_START_REMOTE_UPGRADE_INFO
{
	DWORD							dwSize;						// ˽ṹС
}NET_OUT_START_REMOTE_UPGRADE_INFO;

// Զ豸״̬
typedef enum tagEM_REMOTE_UPGRADE_STATE
{
	EM_REMOTE_UPGRADE_STATE_UNKNOWN,							// δ֪
	EM_REMOTE_UPGRADE_STATE_INIT,								// ʼ״̬(δ)
	EM_REMOTE_UPGRADE_STATE_DOWNLOADING,						// 
	EM_REMOTE_UPGRADE_STATE_UPGRADING,							// 
	EM_REMOTE_UPGRADE_STATE_FAILED,								// ʧ
	EM_REMOTE_UPGRADE_STATE_SUCCEEDED,							// ɹ
	EM_REMOTE_UPGRADE_STATE_CANCELLED,							// ȡ
	EM_REMOTE_UPGRADE_STATE_PREPARING,							// ׼
}EM_REMOTE_UPGRADE_STATE;

// Զ豸״̬
typedef struct tagNET_REMOTE_UPGRADER_STATE
{
	int								nChannel;					// ͨ
	EM_REMOTE_UPGRADE_STATE			emState;					// ״̬
	int								nProgress;					// 
}NET_REMOTE_UPGRADER_STATE;

// Զ豸Ϣϱ
typedef struct tagNET_REMOTE_UPGRADER_NOTIFY_INFO
{
	LDWORD							nStateNum;					// ״̬
	NET_REMOTE_UPGRADER_STATE*		pstuStates;					// ״̬б
	BYTE							byReserved[1024];			// Ԥ
}NET_REMOTE_UPGRADER_NOTIFY_INFO;

// ״̬ص
typedef void (CALLBACK *fRemoteUpgraderStateCallback) (LLONG lLoginId, LLONG lAttachHandle, NET_REMOTE_UPGRADER_NOTIFY_INFO* pBuf, DWORD dwBufLen, void* pReserved, LDWORD dwUser);

// CLIENT_AttachRemoteUpgradeState-
typedef struct tagNET_IN_ATTACH_REMOTEUPGRADE_STATE
{
	DWORD							dwSize;						// ˽ṹС
	fRemoteUpgraderStateCallback	cbCallback;					// ص
	LDWORD							dwUser;						// û
}NET_IN_ATTACH_REMOTEUPGRADE_STATE;

// CLIENT_AttachRemoteUpgradeState-
typedef struct tagNET_OUT_ATTACH_REMOTEUPGRADE_STATE
{
	DWORD							dwSize;						// ˽ṹС
}NET_OUT_ATTACH_REMOTEUPGRADE_STATE;

//ʼԶ豸
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartRemoteUpgrade(LLONG lLoginID, const NET_IN_START_REMOTE_UPGRADE_INFO* pInParam, NET_OUT_START_REMOTE_UPGRADE_INFO* pOutParam, int nWaitTime = 500);

//Զ豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopRemoteUpgrade(LLONG lUpgradeID);

// ipc״̬۲ӿ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachRemoteUpgradeState( LLONG lLoginID, const NET_IN_ATTACH_REMOTEUPGRADE_STATE* pInParam, NET_OUT_ATTACH_REMOTEUPGRADE_STATE* pOutParam, int nWaitTime );

// ȡ״̬ӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachRemoteUpgradeState( LLONG lAttachHandle );
//------------------------------------------------------------------------

// ѯϢ(lpOutBufferڴûͷ)
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_GetDevConfig(LLONG lLoginID, DWORD dwCommand, LONG lChannel, LPVOID lpOutBuffer, DWORD dwOutBufferSize, LPDWORD lpBytesReturned,int waittime=500);

// Ϣ(lpInBufferڴûͷ)
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_SetDevConfig(LLONG lLoginID, DWORD dwCommand, LONG lChannel, LPVOID lpInBuffer, DWORD dwInBufferSize, int waittime=500);

// ýӿڣѯϢ(JsonʽSDK)(szOutBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetNewDevConfig(LLONG lLoginID, char* szCommand, int nChannelID, char* szOutBuffer, DWORD dwOutBufferSize, int *error, int waittime=500);

// ýӿڣϢ(JsonʽSDK)(szInBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetNewDevConfig(LLONG lLoginID, char* szCommand, int nChannelID, char* szInBuffer, DWORD dwInBufferSize, int *error, int *restart, int waittime=500);

// ɾýӿ(Jsonʽ)(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DeleteDevConfig(LLONG lLoginID, NET_IN_DELETECFG* pInParam, NET_OUT_DELETECFG* pOutParam, int waittime=500);

// ȡóԱƽӿ(Jsonʽ)(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetMemberNames(LLONG lLoginID, NET_IN_MEMBERNAME* pInParam, NET_OUT_MEMBERNAME* pOutParam, int waittime=500);

// ȡϢ(lpInParam, lpOutParamڴûͷ,СemTypeӦĽṹ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryNetStat(LLONG lLoginID , EM_NET_QUERY_TYPE emType , void *lpInParam , int nInParamLen , void *lpOutParam , int nOutParamLen , int *pError = NULL , int nWaitTime=1000);
// VideoInAnalyse(szOutBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetVideoInAnalyse(LLONG 	lLoginID, char* szCommand, int nChannelID, EM_SCENE_CLASS_TYPE emClassType, char* szOutBuffer, DWORD dwOutBufferSize, int *error, int waittime);

// ȡָ¼(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetEventLink(LLONG lLoginID, NET_IN_EVENT_LINK* pInParam, NET_OUT_EVENT_LINK* pOutParam, int nWaitTime);

// ȡִܷͨб
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetVideoInAnalyseEnableChannels(LLONG lLoginID, const NET_IN_VIDEOINANALYSE_GET_ENABLECHANNELS* pInParam, 
																	   NET_OUT_VIDEOINANALYSE_GET_ENABLECHANNELS* pOutParam, int nWaitTime);

//------------------------------------------------------------------------

// ѯ豸ͨ(pChannelNameڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryChannelName(LLONG lLoginID, char *pChannelName, int maxlen, int *nChannelCount, int waittime=1000);

// 豸ͨ(pbuf ڴûͷ,СΪ512ֽ)
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_SetupChannelName(LLONG lLoginID,char *pbuf, int nbuflen);

// 豸ַͨ(struOsdStringڴûͷ)
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_SetupChannelOsdString(LLONG lLoginID, int nChannelNo, DH_CHANNEL_OSDSTRING* struOsdString, int nbuflen);

// ѯ豸ǰʱ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDeviceTime(LLONG lLoginID, LPNET_TIME pDeviceTime, int waittime=1000);

// 豸ǰʱ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetupDeviceTime(LLONG lLoginID, LPNET_TIME pDeviceTime);

// ѯ豸ǰʱչӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDeviceTimeEx(LLONG lLoginID, LPNET_TIME_EX pDeviceTime, int waittime=1000);

// 豸ǰʱչӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetupDeviceTimeEx(LLONG lLoginID, LPNET_TIME_EX pDeviceTime);

// ѯ豸ǰUTCʱӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDeviceUTC(LLONG lLoginID, LPNET_UTCTIME pDeviceTime, int waittime=1000);

// 豸ǰUTCʱӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDeviceUTC(LLONG lLoginID, LPNET_UTCTIME pDeviceTime);

// 豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetMaxFlux(LLONG lLoginID, WORD wFlux);

//------------------------------------------------------------------------

// ļ,szFileNameûͷڴ棬СΪMAX_PATH
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ImportConfigFile(LLONG lLoginID, char *szFileName, fDownLoadPosCallBack cbUploadPos, LDWORD dwUserData, DWORD param=0);

// ֹͣļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopImportCfgFile(LLONG lImportHandle);

// ļ,szSavedFilePathûͷڴ棬СΪMAX_PATH
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ExportConfigFile(LLONG lLoginID, DH_CONFIG_FILE_TYPE emConfigFileType, char *szSavedFilePath, fDownLoadPosCallBack cbDownLoadPos, LDWORD dwUserData);

// ֹͣļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopExportCfgFile(LLONG lExportHandle);

//------------------------------------------------------------------------

// ͨ豸ֻ豸кDDNSѯ豸IP
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDVRIPByResolveSvr(char *pchDVRIP, WORD wDVRPort, BYTE *sDVRName, WORD wDVRNameLen, BYTE *sDVRSerialNumber, WORD wDVRSerialLen, char* sGetIP);

// IPCNVS豸(szBufڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SearchDevices(char* szBuf, int nBufLen, int* pRetLen, DWORD dwSearchTime, char* szLocalIp=NULL);

// 첽IPCNVS豸,pUserDataʾûݣ̵ֶ֧߳, 
// ӿڵ1ֻ1
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartSearchDevices(fSearchDevicesCB cbSearchDevices, void* pUserData, char* szLocalIp=NULL);

// ֹͣ첽IPCNVS豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopSearchDevices(LLONG lSearchHandle);

// ޸豸IP (pDevNetInfoڴûͷ):̵ֶ֧߳
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ModifyDevice(DEVICE_NET_INFO_EX *pDevNetInfo, DWORD dwWaitTime, int *iError = NULL, char* szLocalIp = NULL, void *reserved = NULL);

// ·
typedef enum tagEM_SEND_SEARCH_TYPE
{
    EM_SEND_SEARCH_TYPE_MULTICAST_AND_BROADCAST,        // 鲥͹㲥
    EM_SEND_SEARCH_TYPE_MULTICAST,                      // 鲥
    EM_SEND_SEARCH_TYPE_BROADCAST,                      // 㲥
}EM_SEND_SEARCH_TYPE;

// 첽豸
typedef struct tagNET_IN_STARTSERACH_DEVICE
{
    DWORD                   dwSize;                         // ṹС
    char                    szLocalIp[MAX_LOCAL_IP_LEN];    // ıIP
    fSearchDevicesCBEx      cbSearchDevices;                // 豸Ϣص
    void*                   pUserData;                      // ûԶ
    EM_SEND_SEARCH_TYPE     emSendType;                     // ·
}NET_IN_STARTSERACH_DEVICE;

// // 첽豸
typedef struct tagNET_OUT_STARTSERACH_DEVICE
{
	DWORD                   dwSize;							// ṹС
}NET_OUT_STARTSERACH_DEVICE;

// 첽豸
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartSearchDevicesEx(NET_IN_STARTSERACH_DEVICE* pInBuf, NET_OUT_STARTSERACH_DEVICE* pOutBuf);

// ޸IP
typedef struct tagNET_IN_MODIFY_IP
{
	DWORD                   dwSize;			// ṹС
	DEVICE_NET_INFO_EX2     stuDevNetInfo;	// 豸Ϣṹ
}NET_IN_MODIFY_IP;

// ޸IP
typedef struct tagNET_OUT_MODIFY_IP
{
	DWORD                   dwSize;			// ṹС
}NET_OUT_MODIFY_IP;

// ޸豸IP (pDevNetInfoڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ModifyDeviceEx(NET_IN_MODIFY_IP* pInBuf, NET_OUT_MODIFY_IP* pOutBuf, int nWaitTime);

// 豸IP (pIpSearchInfoڴûͷ)
// ӿڵ1ֻ1
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SearchDevicesByIPs(DEVICE_IP_SEARCH_INFO* pIpSearchInfo, fSearchDevicesCB cbSearchDevices, LDWORD dwUserData, char* szLocalIp, DWORD dwWaitTime);

// pstParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDeviceSearchParam(const NET_DEVICE_SEARCH_PARAM* pstParam);
//------------------------------------------------------------------------

// ƽ̨ӿ(lpOutBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetPlatFormInfo(LLONG lLoginID, DWORD dwCommand, int nSubCommand, int nParam, LPVOID lpOutBuffer, DWORD dwOutBufferSize, LPDWORD lpBytesReturned,int waittime=500);
// lpInBufferڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPlatFormInfo(LLONG lLoginID, DWORD dwCommand, int nSubCommand, int nParam, LPVOID lpInBuffer, DWORD dwInBufferSize, int waittime=500);

// ͷ۽
//    dwFocusCommand = 0Ϊ۽
//    dwFocusCommand = 1Ϊ۽
//    dwFocusCommand = 2ΪԶ۽,ڽλánFocusnZoomЧ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FocusControl(LLONG lLoginID, int nChannelID, DWORD dwFocusCommand, double nFocus, double nZoom, void *reserved = NULL, int waittime=500);

///////////////////////////////豸ӿ///////////////////////////////

// ץͼص
CLIENT_NET_API void CALL_METHOD CLIENT_SetSnapRevCallBack(fSnapRev OnSnapRevMessage, LDWORD dwUser);

// ץͼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SnapPicture(LLONG lLoginID, SNAP_PARAMS par);

// ץͼչӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SnapPictureEx(LLONG lLoginID, SNAP_PARAMS *par, int *reserved = 0);

// ץͼͬӿ,ͼƬֱӷظû,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SnapPictureToFile(LLONG lLoginID, const NET_IN_SNAP_PIC_TO_FILE_PARAM* pInParam, NET_OUT_SNAP_PIC_TO_FILE_PARAM* pOutParam, int nWaitTime);

// GPSĻص
CLIENT_NET_API void CALL_METHOD CLIENT_SetSubcribeGPSCallBack(fGPSRev OnGPSMessage, LDWORD dwUser);

// GPSĻص--չ
CLIENT_NET_API void CALL_METHOD CLIENT_SetSubcribeGPSCallBackEX(fGPSRevEx OnGPSMessage, LDWORD dwUser);

// GPSĻص--չ2
CLIENT_NET_API void CALL_METHOD CLIENT_SetSubcribeGPSCallBackEX2(fGPSRevEx2 OnGPSMessage, LDWORD dwUser);

/**************************************************************************************
*   Funcname: CLIENT_SubcribeGPS
*   Purpose:GPSϢ
*   InputParam:   LLONG  :lLoginID    //½
*   InputParam:   BOOL   :bStart      //TRUE:  FALSE:ȡ
*   InputParam:   LONG   :KeepTime    //ĳʱ(λ) ֵΪ-1ʱ,ʱΪֵ,Ϊö
*   InputParam:   LONG   :InterTime   //ʱGPSƵ(λ)
*   Return: BOOL
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SubcribeGPS (LLONG lLoginID, BOOL bStart, LONG KeepTime, LONG InterTime);

// GPSʪȶĻص
CLIENT_NET_API void CALL_METHOD CLIENT_SetSubcribeGPSTHCallBack(fGPSTempHumidityRev OnGPSMessage, LDWORD dwUser);

// GPSʪϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SubcribeGPSTempHumidity (LLONG lLoginID, BOOL bStart,    int InterTime, void* Reserved);

//GPS־Ϣѯ(pQueryParam, pLogBufferڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryGPSLog(LLONG lLoginID,QUERY_GPS_LOG_PARAM *pQueryParam, char *pLogBuffer, int nLogBufferLen, int *pRecLogNum, BOOL *bContinue, int waittime);

// (pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AttachMission(LLONG lLoginID, NET_IN_ATTACH_MISSION_PARAM *pInParam, NET_OUT_ATTACH_MISSION_PARAM *pOutParam, int nWaitTime);

// ȡ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachMission(LLONG lAttachHandle);

// ȷ(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_BusConfirmEvent(LLONG lLoginID, const NET_IN_BUS_CONFIRM_EVENT* pInParam, NET_OUT_BUS_CONFIRM_EVENT* pOutParam, int nWaitTime = 3000);

// 豸ַϢ(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDevicePosition(LLONG lLoginID, const NET_IN_SET_DEVICE_POSITION* pInParam, NET_OUT_SET_DEVICE_POSITION* pOutParam, int nWaitTime);

// ȡ豸ַϢ(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDevicePosition(LLONG lLoginID, const NET_IN_GET_DEVICE_POSITION* pInParam, NET_OUT_GET_DEVICE_POSITION* pOutParam, int nWaitTime);

// ¼ץͼCLIENT_RealLoadPic()CLIENT_RealLoadPicEx()ӿʹ, ֶץģʽ(Manual),ͼƬͨصû(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SnapPictureByEvent(LLONG lLoginID, const NET_IN_SNAP_BY_EVENT* pInParam, NET_OUT_SNAP_BY_EVENT* pOutParam, int nWaitTime);

//////////////////////////////豸ӿ//////////////////////////////

// ѯϢ(lpDecInfoڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDecoderInfo(LLONG lLoginID, LPDEV_DECODER_INFO lpDecInfo, int waittime=1000);

// ѯǰTVϢ(lpMonitorInfoڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDecoderTVInfo(LLONG lLoginID, int nMonitorID, LPDEV_DECODER_TV lpMonitorInfo, int waittime=1000);

// ѯͨϢ(lpEncoderInfoڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDecEncoderInfo(LLONG lLoginID, int nDecoderID, LPDEV_ENCODER_INFO lpEncoderInfo, int waittime=1000);

// ýTVʹ(pDecTVOutEnableڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDecTVOutEnable(LLONG lLoginID, BYTE *pDecTVOutEnable, int nBufLen, int waittime=1000);

// ýʾϢʹ,ͨŴ0ʼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDecLayOutEnable(LLONG lLoginID, BYTE bDecLayOutEnable, int nChannel, int waittime=1000);
// ȡʾϢʹ,ͨŴ0ʼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDecLayOutEnable(LLONG lLoginID, BYTE *pDecLayOutEnable, int nChannel, int waittime=1000);
//------------------------------------------------------------------------

// 첽ص
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetOperateCallBack(LLONG lLoginID, fMessDataCallBack cbMessData, LDWORD dwUser);

// ƽTVָ,ӿΪ첽ʽ nSplitType=-1ʱ,pEncoderChannelΪṹDH_CTRL_DECTV_SCREENָ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_CtrlDecTVScreen(LLONG lLoginID, int nMonitorID, BOOL bEnable, int nSplitType, BYTE *pEncoderChannel, int nBufLen, void* userdata=NULL);

// TVл,ӿΪ첽ʽ(lpEncoderInfoڴûͷ)
//   
CLIENT_NET_API LLONG CALL_METHOD CLIENT_SwitchDecTVEncoder(LLONG lLoginID, int nDecoderID, LPDEV_ENCODER_INFO lpEncoderInfo, void* userdata=NULL);

//------------------------------------------------------------------------

// ӻ
CLIENT_NET_API int CALL_METHOD CLIENT_AddTourCombin(LLONG lLoginID, int nMonitorID, int nSplitType, BYTE *pEncoderChannnel, int nBufLen, int waittime=1000);

// ɾ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DelTourCombin(LLONG lLoginID, int nMonitorID, int nCombinID, int waittime=1000);

// ޸Ļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetTourCombin(LLONG lLoginID, int nMonitorID, int nCombinID, int nSplitType, BYTE *pEncoderChannel, int nBufLen, int waittime=1000);

// ѯ,nCombinIDΧ032
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryTourCombin(LLONG lLoginID, int nMonitorID, int nCombinID, LPDEC_COMBIN_INFO lpDecCombinInfo, int waittime=1000);

// Ѳ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDecoderTour(LLONG lLoginID, int nMonitorID, LPDEC_TOUR_COMBIN lpDecTourInfo, int waittime=1000);

// ѯѲ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDecoderTour(LLONG lLoginID, int nMonitorID, LPDEC_TOUR_COMBIN lpDecTourInfo, int waittime=1000);

// ѯǰͨϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDecChannelFlux(LLONG lLoginID, int nDecoderID, LPDEV_DECCHANNEL_STATE lpChannelStateInfo, int waittime=1000);

// Ѳ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CtrlDecoderTour(LLONG lLoginID, int nMonitorID, DEC_CTRL_TOUR_TYPE emActionParam, int waittime = 1000);
//------------------------------------------------------------------------

typedef void (CALLBACK *fDecPlayBackPosCallBack)(LLONG lLoginID, int nEncoderID, DWORD dwTotalSize, DWORD dwPlaySize, LDWORD dwUser);

// ûطŽȻص
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDecPlaybackPos(LLONG lLoginID, fDecPlayBackPosCallBack cbPlaybackPos, LDWORD dwUser);

// TVط,ӿΪ첽ʽ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_DecTVPlayback(LLONG lLoginID, int nDecoderID, DEC_PLAYBACK_MODE emPlaybackMode, LPVOID lpInBuffer, DWORD dwInBufferSize, void* userdata=NULL);

// TVطſ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CtrlDecPlayback(LLONG lLoginID, int nDecoderID, DEC_CTRL_PLAYBACK_TYPE emCtrlType, int nValue, int waittime=1000);

///////////////////////////////豸ӿ///////////////////////////////

// ʵʱϴܷݣͼƬ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_RealLoadPicture(LLONG lLoginID, int nChannelID, DWORD dwAlarmType, fAnalyzerDataCallBack cbAnalyzerData, LDWORD dwUser);

// ʵʱϴܷݣͼƬ(չӿ,bNeedPicFileʾǷͼƬļ,ReservedΪ RESERVED_PARA)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_RealLoadPictureEx(LLONG lLoginID, int nChannelID, 
                                                     DWORD dwAlarmType, 
                                                     BOOL bNeedPicFile, 
                                                     fAnalyzerDataCallBack cbAnalyzerData, 
                                                     LDWORD dwUser, 
                                                     void* Reserved);

// ֹͣϴܷݣͼƬ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopLoadPic(LLONG lAnalyzerHandle);

// ȷϴͼƬǷɣͼƬ
// ýӿڲ CLIENT_RealLoadPictureEx/CLIENT_RealLoadPicture Ļصͬһ߳,,߳е
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SnapManagerConfirmUpload(LLONG lLoginID, const NET_IN_SNAP_MANAGER_CONFIRM_UPLOAD* pstInParam, NET_OUT_SNAP_MANAGER_CONFIRM_UPLOAD* pstOutParam, int waittime=1000);

// ѯѯļ,pQueryConditionûͷڴ棬СemTypeӦĽṹ
CLIENT_NET_API LLONG    CALL_METHOD CLIENT_FindFileEx(LLONG lLoginID, EM_FILE_QUERY_TYPE emType, void* pQueryCondition, void *reserved, int waittime=1000);    

// ļ:nFilecount:Ҫѯ, ֵΪýļ ֵ<nFilecountӦʱڵļѯ
CLIENT_NET_API int    CALL_METHOD CLIENT_FindNextFileEx(LLONG lFindHandle, int nFilecount, void* pMediaFileInfo, int maxlen, void *reserved, int waittime=1000);

// ¼ļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FindCloseEx(LLONG lFindHandle);

// ȡϲѯļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetTotalFileCount(LLONG lFindHandle, int* pTotalCount, void *reserved, int waittime=1000);

// òѯת,pOptionûͷڴ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetFindingJumpOption(LLONG lFindHandle, NET_FINDING_JUMP_OPTION_INFO* pOption, void *reserved, int waittime=1000);

// ָܷ - ͼƬ,lpMediaFileInfoûͷڴ棬ڴСemTypeȷӦĽṹ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_DownloadMediaFile(LLONG lLoginID,EM_FILE_QUERY_TYPE emType, void* lpMediaFileInfo, char *sSavedFileName, fDownLoadPosCallBack cbDownLoadPos, LDWORD dwUserData,  void *reserved);

// ֹͣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopDownloadMediaFile(LLONG lFileHandle);

// ļ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DownLoadMultiFile(LLONG lLoginID, NET_IN_DOWNLOAD_MULTI_FILE *pstInParam, NET_OUT_DOWNLOAD_MULTI_FILE *pstOutParam, int waittime=1000);

// ֹͣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopLoadMultiFile(LLONG lDownLoadHandle);

// ܷݣͼƬ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_LoadOffLineFile(LLONG lLoginID, int nChannelID, DWORD dwAlarmType, LPNET_TIME_EX lpStartTime, LPNET_TIME_EX lpEndTime, fAnalyzerDataCallBack cbAnalyzerData, LDWORD dwUser);

//ܷͣ(bPause=TRUE ʾͣ, bPause=FALSE ʾָ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PauseLoadPic(LLONG lLoadHadle, BOOL bPause);

// ͨץ--紥ʽpstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_TrafficSnapByNetwork(LLONG lLoginID, int nChannelID, NET_IN_SNAPSHOT* pstInParam, NET_OUT_SNAPSHOT* pstOutParam);

// ͨ--ǿƺƣpstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_TrafficForceLightState(LLONG lLoginID, int nChannelID, NET_IN_FORCELIGHTSTATE* pstInParamg, NET_OUT_FORCELIGHTSTATE* pstOutParam, int waittime=1000);

//  ڰ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateTrafficList(LLONG lLoginID ,  NET_IN_OPERATE_TRAFFIC_LIST_RECORD* pstInParam , NET_OUT_OPERATE_TRAFFIC_LIST_RECORD *pstOutParam = NULL ,  int waittime = 1000);

// ͨͳ,pstInParamgpstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartTrafficFluxStat(LLONG lLoginID, NET_IN_TRAFFICFLUXSTAT* pstInParam,NET_OUT_TRAFFICFLUXSTAT* pstOutParam);

// ͳ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopTrafficFluxStat(LLONG lFluxStatHandle);

// ȡͳϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartFindFluxStat(LLONG lLoginID, NET_IN_TRAFFICSTARTFINDSTAT* pstInParam, NET_OUT_TRAFFICSTARTFINDSTAT* pstOutParam);

// ѯͳ,pstInParampstOutParamڴûͷ
CLIENT_NET_API int    CALL_METHOD CLIENT_DoFindFluxStat(LLONG lFindHandle, NET_IN_TRAFFICDOFINDSTAT* pstInParam,NET_OUT_TRAFFICDOFINDSTAT* pstOutParam);

// ѯͳ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindFluxStat(LLONG lFindHandle);

// ʼѯƵͳϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartFindNumberStat(LLONG lLoginID, NET_IN_FINDNUMBERSTAT* pstInParam, NET_OUT_FINDNUMBERSTAT* pstOutParam);

// ѯƵͳ,pstInParampstOutParamڴûͷ
CLIENT_NET_API int  CALL_METHOD CLIENT_DoFindNumberStat(LLONG lFindHandle, NET_IN_DOFINDNUMBERSTAT* pstInParam, NET_OUT_DOFINDNUMBERSTAT* pstOutParam);

// ѯƵͳ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindNumberStat(LLONG lFindHandle);

// ƵͳժҪϢ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachVideoStatSummary(LLONG lLoginID, const NET_IN_ATTACH_VIDEOSTAT_SUM* pInParam, NET_OUT_ATTACH_VIDEOSTAT_SUM* pOutParam, int nWaitTime);

// ȡƵͳժҪϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachVideoStatSummary(LLONG lAttachHandle);

// ȶͼ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachVideoStatHeatMap(LLONG lLoginID, const NET_IN_ATTACH_VIDEOSTAT_HEATMAP* pInParam, NET_OUT_ATTACH_VIDEOSTAT_HEATMAP* pOutParam, int nWaitTime);

// ȡͼ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetVideoStatHeatMap(LLONG lAttachHandle, const NET_IN_GET_VIDEOSTAT_HEATMAP* pInParam, NET_OUT_GET_VIDEOSTAT_HEATMAP* pOutParam, int nWaitTime);

// ȡȶͼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachVideoStatHeatMap(LLONG lAttachHandle);

// Ƶ豸ķ,pstInParampstOutParamڴûͷţСszCmdӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateVideoAnalyseDevice(LLONG lLoginID, int nChannelID, char* szCmd, void *pstInParam, void *pstOutParam, int waittime=1000);

// ȡƵ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_VideoAnalyseGetTemplateImage(LLONG lLoginID, const NET_IN_VIDEOANALYSE_GETTEMPLATEIMAGE* pstInParam, NET_OUT_VIDEOANALYSE_GETTEMPLATEIMAGE* pstOutParam, int nWaitTime=1000);

// Ƶ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_VideoAnalyseSetTemplateImage(LLONG lLoginID, const NET_IN_VIDEOANALYSE_SETTEMPLATEIMAGE* pstInParam, NET_OUT_VIDEOANALYSE_SETTEMPLATEIMAGE* pstOutParam, int nWaitTime=1000);

// 豸ķ,pstInParampstOutParamڴûͷţСszCmdӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateCommDevice(LLONG lLoginID, int nChannelID, char* szCmd, void *pstInParam, void *pstOutParam, int waittime=1000);

// ܸƽӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ControlIntelliTracker(LLONG lLoginID, NET_IN_CONTROL_INTELLITRACKER* pstInParam, NET_OUT_CONTROL_INTELLITRACKER* pstOutParam);

// ʽ豸ķ,μ涨CLIENT_OperateMasterSlaveDeviceӿڲ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateMasterSlaveDevice(LLONG lLoginID, int nChannelID, char* szCmd, void *pstInParam, void *pstOutParam, int waittime=1000);

// Ƶƴӷ,pstInParampstOutParamڴûͷţСemTypeӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateVideoJoin(LLONG lLoginID, NET_VIDEOJOIN_OPERATE_TYPE emType, void* pstInParam, void* pstOutParam, int nWaitTime);

////  Ƶ

// ʵʱȡƵϽ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartVideoDiagnosis(LLONG lLoginID, NET_IN_VIDEODIAGNOSIS *pstInParam, NET_OUT_VIDEODIAGNOSIS *pstOutParam);

// ֹͣƵϽϱ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopVideoDiagnosis(LLONG hDiagnosisHandle);

// ʼƵϽѯ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartFindDiagnosisResult(LLONG lLoginID, NET_IN_FIND_DIAGNOSIS* pstInParam, NET_OUT_FIND_DIAGNOSIS* pstOutParam);

// ȡƵϽϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindDiagnosisResult(LLONG hFindHandle,NET_IN_DIAGNOSIS_INFO* pstInParam, NET_OUT_DIAGNOSIS_INFO* pstOutParam);

// ƵϽѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindDiagnosis(LLONG hFindHandle);

// ʵʱϼƻ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartRealTimeProject(LLONG lLoginID,NET_IN_START_RT_PROJECT_INFO* pstInParam, NET_OUT_START_RT_PROJECT_INFO* pstOutParam, int nWaitTime);

// ֹͣʵʱϼƻ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopRealTimeProject(LLONG lLoginID,NET_IN_STOP_RT_PROJECT_INFO* pstInParam, NET_OUT_STOP_RT_PROJECT_INFO* pstOutParam, int nWaitTime);

// ֶϼƻ, pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartManualDiagnosisProject(LLONG lLoginID, NET_IN_START_MANUAL_PROJECT_INFO* pstInParam, NET_OUT_START_MANUAL_PROJECT_INFO* pstOutParam, int nWaitTime);
// ֶֹͣϼƻ, pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopManualDiagnosisProject(LLONG lLoginID, NET_IN_STOP_MANUAL_PROJECT_INFO* pstInParam, NET_OUT_STOP_MANUAL_PROJECT_INFO* pstOutParam, int nWaitTime);

// ¼ƻϱͼƬ, pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_UpdateProjectBackGround(LLONG lLoginID, const NET_IN_UPDATE_PROJECT_BACKGROUND_INFO* pstInParam, NET_OUT_UPDATE_PROJECT_BACKGROUND_INFO* pstOutParam, int nWaitTime);

// ȡܽͨλ״̬,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetParkingSpaceStatus(LLONG lLoginID, NET_IN_GET_PARKINGSPACE_STATUS* pstInParam, NET_OUT_GET_PARKINGSPACE_STATUS* pstOutParam);

// ָĳλͼƬϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachParkingSpaceData(LLONG lLoginID, NET_IN_ATTACH_PARKINGSPACE* pstInParam, NET_OUT_ATTACH_PARKINGSPACE* pstOutParam);

// ȡָĳλͼƬϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachParkingSpaceData(NET_IN_DETACH_PARKINGSPACE* pstInParam, NET_OUT_DETACH_PARKINGSPACE* pstOutParam);

// ĹϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachCarPassInfo(LLONG lLoginID, NET_IN_ATTACH_CAR_PASS_INFO* pstInParam, NET_OUT_ATTACH_CAR_PASS_INFO* pstOutParam , int nWaitTime);

// ȡĹϢ lCarPassInfoHandle Ϊ CLIENT_AttachCarPassInfo صľ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachCarPassInfo(LLONG lCarPassInfoHandle);

// ָϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachLanesState(LLONG lLoginID, NET_IN_ATTACH_LANES_STATE* pstInParam, NET_OUT_ATTACH_LANES_STATE* pstOutParam, int nWaitTime);

// ȡָϢ lLanesStateHandleΪCLIENT_AttachLanesStateصľ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachLanesState(LLONG lLanesStateHandle);

// ȡλ״̬,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCarPortLightStatus(LLONG lLoginID, NET_IN_GET_CARPORTLIGHT_STATUS* pstInParam, NET_OUT_GET_CARPORTLIGHT_STATUS* pstOutParam, int waittime=1000);

// óλ״̬,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetCarPortLightStatus(LLONG lLoginID, NET_IN_SET_CARPORTLIGHT_STATUS* pstInParam, NET_OUT_SET_CARPORTLIGHT_STATUS* pstOutParam, int waittime=1000);

// ȡλ״̬ 
CLIENT_NET_API BOOL CALL_METHOD	CLIENT_GetParkingLockState(LLONG lLoginID, const NET_IN_GET_PARKINGLOCK_STATE_INFO *pstInParam, NET_OUT_GET_PARKINGLOCK_STATE_INFO *pstOutParam, int nWaitTime);

// óλ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetParkingLockState(LLONG lLoginID, const NET_IN_SET_PARKINGLOCK_STATE_INFO *pstInParm, NET_OUT_SET_PARKINGLOCK_STATE_INFO *pstOutParam, int nWaitTIme);

// ͣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetParkingRule(LLONG lLoginID, const NET_IN_SET_PARKINGRULE_INFO *pstInParm, NET_OUT_SET_PARKINGRULE_INFO *pstOutParam, int nWaitTime);

// ܷȣƵԴΪ¼ļʱ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AttachVideoAnalyseState(LLONG lLoginID, NET_IN_ATTACH_VIDEOANALYSE_STATE* pstInParam, NET_OUT_ATTACH_VIDEOANALYSE_STATE* pstOutParam, int nWaittime=1000);

// ֹͣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachVideoAnalyseState(LLONG lAttachHandle);

// ǰ豸Խ״̬,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachTalkState(LLONG lLoginID, NET_IN_ATTACH_TALK_STATE* pstInParam, NET_OUT_ATTACH_TALK_STATE* pstOutParam, int nWaitTime = 1000);

// ȡǰ豸Խ״̬, lAttachHandleΪCLIENT_AttachTalkStateصľ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachTalkState(LLONG lAttachHandle);

////////////////////////////////ƵŨӿ////////////////////////////////

// ƵŨ,ýӿڰļ,.
// µIVS-SѲַ֧ʽ,תCLIENT_PreHandleVideoSynopsisTaskCLIENT_RunVideoSynopsisTaskϽӿ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddVideoSynopsisTask(LLONG lLoginID,   NET_IN_ADD_VIDEOSYNOPSIS* pstInParam, NET_OUT_ADD_VIDEOSYNOPSIS* pstOutParam);

//IVS-SõŨʽ,ȶƵļԤ(ȽϺʱ),ԤĻϿԵƵ,ӶͬһļٵõͬŨ.
//ƵļԤӿ
//TRUEʾȫɹ,FALSEʾһʧ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PreHandleVideoSynopsisTask(LLONG lLoginID,  const NET_IN_PRE_HANDLE_VIDEOSYNOPSIS* pstInParam, NET_OUT_PRE_HANDLE_VIDEOSYNOPSIS* pstOutParam);

// ͨ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddPreTaskByChannel(LLONG lLoginID, const NET_IN_PRETASK_BYCHANNEL* pstInParam, NET_OUT_PRETASK_BYCHANNEL* pstOutParam);

// ȡŨ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetVideoSynopsisState(LLONG lLoginID, const NET_IN_GET_VIDEOSYNOPSIS_STATE* pstInParam, NET_OUT_GET_VIDEOSYNOPSIS_STATE* pstOutParam);

// ʼѯ¼Ũʷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartFindVideoSynopsisHistory(LLONG lLoginID, const NET_IN_VIDEOSYNOPSIS_STARTFIND* pstInParam, NET_OUT_VIDEOSYNOPSIS_STARTFIND* pstOutParam);

// ȡʷϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindVideoSynopsisHistory(LLONG lLoginID, const NET_IN_VIDEOSYNOPSIS_DOFIND* pstInParam, NET_OUT_VIDEOSYNOPSIS_DOFIND* pstOutParam);

// Ũʷѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindVideoSynopsisHistory(LLONG lLoginID, const NET_IN_VIDEOSYNOPSIS_STOPFIND* pstInParam, NET_OUT_VIDEOSYNOPSIS_STOPFIND* pstOutParam);
//ƵŨӿ
//TRUEʾȫɹ,FALSEʾһʧ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RunVideoSynopsisTask(LLONG lLoginID, const NET_IN_RUN_VIDEOSYNOPSIS_TASK* pstInParam, NET_OUT_RUN_VIDEOSYNOPSIS_TASK* pstOutParam);

// ͣƵŨ,pstInParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PauseVideoSynopsisTask(LLONG lLoginID, NET_IN_PAUSE_VIDEOSYNOPSIS* pstInParam);

// ƳƵŨ,pstInParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RemoveVideoSynopsisTask(LLONG lLoginID, NET_IN_REMOVE_VIDEOSYNOPSIS* pstInParam);

// ʵʱŨƵϢpstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RealLoadObjectData(LLONG lLoginID, NET_IN_REALLOAD_OBJECTDATA* pstInParam, NET_OUT_REALLOAD_OBJECTDATA* pstOutParam);

// ֹͣʵʱŨƵϢ,pstInParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopLoadObjectData(LLONG lRealLoadHandle, NET_IN_STOPLOAD_OBJECTDATA* pstInParam);

// ʵʱŨƵϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RealLoadSynopsisState(LLONG lLoginID, NET_IN_REALLAOD_SYNOPSISSTATE* pstInParam, NET_OUT_REALLOAD_SYNOPSISSTATE* pstOutParam);

// ֹͣʵʱŨƵϢ,pstInParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopLoadSynopsisState(LLONG lRealLoadHandle, NET_IN_STOPLOAD_SYNOPSISSTATE* pstInParam);

// ѯŨƵϢӿ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryVideoSynopsisInfo(LLONG lLoginID, NET_IN_QUERY_VIDEOSYNOPSIS* pstInParam, NET_OUT_QUERY_VIDEOSYNOPSIS* pstuOutParam);

// ѯѯƵŨļ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL    CALL_METHOD CLIENT_FindSynopsisFile(LLONG lLoginID, NET_IN_FIND_SYNOPSISFILE *pstInParam, NET_OUT_FIND_SYNOPSISFILE *pstOutParam);    

// ƵŨļ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL    CALL_METHOD CLIENT_FindNextSynopsisFile(LLONG lFindHandle, NET_IN_FINDNEXT_SYNOPSISFILE *pstInParam, NET_OUT_FINDNEXT_SYNOPSISFILE *pstOutParam);

// ƵŨļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SynopsisFindClose(LLONG lFindHandle);

// ƵŨļ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DownLoadSynosisFile(LLONG lLoginID, NET_IN_DOWNLOAD_SYNOPSISFILE *pstInParam, NET_OUT_DOWNLOAD_SYNOPSISFILE *pstOutParam);

// ֹͣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopLoadSynosisFile(LLONG lDownLoadHandle);

// ŨƵļ()·,ļϢ,pstInParamڴûͷ
CLIENT_NET_API BOOL    CALL_METHOD    CLIENT_SetFilePathInfo(LLONG lLoginID, NET_IN_SET_FILEPATHINFO* pstInParam);

// ļϢ״̬,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachAddFileState(LLONG lLoginID, const NET_IN_ADDFILE_STATE* pstInParam, NET_OUT_ADDFILE_STATE *pstOutParam, int nWaitTime = 1000);

// ȡļϢ״, lAttachHandleCLIENT_AttacAddFileStateֵ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_DetachAddFileState(LLONG lAttachHandle);

/////////////////////////////////ʶӿ/////////////////////////////////////////
// ʶݿϢ,޸ĺɾ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateFaceRecognitionDB(LLONG lLoginID, const NET_IN_OPERATE_FACERECONGNITIONDB* pstInParam, NET_OUT_OPERATE_FACERECONGNITIONDB *pstOutParam, int nWaitTime = 1000);

// ӶԱϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_BatchAppendFaceRecognition(LLONG lLoginID, const NET_IN_BATCH_APPEND_FACERECONGNITION* pstInParam, NET_OUT_BATCH_APPEND_FACERECONGNITION *pstOutParam, const int nWaitTime);

// ѯʶ ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartFindFaceRecognition(LLONG lLoginID, const NET_IN_STARTFIND_FACERECONGNITION* pstInParam, NET_OUT_STARTFIND_FACERECONGNITION *pstOutParam, int nWaitTime = 1000);

// ʼ/עĶͨѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartMultiFindFaceRecognition(LLONG lLoginID, const NET_IN_STARTMULTIFIND_FACERECONGNITION* pstInParam, NET_OUT_STARTMULTIFIND_FACERECONGNITION *pstOutParam, int nWaitTime);

// ʶ:nFilecount:Ҫѯ, ֵΪýļ ֵ<nFilecountӦʱڵļѯ(ÿֻܲѯ20¼),pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindFaceRecognition(const NET_IN_DOFIND_FACERECONGNITION* pstInParam, NET_OUT_DOFIND_FACERECONGNITION *pstOutParam, int nWaitTime = 1000);

// ѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindFaceRecognition(LLONG lFindHandle);

// ʼʶͨѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartMultiFindFaceRecognitionRecord(LLONG lLoginID, const NET_IN_STARTMULTIFIND_FACERECONGNITIONRECORD* pstInParam, NET_OUT_STARTMULTIFIND_FACERECONGNITIONRECORD *pstOutParam, int nWaitTime);

// ͨļ:nFilecount:Ҫѯ, ֵΪýļ ֵ<nFilecountӦʱڵļѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindFaceRecognitionRecord(const NET_IN_DOFIND_FACERECONGNITIONRECORD* pstInParam, NET_OUT_DOFIND_FACERECONGNITIONRECORD *pstOutParam, int nWaitTime);

// ͨļӿչ(nTotalCount:Ҫѯ, ֵΪýļ ֵ<nTotalCountӦʱڵļѯ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindFaceRecognitionRecordEx(const NET_IN_DOFIND_FACERECONGNITIONRECORD_EX* pstInParam, NET_OUT_DOFIND_FACERECONGNITIONRECORD_EX *pstOutParam, int nWaitTime);

// ѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindFaceRecognitionRecord(LLONG lFindHandle);

// ʷͼͼѯ, CLIENT_StartFindFaceRecognitionʹ, pstInParampstOutParamûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachResultOfFindHistoryByPic(LLONG lLoginID, NET_IN_ATTACH_RESULT_FINDHISTORY_BYPIC* pstInParam, NET_OUT_ATTACH_RESULT_FINDHISTORY_BYPIC* pstOutParam, int nWaitTime);
// ȡʷͼͼѯ, lFindHandle Ϊ CLIENT_AttachResultOfFindRegisterByPicӿڷصֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachResultOfFindHistoryByPic(LLONG lFindHandle);

// ʷͼͼѯ, CLIENT_StartFindFaceRecognitionʹ, pstInParampstOutParamûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachResultOfHumanHistoryByPic(LLONG lLoginID, NET_IN_ATTACH_RESULT_HUMAN_HISTORY_BYPIC* pstInParam, NET_OUT_ATTACH_RESULT_HUMAN_HISTORY_BYPIC* pstOutParam, int nWaitTime);
// ȡʷͼͼѯ, lFindHandle ΪCLIENT_AttachResultOfHumanHistoryByPic ӿڷֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachResultOfHumanHistoryByPic(LLONG lFindHandle);

// (һŴͼ,ͼбͼƬ),pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetectFace(LLONG lLoginID, const NET_IN_DETECT_FACE* pstInParam, NET_OUT_DETECT_FACE *pstOutParam, int nWaitTime = 1000);

// ʶԱ,޸ĺɾ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateFaceRecognitionGroup(LLONG lLoginID, const NET_IN_OPERATE_FACERECONGNITION_GROUP* pstInParam, NET_OUT_OPERATE_FACERECONGNITION_GROUP *pstOutParam, int nWaitTime = 1000);

// ʶԱͲ,޸ĺɾ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateFaceRecognitionPersonType(LLONG lLoginID, const NET_IN_OPERATE_FACERECOGNITION_PERSON_TYPE* pstInParam, NET_OUT_OPERATE_FACERECOGNITION_PERSON_TYPE *pstOutParam, int nWaitTime);

// ʶȡԱ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetFaceRecognitionPersonType(LLONG lLoginID, const NET_IN_GET_FACERECOGNITION_PERSON_TYPE* pstInParam, NET_OUT_GET_FACERECOGNITION_PERSON_TYPE *pstOutParam, int nWaitTime);

// ѯʶԱϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FindGroupInfo(LLONG lLoginID, const NET_IN_FIND_GROUP_INFO* pstInParam, NET_OUT_FIND_GROUP_INFO *pstOutParam, int nWaitTime = 1000);

// ȡƵͨϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetGroupInfoForChannel(LLONG lLoginID, const NET_IN_GET_GROUPINFO_FOR_CHANNEL* pstInParam, NET_OUT_GET_GROUPINFO_FOR_CHANNEL *pstOutParam, int nWaitTime = 3000);

// ͨԱϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetGroupInfoForChannel(LLONG lLoginID, const NET_IN_SET_GROUPINFO_FOR_CHANNEL* pstInParam, NET_OUT_SET_GROUPINFO_FOR_CHANNEL *pstOutParam, int nWaitTime = 1000);

//ѯ״̬,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachFaceFindState(LLONG lLoginID, const NET_IN_FACE_FIND_STATE* pstInParam, NET_OUT_FACE_FIND_STATE *pstOutParam, int nWaitTime = 1000);

//ȡѯ״̬,lAttachHandleΪCLIENT_AttachFaceFindStateصľ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachFaceFindState(LLONG lAttachHandle);

// üͼƬϢ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FaceRecognitionSetSearchImageInfo(LLONG lLoginID, const NET_IN_FACE_RECOGNITION_SET_SEARCH_IMAGE_INFO* pstInParam, NET_OUT_FACE_RECOGNITION_SET_SEARCH_IMAGE_INFO *pstOutParam, int nWaitTime = 1000);

// ĽǶȽв, pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FaceRecognitionPutDisposition(LLONG lLoginID, const NET_IN_FACE_RECOGNITION_PUT_DISPOSITION_INFO* pstInParam, NET_OUT_FACE_RECOGNITION_PUT_DISPOSITION_INFO *pstOutParam, int nWaitTime = 1000);

// ĽǶȽг, pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FaceRecognitionDelDisposition(LLONG lLoginID, const NET_IN_FACE_RECOGNITION_DEL_DISPOSITION_INFO* pstInParam, NET_OUT_FACE_RECOGNITION_DEL_DISPOSITION_INFO *pstOutParam, int nWaitTime = 1000);

// ύŴͼмͼƬ, pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD	CLIENT_FaceRecognitionDetectMultiFace(LLONG lLoginID, const NET_IN_FACE_RECOGNITION_DETECT_MULTI_FACE_INFO* pstInParam, NET_OUT_FACE_RECOGNITION_DETECT_MULTI_FACE_INFO *pstOutParam, int nWaitTime);

// ĴͼСͼ,CLIENT_FaceRecognitionDetectMultiFaceʹ, pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachDetectMultiFaceState(LLONG lLoginID, const NET_IN_MULTIFACE_DETECT_STATE* pstInParam, NET_OUT_MULTIFACE_DETECT_STATE *pstOutParam, int nWaitTime);

// ȡĴͼСͼ, lAttachHandleΪCLIENT_AttachDetectMultiFaceState صľ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachDetectMultiFaceState(LLONG lAttachHandle);

// Ա½ģ, pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FaceRecognitionReAbstract(LLONG lLoginID, const NET_IN_FACE_RECOGNITION_REABSTRACT_INFO* pstInParam, NET_OUT_FACE_RECOGNITION_REABSTRACT_INFO *pstOutParam, int nWaitTime);

// ½ģ, pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FaceRecognitionGroupReAbstract(LLONG lLoginID, const NET_IN_FACE_RECOGNITION_GROUP_REABSTRACT_INFO* pstInParam, NET_OUT_FACE_RECOGNITION_GROUP_REABSTRACT_INFO *pstOutParam, int nWaitTime);

// ֹͣ齨ģ, pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FaceRecognitionStopGroupReAbstract(LLONG lLoginID, const NET_IN_FACE_RECOGNITION_STOP_GROUP_REABSTRACT_INFO* pstInParam, NET_OUT_FACE_RECOGNITION_STOP_GROUP_REABSTRACT_INFO *pstOutParam, int nWaitTime);

// ȡ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetFaceParam(LLONG lLoginID, const NET_IN_GET_FACE_PARAM* pstInParam, NET_OUT_GET_FACE_PARAM *pstOutParam, int nWaitTime);

// ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetFaceParam(LLONG lLoginID, const NET_IN_SET_FACE_PARAM* pstInParam, NET_OUT_SET_FACE_PARAM *pstOutParam, int nWaitTime);

//////////////////////////////// ¼ϴӿ /////////////////////////////////

// 򿪿¼Ự, ؿ¼Ự,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartBurnSession(LLONG lLoginID, const NET_IN_START_BURN_SESSION* pstInParam, NET_OUT_START_BURN_SESSION *pstOutParam, int nWaitTime);

// رտ¼Ự
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopBurnSession(LLONG lBurnSession);

// ʼ¼,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartBurn(LLONG lBurnSession, const NET_IN_START_BURN* pstInParam, NET_OUT_START_BURN *pstOutParam, int nWaitTime);

// ֹͣ¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopBurn(LLONG lBurnSession);

// ͣ/ָ¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PauseBurn(LLONG lBurnSession, BOOL bPause);

// ص,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_BurnMarkTag(LLONG lBurnSession, const NET_IN_BURN_MARK_TAG* pstInParam, NET_OUT_BURN_MARK_TAG *pstOutParam, int nWaitTime);

// ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_BurnChangeDisk(LLONG lBurnSession, const NET_IN_BURN_CHANGE_DISK* pstInParam, NET_OUT_BURN_CHANGE_DISK *pstOutParam, int nWaitTime);

// ȡ¼״̬,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_BurnGetState(LLONG lBurnSession, const NET_IN_BURN_GET_STATE* pstInParam, NET_OUT_BURN_GET_STATE *pstOutParam, int nWaitTime);

// ¼״̬,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachBurnState(LLONG lLoginID, const NET_IN_ATTACH_STATE* pstInParam, NET_OUT_ATTACH_STATE *pstOutParam, int nWaitTime = 1000);

// ȡ¼״̬,lAttachHandleCLIENT_AttachBurnStateֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachBurnState(LLONG lAttachHandle);

// ¼ϴʼ ش˴ϴ, ע½ӿڲfAttachBurnStateCBص,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartUploadFileBurned(LLONG lLoginID, const NET_IN_FILEBURNED_START* pstInParam, NET_OUT_FILEBURNED_START *pstOutParam, int nWaitTime = 1000);

// ¼ϴļ,lUploadHandleCLIENT_StartUploadFileBurnedֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SendFileBurned(LLONG lUploadHandle);

// ¼ϴֹͣ,lUploadHandleCLIENT_StartUploadFileBurnedֵ,˽ӿڲfBurnFileCallBackصе
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopUploadFileBurned(LLONG lUploadHandle);

// ¼У״̬,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachBurnCheckState(LLONG lLoginID, const NET_IN_ATTACH_BURN_CHECK* pstInParam, NET_OUT_ATTACH_BURN_CHECK* pstOutParam, int nWaitTime = 1000);

// ȡ¼У״̬,lAttachHandleCLIENT_AttachBurnCheckStateֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachBurnCheckState(LLONG lAttachHandle);

// Ŀ¼Ϣ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachBurnCase(LLONG lLoginID, const NET_IN_ATTACH_BURN_CASE* pInParam, NET_OUT_ATTACH_BURN_CASE* pOutParam, int nWaitTime);

// ȡĿ¼Ϣ,lAttachHandleCLIENT_AttachBurnCaseֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachBurnCase(LLONG lAttachHandle);

// Ŀ¼豸״̬,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachBurnDevState(LLONG lLoginID, const NET_IN_ATTACH_BURN_DEV_STATE* pInParam, NET_OUT_ATTACH_BURN_DEV_STATE* pOutParam, int nWaitTime = 3000);

// ȡĿ¼豸״̬, lAttachHandle  CLIENT_AttachBurnDevState ֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachBurnDevState(LLONG lAttachHandle);


// ໤
typedef struct tagNET_BODY_MIND_DATA_INFO
{
    DWORD       dwSize;
    UINT        nECG;               // ֵ,λbpm
    UINT        nECGMax;            // ʱֵ,λbpm
    UINT        nECGMin;            // ʱֵ,λbpm
    UINT        nSPO2;              // Ѫֵ,λ%
    UINT        nSPO2Max;           // Ѫֵֵ,λ%
    UINT        nSPO2Min;           // Ѫֵֵ,λ%
    UINT        nRESP;              // ֵ,λBrPM
    UINT        nRESPMax;           // ֵ,λBrPM
    UINT        nRESPMin;           // ֵ,λBrPM
    UINT        nNIBP_SYS;          // ѹѹֵ,λmmHg
    UINT        nNIBP_SYSMax;       // ѹֵ,λmmHg
    UINT        nNIBP_SYSMin;       // ѹֵ,λmmHg
    UINT        nNIBP_AVG;          // ƽѹֵ,λmmHg
    UINT        nNIBP_AVGMax;       // ƽѹֵ,λmmHg
    UINT        nNIBP_AVGMin;       // ƽѹֵ,λmmHg
    UINT        nNIBP_DIA;          // ѹѹֵ,λmmHg
    UINT        nNIBP_DIAMax;       // ѹֵ,λmmHg
    UINT        nNIBP_DIAMin;       // ѹֵ,λmmHg
} NET_BODY_MIND_DATA_INFO;

// ໤ݻصԭ,lAttachHandleCLIENT_AttachBodyMindDataֵ
typedef void (CALLBACK *fBodyMindDataCallBack) (LLONG lAttachHandle, const NET_BODY_MIND_DATA_INFO* pBuf, int nBufLen, LDWORD dwUser);

// CLIENT_AttachBodyMindData ӿ
typedef struct tagNET_IN_ATTACH_BODY_MIND_DATA
{
    DWORD                       dwSize;
    fBodyMindDataCallBack       cbBodyMindData;                    // ໤ݻص
    LDWORD                      dwUser;                            // û
} NET_IN_ATTACH_BODY_MIND_DATA;

// CLIENT_AttachBodyMindData ӿ
typedef struct tagNET_OUT_ATTACH_BODY_MIND_DATA
{
    DWORD                dwSize;
} NET_OUT_ATTACH_BODY_MIND_DATA;

// CLIENT_DetachBodyMindData ӿ
typedef struct tagNET_IN_DETACH_BODY_MIND_DATA
{
    DWORD                dwSize;
} NET_IN_DETACH_BODY_MIND_DATA;

// CLIENT_DetachBodyMindData ӿ
typedef struct tagNET_OUT_DETACH_BODY_MIND_DATA
{
    DWORD                dwSize;
} NET_OUT_DETACH_BODY_MIND_DATA;


// ļ໤Ϣ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachBodyMindData(LLONG lLoginID, const NET_IN_ATTACH_BODY_MIND_DATA* pstInParam, NET_OUT_ATTACH_BODY_MIND_DATA* pstOutParam, int nWaitTime);

// ȡļ໤Ϣ,lAttachHandleCLIENT_AttachBodyMindDataֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachBodyMindData(LLONG lAttachHandle, const NET_IN_DETACH_BODY_MIND_DATA* pstInParam, NET_OUT_DETACH_BODY_MIND_DATA *pstOutParam, int nWaitTime);



//////////////////////////////// ߼豸 /////////////////////////////////////////

// ͷ״̬,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachCameraState(LLONG lLoginID, const NET_IN_CAMERASTATE* pstInParam, NET_OUT_CAMERASTATE *pstOutParam, int nWaitTime = 3000);

// ֹͣͷ״̬,lAttachHandleCLIENT_AttachCameraStateֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachCameraState(LLONG lAttachHandle);

// ȡЧʾԴ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MatrixGetCameras(LLONG lLoginID, const DH_IN_MATRIX_GET_CAMERAS* pInParam, DH_OUT_MATRIX_GET_CAMERAS* pOutParam, int nWaitTime = 1000);

// ߼豸,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MatrixAddCameras(LLONG lLoginID, const DH_IN_ADD_LOGIC_DEVICE_CAMERA* pInParam, DH_OUT_ADD_LOGIC_DEVICE_CAMERA* pOutParam, int nWaitTime = 1000);

// 豸ϢʾԴ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MatrixAddCamerasByDevice(LLONG lLoginID, const DH_IN_ADD_LOGIC_BYDEVICE_CAMERA* pInParam, DH_OUT_ADD_LOGIC_BYDEVICE_CAMERA* pOutParam, int nWaitTime = 1000);

// ƵԴ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MatrixAddCamerasByGroup(LLONG lLoginID, const NET_IN_ADD_LOGIC_BYGROUP_CAMERA* pInParam, NET_OUT_ADD_LOGIC_BYGROUP_CAMERA* pOutParam, int nWaitTime = 1000);
//////////////////////////////// ӿ /////////////////////////////////

// ѯƷ(pstuProdDefڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryProductionDefinition(LLONG lLoginID, DH_PRODUCTION_DEFNITION* pstuProdDef, int nWaitTime = 1000);

// ѯӿϢ(pstuCardListڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryMatrixCardInfo(LLONG lLoginID, DH_MATRIX_CARD_LIST* pstuCardList, int nWaitTime = 1000);

// ѯϵͳ״̬(pstuStatusڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QuerySystemStatus(LLONG lLoginID, DH_SYSTEM_STATUS* pstuStatus, int nWaitTime = 1000);

// ѯָ(pstuCapsڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSplitCaps(LLONG lLoginID, int nChannel, DH_SPLIT_CAPS* pstuCaps, int nWaitTime = 1000);

// ѯ/ʾԴ(pstuSplitSrcڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSplitSource(LLONG lLoginID, int nChannel, int nWindow, DH_SPLIT_SOURCE* pstuSplitSrc, int nMaxCount, int* pnRetCount, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetSplitSource(LLONG lLoginID, int nChannel, int nWindow, const DH_SPLIT_SOURCE* pstuSplitSrc, int nSrcCount, int nWaitTime = 1000);
// ʾԴ, ֧(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetSplitSourceEx(LLONG lLoginID, const NET_IN_SET_SPLIT_SOURCE* pInparam, NET_OUT_SET_SPLIT_SOURCE* pOutParam, int nWaitTime = 1000);

// NVR󣬽ʾԴ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SplitExchangeSource(LLONG lLoginID, const NET_IN_SPLIT_EXCHANGE_SOURCE* pInParam, NET_OUT_SPLIT_EXCHANGE_SOURCE* pOutParam, int nWaitTime = 1000);

// ѯ/÷ָģʽ(pstuSplitInfoڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSplitMode(LLONG lLoginID, int nChannel, DH_SPLIT_MODE_INFO* pstuSplitInfo, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetSplitMode(LLONG lLoginID, int nChannel, const DH_SPLIT_MODE_INFO* pstuSplitInfo, int nWaitTime = 1000);

// ѯָ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSplitGroupCount(LLONG lLoginID, int nChannel, DH_SPLIT_MODE emSplitMode, int* pnGroupCount, int nWaitTime = 1000);

// ѯƵ(pstuCapsڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetVideoOutCaps(LLONG lLoginID, int nChannel, DH_VIDEO_OUT_CAPS* pstuCaps, int nWaitTime = 1000);

// Ƶѡ(pstuVideoOutڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetVideoOutOption(LLONG lLoginID, int nChannel, const DH_VIDEO_OUT_OPT* pstuVideoOut, int nWaitTime = 1000);

// ѯƵͨĿǰĸʾ(pstuWndsڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryVideoOutWindows(LLONG lLoginID, int nChannel, DH_VIDEO_OUT_WINDOW* pstuWnds, int nMaxWndCount, int* pnRetWndCount, int nWaitTime = 1000);

// ôλ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetSplitWindowRect(LLONG lLoginID, const DH_IN_SPLIT_SET_RECT* pInParam, DH_OUT_SPLIT_SET_RECT* pOutParam, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSplitWindowRect(LLONG lLoginID, const DH_IN_SPLIT_GET_RECT* pInParam, DH_OUT_SPLIT_GET_RECT* pOutParam, int nWaitTime = 1000);

// /ش(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OpenSplitWindow(LLONG lLoginID, const DH_IN_SPLIT_OPEN_WINDOW* pInParam, DH_OUT_SPLIT_OPEN_WINDOW* pOutParam, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloseSplitWindow(LLONG lLoginID, const DH_IN_SPLIT_CLOSE_WINDOW* pInParam, DH_OUT_SPLIT_CLOSE_WINDOW* pOutParam, int nWaitTime = 1000);

// ôڴ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetSplitTopWindow(LLONG lLoginID, const DH_IN_SPLIT_SET_TOP_WINDOW* pInParam, DH_OUT_SPLIT_SET_TOP_WINDOW* pOutParam, int nWaitTime = 1000);

// ȡǰʾĴϢ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSplitWindowsInfo(LLONG lLoginID, const DH_IN_SPLIT_GET_WINDOWS* pInParam, DH_OUT_SPLIT_GET_WINDOWS* pOutParam, int nWaitTime = 1000);

// /ղؼ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_LoadSplitCollection(LLONG lLoginID, const DH_IN_SPLIT_LOAD_COLLECTION* pInParam, DH_OUT_SPLIT_LOAD_COLLECTION* pOutParam, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SaveSplitCollection(LLONG lLoginID, const DH_IN_SPLIT_SAVE_COLLECTION* pInParam, DH_OUT_SPLIT_SAVE_COLLECTION* pOutParam, int nWaitTime = 1000);

// ȡղؼϢ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSplitCollections(LLONG lLoginID, const DH_IN_SPLIT_GET_COLLECTIONS* pInParam, DH_OUT_SPLIT_GET_COLLECTIONS* pOutParam, int nWaitTime = 1000);

// ղؼ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RenameSplitCollection(LLONG lLoginID, const DH_IN_SPLIT_RENAME_COLLECTION* pInParam, DH_OUT_SPLIT_RENAME_COLLECTION* pOutParam, int nWaitTime = 1000);

// ɾղؼ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DeleteSplitCollection(LLONG lLoginID, const DH_IN_SPLIT_DELETE_COLLECTION* pInParam, DH_OUT_SPLIT_DELETE_COLLECTION* pOutParam, int nWaitTime = 1000);

// (pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDecodePolicy(LLONG lLoginID, const DH_IN_SET_DEC_POLICY* pInParam, DH_OUT_SET_DEC_POLICY* pOutParam, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDecodePolicy(LLONG lLoginID, const DH_IN_GET_DEC_POLICY* pInParam, DH_OUT_GET_DEC_POLICY* pOutParam, int nWaitTime = 1000);

// Ƶģʽ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetSplitAudioOuput(LLONG lLoginID, const DH_IN_SET_AUDIO_OUTPUT* pInParam, DH_OUT_SET_AUDIO_OUTPUT* pOutParam, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSplitAudioOuput(LLONG lLoginID, const DH_IN_GET_AUDIO_OUTPUT* pInParam, DH_OUT_GET_AUDIO_OUTPUT* pOutParam, int nWaitTime = 1000);

// ʾԴ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MatrixSetCameras(LLONG lLoginID, const DH_IN_MATRIX_SET_CAMERAS* pInParam, DH_OUT_MATRIX_SET_CAMERAS* pOutParam, int nWaitTime = 1000);

// ȡƵ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetVideoInCaps(LLONG lLoginID, const DH_IN_GET_VIDEO_IN_CAPS* pInParam, DH_OUT_GET_VIDEO_IN_CAPS* pOutParam, int nWaitTime = 1000);

// ȡƵģʽ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_EnumVideoOutModes(LLONG lLoginID, const DH_IN_ENUM_VIDEO_OUT_MODES* pInParam, DH_OUT_ENUM_VIDEO_OUT_MODES* pOutParam, int nWaitTime = 1000);

// ȡ/ý봰OSDϢ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSplitOSD(LLONG lLoginID, const DH_IN_SPLIT_GET_OSD* pInParam, DH_OUT_SPLIT_GET_OSD* pOutParam, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetSplitOSD(LLONG lLoginID, const DH_IN_SPLIT_SET_OSD* pInParam, DH_OUT_SPLIT_SET_OSD* pOutParam, int nWaitTime = 1000);

// ȡ/ý봰OSDϢչӿ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSplitOSDEx(LLONG lLoginID, const NET_IN_SPLIT_GET_OSD_EX* pInParam, NET_OUT_SPLIT_GET_OSD_EX* pOutParam, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetSplitOSDEx(LLONG lLoginID, const NET_IN_SPLIT_SET_OSD_EX* pInParam, NET_OUT_SPLIT_SET_OSD_EX* pOutParam, int nWaitTime = 1000);

// ôѲʾԴ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetTourSource(LLONG lLoginID, const NET_IN_SET_TOUR_SOURCE* pInParam, NET_OUT_SET_TOUR_SOURCE* pOutParam, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetTourSource(LLONG lLoginID, const NET_IN_GET_TOUR_SOURCE* pInParam, NET_OUT_GET_TOUR_SOURCE* pOutParam, int nWaitTime);

// Ѳ״̬(pInparam, pOutParamڴûͷ)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachSplitTour(LLONG lLoginID, const NET_IN_ATTACH_SPLIT_TOUR* pInParam, NET_OUT_ATTACH_SPLIT_TOUR* pOutParam, int nWaitTime);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachSplitTour(LLONG lAttachHandle);

// λл(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MatrixSwitch(LLONG lLoginID, const NET_IN_MATRIX_SWITCH* pInParam, NET_OUT_MATRIX_SWITCH* pOutParam, int nWaitTime);

// ʾԴ, ֧ͬʱö(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SplitSetMultiSource(LLONG lLoginID, const NET_IN_SPLIT_SET_MULTI_SOURCE* pInParam, NET_OUT_SPLIT_SET_MULTI_SOURCE* pOutParam, int nWaitTime);

// Ƶָ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateSplit(LLONG lLoginID, NET_SPLIT_OPERATE_TYPE emType, void* pInParam, void* pOutParam, int nWaitTime);
// ĴʾԴϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachWindowsSource( LLONG lLoginID, const NET_IN_ATTACH_WINDOW_SOURCE* pInParam, NET_OUT_ATTACH_WINDOW_SOURCE* pOutParam, int nWaitTime );
// ȡĴʾԴϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachWindowsSource( LLONG lAttachHandle );

// ͼֲŴ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_WindowRegionEnlarge(LLONG lLoginID, const NET_IN_WINDOW_REGION_ENLARGE* pInParam, NET_OUT_WINDOW_REGION_ENLARGE* pOutParam, int nWaitTime);

// ͼֲŴԭ(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_WindowEnlargeReduction(LLONG lLoginID, const NET_IN_WINDOW_ENLARGE_REDUCTION* pInParam, NET_OUT_WINDOW_ENLARGE_REDUCTION* pOutParam, int nWaitTime);

// 󴰿(pInparam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_WindowButtonAction(LLONG lLoginID, const NET_IN_WINDOW_ONBUTTON_ACTION* pInParam, NET_OUT_WINDOW_ONBUTTON_ACTION* pOutParam, int nWaitTime);

// ָڲŲ
typedef enum tagNET_PLAYER_OPERATE_TYPE
{
    NET_PLAYER_OPERATE_OPEN,                // 򿪲NET_IN_PLAYER_OPEN
    NET_PLAYER_OPERATE_CLOSE,               // رղNET_IN_PLAYER_CLOSE
    NET_PLAYER_OPERATE_START,               // ʼţNET_IN_PLAYER_START
    NET_PLAYER_OPERATE_STOP,                // ֹͣţNET_IN_PLAYER_STOP
    NET_PLAYER_OPERATE_PAUSE,               // ͣ/ָţNET_IN_PLAYER_PAUSE
    NET_PLAYER_OPERATE_SEEK_TIME,           // תָʱ䲥ţNET_IN_PLAYER_SEEK_TIME
    NET_PLAYER_OPERATE_STEP_FRAME,          // ֡ط, ҪͣʹãNET_IN_PLAYER_STEP_FRAME
    NET_PLAYER_OPERATE_GET_STATE,           // ȡǰط״̬NET_IN_PLAYER_GET_STATE
    NET_PLAYER_OPERATE_GET_TIME,            // ȡǰطʱ䣬NET_IN_PLAYER_GET_TIMENET_OUT_PLAYER_GET_TIME
    NET_PLAYER_OPERATE_GET_SPEED,           // ȡٶȣNET_IN_PLAYER_GET_SPEEDNET_OUT_PLAYER_GET_SPEED
    NET_PLAYER_OPERATE_SET_SPEED,           // òٶȣNET_IN_PLAYER_SET_SPEED
    NET_PLAYER_OPERATE_GET_VOLUME,          // ȡNET_IN_PLAYER_GET_VOLUMENET_OUT_PLAYER_GET_VOLUME
    NET_PLAYER_OPERATE_SET_VOLUME,          // NET_IN_PLAYER_SET_VOLUME
    NET_PLAYER_OPERATE_GET_PLAYLIST,        // ȡļбNET_IN_PLAYER_GET_PLAYLISTNET_OUT_PLAYER_GET_PLAYLIST
    NET_PLAYER_OPERATE_GET_PLAYLIST_TS,     // ȡǰļбȫʱϢNET_IN_PLAYER_GET_PLAYLIST_TSNET_OUT_PLAYER_GET_PLAYLIST_TS
}NET_PLAYER_OPERATE_TYPE;

// 
typedef struct tagNET_PLAYER_OPEN_CONDITION 
{
    DWORD               dwSize;
    char                szDevice[DH_DEV_ID_LEN];        // ָԶ˵豸
    int                 nChannel;                       // ͨ
    NET_TIME            stuStartTime;                   // ʼʱ
    NET_TIME            stuEndTime;                     // ʱ
    NET_STREAM_TYPE     emStreamType;                   // 
    int                 nEventNum;                      // ¼͸
    int                 nEvent[MAX_IVS_EVENT_NUM];      // ¼
}NET_PLAYER_OPEN_CONDITION;

// ģʽ
typedef enum tagNET_EM_SPLIT_TRANS_MODE
{
	NET_EM_SPLIT_TRANS_DIRECT,			// ֱ
	NET_EM_SPLIT_TRANS_TRANSFER,		// ת
} NET_EM_SPLIT_TRANS_MODE;

// ǰ豸ӷʽ
typedef enum tagNET_EM_SPLIT_CONNECT_TYPE
{
	NET_EM_SPLIT_CONNECT_TCP,			// tcp
	NET_EM_SPLIT_CONNECT_UDP,			// udp
} NET_EM_SPLIT_CONNECT_TYPE;

// 򿪲, Ӧ NET_PLAYER_OPERATE_OPEN
typedef struct tagNET_IN_PLAYER_OPEN 
{
    DWORD               		dwSize;
    LLONG               		lPlayerID;              // ʵID
	const char*         		pszDevice;              // ָӱػԶȡ¼, Ϊnullӱȡ¼,
														// bDeviceInfoΪFALSEʱЧ
                                                        // ǴԶ豸ȡ,ҪNET_PLAYER_OPEN_CONDITIONszDeviceһ
    NET_PLAYER_OPEN_CONDITION 	stuCondition;           // ѯ
	BOOL						bDeviceInfo;			// ʾstuDeviceInfoǷЧ
	DH_REMOTE_DEVICE			stuDeviceInfo;			// 豸Ϣ, bDeviceInfoΪTRUEʱdeviceInfoЧ
	NET_EM_SPLIT_TRANS_MODE		emTransferMode;			// ģʽ
	NET_EM_SPLIT_CONNECT_TYPE	emConnectType;			// ǰ豸, ģʽΪתģʽЧ, ֱģʽ²Ĭʽ
	EM_SRC_PUSHSTREAM_TYPE  	emPushStream;           // ʽ,ģʽΪתģʽ, ΪTCPUDPʱЧ
}NET_IN_PLAYER_OPEN;

// 򿪲, Ӧ NET_PLAYER_OPERATE_OPEN
typedef struct tagNET_OUT_PLAYER_OPEN 
{
    DWORD               dwSize;
}NET_OUT_PLAYER_OPEN;

// رղ, Ӧ NET_PLAYER_OPERATE_CLOSE
typedef struct tagNET_IN_PLAYER_CLOSE
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
}NET_IN_PLAYER_CLOSE;

// رղ, Ӧ NET_PLAYER_OPERATE_CLOSE
typedef struct tagNET_OUT_PLAYER_CLOSE
{
    DWORD               dwSize;
}NET_OUT_PLAYER_CLOSE;

// ʼ, Ӧ NET_PLAYER_OPERATE_START
typedef struct tagNET_IN_PLAYER_START
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
}NET_IN_PLAYER_START;

// ʼ, Ӧ NET_PLAYER_OPERATE_START
typedef struct tagNET_OUT_PLAYER_START
{
    DWORD               dwSize;
}NET_OUT_PLAYER_START;

// ֹͣ, Ӧ NET_PLAYER_OPERATE_STOP
typedef struct tagNET_IN_PLAYER_STOP
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
}NET_IN_PLAYER_STOP;

// ֹͣ, Ӧ NET_PLAYER_OPERATE_STOP
typedef struct tagNET_OUT_PLAYER_STOP
{
    DWORD               dwSize;
}NET_OUT_PLAYER_STOP;

// ͣ/ָ, Ӧ NET_PLAYER_OPERATE_PAUSE
typedef struct tagNET_IN_PLAYER_PAUSE
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
    BOOL                bPause;                         // Ƿͣ, TRUE-ͣ, FALSE-ָ
}NET_IN_PLAYER_PAUSE;

// ͣ/ָ, Ӧ NET_PLAYER_OPERATE_PAUSE
typedef struct tagNET_OUT_PLAYER_PAUSE
{
    DWORD               dwSize;
}NET_OUT_PLAYER_PAUSE;

// תָʱ䲥, Ӧ NET_PLAYER_OPERATE_SEEK_TIME
typedef struct tagNET_IN_PLAYER_SEEK_TIME
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
    NET_TIME            stuTime;                        // תʱ
}NET_IN_PLAYER_SEEK_TIME;

// תָʱ䲥, Ӧ NET_PLAYER_OPERATE_SEEK_TIME
typedef struct tagNET_OUT_PLAYER_SEEK_TIME
{
    DWORD               dwSize;
}NET_OUT_PLAYER_SEEK_TIME;

// ֡, Ӧ NET_PLAYER_OPERATE_STEP_FRAME
typedef struct tagNET_IN_PLAYER_STEP_FRAME
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
    BOOL                bForward;                       // Ƿ, TRUE-, FALSE-
}NET_IN_PLAYER_STEP_FRAME;

// ֡, Ӧ NET_PLAYER_OPERATE_STEP_FRAME
typedef struct tagNET_OUT_PLAYER_STEP_FRAME
{
    DWORD               dwSize;
}NET_OUT_PLAYER_STEP_FRAME;

// ״̬
typedef enum tagNET_PLAYER_STATE 
{
    NET_PLAYER_STATE_UNKNOWN,               // δ֪
    NET_PLAYER_STATE_ERROR,                 // д
    NET_PLAYER_STATE_READING,               // , Կط
    NET_PLAYER_STATE_STANDBY,               // ǰļطֹͣ, ֻܴͷʼ»ط
    NET_PLAYER_STATE_RUNNING,               // 
    NET_PLAYER_STATE_PAUSED,                // ͣ, Դͣط
    NET_PLAYER_STATE_CLOSED,                // ѹر, ޷, openReading״̬ܻط
}NET_PLAYER_STATE;

// ѯ״̬, Ӧ NET_PLAYER_OPERATE_GET_STATE
typedef struct tagNET_IN_PLAYER_GET_STATE
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
}NET_IN_PLAYER_GET_STATE;

// ѯ״̬, Ӧ NET_PLAYER_OPERATE_GET_STATE
typedef struct tagNET_OUT_PLAYER_GET_STATE
{
    DWORD               dwSize;
    NET_PLAYER_STATE    emState;                        // ״̬
}NET_OUT_PLAYER_GET_STATE;

// ȡǰطʱ, Ӧ NET_PLAYER_OPERATE_GET_TIME
typedef struct tagNET_IN_PLAYER_GET_TIME
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
}NET_IN_PLAYER_GET_TIME;

// ȡǰطʱ, Ӧ NET_PLAYER_OPERATE_GET_TIME
typedef struct tagNET_OUT_PLAYER_GET_TIME
{
    DWORD               dwSize;
    NET_TIME            stuTime;                        // ǰʱ
}NET_OUT_PLAYER_GET_TIME;

// ȡٶ, Ӧ NET_PLAYER_OPERATE_GET_SPEED
typedef struct tagNET_IN_PLAYER_GET_SPEED
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
}NET_IN_PLAYER_GET_SPEED;

// ȡٶ, Ӧ NET_PLAYER_OPERATE_GET_SPEED
typedef struct tagNET_OUT_PLAYER_GET_SPEED
{
    DWORD               dwSize;
    float               fSpeed;                         // ٶ, >0򲥷, <0򲥷
                                                        // ֵʾٶ, =1ٶ, >1, <1
}NET_OUT_PLAYER_GET_SPEED;

// òٶ, Ӧ NET_PLAYER_OPERATE_SET_SPEED
typedef struct tagNET_IN_PLAYER_SET_SPEED
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
    float               fSpeed;                         // ٶ, >0򲥷, <0򲥷
                                                        // ֵʾٶ, =1ٶ, >1, <1
}NET_IN_PLAYER_SET_SPEED;

// òٶ, Ӧ NET_PLAYER_OPERATE_SET_SPEED
typedef struct tagNET_OUT_PLAYER_SET_SPPED
{
    DWORD               dwSize;
}NET_OUT_PLAYER_SET_SPEED;

// ȡ, Ӧ NET_PLAYER_OPERATE_GET_VOLUME
typedef struct tagNET_IN_PLAYER_GET_VOLUME
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
}NET_IN_PLAYER_GET_VOLUME;

// ȡ, Ӧ NET_PLAYER_OPERATE_GET_VOLUME
typedef struct tagNET_OUT_PLAYER_GET_VOLUME
{
    DWORD               dwSize;
    int                 nVolume;                        // , 0~100
}NET_OUT_PLAYER_GET_VOLUME;

// ò, Ӧ NET_PLAYER_OPERATE_SET_VOLUME
typedef struct tagNET_IN_PLAYER_SET_VOLUME
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
    int                 nVolume;                        // , 0~100
}NET_IN_PLAYER_SET_VOLUME;

// ò, Ӧ NET_PLAYER_OPERATE_SET_VOLUME
typedef struct tagNET_OUT_PLAYER_SET_VOLUME
{
    DWORD               dwSize;
}NET_OUT_PLAYER_SET_VOLUME;

// бϢ
typedef struct tagNET_PLAYER_PLAYLIST
{
    DWORD               dwSize;
    char                szFilePath[MAX_PATH];           // ļ·, Urlѡһ
    char                szUrl[MAX_PATH];                // URL, FilePathѡһ
    DH_DEVICE_PROTOCOL  emUrlProtocol;                  // URLЭ
    NET_TIME            stuStartTime;                   // ʼʱ
    NET_TIME            stuEndTime;                     // ʱ
}NET_PLAYER_PLAYLIST;

// ȡǰб, Ӧ NET_PLAYER_OPERATE_GET_PLAYLIST
typedef struct tagNET_IN_PLAYER_GET_PLAYLIST
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
    NET_TIME            stuStartTime;                   // ʼʱ
    NET_TIME            stuEndTime;                     // ʱ
    int                 nLimit;                         // ѯļ, 0ʾ
}NET_IN_PLAYER_GET_PLAYLIST;

// ȡǰб, Ӧ NET_PLAYER_OPERATE_GET_PLAYLIST
typedef struct tagNET_OUT_PLAYER_GET_PLAYLIST
{
    DWORD               dwSize;
    NET_PLAYER_PLAYLIST* pstuPlayLists;                 // б, ûڴ
    int                 nMaxPlayListCount;              // 󲥷б, ûд
    int                 nRetPlayListCount;              // زб
}NET_OUT_PLAYER_GET_PLAYLIST;

// ȡǰļбȫʱϢ, Ӧ NET_PLAYER_OPERATE_GET_PLAYLIST_TS
typedef struct tagNET_IN_PLAYER_GET_PLAYLIST_TS
{
    DWORD               dwSize;
    LLONG               lPlayerID;                      // ʵID
}NET_IN_PLAYER_GET_PLAYLIST_TS;

typedef struct tagNET_PLAYLIST_TIMESECTION
{
    DWORD               dwSize;
    int                 nEvent;                         // ¼¼, Ŀǰ
                                                        // EVENT_ALARM_COMMON, EVENT_ALARM_VIDEOBLIND, EVENT_ALARM_VIDEOLOSS, 
                                                        // EVENT_ALARM_MOTIONDETECT, EVENT_ALARM_LOCALALARM
    LPDH_TSECT          pstuTSs;                        // ʱϢ
    DWORD               unMaxTS;                        // ʱ
    DWORD               unRetTS;                        // ʵʷصʱθ
}NET_PLAYLIST_TIMESECTION;

// ȡǰļбȫʱϢ, Ӧ NET_PLAYER_OPERATE_GET_PLAYLIST_TS
typedef struct tagNET_OUT_PLAYER_GET_PLAYLIST_TS
{
    DWORD                    dwSize;
    DWORD                    dwEventNum;                // ¼
    NET_PLAYLIST_TIMESECTION stuTS[MAX_IVS_EVENT_NUM];  // ǰطбʱϢ
}NET_OUT_PLAYER_GET_PLAYLIST_TS;

// ָڲŲ,pInParampOutParamڴûͷţڴСemTypeӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateSplitPlayer(LLONG lLoginID, NET_PLAYER_OPERATE_TYPE emType, void* pInParam, void* pOutParam, int nWaitTime);

// NET_ACCESS_LOCK_VER 
typedef struct tagNET_ACCESS_LOCK_VER_IN
{
    int                 nChannel;                       // ͨ
    char                reserved[128];                  // 
} NET_ACCESS_LOCK_VER_IN;

// NET_ACCESS_LOCK_VER 
typedef struct tagNET_ACCESS_LOCK_VER_OUT
{
    char                szVersion[32];                  // 汾
    NET_TIME            stuTime;                        // ʱ
    char                reserved[512];                  // 
} NET_ACCESS_LOCK_VER_OUT;

// 汾, CLIENT_QueryDevState ѯ DH_DEVSTATE_ACCESS_LOCK_VER
typedef struct tagNET_ACCESS_LOCK_VER
{
    DWORD                    dwSize;
    NET_ACCESS_LOCK_VER_IN   stuIn;                     // 
    NET_ACCESS_LOCK_VER_OUT  stuOut;                    // 
} NET_ACCESS_LOCK_VER;

//////////////////////////////////// ǽ //////////////////////////////////////

// Դ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PowerControl(LLONG lLoginID, const DH_IN_WM_POWER_CTRL* pInParam, DH_OUT_WM_POWER_CTRL* pOutParam, int nWaitTime = 1000);

// ȡ/ʾģʽ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDisplayMode(LLONG lLoginID, const DH_IN_WM_SET_DISPLAY_MODE* pInParam, DH_OUT_WM_SET_DISPLAY_MODE* pOutParam, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDisplayMode(LLONG lLoginID, const DH_IN_WM_GET_DISPLAY_MODE* pInParam, DH_OUT_WM_GET_DISPLAY_MODE* pOutParam, int nWaitTime = 1000);

// /Ԥ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_LoadMonitorWallCollection(LLONG lLoginID, const DH_IN_WM_LOAD_COLLECTION* pInParam, DH_OUT_WM_LOAD_COLLECTION* pOutParam, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SaveMonitorWallCollection(LLONG lLoginID, const DH_IN_WM_SAVE_COLLECTION* pInParam, DH_OUT_WM_SAVE_COLLECTION* pOutParam, int nWaitTime = 1000);

// ȡǽԤ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetMonitorWallCollections(LLONG lLoginID, const DH_IN_WM_GET_COLLECTIONS* pInParam, DH_OUT_WM_GET_COLLECTIONS* pOutParam, int nWaitTime = 1000);

// ǽԤ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RenameMonitorWallCollection(LLONG lLoginID, const DH_IN_WM_RENAME_COLLECTION* pInParam, DH_OUT_WM_RENAME_COLLECTION* pOutParam, int nWaitTime = 1000);

// ȡ/õǽ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallGetScene(LLONG lLoginID, const DH_IN_MONITORWALL_GET_SCENE* pInParam, DH_OUT_MONITORWALL_GET_SCENE* pOutParam, int nWaitTime = 1000);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallSetScene(LLONG lLoginID, const DH_IN_MONITORWALL_SET_SCENE* pInParam, DH_OUT_MONITORWALL_SET_SCENE* pOutParam, int nWaitTime = 1000);

// CLIENT_GetCountOfMonitorWallSceneӿ(ȡǽĸ)
typedef struct tagNET_IN_GET_COUNT_MONITORWALL_SCENE
{
    DWORD                   dwSize;
    int                     nMonitorWallID;                 // ǽ
} NET_IN_GET_COUNT_MONITORWALL_SCENE;

// CLIENT_GetCountOfMonitorWallSceneӿ(ȡǽĸ)
typedef struct tagNET_OUT_GET_COUNT_MONITORWALL_SCENE
{
    DWORD                   dwSize;
    unsigned int            nSplitSceneCount;           // ȡƴĸ
    unsigned int            nSplitWndCount[300];            // Ϣ飬ÿԪرʾÿƴеĴϢĸ
} NET_OUT_GET_COUNT_MONITORWALL_SCENE;

// ȡǽĸ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCountOfMonitorWallScene(LLONG lLoginID, const NET_IN_GET_COUNT_MONITORWALL_SCENE* pInParam, NET_OUT_GET_COUNT_MONITORWALL_SCENE* pOutParam, int nWaitTime);

// ȡǽʾԪ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallGetAttributeCaps(LLONG lLoginID, const DH_IN_MONITORWALL_GET_ARRT_CAPS* pInParam, DH_OUT_MONITORWALL_GET_ARRT_CAPS* pOutParam, int nWaitTime = 1000);

// ǽʾԪԶ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallAutoAdjust(LLONG lLoginID, const DH_IN_MONITORWALL_AUTO_ADJUST* pInParam, DH_OUT_MONITORWALL_AUTO_ADJUST* pOutParam, int nWaitTime = 1000);

// õǽʾԪ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallSetAttribute(LLONG lLoginID, const DH_IN_MONITORWALL_SET_ATTR* pInParam, DH_OUT_MONITORWALL_SET_ATTR* pOutParam, int nWaitTime = 1000);

// ñģʽ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallSetBackLight(LLONG lLoginID, const DH_IN_MONITORWALL_SET_BACK_LIGHT* pInParam, DH_OUT_MONITORWALL_SET_BACK_LIGHT* pOutParam, int nWaitTime = 1000);

// ѯ/Ļؼƻ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallGetPowerSchedule(LLONG lLoginID, const NET_IN_MW_GET_POWER_SCHEDULE* pInParam, NET_OUT_MW_GET_POWER_SCHEDULE* pOutParam, int nWaitTime);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallSetPowerSchedule(LLONG lLoginID, const NET_IN_MW_SET_POWER_SCHEDULE* pInParam, NET_OUT_MW_SET_POWER_SCHEDULE* pOutParam, int nWaitTime);

// ѯ/ĻƲ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallGetScrnCtrlParam(LLONG lLoginID, const NET_IN_MW_GET_SCRN_CTRL_PARAM* pInParam, NET_OUT_MW_GET_SCRN_CTRL_PARAM* pOutParam, int nWaitTime);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallSetScrnCtrlParam(LLONG lLoginID, const NET_IN_MW_SET_SCRN_CTRL_PARAM* pInParam, NET_OUT_MW_SET_SCRN_CTRL_PARAM* pOutParam, int nWaitTime);

// ѯ/Ļʹڱɫ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallGetBackgroudColor(LLONG lLoginID, const NET_IN_MW_GET_BACKGROUDND_COLOR* pInParam, NET_OUT_MW_GET_BACKGROUDND_COLOR* pOutParam, int nWaitTime);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallSetBackgroudColor(LLONG lLoginID, const NET_IN_MW_SET_BACKGROUD_COLOR* pInParam, NET_OUT_MW_SET_BACKGROUD_COLOR* pOutParam, int nWaitTime);

// ԤѲ״̬,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_MonitorWallAttachTour(LLONG lLoginID, const NET_IN_WM_ATTACH_TOUR* pInParam, NET_OUT_WM_ATTACH_TOUR* pOutParam, int nWaitTime);
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallDetachTour(LLONG lAttachHandle);

// ǽ,pInParampOutParamڴûͷ,СemTypeӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateMonitorWall(LLONG lLoginID, NET_MONITORWALL_OPERATE_TYPE emType, void* pInParam, void* pOutParam, int nWaitTime);

// лʾź,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallSwitchDisplaySignal(LLONG lLoginID, const NET_IN_MW_SWITCH_DISPLAY_SIGNAL* pInParam, NET_OUT_MW_SWITCH_DISPLAY_SIGNAL* pOutParam, int nWaitTime);

//ȡĻڽϢCLIENT_MonitorWallGetWindowInfo
typedef struct tagNET_IN_MW_GET_WINODW_INFO
{
	DWORD                      dwSize;                     //ṹС
	int                        nMonitorWallID;             //ǽ
	const char*                pszCompositeID;             //ƴߵID
}NET_IN_MW_GET_WINODW_INFO;

//ı뷽ʽ
typedef enum tagEM_NET_ENCODE_COMPRESSION
{
	EM_NET_ENCODE_COMPRESSION_UNKNOWN,                     //δ֪
	EM_NET_ENCODE_COMPRESSION_H264,                        //H264
	EM_NET_ENCODE_COMPRESSION_MPEG4,                       //MPEG4
	EM_NET_ENCODE_COMPRESSION_MJPEG,                       //MJPEG
	EM_NET_ENCODE_COMPRESSION_SVAC,                        //SVAC
	EM_NET_ENCODE_COMPRESSION_HIK,                         //HIK
	EM_NET_ENCODE_COMPRESSION_H265,                        //H265
}EM_NET_ENCODE_COMPRESSION;

//ͨϢ
typedef struct tagNET_MW_GET_WINDOW_INFO
{
	BOOL                       bEnable;                    //ʹ״̬
	NET_VIDEOCHANNEL_STATE     emState;                    //ڽ״̬
	UINT                       unNetflow;                  //(λkbps)
	UINT                       unBitrate;                  //(λkbps)
	UINT                       nFrame;                     //֡
	CAPTURE_SIZE               emResolution;               //ֱ
	UINT                       unRealTimeFrame;            //ʵʱͳƵ֡
	EM_NET_ENCODE_COMPRESSION  emCompression;              //ı뷽ʽ
	BYTE                       byReserved[512];            //Ԥֽ
}NET_MW_GET_WINDOW_INFO;

//ȡĻڽϢCLIENT_MonitorWallGetWindowInfo
typedef struct tagNET_OUT_MW_GET_WINDOW_INFO
{
	DWORD                      dwSize;                     //ûʹøýṹʱ,dwSize 踳ֵΪ sizeof(NET_OUT_MW_GET_WINDOW_INFO)
	int                        nVideoInfoNum;              //ûҪȡĽͨϢ,0ʼȡ,ûָ
	NET_MW_GET_WINDOW_INFO*    pNetVideoChannelInfo;       //ͨϢб,ûռ,ûбnVideoInfoNumһ,ڴСΪsizeof(NET_MW_GET_WINDOW_INFO)*nVideoInfoNum
	int                        nRetVideoInfoNum;           //ʵʻȡĽͨϢ,SDK
}NET_OUT_MW_GET_WINDOW_INFO;

//ȡǽĻڽϢ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MonitorWallGetWindowInfo(LLONG lLoginID, const NET_IN_MW_GET_WINODW_INFO* pInParam, NET_OUT_MW_GET_WINDOW_INFO* pOutParam,int nWaitTime);

///////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////ȫƴӷؽӿ start ///////////////////////////////////////////////
/////////////////////////////////////////////////////// ///////////////////////////////////////////////
// ȫƴӷϢ
typedef struct tagPANO_COMPOSITE_GROUP_INFO
{
    char                szGroupName[64];                // ȫƴ
    /*ĳ˻1С65*/
    int                 nRow;                           // 
    int                 nColumn;                        // 
    int                 nEncChannel;                    // ıͨ, ͨCLIENT_QueryMatrixCardInfo ӿڻȡ
    BYTE                byReserved[1028];               //Ԥֽ
} PANO_COMPOSITE_GROUP_INFO;

// ȫƴӷ 
typedef struct tagNET_IN_ADD_PANO_COMPOSITE_GROUP
{
    DWORD                       dwSize;                         // ṹС
    BYTE                        byReserved[4];                  // ֽڶ
    PANO_COMPOSITE_GROUP_INFO   stuPanoCompositeGroup;          // ȫƴϢ
} NET_IN_ADD_PANO_COMPOSITE_GROUP;

// ȫƴӷ 
typedef struct tagNET_OUT_ADD_PANO_COMPOSITE_GROUP
{
    DWORD                       dwSize;                         // ṹС
    BYTE                        byReserved[4];                  // ֽڶ
    char                        szGroupID[32];                  // ID
} NET_OUT_ADD_PANO_COMPOSITE_GROUP;

// ɾȫƴӷ 
typedef struct tagNET_IN_REMOVE_PANO_COMPOSITE_GROUP
{
    DWORD                       dwSize;                         // ṹС
    UINT                        nGroupNum;                      // Ҫɾ
    char                        szGroupIdList[16][32];          // ҪɾIDб
} NET_IN_REMOVE_PANO_COMPOSITE_GROUP;

// ɾȫƴӷ 
typedef struct tagNET_OUT_REMOVE_PANO_COMPOSITE_GROUP
{
    DWORD                       dwSize;                         // ṹС
} NET_OUT_REMOVE_PANO_COMPOSITE_GROUP;

// ޸ȫƴӷ
typedef struct tagNET_IN_MODIFY_PANO_COMPOSITE_GROUP
{
    DWORD                       dwSize;                         // ṹС
    BYTE                        byReserved[4];                  // ֽڶ
    char                        szGroupID[32];                  // ID
    PANO_COMPOSITE_GROUP_INFO   stuPanoCompositeGroup;          // ȫƴϢ
} NET_IN_MODIFY_PANO_COMPOSITE_GROUP;

// ޸ȫƴӷ
typedef struct tagNET_OUT_MODIFY_PANO_COMPOSITE_GROUP
{
    DWORD                       dwSize;                         // ṹС
} NET_OUT_MODIFY_PANO_COMPOSITE_GROUP;

// ȡȫƴӷϢ
typedef struct tagNET_IN_GET_ALL_PANO_COMPOSITE_GROUP
{
    DWORD                       dwSize;                         // ṹС
} NET_IN_GET_ALL_PANO_COMPOSITE_GROUP;

// ȫƴӷб
typedef struct tagPANO_COMPOSITE_GROUP_LIST_INFO
{
    char                        szGroupID[32];                  // ID
    PANO_COMPOSITE_GROUP_INFO   stuPanoCompositeGroup;          // ȫƴϢ
    BYTE                        byReserved[1024];               //Ԥֽ
} PANO_COMPOSITE_GROUP_LIST_INFO;

// ȡȫƴӷϢ
typedef struct tagNET_OUT_GET_ALL_PANO_COMPOSITE_GROUP
{
    DWORD                           dwSize;                         // ṹС
    UINT                            nGroupNum;                      // ȫƴ
    PANO_COMPOSITE_GROUP_LIST_INFO  stuGroupInfoList[16];           // ȫƴб
} NET_OUT_GET_ALL_PANO_COMPOSITE_GROUP;

// ʾԴƵ
typedef enum tagEM_SOURCE_STREAM_TYPE
{
    EM_SOURCE_STREAM_UNKNOWN     = -1,  // δ֪
    EM_SOURCE_STREAM_MAIN,              // 
    EM_SOURCE_STREAM_EXTRA1,            // 1
    EM_SOURCE_STREAM_EXTRA2,            // 2
    EM_SOURCE_STREAM_EXTRA3,            // 3
    EM_SOURCE_STREAM_AUTO,              // Զѡ
    EM_SOURCE_STREAM_PREVIEW,           // Ԥ
} EM_SOURCE_STREAM_TYPE;

// ʾԴ豸Ϣ
typedef struct tagNET_SOURCE_DEVICE_INFO
{
    int                         nDefinition;                        // , 0-, 1-
    DH_DEVICE_PROTOCOL          emProtocol;                         // Э
    char                        szIp[32];                           // IP, ձʾû
    char                        szUser[64];                         // û
    char                        szPwd[64];                          // 
    int                         nPort;                              // ˿
    int                         nVideoInputChannelNum;              // Ƶͨ
    int                         nAudioInputChannelNum;              // Ƶͨ
    DWORD                       dwHttpPort;                         // Http˿ں, 0-65535
    DWORD                       dwRtspPort;                         // Rtsp˿ں, 0-65535
    int                         nHint;                              // 0-ͨƵԴ, 1-ƵԴ
    char                        szDevClass[DH_DEV_TYPE_LEN];        // 豸, IPC, DVR, NVR
    char                        szDevType[DH_DEV_TYPE_LEN];         // 豸ͺ, IPC-HF3300
    char                        szMainStreamUrl[MAX_PATH];          // urlַ
    BYTE                        byReserved[1028];                   //Ԥֽ
} NET_SOURCE_DEVICE_INFO;

// ȫƴӷƵԴϢ
typedef struct tagPANO_COMPOSITE_GROUP_SOURCE_INFO
{
    UINT                            nChannelID;                     // Ƶͨ
    EM_SOURCE_STREAM_TYPE           emStreamType;                   // Ƶ
    char                            szDeviceID[64];                 // 豸ID, stuDeviceInfo 
    NET_SOURCE_DEVICE_INFO          stuDeviceInfo;                  // ʾԴ豸Ϣ, szDeviceID ΪʱЧ
    BYTE                            byReserved[1024];               //Ԥֽ
} PANO_COMPOSITE_GROUP_SOURCE_INFO;

// ȫƴӷƵԴ
typedef struct tagNET_IN_SET_PANO_COMPOSITE_GROUP_SOURCE
{
    DWORD                               dwSize;                         // ṹС
    char                                szGroupID[32];                  // ID
    UINT                                nGroupSourceNum;                // ƵԴ, PANO_COMPOSITE_GROUP_INFO˻ִͬңϵ
    PANO_COMPOSITE_GROUP_SOURCE_INFO    *pstGroupSourceInfo;            // ƵԴϢ, Դûͷ, СΪnGroupSourceNum * sizeof(PANO_COMPOSITE_GROUP_SOURCE_INFO)
} NET_IN_SET_PANO_COMPOSITE_GROUP_SOURCE;

// ȫƴӷƵԴ
typedef struct tagNET_OUT_SET_PANO_COMPOSITE_GROUP_SOURCE
{
    DWORD                               dwSize;                         // ṹС
} NET_OUT_SET_PANO_COMPOSITE_GROUP_SOURCE;

// ȡȫƴӷƵԴ
typedef struct tagNET_IN_GET_PANO_COMPOSITE_GROUP_SOURCE
{
    DWORD                               dwSize;                         // ṹС
} NET_IN_GET_PANO_COMPOSITE_GROUP_SOURCE;

// ȫƴӷƵԴϢб
typedef struct tagNET_COMPOSITE_GROUP_SOURCE_LIST
{
    char                                szGroupID[32];                  // ID
    UINT                                nMaxGroupSrcNum;                // ƵԴ, ֧64
    UINT                                nGroupSourceNum;                // ʵʷصķƵԴ
    PANO_COMPOSITE_GROUP_SOURCE_INFO    *pstGroupSourceInfo;            // ƵԴϢ
    BYTE                                byReserved[1024];               //Ԥֽ
} NET_COMPOSITE_GROUP_SOURCE_LIST;

// ȡȫƴӷƵԴ
typedef struct tagNET_OUT_GET_PANO_COMPOSITE_GROUP_SOURCE
{
    DWORD                               dwSize;                         // ṹС
    UINT                                nGroupSourceListNum;            // ȫƴӷƵԴϢб
    NET_COMPOSITE_GROUP_SOURCE_LIST     stuGroupSourceList[16];         // ȫƴӷƵԴϢб
} NET_OUT_GET_PANO_COMPOSITE_GROUP_SOURCE;

// ȫƴӷ
typedef enum tagEM_PANOCOMPOSITE_GROUP_OPERATE_TYPE
{
    EM_PANOCOMPOSITE_GROUP_OPERATE_ADD,                 // ȫƴӷ,  ӦNET_IN_ADD_PANO_COMPOSITE_GROUP  NET_OUT_ADD_PANO_COMPOSITE_GROUP
    EM_PANOCOMPOSITE_GROUP_OPERATE_REMOVE,              // ɾȫƴӷ, ӦNET_IN_REMOVE_PANO_COMPOSITE_GROUP  NET_OUT_REMOVE_PANO_COMPOSITE_GROUP
    EM_PANOCOMPOSITE_GROUP_OPERATE_MODIFY,              // ޸ȫƴӷ, ӦNET_IN_MODIFY_PANO_COMPOSITE_GROUP  NET_OUT_MODIFY_PANO_COMPOSITE_GROUP
    EM_PANOCOMPOSITE_GROUP_OPERATE_GET_ALL,             // ȡȫƴӷϢ, ӦNET_IN_GET_ALL_PANO_COMPOSITE_GROUP  NET_OUT_GET_ALL_PANO_COMPOSITE_GROUP
    EM_PANOCOMPOSITE_GROUP_OPERATE_SET_SOURCE,          // ȫƴӷƵԴ, ӦNET_IN_SET_PANO_COMPOSITE_GROUP_SOURCE  NET_OUT_SET_PANO_COMPOSITE_GROUP_SOURCE
    EM_PANOCOMPOSITE_GROUP_OPERATE_GET_SOURCE,          // ȡȫƴӷƵԴ, ӦNET_IN_GET_PANO_COMPOSITE_GROUP_SOURCE  NET_OUT_GET_PANO_COMPOSITE_GROUP_SOURCE
} EM_PANOCOMPOSITE_GROUP_OPERATE_TYPE;

// ȫƴӷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperatePanoCompositeGroup(LLONG lLoginID, EM_PANOCOMPOSITE_GROUP_OPERATE_TYPE emOperateType, void* pInParam, void* pOutParam, int nWaitTime);
///////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////ȫƴӷؽӿ end ////////////////////////////////////////////////
/////////////////////////////////////////////////////// ///////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////// LEDӿ////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////

// LED
typedef enum tagEM_LED_SET_CMD_TYPE
{
	EM_LED_SET_CMD_DISPLAY_ENABLE,		// 
	EM_LED_SET_CMD_DISPLAY_LOCK,		// 
	EM_LED_SET_CMD_DISPLAY_TEST,		// 
} EM_LED_SET_CMD_TYPE;

// LED
typedef enum tagEM_LED_IMAGE_TYPE
{
	EM_LED_IMAGE_UNKNOWN	= -1,	// δ֪
	EM_LED_IMAGE_NORMAL,			// Ƶ
	EM_LED_IMAGE_RED,				// ɫ
	EM_LED_IMAGE_GREEN,				// ɫ
	EM_LED_IMAGE_BLUE,				// ɫ
	EM_LED_IMAGE_WHITE,				// ɫ
	EM_LED_IMAGE_BLACK,				// ɫ
	EM_LED_IMAGE_TRANSVERSE,		// 
	EM_LED_IMAGE_VERTICAL,			// 
	EM_LED_IMAGE_DIAGONAL,			// б
	EM_LED_IMAGE_256GREY,			// 256Ҷ
	EM_LED_IMAGE_AGINGSCREEN,		// ϻ
} EM_LED_IMAGE_TYPE;

// CLIENT_SetLedDisplayCtrlParamsӿ
typedef struct tagNET_IN_LED_SET_DISPLAY_CTRL_PARAMS
{
	DWORD                      	dwSize;             // ûʹøýṹʱ,dwSize 踳ֵΪýṹС
	int							nChannel;			// ͨ
	EM_LED_SET_CMD_TYPE			emCmdType;			// LED
	BOOL						bDisplayEnable;		// ʹ,emCmdTypeΪ EM_LED_SET_CMD_DISPLAY_ENABLE ʱЧ
	BOOL						bDisplayBlack;		// Ļʹ, emCmdType Ϊ EM_LED_SET_CMD_DISPLAY_ENABLE ʱЧ
	BOOL						bDisplayLock;		// ʹ, emCmdType Ϊ EM_LED_SET_CMD_DISPLAY_LOCK ʱЧ
	EM_LED_IMAGE_TYPE			emImageType;		// , emCmdType Ϊ EM_LED_SET_CMD_DISPLAY_TEST ʱЧ
} NET_IN_LED_SET_DISPLAY_CTRL_PARAMS;

// CLIENT_SetLedDisplayCtrlParamsӿ
typedef struct tagNET_OUT_LED_SET_DISPLAY_CTRL_PARAMS
{
	DWORD                      	dwSize;             // ûʹøýṹʱ,dwSize 踳ֵΪýṹС
} NET_OUT_LED_SET_DISPLAY_CTRL_PARAMS;

// CLIENT_GetLedDisplayCtrlParamsӿ
typedef struct tagNET_IN_LED_GET_DISPLAY_CTRL_PARAMS
{
	DWORD                      	dwSize;             // ûʹøýṹʱ,dwSize 踳ֵΪýṹС
	int							nChannel;			// ͨ
} NET_IN_LED_GET_DISPLAY_CTRL_PARAMS;

// CLIENT_GetLedDisplayCtrlParamsӿ
typedef struct tagNET_OUT_LED_GET_DISPLAY_CTRL_PARAMS
{
	DWORD                      	dwSize;             // ûʹøýṹʱ,dwSize 踳ֵΪýṹС
	BOOL						bDisplayEnable;		// ʹ
	BOOL						bDisplayBlack;		// Ļʹ
	BOOL						bDisplayLock;		// ʹ
	EM_LED_IMAGE_TYPE			emImageType;		// 
} NET_OUT_LED_GET_DISPLAY_CTRL_PARAMS;

// LEDƲ (pInParampOutParamԴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetLedDisplayCtrlParams(LLONG lLoginID, const NET_IN_LED_SET_DISPLAY_CTRL_PARAMS* pInParam, NET_OUT_LED_SET_DISPLAY_CTRL_PARAMS* pOutParam,int nWaitTime);

// ȡLEDƲ (pInParampOutParamԴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetLedDisplayCtrlParams(LLONG lLoginID, const NET_IN_LED_GET_DISPLAY_CTRL_PARAMS* pInParam, NET_OUT_LED_GET_DISPLAY_CTRL_PARAMS* pOutParam,int nWaitTime);

///////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////// յӿ////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////
#define MAX_PLAYDATES_COUNT		32		// ڸ
#define	MAX_SCREENTIME_COUNT	8		// յ󿪹ʱ
#define MAX_WINDOWS_COUNT		16		// յ󴰿ڸ
#define MAX_ELEMENTS_COUNT		8		// յֵ֧Ԫظ
#define MAX_ELEMENTTEXT_LENGTH	512		// ıԪı
#define MAX_NOTE_COUNT			4		// յԪעϢ
#define MAX_PROGRAMMES_COUNT	32		// ֵ֧ĽĿ

// 
typedef enum tagEM_SCREEN_DATE_TYPE
{
	EM_SCREEN_DATE_UNKNOWN,				// δ֪
	EM_SCREEN_DATE_MONTH,				// ÿ
	EM_SCREEN_DATE_WEEK,				// ÿ
	EM_SCREEN_DATE_DAY,					// ÿ
} EM_SCREEN_DATE_TYPE;

// ĿʱϢ
typedef struct tagNET_PROGRAMME_TIME_INFO
{
	DWORD                dwHour;                  // ʱ
    DWORD                dwMinute;                // 
    DWORD                dwSecond;                // 
} NET_PROGRAMME_TIME_INFO;

//ʱϢ
typedef struct tagNET_SCREEN_TIME_INFO
{
	BOOL					bEnable;							// Ƿ
	EM_SCREEN_DATE_TYPE		emDateType;							// 
	UINT					nDateCount;							// ڸ'
	UINT					nPlayDates[MAX_PLAYDATES_COUNT];	// 
	NET_PROGRAMME_TIME_INFO	stuOpenTime;						// ʱ
	NET_PROGRAMME_TIME_INFO	stuCloseTime;						// ʱ
	BYTE        			byReserved[128];                 	// 
} NET_SCREEN_TIME_INFO;

// յϢ
typedef struct NET_GUIDESCREEN_WINDOW_RECT_INFO
{
	char				szWindowID[MAX_COMMON_STRING_64];			// ID
	NET_RECT			stuRect;									// 
	UINT				nWindowBright;								// յȣĳȣ0ʱΪ׼
	BYTE				byReserved[132];							// 
} NET_GUIDESCREEN_WINDOW_RECT_INFO;

// ʾ״̬
typedef enum tagEM_SCREEN_STATUS_TYPE
{
	EM_SCREEN_STATUS_UNKNOWN,		// δ֪
	EM_SCREEN_STATUS_ON,			// 
	EM_SCREEN_STATUS_OFF,			// 
} EM_SCREEN_STATUS_TYPE;

#define MAX_MONTH_COUNT	12    // һе

// յճʱ
typedef struct tagNET_SUN_RISE_SET_TIME
{
	/*ճʱ24Сʱ, , Ϊ0 ʱĬʱ*/
	UINT					nSunrise;					// ճʱ, Ĭ6 ʱ
	UINT					nSunset;					// ʱ, Ĭ18 ʱ
	BYTE        			byReserved[32];				// ֽ
} NET_SUN_RISE_SET_TIME;

// յԶĻϢ
typedef struct tagNET_GUIDESCREEN_AUTO_BRIGHT
{
	BOOL					bEnable;							// ǷʹԶ
	UINT					nLightBright;						// 
	UINT					nDarkBright;						// ҹ
	NET_SUN_RISE_SET_TIME	stuSunTime[MAX_MONTH_COUNT];		// ճʱ
	BYTE        			byReserved[128];					// ֽ
} NET_GUIDESCREEN_AUTO_BRIGHT;

// յϢ
typedef struct tagNET_GUIDESCREEN_ATTRIBUTE_INFO
{
	DWORD           		dwSize;
	char					szScreenID[MAX_COMMON_STRING_64];			// ID
	EM_SCREEN_STATUS_TYPE	emStatus;									// ʾ״̬
	BOOL					bIsForeverOpen;								// Ƿÿ
	UINT					nScreenTime;								// ʱ
	NET_SCREEN_TIME_INFO	stuScreenTime[MAX_SCREENTIME_COUNT];		// ʱ
	UINT					nBright;									// ʾ, 1-100 
	UINT					nContrast;									// ʾԱȶ, 1-100
	UINT					nSaturation;								// ʾͶ, 1-100
	UINT					nVolume;									// Ļ
	UINT					nWidth;										// 
	UINT					nHeight;									// ߶
	UINT					nWindowsCount;								// ڸ
	NET_GUIDESCREEN_WINDOW_RECT_INFO	stuWindows[MAX_WINDOWS_COUNT];	// Ϣ
	NET_GUIDESCREEN_AUTO_BRIGHT			stuAutoBright;					// յԶĻϢ
	BYTE        			byReserved[512];							// ֽ
} NET_GUIDESCREEN_ATTRIBUTE_INFO;

// յĻϢ
typedef struct tagNET_IN_SET_GUIDESCREEN_CFG
{
	DWORD           				dwSize;
	UINT							nScreenCount;		// յϢ, ֵûָ
	NET_GUIDESCREEN_ATTRIBUTE_INFO	*pstGuideScreenCfg;	// յϢ, ڴûά,
														// СΪnScreenCount NET_GUIDEESCREEN_ATTRIBUTE_INFO
} NET_IN_SET_GUIDESCREEN_CFG;

// յĻϢ
typedef struct tagNET_OUT_SET_GUIDESCREEN_CFG
{
	DWORD           				dwSize;
} NET_OUT_SET_GUIDESCREEN_CFG;

/**************************************************************************************
*   Funcname: CLIENT_SetGuideScreenCfg
*   Purpose: յϢӿ
*   InputParam:	LLONG								:lLoginID		// ½
*   InputParam:	NET_IN_SET_GUIDESCREEN_CFG*			:pInParam 		// ӿ
*   OutParam:		NET_OUT_SET_GUIDESCREEN_CFG*	:pstOutPqram	// ӿ
*   InputParam:	int									:nWaitTime		// ȴʱʱ
*   Return:		BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetGuideScreenCfg(LLONG lLoginID, const NET_IN_SET_GUIDESCREEN_CFG* pInParam, NET_OUT_SET_GUIDESCREEN_CFG *pstOutPqram, const int nWaitTime);


// ͨյID ȡյϢ
typedef struct tagNET_IN_GET_GUIDESCREEN_CFG_BYID
{
	DWORD           				dwSize;
	char							szScreenID[MAX_COMMON_STRING_64];		// ID
} NET_IN_GET_GUIDESCREEN_CFG_BYID;

// ͨյID ȡյϢ
typedef struct tagNET_OUT_GET_GUIDESCREEN_CFG_BYID
{
	DWORD           				dwSize;
	NET_GUIDESCREEN_ATTRIBUTE_INFO	stuGuideScreenCfg;			// յϢ
} NET_OUT_GET_GUIDESCREEN_CFG_BYID;

/**************************************************************************************
*   Funcname: CLIENT_GetOneGuideScreenCfgById
*   Purpose: ͨյID ȡյϢ
*   InputParam:		LLONG								:lLoginID	// ½
*   InputParam:		NET_IN_GET_GUIDESCREEN_CFG_BYID*	:pInParam	// 
*   OutPutParam:	NET_OUT_GET_GUIDESCREEN_CFG_BYID*	:pOutParam 	// 
*   InputParam:		int									:nWaitTime	// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetOneGuideScreenCfgById(
										LLONG lLoginID, const NET_IN_GET_GUIDESCREEN_CFG_BYID *pInParam, 
										NET_OUT_GET_GUIDESCREEN_CFG_BYID* pOutParam, const int nWaitTime);



// ȡյϢ
typedef struct tagNET_IN_GET_ALL_GUIDESCREEN_CFG
{
	DWORD           				dwSize;
} NET_IN_GET_ALL_GUIDESCREEN_CFG;

// ȡյϢ
typedef struct tagNET_OUT_GET_ALL_GUIDESCREEN_CFG
{
	DWORD           				dwSize;
	UINT							nMaxScreen;					// յ, ֵûָ
	UINT							nRetScreen;					// ʵʷصյ
	NET_GUIDESCREEN_ATTRIBUTE_INFO	*pstGuideScreenCfg;			// ڴŻȡյϢ, ڴûά 
																// СΪnMaxScreen NET_GUIDESCREEN_ATTRIBUTE_INFO
} NET_OUT_GET_ALL_GUIDESCREEN_CFG;

/**************************************************************************************
*   Funcname: CLIENT_GetAllGuideScreenCfg
*   Purpose: ȡյϢ
*   InputParam:		LLONG									:lLoginID	// ½
*   InputParam:		NET_IN_GET_ALL_GUIDESCREEN_CFG*			:pInParam	// 
*   OutPutParam:	NET_OUT_GET_ALL_GUIDESCREEN_CFG*		:pOutParam 	// 
*   InputParam:		int										:nWaitTime	// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAllGuideScreenCfg(
										LLONG lLoginID, const NET_IN_GET_ALL_GUIDESCREEN_CFG *pInParam, 
										NET_OUT_GET_ALL_GUIDESCREEN_CFG* pOutParam, const int nWaitTime);

// ˮƽ
typedef enum tagEM_HORI_ALIGN_TYPE
{
	EM_HORI_ALIGN_UNKNOWN,				// δ֪
	EM_HORI_ALIGN_LEFT,					// 
	EM_HORI_ALIGN_CENTER,				// 
	EM_HORI_ALIGN_RIGHT,				// Ҷ
} EM_HORI_ALIGN_TYPE;

// ֱ
typedef enum tagEM_VERT_ALIGN_TYPE
{
	EM_VERT_ALIGN_UNKNOWN,				// δ֪
	EM_VERT_ALIGN_UP,					// ϶
	EM_VERT_ALIGN_CENTER,				// 
	EM_VERT_ALIGN_DOWN,					// ¶
} EM_VERT_ALIGN_TYPE;

// (г) 
typedef enum tagEM_PIC_STYLE_TYPE
{
	EM_PIC_STYLE_UNKNOWN,		// δ֪
	EM_PIC_STYLE_DEFAULT,		// Ĭ
	EM_PIC_STYLE_UP,			// 
	EM_PIC_STYLE_DOWN,			// 
	EM_PIC_STYLE_LEFT,			// 
	EM_PIC_STYLE_RIGHT,			// 
} EM_PIC_STYLE_TYPE;


//  ıϢ
typedef struct tagNET_GUIDESCREEN_TEXT_INFO
{
	char					szContent[MAX_ELEMENTTEXT_LENGTH];		// ı
	UINT					nFontSize;								// С
	NET_COLOR_RGBA			stuFontColor;							// ɫ
	char					szFontStyle[MAX_COMMON_STRING_32];		// 
	double					dbLineHeight;							// и
	EM_HORI_ALIGN_TYPE		emHoriAlign;							// ˮƽ뷽
	EM_VERT_ALIGN_TYPE		emVertAlign;							// ֱ뷽
	UINT					nPlayTime;								// ʱ, λ
	UINT					nPlayCount;								// Ŵ
	UINT					nStayTime;								// ͣгļʱ䣩λs
	EM_PIC_STYLE_TYPE		emEnterStyle;							// 
	EM_PIC_STYLE_TYPE		emExitStyle;							// г
	BYTE        			byReserved[128];						// ֽ
} NET_GUIDESCREEN_TEXT_INFO;

// յԪעϢ
typedef struct tagNET_GUIDESCREEN_NOTE_INFO
{
	BOOL						bEnable;			// ǷЧ
	NET_GUIDESCREEN_TEXT_INFO	stuTextInfo;		// עϢ
	NET_RECT					stuRect;			// ע͵
	BYTE        				byReserved[128];	// ֽ
} NET_GUIDESCREEN_NOTE_INFO;

// ƵԪϢ
typedef struct tagNET_VIDEO_ELEMENT_INFO
{
	char 						szName[MAX_COMMON_STRING_64];			// ز
	BOOL						bFillerState;							// ǷƬ, زļʱ϶ûزĲţ˵Ƭ򲥷ŵƬ
	char						szPath[MAX_COMMON_STRING_128];			// ļַ
	UINT						nPlayCount;								// Ŵ
	UINT						nNote;									// עϢ
	NET_GUIDESCREEN_NOTE_INFO	stuNoteInfo[MAX_NOTE_COUNT];			// עϢ
	BYTE        				byReserved[128];						// ֽ
} NET_VIDEO_ELEMENT_INFO;

// ͼƬԪϢ
typedef struct tagNET_PICTURE_ELEMENT_INFO
{
	char 						szName[MAX_COMMON_STRING_64];			// ز
	BOOL						bFillerState;							// ǷƬ, زļʱ϶ûزĲţ˵Ƭ򲥷ŵƬ
	char						szPath[MAX_COMMON_STRING_128];			// ͼƬļַ
	UINT						nPlayTime;								// ʱ, λ
	UINT						nPlayCount;								// Ŵ
	UINT						nDiaphaneity;							// ͸, 0-100
	UINT						nStayTime;								// ͣʱ, λ
	EM_PIC_STYLE_TYPE			emEnterStyle;							// 
	EM_PIC_STYLE_TYPE			emExitStyle;							// г
	UINT						nNote;									// עϢ
	NET_GUIDESCREEN_NOTE_INFO	stuNoteInfo[MAX_NOTE_COUNT];			// עϢ 
	BYTE        				byReserved[128];						// ֽ
} NET_PICTURE_ELEMENT_INFO;

// յıԪϢ
typedef struct tagNET_TEXT_ELEMENT_INFO
{
	char 						szName[MAX_COMMON_STRING_64];			// ز
	BOOL						bFillerState;							// ǷƬ, زļʱ϶ûزĲţ˵Ƭ򲥷ŵƬ
	NET_GUIDESCREEN_TEXT_INFO	stuElementsText;						// ıԪϢ
	UINT						nNote;									// עϢ
	NET_GUIDESCREEN_NOTE_INFO	stuNoteInfo[MAX_NOTE_COUNT];			// עϢ 
	BYTE        				byReserved[128];						// ֽ
} NET_TEXT_ELEMENT_INFO;

// յռλԪϢ
typedef struct tagNET_PLACEHOLDER_ELEMENT_INFO
{
	char 						szName[MAX_COMMON_STRING_64];			// ز
	BOOL						bFillerState;							// ǷƬ, زļʱ϶ûزĲţ˵Ƭ򲥷ŵƬ
	UINT						nNote;									// עϢ
	NET_GUIDESCREEN_NOTE_INFO	stuNoteInfo[MAX_NOTE_COUNT];			// עϢ
	BYTE        				byReserved[128];						// ֽ
} NET_PLACEHOLDER_ELEMENT_INFO;

// ץ
typedef enum tagEM_CAPTURE_TYPE
{
	EM_CAPTURE_UNKNOWN,			// δ֪
	EM_CAPTURE_VIDEO,			// Ƶ
	EM_CAPTURE_PICTURE,			// ͼƬ
} EM_CAPTURE_TYPE;

// osdϢ
typedef struct tagNET_CAPTURE_OSD_INFO
{
    BOOL                        bEnable;                                // ʹ
	NET_COLOR_RGBA		        stuFontColor;					        // ɫ
	NET_COLOR_RGBA		        stuBackGroundColor;					    // ɫ
	UINT                        nFontSize;                              // С
	char                        szContent[MAX_COMMON_STRING_512];       // OSD
	BYTE        				byReserved[1024];						// ֽ
} NET_CAPTURE_OSD_INFO;

// ץԪϢ
typedef struct tagNET_CAPTURE_ELEMENT_INFO
{
	
	char 						szName[MAX_COMMON_STRING_64];			// ز
	BOOL						bFillerState;							// ǷƬ, زļʱ϶ûزĲţ˵Ƭ򲥷ŵƬ
	char						szUserName[DH_USER_NAME_LEN_EX];		// û
	char						szPassWord[DH_USER_PSW_LEN_EX];			// 
	char						szIP[DH_MAX_IPADDR_LEN_EX];				// IPַ
	UINT						nPort;									// ˿ں
	UINT						nChannel;								// ͨ
	EM_CAPTURE_TYPE				emCaptureType;							// ץ
	UINT						nPlayTime;								// ʱ, λ
	UINT						nNote;									// עϢ
	NET_GUIDESCREEN_NOTE_INFO	stuNoteInfo[MAX_NOTE_COUNT];			// עϢ 
	NET_CAPTURE_OSD_INFO        *pstOsdInfo;                            // OSDϢ, ûͷڴ棬ΪNULL·(ȡ)OSDϢ
	BYTE        				byReserved[124];						// ֽ
} NET_CAPTURE_ELEMENT_INFO;

// PDFԪϢ
typedef struct tagNET_PDF_ELEMENT_INFO
{
    char 						szName[MAX_COMMON_STRING_64];			// ز
	BOOL						bFillerState;							// ǷƬ, زļʱ϶ûزĲţ˵Ƭ򲥷ŵƬ
	char                        szPdfPath[MAX_COMMON_STRING_128];       // PDFļ·
	UINT                        nPlayTime;                              // ʱ, λ: 
	UINT                        nPlayCount;                             // Ŵ
	UINT                        nStayTime;                              // ͣ, λ: 
	EM_PIC_STYLE_TYPE			emEnterStyle;							// 
	EM_PIC_STYLE_TYPE			emExitStyle;							// г
	UINT						nTextNote;								// עϢ
	NET_GUIDESCREEN_NOTE_INFO	stuNoteInfo[MAX_NOTE_COUNT];			// עϢ 
	BYTE        				byReserved[1024];						// ֽ
} NET_PDF_ELEMENT_INFO;

// ƵԪϢ
typedef struct tagNET_AUDIO_ELEMENT_INFO
{
    char 						szName[MAX_COMMON_STRING_64];			// ز
	BOOL						bFillerState;							// ǷƬ, زļʱ϶ûزĲţ˵Ƭ򲥷ŵƬ
	char                        szAudioPath[MAX_COMMON_STRING_128];     // Ƶļַ
	UINT                        nPlayCount;                             // Ŵ
	UINT						nTextNote;								// עϢ
	NET_GUIDESCREEN_NOTE_INFO	stuNoteInfo[MAX_NOTE_COUNT];			// עϢ 
	BYTE        				byReserved[1024];						// ֽ
} NET_AUDIO_ELEMENT_INFO;

// յԪ
typedef enum tagEM_ELEMENTS_TYPE
{
	EM_ELEMENTS_UNKNOWN,			// δ֪
	EM_ELEMENTS_VIDEO,				// ƵԪ, ӦNET_VIDEO_ELEMENT_INFO
	EM_ELEMENTS_PICTURE,			// ͼƬԪ, ӦNET_PICTURE_ELEMENT_INFO
	EM_ELEMENTS_TEXT,				// ıԪ, ӦNET_TEXT_ELEMENT_INFO
	EM_ELEMENTS_PLACEHOLDER,		// ռλԪ, ӦNET_PLACEHOLDER_ELEMENT_INFO
	EM_ELEMENTS_CAPTURE,			// ץԪ, ӦNET_CAPTURE_ELEMENT_INFO
	EM_ELEMENTS_PDF,                // PDFĵԪ, ӦNET_PDF_ELEMENT_INFO
	EM_ELEMENTS_AUDIO,              // ƵԪ, ӦNET_AUDIO_ELEMENT_INFO
} EM_ELEMENTS_TYPE;

//ѵ
typedef enum tagEM_TOURPERIOD_TYPE
{
	EM_TOURPERIOD_UNKNOWN,		// δ֪
	EM_TOURPERIOD_PROGRAMME,	// Ŀ
	EM_TOURPERIOD_PLAN,			// ƻ
	EM_TOURPERIOD_CUSTOM,		// Զ
} EM_TOURPERIOD_TYPE;

// ԪͨϢ
typedef struct tagNET_ELEMENT_COMMON_INFO
{
	EM_ELEMENTS_TYPE	emElementsType;								// Ԫ
	BYTE        		byReserved[128];							// ֽ
} NET_ELEMENT_COMMON_INFO;

// յϢ
typedef struct tagNET_GUIDESCREEN_WINDOW_INFO
{
	char				szWindowID[MAX_COMMON_STRING_64];			// ID
	int					nVolume;									// İٷֱ
	NET_COLOR_RGBA		stuColor;									// ڱɫ
	UINT				nDiaphaneity;								// ڱ͸0-100
	EM_TOURPERIOD_TYPE	emTourPeriodType;							// ѵ
	UINT				nTourPeriodTime;							// Զѵʱ䣬λ, ѵΪԶѵʱЧ
	BOOL				bAutoPlay;									// ԤԶ,VideoԪЧ
	BOOL				bLoopPlay;									// Ԥѭ,VideoԪЧ
	UINT				nElementsCount;								// յԪظ
	char*				pstElementsBuf;								// յԪϢ, ͶӦͬĽṹ
																	// ԪϢ, ÿԪϢΪNET_ELEMENT_COMMON_INFO + ԪͶӦĽṹ
	UINT				nBufLen;									// յԪϢС
	BYTE        		byReserved[128];							// ֽ
} NET_GUIDESCREEN_WINDOW_INFO;

// յͨĿϢ
typedef struct tagNET_ORDINARY_INFO
{
	BOOL						bTempletState;							// ĿǷ񱣴Ϊģ
	char						szDescription[MAX_COMMON_STRING_128];	// ĿϢ
	UINT						nWhnCount;								// յڸ
	NET_GUIDESCREEN_WINDOW_INFO	stuWindowsInfo[MAX_WINDOWS_COUNT];		// յϢ	
	BYTE        				byReserved[128];						// ֽ
} NET_ORDINARY_INFO;

// յĿϢ
typedef struct tagNET_PROGRAMME_INFO
{
	char						szProgrammeName[MAX_COMMON_STRING_64];	// Ŀ
	char						szProgrammeID[MAX_COMMON_STRING_64];	// ĿID, ӽĿʱд, 豸
	BOOL						bEnable;								// ĿǷ		
	NET_ORDINARY_INFO			stuOrdinaryInfo;						// ͨĿϢ
	BYTE        				byReserved[512];						// ֽ
} NET_PROGRAMME_INFO;

// ͨĿID ȡĿϢ
typedef struct tagNET_IN_GET_PROGRAMME_BYID
{
	DWORD           			dwSize;
	char						szProgrammeID[MAX_COMMON_STRING_64];	// ĿID
} NET_IN_GET_PROGRAMME_BYID;

// ͨĿID ȡĿϢ
typedef struct tagNET_OUT_GET_PROGRAMME_BYID
{
	DWORD           			dwSize;
	NET_PROGRAMME_INFO			stuProgrammeInfo;			// ĿϢ
} NET_OUT_GET_PROGRAMME_BYID;

/**************************************************************************************
*   Funcname: CLIENT_GetOneProgrammeById
*   Purpose: ͨĿID ȡĿϢ
*   InputParam:		LLONG							:lLoginID		// ½
*   InputParam:		NET_IN_GET_PROGRAMME_BYID*		:pInParam	// 
*   OutPutParam:	NET_OUT_GET_PROGRAMME_BYID*		:pOutParam 	// 
*   InputParam:		int								:nWaitTime	// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetOneProgrammeById(LLONG lLoginID, const NET_IN_GET_PROGRAMME_BYID *pInParam, NET_OUT_GET_PROGRAMME_BYID *pOutParam, const int nWaitTime);


// ȡнĿϢ
typedef struct tagNET_IN_GET_ALL_PROGRAMMES
{
	DWORD           			dwSize;
} NET_IN_GET_ALL_PROGRAMMES;

// ȡнĿϢ
typedef struct tagNET_OUT_GET_ALL_PROGRAMMES
{
	DWORD           			dwSize;
	UINT						nMaxCnt;					// pstProgrammeInfoNET_PROGRAMME_INFO 
	UINT						nRetCnt;					// pstProgrammeInfoʵʷص NET_PROGRAMME_INFO 
	NET_PROGRAMME_INFO			*pstProgrammeInfo;			// ĿϢ, ڴûά
} NET_OUT_GET_ALL_PROGRAMMES;

/**************************************************************************************
*   Funcname: CLIENT_GetAllProgrammes
*   Purpose: ȡнĿϢ
*   InputParam:		LLONG							:lLoginID		// ½
*   InputParam:		NET_IN_GET_ALL_PROGRAMMES*		:pInParam		// 
*   OutPutParam:	NET_OUT_GET_ALL_PROGRAMMES*		:pOutParam 		// 
*   InputParam:		int								:nWaitTime		// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAllProgrammes(
												LLONG lLoginID, const NET_IN_GET_ALL_PROGRAMMES* pInParam, 
												NET_OUT_GET_ALL_PROGRAMMES* pOutParam, const int nWaitTime);

// ҪĿϢ
typedef enum tagEM_BRIEFLYPROGRAM_TYPE
{
	EM_BRIEFLYPROGRAM_UNKNOWN,		// δ֪
	EM_BRIEFLYPROGRAM_BAR,			// Ŀ
	EM_BRIEFLYPROGRAM_ORDINARY,		// ͨĿ
}EM_BRIEFLYPROGRAM_TYPE;

// ĿҪϢ
typedef struct tagNET_BRIEFLY_PROGRAMME_INFO
{
	char					szProgrammeName[MAX_COMMON_STRING_64];	// Ŀ
	char					szProgrammeID[MAX_COMMON_STRING_64];	// ĿID
	EM_BRIEFLYPROGRAM_TYPE	emProgrammeType;						// ҪĿϢ
	BOOL					bEnable;								// ĿǷ	
	BOOL					bTempletState;							// ĿǷ񱣴Ϊģ
	BYTE        			byReserved[512];						// ֽ
} NET_BRIEFLY_PROGRAMME_INFO;

// ȡнĿļҪϢ
typedef struct tagNET_IN_GET_ALL_BRIEFLYPROGRAMMES
{
	DWORD           				dwSize;
} NET_IN_GET_ALL_BRIEFLYPROGRAMMES;

// ȡнĿļҪϢ
typedef struct tagNET_OUT_GET_ALL_BRIEFLYPROGRAMMES
{
	DWORD           				dwSize;
	UINT							nRetCnt;									// ʵʷصĸ
	NET_BRIEFLY_PROGRAMME_INFO		stuBriProgrammes[MAX_PROGRAMMES_COUNT];		// ĿҪϢ
} NET_OUT_GET_ALL_BRIEFLYPROGRAMMES;


/**************************************************************************************
*   Funcname: CLIENT_GetAllBrieflyProgrammes
*   Purpose: ȡнĿļҪϢ
*   InputParam:		LLONG									:lLoginID		// ½
*   InputParam:		NET_IN_GET_ALL_BRIEFLYPROGRAMMES*		:pInParam		// 
*   OutPutParam:	NET_OUT_GET_ALL_BRIEFLYPROGRAMMES*		:pOutParam 		// 
*   InputParam:		int										:nWaitTime		// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAllBrieflyProgrammes(
												LLONG lLoginID, const NET_IN_GET_ALL_BRIEFLYPROGRAMMES* pInParam, 
												NET_OUT_GET_ALL_BRIEFLYPROGRAMMES* pOutParam, const int nWaitTime);


// ӽĿϢӿ
typedef struct tagNET_IN_ADD_ONE_PROGRAMME
{
	DWORD           			dwSize;
	NET_PROGRAMME_INFO			stuProgrammeInfo;	// ĿϢ
} NET_IN_ADD_ONE_PROGRAMME;

// ӽĿϢӿ
typedef struct tagNET_OUT_ADD_ONE_PROGRAMME
{
	DWORD           			dwSize;
	char						szProgrammeID[MAX_COMMON_STRING_64];	// ĿID
} NET_OUT_ADD_ONE_PROGRAMME;

/**************************************************************************************
*   Funcname: CLIENT_AddOneProgramme
*   Purpose: һĿϢյ
*   InputParam:		LLONG						:lLoginID		// ½
*   InputParam:		NET_IN_ADD_ONE_PROGRAMME*	:pInParam 		// 
*   OutPutParam:	NET_OUT_ADD_ONE_PROGRAMME* 	:pOutParam		// 
*   InputParam:		int							:nWaitTime		// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddOneProgramme(LLONG lLoginID, const NET_IN_ADD_ONE_PROGRAMME* pInParam, NET_OUT_ADD_ONE_PROGRAMME *pOutParam, const int nWaitTime);


// ޸ĽĿϢӿ
typedef struct tagNET_IN_MODIFY_ONE_PROGRAMME
{
	DWORD           			dwSize;
	NET_PROGRAMME_INFO			stuProgrammeInfo;	// ĿϢ
} NET_IN_MODIFY_ONE_PROGRAMME;


// ޸ĽĿϢӿ
typedef struct tagNET_OUT_MODIFY_ONE_PROGRAMME
{
	DWORD           			dwSize;
} NET_OUT_MODIFY_ONE_PROGRAMME;

/**************************************************************************************
*   Funcname: CLIENT_ModifyOneProgrammeByID
*   Purpose: ͨĿID ޸ĽĿ
*   InputParam:		LLONG							:lLoginID		// ½
*   InputParam:		NET_IN_MODIFY_ONE_PROGRAMME*	:pInParam 		// 
*   OutputParam:	NET_OUT_MODIFY_ONE_PROGRAMME*	:pOutParam 		// 
*   InputParam:		int								:nWaitTime		// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ModifyOneProgrammeByID(LLONG lLoginID, const NET_IN_MODIFY_ONE_PROGRAMME* pInParam, NET_OUT_MODIFY_ONE_PROGRAMME* pOutParam, const int nWaitTime);


// ɾĿϢӿ
typedef struct tagNET_IN_DEL_PROGRAMMES
{
	DWORD           dwSize;
	UINT			nProgrammeID;													// ĿID
	char			szProGrammeIdList[MAX_PROGRAMMES_COUNT][MAX_COMMON_STRING_64];	// ҪɾĽĿIDб, һֵ"all" ʾɾ
} NET_IN_DEL_PROGRAMMES;

// ɾĿϢӿ
typedef struct tagNET_OUT_DEL_PROGRAMMES
{
	DWORD           dwSize;
} NET_OUT_DEL_PROGRAMMES;

/**************************************************************************************
*   Funcname: CLIENT_DelMultiProgrammesById
*   Purpose: ɾĿϢ
*   InputParam:	LLONG					:lLoginID	// ½
*   InputParam:	NET_IN_DEL_PROGRAMMES*	:pInParam 	// 
*   InputParam:	NET_OUT_DEL_PROGRAMMES*	:pOutParam 	// 
*   InputParam:	int						:nWaitTime	// ȴʱʱ
*   Return:		BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DelMultiProgrammesById(
											LLONG lLoginID, const NET_IN_DEL_PROGRAMMES* pInParam, 
											NET_OUT_DEL_PROGRAMMES *pOutParam, const int nWaitTime);

// ʱĿƻϢ
typedef struct tagNET_IMMEDIATELY_PLAN_INFO
{
	char			szPlanName[MAX_COMMON_STRING_64];			// Ŀƻ
	char			szPlanID[MAX_COMMON_STRING_64];				// ĿƻID, Ӽƻʱд, 豸
	char			szSplitScreenID[MAX_COMMON_STRING_64];		// ID
	BOOL			bEnable;									// ƻǷ
	UINT			nPlayTime;									// ʱ, λ : 
	char			szProgrammeName[MAX_COMMON_STRING_64];		// ʱĽĿ
	char			szProgrammeID[MAX_COMMON_STRING_64];		// ʱĽĿID
	BYTE        	byReserved[512];							// ֽ
} NET_IMMEDIATELY_PLAN_INFO;

// Ŀڸʽ
typedef struct tagNET_PROGRAMME_DATA
{
	DWORD                dwYear;                  // 
    DWORD                dwMonth;                 // 
    DWORD                dwDay;                	  // 
} NET_PROGRAMME_DATA;

// ״̬
typedef enum tagEM_REVIES_STATE
{
	EM_REVIES_UNKNOWN,			// δ֪
	EM_REVIES_PASS,				// ͨ
	EM_REVIES_NOTPASS,			// ͨ
} EM_REVIES_STATE;

// ĿƻеĽĿϢ
typedef struct tagNET_PROGRAMME_OF_PLAN
{
	char						szProgrammeName[MAX_COMMON_STRING_64];	// Ŀ
	char						szProgrammeID[MAX_COMMON_STRING_64];	// ĿID
	BOOL						bIsBgProgramme;							// Ƿ񱳾Ŀ
	NET_PROGRAMME_TIME_INFO		stuSatrtTime;							// Ŀʼʱ
	NET_PROGRAMME_TIME_INFO		stuEndTime;								// Ŀʱ
	BYTE        				byReserved[128];						// ֽ
} NET_PROGRAMME_OF_PLAN;

// ʱƻ
typedef enum tagEM_TIMERPLAN_DATE_TYPE
{
	EM_TIMERPLAN_DATE_UNKNOWN,				// δ֪
	EM_TIMERPLAN_DATE_MONTH,				// ÿ
	EM_TIMERPLAN_DATE_WEEK,					// ÿ
	EM_TIMERPLAN_DATE_DAY,					// ÿ
	EM_TIMERPLAN_DATE_CUSTOM,				// Զ
} EM_TIMERPLAN_DATE_TYPE;

// ʱĿƻϢ
typedef struct tagNET_TIMER_PLAN_INFO
{
	char					szPlanName[MAX_COMMON_STRING_64];			// Ŀƻ
	char					szPlanID[MAX_COMMON_STRING_64];				// ĿƻID
	char					szSplitScreenID[MAX_COMMON_STRING_64];		// ID
	EM_TIMERPLAN_DATE_TYPE	emDataType;									// Ŀƻ
	UINT					nDataCount;									// Ŀƻڸ
	UINT					nPlayDates[MAX_PLAYDATES_COUNT];			// Ŀб
	NET_PROGRAMME_DATA		stuSatrtDate;								// Ŀʼ
	NET_PROGRAMME_DATA		stuEndDate;									// Ŀ
	EM_REVIES_STATE			emReviewState;								// ״̬
	char					szReviewOpinion[MAX_COMMON_STRING_64];		// 
	BOOL					bOverdue;									// ƻǷ
	UINT					nProgrammes;								// Ŀ
	NET_PROGRAMME_OF_PLAN	stuProgrammes[MAX_PROGRAMMES_COUNT];		// ĿϢ
	BYTE        			byReserved[512];							// ֽ
} NET_TIMER_PLAN_INFO;

// ȡнĿƻ
typedef struct tagNET_IN_GET_ALL_PROGRAMMEPLANS
{
	DWORD           			dwSize;
} NET_IN_GET_ALL_PROGRAMMEPLANS;

// ȡнĿƻ
typedef struct tagNET_OUT_GET_ALL_PROGRAMMEPLANS
{
	DWORD           			dwSize;
	UINT						nMaxPlanCnt;			// ʱĿͶʱĿƻ, ûָ
	UINT						nRetImmCnt;				// ʵʷصļʱĿƻ
	NET_IMMEDIATELY_PLAN_INFO*	pstImmePlan;			// ʱĿƻϢ
	UINT						nRetTimerCnt;			// ʵʷصĶʱĿƻ
	NET_TIMER_PLAN_INFO*		pstTimerPlan;			// ʱĿƻϢ
} NET_OUT_GET_ALL_PROGRAMMEPLANS;

/**************************************************************************************
*   Funcname: CLIENT_GetAllProgrammePlans
*   Purpose: ȡнĿƻϢ
*   InputParam:		LLONG							:lLoginID		// ½
*   InputParam:		NET_IN_GET_ALL_PROGRAMMEPLANS*	:pInParam		// 
*   OutPutParam:	NET_OUT_GET_ALL_PROGRAMMEPLANS*	:pOutParam  	// 
*   InputParam:		int								:nWaitTime		// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAllProgrammePlans(
											LLONG lLoginID, const NET_IN_GET_ALL_PROGRAMMEPLANS *pInParam,
											NET_OUT_GET_ALL_PROGRAMMEPLANS *pOutParam, const int nWaitTime);


// Ŀƻ
typedef enum tagEM_PROGRAMMEPLAN_TYPE
{
	EM_PROGRAMMEPLAN_UNKNOWN,		// δ֪
	EM_PROGRAMMEPLAN_IMME,			// ʱƻ
	EM_PROGRAMMEPLAN_TIMER,			// ʱƻ
} EM_PROGRAMMEPLAN_TYPE;

// ͨĿƻID ȡĿƻ
typedef struct tagNET_IN_GET_PROGRAMMEPLAN_BYID
{
	DWORD           			dwSize;
	char						szPlanID[MAX_COMMON_STRING_64];		// ĿƻID
} NET_IN_GET_PROGRAMMEPLAN_BYID;

// ͨĿƻID ȡĿƻ
typedef struct tagNET_OUT_GET_PROGRAMMEPLAN_BYID
{
	DWORD           			dwSize;
	EM_PROGRAMMEPLAN_TYPE		emPlanType;		// Ŀƻ
	NET_IMMEDIATELY_PLAN_INFO	stuImmePlan;	// ʱĿƻϢ, emPlanType ΪEM_PROGRAMMEPLAN_IMMEʱЧ
	NET_TIMER_PLAN_INFO			stuTimerPlan;	// ʱĿƻϢ, emPlanType ΪEM_PROGRAMMEPLAN_TIMERʱЧ
} NET_OUT_GET_PROGRAMMEPLAN_BYID;

/**************************************************************************************
*   Funcname: CLIENT_GetOneProgrammePlanByID
*   Purpose: ͨĿƻID ȡĿƻ
*   InputParam:		LLONG								:lLoginID	// ½
*   InputParam:		NET_IN_GET_PROGRAMMEPLAN_BYID*		:pInParam	// 
*   OutPutParam:	NET_OUT_GET_PROGRAMMEPLAN_BYID*		:pOutParam  // 
*   InputParam:		int									:nWaitTime	// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetOneProgrammePlanByID(
										LLONG lLoginID,  NET_IN_GET_PROGRAMMEPLAN_BYID *pInParam,
										NET_OUT_GET_PROGRAMMEPLAN_BYID* pOutParam, const int nWaitTime);

// ӼʱĿƻ
typedef struct tagNET_IN_ADD_IMME_PROGRAMMEPLAN
{
	DWORD           			dwSize;
	NET_IMMEDIATELY_PLAN_INFO	stuImmePlan;		// ʱĿƻϢ
} NET_IN_ADD_IMME_PROGRAMMEPLAN;

// ӶʱĿƻ
typedef struct tagNET_IN_ADD_TIMER_PROGRAMMEPLAN
{
	DWORD           			dwSize;
	NET_TIMER_PLAN_INFO			stuTimerPlan;		// ʱĿƻϢ
} NET_IN_ADD_TIMER_PROGRAMMEPLAN;

// ӽĿƻ
typedef struct tagNET_OUT_ADD_PROGRAMMEPLAN
{
	DWORD           		dwSize;
	char					szPlanID[MAX_COMMON_STRING_64];				// ĿƻID
} NET_OUT_ADD_PROGRAMMEPLAN;

/**************************************************************************************
*   Funcname: CLIENT_AddOneImmediProgrammePlan
*   Purpose: һʱĿƻ
*   InputParam:		LLONG							:lLoginID		// ½
*   InputParam:		NET_IN_ADD_IMME_PROGRAMMEPLAN*	:pInParam  		// 
*   OutPutParam:	NET_OUT_ADD_PROGRAMMEPLAN*		:pstOutParam  	// 
*   InputParam:		int								:nWaitTime		// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddOneImmediProgrammePlan(
										LLONG lLoginID,  const NET_IN_ADD_IMME_PROGRAMMEPLAN* pInParam, 
										NET_OUT_ADD_PROGRAMMEPLAN* pOutParam, const int nWaitTime);


/**************************************************************************************
*   Funcname: CLIENT_AddOneTimerProgrammePlan
*   Purpose: һʱĿƻ
*   InputParam:		LLONG							:lLoginID		// ½
*   InputParam:		NET_IN_ADD_TIMER_PROGRAMMEPLAN*	:pInParam		// 
*   OutPutParam:	NET_OUT_ADD_PROGRAMMEPLAN*		:pOutParam  	// 
*   InputParam:		int								:nWaitTime		// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddOneTimerProgrammePlan(
										LLONG lLoginID,  const NET_IN_ADD_TIMER_PROGRAMMEPLAN* pInParam, 
										NET_OUT_ADD_PROGRAMMEPLAN* pOutParam, const int nWaitTime);

// ޸ļʱĿƻ
typedef struct tagNET_IN_MODIFY_IMME_PROGRAMMEPLAN
{
	DWORD           			dwSize;
	NET_IMMEDIATELY_PLAN_INFO	stuImmePlan;		// ʱĿƻϢ
} NET_IN_MODIFY_IMME_PROGRAMMEPLAN;

// ޸ļʱĿƻ
typedef struct tagNET_OUT_MODIFY_IMME_PROGRAMMEPLAN
{
	DWORD           			dwSize;
} NET_OUT_MODIFY_IMME_PROGRAMMEPLAN;


/**************************************************************************************
*   Funcname: CLIENT_ModifyOneImmediProgrammePlan
*   Purpose: ޸һʱĿƻ
*   InputParam:		LLONG								:lLoginID	// ½
*   InputParam:		NET_IN_MODIFY_IMME_PROGRAMMEPLAN*	:pInParam  	// 
*   OutPutParam:	NET_OUT_MODIFY_IMME_PROGRAMMEPLAN*	:pOutParam  // 
*   InputParam:		int									:nWaitTime	// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ModifyOneImmediProgrammePlan(
										LLONG lLoginID,  const NET_IN_MODIFY_IMME_PROGRAMMEPLAN* pInParam,
										NET_OUT_MODIFY_IMME_PROGRAMMEPLAN* pOutParam, const int nWaitTime);


// ޸ĶʱĿƻ
typedef struct tagNET_IN_MODIFY_TIMER_PROGRAMMEPLAN
{
	DWORD           			dwSize;
	NET_TIMER_PLAN_INFO			stuTimerPlan;		// ʱĿƻϢ
} NET_IN_MODIFY_TIMER_PROGRAMMEPLAN;

// ޸ĶʱĿƻ
typedef struct tagNET_OUT_MODIFY_TIMER_PROGRAMMEPLAN
{
	DWORD           			dwSize;
} NET_OUT_MODIFY_TIMER_PROGRAMMEPLAN;

/**************************************************************************************
*   Funcname: CLIENT_ModifyOneTimerProgrammePlan
*   Purpose: ޸һʱĿƻ
*   InputParam:		LLONG								:lLoginID	// ½
*   InputParam:		NET_IN_MODIFY_TIMER_PROGRAMMEPLAN*	:pInParam  	// 
*   OutputParam:	NET_OUT_MODIFY_TIMER_PROGRAMMEPLAN*	:pOutParam  // 
*   InputParam:		int									:nWaitTime	// ȴʱʱ
*   Return:			BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ModifyOneTimerProgrammePlan(
										LLONG lLoginID,  const NET_IN_MODIFY_TIMER_PROGRAMMEPLAN* pInParam, 
										NET_OUT_MODIFY_TIMER_PROGRAMMEPLAN* pOutParam, const int nWaitTime);

// ɾĿƻ
typedef struct tagNET_IN_DEL_PROGRAMMEPLANS
{
	DWORD		dwSize;
	UINT		nPlanIDNum;												// ĿƻID
	char		szPlanID[MAX_PROGRAMMES_COUNT][MAX_COMMON_STRING_64];	// ĿƻID, һֵ"all" ʾɾ
} NET_IN_DEL_PROGRAMMEPLANS;

// ɾĿƻ
typedef struct tagNET_OUT_DEL_PROGRAMMEPLANS
{
	DWORD		dwSize;
} NET_OUT_DEL_PROGRAMMEPLANS;

/**************************************************************************************
*   Funcname: CLIENT_DelMultiProgrammePlans
*   Purpose: ɾĿƻ
*   InputParam:	LLONG							:lLoginID		// ½
*   InputParam:	NET_IN_DEL_PROGRAMMEPLANS*		:pInParam  		// 
*   InputParam:	NET_OUT_DEL_PROGRAMMEPLANS*		:pOutParam  	// 
*   InputParam:	int								:nWaitTime		// ȴʱʱ
*   Return:		BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DelMultiProgrammePlans(
										LLONG lLoginID,  const NET_IN_DEL_PROGRAMMEPLANS* pInParam, 
										NET_OUT_DEL_PROGRAMMEPLANS* pOutParam, const int nWaitTime);

#define MAX_GD_COUNT	170

// ɫ
typedef enum tagEM_GD_COLOR_TYPE
{
	EM_GD_COLOR_RED,		// ɫ
	EM_GD_COLOR_GREEN,		// ɫ
	EM_GD_COLOR_YELLOW,		// ɫ
} EM_GD_COLOR_TYPE;

//ù״̬Ϣ
typedef struct tagNET_IN_SET_GD_STATUS
{
	DWORD				dwSize;
	char				szScreenID[MAX_COMMON_STRING_64];		// ID, ID
	UINT				nGDNum;									// 
	EM_GD_COLOR_TYPE	emStatus[MAX_GD_COUNT];					// Ϣ
} NET_IN_SET_GD_STATUS;

//ù״̬Ϣ
typedef struct tagNET_OUT_SET_GD_STATUS
{
	DWORD				dwSize;
} NET_OUT_SET_GD_STATUS;

/**************************************************************************************
*   Funcname: CLIENT_SetGuideScreenGDStatus
*   Purpose: ù״̬Ϣ
*   InputParam:	LLONG						:lLoginID		// ½
*   InputParam:	NET_IN_SET_GD_STATUS*		:pInParam  		// 
*   InputParam:	NET_OUT_SET_GD_STATUS*		:pOutParam  	// 
*   InputParam:	int							:nWaitTime		// ȴʱʱ
*   Return:		BOOL
*   Created:		%2017%:%10%:%11%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetGuideScreenGDStatus(
										LLONG lLoginID,  const NET_IN_SET_GD_STATUS* pInParam, 
										NET_OUT_SET_GD_STATUS* pOutParam, const int nWaitTime);

//////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////// źнӿ(ĿƻؽӿյӿµĽĿƻؽӿһ)//////////////////
////////////////// ȡнĿҪϢɾĿϢ ͬϷͨյжӦӿ/////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////
// LOGOĿϢ
typedef struct tagNET_PROGRAM_LOGO_INFO
{
	char		szLogoPath[MAX_COMMON_STRING_128];			// Logo·
	NET_RECT	stuBackgroundRect;							// Logoλ
	UINT		nDiaphaneity;								// ͸, 0-100
	BYTE        byReserved[128];							// ֽ	
} NET_PROGRAM_LOGO_INFO;

// ĿϢ
typedef struct tagNET_PROGRAM_BAR_INFO
{
	char			szContent[MAX_COMMON_STRING_512];		// 
	NET_COLOR_RGBA	stuFontColor;							// ɫ
	UINT			nFontSize;								// С
	char			szFontStyle[MAX_COMMON_STRING_32];		// 
	UINT			nPlaySpeed;								// ٶ
	NET_RECT		stuBackgroundRect;						// λ
	NET_COLOR_RGBA	stuBackColor;							// ɫ
	UINT			nDiaphaneity;							// ͸, 0-100
	BYTE        	byReserved[128];						// ֽ	
} NET_PROGRAM_BAR_INFO;

// źϴϢ
typedef struct tagNET_PLAYBOX_WINDOWS_INFO
{
	NET_RECT			stuRect;							// λ
	UINT				nZorder;							// Z	
	int					nVolume;							// İٷֱ
	NET_COLOR_RGBA		stuBackColor;						// ڱɫ
	UINT				nDiaphaneity;						// ڱ͸0-100
	EM_TOURPERIOD_TYPE	emTourPeriodType;					// ѵ
	UINT				nTourPeriodTime;					// Զѵʱ䣬λ, ѵΪԶѵʱЧ
	BOOL				bAutoPlay;							// ԤԶ,VideoԪЧ
	BOOL				bLoopPlay;							// Ԥѭ,VideoԪЧ
	UINT				nElementsCount;						// źдԪظ
	char*				pstElementsBuf;						// źдԪϢ, ͶӦͬĽṹ
															// ԪϢ, ÿԪϢΪNET_ELEMENT_COMMON_INFO + ԪͶӦĽṹ
	UINT				nBufLen;							// յԪϢС
	BYTE        		byReserved[128];					// ֽ
} NET_PLAYBOX_WINDOWS_INFO;

// ͨĿϢ
typedef struct tagNET_PROGRAM_ORDINARY_INFO
{
	BOOL						bTempletState;							// ĿǷ񱣴Ϊģ
	char						szDescription[MAX_COMMON_STRING_128];	// ĿϢ
	UINT						nWidth;									// 
	UINT						nHeight;								// ߶
	int							nWinCount;								// 
	NET_PLAYBOX_WINDOWS_INFO	stuWindowsInfo[MAX_WINDOWS_COUNT];		// Ϣ
	BYTE        				byReserved[128];						// ֽ
} NET_PROGRAM_ORDINARY_INFO;

// źнĿ
typedef enum tagEM_PLAYBOXPROGRAM_TYPE
{
	EM_PROGRAM_ON_PLAYBOX_LOGO,			// LOGO, Ӧṹ NET_PROGRAM_LOGO_INFO
	EM_PROGRAM_ON_PLAYBOX_BAR,			// , Ӧṹ NET_PROGRAM_BAR_INFO
	EM_PROGRAM_ON_PLAYBOX_ORDINARY,		// ͨĿ, Ӧṹ NET_PROGRAM_ORDINARY_INFO
}EM_PLAYBOXPROGRAM_TYPE;

// źнĿϢ
typedef struct tagNET_PROGRAM_ON_PLAYBOX
{
	char						szProgrammeName[MAX_COMMON_STRING_64];	// Ŀ
	char						szProgrammeID[MAX_COMMON_STRING_64];	// ĿID, ӽĿʱҪָ
	BOOL						bEnable;								// ĿǷ	
	EM_PLAYBOXPROGRAM_TYPE		emProgramType;							// Ŀ
	NET_PROGRAM_LOGO_INFO		stuLogoInfo;							// LOGOĿϢ, emProgramTypeΪEM_PROGRAM_ON_PLAYBOX_LOGOʱЧ
	NET_PROGRAM_BAR_INFO		stuBarInfo;								// ĿϢ, emProgramTypeΪEM_PROGRAM_ON_PLAYBOX_BARʱЧ
	NET_PROGRAM_ORDINARY_INFO	stuOrdinaryInfo;						// ͨĿϢ, emProgramTypeΪEM_PROGRAM_ON_PLAYBOX_ORDINARYʱЧ
	BYTE        				byReserved[512];						// ֽ	
} NET_PROGRAM_ON_PLAYBOX;

//ȡźȫĿϢӿ
typedef struct tagNET_IN_GET_ALL_PLAYBOX_PROGRAM
{
	DWORD           			dwSize;
} NET_IN_GET_ALL_PLAYBOX_PROGRAM;

//ȡźȫĿϢӿ
typedef struct tagNET_OUT_GET_ALL_PLAYBOX_PROGRAM
{
	DWORD           			dwSize;
	UINT						nMaxProgramCount;			// ĿϢûָ
	UINT						nRetProgramCount;			// ʵʷصĽĿϢ
	NET_PROGRAM_ON_PLAYBOX		*pstProgramInfo;			// źϵĽĿϢ, ڴԴûά
} NET_OUT_GET_ALL_PLAYBOX_PROGRAM;

// ͨprogramme ID ȡź϶ӦĽĿϢ
typedef struct tagNET_IN_GET_PLAYBOX_PROGRAM_BYID
{
	DWORD           			dwSize;
	char						szProgrammeID[MAX_COMMON_STRING_64];	// ĿID
} NET_IN_GET_PLAYBOX_PROGRAM_BYID;

// ͨprogramme ID ȡź϶ӦĽĿϢ
typedef struct tagNET_OUT_GET_PLAYBOX_PROGRAM_BYID
{
	DWORD           			dwSize;
	NET_PROGRAM_ON_PLAYBOX		stuPlayBoxProgram;			// źнĿϢ
} NET_OUT_GET_PLAYBOX_PROGRAM_BYID;

// ڲźһĿϢ
typedef struct tagNET_IN_ADD_ONE_PLAYBOX_PRAGROM
{
	DWORD           			dwSize;
	NET_PROGRAM_ON_PLAYBOX		stuPlayBoxProgram;			// źнĿϢ
} NET_IN_ADD_ONE_PLAYBOX_PRAGROM;

// ڲźһĿϢ
typedef struct tagNET_OUT_ADD_ONE_PLAYBOX_PRAGROM
{
	DWORD           			dwSize;
	char						szProgrammeID[MAX_COMMON_STRING_64];	// ĿID
} NET_OUT_ADD_ONE_PLAYBOX_PRAGROM;

// ڲź޸ָIDĽĿϢ
typedef struct tagNET_IN_MODIFY_PLAYBOX_PROGRAM_BYID
{
	DWORD           			dwSize;
	NET_PROGRAM_ON_PLAYBOX		stuPlayBoxProgram;			// źнĿϢ
} NET_IN_MODIFY_PLAYBOX_PROGRAM_BYID;

// ڲź޸ָIDĽĿϢ
typedef struct tagNET_OUT_MODIFY_PLAYBOX_PROGRAM_BYID
{
	DWORD           			dwSize;
} NET_OUT_MODIFY_PLAYBOX_PROGRAM_BYID;

// ȡźȫĿϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAllProgramOnPlayBox(
										LLONG lLoginID,  const NET_IN_GET_ALL_PLAYBOX_PROGRAM* pInParam, 
										NET_OUT_GET_ALL_PLAYBOX_PROGRAM* pOutParam, const int nWaitTime);

// ͨprogramme ID ȡź϶ӦĽĿϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetOneProgramByIdOnPlayBox(
										LLONG lLoginID,  const NET_IN_GET_PLAYBOX_PROGRAM_BYID* pInParam, 
										NET_OUT_GET_PLAYBOX_PROGRAM_BYID* pOutParam, const int nWaitTime);
// ڲźһĿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddOneProgramToPlayBox(
										LLONG lLoginID,  const NET_IN_ADD_ONE_PLAYBOX_PRAGROM* pInParam, 
										NET_OUT_ADD_ONE_PLAYBOX_PRAGROM* pOutParam, const int nWaitTime);


// ڲź޸ָIDĽĿϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ModifyProgramOnPlayBoxById(
										LLONG lLoginID,  const NET_IN_MODIFY_PLAYBOX_PROGRAM_BYID* pInParam, 
										NET_OUT_MODIFY_PLAYBOX_PROGRAM_BYID* pOutParam, const int nWaitTime);


///////////////////////////////// ֯Ŀ¼ /////////////////////////////////////////

// ֯Ŀ¼-ӽڵ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OrganizationAddNodes(LLONG lLoginID, const DH_IN_ORGANIZATION_ADD_NODES* pInParam, DH_OUT_ORGANIZATION_ADD_NODES* pOutParam, int nWaitTime = 1000);

// ֯Ŀ¼-ɾڵ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OrganizationDeleteNodes(LLONG lLoginID, const DH_IN_ORGANIZATION_DELETE_NODES* pInParam, DH_OUT_ORGANIZATION_DELETE_NODES* pOutParam, int nWaitTime = 1000);

// ֯Ŀ¼-ȡڵϢ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OrganizationGetNodes(LLONG lLoginID, const DH_IN_ORGANIZATION_GET_NODES* pInParam, DH_OUT_ORGANIZATION_GET_NODES* pOutParam, int nWaitTime = 1000);

// ֯Ŀ¼-ýڵ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OrganizationSetNode(LLONG lLoginID, const DH_IN_ORGANIZATION_SET_NODE* pInParam, DH_OUT_ORGANIZATION_SET_NODE* pOutParam, int nWaitTime = 1000);


//////////////////////////////// ץ /////////////////////////////////

// ʼץ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartSniffer(LLONG lLoginID, const DH_IN_START_SNIFFER* pInParam, DH_OUT_START_SNIFFER* pOutParam, int nWaitTime = 1000);

// ֹͣץ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopSniffer(LLONG lLoginID, LLONG lSnifferID);

// ȡץ״̬,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSnifferInfo(LLONG lLoginID, const DH_IN_GET_SNIFFER_INFO* pInParam, DH_OUT_GET_SNIFFER_INFO* pOutParam, int nWaitTime = 1000);

// ץ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachSniffer(LLONG lLoginID, const NET_IN_ATTACH_SNIFFER* pInParam, NET_OUT_ATTACH_SNIFFER* pOutParam, int nWaitTime);

// ˶ץ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachSniffer(LLONG lAttachHandle);

// ȡץ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSnifferCaps(LLONG lLoginID, const NET_IN_GET_SNIFFER_CAP* pInParam, NET_OUT_GET_SNIFFER_CAP* pOutParam, int nWaitTime);

//////////////////////////////// ſؽӿ /////////////////////////////////

//ץȡJPEGͼ
CLIENT_NET_API BOOL CALL_METHOD  CLIENT_GetPicJPEG(LLONG lPlayHandle, BYTE* pJpegBuf, DWORD dwBufSize,DWORD *pJpegSize,int quality);


//////////////////////////////// Զļ /////////////////////////////////

// ½ļ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CreateRemoteFile(LLONG lLoginID, const DH_IN_CREATE_REMOTE_FILE* pInParam, DH_OUT_CREATE_REMOTE_FILE* pOutParam, int nWaitTime = 1000);

// ɾļĿ¼,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RemoveRemoteFiles(LLONG lLoginID, const DH_IN_REMOVE_REMOTE_FILES* pInParam, DH_OUT_REMOVE_REMOTE_FILES* pOutParam, int nWaitTime = 1000);

// ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RenameRemoteFile(LLONG lLoginID, const DH_IN_RENAME_REMOTE_FILE* pInParam, DH_OUT_RENAME_REMOTE_FILE* pOutParam, int nWaitTime = 1000);

// ʾĿ¼ļĿ¼,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ListRemoteFile(LLONG lLoginID, const DH_IN_LIST_REMOTE_FILE* pInParam, DH_OUT_LIST_REMOTE_FILE* pOutParam, int nWaitTime = 1000);

// ͬļϴ, ֻСļ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_UploadRemoteFile(LLONG lLoginID, const DH_IN_UPLOAD_REMOTE_FILE* pInParam, DH_OUT_UPLOAD_REMOTE_FILE* pOutParam, int nWaitTime = 1000);

//  ʼ첽ļϴԭ,lUploadFileHandle Ϊ CLIENT_StartUploadRemoteFile ӿڷֵ
typedef void (CALLBACK *fUploadFileCallBack) (LLONG lUploadFileHandle, int nTotalSize, int nSendSize, LDWORD dwUser);
// ʼ첽ļϴ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartUploadRemoteFile(LLONG lLoginID, const DH_IN_UPLOAD_REMOTE_FILE* pInParam, DH_OUT_UPLOAD_REMOTE_FILE* pOutParam, fUploadFileCallBack cbUploadFile, LDWORD dwUser);

// ֹͣ첽ļϴ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopUploadRemoteFile(LLONG lUploadFileID);

// ԶͶ, 豸˲Ƶļ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PlayAudioFile(LLONG lLoginID, const NET_IN_PLAY_AUDIO_FILE* pInParam, NET_OUT_PLAY_AUDIO_FILE* pOutParam, int nWaitTime = 1000);

// ļ, ֻСļ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DownloadRemoteFile(LLONG lLoginID, const DH_IN_DOWNLOAD_REMOTE_FILE* pInParam, DH_OUT_DOWNLOAD_REMOTE_FILE* pOutParam, int nWaitTime = 1000);

// ָļ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetFileAttribute(LLONG lLoginID, const DH_IN_SET_FILEATTRIBUTE* pInParam, DH_OUT_SET_FILEATTRIBUTE* pOutParam, int nWaitTime = 1000);

// ļأδְشļÿָļƫƣpOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DownloadPieceFile(LLONG lLoginID, const NET_IN_DOWNLOAD_PIECE_FILE* pInParam, NET_OUT_DOWNLOAD_PIECE_FILE* pOutParam,int nWaitTime = 1000);
////////////////////////////////// 洢豸 ////////////////////////////////////////

// ȡISCSI Targetб, pInParam == NULLȡtargets,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD    CLIENT_GetISCSITargets(LLONG lLoginID, const DH_IN_ISCSI_TARGETS* pInParam, DH_OUT_ISCSI_TARGETS* pOutParam, int nWaitTime = 1000);
// pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetBitmap(LLONG lLoginID , const DH_IN_BITMAP* pInParam, DH_OUT_BITMAP* pOutParam, int nWaitTime = 1000);

// ȡ洢豸б,pstuNamesڴûͷ
CLIENT_NET_API BOOL CALL_METHOD    CLIENT_GetStorageDeviceNames(LLONG lLoginID, DH_STORAGE_DEVICE_NAME* pstuNames, int nMaxCount, int* pnRetCount, int nWaitTime = 1000);

// ȡ洢豸Ϣ,pDeviceڴûͷ
CLIENT_NET_API BOOL CALL_METHOD    CLIENT_GetStorageDeviceInfo(LLONG lLoginID, const char* pszDevName, DH_STORAGE_DEVICE* pDevice, int nWaitTime = 1000);

// ¼ļϢ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachRecordInfo(LLONG lLoginID, const NET_IN_ATTACH_RECORD_INFO* pInParam, NET_OUT_ATTACH_RECORD_INFO* pOutParam, int nWaitTime = 1000);

// ȡ¼ļϢ,lAttachHandleCLIENT_AttachRecordInfoķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachRecordInfo(LLONG lAttachHandle);

// дԶ̴洢Ϣ״̬,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_NetStorageAttachWriteInfo(LLONG lLoginID, const NET_IN_STORAGE_ATTACH_WRITE_INFO* pInParam, NET_OUT_STORAGE_ATTACH_WRITE_INFO* pOutParam, int nWaitTime);

// ȡдԶ豸Ϣ,lAttachHandleCLIENT_NetStorageAttachWriteInfoķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_NetStorageDetachWriteInfo(LLONG lAttachHandle);

// ѯԶ̴洢дϢ״̬,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_NetStorageGetWriteInfo(LLONG lLoginID, const NET_IN_STORAGE_GET_WRITE_INFO* pInParam, NET_OUT_STORAGE_GET_WRITE_INFO* pOutParam, int nWaitTime);

// RAID, ͬͶӦͬĽṹ,pInBufpOutBufڴûͷ,СemTypeӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateRaid(LLONG lLoginID, NET_RAID_OPERATE_TYPE emType, void* pInBuf, void* pOutBuf, int nWaitTime);

/////////////////////////////////// 豸 ///////////////////////////////////////

// ƵԴ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MatrixSearch(LLONG lLoginID, const DH_IN_MATRIX_SEARCH* pInParam, DH_OUT_MATRIX_SEARCH* pOutParam, int nWaitTime = 1000);

// ȡб,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetMatrixTree(LLONG lLoginID, const DH_IN_GET_MATRIX_TREE* pInParam, DH_OUT_GET_MATRIX_TREE* pOutParam, int nWaitTime = 1000);

// ȡϼ豸бϢ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSuperiorMatrixList(LLONG lLoginID, const DH_IN_GET_SUPERIOR_MATRIX_LIST* pInParam, DH_OUT_GET_SUPERIOR_MATRIX_LIST* pOutParam, int nWaitTime = 1000);

/************************************************************************/
/*                            ¼񱸷ݻش                                */
/************************************************************************/

// ʼ¼񱸷ݻָ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartRecordBackupRestore(LLONG lLoginID);

// ֹͣ¼񱸷ݻָ
CLIENT_NET_API void CALL_METHOD CLIENT_StopRecordBackupRestore(LLONG lRestoreID);

// ¼񱸷ݻָ,pInParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddRecordBackupRestoreTask(LLONG lRestoreID, const DH_IN_ADD_REC_BAK_RST_TASK* pInParam, int nWaitTime = 1000);

// ɾ¼񱸷ݻָ,pInParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RemoveRecordBackupRestoreTask(LLONG lRestoreID, const DH_IN_REMOVE_REC_BAK_RST_TASK* pInParam, int nWaitTime = 1000);

// ȡ¼񱸷ݻָϢ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryRecordBackupRestoreTask(LLONG lRestoreID, const DH_IN_QUERY_REC_BAK_RST_TASK* pInParam, DH_OUT_QUERY_REC_BAK_RST_TASK* pOutParam, int nWaitTime = 1000);

//////////////////////////////// Encode Manager  ////////////////////////////////
// ˾¼лȡƻ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetEncodePlan(LLONG lLoginID, const DH_IN_GET_ENCODE_PLAN* pInParam, DH_OUT_GET_ENCODE_PLAN* pOutParam, int nWaitTime = 1000);

// ָĹͷֱʼҵʱ, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetEncodePlanByResolution(LLONG lLoginID, const NET_IN_GET_ENCODEPLANE_BY_RESOLUTION* pInParam, NET_OUT_GET_ENCODEPLANE_BY_RESOLUTION* pOutParam, int nWaitTime /*= 1000*/);

/************************************************************************/
/*                           ݿ¼ز                         */
/************************************************************************/
// ѯѯ¼,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FindRecord(LLONG lLoginID, NET_IN_FIND_RECORD_PARAM* pInParam, NET_OUT_FIND_RECORD_PARAM* pOutParam, int waittime=1000);    

// Ҽ¼:nFilecount:Ҫѯ, ֵΪýļ ֵ<nFilecountӦʱڵļѯ,pInParampOutParamڴûͷ
CLIENT_NET_API int CALL_METHOD CLIENT_FindNextRecord(NET_IN_FIND_NEXT_RECORD_PARAM* pInParam, NET_OUT_FIND_NEXT_RECORD_PARAM* pOutParam, int waittime=1000);

// Ҽ¼,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryRecordCount(NET_IN_QUEYT_RECORD_COUNT_PARAM* pInParam, NET_OUT_QUEYT_RECORD_COUNT_PARAM* pOutParam, int waittime=1000);

// ¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FindRecordClose(LLONG lFindHandle);

/************************************************************************/
/*                            ̨Ԫݽӿڶ                         */
/************************************************************************/
// ̨Ԫݽӿ,pstuInPtzStatusProcpstuOutPtzStatusProcڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachPTZStatusProc(LLONG lLoginID, NET_IN_PTZ_STATUS_PROC *pstuInPtzStatusProc,  NET_OUT_PTZ_STATUS_PROC *pstuOutPtzStatusProc, int nWaitTime = 3000);

// ֹ̨ͣԪݽӿ,lAttachHandleCLIENT_AttachPTZStatusProcֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachPTZStatusProc(LLONG lAttachHandle);

/************************************************************************/
/*                            ̨                               */
/************************************************************************/
// ̨,pstuInViewRangepstuOutViewRangeڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachViewRangeState(LLONG lLoginID, NET_IN_VIEW_RANGE_STATE *pstuInViewRange, NET_OUT_VIEW_RANGE_STATE *pstuOutViewRange, int nWaitTime = 3000);

// ֹ̨ͣ,lAttachHandleCLIENT_AttachViewRangeStateֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachViewRangeState(LLONG lAttachHandle);

// Ϣ,pstuInParampstuOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachWeatherInfo(LLONG lLoginID, NET_IN_WEATHER_INFO *pstuInParam, NET_OUT_WEATHER_INFO *pstuOutParam, int nWaitTime);

// ֹͣϢ,lAttachHandleCLIENT_AttachWeatherInfoֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachWeatherInfo(LLONG lAttachHandle);

// ࡢСռÿ,pInstuParampstuOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetViewRangeByObject(LLONG lLoginID, NET_IN_SET_VIEW_RANGE_BY_OBJECT *pInstuParam, NET_OUT_SET_VIEW_RANGE_BY_OBJECT *pstuOutParam,  int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// ĿGPSλÿ豸GPSλúĿGPSλûͬһ,pInstuParampstuOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetViewRangeByGPS(LLONG lLoginID, NET_IN_SET_VIEW_RANGE_BY_GPS *pInstuParam, NET_OUT_SET_VIEW_RANGE_BY_GPS *pstuOutParam,  int nWaitTime);

// ҳȡϢעϢб
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ScenicSpotGetPointInfos(LLONG lLoginID, NET_IN_SCENICSPOT_GETPOINTINFOS_INFO *pInstuParam, NET_OUT_SCENICSPOT_GETPOINTINFOS_INFO *pstuOutParam,  int nWaitTime);

// þ㣬ԭŵľ㽫ᱻ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ScenicSpotSetPointInfo(LLONG lLoginID,  NET_IN_SCENICSPOT_SETPOINTINFO_INFO *pInstuParam,  NET_OUT_SCENICSPOT_SETPOINTINFO_INFO *pstuOutParam,  int nWaitTime);

// ȡֵ֧
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ScenicSpotGetCaps(LLONG lLoginID,  const NET_IN_SCENICSPOT_GETCAPS_INFO *pInstuParam,  NET_OUT_SCENICSPOT_GETCAPS_INFO *pstuOutParam,  int nWaitTime);

// ԾעΪģάλ(ʲ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ScenicSpotTurnToPoint(LLONG lLoginID,  const NET_IN_SCENICSPOT_TURNTOPOINT_INFO *pInParam,  NET_OUT_SCENICSPOT_TURNTOPOINT_INFO *pOutParam,  int nWaitTime);

// ñԴϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetBackupSources(LLONG lLoginID, const NET_IN_SETBACKUP_SOURCES_INFO *pInstuParam, NET_OUT_SETBACKUP_SOURCES_INFO* pstuOutParam, int nWaitTime);
/************************************************************************/
/*                            BUS                                   */
/************************************************************************/
// Bus״̬,pstuInBuspstuOutBusڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachBusState(LLONG lLoginID, NET_IN_BUS_ATTACH *pstuInBus, NET_OUT_BUS_ATTACH *pstuOutBus, int nWaitTime = 3000);

// ֹͣBus״̬,lAttachHandleCLIENT_AttachBusStateֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachBusState(LLONG lAttachHandle);

/************************************************************************/
/*                            ģͨݶ                       */
/************************************************************************/

// ģͨ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachAnalogAlarmData(LLONG lLoginID, const NET_IN_ANALOGALARM_DATA* pInParam, NET_OUT_ANALOGALARM_DATA* pOutParam, int nWaitTime);

// ֹͣģͨ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachAnalogAlarmData(LLONG lAttachHandle);

/************************************************************************/
/*                            ¼ӿڶ                           */
/************************************************************************/

// ļ¼ӿ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachRecordUpdater(LLONG lLoginID, const NET_IN_RECORDUPDATER_DATA* pInParam, NET_OUT_RECORDUPDATER_DATA* pOutParam, int nWaitTime);

// ֹͣļ¼ӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachRecordUpdater(LLONG lAttachHandle);

///////////////////////////////汾ӿ///////////////////////////////
// ־ܣpstLogPrintInfoڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_LogOpen(LOG_SET_PRINT_INFO *pstLogPrintInfo);

// ر־
CLIENT_NET_API BOOL CALL_METHOD CLIENT_LogClose();

// ѯ豸־--չ,pLogBufferڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryLogEx(LLONG lLoginID, DH_LOG_QUERY_TYPE logType, char *pLogBuffer, int maxlen, int *nLogBufferlen, void* reserved, int waittime=3000);

// ʼѯ־(Ŀǰֻ֧ŽBSCϵ),pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartQueryLog(LLONG lLoginID, const NET_IN_START_QUERYLOG* pInParam, NET_OUT_START_QUERYLOG* pOutParam, int nWaitTime);

// ȡ־(Ŀǰֻ֧ŽBSCϵ),pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryNextLog(LLONG lLogID, NET_IN_QUERYNEXTLOG* pInParam, NET_OUT_QUERYNEXTLOG* pOutParam, int nWaitTime);

// ѯ־(Ŀǰֻ֧ŽBSCϵ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopQueryLog(LLONG lLogID);

/************************************************************************/
/*                            עؽӿ                          */
/************************************************************************/
// עض,
CLIENT_NET_API LONG CALL_METHOD CLIENT_ControlConnectServer(LLONG lLoginID, char* RegServerIP, WORD RegServerPort, int TimeOut=3000);

// ע
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ControlRegisterServer(LLONG lLoginID, LONG ConnectionID, int waittime=1000);

// Ͽ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ControlDisconnectRegServer(LLONG lLoginID, LONG ConnectionID);

// ѯ豸עϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryControlRegServerInfo(LLONG lLoginID, LPDEV_SERVER_AUTOREGISTER lpRegServerInfo, int waittime=2000);

// Ӧ CLIENT_ControlRegisterOtherServer ӿ,
typedef struct tagNET_IN_REGISTER_INFO 
{
	DWORD               dwSize;										 	 // ṹС
    char                szRegServerIP[DH_MAX_IPADDR_LEN_EX];             // עIPַ
    int                 nRegServerPort;                                  // ע˿
} NET_IN_REGISTER_INFO;

// CLIENT_ControlRegisterOtherServer 
typedef struct tagNET_OUT_REGISTER_INFO 
{
    DWORD       dwSize;			// ṹС
}NET_OUT_REGISTER_INFO;

// ʱעṦ,ȺԽ,豸עᵽ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ControlRegisterOtherServer(LLONG lLoginID, NET_IN_REGISTER_INFO* pInParam, NET_OUT_REGISTER_INFO* pOutParam, int waittime);

// ļϴӿ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_FileTransmit(LLONG lLoginID, int nTransType, char* szInBuf, int nInBufLen, fTransFileCallBack cbTransFile, LDWORD dwUserData, int waittime);

// webϢϴӿ
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_TransmitInfoForWeb(LLONG lLoginID, char* szInBuffer, DWORD dwInBufferSize, char* szOutBuffer, DWORD dwOutBufferSize, void* pExtData, int waittime=500);

// ˮӡ, *nResult = 0-ʾǰͼƬδ޸ *nResult = 1-ʾǰͼƬѱ޸
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_WatermarkVerifyForPicture(char* szFilePath, int* nResult, void* pReserved);

// ͨϴ򿪼,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_MultiRealPlay(LLONG lLoginID, DHDEV_IN_MULTIPLAY_PARAM* pInBuf, int nInBufLen, DHDEV_OUT_MULTIPLAY_PARAM* pOutBuf, int nOutBufLen, int* pRetLen);
 
// ֹͨͣ
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_StopMultiRealPlay(LLONG* lRealHandles, int nNumOfHandles);

// ûطŵYUVݻصӿ,hwndΪʱЧ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPlaybackYUVCallBack(LLONG lPlayHandle, fYUVDataCallBack cYUVData, LDWORD dwUser);

// webȡ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetNewDevConfigForWeb(LLONG lLoginID, char* szCommand, int nChannelID, char* szOutBuffer, DWORD dwOutBufferSize, int *error, int waittime=500);

// web
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetNewDevConfigForWeb(LLONG lLoginID, char* szCommand, int nChannelID, char* szInBuffer, DWORD dwInBufferSize, int *error, int *restart, int waittime=500);

// òŲԲ,ֻʵʱЧ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPlayMethod(LLONG lRealHandle, int nStartTime, int nSlowTime, int nFastTime, int nFailedTime);

// ر豸ע
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloseRegConnect(LLONG lHandle, char *pIp, WORD wPort, void *pParam);

// ļط-ʹ
typedef struct tagNET_IN_PLAYBACK_BYFILE_PROXY 
{
    DWORD                   dwSize;
    LPNET_RECORDFILE_INFO   lpRecordFile;                   // ¼ļϢ
    HWND                    hWnd;                           // ھ
    fDownLoadPosCallBack    cbDownLoadPos;                  // طŽȻص
    LDWORD                  dwPosUser;                      // Ȼصû
    fDataCallBack           fDownLoadDataCallBack;          // طݻص
    LDWORD                  dwDataUser;                     // ݻصû
    char                    szDstIP[DH_COMMON_STRING_128];  // 豸IP
}NET_IN_PLAYBACK_BYFILE_PROXY;

// ļط-ʹ
typedef struct tagNET_OUT_PLAYBACK_BYFILE_PROXY 
{
    DWORD                   dwSize;
}NET_OUT_PLAYBACK_BYFILE_PROXY;

// ʱط-ʹ
typedef struct tagNET_IN_PLAYBACK_BYTIME_PROXY 
{
    DWORD                   dwSize;
    int                     nChannelID;                     // ͨ
    LPNET_TIME              lpStartTime;                    // ʼʱ
    LPNET_TIME              lpStopTime;                     // ʱ
    HWND                    hWnd;                           // ھ
    fDownLoadPosCallBack    cbDownLoadPos;                  // طŽȻص
    LDWORD                  dwPosUser;                      // Ȼصû
    fDataCallBack           fDownLoadDataCallBack;          // طݻص
    LDWORD                  dwDataUser;                     // ݻصû
    char                    szDstIP[DH_COMMON_STRING_128];  // 豸IP
}NET_IN_PLAYBACK_BYTIME_PROXY;

// ʱط-ʹ
typedef struct tagNET_OUT_PLAYBACK_BYTIME_PROXY 
{
    DWORD                   dwSize;
}NET_OUT_PLAYBACK_BYTIME_PROXY;

// ļʽط--豸IP,ʹ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_PlayBackByRecordFileProxy(LLONG lLoginID, NET_IN_PLAYBACK_BYFILE_PROXY* pInParam, NET_OUT_PLAYBACK_BYFILE_PROXY* pOutParam);

// ʱ䷽ʽط--豸IP,ʹ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_PlayBackByTimeProxy(LLONG lLoginID, NET_IN_PLAYBACK_BYTIME_PROXY* pInParam, NET_OUT_PLAYBACK_BYTIME_PROXY* pOutParam);

// ļ(JSONʽ) pSendBuf: ,ûڴ, nSendBufLen: ͳ, reserved: 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ImportConfigFileJson(LLONG lLoginID, char *pSendBuf, int nSendBufLen, void* reserved=NULL, int nWaitTime=3000);
// ļ(JSONʽ) pOutBuffer: ջ,ûڴ, maxlen: ջ峤, nRetlen: ʵʵ, reserved: 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ExportConfigFileJson(LLONG lLoginID, char *pOutBuffer, int maxlen, int *nRetlen, void* reserved=NULL, int nWaitTime=3000);

// ðȫԿ(żʹ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetSecurityKey(LLONG lPlayHandle, char* szKey, DWORD nKeyLen);

// RPCѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryRpcMethod(LLONG lLoginID, const char* pszMethod, BOOL* pResult, int nWaitTime);

// 򿪻߹ر˽ڵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPrivacyRecover(LLONG lPlayHandle, BOOL bRecover);

//////////////////////////////////////////////////////////////////////////
// ҵؽӿ
//////////////////////////////////////////////////////////////////////////

// 鹫·,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CheckBusLine(LLONG lLoginID, const NET_IN_CHECK_BUS_LINE* pstInParam, NET_OUT_CHECK_BUS_LINE* pstOutParam, int nWaitTime = 5000);

// ··Ϣ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DispatchBusLineInfo(LLONG lLoginID, const NET_IN_DISPATCH_BUS_LINE_INFO* pstInParam, NET_OUT_DISPATCH_BUS_LINE_INFO* pstOutParam, int nWaitTime = 5000);

// ··Ϣչӿ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DispatchBusLineInfoEx(LLONG lLoginID, const NET_IN_DISPATCH_BUS_LINE_INFO_EX* pstInParam, NET_OUT_DISPATCH_BUS_LINE_INFO_EX* pstOutParam, int nWaitTime);

// Ӫ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_BusSchedule(LLONG lLoginID, const NET_IN_BUS_SCHEDULE_INFO* pstInParam, NET_OUT_BUS_SCHEDULE_INFO* pstOutParam, int nWaitTime = 5000);

// ·Űƻ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DispatchWorkPlan(LLONG lLoginID, const NET_IN_BUS_DISPATCH_WORK_PLAN* pstInParam, NET_OUT_BUS_DISPATCH_WORK_PLAN* pstOutParam, int nWaitTime);

// ԤϢ
typedef struct tagNET_WEATHERFORCAST_INFO
{
	int								nHighTemperature;					// £죩λ϶
	int								nLowTemperature;					// £죩λ϶
	int								nCurrentTemperature;				// ǰ¶ȣλ϶
	char							szWeatherState[64];					// ״̬
	int								nWeatherCode;						// ״̬codeֵ
	BYTE							byReserved[1024];					// ֽ
}NET_WEATHERFORCAST_INFO;

// Ԥ
typedef struct tagNET_IN_PUSH_WEATHERFORCAST
{
	DWORD							dwSize;
	NET_WEATHERFORCAST_INFO			stuWeatherInfo;						// ԤϢ
}NET_IN_PUSH_WEATHERFORCAST;

// Ԥ
typedef struct tagNET_OUT_PUSH_WEATHERFORCAST
{
	DWORD							dwSize;
}NET_OUT_PUSH_WEATHERFORCAST;

// Ԥ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PushWeatherForecast(LLONG lLoginID, const NET_IN_PUSH_WEATHERFORCAST* pstInParam, NET_OUT_PUSH_WEATHERFORCAST* pstOutParam, int nWaitTime);
//////////////////////////////////////////////////////////////////////////

// ķ
typedef enum tagNET_MISSION_FEEDBACK_TYPE
{
    NET_MISSION_FEEDBACK_NO = 0,                        // Ҫ
    NET_MISSION_FEEDBACK_YES,                           // ҪԷ, ԷӦظDH_ALARM_MISSION_CONFIRMȷ¼
}NET_MISSION_FEEDBACK_TYPE;

// Ϣ()
typedef enum tagNET_MISSION_MESSAGE_TYPE
{
    NET_MISSION_MESSAGE_TEXT = 0 ,      //ıϢ 
    NET_MISSION_MESSAGE_AD ,            //Ϣ
    NET_MISSION_MESSAGE_BROAD ,         //㲥Ϣ
    NET_MISSION_MESSAGE_DRIVER ,        //˾Ϣ
    NET_MISSION_MESSAGE_DISPATCH ,      //ָ
    NET_MISSION_MESSAGE_TRANSPARENT ,   //͸      
    NET_MISSION_MESSAGE_URGENT,         //¼
    NET_MISSION_MESSAGE_MAX  ,
}NET_MISSION_MESSAGE_TYPE;

// CLIENT_AddMission()ӿ
typedef struct tagNET_IN_ADD_MISSION 
{
    DWORD           dwSize;
    char            szTitle[DH_COMMON_STRING_256];      // 
    char            szMissionID[DH_COMMON_STRING_256];  // ID
    char            szComment[DH_COMMON_STRING_256];    // ظ
    NET_MISSION_FEEDBACK_TYPE   emFeedBack;             // Ӻ
    NET_MISSION_MESSAGE_TYPE    emMessageType;          // Ϣ
	BOOL            bComment;                           // FALSEʱszCommentЧTRUEʱszCommentExЧ
	char            szCommentEx[DH_COMMON_STRING_2048]; // ظݣΪ
	int				nChannel[DH_MAX_CHANNEL_COUNT];		// ļͨеӣֶ֧ͨͬʱ
	int				nDuration;							// ʾʱ0ʾһֱһЭ·ֱʾʾʱλ
	int				nCount;								//  nChannelʵʳ
}NET_IN_ADD_MISSION;

// CLIENT_AddMission()ӿ
typedef struct tagNET_OUT_ADD_MISSION 
{
    DWORD           dwSize;
}NET_OUT_ADD_MISSION;
//pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddMission(LLONG lLoginID, const NET_IN_ADD_MISSION* pstInParam, NET_OUT_ADD_MISSION* pstOutParam, int nWaitTime = 3000);

// CLIENT_ParkingControlStartFindӿ
typedef struct tagNET_IN_PARKING_CONTROL_START_FIND_PARAM
{
    DWORD                     dwSize;          // ṹС
    BOOL                      bSearchCount;    // ѯ¼ǷЧ
    DWORD                     dwSearchCount;   // ѯ¼, ֵΧ1~100
    BOOL                      bBegin;          // ѯʼʱǷЧ
    NET_TIME                  stuBegin;        // ѯʼʱ
    BOOL                      bEnd;            // ѯʱǷЧ
    NET_TIME                  stuEnd;          // ѯʱ
    BOOL                      bCardType;       // ǷЧ
    NET_ECK_IC_CARD_USER_TYPE emCardType;      // 
    BOOL                      bFlag;           // ǷЧ
    NET_ECK_CAR_PASS_FLAG     emFlag;          // 
} NET_IN_PARKING_CONTROL_START_FIND_PARAM;

// CLIENT_ParkingControlStartFindӿ
typedef struct tagNET_OUT_PARKING_CONTROL_START_FIND_PARAM
{
    DWORD                     dwSize;          // ṹС
    DWORD                     dwTotalCount;    // ϴ˴βѯĽ
} NET_OUT_PARKING_CONTROL_START_FIND_PARAM;

// CLIENT_ParkingControlDoFindӿ
typedef struct tagNET_IN_PARKING_CONTROL_DO_FIND_PARAM
{
    DWORD                     dwSize;          // ṹС
    DWORD                     dwFileCount;     // ǰѯļ¼
} NET_IN_PARKING_CONTROL_DO_FIND_PARAM;

// ¼Ϣ
typedef struct tagNET_CAR_PASS_ITEM
{
    DWORD                      dwSize; 
    NET_TIME                   stuTime;          // ʱ
    DWORD                      dwCardNo;         // 
    NET_ECK_IC_CARD_USER_TYPE  emCardType;       // 
    NET_ECK_CAR_PASS_FLAG      emFlag;           // ¼
} NET_CAR_PASS_ITEM;

// CLIENT_ParkingControlDoFindӿ
typedef struct tagNET_OUT_PARKING_CONTROL_DO_FIND_PARAM
{
    DWORD                     dwSize;          // ṹС
    NET_CAR_PASS_ITEM        *pstuRecordList;  // ¼б,ûڴ,СΪsizeof(NET_CAR_PASS_ITEM)*nMaxRecordNum
    int                       nMaxRecordNum;   // б¼
    int                       nRetRecordNum;   // ѯļ¼,ѯСѯʱ,ѯ
} NET_OUT_PARKING_CONTROL_DO_FIND_PARAM;

// ʼ¼ѯ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ParkingControlStartFind(LLONG lLoginID, NET_IN_PARKING_CONTROL_START_FIND_PARAM* pInParam, NET_OUT_PARKING_CONTROL_START_FIND_PARAM* pOutParam, int waittime);

// ȡ¼,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ParkingControlDoFind(LLONG lFindeHandle, NET_IN_PARKING_CONTROL_DO_FIND_PARAM* pInParam, NET_OUT_PARKING_CONTROL_DO_FIND_PARAM* pOutParam, int waittime);

// ¼ѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ParkingControlStopFind(LLONG lFindHandle);

// Ĺ¼ݻصԭ
typedef void (CALLBACK *fParkingControlRecordCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_CAR_PASS_ITEM *pInfo, int nBufLen, LDWORD dwUser);

// CLIENT_ParkingControlAttachRecord()ӿ
typedef struct tagNET_IN_PARKING_CONTROL_PARAM
{
    DWORD                           dwSize;
    fParkingControlRecordCallBack   cbCallBack;                 // ݻص
    LDWORD                          dwUser;                     // û
} NET_IN_PARKING_CONTROL_PARAM;

// CLIENT_ParkingControlDetachRecord()ӿ
typedef struct tagNET_OUT_PARKING_CONTROL_PARAM
{
    DWORD    dwSize;
} NET_OUT_PARKING_CONTROL_PARAM;

// ¼,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ParkingControlAttachRecord(LLONG lLoginID, const NET_IN_PARKING_CONTROL_PARAM* pInParam, NET_OUT_PARKING_CONTROL_PARAM* pOutParam, int nWaitTime);

// ȡ¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ParkingControlDetachRecord(LLONG lAttachHandle);

// ״̬
typedef enum tagNET_CAR_DETECTOR_STATE
{
    NET_CAR_DETECTOR_STATE_UNKNOWN = -1,
    NET_CAR_DETECTOR_STATE_OFFLINE = 0,                   // 
    NET_CAR_DETECTOR_STATE_ONLINE,                        // 
    NET_CAR_DETECTOR_STATE_LOOPOFFLINE,                   // ظȦ
} NET_CAR_DETECTOR_STATE;

// 豸ͨ״̬
typedef enum tagNET_AUXILIARY_DEV_STATE
{
    NET_AUXILIARY_DEV_STATE_UNKNOWN = -1,
    NET_AUXILIARY_DEV_STATE_OFFLINE = 0,                   // 
    NET_AUXILIARY_DEV_STATE_ONLINE,                        // 
} NET_AUXILIARY_DEV_STATE;

// IC
typedef enum tagNET_IC_CARD_STATUS
{
    NET_IC_CARD_STATUS_UNKNOWN = -1,
    NET_IC_CARD_STATUS_NORMAL = 0,                         // 
    NET_IC_CARD_STATUS_NOCARD,                             // ޿
    NET_IC_CARD_STATUS_LOWCARD,                            // ٿ
    NET_IC_CARD_STATUS_FULLCARDS,                          // տ
} NET_IC_CARD_STATUS;

// 豸ģʽ
typedef enum tagNET_AUXILIARY_WORK_MODE
{
    NET_AUXILIARY_WORK_MODE_UNKNOWN = 0,
    NET_AUXILIARY_WORK_MODE_OFFLINE,                       // ѻ
    NET_AUXILIARY_WORK_MODE_ONLINE,                        // 
} NET_AUXILIARY_WORK_MODE;

// ¼DH_ALARM_AUXILIARY_DEV_STATE(豸״̬¼)ӦϢ
typedef struct tagALARM_AUXILIARY_DEV_STATE
{
    DWORD                   dwSize;
    NET_CAR_DETECTOR_STATE  emDetector;                   // ״̬
    NET_AUXILIARY_DEV_STATE emLed;                        // LED״̬״̬
    NET_AUXILIARY_DEV_STATE emICDetectBoard;              // ˢ
    NET_AUXILIARY_DEV_STATE emICSenderBoard;              // ˢ
    NET_IC_CARD_STATUS      emICCardStatus;               // IC
    NET_AUXILIARY_WORK_MODE emWorkMode;                   // ģʽ
} ALARM_AUXILIARY_DEV_STATE;

// ͣˢ
typedef enum tagNET_PARKING_CARD_TYPE
{
    NET_PARKING_CARD_TYPE_UNKNOWN,
    NET_PARKING_CARD_TYPE_SEND,                             // 
    NET_PARKING_CARD_TYPE_DETECT,                           // ˢ
} NET_PARKING_CARD_TYPE;

// ¼DH_ALARM_PARKING_CARD(ͣˢ¼)ӦϢ
typedef struct tagALARM_PARKING_CARD
{
    DWORD                   dwSize;
    NET_PARKING_CARD_TYPE   emType;                       // 
    DWORD                   dwCardNo;                     // 
    char                    szPlate[DH_COMMON_STRING_16]; // 
} ALARM_PARKING_CARD;

// Դ豸
typedef enum tagEM_ALARM_TRANSMIT_DEV_SRC_TYPE
{
    EM_ALARM_TRANSMIT_DEV_SRC_TYPE_UNKNOWN,             // δ֪
    EM_ALARM_TRANSMIT_DEV_SRC_TYPE_DIGIT,               // Digit   
    EM_ALARM_TRANSMIT_DEV_SRC_TYPE_ANALOG,              // Analog ģ
    EM_ALARM_TRANSMIT_DEV_SRC_TYPE_SMARTLOCK,           // SmartLock 
}EM_ALARM_TRANSMIT_DEV_SRC_TYPE;

// 
typedef enum tagEM_ALARM_TRANSMIT_ALARM_TYPE
{
    EM_ALARM_TRANSMIT_ALARM_TYPE_UNKNOWN,               // δ֪
    EM_ALARM_TRANSMIT_ALARM_TYPE_PREVENTREMOVE,         // "PreventRemove"   
    EM_ALARM_TRANSMIT_ALARM_TYPE_LOWERPOWER,            // "LowerPower"  ͵ѹ
    EM_ALARM_TRANSMIT_ALARM_TYPE_KEY,                   // "Key"          Կ
    EM_ALARM_TRANSMIT_ALARM_TYPE_DURESS,                // "Duress"       в
}EM_ALARM_TRANSMIT_ALARM_TYPE;

// ¼(ӦṹALARM_PROFILE_ALARM_TRANSMIT_INFO)
typedef struct tagALARM_PROFILE_ALARM_TRANSMIT_INFO
{
    DWORD                           dwSize;
    int                             nChannelID;                             // ͨ
    int                             nAction;                                // 0:ʼ 1:ֹͣ
    NET_TIME                        stuTime;                                // ¼ʱ
    NET_SENSE_METHOD                emSenseMethod;                          // 
    char                            szUserID[DH_COMMON_STRING_128];         // û,
    EM_ALARM_TRANSMIT_DEV_SRC_TYPE  emDevSrcType;                           // Դ豸
    EM_ALARM_TRANSMIT_ALARM_TYPE    emAlarmType;                            // 
}ALARM_PROFILE_ALARM_TRANSMIT_INFO;

// ļλϢ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_SCADAAttachInfo(LLONG lLoginID, const NET_IN_SCADA_ATTACH_INFO* pInParam, NET_OUT_SCADA_ATTACH_INFO* pOutParam, int nWaitTime);

// ȡλϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SCADADetachInfo(LLONG lAttachHandle);

// ȡֵ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SCADAGetThreshold(LLONG lLoginID, const NET_IN_SCADA_GET_THRESHOLD* pInParam, NET_OUT_SCADA_GET_THRESHOLD* pOutParam, int nWaitTime);

// ֵ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SCADASetThreshold(LLONG lLoginID, const NET_IN_SCADA_SET_THRESHOLD* pInParam, NET_OUT_SCADA_SET_THRESHOLD* pOutParam, int nWaitTime);

// ʼѯSCADAλʷ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartFindSCADA(LLONG lLoginID, const NET_IN_SCADA_START_FIND* pInParam, NET_OUT_SCADA_START_FIND* pOutParam, int nWaitTime);

// ȡSCADAλʷ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindSCADA(LLONG lFindHandle, const NET_IN_SCADA_DO_FIND* pInParam, NET_OUT_SCADA_DO_FIND* pOutParam, int nWaitTime);

// ֹͣѯSCADAλʷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindSCADA(LLONG lFindHandle);

// ļλϢ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_SCADAAlarmAttachInfo(LLONG lLoginID, const NET_IN_SCADA_ALARM_ATTACH_INFO* pInParam, NET_OUT_SCADA_ALARM_ATTACH_INFO* pOutParam, int nWaitTime = 3000);

// ȡļλϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SCADAAlarmDetachInfo(LLONG lAttachHandle);

// üλϢ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SCADASetInfo(LLONG lLoginID, const NET_IN_SCADA_POINT_SET_INFO_LIST* pInParam, NET_OUT_SCADA_POINT_SET_INFO_LIST* pOutParam, int nWaitTime = 3000);

//////////////////////////////////////////////////////////////////////////

// ߶Ϣӿ,pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachLowRateWPAN(LLONG lLoginID, const NET_IN_ATTACH_LOWRATEWPAN* pstInParam, NET_OUT_ATTACH_LOWRATEWPAN* pstOutParam, int nWaitTime = 3000);

// ȡ߶Ϣӿ,lAttachHandleCLIENT_AttachLowRateWPANֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachLowRateWPAN(LLONG lAttachHandle);

//ȡԤʱʾĲſ˿,ԻȡĶ˿رԴ͵Ĳ,Ӱܵʹ
CLIENT_NET_API LONG CALL_METHOD CLIENT_GetRealPlayPort(LLONG lRealPlayHandle);

//ȡطʱʾĲſ˿,,ԻȡĶ˿رԴ͵Ĳ,Ӱܵʹ
CLIENT_NET_API LONG CALL_METHOD  CLIENT_GetPlayBackPort(LLONG lPlayBackHandle);

// ͣϵͳλ״̬
typedef enum tagNET_ECK_PARK_STATE
{
    NET_ECK_PARK_STATE_UNKOWN,
    NET_ECK_PARK_STATE_PARK,                     // λг
    NET_ECK_PARK_STATE_NOPARK,                   // λ޳
} NET_ECK_PARK_STATE;

// λϢ
typedef struct tagNET_PARK_INFO_ITEM
{
    DWORD                      dwSize; 
    char                       szParkNo[DH_COMMON_STRING_32];   // λ
    NET_ECK_PARK_STATE         emState;                         // λ״̬
    DWORD                      dwScreenIndex;                   // λʾӦյ
    DWORD                      dwFreeParkNum;                   // ʾĵǰ೵λĿ
} NET_PARK_INFO_ITEM;

// ĳλϢصԭ
typedef void (CALLBACK *fParkInfoCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_PARK_INFO_ITEM *pInfo, int nBufLen, LDWORD dwUser);

// λ
typedef enum tagNET_ECK_PARK_DETECTOR_TYPE
{
    NET_ECK_PARK_DETECTOR_TYPE_SONIC,                     // ̽
    NET_ECK_PARK_DETECTOR_TYPE_CAMERA,                    // 
    NET_ECK_PARK_DETECTOR_TYPE_ALL,
} NET_ECK_PARK_DETECTOR_TYPE;

// λϢѯ
typedef struct tagNET_PARK_INFO_FILTER
{
    DWORD                      dwSize; 
    DWORD                      dwNum;                                  // λ
    NET_ECK_PARK_DETECTOR_TYPE emType[NET_ECK_PARK_DETECTOR_TYPE_ALL]; // λ
} NET_PARK_INFO_FILTER;

// CLIENT_ParkingControlAttachParkInfo()ӿ
typedef struct tagNET_IN_PARK_INFO_PARAM
{
    DWORD                           dwSize;
    NET_PARK_INFO_FILTER            stuFilter;
    fParkInfoCallBack               cbCallBack;                 // ݻص
    LDWORD                          dwUser;                     // û
} NET_IN_PARK_INFO_PARAM;

// CLIENT_ParkingControlAttachParkInfo()ӿ
typedef struct tagNET_OUT_PARK_INFO_PARAM
{
    DWORD    dwSize;
} NET_OUT_PARK_INFO_PARAM;

// λ״̬,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ParkingControlAttachParkInfo(LLONG lLoginID, const NET_IN_PARK_INFO_PARAM* pInParam, NET_OUT_PARK_INFO_PARAM* pOutParam, int nWaitTime);

// ȡλ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ParkingControlDetachParkInfo(LLONG lAttachHandle);

// Ƶ绰״̬Ϣ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachVTPCallState(LLONG lLoginID, const NET_IN_VTP_CALL_STATE_ATTACH* pInParam, NET_OUT_VTP_CALL_STATE_ATTACH* pOutParam, int nWaitTime);

// ȡƵ绰״̬Ϣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachVTPCallState(LLONG lCallStateHandle);

// ֻϢ, ʹRegisterIDʶ,pstuCfgڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetMobileSubscribe(LLONG lLoginID, const NET_MOBILE_PUSH_NOTIFY *pstuCfg, int *nError, int *nRestart, int nWaitTime = 1000);

// ɾֻϢ, ʹRegisterIDʶ,pstuInpstuOutڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DelMobileSubscribe(LLONG lLoginID, const NET_MOBILE_PUSH_NOTIFY_DEL *pstuIn, NET_OUT_DELETECFG* pstuOut, int nWaitTime = 1000);

// ȡֻϢ, ʹRegisterID+AppIDʶ,AppIDݲܴ,ſ»ߴ,pstuCfgڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetMobileSubscribeCfg(LLONG lLoginID, NET_MOBILE_PUSH_NOTIFY_CFG *pstuCfg, int *nError, int nWaitTime = 1000);

// ֻϢ, ʹRegisterID+AppIDʶ,AppIDݲܴ,ſ»ߴ,pstuCfgڴûͷ 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetMobileSubscribeCfg(LLONG lLoginID, const NET_MOBILE_PUSH_NOTIFY_CFG *pstuCfg, int *nError, int *nRestart, int nWaitTime = 1000);

// ɾֻϢ, ʹRegisterID+AppIDʶ,AppIDݲܴ,ſ»ߴ,pstuInpstuOutڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DelMobileSubscribeCfg(LLONG lLoginID, const NET_MOBILE_PUSH_NOTIFY_CFG_DEL *pstuIn, NET_OUT_DELETECFG* pstuOut, int nWaitTime = 1000);

////////////////////////////////////////////////////////////////////////////////
// Ӧ 
typedef enum tagEM_RPC_NETAPP_TYPE
{
    EM_RPC_NETAPP_TYPE_GET_NET_RESOURCE_STAT,      //  Դͳ, pstuIn Ӧ NET_IN_NETAPP_GET_NET_RESOURCE_STAT*,pstuOutӦ NET_OUT_NETAPP_GET_NET_RESOURCE_STAT*
}EM_RPC_NETAPP_TYPE;

// EM_RPC_NETAPP_TYPE_GET_NET_RESOURCE_STAT 
typedef struct tagNET_IN_NETAPP_GET_NET_RESOURCE_STAT
{
    DWORD               dwSize;
}NET_IN_NETAPP_GET_NET_RESOURCE_STAT;

// EM_RPC_NETAPP_TYPE_GET_NET_RESOURCE_STAT 
typedef struct tagNET_OUT_NETAPP_GET_NET_RESOURCE_STAT
{
    DWORD               dwSize;
    int                 nIPChanneIn;             // IPͨ          λkbps
    int                 nNetRemain;              // ʣ        λkbps
    int                 nNetCapability;          //       λMbps
    int                 nRemotePreview;          // ԶԤ            λkbps
    int                 nRemotePlayAndDownload;  // Զ̻طż      λkbps
    int                 nRemoteSendRemain;       // Զ̷ʣ        λkbps
    int                 nRemoteSendCapability;   // Զ̷      λMbps
}NET_OUT_NETAPP_GET_NET_RESOURCE_STAT;

// Ӧ,˾ڲƽӿ
// ڻȡǰ豸Դ,շݵʵ,pstuInpstuOutڴûͷţСemTypeӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RPC_NetApp(LLONG lLoginID, EM_RPC_NETAPP_TYPE emType, const void* pstuIn, void* pstuOut, int nWaitTime = 1000);
//pParamڴûͷţСemTypeӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetOptimizeMode(EM_OPTIMIZE_TYPE emType, void *pParam);

// ǫ̈̄
typedef enum tagEM_NET_WIDE_VIEW_CTRL
{
    EM_NET_WIDE_VIEW_CTRL_START,                      // ʼȫͼ, startGenerateWideView, ṹ NET_IN_WIDE_VIEW_GENERATE_START  NET_OUT_WIDE_VIEW_GENERATE_START
    EM_NET_WIDE_VIEW_CTRL_STOP,                       // ֹͣȫͼ, stopGenerateWideView, ṹ NET_IN_WIDE_VIEW_GENERATE_STOP  NET_OUT_WIDE_VIEW_GENERATE_STOP
    EM_NET_WIDE_VIEW_CTRL_PROGRESS,                   // ȡȫͼɵĵǰ, getWideViewProgress, ṹ NET_IN_WIDE_VIEW_PROGRESS  NET_OUT_WIDE_VIEW_PROGRESS
    EM_NET_WIDE_VIEW_CTRL_IMAGEINFO,                  // ȡȫͼϢ, getImageInfo, ṹ NET_IN_WIDE_VIEW_IMAGE  NET_OUT_WIDE_VIEW_IMAGE
    EM_NET_WIDE_VIEW_CTRL_WV_COORD,                   // ̨תȫͼ, getWideViewCoordinates, ṹ NET_IN_WIDE_VIEW_WV  NET_OUT_WIDE_VIEW_WV
    EM_NET_WIDE_VIEW_CTRL_PTZ_COORD,                  // ȫͼת̨, getPtzCoordinates, ṹ NET_IN_WIDE_VIEW_PTZ  NET_OUT_WIDE_VIEW_PTZ
} EM_NET_WIDE_VIEW_CTRL;

// ʼȫͼ
typedef struct tagNET_IN_WIDE_VIEW_GENERATE_START
{
    DWORD                    dwSize;
    int                      nChannel;                // ͨ
} NET_IN_WIDE_VIEW_GENERATE_START;

// ʼȫͼ
typedef struct tagNET_OUT_WIDE_VIEW_GENERATE_START
{
    DWORD                    dwSize;
} NET_OUT_WIDE_VIEW_GENERATE_START;

//  ֹͣȫͼ
typedef struct tagNET_IN_WIDE_VIEW_GENERATE_STOP
{
    DWORD                    dwSize;
    int                      nChannel;                // ͨ
} NET_IN_WIDE_VIEW_GENERATE_STOP;

//  ֹͣȫͼ
typedef struct tagNET_OUT_WIDE_VIEW_GENERATE_STOP
{
    DWORD                    dwSize;
} NET_OUT_WIDE_VIEW_GENERATE_STOP;

//  ȡȫͼɵĵǰ
typedef struct tagNET_IN_WIDE_VIEW_PROGRESS
{
    DWORD                    dwSize;
    int                      nChannel;                // ͨ
} NET_IN_WIDE_VIEW_PROGRESS;

//  ȡȫͼɵĵǰȳ
typedef struct tagNET_OUT_WIDE_VIEW_PROGRESS
{
    DWORD                    dwSize;
    int                      nProgress;               // ȫͼɵĵǰ, Χ0-100
} NET_OUT_WIDE_VIEW_PROGRESS;

//  ȡȫͼϢ
typedef struct tagNET_IN_WIDE_VIEW_IMAGE
{
    DWORD                    dwSize;
    int                      nChannel;                // ͨ
} NET_IN_WIDE_VIEW_IMAGE;

//  ȫͼϢ
typedef struct tagNET_WIDE_VIEW_IMAGE_INFO
{
    char                     szImageUrl[MAX_PATH];    // URL
} NET_WIDE_VIEW_IMAGE_INFO;

// ȡȫͼϢ
typedef struct tagNET_OUT_WIDE_VIEW_IMAGE
{
    DWORD                    dwSize;
    NET_WIDE_VIEW_IMAGE_INFO stuImageInfo;             // ȫͼϢ
} NET_OUT_WIDE_VIEW_IMAGE;

#define NET_WIDE_VIEW_COORDINATES_MAX (64)

//  ̨תȫͼ
typedef struct tagNET_IN_WIDE_VIEW_WV
{
    DWORD                    dwSize;
    int                      nChannel;                // ͨ
    int                      nNum;                    // Ч̨
    PTZ_SPEED_UNIT           stuPTZ[NET_WIDE_VIEW_COORDINATES_MAX];   // ̨Ŵ
} NET_IN_WIDE_VIEW_WV;

//  ̨תȫͼ
typedef struct tagNET_OUT_WIDE_VIEW_WV
{
    DWORD                    dwSize;
    NET_RECT                 stuRect[NET_WIDE_VIEW_COORDINATES_MAX];  // ȫͼ
} NET_OUT_WIDE_VIEW_WV;

//  ȫͼת̨
typedef struct tagNET_IN_WIDE_VIEW_PTZ
{
    DWORD                    dwSize;
    int                      nChannel;                // ͨ
    int                      nNum;                    // Чȫ
    NET_RECT                 stuRect[NET_WIDE_VIEW_COORDINATES_MAX];  // ȫͼ
} NET_IN_WIDE_VIEW_PTZ;

//  ȫͼת̨
typedef struct tagNET_OUT_WIDE_VIEW_PTZ
{
    DWORD                    dwSize;
    PTZ_SPEED_UNIT           stuPTZ[NET_WIDE_VIEW_COORDINATES_MAX];   // ̨Ŵ
} NET_OUT_WIDE_VIEW_PTZ;

// ǫ̈̄زӿ, Ͳ EM_NET_WIDE_VIEW_CTRL,pstuInParampstuOutParamڴûͷ,СemCtrlTypeӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_WideViewCtrl(LLONG lLoginID, EM_NET_WIDE_VIEW_CTRL emCtrlType, const void *pstuInParam, void *pstuOutParam, int nWaitTime = 1000);
// pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetMarkFile(LLONG lLoginID,const NET_IN_SET_MARK_FILE* pInParam, NET_OUT_SET_MARK_FILE* pOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT );
//ʱ¼pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetMarkFileByTime(LLONG lLoginID, const NET_IN_SET_MARK_FILE_BY_TIME* pInParam, NET_OUT_SET_MARK_FILE_BY_TIME* pOutParam, int nWaitTime = 1000);

//ʱ¼&&C5Э

//ȡ¼Ϣ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetMarkInfo(LLONG lLoginID, const NET_IN_GET_MARK_INFO* pInParam, NET_OUT_GET_MARK_INFO* pOutParam, int nWaitTime = 1000);

// ¼
typedef enum tagEM_NET_AUDIO_REC_STREAM
{
    EM_NET_AUDIO_REC_STREAM_UNKNOWN,
    EM_NET_AUDIO_REC_STREAM_MAIN,                    // Main
    EM_NET_AUDIO_REC_STREAM_EXTRA1,                  // Extra1
    EM_NET_AUDIO_REC_STREAM_EXTRA2,                  // Extra2
    EM_NET_AUDIO_REC_STREAM_EXTRA3,                  // Extra3
    EM_NET_AUDIO_REC_STREAM_TALKBACK,                // Talkback
} EM_NET_AUDIO_REC_STREAM;

// /رƵ¼õ¼, ӦDH_CTRL_AUDIO_REC_START_NAMEDH_CTRL_AUDIO_REC_STOP_NAME
typedef struct tagNET_IN_AUDIO_REC_MNG_NAME
{
    DWORD                    dwSize;                 // ýṹС
    int                      nChannel;               // Ƶͨ
    EM_NET_AUDIO_REC_STREAM  emStream;               // 
} NET_IN_AUDIO_REC_MNG_NAME;

// /رƵ¼õ¼, ӦDH_CTRL_AUDIO_REC_START_NAMEDH_CTRL_AUDIO_REC_STOP_NAME
typedef struct tagNET_OUT_AUDIO_REC_MNG_NAME
{
    DWORD                    dwSize;                 // ýṹС
    char                     szFileName[MAX_PATH];   // ¼ļ
} NET_OUT_AUDIO_REC_MNG_NAME;

// ¼
typedef enum tagEM_NET_REC_EVENT
{
    EM_NET_REC_EVENT_UNKNOWN,                       // δ֪
    EM_NET_REC_EVENT_ALARM,                         // Alarm
} EM_NET_REC_EVENT;

// /رָͨ¼, ָ¼
typedef struct tagNET_IN_REC_MNG_CTRL_MPT300
{
    DWORD                    dwSize;                 // ýṹС
    int                      nChannel;               // ͨ
    EM_NET_REC_EVENT         emType;                 // ¼, nActionΪ0ʱЧ
    int                      nAction;                // 0:, 1:ر
} NET_IN_REC_MNG_CTRL_MPT300;

// /رָͨ¼
typedef struct tagNET_OUT_REC_MNG_CTRL_MPT300
{
    DWORD                    dwSize;                 // ýṹС
} NET_OUT_REC_MNG_CTRL_MPT300;

// ʱץͼ(ֶץͼ), ӦDH_CTRL_SNAP_MNG_SNAP_SHOT
typedef struct tagNET_IN_SNAP_MNG_SHOT
{
    DWORD                    dwSize;                 // ýṹС
    int                      nChannel;               // ͨ
    int                      nTime;                  // Ĵ, 0ʾֹͣץ,ʾץĵ
} NET_IN_SNAP_MNG_SHOT;

// ʱץͼ(ֶץͼ), ӦDH_CTRL_SNAP_MNG_SNAP_SHOT
typedef struct tagNET_OUT_SNAP_MNG_SHOT
{
    DWORD                    dwSize;                 // ýṹС
} NET_OUT_SNAP_MNG_SHOT;

// رݿ/ָݿ, ӦDH_CTRL_LOG_STOPDH_CTRL_LOG_RESUME
typedef struct tagNET_IN_LOG_MNG_CTRL
{
    DWORD                    dwSize;                 // ýṹС
} NET_IN_LOG_MNG_CTRL;

// رݿ/ָݿ, ӦDH_CTRL_LOG_STOPDH_CTRL_LOG_RESUME
typedef struct tagNET_OUT_LOG_MNG_CTRL
{
    DWORD                    dwSize;                 // ýṹС
} NET_OUT_LOG_MNG_CTRL;

// ֱ͸
typedef struct tagNET_IN_TRANSMIT_DIRECTLY
{
    DWORD                    dwSize;                  // ṹС
    char                    *szInBuffer;              // ͸豸
    DWORD                    dwInBufferSize;          // ͸豸ݴС
    NET_TRANSMIT_EXT_INFO    stExtData;               // ͸豸չ, 
} NET_IN_TRANSMIT_DIRECTLY;

// ֱ͸
typedef struct tagNET_OUT_TRANSMIT_DIRECTLY
{
    DWORD                    dwSize;                  // ṹС
    char                    *szOutBuffer;             // 豸ص
    DWORD                    dwOutBufferSize;         // 豸صݻС
    DWORD                    dwRetBufferSize;         // ʵʷصݴС
} NET_OUT_TRANSMIT_DIRECTLY;

//Ǳ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ClearRepeatEnter(LLONG lLoginID, const NET_IN_CLEAR_REPEAT_ENTER* pInParam, NET_OUT_CLEAR_REPEAT_ENTER* pOutParam, int nWaitTime = 1000);

// ȡԱû,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetOperatorName(LLONG lLoginID, const NET_IN_GET_OPERATOR_NAME* pInParam, NET_OUT_GET_OPERATOR_NAME* pOutParam, int nWaitTime = 1000);

// POSӷʽ
typedef enum tagEM_CONN_TYPE
{
    EM_CONN_TYPE_UNKNOWN,                            // δ֪
    EM_CONN_TYPE_NET,                                // 
    EM_CONN_TYPE_RS232,                              // RS232
    EM_CONN_TYPE_RS485,                              // RS485
} EM_CONN_TYPE;

// POSЭ
typedef enum tagEM_CONN_PROT
{
    EM_CONN_PROT_UNKNOWN,                            // δ֪
    EM_CONN_PROT_NONE,                               // Զ
    EM_CONN_PROT_POS,                                // POS
} EM_CONN_PROT;

// POS״̬
typedef enum tagEM_POS_STATUS
{
    EM_POS_STATUS_OTHER = -1,                        // 
    EM_POS_STATUS_NO,                                // ޴
    EM_POS_STATUS_PROT_FORMAT,                       // Эʽ
    EM_POS_STATUS_NET_ADDR_CONFLICT,                 // ַͻ
    EM_POS_STATUS_RS232_ADDR_CONFLICT,               // 232ڵַͻ
    EM_POS_STATUS_RS485_ADDR_CONFLICT,               // 485ڵַͻ
    EM_POS_STATUS_LINK_CHANNEL_CONFLICT,             // Զͨͻ
    EM_POS_STATUS_NOT_EXIST,                         // ָPOS
    EM_POS_STATUS_NUM_LIMIT,                         // ӵPOSѳ
    EM_POS_STATUS_NAME_CONFLICT,                     // POSƳͻ
} EM_POS_STATUS;

// POS
typedef struct tagNET_POS_NET_ATT
{
    char                     szSrcIp[DH_MAX_IPADDR_LEN_EX];              // POSIPַ
    int                      nSrcPort;                                   // POS˿
    char                     szDstIp[DH_MAX_IPADDR_LEN_EX];              // NVRIPַ
    int                      nDstPort;                                   // NVRĶ˿ں
} NET_POS_NET_ATT;

// POSCOM, RS232, RS485
typedef struct tagNET_POS_COM_ATT
{
    int                      nCommChannel;                               // ںţcommõ±ţ
    int                      nAddress;                                   // RS485ַ
    DH_COMM_PROP             stuAttr;                                    // RS485
} NET_POS_COM_ATT;

// POSԶЭ
typedef struct tagNET_POS_CUSTOM_PROT
{
    char                     szStartStr[DH_COMMON_STRING_32];            // ʼַ
    BOOL                     bAnyCharater;                               // ʼַ, TRUEʾʼַΪκַ,FALSEʹszStartStrַ
    char                     szEndStr[DH_COMMON_STRING_32];              // ַ
    char                     szLineDelimiter[DH_COMMON_STRING_32];       // ַ
    int                      nMoreLine;                                  // POSϢƵʾ
    char                     szIgnoreStr[DH_COMMON_STRING_32];           // Эַ
    BOOL                     bCaseSensitive;                             // ǷִСд
    BYTE                     reserved[1024];                             // Ԥ
} NET_POS_CUSTOM_PROT;

// 
typedef enum tagEM_PTZ_LINK_TYPE
{
	EM_PTZ_LINK_TYPE_NONE,							// none
	EM_PTZ_LINK_TYPE_PRESET,						// "Preset" Ԥõ
	EM_PTZ_LINK_TYPE_TOUR,							// "Tour" Ѳ
	EM_PTZ_LINK_TYPE_PATTERN,						// "Pattern" ģʽ
	EM_PTZ_LINK_TYPE_ZOOM,							// "Zoom" 䱶
	EM_PTZ_LINK_TYPE_SINGLESCENE,					// "SingleScene" ܵ
	EM_PTZ_LINK_TYPE_QUICKFOCUS,					// "QuickFocus" ȳ̨ٶλ
} EM_PTZ_LINK_TYPE;

// ̨Ϣ
typedef struct tagNET_CFG_PTZ_LINK
{
	EM_PTZ_LINK_TYPE		emType;						// 
	int						nValue;						// ȡֱֵӦԤõţѲŵȵ
} NET_CFG_PTZ_LINK;

// ̨
typedef struct tagNET_PTZ_LINK
{
	EM_PTZ_LINK_TYPE		emType;					// ̨
	int						nParam1;				// 1
	int						nParam2;				// 2
	int						nParam3;				// 3
	int						nChannelID;				// ̨ͨ
} NET_PTZ_LINK;

// ѯ
typedef struct tagNET_MONITOR_TOUR
{
	BOOL					bEnable;				// ѯʹ
	int						nChannels[256];			// ѵͨб
	int						nChannelCount;			// Ѳͨ
	BYTE					reserved[32];			// ֽ
} NET_MONITOR_TOUR;

#define MAX_NUMBER_PTZLINK		256	// ̨
#define	MAX_NUMBER_TOUR			32	// ѵ

// POS¼ṹ
typedef struct tagNET_POS_EVENT_LINK
{
	DWORD					dwSize;									// ṹС
	DH_TSECT				stuTimeSection[DH_TSCHE_DAY_NUM][DH_TSCHE_SEC_NUM];	// ʱ
	BOOL					bRecordEnable;							// ¼ʹ
	BOOL					bRecordCloudEnable;						// Ƿ¼ƴ洢
	DWORD					dwRecordMask[DH_MAX_CHANNUM];			// ¼ͨ(λ)
	int						nRecordLatch;							// ¼ʱʱ,λ:,Χ:10-300
	BOOL					bAlarmOutEnable;						// ʹ
	DWORD					dwAlarmOutMask[DH_MAX_CHANNUM];			// ͨ(λ)
	int						nAlarmOutLatch;							// ֹͣ,ʱʱ,λ:,Χ1-300
	int						nPtzLinkNum;							// ̨
	NET_PTZ_LINK			stuPtzLink[MAX_NUMBER_PTZLINK];			// ̨
	BOOL					bPtzLinkEnable;							// ̨ʹ
	int						nPtzLinkDelay;							// ̨ӳ,λ:,Χ1-10
	BOOL					bSnapshotEnable;						// ʹ
	BOOL					bSnapshotCloudEnable;					// Ƿץͼƴ洢
	DWORD					dwSnapshotMask[DH_MAX_CHANNUM];			// ͨ(λ)
	int						nSnapshotPeriod;						// ֡,ÿ֡ץһͼƬ
	int						nSnapshotTimes;							// Ĵ
	BOOL					bTipEnable;								// Ϣʾ
	BOOL					bMailEnable;							// ʼ,ͼƬ,Ϊ
	BOOL					bMessageEnable;							// ϴķ
	BOOL					bBeepEnable;							// 
	BOOL					bVoiceEnable;							// ʾ
	DWORD					dwVoiceMask[DH_MAX_CHANNUM];			// ʾͨ
	char					szAudioFileName[MAX_PATH];				// ļ·
	int						nPlayTimes;								// Ŵ

	int						nDejitter;								// ȥʱ,ֻԲstart/stop¼,λ:,Χ0-600
	BOOL					bLogEnable;								// Ƿ¼־
	int						nMonitorTourNum;                        // ѯĿ
	NET_MONITOR_TOUR		stuMonitorTour[MAX_NUMBER_TOUR];		// ѯ
} NET_POS_EVENT_LINK;

// POSϢ
typedef struct tagNET_POS_INFO
{
    BOOL                     bEnable;                // ʹܿ
    DWORD                    dwPosId;                // PosID,POSʱЧ
    char                     szName[64];             // POS
    EM_CONN_TYPE             emConnType;             // ӷʽ
    NET_POS_NET_ATT          stuNetAtt;              // , emConnTypeΪEM_CONN_TYPE_NETʱЧ
    NET_POS_COM_ATT          stuComAtt;              // , emConnTypeΪEM_CONN_TYPE_RS232EM_CONN_TYPE_RS485ʱЧ
    EM_CONN_PROT             emConnProt;             // Э
    NET_POS_CUSTOM_PROT      stuCustom;              // emConnProtΪEM_CONN_PROT_NONEʱЧ
    int                      nTimeOut;               // Ϣʱʱ, λ
    int                      nLinkChannel[32];       // ÿ̨POSӹͨ
    int                      nLinkChannelNum;        // nLinkChannelЧ
    int                      nPlayBackTime;          // POSϢƵʱ, λ

	BOOL					 bPreviewBlend;			 // ӵԤƵ
    BYTE                     reserved[1020];         // Ԥ
} NET_POS_INFO;

// /޸һPos豸, ӦDH_CTRL_POS_ADD/DH_CTRL_POS_MODIFY
typedef struct tagNET_IN_POS_ADD
{
    DWORD                    dwSize;                 // ýṹС
    NET_POS_INFO             stuPosInfo;             // POSϢ
	NET_POS_EVENT_LINK		 stuPosEventLink;		 // EventLinkʽ
} NET_IN_POS_ADD;

// /޸һPos豸, ӦDH_CTRL_POS_ADD/DH_CTRL_POS_MODIFY
typedef struct tagNET_OUT_POS_ADD
{
    DWORD                    dwSize;                 // ýṹС
    DWORD                    dwPosId;                // PosID, 豸Ψһ, DH_CTRL_POS_MODIFYЧ
    EM_POS_STATUS            emStatus;               // ״̬
} NET_OUT_POS_ADD;

// ɾһPos豸, ӦDH_CTRL_POS_REMOVE
typedef struct tagNET_IN_POS_REMOVE
{
    DWORD                    dwSize;                 // ýṹС
    DWORD                    dwPosId;                // PosID
} NET_IN_POS_REMOVE;

// ɾһPos豸, ӦDH_CTRL_POS_REMOVE
typedef struct tagNET_OUT_POS_REMOVE
{
    DWORD                    dwSize;                 // ýṹС
    EM_POS_STATUS            emStatus;               // ״̬
} NET_OUT_POS_REMOVE;

// ɾPos豸, ӦDH_CTRL_POS_REMOVE_MULTI
typedef struct tagNET_IN_POS_REMOVE_MULTI
{
    DWORD                    dwSize;                 // ýṹС
    DWORD                    dwPosId[16];            // PosID, -1ʾȫ
    int                      nPosNum;                // dwPosId
} NET_IN_POS_REMOVE_MULTI;

// ɾPos豸, ӦDH_CTRL_POS_REMOVE_MULTI
typedef struct tagNET_OUT_POS_REMOVE_MULTI
{
    DWORD                    dwSize;                 // ýṹС
    EM_POS_STATUS            emStatus;               // ״̬, ʧܷصһɾʧʱĴ״̬
    DWORD                    dwPosIdFailed[16];      // ʧܵPosID
    int                      nPosNum;                // dwPosIdFailed
} NET_OUT_POS_REMOVE_MULTI;

// ȡȫPos豸, ӦDH_DEVSTATE_GET_ALL_POS
typedef struct tagNET_POS_ALL_INFO
{
    DWORD                    dwSize;                 // ýṹС
	int						 nMaxNum;				 // POS
	int                      nRetPosNum;             // posʵʷظ
    NET_POS_INFO             stuPos[256];            // posϢ
	NET_POS_EVENT_LINK		 *pstuPosEventLink;		 // EventLinkʽ,stuPosһһӦ, ûڴ,СΪsizeof(NET_POS_EVENT_LINK)*nMaxNum
} NET_POS_ALL_INFO;

// ¼ DH_ALARM_POS_MANAGE (POS¼¼)ӦϢ
typedef struct tagALARM_POS_MANAGE_INFO
{
    int                      nEventAction;                   // ¼, 0:Pulse, 1:Start, 2:Stop
    int                      nType;                          // , 0:add, 1:remove, 2:modify
    DWORD                    dwPosId;                        // PosID
    char                     szName[DH_COMMON_STRING_64];    // PosԶ
    int                      nLinkChannel[32];               // ÿ̨POSӹͨ
    int                      nLinkChannelNum;                // nLinkChannelЧ
    EM_CONN_PROT             emConnProt;                     // Э
    BYTE                     reserved[1024];                 // Ԥ
} ALARM_POS_MANAGE_INFO;

// ¼ DH_ALARM_LOCK_BREAK (¼)ӦĽṹ
typedef struct tagALARM_LOCK_BREAK_INFO
{
    int                      nDoor;                          // ͨ
    int                      nAction;                        // 0:ʼ 1:ֹͣ
    NET_TIME_EX              UTC;                            // ¼ʱ
    BYTE                     reserved[1024];                 // Ԥֶ
}ALARM_LOCK_BREAK_INFO;
 
// ֶε
typedef enum tagEM_POS_DATA_TYPE
{
	EM_POS_DATA_TYPE_UNKNOWN,				// δ֪
	EM_POS_DATA_TYPE_STORE_INF0,			// ̼Ϣ
	EM_POS_DATA_TYPE_PRODUCT_INFO,			// ƷϢ
}EM_POS_DATA_TYPE;

// ̼Ϣ
typedef struct tagNET_STORE_INFO
{
	char					 szDealNum[MAX_DEAL_NUM_LEN];				// СƱ׺ţʶƷϢСƱ
	char					 szNo[MAX_STORE_NO_LEN];					// 
	char					 szName[MAX_STORE_NAME_LEN];				// 
	char					 szEmPloyeeID[MAX_STORE_EMPLOYEE_ID_LEN];	// Աų
	unsigned int			 nSeviceType;								// ,0-,1-˻
	unsigned int			 nAmount;									// ܼۣλ
	BYTE					 byReserved[1024];							// Ԥֽ
}NET_STORE_INFO;

// ƷϢ
typedef struct tagNET_PRODUCT_INFO
{
	char					 szDealNum[MAX_DEAL_NUM_LEN];			// СƱ׺ţʶƷϢСƱ
	char					 szNo[MAX_PRODUCT_NO_LEN];				// Ʒ
	char					 szName[MAX_PRODUCT_NAME_LEN];			// Ʒ
	char					 szCategory[MAX_PRODUCT_CATEGORY_LEN];	// Ʒ
	unsigned int			 nPrice;								// Ʒۣλ:
	double					 dbQuantity;							// Ʒǧ
	BYTE					 byReserved[1024];						// Ԥֽ
}NET_PRODUCT_INFO;

// POSϢ
typedef struct tagNET_POS_TRADE_INFO
{
    DWORD				dwPosId;										// PosID
    NET_TIME			stuTime;										// ʱ豸ʱ
    BYTE				*pbyComment;									// ׵, 
    DWORD				dwCommentLen;									// pbyComment
	EM_POS_DATA_TYPE	emDataType;										// ֶε
	BOOL				bEnd;											// ɸֶжһСƱǷEndֵΪtrueʾһСƱ
	void*				pPosData;										// ϢemDataTypeϢ
																		// emDataTypeΪEM_POS_DATA_TYPE_STORE_INF0,̼Ϣ,ӦĽṹΪNET_STORE_INFO
																		// emDataTypeΪEM_POS_DATA_TYPE_PRODUCT_INFO,ƷϢ,ӦĽṹΪNET_PRODUCT_INFO
	char				szOSDInfo[2048];								// OSDϢ
	BYTE				reserved[1024];									// Ԥֽ
} NET_POS_TRADE_INFO;

// POSϢصԭ
typedef void (CALLBACK *fPosTradeCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_POS_TRADE_INFO *pInfo, int nBufLen, LDWORD dwUser);

// POSϢ 
typedef struct tagNET_IN_POS_TRADE_ATTACH 
{
    DWORD                       dwSize;                 // ýṹС
    fPosTradeCallBack           cbCallState;            // ״̬ص
    LDWORD                      dwUser;                 // û
} NET_IN_POS_TRADE_ATTACH;

// POSϢ 
typedef struct tagNET_OUT_POS_TRADE_ATTACH 
{
    DWORD                       dwSize;                 // ýṹС
} NET_OUT_POS_TRADE_ATTACH;

// CLIENT_GetDevCaps ӿ NET_POS_CAPS 
typedef struct tagNET_IN_POS_GETCAPS
{
    DWORD               dwSize;
} NET_IN_POS_GETCAPS;

// CLIENT_GetDevCaps ӿ NET_POS_CAPS 
typedef struct tagNET_OUT_POS_GETCAPS
{
    DWORD               dwSize;
    EM_CONN_TYPE        emConnType[10];                    // ӷʽ
    int                 nConnTypeNum;                      // ӷʽ
    EM_CONN_PROT        emConnProt[10];                    // Pos豸Э
    int                 nConnProtNum;                      // Э
    int                 nMaxPos;                           // 豸֧ӵPOSĿ
	BOOL				bSupportPosRecord;				   // Ƿ֧POS¼
} NET_OUT_POS_GETCAPS;

// POS͹Ʒ嵥,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachPosTrade(LLONG lLoginID, const NET_IN_POS_TRADE_ATTACH* pInParam, NET_OUT_POS_TRADE_ATTACH* pOutParam, int nWaitTime);

// ȡPOS͹Ʒ嵥
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachPosTrade(LLONG lAttachHandle);

// CLIENT_GetDevCaps ӿ NET_USER_MNG_CAPS 
typedef struct tagNET_IN_USER_MNG_GETCAPS
{
    DWORD               dwSize;
} NET_IN_USER_MNG_GETCAPS;

// CLIENT_GetDevCaps ӿ NET_USER_MNG_CAPS 
typedef struct tagNET_OUT_USER_MNG_GETCAPS
{
    DWORD               dwSize;
    BOOL                bAccountLimitation;							// ˻,Ծȷÿûͬʱе
    BOOL                bIndividualAccessFilter;					// ڰǷ֧ԵIPĹ
    DWORD               dwMaxPageSize;								// ҳѯʱβѯûϢ
	unsigned int		nMaxPwdLen;									// 볤
	unsigned int		nMinPwdLen;									// С볤	
	char				szType[MAX_PWD_BASIC_CHARS_ARRAY_LEN];		// ֵ֧ĻַбNumber֣LowerСдĸUpperдĸַʽ:"Number,Lower,Upper"
	char				szCharList[MAX_PWD_SPEC_CHARS_ARRAY_LEN];	// ֵַ֧"~!@#$%^" 
	int					nCombine;									// Ҫ0-Ҫ1-ַޣ2-2(֡дСдַ)
} NET_OUT_USER_MNG_GETCAPS;

//CLIENT_GetDevCaps ӿ NET_EXTERNALSENSOR_CAPS 
typedef struct tagNET_IN_EXTERNALSENSOR_CAPS
{
	DWORD				dwSize;
}NET_IN_EXTERNALSENSOR_CAPS;

// CLIENT_GetDevCaps ӿ NET_GET_MASTERSLAVEGROUP_CAPS 
typedef struct tagNET_IN_GET_MASTERSLAVEGROUP_CAPS
{
	DWORD				dwSize;
	int					nChannel;			// ͨţӦƵͨţ0ʼ豸ǰ豸ֶ֧ͨΪ0
}NET_IN_GET_MASTERSLAVEGROUP_CAPS;

typedef enum tagEM_MASTERSLAVEGROUP_MODE
{
	EM_MASTERSLAVEGROUP_MODE_UNKNOWN,		//  δ֪
	EM_MASTERSLAVEGROUP_MODE_COMMANDER,	    //  Commander ָӹ٣һǹһǹ
	EM_MASTERSLAVEGROUP_MODE_PROPOSER,      //  Proposer ˣǹһҵǹ
	EM_MASTERSLAVEGROUP_MODE_JUDGE,			//  JudgeԱǹһҵ
	EM_MASTERSLAVEGROUP_MODE_HAWKEYE,		//  HawkEyeӥ
	EM_MASTERSLAVEGROUP_MODE_MULTISENSOR,	//  MultiSensorĿ,궨㷨ͬ,ʹõֶҲͬ
	EM_MASTERSLAVEGROUP_MODE_GLOBALCAMERA,	//  GlobalCameraǹһʽ
	EM_MASTERSLAVEGROUP_MODE_NEWCOMMANDER,  //  NewCommanderָӹ,궨ʹCalibrateMatrix(MultiSensor)
	EM_MASTERSLAVEGROUP_MODE_NEWHAWEYE,     //  NewHawEyeӥ(),궨ʹCalibrateMatrix(MultiSensor)
	EM_MASTERSLAVEGROUP_MODE_GLOBALCAMERA2,	//  GlobalCamera2ͫ,궨ʹCalibrateMatrix(MultiMode)ãһĲǶͨԵͼͼƬͨһͨ
	EM_MASTERSLAVEGROUP_MODE_CLOSEUP,       //  CloseUpȫд궨ʹCalibrateMatrix(MultiSensor)
}EM_MASTERSLAVEGROUP_MODE;

//ֵ֧ı궨ʽ
typedef enum tagEM_MASTERSLAVE_CALIBRATIONMODES
{
	EM_MASTERSLAVE_CALIBRATIONMODES_UNKNOWN,                  //δ֪
	EM_MASTERSLAVE_CALIBRATIONMODES_AUTO,                     //Զ
	EM_MASTERSLAVE_CALIBRATIONMODES_MANUAL,                   //ֶ
}EM_MASTERSLAVE_CALIBRATIONMODES;

//ֶ궨ָ
typedef enum tagEM_MASTERSLAVE_CALISCENCESPLIT
{
	EM_MASTERSLAVE_CALISCENCESPLIT_UNKNOWN,                   //δ֪
	EM_MASTERSLAVE_CALISCENCESPLIT_NOSPLIT,                   //ָ
	EM_MASTERSLAVE_CALISCENCESPLIT_HORIZONTALSPLIT,           //ˮƽָ
}EM_MASTERSLAVE_CALISCENCESPLIT;

// ܷģʽ
typedef enum tagEM_INTELLIGENT_SCHEME_SUPPORTMODE
{
    EM_INTELLIGENT_SCHEME_SUPPORTMODE_UNKNOWN,              // δ֪
    EM_INTELLIGENT_SCHEME_SUPPORTMODE_LINK,                 // ֻ̬ܷ
    EM_INTELLIGENT_SCHEME_SUPPORTMODE_INDEPENT,             // ֻڶ̬ܷ
    EM_INTELLIGENT_SCHEME_SUPPORTMODE_DEFAULT,              // ̬Ͷ̬ܷ(ûSupportModeֶ, ĬΪֵ)
}EM_INTELLIGENT_SCHEME_SUPPORTMODE;


//ǹһʽ豸(ӥ,ȫ),-ӹϵ
typedef struct tagNET_MASTERSLAVE_TRACK
{
	BOOL                                    bSupport;         //Ƿ֧Ӹ
	int                                     nMasterCount;     //
	int                                     nMasterChn[16];   //ӦƵͨţ0ʼ
	int                                     nSlaverCount;     //ӻ
	int                                     nSlaverChn[16];   //ӻӦƵͨţ0ʼ
    EM_INTELLIGENT_SCHEME_SUPPORTMODE       emSupportMode;    //ܷģʽ
	BYTE                                    bReserved[508];   //ֽ
}NET_MASTERSLAVE_TRACK;

// CLIENT_GetDevCaps ӿ NET_GET_MASTERSLAVEGROUP_CAPS 
typedef struct tagNET_OUT_GET_MASTERSLAVEGROUP_CAPS
{
	DWORD									dwSize;
	EM_MASTERSLAVEGROUP_MODE				emRole;             //Ӹٵ
	int                                     nCalibrationModeCount;     //ֱ֧궨ʽ
	EM_MASTERSLAVE_CALIBRATIONMODES         emCalibrationModes[4];     //ֵ֧ı궨ʽ
	int                                     nCaliSceneCnt;      //ÿӹϵֶ궨
	EM_MASTERSLAVE_CALISCENCESPLIT          emCaliSceneSplit;   //ֶ궨ָ
	NET_MASTERSLAVE_TRACK                   stuMasterSlaveTrack;//ǹһʽ豸(ӥ,ȫ),-ӹϵ
}NET_OUT_GET_MASTERSLAVEGROUP_CAPS;

// CLIENT_GetDevCaps ӿ NET_STORAGE_CAPS
typedef struct tagNET_IN_STORAGE_CAPS
{
	DWORD									dwSize;
}NET_IN_STORAGE_CAPS;

// ʽӲ̺ǷҪ
typedef enum tagNET_EM_FORMAT_NEEDREBOOT
{
	EM_FORMAT_NEEDREBOOT_UNKNOWN,					// δ֪
	EM_FORMAT_NEEDREBOOT_NOREBOOT,					// Ҫ
	EM_FORMAT_NEEDREBOOT_REBOOT						// Ҫ, CLIENT_ControlDeviceʽʹDH_CTRL_SDCARDDH_CTRL_DISKԶִ
													// ʹDH_CTRL_FORMAT_PATITIONҪͻ˷
}NET_EM_FORMAT_NEEDREBOOT;

// CLIENT_GetDevCaps ӿ NET_STORAGE_CAPS
typedef struct tagNET_OUT_STORAGE_CAPS
{
	DWORD									dwSize;
	NET_EM_FORMAT_NEEDREBOOT				emReboot;	// ʽӲ̺ǷҪ
}NET_OUT_STORAGE_CAPS;

// ⲿʽ
typedef enum tagEM_SENSOR_NERWORKING_MODE
{
	EM_SENSOR_NERWORKING_MODE_UNKNOWN,			// δ֪ʽ
	EM_SENSOR_NETWORKING_MODE_RS485,			// RS-485
	EM_SENSOR_NETWORKING_MODE_RFID,				// RFID
}EM_SENSOR_NERWORKING_MODE;
// CLIENT_GetDevCaps ӿ NET_EXTERNALSENSOR_CAPS 
typedef struct tagNET_OUT_EXTERNALSENSOR_CAPS
{
	DWORD								dwSize;
	BOOL								bIsSupport;								// Ƿ֧ⲿݲɼ
	EM_SENSOR_NERWORKING_MODE			emNetworkingMode;						// ⲿʽ
	int									nChannel;								// ֵ֧ɼ·
}NET_OUT_EXTERNALSENSOR_CAPS;



// ңģʽ
typedef enum tagEM_WIRELESS_CTRL_WORK_MODE
{
    EM_WIRELESS_CTRL_WORK_MODE_UNKNOWN,                     // δ֪
    EM_WIRELESS_CTRL_WORK_MODE_NORMAL,                      // ͨģʽ
    EM_WIRELESS_CTRL_WORK_MODE_POLLING,                     // Ѳģʽ
} EM_WIRELESS_CTRL_WORK_MODE;

// ¼ DH_ALARM_REMOTE_CTRL_STATUS (ң״̬¼)ӦϢ
typedef struct tagALARM_REMOTE_CTRL_STATUS
{
    NET_TIME_EX              UTC;                            // ¼ʱ
    DWORD                    dwID;                           // ңID
    char                     szName[32];                     // 
    char                     szUser[32];                     // û,ָ豸ĳû,Ȩ޸û
    EM_WIRELESS_CTRL_WORK_MODE emMode;                       // ģʽ
    BYTE                     reserved[1024];                 // Ԥ
} ALARM_REMOTE_CTRL_STATUS;

typedef enum tagEM_PASSENGER_CARD_CHECK_TYPE
{
    EM_PASSENGER_CARD_CHECK_TYPE_UNKOWN = 0,                // δ֪
    EM_PASSENGER_CARD_CHECK_TYPE_SIGNIN,                    // ǩ/ϳ
    EM_PASSENGER_CARD_CHECK_TYPE_SIGNOUT,                   // ǩ/³
    EM_PASSENGER_CARD_CHECK_TYPE_NORMAL,                    // ˢ³
}EM_PASSENGER_CARD_CHECK_TYPE;

// ¼ DH_ALARM_PASSENGER_CARD_CHECK (˿ˢ¼)ӦϢ
typedef struct tagALARM_PASSENGER_CARD_CHECK
{
    BOOL                     bEventConfirm;                  // ǷҪظ
    char                     szCardNum[DH_MAX_BUSCARD_NUM];  // 
    NET_GPS_STATUS_INFO      stuGPS;                         // GPSϢ
    NET_TIME_EX              UTC;                            // ˢʱ
    int                      nTime;                          // UTC
    EM_PASSENGER_CARD_CHECK_TYPE    emType;                  // ˢ
    char                     szMac[DH_MAX_POS_MAC_NUM];      // ˢMac (Ĭ"0000",豸)
    BYTE                     reserved[1012];                 // Ԥ
} ALARM_PASSENGER_CARD_CHECK;

// ¼ DH_ALARM_BUS_TIRED_DRIVE_CHECK (ƣͼʻ¼)ӦϢ
typedef struct tagALARM_TIRED_DRIVE_CHECK_INFO
{
    BOOL                     bEventConfirm;                  // ǷҪظ
    int                      nAction;                        // ¼, 0:Start, 1:Stop
    int                      nDriveTime;                     // ʻʱ λ
    NET_GPS_STATUS_INFO      stuGPS;                         // GPSϢ
    NET_TIME_EX              UTC;                            // ¼ϱʱ
    int                      nTime;                          // ¼ϱʱ,UTC
    BYTE                     reserved[1024];                 // Ԥ
} ALARM_TIRED_DRIVE_CHECK_INFO;

// ¼ DH_ALARM_SOUND (¼)ӦϢ
typedef struct tagALARM_SOUND
{
    int                      nChannel;                       // ͨ
    NET_TIME_EX              UTC;                            // ˢʱ
    BYTE                     reserved[1024];                 // Ԥ
} ALARM_SOUND;

// , Ӧ DH_CTRL_SET_SOUND_ALARM
typedef struct tagNET_IN_SOUND_ALARM
{
    DWORD                    dwSize;                 // ýṹС
} NET_IN_SOUND_ALARM;

// , Ӧ DH_CTRL_SET_SOUND_ALARM
typedef struct tagNET_OUT_SOUND_ALARM
{
    DWORD                    dwSize;                 // ýṹС
} NET_OUT_SOUND_ALARM;

//ƵϿƾͨ
typedef struct tagNET_SILENCE_CHANNEL
{
	int				nMatrix;										//Ҫľ
	int				nOutChannel;									// Ҫͨ
	int				nOutPutChannel[DH_MAX_AUDIO_MATRIX_OUTPUT];	    //þҪͨ
	BYTE			bReserved[512];									//ֽ
}NET_SILENCE_CHANNEL;

// Ƶһ
typedef struct tagNET_IN_AUDIO_MATRIX_SILENCE
{
	DWORD					dwSize;				// ûʹʱֵsizeof(NET_IN_AUDIO_MATRIX_SILENCE)
	BOOL					bEnable;			// һʹܿر(true: false:)
	int						nListCount;			// Ҫƾͨ
	NET_SILENCE_CHANNEL*	pstSlienceChannel;	// ҪƾͨϢ,ûڴ,СΪsizeof(NET_SILENCE_CHANNEL)*nListCount
} NET_IN_AUDIO_MATRIX_SILENCE;

//ƵһƲ 
typedef struct tagNET_OUT_AUDIO_MATRIX_SILENCE
{
	DWORD					dwSize;		//ûʹʱֵsizeof(NET_OUT_AUDIO_MATRIX_SILENCE)
} NET_OUT_AUDIO_MATRIX_SILENCE;

// ĿĶ
typedef enum tagEM_TARGET_TYPE
{
    EM_TARGET_TYPE_CLIENT,              // "client"    ͻ
    EM_TARGET_TYPE_FTP_SERVER,          // "FTPServer" FTP
}EM_TARGET_TYPE;

// Ϣ
typedef struct tagNET_MANUAL_UPLOAD_FILTER_INFO
{
    EM_TARGET_TYPE           emTargetType;                      //ĿĶ, "Client" - ͻ, "FTPServer" - FTP
    char                     szClientIP[DH_MAX_IPADDR_LEN];     //ͻIPַ,Ϊ "Client"Ч
    NET_TIME                 stuStartTime;                      //ͼƬʼʱ
    NET_TIME                 stuEndTime;                        //ͼƬʱ
}NET_MANUAL_UPLOAD_FILTER_INFO;

// ֶϴ,Ӧ DH_CTRL_MANUAL_UPLOAD_PICTURE
typedef struct tagNET_IN_MANUAL_UPLOAD_PICTURE
{
    DWORD                                 dwSize;               //ûʹʱֵsizeof(NET_IN_MANUAL_UPLOAD_PICTURE)
    NET_MANUAL_UPLOAD_FILTER_INFO         stuFilter;            //ֶϴ             
}NET_IN_MANUAL_UPLOAD_PICTURE;

// ֶϴ,Ӧ DH_CTRL_MANUAL_UPLOAD_PICTURE
typedef struct tagNET_OUT_MANUAL_UPLOAD_PICTURE
{
    DWORD					dwSize;		                        //ûʹʱֵsizeof(NET_OUT_MANUAL_UPLOAD_PICTURE)
}NET_OUT_MANUAL_UPLOAD_PICTURE;

// 豸ӦDH_CTRL_REBOOT_NET_DECODING_DEV
typedef struct tagNET_IN_REBOOT_NET_DECODING_DEV
{
    DWORD               dwSize;                                 //ýṹСûʹʱֵsizeof(NET_IN_REBOOT_NET_DECODING_DEV)
    char				szDeviceID[DH_COMMON_STRING_64];	    //豸ID
    int                 nRebootDelayTime;                       //ʱʱ, λΪ
}NET_IN_REBOOT_NET_DECODING_DEV;


//ΣӦӿCLIENT_SetDefenceArmMode
typedef struct tagNET_IN_SET_DEFENCEMODE 
{
    DWORD                   dwSize;
    char                    szPassword[DH_COMMON_STRING_64];           // û¼
    int                     nChannel;                                  // ͨ
    EM_DEFENCEMODE          emDefenceMode;                             // ģʽ
}NET_IN_SET_DEFENCEMODE;

//ΣӦӿ CLIENT_SetDefenceArmMode
typedef struct tagNET_OUT_SET_DEFENCEMODE
{
    DWORD                   dwSize;
}NET_OUT_SET_DEFENCEMODE;

//ϵͳΣӦӿ CLIENT_SetSubSystemArmMode
typedef struct tagNET_IN_SET_SUBSYSTEMMODE 
{
    DWORD                   dwSize;
    int                     nChannel;                                  // ϵͳ,0ʼ
    char                    szPassword[DH_COMMON_STRING_64];           // û¼
    EM_DEFENCEMODE          emDefenceMode;                             // ģʽ
}NET_IN_SET_SUBSYSTEMMODE;

//ϵͳΣӦӿ CLIENT_SetSubSystemArmMode
typedef struct tagNET_OUT_SET_SUBSYSTEMMODE
{
    DWORD               dwSize;
    DWORD               dwSourceNum;                        // бԴ벼ʧܵϵͳ
    int                 nSource[ARM_DISARM_ZONE_MAX];       // бԴʧܵϵͳ, ϵͳŴ0ʼ
    DWORD               dwLinkNum;                          // ʧܵϵͳ
    int                 nLink[ARM_DISARM_ZONE_MAX];         // ʧܵϵͳ, ϵͳŴ0ʼ
}NET_OUT_SET_SUBSYSTEMMODE;

// ȡ״̬ΣӦӿ CLIENT_GetDefenceArmMode
typedef struct tagNET_IN_GET_DEFENCEMODE
{
    DWORD                    dwSize;
    int                      nDefenceNum;                            // Ч
    int                      anDefence[DH_MAX_ALARMIN];              // ѯķ
}NET_IN_GET_DEFENCEMODE;

// ȡ״̬ΣӦӿ CLIENT_GetDefenceArmMode
typedef struct tagNET_OUT_GET_DEFENCEMODE
{
    DWORD                    dwSize;
    int                      nDefenceNum;                            // Ч
    EM_DEFENCEMODE           anDefenceState[DH_MAX_ALARMIN];         // ״̬Ϣ
}NET_OUT_GET_DEFENCEMODE;

// ȡϵͳ״̬ΣӦӿ CLIENT_GetSubSystemArmMode
typedef struct tagNET_IN_GET_SUBSYSTEMMODE
{
    DWORD                    dwSize;
}NET_IN_GET_SUBSYSTEMMODE;

// ȡϵͳ״̬ΣӦӿ CLIENT_GetSubSystemArmMode
typedef struct tagNET_OUT_GET_SUBSYSTEMMODE
{
    DWORD                    dwSize;
    int                      nSubSystemNum;                            // ϵͳЧ
    EM_SUBSYSTEMMODE         anSubSystemState[DH_MAX_ALARM_SUBSYSTEM_NUM];         // ϵͳ״̬Ϣ
}NET_OUT_GET_SUBSYSTEMMODE;

// ֶPSTN״̬,Ӧӿ CLIENT_ManualCheckPSTN
typedef struct tagNET_IN_PSTN_MANUALCHECK_STATE
{
    DWORD                    dwSize;
}NET_IN_PSTN_MANUALCHECK_STATE;

// ֶPSTN״̬,Ӧӿ CLIENT_ManualCheckPSTN
typedef struct tagNET_OUT_PSTN_MANUALCHECK_STATE
{
    DWORD                    dwSize;
    NET_THREE_STATUS_BOOL    emState;            //Խ 
}NET_OUT_PSTN_MANUALCHECK_STATE;

// 豸Ӧ DH_CTRL_REBOOT_NET_DECODING_DEV
typedef struct tagNET_OUT_REBOOT_NET_DECODING_DEV
{
    DWORD					dwSize;		                        //ýṹСûʹʱֵsizeof(NET_OUT_REBOOT_NET_DECODING_DEV)
}NET_OUT_REBOOT_NET_DECODING_DEV;

// ÷豸Ӧ DH_CTRL_SET_IC_SENDER
typedef struct tagNET_IN_SET_IC_SENDER
{
	DWORD					dwSize;								// ýṹСûʹʱֵsizeof(NET_IN_SET_IC_SENDER)
	BOOL					bEnable;							// TrueFalseֹ豸ʱĬ
}NET_IN_SET_IC_SENDER;

// ÷豸Ӧ DH_CTRL_SET_IC_SENDER
typedef struct tagNET_OUT_SET_IC_SENDER
{
	DWORD					dwSize;								// ýṹСûʹʱֵsizeof(NET_OUT_SET_IC_SENDER)
}NET_OUT_SET_IC_SENDER;


// ¼ DH_ALARM_DRIVE_AFTER_WORK (ǹʱ¼)ӦϢ
typedef struct tagALARM_DVRIVE_AFTER_WORK
{
    BOOL                     bEventConfirm;                  // ǷҪظ
    NET_GPS_STATUS_INFO      stuGPS;                         // GPSϢ
    NET_TIME_EX              stuUtc;                         // ˢʱ
    DWORD                    dwUtc;                          // ˢʱ, stuUtcֵһ,ʽͬ,¼ȷϽӿ
    BYTE                     reserved[1024];                 // Ԥ
} ALARM_DVRIVE_AFTER_WORK;

// ¼ DH_ALARM_UPLOAD_PIC_FAILED (Υϴʧ¼)ӦϢ
typedef struct tagALARM_UPLOAD_PIC_FAILED_INFO
{
    int                      nAction;                        // 0:⵽Υϴʧ, 1:Υϴʧܺһϴɹ
    BYTE                     reserved[1024];                 // Ԥ
} ALARM_UPLOAD_PIC_FAILED_INFO;

// ȡм·αϢ, ӦDH_DEVSTATE_GET_ROAD_LIST
typedef struct tagNET_ROAD_LIST_INFO
{
    DWORD                    dwSize;                 // ýṹС
    char                     szCity[32];             // ĳϢ
    char                     szRoadList[2048][256];  // ·Ϣ
    int                      nRoadNum;               // ·Ϣ, ָʾszRoadListĵ1ά
} NET_ROAD_LIST_INFO;

// 豸
typedef enum tagEM_WIRELESS_DEV_TYPE
{
    EM_WIRELESS_DEV_TYPE_UNKNOWN,                            // δ֪
    EM_WIRELESS_DEV_TYPE_STATION,                            // "Station":վ
    EM_WIRELESS_DEV_TYPE_AP,                                 // "AccessPoint":߽
} EM_WIRELESS_DEV_TYPE;

// 豸֤ʽ
typedef enum tagEM_WIRELESS_AUTHENTICATION
{
    EM_WIRELESS_AUTHENTICATION_UNKNOWN,                             // UnKnown
    EM_WIRELESS_AUTHENTICATION_OPEN,                                // OPEN
    EM_WIRELESS_AUTHENTICATION_SHARED,                              // SHARED
    EM_WIRELESS_AUTHENTICATION_WPA,                                 // WPA
    EM_WIRELESS_AUTHENTICATION_WPAPSK,                              // WPA-PSK
    EM_WIRELESS_AUTHENTICATION_WPA2,                                // WPA2
    EM_WIRELESS_AUTHENTICATION_WPA2PSK,                             // WPA2-PSK
    EM_WIRELESS_AUTHENTICATION_WPANONE,                             // WPA-NONE
    EM_WIRELESS_AUTHENTICATION_WPAPSK_WPA2PSK,                      // WPA-PSK|WPA2-PSK
    EM_WIRELESS_AUTHENTICATION_WPA_WPA2,                            // WPA|WPA2
    EM_WIRELESS_AUTHENTICATION_WPA_WPAPSK,                          // WPA | WPA-PSK
    EM_WIRELESS_AUTHENTICATION_WPA2_WPA2PSK,                        // WPA2|WPA2-PSK
    EM_WIRELESS_AUTHENTICATION_WPA_WPAPSK_WPA2_WPA2PSK,             // WPA|WPA-PSK|WPA2|WPA2-PSK
} EM_WIRELESS_AUTHENTICATION;

// ݼܷʽʽ
typedef enum tagEM_WIRELESS_DATA_ENCRYPT
{
    EM_WIRELESS_DATA_ENCRYPT_UNKNOWN,                            // UnKnown
    EM_WIRELESS_DATA_ENCRYPT_NONE,                               // NONE
    EM_WIRELESS_DATA_ENCRYPT_WEP,                                // WEP
    EM_WIRELESS_DATA_ENCRYPT_TKIP,                               // TKIP
    EM_WIRELESS_DATA_ENCRYPT_AES,                                // AES(CCMP)
    EM_WIRELESS_DATA_ENCRYPT_TKIP_AES,                           // TKIP+AES
} EM_WIRELESS_DATA_ENCRYPT;

// WIFI豸Ϣ
typedef struct tagNET_WIFI_DEV_INFO
{
    char                     szMac[DH_MACADDR_LEN];          // Wifi豸Macַ
    int                      nLinkQuality;                   // ٷֱ, 0~100
    NET_TIME_EX              stuEnterTime;                   // һʱ
    NET_TIME_EX              stuLeaveTime;                   // ʧʱ
    int                      nSearchedCount;                 // Ĵ
    char                     szSSID[24];                     // 
    NET_TIME_EX              UTC;                            // ¼ʱ
    EM_WIRELESS_DEV_TYPE     emDevType;                      // WIFI豸
    int                      nChannel;                       // Wifi豸ǰڵŵ
    EM_WIRELESS_AUTHENTICATION emAuth;                       // ֤ʽ
    EM_WIRELESS_DATA_ENCRYPT emEncrypt;                      // ݼܷʽ
    char                     szAPMac[DH_MACADDR_LEN];        // ȵMac
    int                      nAPChannel;                     // ȵƵ
    char                     szAPSSID[24];                   // ȵSSID
    EM_WIRELESS_DATA_ENCRYPT emAPEncrypt;                    // ȵ
	int						 nRssiQuality;                   // źǿ
	char					 szManufacturer[MAX_MANUFACTURER_LEN];			// Macַ
	char					 szMacHistorySSID[MAX_MACHISTORY_SSID_NUM][MAX_MACHISTORY_SSID_LEN];     // 豸ӹʷSSIDб
	unsigned int			 nRetMacHistorySSIDNum;			 // 豸ʵӹSSID
    BYTE                     reserved[264];                  // Ԥ
   
} NET_WIFI_DEV_INFO;

// WIFIϢ
typedef struct tagNET_WIFI_BASIC_INFO
{
	UINT nPeriodUTC;      //ϱʼʱ䣬Ϊͬһϱڵıʶͬһϱ豸ϱʱҪϱ¼ֵΪͬһϱڶϱ¼ıʶ룻
	int  nDeviceSum;      //ϱwifiͬһϱڵ¼еĸֵӦΪϱwifi
	int  nCurDeviceCount; //¼ϱWifi豸ӦALARM_WIFI_SEARCH_INFOṹеnWifiNumֵһ£ͬһϱڸֵۻnDeviceSumһ¡
	BYTE reserved[500];   //Ԥֽ
}NET_WIFI_BASIC_INFO;

// λ
typedef enum tagNET_GPS_POSITION_RESULT
{			
	NET_GPS_POSITION_RESULT_UNKNOWN = 0,					// δ֪
	NET_GPS_POSITION_RESULT_FAILED = 1,						// GPS,λʧ,ʱλ
	NET_GPS_POSITION_RESULT_SUCCEED = 2,					// GPS,Ҷλɹ,ʱλ
} NET_GPS_POSITION_RESULT;

// ĵصϢ
typedef struct tagNET_WIFI_GPS_INFO
{
	NET_GPS_POSITION_RESULT			emPositioningResult;	// λ
	unsigned int 					nLongitude;				// (λǰ֮һ)
															// 0 - 180000000				ʵֵӦΪ: 180*1000000 C dwLongitude
															// 180000000 - 360000000		ʵֵӦΪ: dwLongitude C 180*1000000
															// : 300168866ӦΪ300168866 - 180*1000000/1000000 120.168866
	unsigned int					nLatidude;				// γ(λǰ֮һ)
															// γ0 - 90000000				ʵֵӦΪ: 90*1000000 C dwLatidude
															// γ90000000 C 180000000		ʵֵӦΪ: dwLatidude C 90*1000000
															// : 120186268ӦΪ (120186268 - 90*1000000)/1000000 γ30. 186268
	unsigned int					nSpeed;					// ٶ, λǧ֮һkm/H
	BYTE							reserved[112];			// ֶ
} NET_WIFI_GPS_INFO;

// ¼ DH_ALARM_WIFI_SEARCH (WIFI豸)ӦϢ
typedef struct tagALARM_WIFI_SEARCH_INFO
{
    int                      nWifiNum;                       // WIFI豸, ָʾstuWifiЧ
    NET_WIFI_DEV_INFO        stuWifi[1024];                  // ΧWifi豸Ϣ
	int                      nChannel;                       // ͨ
	NET_WIFI_BASIC_INFO      stuWifiBasiInfo;				 // Wifi¼ϱϢ
	BOOL					 bGPSinfo;						 // ǷGPSϢ
	NET_WIFI_GPS_INFO		 stuWifiGPSInfo;				 // GPSϢ
    BYTE                     reserved[376];                  // Ԥ
} ALARM_WIFI_SEARCH_INFO;


// WIFI豸Ϣ
typedef struct tagNET_WIFI_VIRTUALINFO
{
	NET_TIME_EX				stuAccessTime;								// ʱ䣬ʱ䲻ȷο
	char					szSrcMac[DH_MACADDR_LEN];					// ϢԴMAC,ĸд"-"ָ
    char					szDstMac[DH_MACADDR_LEN];					// ϢĿMAC,ĸд"-"ָ
	int						nProtocal;									// ЭţӦöӦıʶ
	char					szUrl[DH_MAX_URL_LEN];						// url
	char					szDomain[MAX_VIRTUALINFO_DOMAIN_LEN];		// 
	char					szTitle[MAX_VIRTUALINFO_TITLE_LEN];			// 
	char					szUsrName[MAX_VIRTUALINFO_USERNAME_LEN];	// û
	char					szPassWord[MAX_VIRTUALINFO_PASSWORD_LEN];	// 
	char					szPhoneNum[MAX_VIRTUALINFO_PHONENUM_LEN];	// ֻ
	char					szImei[MAX_VIRTUALINFO_IMEI_LEN];			// ƶ豸ʶ
	char					szImsi[MAX_VIRTUALINFO_IMSI_LEN];			// ƶûʶ
	char					szLatitude[MAX_VIRTUALINFO_LATITUDE_LEN];	// 
	char					szLongitude[MAX_VIRTUALINFO_LONGITUDE_LEN];	// γ
	char					szSrcIP[DH_MAX_IPADDR_LEN_EX];				// ԴIP
	char					szDstIP[DH_MAX_IPADDR_LEN_EX];				// ĿIP
	UINT					nSrcPort;									// Դ˿
	UINT					nDstPort;									// ĿĶ˿
    char                    szSiteNum[MAX_COMMON_STRING_16];            // 
    char                    szDevNum[MAX_COMMON_STRING_32];             // ɼ豸
    char                    szUserID[MAX_COMMON_STRING_32];             // ûID
    char                    szIDFA[MAX_COMMON_STRING_64];               // ƻֻIDFA
	BYTE                    reserved[368];								// Ԥ
}NET_WIFI_VIRTUALINFO;

// ¼ DH_ALARM_WIFI_VIRTUALINFO_SEARCH (ȡΧwifi豸Ϣ¼)ӦϢ
typedef struct tagALARM_WIFI_VIRTUALINFO_SEARCH_INFO
{
    int                      nVirtualInfoNum;								// WIFI豸, ָʾstuVirtualInfoЧ
    NET_WIFI_VIRTUALINFO     stuVirtualInfo[MAX_VIRTUALINFO_NUM];           // ΧWifiϢ
	int                      nChannel;										// ͨ
	BYTE                     reserved[512];									// Ԥ 
} ALARM_WIFI_VIRTUALINFO_SEARCH_INFO;

// ¼ DH_ALARM_USER_LOCK_EVENT (û¼)ӦϢ
typedef struct tagALARM_USER_LOCK_EVENT_INFO
{	 
    char                    szUser[DH_NEW_USER_NAME_LENGTH];				// û
	char					szGroup[DH_NEW_USER_NAME_LENGTH];				// 
	char                    szIP[DH_MAX_IPADDR_LEN_EX];						// 豸IP
	BYTE                    reserved[512];									// Ԥ 
} ALARM_USER_LOCK_EVENT_INFO;

//豸
typedef enum tagNET_WIRELESSDEV_LOWPOWER_TYPE
{
    NET_WIRELESSDEV_UNKNOWN = 0,                                // δ֪豸
    NET_WIRELESSDEV_CONTROL = 1,                                // ң
    NET_WIRELESSDEV_DEFENCE = 2,                                // ߷
    NET_WIRELESSDEV_KEYBOARD = 3,                               // ߼
    NET_WIRELESSDEV_MAGNETOMER = 4,                             // Ŵ
	NET_WIRELESSDEV_ALARMBELL = 5,								// ߾
    NET_WIRELESSDEV_SMARTLOCK = 6,                              // 
} NET_WIRELESSDEV_LOWPOWER_TYPE;

//豸͵¼ṹ
typedef struct tagALARM_WIRELESSDEV_LOWPOWER_INFO
{
    NET_THREE_STATUS_BOOL         emResult;                  // ǷΪ͵true͵,false ,unknownδ֪
    NET_TIME                      stuTime;                   // ¼ʱ
    int                           nId;                       // 豸ID
    NET_WIRELESSDEV_LOWPOWER_TYPE emType;                    // 豸
    char                          szSN[32];                  // к
    BYTE                          reserved[992];             // Ԥ
} ALARM_WIRELESSDEV_LOWPOWER_INFO;

// ¼ DH_ALARM_BUS_PAD_SHUTDOWN(PADػ¼)ӦϢ
typedef struct tagALARM_BUS_PAD_SHUTDOWN_INFO
{
    int                nDelayTime;                      // ػʱʱ,λ
    BOOL               bConfirm;                        // ǷҪȷ
    NET_TIME_EX        stuUtcTime;                      // ¼ʱ
    DWORD              dwUtc;                           // ¼ʱ, ȷ
    BYTE               byReserved[512];                 // Ԥֽ
} ALARM_BUS_PAD_SHUTDOWN_INFO;

// ȶͼ
typedef enum tagEM_HEAT_PIC_DATA_TYPE
{
	EM_HEAT_PIC_DATA_TYPE_UNKNOWN,					// δ֪
	EM_HEAT_PIC_DATA_TYPE_GRAYDATA,					// Ҷ
	EM_HEAT_PIC_DATA_TYPE_SOURCEDATA,				// ԭʼ
}EM_HEAT_PIC_DATA_TYPE;
// ȡȶͳϢ
typedef struct tagNET_IN_QUERY_HEAT_MAP
{
    int                      nChannel;                       // ͨ
    NET_TIME_EX              stuBegin;                       // ʼʱ    
    NET_TIME_EX              stuEnd;                         // ʱ
    UINT                     nPlanID;                        // ƻID,Ч,1ʼ (ȶͼͳһ֮ǰʹ, ͳһ֮ʹbyPtzPresetID)
	EM_HEAT_PIC_DATA_TYPE	 emDataType;					 // ϣȡ
	BYTE                     byPtzPresetID;                  // Ԥõ, ȶͼͳһ֮ʹ
    BYTE                     reserved[1015];                 // Ԥ
} NET_IN_QUERY_HEAT_MAP;

// ȡȶͳϢ
typedef struct tagNET_OUT_QUERY_HEAT_MAP
{
    int                      nWidth;                         // ͼƬ
    int                      nHeight;                        // ͼƬ߶
    char *                   pBufData;                       // ȶݻҽλͼ, ûڴ,СΪnBufLen
															 // emDataTypeΪEM_HEAT_PIC_DATA_TYPE_GRAYDATA,һֽڱʾһ
															 // emDataTypeΪEM_HEAT_PIC_DATA_TYPE_SOURCEDATA,ĸֽڱʾһ
    int                      nBufLen;                        // pBufData󳤶
    int                      nBufRet;                        // ʵʷصĳ
    int                      nAverage;                       // ֵϢ
	UINT					 nPlanID;						 // ƻID,NET_IN_QUERY_HEAT_MAPnPlanIDӦ (ȶͼͳһ֮ǰʹ, ͳһ֮ʹbyPtzPresetID)
	EM_HEAT_PIC_DATA_TYPE    emDataType;					 // ȡ
	UINT					 nPixelMax;						 // ʵصֵ
	UINT					 nPixelMin;						 // ʵصСֵ
	BYTE                     byPtzPresetID;                  // Ԥõ, NET_IN_QUERY_HEAT_MAPbyPtzPresetIDӦ, ȶͼͳһ֮ʹ
    BYTE                     reserved[1003];                 // Ԥ
} NET_OUT_QUERY_HEAT_MAP;

// ȡȶͳϢ, ӦDH_DEVSTATE_GET_HEAT_MAP
typedef struct tagNET_QUERY_HEAT_MAP
{
    DWORD                    dwSize;                         // ýṹС
    NET_IN_QUERY_HEAT_MAP    stuIn;                          // ȶͳϢѯ
    NET_OUT_QUERY_HEAT_MAP   stuOut;                         // ȶͳϢѯ
} NET_QUERY_HEAT_MAP;

//GPSϢѯ
typedef struct tagNET_IN_DEV_GPS_INFO
{
	DWORD                    dwSize;                         // ýṹС
    int                      nChannel;                       // 豸ͨ
} NET_IN_DEV_GPS_INFO;

//GPS״̬
typedef enum tagNET_GPS_WORK_STATUS
{
	EM_WORK_STATE_UNKNOWN = 0,			//δ֪״̬
	EM_NO_POSITIONING,					//δλ
	EM_NO_DIFFERENTIAL_POSITIONING,		//ǲֶλ
	EM_DIFFERENTIAL_POSITIONING,		//ֶλ
	EM_INVALID_PPS,						//ЧPPS
	EM_EVALUATING,						//ڹ
}NET_GPS_WORK_STATUS;


//GPSϢѯ
typedef struct tagNET_OUT_DEV_GPS_INFO
{
	DWORD                   dwSize;                          // ýṹС
    NET_TIME				stuLocalTime;                    // ǰʱ 
	double                  dbLongitude;                     // (λǰ֮,Χ0-360)
    double                  dbLatitude;                      // γ(λǰ֮,Χ0-180)
	double                  dbAltitude;                      // ߶(λ:)
	double                  dbSpeed;                         // ٶ(λ:km/H)
	double                  dbBearing;                       // (λ:)
	NET_THREE_STATUS_BOOL   emAntennasStatus;				 // ״̬(0: 1:)
	NET_THREE_STATUS_BOOL   emPositioningResult;             // λ״̬(0:λ 1:λ)
	DWORD					dwSatelliteCount;				 // Ǹ
	NET_GPS_WORK_STATUS     emworkStatus;                    // ״̬
	int                     nAlarmCount;					 // 
	int                     nAlarmState[128];                // ıλ,ֵܶ
	float					fHDOP;							 // ˮƽ
} NET_OUT_DEV_GPS_INFO;

// GPS״̬Ϣ
typedef struct tagNET_SET_GPS_STATUS_INFO
{
	EM_DATE_SOURCE          emDateSource;						// Դ
	NET_TIME				stuLocalTime;						// ǰʱ 
	double                  dbLongitude;						// (λǶ,Χ0-360)
    double                  dbLatitude;							// γ(λǶ,Χ0-180)
	double                  dbAltitude;							// ߶(λ:)
	double                  dbSpeed;							// ٶ(λ:km/H)
	double                  dbBearing;							// (λ:)
	NET_THREE_STATUS_BOOL   emAntennasStatus;					// ״̬(0: 1:)
	NET_THREE_STATUS_BOOL   emPositioningResult;				// λ״̬(0:λ 1:λ)
	int						nSatelliteCount;					// Ǹ
	NET_GPS_WORK_STATUS     emWorkStatus;						// ״̬
	int                     nAlarmCount;						// 
	int                     nAlarmState[128];					// ıλ,ֵܶ
	double					dbHDOP;								// ˮƽ
	BYTE					byReserved[1024];					// ֽ
} NET_SET_GPS_STATUS_INFO;

// CLIENT_SetGPSStatus GPS״̬
typedef struct tagNET_IN_SET_GPS_STATUS
{
	DWORD						dwSize;	
	BOOL						bEnable;						// ʹ, Ƿʹõ
	int							nChannel;						// ͨ
	NET_SET_GPS_STATUS_INFO		stGPSInfo;						// GPS ״̬Ϣ
} NET_IN_SET_GPS_STATUS;

// CLIENT_SetPositionStatus GPS״̬
typedef struct tagNET_OUT_SET_GPS_STATUS
{
	DWORD					dwSize;								
} NET_OUT_SET_GPS_STATUS;

// GPS״̬Ϣ(pInParam, pOutParamڴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetGPSStatus(LLONG lLoginID, const NET_IN_SET_GPS_STATUS* pInParam, NET_OUT_SET_GPS_STATUS* pOutParam, int nWaitTime);


// ѯ IVS ǰ豸
typedef struct tagNET_IN_IVS_REMOTE_DEV_INFO
{
    DWORD                   dwSize;                         // ýṹС   
    int                     nChannel;                       // ͨ
}NET_IN_IVS_REMOTE_DEV_INFO;

// ѯ IVS ǰ豸
typedef struct tagNET_OUT_IVS_REMOTE_DEV_INFO
{
    DWORD                   dwSize;                         // ýṹС 
    int                     nPort;                          // ˿
    char                    szIP[64];                       // 豸IP
    char                    szUser[64];                     // û
    char                    szPassword[64];                 //     
    char                    szAddress[128];	                // ص
}NET_OUT_IVS_REMOTE_DEV_INFO;

// ѯܲϢ 
typedef struct tagNET_IN_SMART_SWITCH_INFO
{
    DWORD                   dwSize;                         // ýṹС 
    char                    szSerialNumber[DH_WIRELESS_DEVICE_SERIAL_NUMBER_MAX_LEN]; // 豸к 
}NET_IN_SMART_SWITCH_INFO;

// ѯܲϢ
typedef struct tagNET_OUT_SMART_SWITCH_INFO
{
    DWORD                   dwSize;                         // ýṹС 
    BOOL                    bSwitchEable;                   // ״̬, TRUE , FALSE 
    double                  dbCurrentPower;                 // ʱ, unit: W 
    double                  dbHistoryPowerUsed;             // ʷõ, unit: kw/h
    double                  dbTodayPowerUsed;               // õ, unit: kw/h
    double                  dbMonthPowerUsed[NET_MAX_MONTH_NUM]; // ÿõ, unit: kw/h
}NET_OUT_SMART_SWITCH_INFO; 

// ѯ״̬
typedef struct tagNET_IN_UPGRADE_STATE
{
    DWORD                   dwSize;                         // ýṹС 
}NET_IN_UPGRADE_STATE;

// 
enum CFG_EM_STREAM_TYPES
{
	CFG_EM_STREAMTYPE_ERR,                  // 
	CFG_EM_STREAMTYPE_MAIN,					// "Main"-
	CFG_EM_STREAMTYPE_EXTRA_1,				// "Extra1"-1
	CFG_EM_STREAMTYPE_EXTRA_2,				// "Extra2"-2
	CFG_EM_STREAMTYPE_EXTRA_3,				// "Extra3"-3
	CFG_EM_STREAMTYPE_SNAPSHOT,				// "Snapshot"-ץͼ
	CFG_EM_STREAMTYPE_TALKBACK,				// "Talkback"-Խ
};

// ȡƵ
typedef struct tagNET_IN_VIDEO_ENCODE_CAPS
{
	DWORD					dwSize;                         // ýṹС
	int						nChannel;						// ͨ
	int						nGroup;							// 
	CFG_EM_STREAM_TYPES		stStreamType;					// 
}NET_IN_VIDEO_ENCODE_CAPS;

// ȡƵ
typedef struct tagNET_OUT_VIDEO_ENCODE_CAPS
{
	DWORD					dwSize;																// ýṹС
	int						nSvcEncodeTypesNum;													// ֧SVCƵʽ
	char					szSvcEncodeTypes[DH_COMMON_STRING_32][DH_COMMON_STRING_32];			// ֧SVCƵʽ
	int						nGOPCustomEncodesNum;												// ֧ԶI֡
	char					szGOPCustomEncodes[DH_COMMON_STRING_32][DH_COMMON_STRING_32];		// ֧ԶI֡
	int						nMaxSVCTLevel;														// SVC-Tֲ֧
}NET_OUT_VIDEO_ENCODE_CAPS;

// ȡƵ
typedef struct tagNET_IN_AUDIO_ENCODE_CAPS
{
	DWORD					dwSize;                         // ýṹС
	int						nChannel;						// ͨ
	CFG_EM_STREAM_TYPES		stStreamType;					// 
}NET_IN_AUDIO_ENCODE_CAPS;

// ȡƵ
typedef struct tagNET_OUT_AUDIO_ENCODE_CAPS
{
	DWORD					dwSize;														// ýṹС
	BOOL					bSupportSourceSelect;										// Ƿֶ֧·Ƶ
	int						nSourceTypeNum;												// ƵԴ͸
	char					szSourceType[DH_COMMON_STRING_32][DH_COMMON_STRING_32];		// ƵԴб
}NET_OUT_AUDIO_ENCODE_CAPS;

// ƵԴ
enum EM_AUDIO_DATA_SOURCE_TYPE
{
	EM_AUDIO_DATA_SOURCE_TYPE_UNKNOWN = -1,		// δ֪
	EM_AUDIO_DATA_SOURCE_TYPE_TALK,				// Խ
	EM_AUDIO_DATA_SOURCE_TYPE_NORMAL,			// ͨƵݣ
	EM_AUDIO_DATA_SOURCE_TYPE_ALARM,			// Ƶ
};

// ȡƵ
typedef struct tagNET_IN_AUDIO_DECODE_CAPS
{
	DWORD								dwSize;                         // ýṹС
	int									nChannel;						// ͨ
	EM_AUDIO_DATA_SOURCE_TYPE			emSourceType;					// Դ
}NET_IN_AUDIO_DECODE_CAPS;


// ƵϢ
typedef struct tagNET_AUDIO_DECODE_FORMAT
{	
	NET_EM_AUDIO_FORMAT			emCompression;				// Ƶʽ
	int							nFrequency;					// ƵƵʣ8K ~ 192K
	int							nDepth;						// Ƶȣ8,16,24	
	int							nPacketPeriod;				// Ƶ, [10, 250],ms
	BYTE						szReserved[512];			// ֶ
}NET_AUDIO_DECODE_FORMAT;

// ȡƵ
typedef struct tagNET_OUT_AUDIO_DECODE_CAPS
{
	DWORD					dwSize;							// ṹСֵΪ sizeof(NET_OUT_AUDIO_DECODE_CAPS)
	NET_AUDIO_DECODE_FORMAT	stuDecodeFormats[64];			// ƵʽϢ		
	int						nFormatsRet;					// صƵʽϢ	
}NET_OUT_AUDIO_DECODE_CAPS;

// ȡǰ״̬
typedef struct tagNET_IN_GET_ARM_MODE
{
    DWORD                   dwSize;                         // ṹСֵΪ sizeof(NET_IN_GET_ARM_MODE)
}NET_IN_GET_ARM_MODE;

// ״̬
typedef enum tagEM_ARM_MODE_MODE
{
    EM_ARM_MODE_MODE_UNKNOWN,                               // δ֪
    EM_ARM_MODE_MODE_ARMING,                                // 
    EM_ARM_MODE_MODE_DISARMING,                             // 
}EM_ARM_MODE_MODE;

// ȡǰ״̬
typedef struct NET_OUT_GET_ARM_MODE
{
    DWORD                   dwSize;                         // ṹСֵΪ sizeof(NET_OUT_GET_ARM_MODE)
    int                     nDelay;                         // ӳ
    EM_ARM_MODE_MODE        emMode;                         // ״̬
    BYTE                    byReserved[4];                  // Ԥֶ
}NET_OUT_GET_ARM_MODE;

// ȡƵͨ
typedef struct tagNET_IN_AUDIO_IN_CAPS
{
	DWORD					dwSize;                         // ýṹС
	int						nChannel;						// ͨ
}NET_IN_AUDIO_IN_CAPS;

// ȡƵͨ
typedef struct tagNET_IN_AUDIO_OUT_CAPS
{
	DWORD					dwSize;                         // ýṹС
	int						nMicNum;						// ˷,0ʾֶ֧Խ
	int						nLineInNum;						// ,0ʾְ֧
}NET_OUT_AUDIO_IN_CAPS;

// SmartϢ
typedef struct tagSMART_ENCODE_INFO
{
	DWORD					dwSize;							   // ýṹС
	char					szCompression[MAX_COMMON_STRING_8]; // Ƶѹʽ"H.264", "H.265"
	int						nPolicy;						   // Smart
	bool					bEnable;						   // Ƿʹ
	int						nWidth;							   // Ƶȣѡ
	int						nHeight;						   // Ƶ߶ȣѡ
	float					fFPS;							   // Ƶ֡ʣѡ
}SMART_ENCODE_INFO;

// ѯSmart
typedef struct tagNET_IN_SMART_ENCODE_CAPS
{
	DWORD					dwSize;								// ýṹС
	int						nChannel;							// ͨ
	int						nStreamNum;							// ʵ
	SMART_ENCODE_INFO		stSmartEncodeInfo[MAX_STREAM_NUM];  // ÿӦSmartϢʵΪ3±012ֱ12ıϢ	
}NET_IN_SMART_ENCODE_CAPS;

// Smartʹ
typedef struct tagSMART_ENCODE_CAPS_INFO
{
	DWORD					dwSize;																// ýṹС
	int						nSmartEncodeCap;													// 1ֿ֧ضλP֡ܣ0֧Smart(ͨ)-1ֱ֧(ֱʹ󣬵Դ㣬2ܱ룬ֱʣ2)
}SMART_ENCODE_CAPS_INFO;

//ѯSmart
typedef struct tagNET_OUT_SMART_ENCODE_CAPS
{
	DWORD						dwSize;															// ýṹС
	int							nSmartEncodeCapsNum;											// Smartʹ
	SMART_ENCODE_CAPS_INFO		stSmartEncodeCaps[MAX_STREAM_NUM];								// ÿSmartϢӦʹܡ
}NET_OUT_SMART_ENCODE_CAPS;

// ѯ豸ID
typedef struct tagNET_IN_DEVICE_ID
{
	DWORD						dwSize;															// ṹС
}NET_IN_DEVICE_ID;

// ѯ豸ID
typedef struct tagNET_OUT_DEVICE_ID
{
	DWORD						dwSize;															// ṹС
	char						szDeviceID[48];													// 豸кţΨһʶĳ豸
}NET_OUT_DEVICE_ID;

// 
typedef enum tagEM_UPGRADE_PACKAGE_TYPE
{
    EM_UPGRADE_PACKAGE_TYPE_UNKNOWN,                       // δ֪
    EM_UPGRADE_PACKAGE_TYPE_REGULAR,                       // һ
    EM_UPGRADE_PACKAGE_TYPE_EMERGENCY,                     // ǿ
}EM_UPGRADE_PACKAGE_TYPE;

// ״̬
typedef enum tagEM_UPGRADE_STATE
{
    EM_UPGRADE_STATE_UNKNOWN,                               // δ֪״̬
    EM_UPGRADE_STATE_NONE,                                  // ûм⵽״̬
    EM_UPGRADE_STATE_INVALID,                               // ȷ
    EM_UPGRADE_STATE_NOT_ENOUGH_MEMORY,                     // ڴ治
    EM_UPGRADE_STATE_DOWNLOADING,                           // 
    EM_UPGRADE_STATE_DOWNLOAD_FAILED,                       // ʧ
    EM_UPGRADE_STATE_DOWNLOAD_SUCCESSED,                    // سɹ
    EM_UPGRADE_STATE_PREPARING,                             // ׼
    EM_UPGRADE_STATE_UPGRADING,                             // 
    EM_UPGRADE_STATE_UPGRADE_FAILED,                        // ʧ
    EM_UPGRADE_STATE_UPGRADE_SUCCESSED,                     // ɹ
    EM_UPGRADE_STATE_UPGRADE_CANCELLED,                     // ȡ 
    EM_UPGRADE_STATE_FILE_UNMATCH,                          // ƥ
}EM_UPGRADE_STATE;

// 豸״̬¼
typedef struct tagALARM_UPGRADE_STATE
{
    EM_UPGRADE_STATE        emState;                        // ״̬
    int                     nProgress;                      // , 0 ~ 100
    char                    szFileName[DH_COMMON_STRING_64];// ڲļ
    BYTE		            byReserved[1024];
}ALARM_UPGRADE_STATE;

// 洢豸״̬
typedef enum tagEM_LABELDATA_STATE
{
	EM_LABELDATA_STATE_ENTER,		                            // Enter ()
	EM_LABELDATA_STATE_LEAVE,									// Leave (뿪)
}EM_LABELDATA_STATE;

// IPC(2017.4),RFIDǩϢɼ¼
typedef struct tagALARM_LABELINFO
{
	int						nChannelID;							// ͨ
	char					szIndexIs[DH_COMMON_STRING_8];		// ¼Indexĺ壬޸ֶΣ޷
	int						nVideoIndex;						// Ƶͨ
	UINT					nACK;								// ȷID
	char					szReceiverID[DH_COMMON_STRING_16];	// ID
	char					szLabelID[DH_COMMON_STRING_16];		// RFIDǩ
	NET_TIME_EX				stuDateTime;						// ɼʱUTC
	EM_LABELDATA_STATE		emLabelDataState;					// ǩ״̬롢뿪
	BYTE					byReserve[1024];					// ֽ
}ALARM_LABELINFO;
				
// ѯ״̬
typedef struct tagNET_OUT_UPGRADE_STATE
{
    DWORD                   dwSize;                         // ýṹС
    char                    szOldVersion[DH_COMMON_STRING_64]; // ɰ汾
    char                    szNewVersion[DH_COMMON_STRING_64];  // °汾
    EM_UPGRADE_STATE        emState;                        // ״̬
    EM_UPGRADE_PACKAGE_TYPE emType;                         // 
    int                     nProgress;                      // , 0 ~ 100
}NET_OUT_UPGRADE_STATE;

//ѯӲ¶
typedef struct tagNET_IN_HDD_TEMPERATURE
{
	DWORD					dwSize;
	char					szHardDiskName[DH_COMMON_STRING_16];		//洢豸
	
}NET_IN_HDD_TEMPERATURE;

//ѯӲ¶ȳ
typedef struct tagNET_OUT_HDD_TEMPERATURE
{
	DWORD					dwSize;
	int						nID;										// ID
	char					szName[DH_COMMON_STRING_64];				// 
	int						nCurrent;									// ֵ
	int						nWorst;										// ֵ
	int						nThreshold;									// ֵ
	char					szRaw[DH_COMMON_STRING_32];					// ʵֵ
	int						nPredict;									// ״̬
	int						nSync;										// Raidͬ״̬,0 Ӧ1 ͬȣI/OȷָRaidͬ;2 ҵȣI/OȷָӲд;3 																		
}NET_OUT_HDD_TEMPERATURE; 

// ȡָʽYUV
typedef struct tagNET_IN_RAWFRAMEDATA
{
	DWORD					dwSize;										
	int						nChannel;									// Ƶͨ
	int						nSensorID;									// sensor ID
	char					szRawFrameType[DH_COMMON_STRING_32];		// YUVݸʽ,ֵ֧ķΧͨCLIENT_GetDevCaps, : NET_VIDEOIN_RAWFRAME_CAPSȡ
}NET_IN_RAWFRAMEDATA;

// ȡָʽYUVݳ
typedef struct tagNET_OUT_RAWFRAMEDATA
{
	DWORD					dwSize;
	UINT					nHeight;									// ͼƬĸ߶
	UINT					nWidth;										// ͼƬĿ
	UINT					nDataLen;									// YUVݴСλֽ
	char*					pszBuffer;									// YUVݣûڴ棬СΪnBufferLen
	int						nBufferLen;									// ûYUVڴС
}NET_OUT_RAWFRAMEDARA;

#define NET_MAX_NUM_CHANNEL_WATCHER 16     // ͨ
#define NET_MAX_NUM_SPLICEDATA 8           // ƴļ(ͷ)

// ȡ豸ƴӲ(Ӧ NET_QUERY_GETSPLICEDATA)
typedef struct tagNET_IN_GETSPLICEDATA
{
	DWORD					dwSize;                                     // ṹС
}NET_IN_GETSPLICEDATA;

// ƴļ
typedef struct tagNET_SINGLE_SPLICEDATA
{
	int                     nScale;                                     // ƴӲģ͵İ뾶صΪλ
	int                     nOffsetX;                                   // ͼչͼϵx꣬صΪλ
	int                     nOffsetY;                                   // ͼչͼϵy꣬صΪλ
	BYTE                    byReserved[128];                            // ֽ
}NET_SINGLE_SPLICEDATA;

// ͨƴ
typedef struct tagNET_MULTIVIDEO_SPLICEINFO
{
	UINT                    nChannelID;                                 // Ƶͨ
	int                     nNumSplice;                                 // ʵƴļ
	NET_SINGLE_SPLICEDATA   stuSpliceData[NET_MAX_NUM_SPLICEDATA];      // ƴļ
	BYTE                    byReserved[512];                            // ֽ
}NET_MULTIVIDEO_SPLICEINFO;

// ȡ豸ƴӲ(Ӧ NET_QUERY_GETSPLICEDATA)
typedef struct tagNET_OUT_GETSPLICEDATA
{
	DWORD					dwSize;                                     // ṹС
	int                     nNumChannel;                                // ʵͨƴϢ
	NET_MULTIVIDEO_SPLICEINFO   stuSpliceInfo[NET_MAX_NUM_CHANNEL_WATCHER];      // ͨƴϢ,ÿԪضӦһͨƴӲϢ
}NET_OUT_GETSPLICEDATA;

// ŽACЭȡ
typedef struct tagNET_IN_AC_CAPS
{
    DWORD					dwSize;                                     // ṹС
}NET_IN_AC_CAPS;

// ռƻ
typedef struct tagNET_SPECIAL_DAYS_SCHEDULE_CAPS
{
    BOOL								bSupport;						// Ƿּ֧ռƻ
    int									nMaxSpecialDaysSchedules;		// 豸ֵ֧ƻ
    int									nMaxTimePeriodsPerDay;			// ÿʱ
    int									nMaxSpecialDayGroups;			// 豸ֵ֧
    int									nMaxDaysInSpecialDayGroup;		// ÿļ
    BYTE								byReserved[128];				// ֽ
} NET_SPECIAL_DAYS_SCHEDULE_CAPS;

// AC
typedef struct tagNET_AC_CAPS
{
    int                     nChannels;                                  // ֵ֧Žͨ
    BOOL					bSupAccessControlAlarmRecord;               // Ƿ֧Ž־¼ڼ¼
    int                     nCustomPasswordEncryption;		            // AccessControlCustomPassword¼ı淽ʽ,0:,Ĭֵ0, 1:MD5
    int                 	nSupportFingerPrint;			            // Ƿָ֧ƹ,0:δ֪Ĭ,1:֧, 2:֧
    BOOL                    bHasCardAuth;                               // Ƿֿ֧ƬȨ
    BOOL                    bHasFaceAuth;                               // Ƿ֧ʶȨ
    BOOL                    bOnlySingleDoorAuth;	                    // Ƿֵֻ֧Ȩ()
    BOOL					bAsynAuth;                                  // Ƿ֧Ȩ첽 
    BOOL                    bUserlsoLate;                               // Ƿ֧˿뷽
    int                     nMaxInsertRate;                             // ·
    NET_SPECIAL_DAYS_SCHEDULE_CAPS  stuSpecialDaysSchedule;			    // ռƻ 
    int                     nUnlockModes;                               // 豸ֵ֧Ŀģʽ
    NET_ACCESS_DOOROPEN_METHOD  emUnlockModes[128];                     // 豸ֵ֧Ŀģʽ
    BYTE					byReserved[256];				            // ֽ
}NET_AC_CAPS;

// user
typedef struct tagNET_ACCESS_USER_CAPS
{
    int                     nMaxInsertRate;                             // ÿ·
    int                     nMaxUsers;                                  // û
    int                     nMaxFingerPrintsPerUser;                    // ÿûԼ¼ָ
    int                     nMaxCardsPerUser;                           // ÿûԼ¼Ƭ
    BYTE					byReserved[512];				            // ֽ
}NET_ACCESS_USER_CAPS;

// card
typedef struct tagNET_ACCESS_CARD_CAPS
{
    int                     nMaxInsertRate;                             // ÿ·
    int                     nMaxCards;                                  // Ƭ
    BYTE					byReserved[512];				            // ֽ
}NET_ACCESS_CARD_CAPS;

// fingerprint
typedef struct tagNET_ACCESS_FINGERPRINT_CAPS
{
    int                     nMaxInsertRate;                             // ÿ·
    int                     nMaxFingerprintSize;                        // ָݵֽ
    int                     nMaxFingerprint;                            // ָ
    BYTE					byReserved[512];				            // ֽ
}NET_ACCESS_FINGERPRINT_CAPS;

// face
typedef struct tagNET_ACCESS_FACE_CAPS
{
    int                     nMaxInsertRate;                             // ÿ·
    int                     nMaxFace;                                   // 洢
    int                     nRecognitionType;                           // ʶͣ0:׹ 1:
    int                     nRecognitionAlgorithm;                      // ʶ㷨0:δ֪1:2:3:ͼ4:5:
    DWORD                   dwRecognitionVersion;                       // ʶ㷨(ģ)汾ţ0x00010502 Ϊ1.5.2
    int                     nMinPhotoSize;                              // ׹ƬСߴ ,λ KB
    int                     nMaxPhotoSize;                              // ׹Ƭߴ ,λ KB
    int                     nMaxGetPhotoNumber;                         // ȡ׹
    BOOL                    bIsSupportGetPhoto;                         // Ƿֻ֧ȡ׹Ƭ	
    BYTE					byReserved[504];				            // ֽ
}NET_ACCESS_FACE_CAPS;

// ŽACЭ豸ȡ
typedef struct tagNET_OUT_AC_CAPS
{
    DWORD					    dwSize;                                     // ṹС
    NET_AC_CAPS                 stuACCaps;                                  // ACCaps
    NET_ACCESS_USER_CAPS        stuUserCaps;                                // user
    NET_ACCESS_CARD_CAPS        stuCardCaps;                                // card
    NET_ACCESS_FINGERPRINT_CAPS stuFingerprintCaps;                         // ָƲ
    NET_ACCESS_FACE_CAPS        stuFaceCaps;                                // 
}NET_OUT_AC_CAPS;

//ȡ(Ӧ:NET_LIGHTINGCONTROL_CAPS)
typedef struct tagNET_IN_LIGHTINGCONTROL_CAPS
{
	DWORD						dwSize;										//ṹС
	int 						nChannel;											// ͨ
}NET_IN_LIGHTINGCONTROL_CAPS;

//ֵ֧ƹõİ汾
typedef enum tagEM_LC_CONFIG_VERSION
{
	EM_LC_CONFIG_VERSION_UNKNOWN,					//δ֪	
	EM_LC_CONFIG_VERSION_LIGHTING,					//ʹLightingãĬ
	EM_LC_CONFIG_VERSION_LIGHTING_V2,				//ʹLighting_V2
}EM_LC_CONFIG_VERSION;	

//ƹ
typedef enum tagEM_LC_LIGHT_TYPE
{
	EM_LC_LIGHT_TYPE_UNKNOWN,						//δ֪
	EM_LC_LIGHT_TYPE_INFRAREDLIGHT,					//
	EM_LC_LIGHT_TYPE_WIHTELIGHT,					//׹
	EM_LC_LIGHT_TYPE_LASERLIGHT,					//
}EM_LC_LIGHT_TYPE;

//ֵ֧ģʽ
typedef enum tagEM_LC_MODE
{
	EM_LC_MODE_UNKNOWN,								//δ֪
	EM_LC_MODE_MANUAL,								//ֶ
	EM_LC_MODE_ZOOMPRIO,							//
	EM_LC_MODE_TIMING,								//ʱ
	EM_LC_MODE_AUTO,								//Զ
	EM_LC_MODE_OFF,									//رյƹ
	EM_LC_MODE_EXCLUSIVEMANUAL,						//ֵֶ֧ƹ
	EM_LC_MODE_SMARTLIGHT,							//ܵƹ
	EM_LC_MODE_LINKING,								//¼
	EM_LC_MODE_DUSKTODAWN							//
}EM_LC_MODE;

#define SUPPORTED_LC_COMPLEX_MODES 3				//ƹֵ֧ģʽ

//ƹֵ֧ģʽϢ
typedef struct tagNET_MODES_COMPLEX_LIGHT
{
	EM_LC_MODE		anInfraredLight[SUPPORTED_LC_COMPLEX_MODES];		//ֵ֧ģʽ
	int				nInfraredLightLen;									//ֵ֧ģʽ
	EM_LC_MODE		anWhiteLight[SUPPORTED_LC_COMPLEX_MODES];			//׹ֵ֧ģʽ
	int				nWhiteLightLen;										//׹ֵ֧ģʽ
	EM_LC_MODE		anLaserLight[SUPPORTED_LC_COMPLEX_MODES];			//ֵ֧ģʽ
	int				nLaserLightLen;										//ֵ֧ģʽ
	BYTE			byReserved[128];				            		//ֽ
}NET_MODES_COMPLEX_LIGHT;

#define LC_LIGHT_COUNT 4			//ƹƹ

//ƹϢ
typedef struct tagNET_LIGHT_TYPE_COMPLEX_DETAIL
{
	EM_LC_LIGHT_TYPE		anNearLight[LC_LIGHT_COUNT];		//
	int						nNearLightLen;						//
	EM_LC_LIGHT_TYPE		anMiddleLight[LC_LIGHT_COUNT];		//й
	int						nMiddleLightLen;					//й
	EM_LC_LIGHT_TYPE		anFarLight[LC_LIGHT_COUNT];			//Զ
	int						nFarLightLen;						//Զ
	BYTE					byReserved[128];				    // ֽ
}NET_LIGHT_TYPE_COMPLEX_DETAIL;

//ֵ֧ƹķ¼
typedef enum tagEM_LC_SUPPORT_EVENTS
{
	EM_LC_SUPPORT_EVENTS_UNKNOWN,							//δ֪
	EM_LC_SUPPORT_EVENTS_MOTIONDETECT,						//̬
	EM_LC_SUPPORT_EVENTS_MASK,								//ڵ
	EM_LC_SUPPORT_EVENTS_ALARM,								//
	EM_LC_SUPPORT_EVENTS_ALL,								//¼
}EM_LC_SUPPORT_EVENTS;

#define MAX_SUPPORT_EVENT_NUM 10					//¼
#define MAX_SUPPORT_INTELLISCENE_NUM 40				//¼

//ֵ֧ƹ
typedef struct tagNET_LINKING_ABILITY
{
	EM_LC_SUPPORT_EVENTS		anSupportEvents[MAX_SUPPORT_EVENT_NUM];						//ֵ֧ķ¼
	int							nSupportEventsLen;											//ֵ֧ķ¼
	EM_SCENE_CLASS_TYPE			anSupportIntelliScence[MAX_SUPPORT_INTELLISCENE_NUM];		//ֵ֧ܹ
	int							nSupportIntelliScenceLen;									//ֵ֧ܹ
	BYTE						byReserved[128];				            				// ֽ
}NET_LINKING_ABILITY;

#define LC_LIGHT_TYPE_NUM 3							//ƹ

//ƹ˸Ϣ
typedef struct tagNET_FILCKER_LIGHTING
{
	BOOL				bSupported;							//Ƿֵ֧ƹ˸
	NET_LINKING_ABILITY	stuAbility;							//ֵ֧ƹ
	EM_LC_LIGHT_TYPE	anLightType[LC_LIGHT_TYPE_NUM];		//˸ƹ
	int					nLightTypeLen;						//˸ƹ
	int					anFilckerIntevalTime[2];			//˸ʱ䷶Χ
	int					anFilckerTimes[2];					//˸ô
	BYTE				byReserved[128];				    //ֽ
}NET_FILCKER_LIGHTING;

//ƹⳣϢ
typedef struct tagNET_KEEP_LIGHTING
{
	BOOL				bSupported;							//Ƿֵ֧ƹⳣ
	NET_LINKING_ABILITY	stuAbility;							//ֵ֧ƹ
	EM_LC_LIGHT_TYPE	anLightType[LC_LIGHT_TYPE_NUM];		//ƹ
	int					nLightTypeLen;						//ƹ
	BYTE				byReserved[128];				    // ֽ
}NET_KEEP_LIGHTING;

//̨ƹ
typedef struct tagNET_LINKING_DETAIL
{
	NET_FILCKER_LIGHTING	stuFilckerLighting;			//˸ƹϢ
	NET_KEEP_LIGHTING		stuKeepLighting;			//ƹϢ
	BYTE					byReserved[128];			// ֽ
}NET_LINKING_DETAIL;

//ƹⲹϢ
typedef struct tagNET_CORRECTION
{
	BOOL				bSupported;					//Ƿֵ֧ƹⲹ
	int					nRange;						//Χֵ
	BYTE				byReserved[128];			// ֽ	
}NET_CORRECTION;
//ƹϢ
typedef struct tagNET_SENSITIVITY
{
	BOOL				bSupported;					//Ƿֵ֧ƹ
	int					nRange;						//ƹֵ
	BYTE				byReserved[128];			// ֽ
}NET_SENSITIVITY;

#define LC_POWER_NUM 3								//
#define LC_ANGLECONTROL_NUM 3						//Ƕ
#define LC_LIGHT_MODE_NUM 20						//ģʽ

//ȡ(Ӧ:NET_LIGHTINGCONTROL_CAPS)
typedef struct tagNET_OUT_LIGHTINGCONTROL_CAPS
{
	DWORD							dwSize;										//ṹС
	BOOL							bSupport;									//Ƿֵ֧ƹ
	EM_LC_CONFIG_VERSION			emConfigVersion;							//ֵ֧ĵƹð汾						
	EM_LC_LIGHT_TYPE				emLightType;								//ƹ
	EM_LC_LIGHT_TYPE				anLightTypeComplex[LC_LIGHT_TYPE_NUM];		//ϵƹ
	int								nLightTypeComplexLen;						//ϵƹ
	int								nNearLightNumber;							//
	int								nMiddleLightNumber;							//й
	int								nFarLightNumber;							//Զ
	EM_LC_MODE						emDefaultMode;								//Ĭֵ֧ģʽ
	EM_LC_MODE						anModes[LC_LIGHT_MODE_NUM];					//ֵ֧ģʽ
	int								nModesLen;									//ֵ֧ģʽ
	NET_MODES_COMPLEX_LIGHT			stuModesComplex;							//ϵģʽϢ
	NET_LIGHT_TYPE_COMPLEX_DETAIL	stuLightTypeComplexDetail;					//ƹϢ
	NET_LINKING_DETAIL				stuLinkingDetail;							//̨ƹϢ
	int								anPower[LC_POWER_NUM];							//ƹ鹦ʿ
	int								anAngleControl[LC_ANGLECONTROL_NUM];			//ƹ鼤Ƕȿ
	NET_CORRECTION					stuCorrection;								//ƹⲹϢ
	NET_SENSITIVITY					stuSensitivity;								//ƹϢ
	BOOL							bSupportLaserLightMove;						//Ƿּ֧ƹ
	int								nLightingTimeSectionNum;					//ʱģʽֵ֧ʱ
	BOOL							bSupportByTime;								//Ƿַ֧ʱ
}NET_OUT_LIGHTINGCONTROL_CAPS;

// CLIENT_GetDevCapsӿ NET_COAXIAL_CONTROL_IO_STATUS 
typedef struct tagNET_IN_GET_COAXIAL_CONTROL_IO_STATUS
{
	DWORD							dwSize;							// ṹС
	UINT							nChannel;						// ͨ
} NET_IN_GET_COAXIAL_CONTROL_IO_STATUS;

//  ͬIO״̬
typedef enum tagEM_COAXIAL_CONTROL_IO_STATUS
{
	EM_COAXIAL_CONTROL_IO_STATUS_UNKNOWN,							// δ֪
	EM_COAXIAL_CONTROL_IO_STATUS_ON,								// 
	EM_COAXIAL_CONTROL_IO_STATUS_OFF,								// ر
} EM_COAXIAL_CONTROL_IO_STATUS;

// CLIENT_GetDevCapsӿ NET_COAXIAL_CONTROL_IO_STATUS 
typedef struct tagNET_OUT_GET_COAXIAL_CONTROL_IO_STATUS
{
	DWORD							dwSize;							// ṹС
	EM_COAXIAL_CONTROL_IO_STATUS	emWhiteLight;					// ׹Ʋ
	EM_COAXIAL_CONTROL_IO_STATUS	emSpeaker;						// Ȳ
} NET_OUT_GET_COAXIAL_CONTROL_IO_STATUS;


// CLIENT_GetDevCapsӿ NET_SUPPORT_GET_AUDIO_DECODE_CAPS 
typedef struct tagNET_IN_SUPPORT_GET_AUDIO_DECODE_CAPS
{
	DWORD							dwSize;							// ṹСֵΪ sizeof(NET_IN_SUPPORT_GET_AUDIO_DECODE_CAPS)
}NET_IN_SUPPORT_GET_AUDIO_DECODE_CAPS;

// CLIENT_GetDevCapsӿ NET_SUPPORT_GET_AUDIO_DECODE_CAPS 
typedef struct tagNET_OUT_SUPPORT_GET_AUDIO_DECODE_CAPS
{
	DWORD							dwSize;							// ṹСֵΪ sizeof(NET_OUT_SUPPORT_GET_AUDIO_DECODE_CAPS)
	BOOL							bSupport;						// Ƿֻ֧ȡƵTRUEʾ֧֣֧
}NET_OUT_SUPPORT_GET_AUDIO_DECODE_CAPS;

// CLIENT_GetDevCapsӿ NET_UNIFIEDINFOCOLLECT_CAPS  
typedef struct tagNET_IN_UNIFIEDINFOCOLLECT_CAPS
{
    DWORD                           dwSize;                         // ṹС
}NET_IN_UNIFIEDINFOCOLLECT_CAPS;

// CLIENT_GetDevCapsӿ NET_UNIFIEDINFOCOLLECT_CAPS
typedef struct tagNET_OUT_UNIFIEDINFOCOLLECT_CAPS
{
    DWORD                           dwSize;                         // ṹС
    BOOL                            bSupportUnifiedInfoCollect;     // Ƿ֧DMSSרЭ         
}NET_OUT_UNIFIEDINFOCOLLECT_CAPS;

// CLIENT_GetDevCaps ӿ NET_EXALARMBOX_CAPS 
typedef struct tagNET_IN_EXALARMBOX_CAPS
{
	DWORD							dwSize;							// ṹС
	int								nChannel;						// ͨ
}NET_IN_EXALARMBOX_CAPS;

// CLIENT_GetDevCaps ӿ NET_EXALARMBOX_CAPS 
typedef struct tagNET_OUT_EXALARMBOX_CAPS
{
	DWORD							dwSize;							// ṹС
	int								nAlarmIn;						// ֵ֧ı·
	int								nAlarmOut;						// ֵ֧ı·
	int								nRemoteControl;					// ֵ֧ң·
}NET_OUT_EXALARMBOX_CAPS;

// CLIENT_GetDevCaps ӿ NET_ALARMBOXMANAGER_CAPS 
typedef struct tagNET_IN_ALARMBOXMANAGER_CAPS
{
	DWORD							dwSize;							// ṹС
}NET_IN_ALARMBOXMANAGER_CAPS;


// CLIENT_GetDevCaps ӿ NET_ALARMBOXMANAGER_CAPS 
typedef struct tagNET_OUT_ALARMBOXMANAGER_CAPS
{
	DWORD							dwSize;							// ṹС
	int								nMaxBoxNumber;					// ּ֧
	int								nMaxInputPerBox;				// ÿ֧󱨾
	int								nMaxOutputPerBox;				// ÿ֧󱨾
}NET_OUT_ALARMBOXMANAGER_CAPS;

// CLIENT_GetDevCapsӿ NET_GET_AUDIO_DETECT_CAPS
typedef struct tagNET_IN_GET_AUDIO_DETECT_CAPS 
{
    DWORD                           dwSize;                         // ṹС
    int                             nChannel;                       //ͨ 
}NET_IN_GET_AUDIO_DETECT_CAPS;


// CLIENT_GetDevCapsӿ NET_GET_AUDIO_DETECT_CAPS
typedef struct tagNET_OUT_GET_AUDIO_DETECT_CAPS
{
    DWORD                           dwSize;                                         // ṹС
    BOOL                            bVolumeDetect;                                  // Ƿ֧
    BOOL                            bAnomalyDetect;                                 // Ƿ֧쳣
    unsigned int                    nAnomalySensitiveRange[2];                      // 쳣ȷΧ,һԪΪСֵ,ڶԪΪֵ
    BOOL                            bMutationDetect;                                // Ƿ֧ǿͻ
    unsigned int                    nMutationThresholdRange[2];                     // ǿͻ޷Χ,һԪΪСֵ,ڶԪΪֵ
    BOOL                            bInfantCryDetect;                               // Ƿ֧Ӥ޼
    BOOL                            bIntensityDetect;                               // Ƿ֧Ƶǿȼ
    unsigned int                    nIntensityDecibelGateRange[2];                  // Ƶǿȼֱֵ, λֱ;һԪΪСֵ,ڶԪΪֵ
}NET_OUT_GET_AUDIO_DETECT_CAPS;  

// CLIENT_GetDevCapsӿ NET_VIDEO_IN_DEFOG_CAPS
typedef struct tagNET_IN_VIDEO_IN_DEFOG_CAPS
{
    DWORD                      dwSize;          // ṹС
    int                        nChannel;        // ͨ
}NET_IN_VIDEO_IN_DEFOG_CAPS;

//  ģʽ
typedef struct tagNET_LIGHT_INTENSITY_CAPS
{   
    BOOL            bSupportLightMode;  // Ƿִ֧ģʽ
    BYTE            byReserved[68];     // ֽ
}NET_LIGHT_INTENSITY_CAPS;

// ͸ģʽ
typedef enum tagEM_IN_DEFOG_MODE
{
    EM_IN_DEFOG_MODE_UNKNOWN,          // δ֪
    EM_IN_DEFOG_MODE_OFF,              // ر
    EM_IN_DEFOG_MODE_MANUAL,           // ֶ
    EM_IN_DEFOG_MODE_AUTO,             // Զ
} EM_IN_DEFOG_MODE;

// CLIENT_GetDevCapsӿ NET_VIDEO_IN_DEFOG_CAPS
typedef struct tagNET_OUT_VIDEO_IN_DEFOG_CAPS
{
    DWORD                       dwSize;             // ṹС
    BOOL                        bSupportInDefog;    // Ƿ֧͸
    BOOL                        bSupportCamDefog;   // Ƿֹ֧ѧ͸
    UINT                        nModeCount;         // ͸ģʽĸ    
    EM_IN_DEFOG_MODE            emMode[8];          // ͸ģʽ
    NET_LIGHT_INTENSITY_CAPS    stuLightIntensity;  // ģʽ
}NET_OUT_VIDEO_IN_DEFOG_CAPS;

// CLIENT_GetDevCapsӿ NET_SUPPORT_FACE_LIB_DOWNLOAD
typedef struct tagNET_IN_SUPPORT_FACEDB_DOWNLOAD_CAPS
{
    DWORD                           dwSize;                                         // ṹС
} NET_IN_SUPPORT_FACEDB_DOWNLOAD_CAPS;

// CLIENT_GetDevCapsӿ NET_SUPPORT_FACE_LIB_DOWNLOAD
typedef struct tagNET_OUT_SUPPORT_FACEDB_DOWNLOAD_CAPS
{
    DWORD                           dwSize;                                         // ṹС
    BOOL                            bSupportFaceDbDownload;                         // Ƿ֧Զ
} NET_OUT_SUPPORT_FACEDB_DOWNLOAD_CAPS;


// CLIENT_GetDevCaps ӿ NET_DIAGNOSIS_CAPS 
typedef struct tagNET_IN_DIAGNOSIS_CAPS
{
	DWORD							dwSize;									// ṹС
}NET_IN_DIAGNOSIS_CAPS;


// CLIENT_GetDevCaps ӿ NET_DIAGNOSIS_CAPS 
typedef struct tagNET_OUT_DIAGNOSIS_CAPS
{
	DWORD							dwSize;									// ṹС
	BOOL							bSupportReport;							// Ƿֹ֧ϱ
	BOOL							bSupportDelInfo;						// Ƿ֧ɾָ
	BOOL							bSupportDelAllInfo;						// Ƿ֧ɾй
}NET_OUT_DIAGNOSIS_CAPS;


// 
typedef struct tagNET_SMARTLOCKER_CAPS
{
	UINT							nMaxFpAmount;									// ֵָ֧
	UINT							nMaxPwdAmount;									// ֵ֧
	UINT							nMaxCardAmount;									// ֵ֧Ŀ
	BYTE							byReserved[132];								// Ԥֶ
}NET_SMARTLOCKER_CAPS;

// LowRateWPAN 
typedef enum tagEM_LOWRATEWPAN_CAPS_TYPE
{
	EM_LOWRATEWPAN_CAPS_TYPE_UNKNOWN = -1,											// δ֪
	EM_LOWRATEWPAN_CAPS_TYPE_SMARTLOCKER,											// 
}EM_LOWRATEWPAN_CAPS_TYPE;

// CLIENT_GetDevCapsӿ NET_LOWRATEWPAN_CAPS 
typedef struct tagNET_IN_LOWRATEWPAN_CAPS
{
	DWORD							dwSize;											// ṹС
	int								nChannelID;										// ͨ
	EM_LOWRATEWPAN_CAPS_TYPE		emType;											// 
	char							szModuleSNList[16][32];							// ģб
}NET_IN_LOWRATEWPAN_CAPS;

// CLIENT_GetDevCapsӿ NET_LOWRATEWPAN_CAPS 
typedef struct tagNET_OUT_LOWRATEWPAN_CAPS
{
	DWORD							dwSize;											// ṹС
	NET_SMARTLOCKER_CAPS			stuSmartLockerCaps[16];							// 
	UINT							nSmartLockerCapsRet;							// ص stuSmartLockerCaps 
}NET_OUT_LOWRATEWPAN_CAPS;


// CLIENT_StopAdjustingAngle 
typedef struct tagNET_IN_STOP_ADJUSTING_ANGLE
{
    DWORD                           dwSize;                                         // ṹС
    int                             nChannel;                                       // ͨ 
}NET_IN_STOP_ADJUSTING_ANGLE;

// CLIENT_StopAdjustingAngle 
typedef struct tagNET_OUT_STOP_ADJUSTING_ANGLE
{
    DWORD                           dwSize;                                         // ṹС
}NET_OUT_STOP_ADJUSTING_ANGLE;

// ͷֹͣǶ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopAdjustingAngle(LLONG lLoginID, const NET_IN_STOP_ADJUSTING_ANGLE *pstInParam, NET_OUT_STOP_ADJUSTING_ANGLE *pstOutParam, int nWaitTime);

// ˶
typedef enum tagEM_ADJUST_ANGLE_DIRECTION
{
    EM_ADJUST_ANGLE_DIRECTION_UNKNOWN,                                  // δ֪
    EM_ADJUST_ANGLE_DIRECTION_NEGATIVE_X,                               // X᷽
    EM_ADJUST_ANGLE_DIRECTION_POSITIVE_X,                               // X᷽
    EM_ADJUST_ANGLE_DIRECTION_NEGATIVE_Y,                               // Y᷽
    EM_ADJUST_ANGLE_DIRECTION_POSITIVE_Y,                               // Y᷽
} EM_ADJUST_ANGLE_DIRECTION;

// CLIENT_AdjustingAngleContinuously 
typedef struct tagNET_IN_ADJUST_ANGLE_CONTINUOUSLY
{
    DWORD                           dwSize;                                         // ṹС
    int                             nChannel;                                       // ͨ 
    EM_ADJUST_ANGLE_DIRECTION       emDirection;                                    // ˶
    UINT                            nVelocity;                                      // ٶ
}NET_IN_ADJUST_ANGLE_CONTINUOUSLY;

//CLIENT_AdjustingAngleContinuously 
typedef struct tagNET_OUT_ADJUST_ANGLE_CONTINUOUSLY
{
    DWORD                           dwSize;                                         // ṹС
}NET_OUT_ADJUST_ANGLE_CONTINUOUSLY;

// ͷʽλ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AdjustingAngleContinuously(LLONG lLoginID, const NET_IN_ADJUST_ANGLE_CONTINUOUSLY *pstInParam, NET_OUT_ADJUST_ANGLE_CONTINUOUSLY *pstOutParam, int nWaitTime);

// CLIENT_GetDevCapsӿ NET_GET_LENS_FUNC_CAPS 
typedef struct tagNET_IN_GET_LENS_FUNC_CAPS
{
    DWORD                           dwSize;                                         // ṹС
    int                             nChannel;                                       // ͨ 
}NET_IN_GET_LENS_FUNC_CAPS;

// Ƿֽ֧Ƕȵ
typedef enum tagEM_SUPPORT_ANGLE_ADJUST
{
    EM_SUPPORT_ANGLE_ADJUST_UNKNOWN,                          // δ֪
    EM_SUPPORT_ANGLE_ADJUST_NO,                               // ֧
    EM_SUPPORT_ANGLE_ADJUST_X,                                // ֻ֧ˮƽ
    EM_SUPPORT_ANGLE_ADJUST_Y,                                // ֱֻ֧
    EM_SUPPORT_ANGLE_ADJUST_XY,                               // ͬʱ֧ˮƽֱ
} EM_SUPPORT_ANGLE_ADJUST;

// CLIENT_GetDevCapsӿ NET_GET_LENS_FUNC_CAPS 
typedef struct tagNET_OUT_GET_LENS_FUNC_CAPS
{
    DWORD                           dwSize;                                         // ṹС
    UINT                            nDepthField;                                    // Ƿ֧־; 0-֧֣1-֧
    EM_SUPPORT_ANGLE_ADJUST         emSupportAngleAdjust;                           // Ƿֽ֧Ƕȵ
    UINT                            nMaxVelocity;                                   // Ƕȵٶ, ʾٶȵΧ1~8         
}NET_OUT_GET_LENS_FUNC_CAPS;

//CLIENT_AdjustDepthField 
typedef struct tagNET_IN_ADJUST_DEPTH_FIELD
{
    DWORD                           dwSize;                                         // ṹС
    UINT                            nChannel;                                       // ͨ 
    float                           fDepthField;                                    // λãһ0-1
}NET_IN_ADJUST_DEPTH_FIELD;

// CLIENT_AdjustDepthField 
typedef struct tagNET_OUT_ADJUST_DEPTH_FIELD
{
    DWORD                           dwSize;                                         // ṹС
}NET_OUT_ADJUST_DEPTH_FIELD;

// CLIENT_AdjustDepthFieldContinuously 
typedef struct tagNET_IN_ADJUST_DEPTH_FIELD_CONTINUOUSLY
{
    DWORD                           dwSize;                                         // ṹС
    UINT                            nChannel;                                       // ͨ 
    float                           fDepthFieldSpeed;                               // Ծ仯,һ-1~10ʾֹͣʾ, ԽٶԽ졣
}NET_IN_ADJUST_DEPTH_FIELD_CONTINUOUSLY;

// CLIENT_AdjustDepthFieldContinuously 
typedef struct tagNET_OUT_ADJUST_DEPTH_FIELD_CONTINUOUSLY
{
    DWORD                           dwSize;                                         // ṹС
}NET_OUT_ADJUST_DEPTH_FIELD_CONTINUOUSLY;

// CLIENT_GetDepthFieldStatus 
typedef struct tagNET_IN_GET_DEPTH_FIELD_STATUS
{
    DWORD                           dwSize;                                         // ṹС
    UINT                            nChannel;                                       // ͨ 
}NET_IN_GET_DEPTH_FIELD_STATUS;

// ״̬
typedef enum tagEM_DEPTH_FIELD_STATUS
{
    EM_DEPTH_FIELD_STATUS_UNKNOWN,                                                  // δ֪
    EM_DEPTH_FIELD_STATUS_NORMAL,                                                   // ״̬
    EM_DEPTH_FIELD_STATUS_AUTODEPTHFIELD,                                           // ڵھ
}EM_DEPTH_FIELD_STATUS;

// CLIENT_GetDepthFieldStatus 
typedef struct tagNET_OUT_GET_DEPTH_FIELD_STATUS
{
    DWORD                            dwSize;                                        // ṹС
    float                            fDepthField;                                   // λãһ0-1
    UINT                             nTotalDepthFieldSteps;                         // ܲ
    EM_DEPTH_FIELD_STATUS            emStatus;                                      // ״̬
}NET_OUT_GET_DEPTH_FIELD_STATUS;

// CLIENT_AutoAdjustDepthField 
typedef struct tagNET_IN_AUTO_ADJUST_DEPTH_FIELD
{
    DWORD                            dwSize;                                        // ṹС
    UINT                             nChannel;                                      // ͨ 
}NET_IN_AUTO_ADJUST_DEPTH_FIELD;

// CLIENT_AutoAdjustDepthField 
typedef struct tagNET_OUT_AUTO_ADJUST_DEPTH_FIELD
{
    DWORD                            dwSize;                                        // ṹС
}NET_OUT_AUTO_ADJUST_DEPTH_FIELD;

// ͷھ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AdjustDepthField(LLONG lLoginID, const NET_IN_ADJUST_DEPTH_FIELD *pstInParam, NET_OUT_ADJUST_DEPTH_FIELD *pstOutParam, int nWaitTime);

// ͷھ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AdjustDepthFieldContinuously(LLONG lLoginID, const NET_IN_ADJUST_DEPTH_FIELD_CONTINUOUSLY *pstInParam, NET_OUT_ADJUST_DEPTH_FIELD_CONTINUOUSLY *pstOutParam, int nWaitTime);

// ȡͷ״̬Ϣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDepthFieldStatus(LLONG lLoginID, const NET_IN_GET_DEPTH_FIELD_STATUS *pstInParam, NET_OUT_GET_DEPTH_FIELD_STATUS *pstOutParam, int nWaitTime);

// ھͷλ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AutoAdjustDepthField(LLONG lLoginID, const NET_IN_AUTO_ADJUST_DEPTH_FIELD *pstInParam, NET_OUT_AUTO_ADJUST_DEPTH_FIELD *pstOutParam, int nWaitTime);

//CLIENT_GetDevCaps Ӧ(NET_GET_FILE_TRANSFER_CAPS)
typedef struct tagNET_IN_GET_FILE_TRANSFER_CAPS
{
    DWORD                           dwSize;                                         // ṹС
}NET_IN_GET_FILE_TRANSFER_CAPS;

// CLIENT_GetDevCaps Ӧ(NET_GET_FILE_TRANSFER_CAPS)
typedef struct tagNET_OUT_GET_FILE_TRANSFER_CAPS
{
    DWORD                           dwSize;                                        // ṹС
    BOOL                            bSupportFaceDbDownload;                        // Ƿ֧Զ
    BOOL                            bSupportPlateNumberDbDownload;                 // Ƿ֧Զ̳ƿ
    BYTE                            byReserved[4];                                 // ֽڶ 
}NET_OUT_GET_FILE_TRANSFER_CAPS;

//ģʽ
typedef enum tagNET_DOORWORK_MODE
{
    NET_DOORWORK_MODE_UNKNOWN = 0,                                // δ֪
    NET_DOORWORK_MODE_NORMAL = 1,                                 // ģʽ
    NET_DOORWORK_MODE_SHUTLOCK = 2,                               // 
    NET_DOORWORK_MODE_UNUSED = 3,                                 // ͣ
    NET_DOORWORK_MODE_OPENDOORCONTINUE = 4,                       // 
} NET_DOORWORK_MODE;

// ȡģʽӦDH_DEVSTATE_GET_ACCESSCONTROLMODE
typedef struct tagNET_GET_DOORWORK_MODE
{
    DWORD                    dwSize;
    int                      nChannel;              // Žͨ
    NET_DOORWORK_MODE   emControlMode;              // ģʽ      
}NET_GET_DOORWORK_MODE;

// VT¼
typedef enum tagEM_AUDIO_CB_FLAG
{
    EM_AUDIO_CB_FLAG_UNKNOWN,
    EM_AUDIO_CB_FLAG_NEWCALL,                   // кн
    EM_AUDIO_CB_FLAG_REMOTE_HANGUP,             // ԷҶ
    EM_AUDIO_CB_FLAG_DISCONNECT,                // 
    EM_AUDIO_CB_FLAG_RING,                      // Զ
} EM_AUDIO_CB_FLAG;

// VTص
typedef int (CALLBACK *pfVtEventCallBack)(LLONG instId, LLONG ulRegisterId, LLONG ulSessionId, int nEvent, char *pDataBuf, DWORD dwBufSize, LDWORD dwUser);

// ¼EM_AUDIO_CB_FLAG_NEWCALL
typedef enum tagEM_NEWCALL_ACTION
{
    EM_NEWCALL_ACTION_UNKNOWN,                  // ޲
    EM_NEWCALL_ACTION_REFUSE,                   // ܽ
    EM_NEWCALL_ACTION_ACCEPT,                   // 
} EM_NEWCALL_ACTION;

typedef enum tagEM_VT_PARAM_VALID
{
    EM_VT_PARAM_VALID_EVENT_CB     = 0x0001,
    EM_VT_PARAM_VALID_USER_DATA    = 0x0002,
    EM_VT_PARAM_VALID_MID_NUM      = 0x0004,
    EM_VT_PARAM_VALID_ACTION       = 0x0008,
    EM_VT_PARAM_VALID_WAITTIME     = 0x0010,
    EM_VT_PARAM_VALID_VIDEOWND     = 0x0020,
    EM_VT_PARAM_VALID_CSMODE       = 0x0040,
    EM_VT_PARAM_VALID_AUDIO_ENCODE = 0x0080,
    EM_VT_PARAM_VALID_LOCAL_IP     = 0x0100,
} EM_VT_PARAM_VALID;

// VTԽ
typedef struct tagNET_VT_TALK_PARAM
{
    DWORD               dwSize;                  // ṹС
    int                 nValidFlag;              // λʶֶǷЧ, EM_VT_PARAM_VALID
    pfVtEventCallBack   pfEventCb;               // ¼ص, EM_VT_PARAM_VALID_EVENT_CB
    LDWORD              dwUser;                  // ¼صԶ, EM_VT_PARAM_VALID_USER_DATA
    char                szPeerMidNum[16];        // к, 8λ, EM_VT_PARAM_VALID_MID_NUM
    EM_NEWCALL_ACTION   emAction;                // ԺеĲ, 0:޲, 1:ܽ, 2:, EM_VT_PARAM_VALID_ACTION
    int                 nWaitTime;               // ʱʱ, λms, EM_VT_PARAM_VALID_WAITTIME
    HWND                hVideoWnd;               // ӶԽƵʾ, EM_VT_PARAM_VALID_VIDEOWND
    BOOL                bClient;                 // ͻ/ģʽ, TRUE:ͻ, FALSE:, EM_VT_PARAM_VALID_CSMODE
    DHDEV_TALKDECODE_INFO stAudioEncode;         // Ϣ, EM_VT_PARAM_VALID_AUDIO_ENCODE
} NET_VT_TALK_PARAM;

// VTC¼VTO
CLIENT_NET_API LLONG CALL_METHOD CLIENT_VT_RegisterVto(const char *pszIp, int nPort = 13801);

// VTCǳVTO
CLIENT_NET_API BOOL CALL_METHOD CLIENT_VT_UnRegisterVto(LLONG ulLongId);

/////////////////////////////////// ˻ӿ ///////////////////////////////////////

// ˻Ϣṹ
typedef struct tagNET_UAV_FLY_INFO 
{
    float               fAltitude;                          // ֱ߶,ˮƽ	λ
    float               fDistance;                          // ˮƽ,ң	λ
    float               fHorizontalSpeed;                   // ˮƽٶ,ˮƽķٶ	λ/
    float               fVerticalSpeed;                     // ֱٶ,ڴֱķٶ	λ/
    int                 nRCLinkQuality;                     // ң·ź Χ0~100
    char                reserved[512];
} NET_UAV_FLY_INFO;

// ˻Ϣصԭ,lAttachHandle  CLIENT_AttachUavFly ֵ
typedef void (CALLBACK *fUavFlyCallBack) (LLONG lAttachHandle, NET_UAV_FLY_INFO* pBuf, DWORD dwBufLen, LDWORD dwUser);

// CLIENT_AttachUavFly 
typedef struct tagNET_IN_ATTACH_UAV_FLY 
{
    DWORD               dwSize;
    fUavFlyCallBack     cbUavFly;                           // Ϣص
    DWORD               dwUser;                             // û                   
} NET_IN_ATTACH_UAV_FLY;

// CLIENT_AttachUavFly 
typedef struct tagNET_OUT_ATTACH_UAV_FLY 
{
    DWORD                dwSize;
} NET_OUT_ATTACH_UAV_FLY;

// ˻Ϣ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachUavFly(LLONG lLoginID, const NET_IN_ATTACH_UAV_FLY* pInParam, NET_OUT_ATTACH_UAV_FLY* pOutParam, int nWaitTime);

// ȡ˻Ϣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachUavFly(LLONG lAttachHandle);

////////////////////////////////////////////////////////////////////////////////

// ȡ豸ԼϢ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSelfCheckInfo(LLONG lLoginID, const NET_IN_GET_SELTCHECK_INFO* pInParam, NET_SELFCHECK_INFO* pOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

/////////////////////////////////ӿ/////////////////////////////////

// 򿪻رռ
typedef struct tagLASER_IN_INFO
{
	DWORD		dwSize;				// ṹС
	UINT		nChannelID;			// ͨ
} LASER_IN_INFO;

// 򿪻رռ
typedef struct tagLaser_OUT_INFO 
{
	DWORD		dwSize;			// ṹС
} LASER_OUT_INFO;

//򿪻رյ
typedef struct tagEIS_IN_INFO 
{
	DWORD		dwSize;				// ṹС
	UINT		nChannelID;			// ͨ
} EIS_IN_INFO;

//򿪹رյӿڳ
typedef struct tagEIS_OUT_INFO 
{
	DWORD		dwSize;			// ṹС
} EIS_OUT_INFO;


//򿪼,pLaserDataInpLaserDataOutڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartLaser(LLONG lLoginID,const LASER_IN_INFO* pLaserDataIn, LASER_OUT_INFO* pLaserDataOut,int nWaitTime = 1000);

//رռ,pLaserDataInpLaserDataOutڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopLaser(LLONG lLoginID,const LASER_IN_INFO* pLaserDataIn, LASER_OUT_INFO* pLaserDataOut,int nWaitTime = 1000);

//򿪵,pEISDataInpEISDataOutڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartEIS(LLONG lLoginID,const EIS_IN_INFO* pEISDataIn, EIS_OUT_INFO* pEISDataOut,int nWaitTime = 1000);

//رյ,pEISDataInpEISDataOutڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopEIS(LLONG lLoginID,const EIS_IN_INFO* pEISDataIn, EIS_OUT_INFO* pEISDataOut,int nWaitTime = 1000);

// ֶPSTN״̬,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ManualCheckPSTN(LLONG lLoginID, const NET_IN_PSTN_MANUALCHECK_STATE* pInBuf, NET_OUT_PSTN_MANUALCHECK_STATE* pOutBuf, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

#define  MAX_NUM_EX_MODULE          16              // չģ
#define  MAX_NUM_ADDR_IN_BUS        256             // ϵĵַŵ

// ȡչģʹ
typedef struct tagNET_IN_EXMODULE_INFO 
{
    DWORD		dwSize;				                                        // ṹС
} NET_IN_EXMODULE_INFO;

// չģʹ
typedef struct tagNET_OUT_EXMODULE_INFO
{
    NET_BUS_TYPE		emBusType;                                          // 
    int                 nChannelID;	                                        // ߺ
    int                 nAddrCount;                                         // ЧĵַŸ
    int                 nAddr[MAX_NUM_ADDR_IN_BUS];                         // ϵĵַ
    char                reserved[1024];                                     // ֽ
} NET_OUT_EXMODULE_INFO;

// ȡչģʹӿڳ
typedef struct tagNET_OUT_EXMODULE_INFO_ALL
{
    DWORD		                dwSize;			                            // ṹС
    int                         nExModuleCount;                             // 
    NET_OUT_EXMODULE_INFO       stuExModuleInfo[MAX_NUM_EX_MODULE];         // չģʹ
} NET_OUT_EXMODULE_INFO_ALL;

/**************************************************************************************
*   Funcname: CLIENT_GetExModuleState
*   Purpose:ȡչģʹ
*   InputParam:   LLONG                        :lLoginID        //½
*   InputParam:   NET_IN_EXMODULE_INFO*        :pInParam        //,,ΪNULL,dwSize,ûͷڴ
*   InputParam:   NET_OUT_EXMODULE_INFO_ALL*   :pOutParam       //,,ΪNULL,dwSize,ûͷڴ
*   InputParam:   int                          :nWaitTime       //ʱʱ
*   Return: BOOL
*   *ýӿѷʹCLINET_GetExModuleInfoӿ*
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetExModuleState(LLONG lLoginID, const NET_IN_EXMODULE_INFO* pInParam, NET_OUT_EXMODULE_INFO_ALL* pOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

///////////////////////////////豸ӿ//////////////////////////

#define MASTERSALVE_CLASS_LEN           16

typedef struct tagNET_IN_MSGROUP_OPEN_INFO
{
    DWORD                  dwSize;                              // ṹ
    int                    nGroupID;                            // 豸
    int                    nSlaveID;                            // ӻ 
	int				       nMasterID;							// Ӧ, ǹһnMasterIDȡֵ012
	int					   nChannel;							// ͨţӦƵͨţ0ʼ豸ǰ豸ֶ֧ͨΪ0
}NET_IN_MSGROUP_OPEN_INFO;

typedef struct tagNET_OUT_MSGROUP_OPEN_INFO
{
    DWORD                  dwSize;                              // ṹС
    DWORD                  dwToken;                             // Ӹ
}NET_OUT_MSGROUP_OPEN_INFO;

typedef struct tagNET_IN_MSGROUP_LOCATE_INFO
{
    DWORD                   dwSize;                             // ṹС
    DWORD                   dwToken;                            // Ӹ
    DH_POINT                stuPoint;                           // 
    short                   snMasterInfo[3];                    // Բ뾶, Ϊ[, , 뾶]
}NET_IN_MSGROUP_LOCATE_INFO;

typedef struct tagNET_OUT_MSGROUP_LOCATE_INTO
{
    DWORD                   dwSize;                             // ṹС
    short                   snPTZ[3];                           // ϵľ
}NET_OUT_MSGROUP_LOCATE_INTO;

typedef struct tagNET_IN_MSGROUP_TRACK_INFO
{
    DWORD                   dwSize;                             // ṹС
    DWORD                   dwToken;                            // Ӹ
    char                    szClass[MASTERSALVE_CLASS_LEN];     // 㷨
    DWORD                   dwObjectID;                         // 㷨ĿID
}NET_IN_MSGROUP_TRACK_INFO;

typedef struct tagNET_OUT_MSGROUP_TRACK_INFO
{
    DWORD                   dwSize;                             // ṹС
}NET_OUT_MSGROUP_TRACK_INFO;

typedef struct tagNET_IN_MSGROUP_CLOSE_INFO
{
    DWORD                   dwSize;                             // ṹС
    DWORD                   dwToken;                            // Ӹ
}NET_IN_MSGROUP_CLOSE_INFO;

typedef struct tagNET_OUT_MSGROUP_CLOSE_INFO
{
    DWORD                   dwSize;                             // ṹС
}NET_OUT_MSGROUP_CLOSE_INFO;

//  EM_MSGROUP_OPERATE_RECTLOCATE 
typedef struct tagNET_IN_MSGROUP_RECTLOCATE_INFO
{
    DWORD                   dwSize;                             // ṹС
    DWORD                   dwToken;                            // Ӹ,  EM_MSGROUP_OPERATE_OPEN ȡ
    NET_RECT                stuRect;                            // ѡľο
    int                     nRectDirection;                     // ѡķ, 0-ϵ, ʾŴ; 1-µϣʾС
}NET_IN_MSGROUP_RECTLOCATE_INFO;

// , EM_MSGROUP_OPERATE_RECTLOCATE 
typedef struct tagNET_OUT_MSGROUP_RECTLOCATE_INFO
{
    DWORD                   dwSize;                             // ṹС
    int                     nPTZ[3];                            // ϵľ
}NET_OUT_MSGROUP_RECTLOCATE_INFO;

// ٱϢ
typedef struct tagNET_MSGROUP_NOTIFY_INFO 
{
    DWORD                    dwSubscribeID;                     // ˶ID
    int                      nSlaveID;                          // дӻ
    char                     szClass[MASTERSALVE_CLASS_LEN];    // 㷨
    DWORD                    dwObjectID;                        // 㷨ĿID
    NET_RECT                 stuBoundingBox;                    // Χ
    BYTE                     byReserved[512];                   // ֽ 
}NET_MSGROUP_NOTIFY_INFO;

// Զٻص, lAttachHandle Ϊ CLIENT_AttachMasterSlaveGroup صĽ
typedef void (CALLBACK *fMasterSlaveCallBack)(LLONG lAttachHandle, NET_MSGROUP_NOTIFY_INFO* pBuf, DWORD dwBufLen, LDWORD dwUser);

// CLIENT_AttachMasterSlaveGroup 
typedef struct tagNET_IN_MSGROUP_ATTACH_INFO
{
    DWORD                    dwSize;                            // ṹС
    fMasterSlaveCallBack     cbNotify;                          // ص
    LDWORD                   dwUser;                            // ûϢ
	int                      nGroupID;                          // 豸
	int					     nChannel;							// ͨţӦƵͨţ0ʼ豸ǰ豸ֶ֧ͨΪ0
}NET_IN_MSGROUP_ATTACH_INFO;

// CLIENT_AttachMasterSlaveGroup 
typedef struct tagNET_OUT_MSGROUP_ATTACH_INFO
{
    DWORD                    dwSize;                            // ṹС
}NET_OUT_MSGROUP_ATTACH_INFO;

// , ӿ CLIENT_OperateMasterSlaveGroup
typedef enum tagEM_MSGROUP_OPERATE_TYPE
{
    EM_MSGROUP_OPERATE_OPEN,                                    // Ӹ, Ӧ NET_IN_MSGROUP_OPEN_INFO  NET_OUT_MSGROUP_OPEN_INFO
    EM_MSGROUP_OPERATE_LOCATE,                                  // Ӹ, Ӧ NET_IN_MSGROUP_LOCATE_INFO  NET_OUT_MSGROUP_LOCATE_INTO
    EM_MSGROUP_OPERATE_TRACK,                                   // ֶѡĿ, Ӧ NET_IN_MSGROUP_TRACK_INFO  NET_OUT_MSGROUP_TRACK_INFO
    EM_MSGROUP_OPERATE_CLOSE,                                   // رʽʵ, Ӧ NET_IN_MSGROUP_CLOSE_INFO  NET_OUT_MSGROUP_CLOSE_INFO
    EM_MSGROUP_OPERATE_RECTLOCATE,                              // 豸ѡο豸, Ӧ NET_IN_MSGROUP_RECTLOCATE_INFO  NET_OUT_MSGROUP_RECTLOCATE_INFO
}EM_MSGROUP_OPERATE_TYPE;

// , ӿ,pInParampOutParamڴûͷ,СemOperateTypeӦĽṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateMasterSlaveGroup(LLONG lLoginID, EM_MSGROUP_OPERATE_TYPE emOperateType, void* pInParam, void* pOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// ԶĿ ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachMasterSlaveGroup(LLONG lLoginID, const NET_IN_MSGROUP_ATTACH_INFO *pInParam, NET_OUT_MSGROUP_ATTACH_INFO *pOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// ˶ԶĿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachMasterSlaveGroup(LLONG lAttachHandle);
//////////////////////////////////////////////////////////////////////////

#define     MAX_TRAFFIC_LANE_NUM            16                  // 󳵵
#define     MAX_CAMERA_PERIPHERAL_NUM       8                   // 
#define     MAX_STORAGE_NUM                 8                   // 洢豸
#define     MAX_PARTITION_NUM               8                   // 

// 洢豸Ϣ
typedef struct tagNET_PARTITION_INFO
{
    double                      dbTotalBytes;                   // ܿռ
    double                      dbUsedBytes;                    // ʹõĿռ
    BOOL                        bError;                         // Ƿ쳣
    BYTE                        byReserved[64];                 // ֶ
}NET_PARTITION_INFO;

// 洢豸״̬
typedef enum tagENUM_STORAGE_STATE
{
    ENUM_STORAGE_STATE_UNKONWN,                                 // δ֪״̬
    ENUM_STORGAE_STATE_READ_ERROR,                              // 豸ȡʧ
    ENUM_STORAGE_STATE_INITIALIZING,                            // ڶȡ豸
    ENUM_STORAGE_STATE_READ_SUCCESS,                            // 豸ȡɹ
}ENUM_STORAGE_STATE;

// 洢豸Ϣ
typedef struct tagNET_STORAGE_INFO
{
    ENUM_STORAGE_STATE       emState;                           // 洢豸״̬
    int                      nPartitonNum;                      // 
    NET_PARTITION_INFO       stuPartions[MAX_PARTITION_NUM];    // Ϣ
    BYTE                     byReserved[128];                   // ֶ
}NET_STORAGE_INFO;

// Դ
typedef struct tagNET_RESOURCE_STATE
{
	int						nIPChanneIn;					// IPͨٶ, λ: kbps
	int						nNetRemain;						// ʣ, λ: kbps
	int						nNetCapability;					// , λ: kbps
	int						nRemotePreview;					// ԶԤ, λ: kbps
	int						nRmtPlayDownload;				// Զ̻طż, λ: kbps
	int						nRemoteSendRemain;				// Զ̷ʣ, λ: kbps
	int						nRemoteSendCapability;			// Զ̷, λ: kbps
	BYTE                    byReserved[32];                 // ֽ
} NET_RESOURCE_STATE;

// 豸״̬
typedef struct tagNET_WORKSTATE
{
    BOOL                     bOnline;                           // 豸Ƿ
    char                     szFirmwareVersion[DH_COMMON_STRING_128];  // ̼汾
    float                    fTemperature;                      // ¶ֵ, λ϶
    float                    fPowerDissipation;                 // , λW
    int                      nUtilizationOfCPU;                 // CPU ʹ
    
    int                      nStorageNum;                       // 洢豸
    NET_STORAGE_INFO         stuStorages[MAX_STORAGE_NUM];      // 洢豸Ϣ
    int					 	 nUpTimeLast;						// ϴϵʱ, λ: 
    int					 	 nUpTimeTotal;						// ܹϵʱ, λ: 
    double					 dbMemInfoTotal;					// ڴС, λ: ֽ
    double					 dbMemInfoFree;						// ʣڴС, λ: ֽ
    BYTE					 byReserved1[4];					// ֽڶ룬Ǳֽ
    char					 szDevType[32];						// 豸ͺ
    NET_RESOURCE_STATE		 stuResourceStat;					// Դ
    BYTE                     byReserved[8];                     // ֽ
}NET_WORKSTATE;

// ѯӹ״̬, Ӧ DH_DEVSTATE_GET_WORK_STATE
typedef struct tagNET_QUERY_WORK_STATE
{
    DWORD                    dwSize;                            // ֶ
    NET_WORKSTATE            stuWorkState;                      // ״̬
}NET_QUERY_WORK_STATE;

// ѯ״̬,Ӧӿ CLIENT_GetCapsuleLockState
typedef struct tagNET_IN_QUERY_CAPSULE_LOCKSTATE
{
    DWORD                       dwSize;                         // ṹС
    int                         nChannel;                       // ͨ
}NET_IN_QUERY_CAPSULE_LOCKSTATE;

// ״̬
typedef enum tagNET_EM_ONLINESTATE
{
	NET_EM_ONLINESTATE_UNKNOWN,									 // δ֪
    NET_EM_ONLINESTATE_ONLINE,                                   // 
    NET_EM_ONLINESTATE_OFFLINE,                                  // 
}NET_EM_ONLINESTATE;

// ״̬
typedef enum  tagNET_EM_LOCKSTATE
{
    NET_EM_LOCKSTATE_UNKNOWN,                                   // δ֪
    NET_EM_LOCKSTATE_Open,                                      // 
    NET_EM_LOCKSTATE_CLOSE,                                     // ر
    NET_EM_LOCKSTATE_ABNORMAL,                                  // 쳣
    NET_EM_LOCKSTATE_FAKELOCKED,                                // 
}NET_EM_LOCKSTATE;

// ѯ״̬ΣӦӿ CLIENT_GetCapsuleLockState
typedef struct tagNET_OUT_QUERY_CAPSULE_LOCKSTATE
{
    DWORD                       dwSize;                         // ṹС
    NET_EM_LOCKSTATE            emLockState;                    // ״̬    
    NET_EM_ONLINESTATE			emOnLineState;					// ״̬
}NET_OUT_QUERY_CAPSULE_LOCKSTATE;

// ȡ
typedef struct tagNET_IN_QUERY_CAPSULE_HUMANNUM
{
    DWORD                       dwSize;                         // ṹС
    int                         nChannel;                       // ͨ
}NET_IN_QUERY_CAPSULE_HUMANNUM;

// ȡ
typedef struct tagNET_OUT_QUERY_CAPSULE_HUMANNUM
{
    DWORD                       dwSize;                         // ṹС
    UINT                        nHumanNum;                      // 
}NET_OUT_QUERY_CAPSULE_HUMANNUM;

// ¼ģʽ
typedef enum tagNET_EM_RECORD_MODE
{
    NET_EM_RECORD_MODE_UNKNOWN,                                 // δ֪
    NET_EM_RECORD_MODE_COURSE,                                  // γ¼ģʽ
    NET_EM_RECORD_MODE_NORMAL,                                  // ͨģʽ
}NET_EM_RECORD_MODE;

// ¼ģʽΣӦӿCLIENT_SetCourseRecordMode
typedef struct tagNET_IN_SET_COURSE_RECORD_MODE
{
    DWORD                       dwSize;                         
    NET_EM_RECORD_MODE          emRecordMode;                   // ¼ģʽ
    int                         nClassRoomID;                   // id
}NET_IN_SET_COURSE_RECORD_MODE;

// ¼ģʽΣӦӿCLIENT_SetCourseRecordMode
typedef struct tagNET_OUT_SET_COURSE_RECORD_MODE
{
    DWORD                       dwSize;                         
}NET_OUT_SET_COURSE_RECORD_MODE;

// ȡ¼ģʽΣӦӿCLIENT_GetCourseRecordMode
typedef struct tagNET_IN_GET_COURSE_RECORD_MODE
{
    DWORD                       dwSize;  
    int                         nClassRoomID;                   // id
}NET_IN_GET_COURSE_RECORD_MODE;

// ȡ¼ģʽΣӦӿCLIENT_GetCourseRecordMode
typedef struct tagNET_OUT_GET_COURSE_RECORD_MODE
{
    DWORD                       dwSize; 
    NET_EM_RECORD_MODE          emRecordMode;                   // ¼ģʽ
}NET_OUT_GET_COURSE_RECORD_MODE;

// 豸Ϣ
typedef struct tagNET_DEVICE_COMMON_INFO
{
    char                     szVendor[DH_COMMON_STRING_32];     // 
    char                     szDviceType[DH_COMMON_STRING_32];  // 豸ͺ
    char                     szVersion[DH_COMMON_STRING_128];   // 豸汾Ϣ
    char                     szSerialNo[DH_COMMON_STRING_128];  // 豸
    BYTE                     byReserved[128];                   // ֽ
}NET_DEVICE_COMMON_INFO;

// Ϣ
typedef struct tagNET_VEHICLE_DETECTOR_INFO
{
    NET_DEVICE_COMMON_INFO   stuDevice;                         // 豸Ϣ
    int                      nWokingState;                      // ״̬: 0-, 1-, 2-ر
    int                      nMatchState;                       // Ȧƥ״̬: 0-ƥ, 1-ƥ, 2-
    int                      nLaneNum;                          // 
    int                      nUsageOfLane[MAX_TRAFFIC_LANE_NUM];// ÿռ, 0-100
    BYTE                     byReserved[128];                   // ֽ
}NET_VEHICLE_DETECTOR_INFO;

// źżϢ
typedef struct tagNET_SIGNAL_DETECTOR_INFO 
{
    NET_DEVICE_COMMON_INFO   stuDevice;                         // 豸Ϣ
    int                      nWokingState;                      // ״̬: 0-, 1-, 2-ر
    int                      nMatchState;                       // Ȧƥ״̬: 0-ƥ, 1-ƥ, 2-
    BYTE                     byReserved[128];                   // ֽ
}NET_SIGNAL_DETECTOR_INFO;

// ƵϢ
typedef struct tagNET_STROBOSCOPIC_LAMP_INFO
{
    NET_DEVICE_COMMON_INFO   stuDevice;                         // 豸Ϣ
    int                      nWokingState;                      // ״̬: 0-, 1-, 2-ر
    int                      nMatchState;                       // Ȧƥ״̬: 0-ƥ, 1-ƥ, 2-
    BYTE                     byReserved[128];                   // ֽ
}NET_STROBOSCOPIC_LAMP_INFO;

// RS485 ƵϢ
typedef struct tagNET_RS485_STROBOSCOPIC_LAMP_INFO
{
    NET_DEVICE_COMMON_INFO   stuDevice;                         // 豸Ϣ
    int                      nWokingState;                      // ״̬: 0-, 1-, 2-ر
    int                      nMatchState;                       // Ȧƥ״̬: 0-ƥ, 1-ƥ, 2-

    int                      nPeripheralAddress;                // ַ
    int                      nPeripheralStateCode;              // : 1-豸Ӧ, 2-, 3-δƵź     
    int                      nLuminance;                        // , 1-20
    int                      nSensibility;                      // , 1-255
    float                    fPowerDissipation;                 // 

    BYTE                     byReserved[128];                   // ֽ
}NET_RS485_STROBOSCOPIC_LAMP_INFO;

// Ϣ
typedef struct tagNET_FLASH_LAMP_INFO
{
    NET_DEVICE_COMMON_INFO   stuDevice;                         // 豸Ϣ
    int                      nWokingState;                      // ״̬: 0-, 1-, 2-ر
    int                      nMatchState;                       // Ȧƥ״̬: 0-ƥ, 1-ƥ, 2-
    BYTE                     byReserved[128];                   // ֽ
}NET_FLASH_LAMP_INFO;

// RS485 Ϣ
typedef struct tagNET_RS485_FLASH_LAMP_INFO
{
    NET_DEVICE_COMMON_INFO   stuDevice;                         // 豸Ϣ
    int                      nWokingState;                      // ״̬: 0-, 1-, 2-ر
    int                      nMatchState;                       // Ȧƥ״̬: 0-ƥ, 1-ƥ, 2-
    
    int                      nPeripheralAddress;                // ַ
    int                      nPeripheralStateCode;              // : 1-豸Ӧ, 2-, 3-δƵź     
    int                      nLuminance;                        // , 1-20
    int                      nSensibility;                      // , 1-255
    float                    fPowerDissipation;                 // 
    
    BYTE                     byReserved[128];                   // ֽ
}NET_RS485_FLASH_LAMP_INFO;

// RS485 Ϣ
typedef struct tagNET_RS485_STEADY_LAMP_INFO
{
    NET_DEVICE_COMMON_INFO   stuDevice;                         // 豸Ϣ
    int                      nWokingState;                      // ״̬: 0-, 1-, 2-ر
    int                      nMatchState;                       // Ȧƥ״̬: 0-ƥ, 1-ƥ, 2-
    
    int                      nPeripheralAddress;                // ַ
    int                      nPeripheralStateCode;              // : 1-豸Ӧ, 2-, 3-δƵź     
    int                      nLuminance;                        // , 1-20
    int                      nSensibility;                      // , 1-255
    float                    fPowerDissipation;                 // 
    
    BYTE                     byReserved[128];                   // ֽ
}NET_RS485_STEADY_LAMP_INFO;

// ״̬
typedef struct tagNET_CAMERA_PERIPHERAL_INFO
{
    int                         nVehicleDetectorNum;                                // 
    NET_VEHICLE_DETECTOR_INFO   stuVehicleDetectors[MAX_CAMERA_PERIPHERAL_NUM];     // Ϣ

    int                         nSignalDetectorNum;                                 // źż
    NET_SIGNAL_DETECTOR_INFO    stuSignalDetectors[MAX_CAMERA_PERIPHERAL_NUM];      // źżϢ
    
    int                         nStroboscopicLampNum;                               // ƵƸ
    NET_STROBOSCOPIC_LAMP_INFO  stuStroboscopicLamps[MAX_CAMERA_PERIPHERAL_NUM];    // ƵϢ

    int                         nFlashLampNum;                                      // Ƹ
    NET_FLASH_LAMP_INFO         stuFlashLamps[MAX_CAMERA_PERIPHERAL_NUM];           // Ϣ

    int                         nRS485StroboscopicLampNum;                          // RS485 ƵƸ
    NET_RS485_STROBOSCOPIC_LAMP_INFO    stuRS485StroboscopicLamps[MAX_CAMERA_PERIPHERAL_NUM]; // RS485 ƵϢ
    
    int                         nRS485FlashLampNum;                                 // RS485 Ƹ
    NET_RS485_FLASH_LAMP_INFO   stuRS485FlashLamps[MAX_CAMERA_PERIPHERAL_NUM];      // RS485 Ϣ

    int                         nRS485SteadyLampNum;                                // RS485 Ƹ
    NET_RS485_STEADY_LAMP_INFO  stuRS485SteadyLamps[MAX_CAMERA_PERIPHERAL_NUM];     // RS485 Ϣ

    BYTE                        byReserved[128];                                    // ֽ
}NET_CAMERA_PERIPHERAL_INFO;

// 豸״̬صϢ
typedef struct tagNET_REMOTECAMERA_NOTIFY_INFO
{
    int                         nChannelID;                     // ͨ
    NET_WORKSTATE               stuNative;                      // ״̬
    NET_CAMERA_PERIPHERAL_INFO  stuPeripherals;                 // Ϣ
    BYTE                        byReserved[128];                // ֽ
}NET_REMOTECAMERA_NOTIFY_INFO;

// 豸״̬ص, lAttachHandle Ϊ CLIENT_AttachRemoteCameraState صĽ
typedef void (CALLBACK *fRemoteCameraStateCallBack)(LLONG lAttachHandle, NET_REMOTECAMERA_NOTIFY_INFO* pstuState, DWORD dwStateSize, LDWORD dwUser);

// CLIENT_AttachRemoteCameraState 
typedef struct tagNET_IN_REMOTECAMERA_ATTACH_INFO
{
    DWORD                       dwSize;                         // ṹС
    fRemoteCameraStateCallBack  cbNotify;                       // ص
    LDWORD                      dwUser;                         // ûϢ
}NET_IN_REMOTECAMERA_ATTACH_INFO;

// CLIENT_AttachRemoteCameraState 
typedef struct tagNET_OUT_REMOTECAMERA_ATTACH_INFO
{
    DWORD                    dwSize;                            // ṹС
}NET_OUT_REMOTECAMERA_ATTACH_INFO;

// 豸״̬,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachRemoteCameraState(LLONG lLoginID, const NET_IN_REMOTECAMERA_ATTACH_INFO *pInParam, NET_OUT_REMOTECAMERA_ATTACH_INFO *pOutParam, int nWaitTime);

// ȡ豸״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachRemoteCameraState(LLONG lAttachHandle);

// 
typedef enum tagEM_STREAM_TYPE
{
    EM_STREAM_TYPE_UNKNOWN,                               // δ֪״̬
    EM_STREAM_TYPE_MAIN,                                  // 
    EM_STREAM_TYPE_EXTRA1,                                // 1
    EM_STREAM_TYPE_EXTRA2,                                // 2
    EM_STREAM_TYPE_EXTRA3,                                // 3
}EM_STREAM_TYPE;

// ͻ˷¼ļصϢ
typedef struct tagNET_RECORDMANAGER_NOTIFY_INFO
{
    int                         nChannelID;                     // ͨ
    EM_STREAM_TYPE              emStreamType;                   // 
    BOOL                        bState;                         // Ƿ¼
    BYTE                        byReserved[128];                // ֽ
}NET_RECORDMANAGER_NOTIFY_INFO;

// ͻ˷¼ļص, lAttachHandle Ϊ CLIENT_AttachRecordManagerState صĽ
typedef void (CALLBACK *fRecordManagerStateCallBack)(LLONG lAttachHandle, NET_RECORDMANAGER_NOTIFY_INFO* pstuState, DWORD dwStateSize, LDWORD dwUser);

// CLIENT_AttachRecordManagerState 
typedef struct tagNET_IN_RECORDMANAGER_ATTACH_INFO
{
    DWORD                        dwSize;                         // ṹС
    fRecordManagerStateCallBack  cbNotify;                       // ص
    LDWORD                       dwUser;                         // ûϢ
}NET_IN_RECORDMANAGER_ATTACH_INFO;

// CLIENT_AttachRecordManagerState 
typedef struct tagNET_OUT_RECORDMANAGER_ATTACH_INFO
{
    DWORD                    dwSize;                            // ṹС
}NET_OUT_RECORDMANAGER_ATTACH_INFO;

// ¼״̬仯,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachRecordManagerState(LLONG lLoginID, const NET_IN_RECORDMANAGER_ATTACH_INFO *pInParam, NET_OUT_RECORDMANAGER_ATTACH_INFO *pOutParam, int nWaitTime);

// ȡ¼״̬仯
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachRecordManagerState(LLONG lAttachHandle);

// Ѳ״̬
typedef enum tagNET_EM_PATROL_STATUS
{
    NET_EM_PATROL_STATUS_UNKNOWN,                               // δ֪״̬
    NET_EM_PATROL_STATUS_BEGIN,                                 // Ѳʼ
    NET_EM_PATROL_STATUS_END,                                   // Ѳ
    NET_EM_PATROL_STATUS_FAIL,                                  // Ѳʧ
}NET_EM_PATROL_STATUS;

// CLIENT_SendNotifyToDev  (Ӧö NET_EM_NOTIFY_PATROL_STATUS)
typedef struct tagNET_IN_PATROL_STATUS_INFO
{
    DWORD                       dwSize;                         // ṹС
    NET_EM_PATROL_STATUS        emPatrolStatus;                 // Ѳ״̬

}NET_IN_PATROL_STATUS_INFO;

// CLIENT_SendNotifyToDev  (Ӧö NET_EM_NOTIFY_PATROL_STATUS)
typedef struct tagNET_OUT_PATROL_STATUS_INFO
{
    DWORD                    dwSize;                            // ṹС
}NET_OUT_PATROL_STATUS_INFO;

// ͵֪ͨ,ӦCLIENT_SendNotifyToDevӿ
typedef enum tagNET_EM_NOTIFY_TYPE
{
    NET_EM_NOTIFY_PATROL_STATUS = 1,                            // Ѳ֪ͨ (Ӧṹ NET_IN_PATROL_STATUS_INFO, NET_OUT_PATROL_STATUS_INFO)
}NET_EM_NOTIFY_TYPE;

// ·֪ͨ豸 ӿ, emNotifyType·֪ͨ, pInParam  pOutParam ûͷ,СemNotifyTypeӦṹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SendNotifyToDev(LLONG lLoginID, NET_EM_NOTIFY_TYPE emNotifyType, const void* pInParam, void* pOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT );

// ȶͼԭʼϢ
typedef struct tagNET_RAWSTREAM_NOTIFY_INFO 
{
    int                      nWidth;                            // ͼƬ
    int                      nHeight;                           // ͼƬ߶
    NET_TIME                 stuStartTime;                      // ʼʱ
    NET_TIME                 stuEndTime;                        // ʱ
    char*                    pStream;                           // ͼƬ
    int                      nLength;                           // ͼƬݳ
    BYTE                     byReserved[512];                   // ֽ 
}NET_RAWSTREAM_NOTIFY_INFO;

// ȶͼԭʼݻص, lAttachHandle Ϊ CLIENT_AttachHeatMapRawStream صĽ
typedef void (CALLBACK *fRawStreamCallBack)(LLONG lAttachHandle, NET_RAWSTREAM_NOTIFY_INFO* pBuf, DWORD dwBufLen, LDWORD dwUser);

// CLIENT_AttachHeatMapRawStream 
typedef struct tagNET_IN_RAWSTREAM_ATTACH_INFO
{
    DWORD                    dwSize;                            // ṹС
    fRawStreamCallBack       cbNotify;                          // ص
    LDWORD                   dwUser;                            // ûϢ
    int                      nChannel;                          // ͨ
}NET_IN_RAWSTREAM_ATTACH_INFO;

// CLIENT_AttachHeatMapRawStream 
typedef struct tagNET_OUT_RAWSTREAM_ATTACH_INFO
{
    DWORD                    dwSize;                            // ṹС
}NET_OUT_RAWSTREAM_ATTACH_INFO;

// ȶͼԭʼݽӿ,pInParampOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachHeatMapRawStream(LLONG lLoginID, const NET_IN_RAWSTREAM_ATTACH_INFO *pInParam, NET_OUT_RAWSTREAM_ATTACH_INFO *pOutParam, int nWaitTime);

// ˶ȶͼԭʼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachHeatMapRawStream(LLONG lAttachHandle);

//Ϣ
typedef struct tagNET_ANALYSERESULT
{
    char                      szPlateNumber[64];                // ƺ
    NET_RECT                  stuRect;                          // ưΧ,
    BYTE                      byReserved[128];                  // ֽ 
}NET_ANALYSERESULT;

// CLIENT_SetIVSServerAnalyseResult ӿ
typedef struct tagNET_IN_SET_ANALYSERESULT_INFO
{
    DWORD                     dwSize;                           // ṹС
    int                       nChannel;                         // ͨ 0ʼ
    int                       nAnalyseResultCount;              // ʶ
    NET_ANALYSERESULT         stuAnalyseResult[MAX_PLATE_NUM];  // Ϣ
	unsigned int			  nFrameSequence;					// ,ںͺIVSʶȷ,
	unsigned int			  nPhysicalLane;					// λ
}NET_IN_SET_ANALYSERESULT_INFO;

// CLIENT_SetIVSServerAnalyseResult ӿڳ
typedef struct tagNET_OUT_SET_ANALYSERESULT_INFO
{
    DWORD                     dwSize;                           // ṹС
}NET_OUT_SET_ANALYSERESULT_INFO;

// CLIENT_AttachEventRestore ӿ
typedef struct tagNET_IN_ATTACH_EVENT_RESTORE
{
    DWORD                dwSize;															//ṹС
	char 				 szUuid[MAX_EVENT_RESTORE_UUID];									//ͻΩһʶ
}NET_IN_ATTACH_EVENT_RESTORE;

// 㷨شͼƬʶ,EVENT_IVS_TRAFFIC_ANALYSE_PRESNAP¼ʹ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetIVSServerAnalyseResult(LLONG lLoginID, const NET_IN_SET_ANALYSERESULT_INFO* pInBuf,NET_OUT_SET_ANALYSERESULT_INFO* pOutBuf,int nWaitTime);


// ȡ״̬ӿ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCapsuleLockState(LLONG lLoginID, const NET_IN_QUERY_CAPSULE_LOCKSTATE* pInBuf,NET_OUT_QUERY_CAPSULE_LOCKSTATE* pOutBuf, int nWaitTime);

// ȡ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCapsuleHumanNum(LLONG lLoginID, const NET_IN_QUERY_CAPSULE_HUMANNUM* pInBuf, NET_OUT_QUERY_CAPSULE_HUMANNUM* pOutBuf, int nWaitTime);

// ÿγ¼ģʽ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetCourseRecordMode(LLONG lLoginID, const NET_IN_SET_COURSE_RECORD_MODE* pInBuf, NET_OUT_SET_COURSE_RECORD_MODE* pOutBuf, int nWaitTime);

// ȡγ¼ģʽ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCourseRecordMode(LLONG lLoginID, const NET_IN_GET_COURSE_RECORD_MODE* pInBuf, NET_OUT_GET_COURSE_RECORD_MODE* pOutBuf, int nWaitTime);

// ߼ͨ
typedef enum tagNET_EM_LOGIC_CHANNEL
{
    NET_EM_LOGIC_CHANNEL_INVALID = -1,                          // Ч
    NET_EM_LOGIC_CHANNEL_COMPOSITE,                             // Ƶͨ
    NET_EM_LOGIC_CHANNEL_PPT,                                   // PPTʾ߼ͨ
    NET_EM_LOGIC_CHANNEL_BLACKBOARD,                            // д߼ͨ
    NET_EM_LOGIC_CHANNEL_STUDENTFEATURE,                        // ѧд߼ͨ
    NET_EM_LOGIC_CHANNEL_STUDENTFULLVIEW,                       // ѧȫ߼ͨ
    NET_EM_LOGIC_CHANNEL_TEACHERFEATURE,                        // ʦд߼ͨ
    NET_EM_LOGIC_CHANNEL_TEACHERFULLVIEW,                       // ʦȫ߼ͨ
    NET_EM_LOGIC_CHANNEL_TEACHERDETECT,                         // ʦ߼ͨ
    NET_EM_LOGIC_CHANNEL_BLACKBOARDDETECT,                      // ߼ͨ
    NET_EM_LOGIC_CHANNEL_BLACKBOARD1,                           // д1߼ͨ
    NET_EM_LOGIC_CHANNEL_BLACKBOARDDETECT1,                     // 1߼ͨ
    NET_EM_LOGIC_CHANNEL_VISUALPRESENTER,                       // չ̨ʾ߼ͨ
    NET_EM_LOGIC_CHANNEL_VIDEOSURVEILLANCE,                     // Ƶ߼ͨ
	NET_EM_LOGIC_CHANNEL_VIDEOCONFERENCE,					    // ߼ͨ
	NET_EM_LOGIC_CHANNEL_VIDEO_PRESENTATION,					// ʾ߼ͨ
}NET_EM_LOGIC_CHANNEL;

// ͨϢ
typedef struct  tagNET_LOGIC_CHANNEL_INFO
{
    int                         nRoomID;                        // ID
    NET_EM_LOGIC_CHANNEL        emLogicChannel;                 // ߼ͨ
    BYTE                        byReserved[32];                 // ֽ
}NET_LOGIC_CHANNEL_INFO;

// ȡʵͨΣӦӿ CLIENT_GetRealPreviewChannel
typedef struct tagNET_IN_GET_REAL_PREVIEW_CHANNEL
{
    DWORD                       dwSize; 
    int                         nChannelCount;                  // Ҫȡͨ
    NET_LOGIC_CHANNEL_INFO      stuChannelInfo[MAX_PREVIEW_CHANNEL_NUM];             // ߼ͨϢ±ΪҪȡʵͨ
}NET_IN_GET_REAL_PREVIEW_CHANNEL;

// ȡʵͨųΣӦӿ CLIENT_GetRealPreviewChannel
typedef struct tagNET_OUT_GET_REAL_PREVIEW_CHANNEL
{
    DWORD                    dwSize;
    int                      nChannelNum;                       // ͨ
    int                      nChannel[MAX_PREVIEW_CHANNEL_NUM]; // ͨ
}NET_OUT_GET_REAL_PREVIEW_CHANNEL;

// ȡʵԤͨ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetRealPreviewChannel(LLONG lLoginID, const NET_IN_GET_REAL_PREVIEW_CHANNEL* pInBuf, NET_OUT_GET_REAL_PREVIEW_CHANNEL* pOutBuf, int nWaitTime);

// ȡĬʵͨΣӦӿ CLIENT_GetDefaultRealChannel
typedef struct tagNET_IN_GET_DEFAULT_REAL_CHANNEL
{
    DWORD                       dwSize; 
    int                         nChannelCount;                  // Ҫȡͨ
    NET_LOGIC_CHANNEL_INFO      stuChannelInfo[MAX_PREVIEW_CHANNEL_NUM];             // ߼ͨϢ±ΪҪȡʵͨ
}NET_IN_GET_DEFAULT_REAL_CHANNEL;

// ȡĬʵͨųΣӦӿ CLIENT_GetDefaultRealChannel
typedef struct tagNET_OUT_GET_DEFAULT_REAL_CHANNEL
{
    DWORD                    dwSize;
    int                      nChannelNum;                       // ͨ
    int                      nChannel[MAX_PREVIEW_CHANNEL_NUM]; // ͨ
}NET_OUT_GET_DEFAULT_REAL_CHANNEL;

// ȡ¼Ĭʵͨ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDefaultRealChannel(LLONG lLoginID, const NET_IN_GET_DEFAULT_REAL_CHANNEL* pInBuf, NET_OUT_GET_DEFAULT_REAL_CHANNEL* pOutBuf, int nWaitTime);

// ȡ¼ĬʵͨΣӦӿ CLIENT_GetLogicChannel
typedef struct tagNET_IN_GET_COURSE_LOGIC_CHANNEL
{
    DWORD                       dwSize; 
    int                         nChannelNum;                       // ͨ
    int                         nChannel[MAX_PREVIEW_CHANNEL_NUM]; // ͨ
}NET_IN_GET_COURSE_LOGIC_CHANNEL;

// ȡ¼ĬʵͨųΣӦӿ CLIENT_GetLogicChannel
typedef struct tagNET_OUT_GET_COURSE_LOGIC_CHANNEL
{
    DWORD                       dwSize;
    int                         nChannelCount;                                          // ȡ߼ͨ
    NET_LOGIC_CHANNEL_INFO      stuChannelInfo[MAX_PREVIEW_CHANNEL_NUM];                // ߼ͨϢ±ΪҪȡʵͨ
}NET_OUT_GET_COURSE_LOGIC_CHANNEL;

// ȡ¼߼ͨ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetLogicChannel(LLONG lLoginID, const NET_IN_GET_COURSE_LOGIC_CHANNEL* pInBuf,NET_OUT_GET_COURSE_LOGIC_CHANNEL* pOutBuf, int nWaitTime);

// ߼ͨźʵͨŵİ󶨹ϵ ӦӿCLIENT_SetBlindRealChannel
typedef struct tagNET_IN_SET_BLIND_REAL_CHANNEL
{
    DWORD                       dwSize; 
    int                         nChannelNum;                                            // ͨ
    int                         nChannel[MAX_PREVIEW_CHANNEL_NUM];                      // ͨ
    NET_LOGIC_CHANNEL_INFO      stuChannelInfo[MAX_PREVIEW_CHANNEL_NUM];                // ߼ͨϢ±ΪҪõʵͨ
}NET_IN_SET_BLIND_REAL_CHANNEL;

// ߼ͨźʵͨŵİ󶨹ϵ ӦӿCLIENT_SetBlindRealChannel
typedef struct tagNET_OUT_SET_BLIND_REAL_CHANNEL
{
    DWORD                       dwSize; 
}NET_OUT_SET_BLIND_REAL_CHANNEL;

// ߼ͨźʵͨŵİ󶨹ϵ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetBlindRealChannel(LLONG lLoginID, const NET_IN_SET_BLIND_REAL_CHANNEL* pInBuf,NET_OUT_SET_BLIND_REAL_CHANNEL* pOutBuf, int nWaitTime);

// ȡ¼ͨý ӦӿCLIENT_GetInputChannelMedia
typedef struct tagNET_IN_GET_INPUT_CHANNEL_MEDIA
{
    DWORD                           dwSize; 
    int                             nChannelNum;                       // ͨ
    int                             nChannel[MAX_PREVIEW_CHANNEL_NUM]; // ͨ
}NET_IN_GET_INPUT_CHANNEL_MEDIA;

// ý
typedef enum tagNET_ENUM_INPUT_CHANNEL_MEDIA
{
    NET_ENUM_INPUT_MEDIA_UNKNOWN,                                       // δ֪
    NET_ENUM_INPUT_MEDIA_VGA,                                           // VGA
    NET_ENUM_INPUT_MEDIA_HDMI,                                          // HDMI
}NET_ENUM_INPUT_CHANNEL_MEDIA;

// ȡ¼ͨýʳ ӦӿCLIENT_GetInputChannelMedia
typedef struct tagNET_OUT_GET_INPUT_CHANNEL_MEDIA
{
    DWORD                           dwSize;
    int                             nChannelNum;                              // ͨ
    NET_ENUM_INPUT_CHANNEL_MEDIA    emInputMedia[MAX_PREVIEW_CHANNEL_NUM];    // ý
}NET_OUT_GET_INPUT_CHANNEL_MEDIA;

// ȡ¼ͨý,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetInputChannelMedia(LLONG lLoginID, const NET_IN_GET_INPUT_CHANNEL_MEDIA* pInBuf,NET_OUT_GET_INPUT_CHANNEL_MEDIA* pOutBuf, int nWaitTime);

//¼ش,pInParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachEventRestore(LLONG lLoginID, const NET_IN_ATTACH_EVENT_RESTORE *pInParam, int nWaitTime);

// ֹͣ¼ش,pInParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachEventRestore(LLONG lAttachHandle);

// CLIENT_GetLaserDistance ӿ
typedef struct tagNET_IN_GET_LASER_DISTANCE
{
    DWORD                     dwSize;                           // ṹС
    int                       nChannel;                         // ͨ,0ʼ
}NET_IN_GET_LASER_DISTANCE;

// CLIENT_GetLaserDistance ӿڳ
typedef struct tagNET_OUT_GET_LASER_DISTANCE
{
    DWORD                     dwSize;                           // ṹС
    UINT                      unDistance;                       // Ŀ λ:
}NET_OUT_GET_LASER_DISTANCE;


// ȡλĿľ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetLaserDistance(LLONG lLoginID, const NET_IN_GET_LASER_DISTANCE* pInBuf, NET_OUT_GET_LASER_DISTANCE* pOutBuf, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT );

// CLIENT_GetAtomsphDataӿ
typedef struct tagNET_IN_GET_ATOMSPHDATA
{
    DWORD                     dwSize;                           
}NET_IN_GET_ATOMSPHDATA;

// CLIENT_GetAtomsphDataӿڳ
typedef struct tagNET_OUT_GET_ATOMSPHDATA
{
    DWORD                     dwSize;
    float                     fWindSpeed;                       // ٣λm/s
    float                     fWindDirection;                   // 򣬵λ
    float                     fHumidity;                        // ʪȣλ%
    float                     fTemperture;                      // ¶ȣλ϶
    float                     fAirPressure;                     // ѹλ
    float                     fSunBathe;                        // գλw/m2
}NET_OUT_GET_ATOMSPHDATA;

// ȡϢ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAtomsphData(LLONG lLoginID, const NET_IN_GET_ATOMSPHDATA* pInBuf, NET_OUT_GET_ATOMSPHDATA* pOutBuf,int nWaitTime);

// /رָͨ¼
typedef struct tagNET_IN_SET_COURSE_RECORD_STATE
{
    DWORD                    dwSize;                 // ýṹС
    int                      nChannel;               // ͨ
    int                      nAction;                // 0:, 1:ر
}NET_IN_SET_COURSE_RECORD_STATE;

// /رָͨ¼
typedef struct tagNET_OUT_SET_COURSE_RECORD_STATE
{
    DWORD                    dwSize;                 // ýṹС
}NET_OUT_SET_COURSE_RECORD_STATE;

// /رָͨ¼,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetCourseRecordState(LLONG lLoginID, const NET_IN_SET_COURSE_RECORD_STATE *pInBuf, NET_OUT_SET_COURSE_RECORD_STATE *pOutBuf, int nWaitTime);

// ʼѯγƵϢ
typedef struct tagNET_IN_QUERY_COURSEMEDIA_FILEOPEN
{
    DWORD                    dwSize;                            // ýṹС
    NET_TIME                 stuStartTime;                      // ѯʼʱ
    NET_TIME                 stuEndTime;                        // ѯʱ
    char                     szKeyWord[DH_COMMON_STRING_128];    // ѯؼ
}NET_IN_QUERY_COURSEMEDIA_FILEOPEN;

// ʼѯγƵϢ
typedef struct tagNET_OUT_QUERY_COURSEMEDIA_FILEOPEN
{
    DWORD                    dwSize;                            // ýṹС
    UINT                     ntotalNum;                         // ѯܸ
    UINT                     nfindID;                           // ѯID
}NET_OUT_QUERY_COURSEMEDIA_FILEOPEN;

// ʼѯγƵϢ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OpenQueryCourseMediaFile(LLONG lLoginID, const NET_IN_QUERY_COURSEMEDIA_FILEOPEN *pInBuf, NET_OUT_QUERY_COURSEMEDIA_FILEOPEN *pOutBuf, int nWaitTime);

// ѯγƵϢ
typedef struct tagNET_IN_QUERY_COURSEMEDIA_FILE
{
    DWORD                    dwSize;                            // ýṹС
    UINT                     nfindID;                           // ѯID
    int                      nOffset;                           // ʼѯƫ
    int                      nCount;                            // Ҫѯĸ
}NET_IN_QUERY_COURSEMEDIA_FILE;

// ¼ļϢ
typedef struct tagNET_RECORD_INFO
{
    int                      nRealChannel;                      // ʵͨ
    NET_TIME                 stuStartTime;                      // ѯʼʱ
    NET_TIME                 stuEndTime;                        // ѯʱ
    UINT                     nFileLen;                          // ͨ¼ļܳȵ32λ,0ʾͨû¼ 
    UINT                     nFileLenEx;                        // ͨ¼ļܳȸ32λ,FileLenһʾ¼񳤶
    UINT                     nTime;                             // ¼ʱ
    UINT                     nFileType;                         // ļͣ0:üļ1:ԭʼļ
    BYTE                     byReserved[64];                    // ֽ 
}NET_RECORD_INFO;

// γϢ
typedef struct tagNET_COURSE_INFO
{
    char                     szCourseName[DH_COMMON_STRING_64];                 // γ
    char                     szTeacherName[DH_COMMON_STRING_64];                // ʦ
    char                     szIntroduction[DH_COMMON_STRING_128];              // Ƶ
    BYTE                     byReserved[64];                                    // ֽ
}NET_COURSE_INFO;

// ƵϢ
typedef struct tagNET_COURSEMEDIA_FILE_INFO
{
    int                      nID;                                               // ƵϢID,-1ʾ޴˼¼
    NET_COURSE_INFO          stuCourseInfo;                                     // γϢ
    int                      nChannelNum;                                       // ͨ
    int                      nRecordNum[64];                                    // Ӧͨ¼ֶ
    NET_RECORD_INFO          stuRecordInfo[64][16];                             // ¼Ϣһά±ΪӳͨţڶάΪ¼ֶ
    BYTE                     byReserved[128];                                   // ֽ
}NET_COURSEMEDIA_FILE_INFO;

// ѯγƵϢ
typedef struct tagNET_OUT_QUERY_COURSEMEDIA_FILE
{
    DWORD                       dwSize;                                         // ýṹС
    int                         nCountResult;                                   // ѯĸ
    NET_COURSEMEDIA_FILE_INFO   stuCourseMediaFile[64];                         // ƵϢ
}NET_OUT_QUERY_COURSEMEDIA_FILE;

// ѯγƵϢ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoQueryCourseMediaFile(LLONG lLoginID, const NET_IN_QUERY_COURSEMEDIA_FILE *pInBuf, NET_OUT_QUERY_COURSEMEDIA_FILE *pOutBuf, int nWaitTime);

// رտγƵѯ
typedef struct tagNET_IN_QUERY_COURSEMEDIA_FILECLOSE
{
    DWORD                       dwSize;                                         // ýṹС
    UINT                        nFindID;                                        // ѯID
}NET_IN_QUERY_COURSEMEDIA_FILECLOSE;

// رտγƵѯ
typedef struct tagNET_OUT_QUERY_COURSEMEDIA_FILECLOSE
{
    DWORD                       dwSize;                                         // ýṹС
}NET_OUT_QUERY_COURSEMEDIA_FILECLOSE;

// رտγƵѯ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloseQueryCourseMediaFile(LLONG lLoginID, const NET_IN_QUERY_COURSEMEDIA_FILECLOSE *pInBuf, NET_OUT_QUERY_COURSEMEDIA_FILECLOSE *pOutBuf, int nWaitTime);

// ļ״̬ļֶδʱֿʼͽ
typedef enum tagNET_EM_AIO_FILE_STATUS
{
	NET_EM_AIO_FILE_STATUS_UNKNOWN,
	NET_EM_AIO_FILE_STATUS_BEGIN,				// Begin, ʶϴʼ
	NET_EM_AIO_FILE_STATUS_UPLOADING,			// Uploading
	NET_EM_AIO_FILE_STATUS_END,					// End, ʶϴ
}NET_EM_AIO_FILE_STATUS;

// ļ
typedef enum tagNET_EM_AIO_FILE_TYPE
{
	NET_EM_AIO_FILE_TYPE_UNKNOWN,
	NET_EM_AIO_FILE_TYPE_UPSYSTEM,				// "upSystem":ϵͳ
	NET_EM_AIO_FILE_TYPE_UPAPP,					// "upApp"appEnd
}NET_EM_AIO_FILE_TYPE;


// CLIENT_UploadAIOFile ӿ(ϴļ豸)
typedef struct tagNET_IN_UPLOAD_AIO_FILE
{
    DWORD               dwSize;
    char*         		pszFileSrc;                     // Դļ·
    char*         		pszFileDst;                     // Ŀļ·
    char*         		pszFolderDst;                   // Ŀļ·ΪNULL, NULLʱ豸ʹĬ·
    unsigned int        nPacketLen;                     // ļְС(ֽ): 0ʾְ
	NET_EM_AIO_FILE_TYPE	emType;						// ļ
} NET_IN_UPLOAD_AIO_FILE;

// CLIENT_UploadAIOFile ӿ(ϴļ豸)
typedef struct tagNET_OUT_UPLOAD_AIO_FILE
{
    DWORD               dwSize;
} NET_OUT_UPLOAD_AIO_FILE;


// fAttachAIOFileprocCB 
typedef struct tagNET_CB_AIOFILEPROC
{
    DWORD						dwSize;
    NET_EM_AIO_FILE_STATUS      emStatus;				// ļ״̬, ļֶδʱֿʼͽ
    NET_EM_AIO_FILE_TYPE		emType;					// ļ 

    unsigned int				dwLength;				// ļС, λ: ֽ
	char*						pbFileBuf;				// ļ
	DWORD						dwBufSize;				// ļС
}NET_CB_AIOFILEPROC;

// עļصԭ,lAttachHandleCLIENT_attachAIOFileProcֵ, ÿ1,pBuf->dwSize == nBufLen
typedef void (CALLBACK *fAttachAIOFileprocCB) (LLONG lAttachHandle, NET_CB_AIOFILEPROC* pBuf, int nBufLen, LDWORD dwUser);

// CLIENT_attachAIOFileProc()
typedef struct tagNET_IN_ATTACH_AIO
{
    DWORD                   dwSize;
    fAttachAIOFileprocCB    cbNotify;						// ص
    LDWORD                  dwUser;                         // û
}NET_IN_ATTACH_AIO;

// CLIENT_attachAIOFileProc 
typedef struct tagNET_OUT_ATTACH_AIO
{
    DWORD                   dwSize;
}NET_OUT_ATTACH_AIO;

// 沥
typedef enum tagNET_EM_ADVERT_ACTION
{
	NET_EM_ADVERT_ACTION_UNKNOWN	= 0,
	NET_EM_ADVERT_ACTION_START,				// start
	NET_EM_ADVERT_ACTION_STOP,				// stop
}NET_EM_ADVERT_ACTION;

// λ
typedef enum tagNET_EM_ADVERT_POSITION
{
	NET_EM_ADVERT_POSITION_UNKNOWN	= 0,
	NET_EM_ADVERT_POSITION_TOP,				// top    
	NET_EM_ADVERT_POSITION_MIDDLE,			// middle м
	NET_EM_ADVERT_POSITION_BOTTOM,			// bottom ײ
}NET_EM_ADVERT_POSITION;

// CLIENT_SetAdvert ӿ(NVR)
typedef struct tagNET_IN_SET_ADVERT 
{
    DWORD						dwSize;
    NET_EM_ADVERT_ACTION        emAction;             // 沥
    int							nSpeed;               // ٶ
    NET_EM_ADVERT_POSITION		emPosition;           // λ
} NET_IN_SET_ADVERT;

// CLIENT_SetAdvert ӿ(NVR)
typedef struct tagNET_OUT_SET_ADVERT
{
    DWORD               dwSize;
} NET_OUT_SET_ADVERT;

// CLIENT_AIOScreen ӿ(NVR)
typedef struct tagNET_IN_AIO_SCREEN
{
    DWORD						dwSize;
} NET_IN_AIO_SCREEN;

// CLIENT_AIOScreen ӿ(NVR)
typedef struct tagNET_OUT_AIO_SCREEN
{
    DWORD               dwSize;
	char				szName[DH_COMMON_STRING_256];	// ͼƬ·
} NET_OUT_AIO_SCREEN;

// CLIENT_AIOandroidAdb ӿ(ư׿adbر)
typedef struct tagNET_IN_CONTROL_ANDROID_ADB 
{
    DWORD						dwSize;
	BOOL						bEnable;				// Ƿadb
} NET_IN_CONTROL_ANDROID_ADB;

// CLIENT_AIOandroidAdb ӿ(ư׿adbر)
typedef struct tagNET_OUT_CONTROL_ANDROID_ADB
{
    DWORD               dwSize;
} NET_OUT_CONTROL_ANDROID_ADB;

// Ϣ
typedef struct tagNET_ALARM_MSG_HANDLE
{
	//
	bool                				abChannelCount;                                 // Ƿ֧ͨ
	bool                				abAlarmOutCount;                                // Ƿֱ֧

	bool								abRecordMask;                                   // Ƿ֧¼ͨ
	bool								abRecordEnable;                                 // Ƿ֧¼ʹ
	bool								abRecordLatch;                                  // Ƿ֧¼ʱ

	bool								abAlarmOutMask;                                 // Ƿֱ֧ͨ

	bool								abAlarmOutEn;                                   // Ƿֱ֧ʹ
	bool								abAlarmOutLatch;                                // Ƿֱ֧ʱ
	bool								abExAlarmOutMask;                               // Ƿ֧չͨ
	bool								abExAlarmOutEn;                                 // Ƿ֧չʹ

	bool								abPtzLinkEn;                                    // Ƿ̨֧ʹ
	bool								abTourMask;                                     // Ƿ֧Ѳ
	bool								abTourEnable;                                   // Ƿ֧Ѳʹ

	bool								abSnapshot;                                     // Ƿֿ֧
	bool								abSnapshotEn;                                   // Ƿֿ֧ʹ
	bool								abSnapshotPeriod;                               // Ƿ֧֡ÿ֡ץһͼƬ
	bool								abSnapshotTimes;                                // Ƿ֧Ĵ
	bool								abTipEnable;                                    // Ƿֱ֧Ϣʾ

	bool								abMailEnable;                                   // Ƿַ֧ʼ
	bool								abMessageEnable;                                // Ƿ֧ϴķ
	bool								abBeepEnable;                                   // Ƿַ֧
	bool								abVoiceEnable;                                  // Ƿ֧ʾ

	bool								abMatrixMask;                                   // Ƿ֧Ƶ
	bool								abMatrixEnable;                                 // Ƿ֧Ƶʹ
	bool								abEventLatch;                                   // Ƿ֧ʼʱʱ
	bool								abLogEnable;                                    // Ƿ֧־ʹ

	bool								abDelay;                                        // Ƿֱ֧ʱ
	bool								abVideoMessageEn;                               // Ƿֵ֧ʾĻƵ
	bool								abMMSEnable;                                    // Ƿַ֧ͶϢ
	bool								abMessageToNetEn;                               // Ƿ֧Ϣϴʹ
	bool								abTourSplit;                                    // Ƿָֻ֧Ѳ

	bool								abSnapshotTitleEn;                              // Ƿֵ֧ͼƬʹ
	bool                				abPtzLinkEx;                                    // Ƿ̨֧ʹ
	bool                				abSnapshotTitle;                                // Ƿֵ֧ͼƬ
	bool                				abMailDetail;                                   // Ƿ֧ʼ
	bool                				abVideoTitleEn;                                 // Ƿֵ֧Ƶ⣬Ҫָ
	bool                				abVideoTitle;                                   // Ƿ֧Ƶ

	bool                				abTour;                                         // Ƿ֧Ѳ
	bool                				abDBKeys;                                       // Ƿָ֧¼ϸϢҪдݿĹؼ
	bool                				abJpegSummary;                                  // Ƿֵ֧ӵJPEGͼƬժҪϢ
	bool                				abFlashEn;                                      // Ƿֲ֧ʹ
	bool                				abFlashLatch;                                   // Ƿֲ֧ʱ

	bool								abAudioFileName;                                // Ƿ֧ļ·
	bool								abAlarmBellEn;                                  // Ƿ֧־ʹ
	bool								abAccessControlEn;                              // Ƿ֧Žʹ
	bool								abAccessControl;                                // Ƿ֧Ž

	bool								abTalkBack;	                                    // Ƿ֧
	bool								abPSTNAlarmServer;                              // Ƿֵ֧绰
	bool								abAlarmBellLatch;                               // Ƿ֧־ʱ

	bool                                abPlayTimes;                                    // Ƿ֧Ŵ
	bool                                abReboot;                                        // Ƿ֧ʹ
	bool                                abBeepTime;                                     // Ƿַ֧ʱ

	BYTE                                byReserved[68];                                 // ֶ

	//Ϣ
	NET_CFG_TIME_SCHEDULE				stuTimeSection;									// ¼Ӧʱ

	int									nChannelCount;									// 豸Ƶͨ
	int									nAlarmOutCount;									// 豸ı

	DWORD								dwRecordMask[CFG_MAX_CHANNEL_COUNT];			// ¼ͨ(λ)
	BOOL								bRecordEnable;									// ¼ʹ
	int									nRecordLatch;									// ¼ʱʱ()
	DWORD								dwAlarmOutMask[CFG_MAX_CHANNEL_COUNT];			// ͨ

	BOOL								bAlarmOutEn;									// ʹ
	int									nAlarmOutLatch;									// ʱʱ()
	DWORD								dwExAlarmOutMask[CFG_MAX_CHANNEL_COUNT];		// չͨ
	BOOL								bExAlarmOutEn;									// չʹ

	NET_CFG_PTZ_LINK					stuPtzLink[CFG_MAX_VIDEO_CHANNEL_NUM];			// ̨		//ûбӦǱչ
	BOOL								bPtzLinkEn;										// ̨ʹ
	DWORD								dwTourMask[CFG_MAX_CHANNEL_COUNT];				// ѯͨ
	BOOL								bTourEnable;									// ѯʹ

	DWORD								dwSnapshot[CFG_MAX_CHANNEL_COUNT];				// ͨ
	BOOL								bSnapshotEn;									// ʹ
	int									nSnapshotPeriod;								// ()
	int									nSnapshotTimes;									// Ĵ
	BOOL								bTipEnable;										// Ϣʾ

	BOOL								bMailEnable;									// ʼͼƬΪ
	BOOL								bMessageEnable;									// ϴ
	BOOL								bBeepEnable;							 		// 

	BOOL								bVoiceEnable;									// ʾ
	int                                 nPlayTimes;                                     // ŴbVoiceEnable=TRUEʱЧ

	DWORD								dwMatrixMask[CFG_MAX_CHANNEL_COUNT];			// Ƶͨ
	BOOL								bMatrixEnable;									// Ƶ
	int									nEventLatch;									// ʼʱʱ()015
	BOOL								bLogEnable;										// Ƿ¼־

	int									nDelay;											// ʱʱЧλΪ
	BOOL								bVideoMessageEn;								// ʾĻƵӵĻ¼ͣͨţʱ
	BOOL								bMMSEnable;										// Ͳʹ
	BOOL								bMessageToNetEn;								// Ϣϴʹ
	int									nTourSplit;										// Ѳʱķָģʽ 0: 1; 1: 8

	BOOL								bSnapshotTitleEn;								// ǷͼƬ
	int                 				nPtzLinkExNum;									// ̨
	NET_PTZ_LINK 						stuPtzLinkEx[CFG_MAX_VIDEO_CHANNEL_NUM];        // չ̨Ϣ
	int                 				nSnapTitleNum;									// ͼƬ
	NET_CFG_EVENT_TITLE 				stuSnapshotTitle[CFG_MAX_VIDEO_CHANNEL_NUM];	// ͼƬ
	NET_CFG_MAIL_DETAIL 				stuMailDetail;									// ʼϸ
	BOOL                				bVideoTitleEn;									// ǷƵ⣬Ҫָ
	int                 				nVideoTitleNum;									// ƵĿ
	NET_CFG_EVENT_TITLE 				stuVideoTitle[CFG_MAX_VIDEO_CHANNEL_NUM];		// Ƶ

	int                 				nTourNum;										// ѯĿ
	NET_CFG_TOURLINK    				stuTour[CFG_MAX_VIDEO_CHANNEL_NUM];				// ѯ
	int                 				nDBKeysNum;										// ָݿؼֵЧ
	char                				szDBKeys[CFG_MAX_DBKEY_NUM][CFG_MAX_CHANNELNAME_LEN];	// ָ¼ϸϢҪдݿĹؼ
	BYTE                				byJpegSummary[CFG_MAX_SUMMARY_LEN];						// ӵJPEGͼƬժҪϢ
	BOOL                				bFlashEnable;											// Ƿʹܲ
	int                 				nFlashLatch;											// ʱʱ(),ʱʱ䷶Χ[10,300]

	char								szAudioFileName[MAX_PATH];						// ļ·
	BOOL								bAlarmBellEn;									// ʹ
	BOOL								bAccessControlEn;								// Žʹ
	DWORD								dwAccessControl;								// Ž
	NET_EM_CFG_ACCESSCONTROLTYPE		emAccessControlType[CFG_MAX_ACCESSCONTROL_NUM];	// ŽϢ

	NET_CFG_TALKBACK_INFO				stuTalkback;									// Ϣ
	NET_CFG_PSTN_ALARM_SERVER			stuPSTNAlarmServer;								// 绰Ϣ
	int									nAlarmBellLatch;								// ʱʱ(10-300)

	BOOL                                bReboot;                                        //ʹTRUE:ʹ FALSE:ʹ
	int                                 nBeepTime;                                      //ʱֵΪ36000
	BOOL								abAudioLinkTime;								// ʱʹ
	int									nAudioLinkTime;									// ŵʱ, λ
	BOOL								abAudioPlayTimes;								// ʹ
	int									nAudioPlayTimes;								// Ŵ
	BYTE								byReserve[2032];								// Ԥֽ
} NET_ALARM_MSG_HANDLE;

// Ϣ
typedef struct tagNET_CFG_ALARM_MSG_HANDLE
{
    DWORD                               dwSize;

	//
    bool                				abChannelCount;                                 // Ƿ֧ͨ
	bool                				abAlarmOutCount;                                // Ƿֱ֧

	bool								abRecordMask;                                   // Ƿ֧¼ͨ
	bool								abRecordEnable;                                 // Ƿ֧¼ʹ
	bool								abRecordLatch;                                  // Ƿ֧¼ʱ

	bool								abAlarmOutMask;                                 // Ƿֱ֧ͨ

	bool								abAlarmOutEn;                                   // Ƿֱ֧ʹ
	bool								abAlarmOutLatch;                                // Ƿֱ֧ʱ
	bool								abExAlarmOutMask;                               // Ƿ֧չͨ
	bool								abExAlarmOutEn;                                 // Ƿ֧չʹ

	bool								abPtzLinkEn;                                    // Ƿ̨֧ʹ
	bool								abTourMask;                                     // Ƿ֧Ѳ
	bool								abTourEnable;                                   // Ƿ֧Ѳʹ

	bool								abSnapshot;                                     // Ƿֿ֧
	bool								abSnapshotEn;                                   // Ƿֿ֧ʹ
	bool								abSnapshotPeriod;                               // Ƿ֧֡ÿ֡ץһͼƬ
	bool								abSnapshotTimes;                                // Ƿ֧Ĵ
	bool								abTipEnable;                                    // Ƿֱ֧Ϣʾ

	bool								abMailEnable;                                   // Ƿַ֧ʼ
	bool								abMessageEnable;                                // Ƿ֧ϴķ
	bool								abBeepEnable;                                   // Ƿַ֧
	bool								abVoiceEnable;                                  // Ƿ֧ʾ

	bool								abMatrixMask;                                   // Ƿ֧Ƶ
	bool								abMatrixEnable;                                 // Ƿ֧Ƶʹ
	bool								abEventLatch;                                   // Ƿ֧ʼʱʱ
	bool								abLogEnable;                                    // Ƿ֧־ʹ

	bool								abDelay;                                        // Ƿֱ֧ʱ
	bool								abVideoMessageEn;                               // Ƿֵ֧ʾĻƵ
	bool								abMMSEnable;                                    // Ƿַ֧ͶϢ
	bool								abMessageToNetEn;                               // Ƿ֧Ϣϴʹ
	bool								abTourSplit;                                    // Ƿָֻ֧Ѳ

	bool								abSnapshotTitleEn;                              // Ƿֵ֧ͼƬʹ
	bool                				abPtzLinkEx;                                    // Ƿ̨֧ʹ
	bool                				abSnapshotTitle;                                // Ƿֵ֧ͼƬ
	bool                				abMailDetail;                                   // Ƿ֧ʼ
	bool                				abVideoTitleEn;                                 // Ƿֵ֧Ƶ⣬Ҫָ
	bool                				abVideoTitle;                                   // Ƿ֧Ƶ

	bool                				abTour;                                         // Ƿ֧Ѳ
	bool                				abDBKeys;                                       // Ƿָ֧¼ϸϢҪдݿĹؼ
	bool                				abJpegSummary;                                  // Ƿֵ֧ӵJPEGͼƬժҪϢ
	bool                				abFlashEn;                                      // Ƿֲ֧ʹ
	bool                				abFlashLatch;                                   // Ƿֲ֧ʱ

    bool								abAudioFileName;                                // Ƿ֧ļ·
    bool								abAlarmBellEn;                                  // Ƿ֧־ʹ
    bool								abAccessControlEn;                              // Ƿ֧Žʹ
    bool								abAccessControl;                                // Ƿ֧Ž

    bool								abTalkBack;	                                    // Ƿ֧
    bool								abPSTNAlarmServer;                              // Ƿֵ֧绰
    bool								abAlarmBellLatch;                               // Ƿ֧־ʱ

	bool                                abPlayTimes;                                    // Ƿ֧Ŵ
	bool                                abReboot;                                        // Ƿ֧ʹ
	bool                                abBeepTime;                                     // Ƿַ֧ʱ

    BYTE                                byReserved[68];                                 // ֶ

	//Ϣ
	NET_CFG_TIME_SCHEDULE				stuTimeSection;									// ¼Ӧʱ

	int									nChannelCount;									// 豸Ƶͨ
	int									nAlarmOutCount;									// 豸ı

	DWORD								dwRecordMask[CFG_MAX_CHANNEL_COUNT];			// ¼ͨ(λ)
	BOOL								bRecordEnable;									// ¼ʹ
	int									nRecordLatch;									// ¼ʱʱ()
	DWORD								dwAlarmOutMask[CFG_MAX_CHANNEL_COUNT];			// ͨ

	BOOL								bAlarmOutEn;									// ʹ
	int									nAlarmOutLatch;									// ʱʱ()
	DWORD								dwExAlarmOutMask[CFG_MAX_CHANNEL_COUNT];		// չͨ
	BOOL								bExAlarmOutEn;									// չʹ

	NET_CFG_PTZ_LINK					stuPtzLink[CFG_MAX_VIDEO_CHANNEL_NUM];			// ̨		//ûбӦǱչ
	BOOL								bPtzLinkEn;										// ̨ʹ
	DWORD								dwTourMask[CFG_MAX_CHANNEL_COUNT];				// ѯͨ
	BOOL								bTourEnable;									// ѯʹ

	DWORD								dwSnapshot[CFG_MAX_CHANNEL_COUNT];				// ͨ
	BOOL								bSnapshotEn;									// ʹ
	int									nSnapshotPeriod;								// ()
	int									nSnapshotTimes;									// Ĵ
	BOOL								bTipEnable;										// Ϣʾ

	BOOL								bMailEnable;									// ʼͼƬΪ
	BOOL								bMessageEnable;									// ϴ
	BOOL								bBeepEnable;							 		// 
	
	BOOL								bVoiceEnable;									// ʾ
	int                                 nPlayTimes;                                     // ŴbVoiceEnable=TRUEʱЧ

	DWORD								dwMatrixMask[CFG_MAX_CHANNEL_COUNT];			// Ƶͨ
	BOOL								bMatrixEnable;									// Ƶ
	int									nEventLatch;									// ʼʱʱ()015
	BOOL								bLogEnable;										// Ƿ¼־

	int									nDelay;											// ʱʱЧλΪ
	BOOL								bVideoMessageEn;								// ʾĻƵӵĻ¼ͣͨţʱ
	BOOL								bMMSEnable;										// Ͳʹ
	BOOL								bMessageToNetEn;								// Ϣϴʹ
	int									nTourSplit;										// Ѳʱķָģʽ 0: 1; 1: 8

	BOOL								bSnapshotTitleEn;								// ǷͼƬ
	int                 				nPtzLinkExNum;									// ̨
	NET_PTZ_LINK 						stuPtzLinkEx[CFG_MAX_VIDEO_CHANNEL_NUM];        // չ̨Ϣ
	int                 				nSnapTitleNum;									// ͼƬ
	NET_CFG_EVENT_TITLE 				stuSnapshotTitle[CFG_MAX_VIDEO_CHANNEL_NUM];	// ͼƬ
	NET_CFG_MAIL_DETAIL 				stuMailDetail;									// ʼϸ
	BOOL                				bVideoTitleEn;									// ǷƵ⣬Ҫָ
	int                 				nVideoTitleNum;									// ƵĿ
	NET_CFG_EVENT_TITLE 				stuVideoTitle[CFG_MAX_VIDEO_CHANNEL_NUM];		// Ƶ

	int                 				nTourNum;										// ѯĿ
	NET_CFG_TOURLINK    				stuTour[CFG_MAX_VIDEO_CHANNEL_NUM];				// ѯ
	int                 				nDBKeysNum;										// ָݿؼֵЧ
	char                				szDBKeys[CFG_MAX_DBKEY_NUM][CFG_MAX_CHANNELNAME_LEN];	// ָ¼ϸϢҪдݿĹؼ
	BYTE                				byJpegSummary[CFG_MAX_SUMMARY_LEN];						// ӵJPEGͼƬժҪϢ
	BOOL                				bFlashEnable;											// Ƿʹܲ
	int                 				nFlashLatch;											// ʱʱ(),ʱʱ䷶Χ[10,300]

	char								szAudioFileName[MAX_PATH];						// ļ·
	BOOL								bAlarmBellEn;									// ʹ
	BOOL								bAccessControlEn;								// Žʹ
	DWORD								dwAccessControl;								// Ž
	NET_EM_CFG_ACCESSCONTROLTYPE		emAccessControlType[CFG_MAX_ACCESSCONTROL_NUM];	// ŽϢ

	NET_CFG_TALKBACK_INFO				stuTalkback;									// Ϣ
	NET_CFG_PSTN_ALARM_SERVER			stuPSTNAlarmServer;								// 绰Ϣ
	int									nAlarmBellLatch;								// ʱʱ(10-300)

	BOOL                                bReboot;                                        //ʹTRUE:ʹ FALSE:ʹ
	int                                 nBeepTime;                                      //ʱֵΪ36000
} NET_CFG_ALARM_MSG_HANDLE;

// Ĳ
typedef struct tagNET_CFG_LINKGROUP_INFO
{
	BOOL 						bEnable;							// Ƿ
	char						szGroupID[64];						// ID
	BYTE                		bySimilarity;                       // ƶֵ
	BYTE						bReserved1[3];						// ֽڶ
	char						szColorName[32];						// ¼ʱɫ
	BOOL 						bShowTitle;							// ¼ʱǷʾ
	BOOL 						bShowPlate;							// ¼ʱǷʾȶ	
	NET_ALARM_MSG_HANDLE 		stuEventHandler;					// 
	BYTE						bReserved[512];						// ֶ
}NET_CFG_LINKGROUP_INFO;

// İ˲ģʽ
typedef struct tagNET_CFG_STRANGERMODE_INFO
{
	BOOL 						bEnable;							// ģʽǷ
	char						szColorHex[8];						// ¼ʱɫ
	BOOL 						bShowTitle;							// ¼ʱǷʾ
	BOOL 						bShowPlate;							// ¼ʱǷʾȶ
	NET_ALARM_MSG_HANDLE 		stuEventHandler;					// 
	BYTE						bReserved[512];						// ֶ	
}NET_CFG_STRANGERMODE_INFO;

// У׼Ϣ
typedef struct tagNET_CFG_CALIBRATEBOX_INFO
{
	POINTCOORDINATE     stuCenterPoint;                       // У׼ĵ(һ[0,8191])
	float               fRatio;                               // Ի׼У׼ı(1ʾ׼С0.5ʾ׼Сһ)
}NET_CFG_CALIBRATEBOX_INFO;

// ߴ
typedef struct tagNET_CFG_SIZE
{
	union
	{
		float				nWidth;			// 
		float				nArea;			// 
	};
	float					nHeight;		// 
	
} NET_CFG_SIZE;

// ߴ
typedef struct tagNET_CFG_SIZEFILTER_INFO
{
	int                   nCalibrateBoxNum;                       // У׼
	NET_CFG_CALIBRATEBOX_INFO stuCalibrateBoxs[10]; 				  // У׼(Զ˽˱궨ģʽЧ)
	bool                bMeasureModeEnable;                       // ʽǷЧ
	BYTE                bMeasureMode;                             // ʽ,0-أҪԶˡ˱궨, 1-ʵʳȣλ, 2-Զ˽˱궨
	bool                bFilterTypeEnable;                        // ͲǷЧ
	// ByArea,ByRatioݣʹöByAreaByRatioѡ 2012/03/06
	BYTE				bFilterType;			 				  // :0:"ByLength",1:"ByArea", 2"ByWidthHeight"
	bool                bFilterMinSizeEnable;                     // СߴǷЧ
	bool                bFilterMaxSizeEnable;                     // ߴǷЧ
	bool                abByArea;
	bool                abMinArea;
	bool                abMaxArea;
	bool                abMinAreaSize;
	bool                abMaxAreaSize;
	bool                bByArea;                                  // Ƿ ͨComplexSizeFilterжǷ
	NET_CFG_SIZE		stuFilterMinSize;						  // Сߴ "ByLength"ģʽ±ʾߵĳߴ磬"ByArea"ģʽ¿ʾЧ(Զ˽˱궨ģʽ±ʾ׼Ŀ߳ߴ)
	NET_CFG_SIZE		stuFilterMaxSize;				          // ߴ "ByLength"ģʽ±ʾߵĳߴ磬"ByArea"ģʽ¿ʾЧ(Զ˽˱궨ģʽ±ʾ׼Ŀ߳ߴ)
	float               nMinArea;                                 // С
	float               nMaxArea;                                 // 
	NET_CFG_SIZE        stuMinAreaSize;                           // Сοߴ "ʽ"Ϊ""ʱʾСοĿ߳ߴ磻"ʽ"Ϊ"Զ˽˱궨ģʽ"ʱʾ׼С߳ߴ磻
	NET_CFG_SIZE        stuMaxAreaSize;                           // οߴ, ͬ
	bool                abByRatio;
	bool                abMinRatio;
	bool                abMaxRatio;
	bool                abMinRatioSize;
	bool                abMaxRatioSize;
	bool                bByRatio;                                 // Ƿ񰴿߱ȹ ͨComplexSizeFilterжǷ
	bool                bReserved1[2];
	double              dMinRatio;                                // С߱
	double              dMaxRatio;                                // ߱
	NET_CFG_SIZE        stuMinRatioSize;                          // С߱Ⱦοߴ磬С߱ȶӦοĿ߳ߴ硣
	NET_CFG_SIZE        stuMaxRatioSize;                          // ߱Ⱦοߴ磬ͬ
	int                 nAreaCalibrateBoxNum;                     // У׼
	NET_CFG_CALIBRATEBOX_INFO stuAreaCalibrateBoxs[10];			  // У׼
	int                 nRatioCalibrateBoxs;                      // У׼
	NET_CFG_CALIBRATEBOX_INFO stuRatioCalibrateBoxs[10];			  // У׼
	bool                abBySize;                                 // ʹܲǷЧ
	bool                bBySize;                                  // ʹ
	BYTE				bReserved[518];							  // ֶ	
}NET_CFG_SIZEFILTER_INFO;

// 
typedef enum tagEM_SENSOR_TYPE
{
	EM_SENSOR_TYPE_UNKNOWN,		// δ֪
	EM_SENSOR_TYPE_NC,			// 
	EM_SENSOR_TYPE_NO,			// 
}EM_SENSOR_TYPE;

// 
typedef struct tagNET_LOCAL_EXT_ALARM_INFO
{
	DWORD						dwSize;									// ṹС
	BOOL						bEnable;								// ʹܿ
	char						szName[MAX_LOCAL_EXT_ALARM_NAME_LEN];	// ͨ
	EM_SENSOR_TYPE				emSensorType;							// 
	NET_CFG_ALARM_MSG_HANDLE	stuEventHandler;						// 	
}NET_LOCAL_EXT_ALARM_INFO;

// 
typedef enum tagNET_EM_FIREWARNING_MODE_TYPE
{
	NET_EM_FIREWARNING_TYPE_PTZPRESET,		// ̨ԤõģʽĬϣ	
	NET_EM_FIREWARNING_TYPE_SPACEEXCLUDE,	// ռųģʽ
} NET_EM_FIREWARNING_MODE_TYPE;

// Ԥģʽ NET_EM_CFG_FIRE_WARNINGMODE
typedef struct tagNET_FIREWARNING_MODE_INFO
{
	DWORD							dwSize;								// ṹС
	NET_EM_FIREWARNING_MODE_TYPE	emFireWarningMode;					// Ԥģʽ
} NET_FIREWARNING_MODE_INFO;

// 𾯼
typedef enum tagNET_EM_FIREWARNING_DETECTMODE_TYPE
{
	NET_EM_FIREWARNING_DETECTMODE_TYPE_AUTO,			// Զ(Ĭ)
	NET_EM_FIREWARNING_DETECTMODE_TYPE_NORMAL,		    // 
} NET_EM_FIREWARNING_DETECTMODE_TYPE;

// Ŀ
typedef enum tagNET_EM_FIREWARNING_DETECTTARGET_TYPE
{
	NET_EM_FIREWARNING_DETECTTARGET_TYPE_FIRE,		// (Ĭ)
	NET_EM_FIREWARNING_DETECTTARGET_TYPE_SMOKE,		// ̼
} NET_EM_FIREWARNING_DETECTTARGET_TYPE;

#define  MAX_FIREWARNING_DETECTRGN_NUM			32			// ĸ
#define  MAX_FIREWARNING_RULE_NUM				32			// 𾯹
#define  MAX_FIREWARNING_DETECTWND_NUM			8			// 𾯼ⴰڸ

// Ԥ
typedef struct tagNET_FIREWARN_EVENTHANDLE_INFO
{
	NET_CFG_TIME_SCHEDULE   stuTimeSection;										            // ʱ
	BOOL					bRecordEnable;													// ¼ʹܣͬʱRecordChannelsʹΪTRUE¼actionΪstartʼ¼stopֹͣ¼FALSE¼
	int						nRecordChannelNum;												// ¼ͨ
	int						nRecordChannels[32];											// ¼ͨб
	int						nRecordLatch;													// ¼ʱʱ䣨λ룩Χ[10,300]
	BOOL					bAlarmOutEnable;												// ʹ
	int						nAlarmOutChannelNum;											// ͨ
	int						nAlarmOutChannels[32];											// ͨб
	int						nAlarmOutLatch;													// ֹͣʱʱ䣨λ룩Χ[10, 300]
 	int						nPtzLinkNum;													// ̨   
	DH_PTZ_LINK				struPtzLink[16];												// ̨ 
	BOOL					bPtzLinkEnable;													// ̨ʹ
	BOOL					bSnapshotEnable;												// ʹ
	int						nSnapshotChannelNum;											// ͨ
	int						nSnapshotChannels[32];											// ͨб
	BOOL					bMailEnable;													// ʼͼƬΪ
	BYTE					byReserved[1024];												// ֽ
} NET_FIREWARN_EVENTHANDLE_INFO;

// 𾯼ⴰ
typedef struct tagNET_FIREWARN_DETECTWND_INFO
{
	int				nRgnNum;												// ĸ
	BYTE            byReservedAlign[4];										// ֽ
	INT64			nRegions[MAX_FIREWARNING_DETECTRGN_NUM];				// 
	NET_POSTIONF	stuPostion;												// ռųϢ
	int				nTargetSize;											// Ŀĳߴ(Ϊ:NormalЧ,λ)
	int				nSensitivity;											// ȣΪ:NormalЧ
	int				nWindowsID;												// ID
	char			szName[32];												// 
	BYTE			byReserved[256];										// ֽ
} NET_FIREWARN_DETECTWND_INFO;

// ԤϢ
typedef struct tagNET_FIREWARN_RULE_INFO
{
	BOOL							bEnable;								// ԤǷ
	int								nPresetId;								// Ԥõ,ԤģʽΪԤõģʽЧ
	int								nRow;									// ּ
	int								nCol;									// ּ
	NET_EM_FIREWARNING_DETECTMODE_TYPE		emFireWarningDetectMode;		// 𾯼ģʽ
	NET_EM_FIREWARNING_DETECTTARGET_TYPE	emFireWarningDetectTragetType;	// 𾯼Ŀ
	BOOL							bTimeDurationEnable;					// Ƿóʱ
	int								nFireDuration;							// ۲ʱ䣬λ롣ˮƽתʱΪͬһظ⣬
																			// óʱʱ䣬ʱ䣬˵
	
	NET_FIREWARN_EVENTHANDLE_INFO	stuEventHandler;						// Ϣ
	int								nDetectWindowNum;						// ڸ
	NET_FIREWARN_DETECTWND_INFO		stuDetectWnd[MAX_FIREWARNING_DETECTWND_NUM]; // 𾯼ⴰ
	BYTE							byReserved[256];						// ֽ
} NET_FIREWARN_RULE_INFO;

// Ԥ(ṹϴ󣬽Newڴ) NET_EM_CFG_FIRE_WARNING
typedef struct tagNET_FIRE_WARNING_INFO
{
	DWORD							dwSize;																// ṹС
	int								nFireWarnRuleNum;													// Ԥø
	NET_FIREWARN_RULE_INFO			stuFireWarnRule[MAX_FIREWARNING_RULE_NUM];							// Ԥù
} NET_FIRE_WARNING_INFO;

// ȵ㱨
typedef enum tagEM_HOT_ALARM_CONDITION
{
    EM_HOT_ALARM_CONDITION_UNKNOWN,						               // δ֪
    EM_HOT_ALARM_CONDITION_ABOVE_MAX,								   // ڸֵ
    EM_HOT_ALARM_CONDITION_ABOVE_MAX_AND_BELOW_MIN,					   // µڵֵ¸ڸֵ(㱨ҲȡֵʱЧ)
} EM_HOT_ALARM_CONDITION;

// 㱨
typedef enum tagEM_COLD_ALARM_CONDITION
{
    EM_COLD_ALARM_CONDITION_UNKNOWN,						           // δ֪
    EM_COLD_ALARM_CONDITION_BELOW_MIN,								   // ڵֵ
    EM_COLD_ALARM_CONDITION_ABOVE_MAX_AND_BELOW_MIN,				   // µڵֵ¸ڸֵ(ȵ㱨ҲȡֵʱЧ)
} EM_COLD_ALARM_CONDITION;

// 㱨(ṹϴ󣬽Newڴ) NET_EM_CFG_HOT_COLD_SPOT_WARNING
typedef struct tagNET_HOT_COLD_SPOT_WARNING_INFO
{
    DWORD							dwSize;								// ṹС
    BOOL                            bHotAlarmEnable;                    // ȵ㱨ʹ
    BOOL                            bColdAlarmEnable;                   // 㱨ʹ
    EM_HOT_ALARM_CONDITION			emHotAlarmCondition;				// ȵ㱨
    EM_COLD_ALARM_CONDITION			emColdAlarmCondition;				// 㱨
    BYTE				            byReserved[4];		                // ֽڶ
    double                          dHotThreshold;                      // ȵ㱨¶ֵ
    double                          dColdThreshold;                     // 㱨¶ֵ
    BOOL                            bHotSpotLinkEnable;                 // ȵʹ
    BOOL                            bColdSpotLinkEnable;                // ʹ
    NET_CFG_ALARM_MSG_HANDLE        stuEventHandler;		            //      
} NET_HOT_COLD_SPOT_WARNING_INFO;

// ģʽ
typedef enum tagEM_ALARM_OUT_MODE
{
	EM_ALARM_OUT_MODE_UNKNOWN = -1,						// δ֪
	EM_ALARM_OUT_MODE_AUTO,								// Զ
	EM_ALARM_OUT_MODE_FORCED,							// ǿƱ
	EM_ALARM_OUT_MODE_CLOSE,							// رձ
} EM_ALARM_OUT_MODE;

// ǰ (Ӧö NET_EM_CFG_REMOTE_ALARM_BELL)
typedef struct tagNET_CFG_REMOTE_ALARM_BELL_INFO
{
	DWORD							dwSize;							// ṹС
	EM_ALARM_OUT_MODE				emMode;							// ģʽ
} NET_CFG_REMOTE_ALARM_BELL_INFO;
 
// Ž
typedef struct tagNET_CFG_ACCESSCTL_BLACKLIST
{
    DWORD                           dwSize;                             
    BOOL                            bEnable;                               // ʹ   
}NET_CFG_ACCESSCTL_BLACKLIST;

typedef struct tagNET_CFG_VSP_HONEYWELL_INFO
{
	DWORD                   dwSize;                 //ṹС
	BOOL                    bEnable;                //ʹ
	char                    szIPAddress[64];        //IPַ
	int                     nPort;                  //˿
	char                    szUserName[128];        //û
	char                    szPassword[128];        //
	char					szUserCode[8];			//û
}NET_CFG_VSP_HONEYWELL_INFO;

// ־ʽ
typedef struct tagNET_CFG_LOG_GROUP_INFO
{
	UINT				nSize;			// СԴֵ1400
	UINT				nBatch;			// ־ֵ20 Ĭϣ1
	UINT				nDelay;			// ʱʱ, ֵ60000 Ĭϣ60000 λ
	BYTE				byReserved[32];		// ֽ
}NET_CFG_LOG_GROUP_INFO;
// Ϣ
typedef struct tagNET_CFG_LOG_SERVER_INFO
{
	BOOL						bEnable;		// ʹ
	char						szIP[40];		// IP
	UINT						nPort;			// ˿
	UINT						nProtocol;		// Э  0: TCP 1: UDP
	UINT						nSerial;		// ںţֵ0xFFFF1λ(0x0001)Ӧ12λ(0x0002)Ӧ23λ(0x0004)Ӧ3
	NET_CFG_LOG_GROUP_INFO		stuLogGroup;	// ־ʽ
	BYTE						byReserved[256];		// ֽ
}NET_CFG_LOG_SERVER_INFO;
// ׷
typedef struct tagNET_CFG_LOG_APPEND_INFO
{
	BOOL		bSequence;			// кʹ
	BOOL		bDate;				// ֶʹ
	BOOL		bTime;				// ʱֶʹ
	char		szCustom[32];		// Զֶ
	BYTE		byReserved[32];		// ֽ
}NET_CFG_LOG_APPEND_INFO;
// ڷ־ͷ񣨶Ӧö NET_EM_CFG_SERIAL_PUSH_LOG
typedef struct tagNET_CFG_SERIALPUSHLOG_INFO
{
	DWORD						dwSize;				// ṹС
	BOOL						bEnable;			// ʹ
	NET_CFG_LOG_SERVER_INFO		stuServerInfo[16];	// Ϣ
	int							nServerCount;		// Ϣ
	NET_CFG_LOG_APPEND_INFO		stuAppendInfo[16];	// ׷Ϣ
	int							nAppendCount;		// ׷Ϣʽ
}NET_CFG_SERIALPUSHLOG_INFO;


// CVI ⲿϢ
typedef struct tagNET_CFG_COAXIAL_ALARMLOCAL
{
	BOOL							bEnable;				// ʹ
	char							szName[64];				// ͨ
	NET_SENSE_METHOD				emSenseMethod;			// 
	NET_ALARM_MSG_HANDLE			stuEventHandler;		// ¼Ϣ	
	BYTE							byReserved[1024];		// Ԥֽ	
}NET_CFG_COAXIAL_ALARMLOCAL;

// CVIⲿ
typedef struct tagNET_COAXIAL_ALARMLOCAL_INFO
{
	DWORD							dwSize;					// ṹС
	NET_CFG_COAXIAL_ALARMLOCAL*		pstuAlaramCfg;			// Ϣ
	int								nCount;					// pstuAlaramCfg 
	int								nCountRet;				// ʵʷصø
}NET_COAXIAL_ALARMLOCAL_INFO;

// עļ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_attachAIOFileProc(LLONG lLoginID, const NET_IN_ATTACH_AIO* pstInParam, NET_OUT_ATTACH_AIO *pstOutParam, int nWaitTime);

// עļ,lAttachHandleCLIENT_attachAIOFileProcֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_detachAIOFileproc(LLONG lAttachHandle);

// NVR
CLIENT_NET_API LLONG CALL_METHOD CLIENT_SetAIOAdvert(LLONG lLoginID, const NET_IN_SET_ADVERT* pstInParam, NET_OUT_SET_ADVERT *pstOutParam, int nWaitTime);

// NVR
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AIOScreen(LLONG lLoginID, const NET_IN_AIO_SCREEN* pstInParam, NET_OUT_AIO_SCREEN *pstOutParam, int nWaitTime);

//  ʼ첽ļϴԭ,lUploadFileHandle Ϊ CLIENT_StartUploadAIOFile ӿڷֵ, nErrorʧܵĴ
typedef void (CALLBACK *fUploadAIOFileCallBack) (LLONG lUploadFileHandle, int nTotalSize, int nSendSize, LDWORD dwUser, int nError);

// ʼ첽ļϴ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartUploadAIOFile(LLONG lLoginID, const NET_IN_UPLOAD_AIO_FILE* pInParam, NET_OUT_UPLOAD_AIO_FILE* pOutParam, fUploadAIOFileCallBack cbUploadFile, LDWORD dwUser);

// ֹͣ첽ļϴ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopUploadAIOFile(LLONG lUploadFileID);

// ư׿adbر
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ControlAndroidAdb(LLONG lLoginID, const NET_IN_CONTROL_ANDROID_ADB* pstInParam, NET_OUT_CONTROL_ANDROID_ADB *pstOutParam, int nWaitTime);

// ȡϢ(szOutBufferڴûͷ, ö˵)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetConfig(LLONG lLoginID, NET_EM_CFG_OPERATE_TYPE emCfgOpType, int nChannelID,
                                                         void* szOutBuffer, DWORD dwOutBufferSize, int waittime=NET_INTERFACE_DEFAULT_TIMEOUT, void *reserve = NULL);

// Ϣ(szInBufferڴûͷ, ö˵)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetConfig(LLONG lLoginID, NET_EM_CFG_OPERATE_TYPE emCfgOpType, int nChannelID,
                                                         void* szInBuffer, DWORD dwInBufferSize, int waittime=NET_INTERFACE_DEFAULT_TIMEOUT, int *restart = NULL, void *reserve = NULL);
														 
// Ӧ뻺
typedef struct tagNET_IN_BUFFER_POLICY
{
    DWORD                   dwSize;             
    DH_RealPlayType         emRealPlayType;          // ֻ֧͡Ӧ
    UINT                    nPolicy;                 // ԣ0Ĭϣ12ʵʱ
}NET_IN_BUFFER_POLICY; 

// ñ뻺,pInBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetRealplayBufferPolicy(LLONG lPlayHandle,NET_IN_BUFFER_POLICY* pInBuf,int nWaitTime);
  
//////////////////////////////////////////////////////////////////////////
// TestOSD 
typedef enum tagEM_TESTOSD_OPERATE_TYPE
{
    EM_TESTOSD_ADD_TEXT,          // Ϣ Ӧ NET_IN_TESTOSD_ADD_TEXT  NET_OUT_TESTOSD_ADD_TEXT
    EM_TESTOSD_GET_TEXT,          // ȡϢ Ӧ NET_IN_TESTOSD_GET_TEXT  NET_OUT_TESTOSD_GET_TEXT
    EM_TESTOSD_MODIFY_TEXT,       // ޸Ϣ Ӧ NET_IN_TESTOSD_MODIFY_TEXT  NET_OUT_TESTOSD_MODIFY_TEXT
    EM_TESTOSD_DELETE_TEXT,       // ɾϢ Ӧ NET_IN_TESTOSD_DELETE_TEXT  NET_OUT_TESTOSD_DELETE_TEXT
    EM_TESTOSD_ADD_PICTURE,       // ͼƬϢ Ӧ NET_IN_TESTOSD_ADD_PIC  NET_OUT_TESTOSD_ADD_PIC
    EM_TESTOSD_GET_PICTURE,       // ȡͼƬϢ Ӧ NET_IN_TESTOSD_GET_PIC  NET_OUT_TESTOSD_GET_PIC
    EM_TESTOSD_DELETE_PICTURE,    // ɾͼƬϢ Ӧ NET_IN_TESTOSD_DELETE_PIC  NET_OUT_TESTOSD_DELETE_PIC
}EM_TESTOSD_OPERATE_TYPE;

// ıϢ
typedef struct tagNET_TEXT_OSD
{   
    char                    szText[DH_COMMON_STRING_256];   // ı
    DH_POINT                stuPoint;                       // ıλ
	NET_COLOR_RGBA			stuTextColor;					// ıɫ
	int						nFontSize;						// ıС 0-С 1-С 2-
    BYTE                    byReserved[44];                 // ֽ
}NET_TEXT_OSD;

// ͼƬ
typedef enum tagEM_OSDPIC_TYPE
{
    EM_OSDPIC_UNKNOWN,                                      // δ֪Ƭ
    EM_OSDPIC_HEADONFACE,                                   // 
    EM_OSDPIC_SIDEFACE,                                     // 
    EM_OSDPIC_MAP,                                          // ͼ
}EM_OSDPIC_TYPE;

// ͼƬϢ
typedef struct tagNET_PICTURE_OSD
{
    EM_OSDPIC_TYPE          emPictureType;                  // ͼƬ
	NET_RECT				stuPictureLocation;				// ͼƬλ
    BYTE                    byReserved[48];                 // ֽ
}NET_PICTURE_OSD;

// Ϣ 
typedef struct tagNET_IN_TESTOSD_ADD_TEXT
{
    DWORD                   dwSize; 
    int                     nMaxCount;                      // Ч
    NET_TEXT_OSD            *pstuTextInfo;                  // Ϣ, û, Ϊ nMaxCount   
}NET_IN_TESTOSD_ADD_TEXT;

// Ϣ 
typedef struct tagNET_OUT_TESTOSD_ADD_TEXT
{
    DWORD                   dwSize;
    int                     nReturnCount;                   // Ч
    int                     *pnTextID;                      // ϢӦID, û, Ϊ nMaxCount
    int                     *pnReturnCode;                  // , 0-ɹ 1-ʧ, û, Ϊ nMaxCount
}NET_OUT_TESTOSD_ADD_TEXT;

// ȡϢ
typedef struct tagNET_IN_TESTOSD_GET_TEXT
{
    DWORD                   dwSize;
    int                     nMaxCount;                      // Ч
    int                     *pnTextID;                      // ϢӦID, û, Ϊ nMaxCount
}NET_IN_TESTOSD_GET_TEXT;

// ȡϢ
typedef struct tagNET_OUT_TESTOSD_GET_TEXT
{
    DWORD                   dwSize;
    int                     nReturnCount;                   // Ч
    NET_TEXT_OSD            *pstuTextInfo;                  // Ϣ, û, Ϊ nMaxCount
}NET_OUT_TESTOSD_GET_TEXT;

// ޸Ϣ
typedef struct tagNET_IN_TESTOSD_MODIFY_TEXT
{
    DWORD                   dwSize;
    int                     nMaxCount;                      // Ч
    int                     *pnTextID;                      // ϢӦID, û, Ϊ nMaxCount
    NET_TEXT_OSD            *pstuTextInfo;                  // Ϣ, û, Ϊ nMaxCount
}NET_IN_TESTOSD_MODIFY_TEXT;

// ޸Ϣ
typedef struct tagNET_OUT_TESTOSD_MODIFY_TEXT
{
    DWORD                   dwSize;
    int                     nReturnCount;                   // Ч
    int                     *pnReturnCode;                  // , 0-ɹ 1-ʧ û, ΪεnValidCount
}NET_OUT_TESTOSD_MODIFY_TEXT;

// ɾϢ
typedef struct tagNET_IN_TESTOSD_DELETE_TEXT
{
    DWORD                   dwSize;
    int                     nMaxCount;                      // Ч
    int                     *pnTextID;                      // ϢӦID
}NET_IN_TESTOSD_DELETE_TEXT;

// ɾϢ
typedef struct tagNET_OUT_TESTOSD_DELETE_TEXT
{
    DWORD                   dwSize;
    int                     nReturnCount;                   // Ч
    int                     *pnReturnCode;                  // , 0-ɹ 1-ʧ
}NET_OUT_TESTOSD_DELETE_TEXT;

// ͼƬ
typedef struct tagNET_IN_TESTOSD_ADD_PIC
{
    DWORD                   dwSize;
    int                     nMaxCount;                      // Ч
    char                    (*pszFilePath)[MAX_PATH];       // ͼƬ洢·
    NET_PICTURE_OSD         *pstuPicture;
}NET_IN_TESTOSD_ADD_PIC;

// ͼƬ
typedef struct tagNET_OUT_TESTOSD_ADD_PIC
{
    DWORD                   dwSize;
    int                     nReturnCount;                   // Ч
    int                     *pnReturnCode;                  // , 0-ɹ 1-ʧ
}NET_OUT_TESTOSD_ADD_PIC;

// ȡͼƬ
typedef struct tagNET_IN_TESTOSD_GET_PIC
{
    DWORD                   dwSize;
    int                     nCount;                         // ȡͼƬ
}NET_IN_TESTOSD_GET_PIC;

// ȡͼƬ
typedef struct tagNET_OUT_TESTOSD_GET_PIC
{
    DWORD                   dwSize;    
    int                     nReturnCount;                   // Ч
    char                    (*pszFilePath)[MAX_PATH];       // ͼƬ洢·
    NET_PICTURE_OSD         *pstuPicture;
}NET_OUT_TESTOSD_GET_PIC;

// ɾͼƬ
typedef struct tagNET_IN_TESTOSD_DELETE_PIC
{
    DWORD                   dwSize;
    int                     nMaxCount;                      // Ч
    char                    (*pszFilePath)[MAX_PATH];       // ͼƬ洢·    
}NET_IN_TESTOSD_DELETE_PIC;

// ɾͼƬ 
typedef struct tagNET_OUT_TESTOSD_DELETE_PIC
{
    DWORD                   dwSize;
    int                     nReturnCount;                   // Ч
    int                     *pnReturnCode;                  // , 0-ɹ 1-ʧ
}NET_OUT_TESTOSD_DELETE_PIC;


//ȡ¼־
typedef struct tagNET_IN_GET_ALARM_EVENT_LOG
{
	DWORD                   dwSize;
	UINT 	                nEventID;				        // ¼ID
}NET_IN_GET_ALARM_EVENT_LOG;

// ȡ¼־
typedef struct tagNET_OUT_GET_ALARM_EVENT_LOG
{
	DWORD                   dwSize;
	DWORD			        dwAlarmType;			   // ¼	
	BYTE 			       *byAlarmData;               // ¼ݣû,2*1024ֽ
	int 			        nMaxDataLen;		       // ¼󳤶
	int						nRetDataLen;               // ʵʷص¼
}NET_OUT_GET_ALARM_EVENT_LOG;

// ȡ¼־
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetEventLog(LLONG lLoginID, const NET_IN_GET_ALARM_EVENT_LOG *pstuInParam, NET_OUT_GET_ALARM_EVENT_LOG *pstuOutParam, int nWaitTime);

// TestOSDӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateTestOSD(LLONG lLoginID, EM_TESTOSD_OPERATE_TYPE emOperateType, void *pInParam, void *pOutParam, int nWaitTime);

// ͽͨ߼ͨ
typedef struct tagNET_IN_COURSECOMPOSITE_LOCK_CONTROL
{
    DWORD                   dwSize;
    BOOL                    bLock;                         // TRUEFALSE 
    int                     nClassRoomID;                  // ID        
    int                     nLogicChannel;                 // ߼ͨ
}NET_IN_COURSECOMPOSITE_LOCK_CONTROL;

// ͽͨ߼ͨ
typedef struct tagNET_OUT_COURSECOMPOSITE_LOCK_CONTROL
{
    DWORD                   dwSize;
}NET_OUT_COURSECOMPOSITE_LOCK_CONTROL;

// ȡ״̬
typedef struct tagNET_IN_COURSECOMPOSITE_GET_LOCKINFO
{
    DWORD                   dwSize;
    int                     nClassRoomID;                  // ID
    int                     nLogicChannel;                 // ߼ͨ
}NET_IN_COURSECOMPOSITE_GET_LOCKINFO;

// ȡ״̬
typedef struct tagNET_OUT_COURSECOMPOSITE_GET_LOCKINFO
{
    DWORD                   dwSize;             
    BOOL                    bState;                        // ״̬
}NET_OUT_COURSECOMPOSITE_GET_LOCKINFO;

// ȡͨϢ
typedef struct tagNET_IN_COURSECOMPOSITE_GET_INFO
{
    DWORD                   dwSize;                        
    int                     nClassRoomId;                  // ID
}NET_IN_COURSECOMPOSITE_GET_INFO;

// ¼ģʽ
typedef enum tagEM_COMPOSITECHANNEL_MODE
{
    EM_COMPOSITECHANNEL_CUSTOMER = -1,                      // Զ
    EM_COMPOSITECHANNEL_INVALID,                            // Ч
    EM_COMPOSITECHANNEL_MOVIE,                              // Ӱģʽ
    EM_COMPOSITECHANNEL_NORMALCY,                           // ̬ģʽ
    EM_COMPOSITECHANNEL_PICK,                               // Ʒģʽ
}EM_COMPOSITECHANNEL_MODE;

// ͨϢ
typedef struct tagNET_COMPOSITECHANNEL_INFO
{
    char                        szCourseName[DH_COMMON_STRING_128];     // γ
    char                        szTeacherName[DH_COMMON_STRING_64];     // ʦ
    int						    nCompositeChannelMode;                 // ¼ģʽ; 0:Ч1:Ӱģʽ 2:̬ģʽ 3:Ʒģʽ <0:ûԶģʽ
    int                         nChannelNum;                            // ߼ͨ
    BOOL                        bCanStream[MAX_COURSE_LOGIC_CHANNEL];   // Ƿ±ӦΪ߼ͨ
    BYTE                        byReserved[256];                                                  
}NET_COMPOSITECHANNEL_INFO;

// ȡͨϢ
typedef struct tagNET_OUT_COURSECOMPOSITE_GET_INFO
{
    DWORD                       dwSize;     
    NET_COMPOSITECHANNEL_INFO   stuChannelInfo;                          // ͨϢ
}NET_OUT_COURSECOMPOSITE_GET_INFO;

// ͨϢ
typedef struct tagNET_IN_COURSECOMPOSITE_SET_INFO
{
    DWORD                       dwSize;                        
    int                         nClassRoomId;                            // ID
    NET_COMPOSITECHANNEL_INFO   stuChannelInfo;                          // ͨϢ
}NET_IN_COURSECOMPOSITE_SET_INFO;

// ͨϢ
typedef struct tagNET_OUT_COURSECOMPOSITE_SET_INFO
{
    DWORD                       dwSize;                        
}NET_OUT_COURSECOMPOSITE_SET_INFO;

// ͨϢµtime
typedef struct tagNET_IN_COURSECOMPOSITE_UPDATE_INFO
{
    DWORD                       dwSize;      
    int                         nClassRoomId;                        // ID
    NET_TIME                    stuTime;                             // ѯʱ                     
}NET_IN_COURSECOMPOSITE_UPDATE_INFO;

// ͨϢµtime
typedef struct tagNET_OUT_COURSECOMPOSITE_UPDATE_INFO
{
    DWORD                       dwSize;                          
}NET_OUT_COURSECOMPOSITE_UPDATE_INFO;

// ¼ͨ
typedef enum tagEM_COURSECOMPOSITE_OPERATE_TYPE
{
    EM_COURSECOMPOSITE_TYPE_LOCK_CONTROL,                   //ͨ߼ͨӦṹpInParam = NET_IN_COURSECOMPOSITE_LOCK_CONTROL,pOutParam = NET_OUT_COURSECOMPOSITE_LOCK_CONTROL
    EM_COURSECOMPOSITE_TYPE_GET_LOCKINFO,                   //ȡͨ߼ͨϢӦṹpInParam = NET_IN_COURSECOMPOSITE_GET_LOCKINFOpOutParam = NET_OUT_COURSECOMPOSITE_GET_LOCKINFO 
    EM_COURSECOMPOSITE_TYPE_GET_INFO,                       //ȡͨϢ,ӦṹpInParam = NET_IN_COURSECOMPOSITE_GET_INFO,pOutParam = NET_OUT_COURSECOMPOSITE_GET_INFO 
    EM_COURSECOMPOSITE_TYPE_SET_INFO,                       //ͨϢ,ӦṹpInParam = NET_IN_COURSECOMPOSITE_SET_INFO,pOutParam = NET_OUT_COURSECOMPOSITE_SET_INFO 
    EM_COURSECOMPOSITE_TYPE_UPDATE_INFO,                    //ͨϢµtimeʱϢӦṹ pInParam = NET_IN_COURSECOMPOSITE_UPDATE_INFO, pOutParam = NET_OUT_COURSECOMPOSITE_UPDATE_INFO
}EM_COURSECOMPOSITE_OPERATE_TYPE;

CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateCourseCompositeChannel(LLONG lLoginID, EM_COURSECOMPOSITE_OPERATE_TYPE emOperateType, void *pInParam, void *pOutParam, int nWaitTime);

// ¼
#define NET_MAX_WINDOWS_NUMBER	64
// ¼ģʽ
#define NET_MAX_MODE_NUMBER		64

// ¼Ϣ
typedef struct tagNET_COMPOSITECHANNELMODE_WINDOWS
{
	DH_RECT					stRect;					// , 8192ϵ
	int						nLogicChannel;			// ߼ͨ, Ϊ-1ʾ˴ûаͨ
	int						nZOrder;				// Z
	BYTE                    byReserved[64];         // ֽ
}NET_COMPOSITECHANNELMODE_WINDOWS;

// ¼ģʽϢ
typedef struct tagNET_COMPOSITECHANNELMODE_INFO
{
	char									szName[DH_COMMON_STRING_128];			// ģʽ
	int										nWindowNum;								// ʵʴڸ
	NET_COMPOSITECHANNELMODE_WINDOWS		stWindows[NET_MAX_WINDOWS_NUMBER];		// Ϣ
	BYTE									byReserved[64];							// ֽ
}NET_COMPOSITECHANNELMODE_INFO;

// ¼ģʽ
typedef struct tagNET_IN_COURSECOMPOSITE_CHANNEL_MODE_ADD
{
    DWORD							dwSize;								// ṹС
    int								nCount;								// ҪӵģʽĿ
	NET_COMPOSITECHANNELMODE_INFO	stModeInfo[NET_MAX_MODE_NUMBER];	// ģʽϢ
}NET_IN_COURSECOMPOSITE_CHANNEL_MODE_ADD;

// ¼ģʽϢ
typedef struct tagNET_COURSECOMPOSITE_CHANNEL_MODE_ADD_RESULT
{
	int						nMode;					// ģʽ, 0 Ч, 1 Ӱģʽ, 2 ̬ģʽ, 3 Ʒģʽ, С0 Զģʽ
	int						nReturnCode;			// , 1 ɹ, 2 ʧ, 3 , 4 Դ
	BYTE                    byReserved[64];         // ֽ
}NET_COURSECOMPOSITE_CHANNEL_MODE_ADD_RESULT;

// ¼ģʽ
typedef struct tagNET_OUT_COURSECOMPOSITE_CHANNEL_MODE_ADD
{
    DWORD											dwSize;								// ṹС
	int												nCount;								// ʵʷظ
	NET_COURSECOMPOSITE_CHANNEL_MODE_ADD_RESULT		stResult[NET_MAX_MODE_NUMBER];		// 
}NET_OUT_COURSECOMPOSITE_CHANNEL_MODE_ADD;

// ¼ɾģʽ
typedef struct tagNET_IN_COURSECOMPOSITE_CHANNEL_MODE_DELETE
{
	DWORD					dwSize;							// ṹС
	int						nModeNum;						// ɾģʽ
	int						nMode[NET_MAX_MODE_NUMBER];		// ɾģʽ
}NET_IN_COURSECOMPOSITE_CHANNEL_MODE_DELETE;

// ¼ɾģʽ
typedef struct tagNET_OUT_COURSECOMPOSITE_CHANNEL_MODE_DELETE
{
	DWORD					dwSize;									// ṹС
	int						nReturnNum;								// ɾģʽ
	int						nReturnCode[NET_MAX_MODE_NUMBER];		// : 1 ɹ, 2 ʧ
}NET_OUT_COURSECOMPOSITE_CHANNEL_MODE_DELETE;

// ¼޸ģʽ
typedef struct tagNET_IN_COURSECOMPOSITE_CHANNEL_MODE_MODIFY 
{
	DWORD							dwSize;								// ṹС
	int								nModeNum;							// ޸ĵģʽ
	int								nMode[NET_MAX_MODE_NUMBER];			// ģʽ
	NET_COMPOSITECHANNELMODE_INFO	stModeInfo[NET_MAX_MODE_NUMBER];	// ģʽϢ
}NET_IN_COURSECOMPOSITE_CHANNEL_MODE_MODIFY;

// ¼޸ģʽ
typedef struct tagNET_OUT_COURSECOMPOSITE_CHANNEL_MODE_MODIFY
{
	DWORD					dwSize;									// ṹС
	int						nReturnNum;								// ޸ĵģʽ, ޸ĵģʽͬ
	int						nReturnCode[NET_MAX_MODE_NUMBER];		// : 1 ɹ, 2 ʧ, 3, , 4 Դ
}NET_OUT_COURSECOMPOSITE_CHANNEL_MODE_MODIFY;

// ¼ȡģʽ
typedef struct tagNET_IN_COURSECOMPOSITE_CHANNEL_MODE_GET 
{
	DWORD					dwSize;					// ṹС
	int						nCount;					// Ҫȡģʽ
}NET_IN_COURSECOMPOSITE_CHANNEL_MODE_GET;

// ¼ȡģʽ
typedef struct tagNET_OUT_COURSECOMPOSITE_CHANNEL_MODE_GET
{
	DWORD							dwSize;								// ṹС
	int								nReturnNum;							// ʵʻȡģʽ
	int								nMode[NET_MAX_MODE_NUMBER];			// ģʽ
	NET_COMPOSITECHANNELMODE_INFO	stModeInfo[NET_MAX_MODE_NUMBER];	// ģʽϢ
}NET_OUT_COURSECOMPOSITE_CHANNEL_MODE_GET;

// ¼ͨģʽ
typedef enum tagNET_COURSECOMPOSITE_MODE_OPERATE_TYPE
{
    NET_COURSECOMPOSITE_MODE_ADD,                   // ģʽ,ӦṹpInParam = NET_IN_COURSECOMPOSITE_CHANNEL_MODE_ADD,	 pOutParam = NET_OUT_COURSECOMPOSITE_CHANNEL_MODE_ADD
	NET_COURSECOMPOSITE_MODE_DELETE,                // ɾģʽ,ӦṹpInParam = NET_IN_COURSECOMPOSITE_CHANNEL_MODE_DELETE, pOutParam = NET_OUT_COURSECOMPOSITE_CHANNEL_MODE_DELETE
	NET_COURSECOMPOSITE_MODE_MODIFY,                // ޸ģʽ,ӦṹpInParam = NET_IN_COURSECOMPOSITE_CHANNEL_MODE_MODIFY, pOutParam = NET_OUT_COURSECOMPOSITE_CHANNEL_MODE_MODIFY
	NET_COURSECOMPOSITE_MODE_GET,                   // ȡģʽ,ӦṹpInParam = NET_IN_COURSECOMPOSITE_CHANNEL_MODE_GET,	 pOutParam = NET_OUT_COURSECOMPOSITE_CHANNEL_MODE_GET
}NET_COURSECOMPOSITE_MODE_OPERATE_TYPE;

// ¼ͨģʽ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateCourseCompositeChannelMode(LLONG lLoginID, NET_COURSECOMPOSITE_MODE_OPERATE_TYPE emOperateType, void *pInParam, void *pOutParam, int nWaitTime);

///////////////////////////////////////////////////////////////////////
#define NET_UPGRADE_COUNT_MAX    256  //

//豸
typedef enum tagENUM_VENDOR_TYPE
{
    ENUM_VENDOR_TYPE_UNKNOWN,              //δ֪
	ENUM_VENDOR_TYPE_GENERAL,              //General 
	ENUM_VENDOR_TYPE_DH,                   //DH 
	ENUM_VENDOR_TYPE_OEM,                  //OEM
	ENUM_VENDOR_TYPE_LC,				   //LC
	ENUM_VENDOR_TYPE_EZIP,				   //EZIP
}ENUM_VENDOR_TYPE;

//Ƶʽ
typedef enum tagENUM_STANDARD_TYPE
{
    ENUM_STANDARD_TYPE_UNKNOWN,              //δ֪
	ENUM_STANDARD_TYPE_PAL,                  //P-PAL
	ENUM_STANDARD_TYPE_NTSC,                 //N-NTSC
	ENUM_STANDARD_TYPE_PAL_NTSC,             //PN-PAL/NTSCĬP
	ENUM_STANDARD_TYPE_NTSC_PAL,             //NP-NTSC/PALĬN
	ENUM_STANDARD_TYPE_SECAM,                //S-SECAM
}ENUM_STANDARD_TYPE;

//ȡϢ
typedef struct tagNET_IN_UPGRADER_GETSERIAL
{   
    DWORD               dwSize;					// ˽ṹС
} NET_IN_UPGRADER_GETSERIAL;


//Ϣ
typedef struct tagNET_UPGRADER_SERIAL_INO
{
    ENUM_VENDOR_TYPE    emVendor;               //    
    ENUM_STANDARD_TYPE  emStandard;             //Ƶʽ
    NET_TIME_EX  stuBuild;                      //
    char    szChip[DH_COMMON_STRING_16];        //ĳ
    char    szSerial[DH_COMMON_STRING_256];     // ڲͺ
    char    szLanguage[DH_COMMON_STRING_128];   //
    char    szSn[DH_COMMON_STRING_64];          // к
    char    szSWVersion[DH_COMMON_STRING_64];   // 汾    
    char    szTag[DH_COMMON_STRING_256];        //Զ
    char    szTag2[DH_COMMON_STRING_256];       //Զ2
    char    reserved[1024];                         
}NET_UPGRADER_SERIAL_INO;

#define MAX_UPGRADER_SERIAL_INFO  8

//ȡϢ
typedef struct tagNET_OUT_UPGRADER_GETSERIAL
{   
    DWORD                     dwSize;					               // ˽ṹС
    NET_UPGRADER_SERIAL_INO   stuSerialInfo[MAX_UPGRADER_SERIAL_INFO]; // Ϣ
    int                       nRetNum;                                 // ظ
} NET_OUT_UPGRADER_GETSERIAL;

//豸ȡϢȷǷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetUpdateSerial(LLONG lLoginID, NET_IN_UPGRADER_GETSERIAL *pstuInGetSerial, NET_OUT_UPGRADER_GETSERIAL *pstuOutGetSerial, int nWaitTime);

// 
typedef struct tagNET_IN_CLOUD_UPGRADER_CHECK
{
    DWORD                  dwSize;
    ENUM_VENDOR_TYPE       emVendor;                          //
    ENUM_STANDARD_TYPE     emStandard;                        //Ƶʽ
    NET_TIME_EX            stuBuild;                          //ʱ䣬ڱȽϰ汾
    char                   szUrl[DH_COMMON_STRING_1024];      // URL
    char                   szClass[DH_COMMON_STRING_64];      // 豸
    char                   szSerial[DH_COMMON_STRING_256];    // 豸Ӳźϵ
    char                   szLanguage[DH_COMMON_STRING_128];  // 
    char                   szSN[DH_COMMON_STRING_64];         // 豸к
    char                   szSWVersion[DH_COMMON_STRING_64];  // 汾ţʾ
    char                   szTag1[DH_COMMON_STRING_256];      // ԤֶΣںƻչ
    char                   szTag2[DH_COMMON_STRING_256];        // ԤֶΣںƻչ
    char                   szAccessKeyId[DH_COMMON_STRING_128];//Access Key ID
    char                   szSecretAccessKey[DH_COMMON_STRING_128];//Secret Access Key
}NET_IN_CLOUD_UPGRADER_CHECK;

// 
typedef struct tagNET_OUT_CLOUD_UPGRADER_CHECK
{
    DWORD                  dwSize;
    BOOL                   bHasNewVersion;                  // Ƿп汾
    char                   szVersion[DH_COMMON_STRING_64];  //汾Ϣ
    char                   szAttention[DH_COMMON_STRING_1024]; // 豸ʾϢ
    char                   szPackageUrl[DH_COMMON_STRING_1024]; // 豸URL
	char 			       szPackageId[DH_COMMON_STRING_64];    //ID
}NET_OUT_CLOUD_UPGRADER_CHECK;

// ƶǷп, ʹHTTPЭ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloudUpgraderCheck(NET_IN_CLOUD_UPGRADER_CHECK *pIn, NET_OUT_CLOUD_UPGRADER_CHECK *pOut, DWORD dwWaitTime);

//״̬
typedef enum tagemCloudDownloadState
{
    emCloudDownloadState_Unknown,            //δ֪
    emCloudDownloadState_Success,            //سɹ(Ҫرվ)
    emCloudDownloadState_Failed,             //ʧ(Ҫرվ᲻ϳ)
    emCloudDownloadState_Downloading,        //
    emCloudDownloadState_NoEnoughDiskSpace,  //̿ռ䲻
}emCloudDownloadState;

//ػصָ
typedef void (CALLBACK *fCloudDownload_Process_callback)(LLONG lDownHandle, emCloudDownloadState emState, double dwDownloadSpeed, DWORD dwProgressPercentage, LDWORD dwUser);

// 
typedef struct tagNET_IN_CLOUD_UPGRADER_DOWN
{
    DWORD                               dwSize;
    char                                szPackageUrl[DH_COMMON_STRING_1024]; // 豸URL
    char                                szSaveFile[DH_COMMON_STRING_1024];    //ļ
    fCloudDownload_Process_callback     pfProcessCallback;                   //Ȼص
    LDWORD                              dwUser;                              //صû
}NET_IN_CLOUD_UPGRADER_DOWN;

// 
typedef struct tagNET_OUT_CLOUD_UPGRADER_DOWN
{
    DWORD                  dwSize;
}NET_OUT_CLOUD_UPGRADER_DOWN;

// , ʹHTTPЭ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_CloudUpgraderDownLoad(NET_IN_CLOUD_UPGRADER_DOWN *pIn, NET_OUT_CLOUD_UPGRADER_DOWN *pOut);

//ֹͣ, ʹHTTPЭ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloudUpgraderStop(LLONG lDownloadHandle);

//ͣ, ʹHTTPЭ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloudUpgraderPause(LLONG lDownloadHandle, BOOL bPause);

//
typedef enum tagNET_UPGRADE_REPORT_RESULT
{
    NET_UPGRADE_REPORT_RESULT_UNKNWON,         //δ֪
    NET_UPGRADE_REPORT_RESULT_SUCCESS,         //ɹ
    NET_UPGRADE_REPORT_RESULT_FAILED,          //ʧ
}NET_UPGRADE_REPORT_RESULT;

//ϱṹ
typedef struct tagNET_UPGRADE_REPORT
{
    int     nDeviceNum;                                                 //豸
    char    szDevSerial[NET_UPGRADE_COUNT_MAX][MAX_COMMON_STRING_64];   // к
    char    szPacketID[MAX_COMMON_STRING_128];                          //ID
    NET_UPGRADE_REPORT_RESULT emResult;                                 //
    char    szCode[MAX_COMMON_STRING_128];                              // Ϣ      
    char    reserved[256];
}NET_UPGRADE_REPORT;

//ϱ
typedef struct tagNET_IN_UPGRADE_REPORT
{
    DWORD                   dwSize;
    int                     nCount;                                  // 
    NET_UPGRADE_REPORT      *pstuUpgradeReport;                      //Ϣ  
    char                    szAccessKeyId[DH_COMMON_STRING_128];     //ID
    char                    szSecretAccessKey[DH_COMMON_STRING_128]; //Կ
    char                    szUrl[DH_COMMON_STRING_1024];            // URL
}NET_IN_UPGRADE_REPORT;

//ϱ
typedef struct tagNET_OUT_UPGRADE_REPORT
{
    DWORD                  dwSize;
}NET_OUT_UPGRADE_REPORT;

//ϱ, ʹHTTPЭ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloudUpgraderReport(NET_IN_UPGRADE_REPORT *pIn, NET_OUT_UPGRADE_REPORT *pOut, DWORD dwWaitTime);

// ״̬صṹ
typedef struct tagNET_CLOUD_UPGRADER_STATE
{
	DWORD					dwSize;
	EM_UPGRADE_STATE		emState;							// ״̬
	int						nProgress;							// ٷֱ
	char					szFileName[DH_COMMON_STRING_128];	// ļ
} NET_CLOUD_UPGRADER_STATE;

// ״̬ص
typedef void (CALLBACK *fUpgraderStateCallback) (LLONG lLoginId, LLONG lAttachHandle, NET_CLOUD_UPGRADER_STATE* pBuf, DWORD dwBufLen, void* pReserved, LDWORD dwUser);

// ״̬
typedef struct tagNET_IN_CLOUD_UPGRADER_ATTACH_STATE
{
	DWORD					dwSize;
	fUpgraderStateCallback	cbUpgraderState;
	LDWORD					dwUser;
} NET_IN_CLOUD_UPGRADER_ATTACH_STATE;

// ״̬
typedef struct tagNET_OUT_CLOUD_UPGRADER_ATTACH_STATE
{
	DWORD					dwSize;
} NET_OUT_CLOUD_UPGRADER_ATTACH_STATE;

// ȡ״̬
typedef struct tagNET_IN_CLOUD_UPGRADER_GET_STATE
{
	DWORD					dwSize;
} NET_IN_CLOUD_UPGRADER_GET_STATE;

// ȡ״̬
typedef struct tagNET_OUT_CLOUD_UPGRADER_GET_STATE
{
	DWORD					dwSize;
	EM_UPGRADE_STATE		emState;							// ״̬
	int						nProgress;							// 
	char					szFileName[DH_COMMON_STRING_128];	// ļ
} NET_OUT_CLOUD_UPGRADER_GET_STATE;


// ȡ
typedef struct tagNET_IN_UPGRADER_GET_CAPS
{
    DWORD					dwSize;
} NET_IN_UPGRADER_GET_CAPS;

// Ϣ
typedef struct tagNET_UPGRADER_CAPS
{
    UINT            nOfflineTransfer;    // ֧Զϵ,0 ֧,Ĭֵ; 1 ֧  
    UINT            nRemoteDownload;     // ֧Զ,0 ֧; 1 ֧,Ĭֵ
    BYTE            byReserved[128];      // ֽ
}NET_UPGRADER_CAPS;

// ȡ
typedef struct tagNET_OUT_UPGRADER_GET_CAPS
{
    DWORD					dwSize;
    NET_UPGRADER_CAPS       stuCaps; //    
} NET_OUT_UPGRADER_GET_CAPS;


// ȡ
typedef struct tagNET_IN_UPGRADER_CANCEL 
{
    DWORD					dwSize;
} NET_IN_UPGRADER_CANCEL;

// ȡ
typedef struct tagNET_OUT_UPGRADER_CANCEL
{
    DWORD					dwSize;
} NET_OUT_UPGRADER_CANCEL;

// ״̬۲ӿ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_CloudUpgraderAttachState(LLONG lLoginID, const NET_IN_CLOUD_UPGRADER_ATTACH_STATE *pInParam, NET_OUT_CLOUD_UPGRADER_ATTACH_STATE *pOutParam, int nWaitTime);

// ˶״̬۲ӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloudUpgraderDetachState(LLONG lAttachHandle);

// ȡ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloudUpgraderGetState(LLONG lLoginID, const NET_IN_CLOUD_UPGRADER_GET_STATE *pInParam, NET_OUT_CLOUD_UPGRADER_GET_STATE *pOutParam, int nWaitTime);

// ȡ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_UpgraderGetCaps(LLONG lLoginID, const NET_IN_UPGRADER_GET_CAPS *pInParam, NET_OUT_UPGRADER_GET_CAPS *pOutParam, int nWaitTime);

// ȡ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_UpgraderCancel(LLONG lLoginID, const NET_IN_UPGRADER_CANCEL *pInParam, NET_OUT_UPGRADER_CANCEL *pOutParam, int nWaitTime);


// ȡϴ
typedef struct tagNET_IN_CLOUDUPLOAD_GETCAPS
{
	DWORD				dwSize;							// ṹС			
}NET_IN_CLOUDUPLOAD_GETCAPS;

// ȡϴ
typedef struct tagNET_OUT_CLOUDUPLOAD_GETCAPS
{
	DWORD				dwSize;							// ṹС	
	BOOL				bAsyncUpload;					// Ƿ֧첽ϴ,TRUE:֧,FALSE:֧	
}NET_OUT_CLOUDUPLOAD_GETCAPS;

// ϴͼƬ
typedef struct tagNET_IN_CLOUD_UPLOAD_PICTURE
{
    DWORD					dwSize;
    int                     nChannelID;                                     // ͨ
    int                     nServerType;                                    // ϴķ,0-Ʒ 1-FTP 
    int                     nPicType;                                       // ͼƬ 0-˾Ƭ 1-12Ƭ 2-һƬ
    char                    szFileName[256];               // Ocx洢ļ(webͻʹ)    
    char                    szAccessKeyId[DH_COMMON_STRING_64];             // û       
    char                    szAccessKeySecret[DH_COMMON_STRING_64];         // 
    char                    szBucketName[DH_COMMON_STRING_32];              // 洢ռ
    char                    szFileKey[256];                // ϴ洢ļ
    char                    szEndPoint[DH_COMMON_STRING_64];                // ļķ    

    UINT                    nFileLength;                                    // ļ,λ:ֽ
    char*                   pFileData;                                      // ļ
    
} NET_IN_CLOUD_UPLOAD_PICTURE;

// ϴͼƬ
typedef struct tagNET_OUT_CLOUD_UPLOAD_PICTURE
{
    DWORD					dwSize;
    char                    szFileName[256];               // ϴɹļҪocxƥ
    char                    szFileURL[DH_COMMON_STRING_2048];               // ϴļ,webʾʹ
	BOOL					bAsyncUploadPic;								// ϴͼƬǷΪ첽,TRUE:첽,FALSE:ͬ
} NET_OUT_CLOUD_UPLOAD_PICTURE;

// ϴͼƬ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloudUploadPicture(LLONG lLoginID, const NET_IN_CLOUD_UPLOAD_PICTURE *pInParam, NET_OUT_CLOUD_UPLOAD_PICTURE *pOutParam, int nWaitTime);

// ϴƵ
typedef struct tagNET_IN_CLOUD_UPLOAD_VIDEO
{
    DWORD					dwSize;
    int                     nChannelID;                                     // ͨ
    int                     nServerType;                                    // ϴķ,0-Ʒ 1-FTP
    int                     nAction;                                        // ֶ¼״̬,0-ֶ¼ 1-ʼֶ¼
    int                     nStrategy;                                      // ϴ¼Ĳ,0-ʵʱϴ 1-ϴ(ʱϴҹϴ)
    char                    szAccessKeyId[DH_COMMON_STRING_64];             // û    
    char                    szAccessKeySecret[DH_COMMON_STRING_64];         // 
    char                    szBucketName[DH_COMMON_STRING_32];              // 洢ռ
    char                    szFileKey[256];									// ϴ洢ļ
    char                    szEndPoint[DH_COMMON_STRING_64];                // ļķ
} NET_IN_CLOUD_UPLOAD_VIDEO;

// ϴƵ
typedef struct tagNET_OUT_CLOUD_UPLOAD_VIDEO
{
    DWORD					dwSize;
	BOOL					bAsyncUploadVideo;								// ϴƵǷΪ첽,TRUE:첽,FALSE:ͬ
} NET_OUT_CLOUD_UPLOAD_VIDEO;

// ϴƵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CloudUploadVideo(LLONG lLoginID, const NET_IN_CLOUD_UPLOAD_VIDEO *pInParam, NET_OUT_CLOUD_UPLOAD_VIDEO *pOutParam, int nWaitTime);

// ץͼͼƬϴ״̬Ϣ
typedef struct tagNET_SNAPPIC_INFO
{
	char				szFileName[256];  // Ocx洢ļ
	BOOL				bState;							   // ͼƬǷϴɹ,FALSE:ʧ,TRUE:ɹ
	char				szUrl[2048];	   // ϴͼƬķURL
	BYTE				byReserved[1024];				   // Ԥֽ	
}NET_SNAPPIC_INFO;

// ¼ϴ״̬Ϣ
typedef struct tagNET_VIDEO_INFO
{
	char				szFileName[256];		// ¼ϴ
	unsigned int	    nChannel;								// ͨ
	NET_TIME			stuStartTime;							// Ҫϴ¼εĿʼʱ	
	NET_TIME			stuEndTime;								// Ҫϴ¼εĽʱ
	BOOL				bState;									// ¼Ƿϴɹ,FALSE:ʧ,TRUE:ɹ
	BYTE				byReserved[1024];						// Ԥֽ
}NET_VIDEO_INFO;

// ϴ¼ͼƬĽ״̬Ϣ
typedef struct tagNET_CLOUDUPLOAD_STATE
{
	NET_SNAPPIC_INFO     stuSnapPicInfo;			// ץͼͼƬϴ״̬Ϣ
	NET_VIDEO_INFO		 stuVideoInfo;				// ¼ϴ״̬Ϣ
	BYTE				 byReserved[2048];			// Ԥֽ
}NET_CLOUDUPLOAD_STATE;

// Ķϴ¼ͼƬĽ״̬
typedef void (CALLBACK *fCloudUploadStateCallBack)(LLONG lLoginID, LLONG lAttachHandle, NET_CLOUDUPLOAD_STATE* pBuf, int nBufLen, LDWORD dwUser);

// CLIENT_AttachCloudUploadStateӿ
typedef struct tagNET_IN_ATTACH_CLOUDUPLOAD_STATE
{
	DWORD						dwSize;
	fCloudUploadStateCallBack	cbCloudUploadState;    // ص
	LDWORD						dwUser;                // û
}NET_IN_ATTACH_CLOUDUPLOAD_STATE;

// CLIENT_AttachCloudUploadStateӿڳ
typedef struct tagNET_OUT_ATTACH_CLOUDUPLOAD_STATE
{
	DWORD				dwSize;
}NET_OUT_ATTACH_CLOUDUPLOAD_STATE;

// ϴ¼ͼƬĽ״̬
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachCloudUploadState(LLONG lLoginID, NET_IN_ATTACH_CLOUDUPLOAD_STATE *pInBuf,NET_OUT_ATTACH_CLOUDUPLOAD_STATE *pOutBuf, int nWaitTime);

// ȡϴ¼ͼƬĽ״̬ 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachCloudUploadState(LLONG lAttachHandle);

////////////////////////////////////////////////////////////

// CLIENT_GetRecordState 
typedef struct tagNET_IN_GET_RECORD_STATE
{
	DWORD				dwSize;				// ṹС
	int					nChannel;			// ͨ
} NET_IN_GET_RECORD_STATE;

// CLIENT_GetRecordState 
typedef struct tagNET_OUT_GET_RECORD_STATE
{
	DWORD				dwSize;				// ṹС
	BOOL				bState;				// Ƿ¼
} NET_OUT_GET_RECORD_STATE;

// ȡ¼״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetRecordState(LLONG lLoginID, const NET_IN_GET_RECORD_STATE *pInParam, NET_OUT_GET_RECORD_STATE *pOutParam, int nWaitTime);

//  ȡָҵ¼Ϣ
typedef struct tagNET_IN_COURSERECORD_GETINFO
{
    DWORD                       dwSize;
    int                         nClassRoomID;                        // ID,0ΪĬϽ
}NET_IN_COURSERECORD_GETINFO;

//  ȡָҵ¼Ϣ
typedef struct tagNET_OUT_COURSERECORD_GETINFO
{
    DWORD                       dwSize;
    int                         nChannelNum;                            // ߼ͨ
    int                         nCanRecord[MAX_COURSE_LOGIC_CHANNEL];   // 0:Ч,1:¼,2¼,±ӦΪ߼ͨ
}NET_OUT_COURSERECORD_GETINFO;

//  ָҵ¼Ϣ
typedef struct tagNET_IN_COURSERECORD_SETINFO
{
    DWORD                       dwSize;
    int                         nClassRoomID;                           // ID,0ΪĬϽ
    int                         nChannelNum;                            // ߼ͨ
    int                         nCanRecord[MAX_COURSE_LOGIC_CHANNEL];   // 0:Ч,1:¼,2¼,±ӦΪ߼ͨ
}NET_IN_COURSERECORD_SETINFO;

//  ָҵ¼Ϣ
typedef struct tagNET_OUT_COURSERECORD_SETINFO
{
    DWORD                       dwSize;
}NET_OUT_COURSERECORD_SETINFO;

// ¼Ϣµtime
typedef struct tagNET_IN_COURSERECORD_UPDATE_INFO
{
    DWORD                       dwSize;
    int                         nClassRoomID;                        // ID,0ΪĬϽ
    NET_TIME                    stuTime;                             // ѯʱ
}NET_IN_COURSERECORD_UPDATE_INFO;

// ¼Ϣµtime
typedef struct tagNET_OUT_COURSERECORD_UPDATE_INFO
{
    DWORD                       dwSize;
}NET_OUT_COURSERECORD_UPDATE_INFO;

// ȡǰγ¼ʱ
typedef struct tagNET_IN_COURSERECORD_GET_TIME
{
    DWORD                       dwSize;
    int                         nClassRoomID;                        // ID0ΪĬϽ
}NET_IN_COURSERECORD_GET_TIME;

// ȡǰγ¼ʱ
typedef struct tagNET_OUT_COURSERECORD_GET_TIME
{
    DWORD                       dwSize;
    UINT                        nTime;                               // ¼ʱ䣬λ:
}NET_OUT_COURSERECORD_GET_TIME;

// ¼¼Ϣ
typedef enum tagEM_COURSERECORD_OPERATE_TYPE
{
    EM_COURSERECORDE_TYPE_GET_INFO,                       //ȡ¼Ϣ,ӦṹpInParam = NET_IN_COURSERECORD_GETINFO,pOutParam = NET_OUT_COURSERECORD_GETINFO 
    EM_COURSERECORDE_TYPE_SET_INFO,                       //ý¼Ϣ,ӦṹpInParam = NET_IN_COURSERECORD_SETINFO,pOutParam = NET_OUT_COURSERECORD_SETINFO 
    EM_COURSERECORDE_TYPE_UPDATE_INFO,                    //¼ϢµtimeʱϢ,Ӧṹ pInParam = NET_IN_COURSERECORD_UPDATE_INFO, pOutParam = NET_OUT_COURSERECORD_UPDATE_INFO
    EM_COURSERECORDE_TYPE_GET_TIME,                       //ȡǰγ̽¼ʱ,Ӧṹ pInParam = NET_IN_COURSERECORD_GET_TIME, pOutParam = NET_OUT_COURSERECORD_GET_TIME
}EM_COURSERECORD_OPERATE_TYPE;

// ¼¼Ϣӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateCourseRecordManager(LLONG lLoginID, EM_COURSERECORD_OPERATE_TYPE emOperateType, void *pInParam, void *pOutParam, int nWaitTime);

typedef void(CALLBACK *fConfigChangeCallBack)(LLONG lAttachHandle, char* szCommand, char* szBuffer, LDWORD dwUser);
// ñ仯
typedef struct tagNET_IN_ATTACH_CONFIGCHANNGE
{
    DWORD                           dwSize;
    char*                           szCfgName;           // ,μdhconfigsdk.hCLIENT_GetNewDevConfigCLIENT_SetNewDevConfigӿڵ
    fConfigChangeCallBack           cbNotify;            // ص
    LDWORD                          dwUser;              // ûϢ
}NET_IN_ATTACH_CONFIGCHANNGE;

// ñ仯
typedef struct tagNET_OUT_ATTACH_CONFIGCHANNGE
{
    DWORD                           dwSize;
}NET_OUT_ATTACH_CONFIGCHANNGE;

// ñ仯ӿ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachConfigChange(LLONG lLoginID, NET_IN_ATTACH_CONFIGCHANNGE *pInBuf,NET_OUT_ATTACH_CONFIGCHANNGE *pOutBuf, int nWaitTime);

// ȡñ仯 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachConfigChange(LLONG lAttachHandle);

//CLIENT_GetRingFileList 
typedef struct tagNET_IN_GET_RINGFILELIST
{
	DWORD 		dwSize;
}NET_IN_GET_RINGFILELIST;

//CLIENT_GetRingFileList 
typedef struct tagNET_OUT_GET_RINGFILELIST
{
	DWORD       dwSize;
	UINT        nRingFileNum;                                         // Ƶļ
	char        szRingFileList[MAX_RINGFILE_NUM][DH_COMMON_STRING_64];// Ƶļб
}NET_OUT_GET_RINGFILELIST;

//ȡƵļб
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetRingFileList(LLONG lLoginID, NET_IN_GET_RINGFILELIST *pstuInParam, NET_OUT_GET_RINGFILELIST *pstuOutParam, int nWaitTime);

// CLIENT_GetConnetionStatus 
typedef struct tagNET_IN_GETCONNECTION_STATUS
{
    DWORD       dwSize;                                               
} NET_IN_GETCONNECTION_STATUS;

// CLIENT_GetConnetionStatus 
typedef struct tagNET_OUT_GETCONNECTION_STATUS
{
    DWORD       dwSize;  
    int         nChannelNum;                                        // ͨ
    int         nStatus[MAX_ALARMEXT_MODULE_NUM];                   // ±ʾͨ,ȡֵ0:δ1:2:
} NET_OUT_GETCONNECTION_STATUS;

// ȡչģ״̬ӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetConnectionStatus(LLONG lLoginID,const NET_IN_GETCONNECTION_STATUS* pstuInParam, NET_OUT_GETCONNECTION_STATUS *pstuOutParam, int nWaitTime);

#define MAX_ALARM_BOX_VIDEO_NUM		16

// CLIENT_GetAlarmBoxVideoConnectionStatus 
typedef struct tagNET_IN_GETALARMBOXVIDEOCONNECTION_STATUS
{
    DWORD       dwSize;                                               
} NET_IN_GETALARMBOXVIDEOCONNECTION_STATUS;

// CLIENT_GetAlarmBoxVideoConnectionStatus 
typedef struct tagNET_OUT_GETALARMBOXVIDEOCONNECTION_STATUS
{
    DWORD       dwSize;  
    int         nChannelNum;                                        // ͨ
    int         nStatus[MAX_ALARM_BOX_VIDEO_NUM];                   // ±ʾͨ,ȡֵ 0:δ뱨 1: 2:
} NET_OUT_GETALARMBOXVIDEOCONNECTION_STATUS;

// ȡȡ״̬ӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAlarmBoxVideoConnectionStatus(LLONG lLoginID,const NET_IN_GETALARMBOXVIDEOCONNECTION_STATUS* pstuInParam, NET_OUT_GETALARMBOXVIDEOCONNECTION_STATUS *pstuOutParam, int nWaitTime);

//ûȨ
typedef enum tagNET_ATTENDANCE_AUTHORITY
{
    NET_ATTENDANCE_AUTHORITY_UNKNOWN = -1,
    NET_ATTENDANCE_AUTHORITY_CUSTOMER,           //ͨû
    NET_ATTENDANCE_AUTHORITY_ADMINISTRATORS,     //Ա
}NET_ATTENDANCE_AUTHORITY;

#define MAX_ATTENDANCE_USERNAME_LEN 36
//ûϢ
typedef struct tagNET_ATTENDANCE_USERINFO
{
    char                     szUserID[MAX_COMMON_STRING_32];			//ûID     
    char                     szUserName[MAX_ATTENDANCE_USERNAME_LEN];	//Ա
    char                     szCardNo[MAX_COMMON_STRING_32];			// 
    NET_ATTENDANCE_AUTHORITY emAuthority;								// ûȨ
    char                     szPassword[MAX_COMMON_STRING_32];			// 
    int                      nPhotoLength;								// Ƭݳ   
	char					 szClassNumber[MAX_CLASS_NUMBER_LEN];		// ༶Ƕƣ
	char					 szPhoneNumber[MAX_PHONENUMBER_LEN];		// 绰Ƕƣ
	NET_ACCESSCTLCARD_TYPE   emCardType;								// 
	BYTE					 byReserved[204];							// ֽ    
}NET_ATTENDANCE_USERINFO;

//CLIENT_Attendance_InsertFingerByUserID 
typedef struct tagNET_IN_FINGERPRINT_INSERT_BY_USERID
{
	DWORD						dwSize;
    char 						szUserID[DH_COMMON_STRING_32];			// ûID
    int 						nSinglePacketLen;						// ָݰ
    int 						nPacketCount;							// ָݰĸ
	char*						szFingerPrintInfo;						// ָ(ܳȼnSinglePacketLen*nPacketCount)
}NET_IN_FINGERPRINT_INSERT_BY_USERID;


//CLIENT_Attendance_InsertFingerByUserID 
typedef struct tagNET_OUT_FINGERPRINT_INSERT_BY_USERID
{
	DWORD						dwSize;
    int							nFingerPrintID[DH_MAX_FINGER_PRINT];	//ָID
	int 						nReturnedCount;							//ʵʷصĸ
	int							nFailedCode;							//  0ɹ;   1;  2ûָ.
}NET_OUT_FINGERPRINT_INSERT_BY_USERID;
		

//CLIENT_Attendance_RemoveFingerByUserID (removeByUserID)
typedef struct tagNET_CTRL_IN_FINGERPRINT_REMOVE_BY_USERID
{
	DWORD						dwSize;
	char 						szUserID[DH_COMMON_STRING_32];			// ûID
}NET_CTRL_IN_FINGERPRINT_REMOVE_BY_USERID;

//CLIENT_Attendance_RemoveFingerByUserID 
typedef struct tagNET_CTRL_OUT_FINGERPRINT_REMOVE_BY_USERID
{
	DWORD						dwSize;
}NET_CTRL_OUT_FINGERPRINT_REMOVE_BY_USERID;


//CLIENT_Attendance_RemoveFingerRecord (remove) 
typedef struct tagNET_CTRL_IN_FINGERPRINT_REMOVE
{
	DWORD						dwSize;
	int							nFingerPrintID;							//ָƱ
}NET_CTRL_IN_FINGERPRINT_REMOVE;

//CLIENT_Attendance_RemoveFingerRecord 
typedef struct tagNET_CTRL_OUT_FINGERPRINT_REMOVE
{
	DWORD						dwSize;
}NET_CTRL_OUT_FINGERPRINT_REMOVE;


//CLIENT_Attendance_GetFingerRecord 
typedef struct tagNET_CTRL_IN_FINGERPRINT_GET
{
	DWORD						dwSize;
	int							nFingerPrintID;							//ָƱ
}NET_CTRL_IN_FINGERPRINT_GET;

//CLIENT_Attendance_GetFingerRecord 
typedef struct tagNET_CTRL_OUT_FINGERPRINT_GET
{
	DWORD						dwSize;
	char 						szUserID[DH_COMMON_STRING_32];			// ûûID
	char 						szFingerPrintName[DH_COMMON_STRING_32]; // ָ
	int							nFingerPrintID;							// ָID
	int							nRetLength;								// ʵʷصĶָݳ
	int							nMaxFingerDataLength;					// ָݵ󳤶
	char*						szFingerPrintInfo;						// ָ
}NET_CTRL_OUT_FINGERPRINT_GET;

//CLIENT_Attendance_FindUser 
typedef struct tagNET_IN_ATTENDANCE_FINDUSER
{
	DWORD			dwSize;
	int				nOffset;										// ѯƫ
	int				nPagedQueryCount;								// ѯҳѯ಻100
}NET_IN_ATTENDANCE_FINDUSER;

//CLIENT_Attendance_FindUser 
typedef struct tagNET_OUT_ATTENDANCE_FINDUSER
{
	DWORD 							dwSize;
	int								nTotalUser;					// ܵû
	int								nMaxUserCount;				// ûϢ󻺴
	NET_ATTENDANCE_USERINFO*       	stuUserInfo;            	// ûϢڴû룬СΪ(sizeof(NET_ATTENDANCE_USERINFO)*nMaxUserCount) 
	int								nRetUserCount;				// ʵʷصû
	int                           	nMaxPhotoDataLength;        // Ƭ󳤶
	int								nRetPhoteLength;			// ʵʷصƬݳ
	BYTE *                        	pbyPhotoData;           	// Ƭ
}NET_OUT_ATTENDANCE_FINDUSER;

//CLIENT_Attendance_GetFingerByUserID 
typedef struct tagNET_IN_FINGERPRINT_GETBYUSER
{
	DWORD						 dwSize;
	char                         szUserID[MAX_COMMON_STRING_32];      // ûID
}NET_IN_FINGERPRINT_GETBYUSER;

//CLIENT_Attendance_GetFingerByUserID 
typedef struct tagNET_OUT_FINGERPRINT_GETBYUSER
{
	DWORD						dwSize;
	int							nFingerPrintIDs[DH_MAX_FINGER_PRINT];	// ָID
	int							nRetFingerPrintCount;					// ʵʷصָIDnFingerPrintIDsʵЧ
	int							nSinglePacketLength;					// ָݰ
	int							nMaxFingerDataLength;					// ָݵĻ󳤶
	int							nRetFingerDataLength;					// ʵʷصָܵݰĳ
	BYTE*                       pbyFingerData;                       	// ָ	
}NET_OUT_FINGERPRINT_GETBYUSER;


// CLIENT_Attendance_AddUser 
typedef struct tagNET_IN_ATTENDANCE_ADDUSER
{
    DWORD                      dwSize;  
    NET_ATTENDANCE_USERINFO    stuUserInfo;           //ûϢ
    BYTE                       *pbyPhotoData;         // Ƭ
}NET_IN_ATTENDANCE_ADDUSER;

// CLIENT_Attendance_AddUser
typedef struct tagNET_OUT_ATTENDANCE_ADDUSER
{
    DWORD         dwSize; 
}NET_OUT_ATTENDANCE_ADDUSER;

//û
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Attendance_AddUser(LLONG lLoginID, NET_IN_ATTENDANCE_ADDUSER *pstuInAddUser, NET_OUT_ATTENDANCE_ADDUSER *pstuOutAddUser, int nWaitTime);

// CLIENT_Attendance_DelUser 
typedef struct tagNET_IN_ATTENDANCE_DELUSER
{
    DWORD                      dwSize;  
    char                       szUserID[MAX_COMMON_STRING_32];      //ûID
}NET_IN_ATTENDANCE_DELUSER;

// CLIENT_Attendance_DelUser
typedef struct tagNET_OUT_ATTENDANCE_DELUSER
{
    DWORD         dwSize;   
}NET_OUT_ATTENDANCE_DELUSER;

//ɾû
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Attendance_DelUser(LLONG lLoginID, NET_IN_ATTENDANCE_DELUSER *pstuInDelUser, NET_OUT_ATTENDANCE_DELUSER *pstuOutDelUser, int nWaitTime);

// CLIENT_Attendance_ModifyUser 
typedef struct tagNET_IN_ATTENDANCE_ModifyUSER
{
    DWORD                      dwSize;  
    NET_ATTENDANCE_USERINFO    stuUserInfo;                         //ûϢ
    BYTE                       *pbyPhotoData;                       // Ƭ
}NET_IN_ATTENDANCE_ModifyUSER;

// CLIENT_Attendance_ModifyUser
typedef struct tagNET_OUT_ATTENDANCE_ModifyUSER
{
    DWORD         dwSize;   
}NET_OUT_ATTENDANCE_ModifyUSER;

//޸ûϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Attendance_ModifyUser(LLONG lLoginID, NET_IN_ATTENDANCE_ModifyUSER *pstuInModifyUser, NET_OUT_ATTENDANCE_ModifyUSER *pstuOutModifyUser, int nWaitTime);

// CLIENT_Attendance_GetUser 
typedef struct tagNET_IN_ATTENDANCE_GetUSER
{
    DWORD                        dwSize;  
    char                         szUserID[MAX_COMMON_STRING_32];      //ûID    
}NET_IN_ATTENDANCE_GetUSER;

// CLIENT_Attendance_GetUser
typedef struct tagNET_OUT_ATTENDANCE_GetUSER
{
    DWORD                         dwSize;   
    NET_ATTENDANCE_USERINFO       stuUserInfo;            //ûϢ    
    int                           nMaxLength;             // Ƭݵĳ
    BYTE *                        pbyPhotoData;           // Ƭ
}NET_OUT_ATTENDANCE_GetUSER;

//ڻ ȡûϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Attendance_GetUser(LLONG lLoginID, NET_IN_ATTENDANCE_GetUSER *pstuInGetUser, NET_OUT_ATTENDANCE_GetUSER *pstuOutGetUser, int nWaitTime);

//ڻ  ͨûIDָ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Attendance_InsertFingerByUserID(LLONG lLoginID, NET_IN_FINGERPRINT_INSERT_BY_USERID* pstuInInsert, NET_OUT_FINGERPRINT_INSERT_BY_USERID* pstuOutInsert, int nWaitTime);

//ڻ ɾûָ
CLIENT_NET_API BOOL CALL_METHOD	CLIENT_Attendance_RemoveFingerByUserID(LLONG lLoginID, NET_CTRL_IN_FINGERPRINT_REMOVE_BY_USERID* pstuInRemove, NET_CTRL_OUT_FINGERPRINT_REMOVE_BY_USERID* pstuOutRemove, int nWaitTime);

//ڻ ָͨIDȡָ
CLIENT_NET_API BOOL CALL_METHOD	CLIENT_Attendance_GetFingerRecord(LLONG lLoginID, NET_CTRL_IN_FINGERPRINT_GET* pstuInGet, NET_CTRL_OUT_FINGERPRINT_GET* pstuOutGet, int nWaitTime);

//ڻ ָͨIDɾָ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Attendance_RemoveFingerRecord(LLONG lLoginID, NET_CTRL_IN_FINGERPRINT_REMOVE* pstuInRemove, NET_CTRL_OUT_FINGERPRINT_REMOVE* pstuOutRemove, int nWaitTime);

//ڻ û
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Attendance_FindUser(LLONG lLoginID, NET_IN_ATTENDANCE_FINDUSER *pstuInFindUser, NET_OUT_ATTENDANCE_FINDUSER *pstuOutFindUser, int nWaitTime);

//ڻ ͨûIDҸûµָ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Attendance_GetFingerByUserID(LLONG lLoginID, NET_IN_FINGERPRINT_GETBYUSER *pstuIn, NET_OUT_FINGERPRINT_GETBYUSER *pstuOut, int nWaitTime);


// 豸ӿ
typedef enum tagEM_NET_DEVICE_DISCOVERY_SUBCLASSID_TYPE
{
	EM_NET_DEVICE_DISCOVERY_SUBCLASSID_TYPE_UNKNOWN = -1,					// δ֪
    EM_NET_DEVICE_DISCOVERY_SUBCLASSID_TYPE_NONE = 0,						// ˽б׼淶
	EM_NET_DEVICE_DISCOVERY_SUBCLASSID_TYPE_ONVIF,                          // Onvif׼淶
	EM_NET_DEVICE_DISCOVERY_SUBCLASSID_TYPE_UPNP,                           // UPnP׼淶
}EM_NET_DEVICE_DISCOVERY_SUBCLASSID_TYPE;

// fAttachDeviceDiscoveryCB 
typedef struct tagNET_DEVICE_DISCOVERY_INFO
{
	DWORD				dwSize;
	char				szMachineName[DH_COMMON_STRING_32];					// 豸
	char				szDeviceClass[DH_COMMON_STRING_32];					// 豸
	char				szDeviceType[DH_COMMON_STRING_32];					// 豸ͺ
	char				szSerialNo[DH_COMMON_STRING_32];					// 豸к
	char				szVersion[DH_COMMON_STRING_32];						// 豸汾
	char				szMac[DH_COMMON_STRING_32];							// 豸MACַ
	int					nVideoInputChannels;								// 豸Ƶͨ
	int					nRemoteVideoInputChannels;							// ԶƵͨ
	int					nVideoOutputChannels;								// Ƶͨ
	int					nAlarmInputChannels;								// ͨ
	int					nAlarmOutputChannels;								// ͨ
	int					nAudioInputChannels;								// 豸Ƶͨ
	int					nPort;												// ½˿
	char				szVendor[DH_COMMON_STRING_32];						// ͻ
	int					nInit;												// 豸Ƿѳʼ:0߱ʼܵ豸,Եͬѳʼ 1δʼ 2ѳʼ
	char				szIPv4Address[DH_COMMON_STRING_32];					// IPv4ַ
	char				szIPv4SubnetMask[DH_COMMON_STRING_32];				// IPv4
	char				szIPv4DefaultGateway[DH_COMMON_STRING_32];			// IPv4Ĭ
	BOOL				bIPv4DhcpEnable;									// IPv4ǷʹDHCP
	char				szIPv6Address[DH_COMMON_STRING_32];					// IPv6ַ
	char				szIPv6DefaultGateway[DH_COMMON_STRING_32];			// IPv6Ĭ
	char				szIPv6LinkLocalAddress[DH_COMMON_STRING_32];		// IPv6·ַ,õֱַֻ,ҪGateway
	BOOL				bIPv6DhcpEnable;									// IPv6ǷʹDhcp
	char				szProtocol[DH_COMMON_STRING_32];					// 豸׼
}NET_DEVICE_DISCOVERY_INFO;


// ע豸صԭ,lAttachHandleCLIENT_AttachDeviceDiscoveryֵ, pDeviceInfoΪ豸Ϣ, nDeviceNumΪ豸Ϣ
typedef void (CALLBACK *fAttachDeviceDiscoveryCB) (LLONG lAttachHandle, NET_DEVICE_DISCOVERY_INFO* pDeviceInfo, int nDeviceNum, LDWORD dwUser);


// CLIENT_AttachDeviceDiscovery ӿ
typedef struct tagNET_IN_ATTACH_DEVICE_DISCOVERY
{
    DWORD											dwSize;
    EM_NET_DEVICE_DISCOVERY_SUBCLASSID_TYPE 		emSubClassID;			// ӿ
	fAttachDeviceDiscoveryCB						cbNotify;				// ص
	LDWORD											dwUser;					// û
} NET_IN_ATTACH_DEVICE_DISCOVERY;

// CLIENT_AttachDeviceDiscovery ӿ
typedef struct tagNET_OUT_ATTACH_DEVICE_DISCOVERY
{
    DWORD											dwSize;
} NET_OUT_ATTACH_DEVICE_DISCOVERY;

// CLIENT_StartDeviceDiscovery ӿ
typedef struct tagNET_IN_START_DEVICE_DISCOVERY 
{
    DWORD											dwSize;
	EM_NET_DEVICE_DISCOVERY_SUBCLASSID_TYPE 		emSubClassID;			// ӿ
    int												nTimeOut;				// ʱ,ϱʱ,ʱ,ϱ豸Ϣ. λ
} NET_IN_START_DEVICE_DISCOVERY;

// CLIENT_StartDeviceDiscovery ӿ
typedef struct tagNET_OUT_START_DEVICE_DISCOVERY 
{
    DWORD											dwSize;
} NET_OUT_START_DEVICE_DISCOVERY;

// CLIENT_StopDeviceDiscovery ӿ
typedef struct tagNET_IN_STOP_DEVICE_DISCOVERY 
{
    DWORD											dwSize;
	EM_NET_DEVICE_DISCOVERY_SUBCLASSID_TYPE 		emSubClassID;			// ӿ
} NET_IN_STOP_DEVICE_DISCOVERY;

// CLIENT_StopDeviceDiscovery ӿ
typedef struct tagNET_OUT_STOP_DEVICE_DISCOVERY 
{
    DWORD											dwSize;
} NET_OUT_STOP_DEVICE_DISCOVERY;

// ע豸
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachDeviceDiscovery(LLONG lLoginID, const NET_IN_ATTACH_DEVICE_DISCOVERY *pInParam, NET_OUT_ATTACH_DEVICE_DISCOVERY *pOutParam, int nWaitTime);

// ע豸, lAttachHandleΪCLIENT_AttachDeviceDiscovery ֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachDeviceDiscovery(LLONG lAttachHandle);

// 豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartDeviceDiscovery(LLONG lLoginID, const NET_IN_START_DEVICE_DISCOVERY *pInParam, NET_OUT_START_DEVICE_DISCOVERY *pOutParam, int nWaitTime);

// ֹͣ豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopDeviceDiscovery(LLONG lLoginID, const NET_IN_STOP_DEVICE_DISCOVERY *pInParam, NET_OUT_STOP_DEVICE_DISCOVERY *pOutParam, int nWaitTime);

// õӿ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDefenceArmMode(LLONG lLoginID, NET_IN_SET_DEFENCEMODE* pInBuf, NET_OUT_SET_DEFENCEMODE* pOutBuf = NULL, int nWaitTime = 1000);

// ȡ״̬ӿ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDefenceArmMode(LLONG lLoginID, NET_IN_GET_DEFENCEMODE* pInBuf, NET_OUT_GET_DEFENCEMODE* pOutBuf, int nWaitTime = 1000);

// ϵͳӿ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetSubSystemArmMode(LLONG lLoginID, NET_IN_SET_SUBSYSTEMMODE* pInBuf, NET_OUT_SET_SUBSYSTEMMODE* pOutBuf = NULL, int nWaitTime = 1000);

// ȡϵͳ״̬ӿ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSubSystemArmMode(LLONG lLoginID, NET_IN_GET_SUBSYSTEMMODE* pInBuf, NET_OUT_GET_SUBSYSTEMMODE* pOutBuf, int nWaitTime = 1000);

// ȡ״̬ӿ,pInBufpOutBufڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetArmMode(LLONG lLoginID, NET_IN_GET_ARM_MODE* pInBuf, NET_OUT_GET_ARM_MODE* pOutBuf, int nWaitTime);






// ·Žƿ
// nInsertCount: ·Ƭ 20
// pInsertCards: Ҫ·ĿƬϢָû䲢 NET_RECORDSET_ACCESS_CTL_CARD ṹ建棬Ϊ nInsertCount
// nRecNo: ·ļ¼ţ pInsertCards һһӦ-1 ʾʧܣָû int 棬Ϊ nInsertCount
CLIENT_NET_API BOOL CALL_METHOD CLIENT_InsertAccessControlCards(LLONG lLoginID, int nInsertCount, const NET_RECORDSET_ACCESS_CTL_CARD* pInsertCards, int* pRecNo, void* reserved = NULL, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);
 
//ͼƬȽϢ
typedef struct tagNET_IMAGE_COMPARE_INFO
{
	DWORD 			   	    dwoffset;			// ڶݿеƫ,λ:ֽ
	DWORD					dwLength;			// ͼƬС,λ:ֽ
	DWORD					dwWidth;			// ͼƬ
	DWORD					dwHeight;			// ͼƬ߶
	BYTE                    byReserved[128];    // ֽ
} NET_IMAGE_COMPARE_INFO;

//CLIENT_MatchTwoFace 
typedef struct tagNET_MATCH_TWO_FACE_IN
{
	DWORD					dwSize;
	NET_IMAGE_COMPARE_INFO  stuOriginalImage;	// ԭͼ
	NET_IMAGE_COMPARE_INFO  stuCompareImage;	// Ƚͼ
	char 			   	   *pSendBuf;			// ͼƬ
	DWORD 					dwSendBufLen;		// ݴС
} NET_MATCH_TWO_FACE_IN;

//CLIENT_MatchTwoFace 
typedef struct tagNET_MATCH_TWO_FACE_OUT
{
	DWORD					dwSize;
	int						nSimilarity;		// ͼƬƶ,Χ0~100
} NET_MATCH_TWO_FACE_OUT;

// ͼƬƶfaceRecognitionServer.matchTwoFace,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_MatchTwoFaceImage(LLONG lLoginID, const NET_MATCH_TWO_FACE_IN *pstInParam, NET_MATCH_TWO_FACE_OUT *pstOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// ֡
typedef enum tagEM_DECODE_FRAME_TYPE
{
    EM_FRAME_TYPE_UNKNOWN   = -1,               // δ֪
    EM_FRAME_TYPE_VIDEO     = 0,				// Ƶ֡
    EM_FRAME_TYPE_AUDIO     = 1,				// Ƶ֡
}EM_DECODE_FRAME_TYPE;

// ֡չϢ
typedef struct tagNET_FRAME_INFO_EX
{
    DWORD                   dwSize;
    EM_DECODE_FRAME_TYPE    emFrameType;			//Ƶ֡,涨
    int				        nFrameSeq;				//֡
    int				        nStamp;					//ʱϢ,λ
    int				        nWidth;					//,λ.ƵΪ0.
    int 			        nHeight;				//,ƵΪ0
    int				        nFrameRate;				//ʱͼ֡
    int				        nChannels;				//Ƶͨ
    int				        nBitPerSample;			//Ƶλ
    int				        nSamplesPerSec;			//ƵƵ
    int				        nRemainData;			//ʣ
    NET_TIME_EX		        nDataTime;				//ʱ
    
}NET_FRAME_INFO_EX;

// ֡Ϣ
typedef struct tagNET_FRAME_DECODE_INFO 
{
    DWORD                   dwSize;
    EM_DECODE_FRAME_TYPE    emFrameType;			//֡,FRAME_INFO_EXnFrameTypeֶ

    void*			        pAudioData;				//Ƶ,Ƶ֡
    int				        nAudioDataLen;			//Ƶݳ

    void*			        pVideoData[3];			//ֱʾƵYUV
    int				        nStride[3];				//ֱʾYUVĿ
    int				        nWidth[3];				//ֱʾYUVĿ
    int				        nHeight[3];				//ֱʾYUVĸ߶  
}NET_FRAME_DECODE_INFO;

// ص
typedef void (CALLBACK *fDecCallBack)(LLONG lLoginID, LLONG lPlayHandle, NET_FRAME_DECODE_INFO* pFrameDecodeInfo, NET_FRAME_INFO_EX* pFrameInfo, LDWORD dwUserData, LLONG nReserved);

// ýص
CLIENT_NET_API void CALL_METHOD CLIENT_SetDecCallBack(fDecCallBack cbDecCallBack, LDWORD dwUserData, LLONG nReserved = 0);

// ýص----չ
CLIENT_NET_API void CALL_METHOD CLIENT_SetDecCallBackEx(fDecCallBack cbDecCallBack, LDWORD dwUserData, NET_VIDEOSTREAM_TYPE emVideoStreamType, LLONG nReserved);

// ȡĬ(ĿǰֻʵEncodePlaneemCfgOpType == NET_EM_CFG_ENCODE_PLAN)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDevDefaultConfig(LLONG lLoginID, NET_EM_CFG_OPERATE_TYPE emCfgOpType, int nChannelID,
                                          LPVOID lpOutBuffer, DWORD dwOutBufferSize, int nWaittime/*=NET_INTERFACE_DEFAULT_TIMEOUT*/);

#define NET_CUSTOM_PARKING_SPACE_NUMBER_MAX_LEN 32                        // Զ峵λ󳤶

// λָʾɫ
typedef enum tagEM_PARKINGSPACE_LIGHT_COLOR
{
    EM_PARKINGSPACE_LIGHT_COLOR_UNKNOWN,                                    // δ֪  
    EM_PARKINGSPACE_LIGHT_COLOR_RED,                                        // ɫ
    EM_PARKINGSPACE_LIGHT_COLOR_YELLOW,                                     // ɫ    
	EM_PARKINGSPACE_LIGHT_COLOR_GREEN,                                      // ɫ   
	EM_PARKINGSPACE_LIGHT_COLOR_BLUE,										// ɫ    
	EM_PARKINGSPACE_LIGHT_COLOR_PURPLE,                                     // ɫ   
	EM_PARKINGSPACE_LIGHT_COLOR_WHITE,										// ɫ    
	EM_PARKINGSPACE_LIGHT_COLOR_PINK,										// ɫ   
}EM_PARKINGSPACE_LIGHT_COLOR;

// λָʾ״̬
typedef enum tagEM_PARKINGSPACE_LIGHT_STATE
{
    EM_PARKINGSPACE_LIGHT_STATE_UNKNOWN = -1,                               // δ֪  
    EM_PARKINGSPACE_LIGHT_STATE_OFF,                                        // 
    EM_PARKINGSPACE_LIGHT_STATE_ON,                                         // 
    EM_PARKINGSPACE_LIGHT_STATE_GLINT,                                      // ˸
    EM_PARKINGSPACE_LIGHT_STATE_LAST_STATE,                                 // һ״̬
}EM_PARKINGSPACE_LIGHT_STATE;

// ͣλָʾƼƻϢ
typedef struct tagNET_PARKING_SPACE_LIGHT_PLAN_INFO
{
    EM_PARKINGSPACE_LIGHT_COLOR emColor;                                    // ɫ
    EM_PARKINGSPACE_LIGHT_STATE emState;                                    // ״̬
    int nKeepTime;                                                          // ʱ,λ룬-1ʾ
    BYTE byReserved[128];                                                   // ֽ
}NET_PARKING_SPACE_LIGHT_PLAN_INFO;

// óλָʾƼƻ
typedef struct tagNET_IN_SET_PARKING_SPACE_LIGHT_PLAN
{
    DWORD dwSize;                                                           // ṹС                                                           
    int nPhysicalLane;                                                      // λţʹôֶ.ֵΪʱʾֶЧ
    char szCustomParkNo[NET_CUSTOM_PARKING_SPACE_NUMBER_MAX_LEN];           // Զ峵λţλֶЧʱʹôֶ
    int nLightPlanNum;                                                      // ƼƻĿ
    NET_PARKING_SPACE_LIGHT_PLAN_INFO* pstuLightPlan;                       // ƼƻϢûͷڴ
}NET_IN_SET_PARKING_SPACE_LIGHT_PLAN;

// óλָʾƼƻ
typedef struct tagNET_OUT_SET_PARKING_SPACE_LIGHT_PLAN
{
    DWORD dwSize;                                                           // ṹС
}NET_OUT_SET_PARKING_SPACE_LIGHT_PLAN;


// óλƼƻ,pNetDataInpNetDataOutûڴ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetParkingSpaceLightPlan(LLONG lLoginID,const NET_IN_SET_PARKING_SPACE_LIGHT_PLAN* pNetDataIn,NET_OUT_SET_PARKING_SPACE_LIGHT_PLAN* pNetDataOut,int nWaitTime);

// CLIENT_SyncParkingInfo شųλͬϱλϢ
typedef struct tagNET_IN_SYNC_PARKING_INFO
{
	DWORD			dwSize;													// ṹС
	int				nChannel;												// ͨ
	char			szParkingNum[32];											// λ
	DWORD			dwPresetNum;											// Ԥõ
	BOOL			bHaveCar;												// λǷг
	BOOL			bParkingFault;											// λǷй
	int				nSnapTimes;												// ĴȡֵΧ0-5
	int				nSnapIntervel;											// ļȡֵΧ3-10
}NET_IN_SYNC_PARKING_INFO;

// CLIENT_SyncParkingInfo شųλͬϱλϢ
typedef struct tagNET_OUT_SYNC_PARKING_INFO
{
	DWORD			dwSize;													// ṹС
}NET_OUT_SYNC_PARKING_INFO;

// ƣشųλͬϱλϢ,гͣ롢򳵴ӳλ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SyncParkingInfo(LLONG lLoginID, const NET_IN_SYNC_PARKING_INFO* pNetIn, NET_OUT_SYNC_PARKING_INFO* pNetOut, int nWaitTime);


/************************************************************************
 ** ֲʽԱṹѯЭ
 ***********************************************************************/
//ṹ¼ͼƬϢ
typedef struct tagDEV_ALARM_OBJECTSTRUCTLIZE_PIC_INFO
{
    char                     szCutPicPath[MAX_PATH];          // ֶαʾͼHTTP·
    DWORD                    dwWidth;                         // ͼƬ
    DWORD                    dwHeight;                        // ͼƬ߶
    BYTE                     byReserved[256];                 // ֽ
} DEV_ALARM_OBJECTSTRUCTLIZE_PIC_INFO;

//Աṹ߽ԱϢ
typedef struct tagDEV_PERSON_CONDITION_RESULT_FEATURE_INFO 
{
    EM_DEV_EVENT_FACEDETECT_SEX_TYPE        emSex;                      // Ա
    BYTE                                    byAge;                      // 
    BYTE                                    byCall;                     // Ƿڴ绰 , 0-δʶ 1-绰 2-绰
    BYTE                                    byHat;                      // Ƿñ   , 0-δʶ 1-ñ 2-ñ
    BYTE                                    byBag;                      // Ƿ񱳰     , 0-δʶ 1-   2-
    BYTE                                    byUmbrella;                 // Ƿɡ     , 0-δʶ 1-ɡ   2-ɡ
    BYTE                                    byGlasses;                  // Ƿ۾   , 0-δʶ 1-۾ 2-۾
    BYTE                                    byReserved1[2];             // ֽڶ
    EM_DEV_EVENT_FACEDETECT_FEATURE_TYPE    emEmotion;                  // :΢Ц,ŭ, , , , , , Ц
    NET_COLOR_RGBA                          stuUpperBodyColor;          // ϰɫ
    NET_COLOR_RGBA                          stuLowerBodyColor;          // °ɫ
    BYTE                                    byReserved[256];            // ֽ
} DEV_PERSON_CONDITION_FEATURE_INFO,DEV_PERSON_RESULT_FEATURE_INFO;

// ¼ EVENT_IVS_OBJECTSTRUCTLIZE_PERSON
typedef struct tagDEV_EVENT_OBJECTSTRUCTLIZE_PERSON_INFO
{
    int                                    nChannelID;                           // ͨ
    char                                   szName[DH_EVENT_NAME_LEN];            // ¼
    BYTE                                   bReserved1[4];                        // ֽڶ
    double                                 dbPTS;                                // ʱ(λǺ)
    NET_TIME_EX                            stuUTC;                               // ¼ʱ
    int                                    nEventID;                             // ¼ID
    DH_EVENT_FILE_INFO                     stuFileInfo;                          // ¼ӦļϢ
    int                                    nEventAction;                         // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;

	char                                   szFilePath[MAX_PATH];                 // ͼļ·
    DEV_PERSON_RESULT_FEATURE_INFO         stuPersonFeatrue;                     // 
    NET_RECT                               stuBoundingBoxRect;                   // ڴͼеİΧ,Rectʽ8192ϵ
    DEV_ALARM_OBJECTSTRUCTLIZE_PIC_INFO    stuImageInfo;                         // ͼ˿ͼͼƬϢ

    int                                    nImageIndex;                          // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD                                  dwSnapFlagMask;                       // ץͼ־(λ), NET_RESERVED_COMMON    
    BYTE                                   bReserved[1024];                      // ֽ,չ. 
} DEV_EVENT_OBJECTSTRUCTLIZE_PERSON_INFO;

//ǻ¼(ֳĦгԶetc),ڷǻһˣ¼ݺ¼ص㷨ļǷǻ.
typedef struct tagDEV_EVENT_OBJECTSTRUCTLIZE_NONMOTOR_INFO
{
    int                                    nChannelID;                            // ͨ
    char                                   szName[DH_EVENT_NAME_LEN];             // ¼
    BYTE                                   bReserved1[4];                         // ֽڶ
    double                                 dbPTS;                                 // ʱ(λǺ)
    NET_TIME_EX                            stuUTC;                                // ¼ʱ
    int                                    nEventID;                              // ¼ID
    DH_EVENT_FILE_INFO                     stuFileInfo;                           // ¼ӦļϢ
    int                                    nEventAction;                          // ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
    
	char                                   szFilePath[MAX_PATH];                  // ͼļ·
    char                                   szPlateNumber[DH_MAX_PLATE_NUMBER_LEN];// ƺ 
    DEV_PERSON_RESULT_FEATURE_INFO         stuPersonFeatrue;                      // ǻԱ
    NET_RECT                               stuBoundingBoxRect;                    // ǻڴͼеİΧ,Rectʽ8192ϵ
    DEV_ALARM_OBJECTSTRUCTLIZE_PIC_INFO    stuImageInfo;                          // ͼеķǻͼϢ

    int                                    nImageIndex;                           // ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
    DWORD                                  dwSnapFlagMask;                        // ץͼ־(λ), NET_RESERVED_COMMON    
    BYTE                                   bReserved[1024];                       // ֽ,չ. 
} DEV_EVENT_OBJECTSTRUCTLIZE_NONMOTOR_INFO;


//ر¼ϢӦ DH_ALARM_TUMBLE_DETECTION 
typedef struct tagALARM_TUMBLE_DETECTION_INFO       
{     
	int									nAction;							// ¼,1ʾʼ,2ʾ;
	int									nChannelID;							// ͨ
    double								PTS;								// ʱ(λǺ)
    NET_TIME_EX							UTC;								// ¼ʱ
    int									nEventID;							// ¼ID
	int									UTCMS;								// UTCʱӦĺ
	EM_CLASS_TYPE						emClassType;						// ¼
	int									nObjectID;							// ĿID
	char								szObjectType[DH_COMMON_STRING_16];	// ,֧:
																			// "Unknown", "Human", "Vehicle", "Fire", "Smoke", "Plate", "HumanFace",
																			// "Container", "Animal", "TrafficLight", "PastePaper", "HumanHead", "BulletHole", "Entity"
	NET_RECT							stuBoundingBox;						// Χ
	BYTE                				byReserved[1024];   				// ֽ     
}ALARM_TUMBLE_DETECTION_INFO; 

//¼ EVENT_IVS_TUMBLE_DETECTION(ر¼)ӦݿϢ
typedef struct tagDEV_EVENT_TUMBLE_DETECTION_INFO
{
    int                     nChannelID;                             // ͨ
    char                    szName[DH_EVENT_NAME_LEN];              // ¼
	int						nAction;								// ¼,1ʾ¼ʼ,2ʾ¼;
    double                  PTS;                                    // ʱ(λǺ)
    NET_TIME_EX             UTC;                                    // ¼ʱ
    int                     nEventID;                               // ¼ID
	int						UTCMS;									// UTCʱӦĺ	

	EM_CLASS_TYPE			emClassType;							// ¼		
	int						nObjectID;								// ĿID
	char					szObjectType[DH_COMMON_STRING_16];		// ,֧:
																	//"Unknown", "Human", "Vehicle", "Fire", "Smoke", "Plate", "HumanFace",
																	// "Container", "Animal", "TrafficLight", "PastePaper", "HumanHead", "BulletHole", "Entity"
	NET_RECT				stuBoundingBox;							// Χ

	BYTE                    bReserved[1024];                        // ֽ
} DEV_EVENT_TUMBLE_DETECTION_INFO;

//¼ EVENT_IVS_SPILLEDMATERIAL_DETECTION (¼)ӦݿϢ
typedef struct tagDEV_EVENT_SPILLEDMATERIAL_DETECTION_INFO
{
	int						nChannelID;                         // ͨ
	char					szName[128];                        // ¼
	char					bReserved[4];						// ֽڶ
	double					PTS;                                // ʱ(λǺ)
	NET_TIME_EX				UTC;                                // ¼ʱ
	int						nEventID;                           // ¼ID

	DH_MSG_OBJECT_EX		stuObjects[MAX_OBJECT_NUM_EX];      // ⵽
	int						nObjectNum;							// ⵽
	DH_EVENT_FILE_INFO		stuFileInfo;                        // ¼ӦļϢ
	DH_POINT				stuDetectLine[DH_MAX_DETECT_LINE_NUM]; // 
	int						nDetectLineNum;                     // ߶
	DH_POINT				stuTrackLine[DH_MAX_TRACK_LINE_NUM];// ˶켣
	int						nTrackLineNum;                      // ˶켣
	BYTE					bEventAction;						// ¼,0ʾ¼,1ʾ¼ʼ,2ʾ¼;
	BYTE					bReserved1[3];						// ֽ
	NET_CROSSLINE_DIRECTION_INFO	emDirection;                // ʾַ,nObjectNum > 0ʱֶЧstuObjectsʽemPersonDirectionֶδ棩
	int						nImageIndex;						// ͼƬ, ͬһʱ(ȷ)жͼƬ, 0ʼ
	DWORD					dwSnapFlagMask;                     // ץͼ־(λ),NET_RESERVED_COMMON
	int						nSourceIndex;                       // ¼Դ豸ϵindex,-1ʾЧ,-1ʾЧ
	char					szSourceDevice[MAX_PATH];           // ¼Դ豸Ψһʶ,ֶβڻΪձʾ豸
	unsigned int			nOccurrenceCount;                   // ¼ۼƴ
	EVENT_INTELLI_COMM_INFO stuIntelliCommInfo;					// ¼Ϣ
	NET_EXTENSION_INFO		stuExtensionInfo;                   // չϢ
	BYTE					byReserved[1028];                   // ֽ,չ.
}DEV_EVENT_SPILLEDMATERIAL_DETECTION_INFO;

// ֤ԱͼƬϢ
typedef struct tagCITIZEN_PICTURE_COMPARE_IMAGE_INFO
{
    DWORD           dwOffSet;                       // ļڶݿеƫλ, λ:ֽ
    DWORD           dwFileLenth;                    // ļС, λ:ֽ
    WORD            wWidth;                         // ͼƬ, λ:
    WORD            wHeight;                        // ͼƬ߶, λ:
    BYTE            byReserved[256];                // ֽ
}CITIZEN_PICTURE_COMPARE_IMAGE_INFO;

// ͼƬ
typedef enum tagCITIZEN_PICTURE_COMPARE_TYPE
{
	CITIZEN_PICTURE_COMPARE_TYPE_UNKNOWN = -1,
	CITIZEN_PICTURE_COMPARE_TYPE_LOCAL,				// ͼ
	CITIZEN_PICTURE_COMPARE_TYPE_FACEMAP,			// 㳡ͼ
}CITIZEN_PICTURE_COMPARE_TYPE;

// ֤ԱչͼƬϢ
typedef struct tagCITIZEN_PICTURE_COMPARE_IMAGE_INFO_EX
{
	CITIZEN_PICTURE_COMPARE_TYPE		emType;					// ͼƬ
	DWORD								dwOffSet;               // ļڶݿеƫλ, λ:ֽ
	DWORD								dwFileLenth;            // ļС, λ:ֽ
	WORD								wWidth;                 // ͼƬ, λ:
	WORD								wHeight;                // ͼƬ߶, λ:
	BYTE								byReserved[64];        // ֽ
}CITIZEN_PICTURE_COMPARE_IMAGE_INFO_EX;

// ֤ȶ¼ʵʱƬ͸˳е֤Ƭбȶԣϱ
// Ӧ¼Ϊ EVENT_IVS_CITIZEN_PICTURE_COMPARE
typedef struct tagDEV_EVENT_CITIZEN_PICTURE_COMPARE_INFO
{
    //ֶ
    int                 nChannelID;                         // ͨ,0ʼ
    int                 nEventAction;					    // ¼, 0ʾ, -1ʾδ֪
    double              dbPTS;                              // ʱ(λǺ)
    char                szName[DH_EVENT_NAME_LEN];          // ¼    
    NET_TIME_EX         stuUTC;                             // ¼ʱ
    int                 nEventID;                           // ¼ID

    //¼Ӧֶ
    bool                bCompareResult;                     // ֤ȶԽ,ƶȴڵֵΪȶԳɹ,trueʾɹ,falseʾʧ
    BYTE                nSimilarity;                        // ͼƬƶ,λٷֱ,Χ[1,100]
    BYTE                nThreshold;                         // ֵ,Χ[1,100]
    EM_CITIZENIDCARD_SEX_TYPE emSex;                        // Ա
    int                 nEthnicity;                         // (DEV_EVENT_ALARM_CITIZENIDCARD_INFOnEthnicity)
    char                szCitizen[DH_COMMON_STRING_64];     //     
    char                szAddress[DH_COMMON_STRING_256];    // סַ
    char                szNumber[DH_COMMON_STRING_64];      // ֤
    char                szAuthority[DH_COMMON_STRING_256];  // ǩ
    NET_TIME            stuBirth;                           // ()
    NET_TIME            stuValidityStart;                   // Чʼ()
    BOOL                bLongTimeValidFlag;                 // ֵΪ TRUE, ֹ ʾЧ,ʱ stuValidityEnd ֵ
                                                            // ֵΪ FALSE, ʱ ֹ 鿴 stuValidityEnd ֵ
    NET_TIME            stuValidityEnd;                     // Ч޽()
    CITIZEN_PICTURE_COMPARE_IMAGE_INFO stuImageInfo[2];     // ͼƬϢһΪƬڶΪ֤Ƭ
	char                szCardNo[DH_COMMON_STRING_32];      // IC
	char                szCellPhone[DH_COMMON_STRING_20];   // ֻţȶʱֻţ
	NET_EXTENSION_INFO  stuExtensionInfo;                   // չϢ
	CITIZEN_PICTURE_COMPARE_IMAGE_INFO_EX	stuImageInfoEx[6];	// ͼƬչϢ
	char				szCallNumber[20];					// к		
	NET_ACCESS_DOOROPEN_METHOD	emDoorOpenMethod;			// ŷʽ֤Ƭָ֤ƣ  
	UINT				nEventGroupID;						// ¼ID,ڲͬ¼й
	UINT				nEventType;							// ¼ͣ0֤ȶԽ	1֤ɼ
	char				szUserID[32];						// ֤ɼʱԱIDƣ
    BYTE                byReserved[296];                    // ֽ
}DEV_EVENT_CITIZEN_PICTURE_COMPARE_INFO;

// ѯΧ
typedef struct tagDEV_OBJECT_FIND_SCOPE_INFO
{
    BOOL                bEnable;                    // Ƿѯ
	int                 nMinValue;                  // Сѯֵ
	int                 nMaxValue;                  // ѯֵ
} DEV_OBJECT_FIND_SCOPE_INFO;

// ѯΧ
typedef struct tagDEV_OBJECT_SUNSHIELD_FIND_SCOPE_INFO
{
    BYTE                                   byFindType;                 // 巽ʽ:1  2 λ(,ֵЧ)
	int                                    nMinSunShieldNum;           // Сѯֵ(ѡ)byFindType  Ϊ1ʱʹ
    int                                    nMaxSunShieldNum;           // ѯֵ(ѡ)byFindType  Ϊ1ʱʹ
	NET_SUNSHADE_STATE                     emMasterShield;             // ʻλ״̬(ѡ)byFindType  Ϊ2ʱʹ
    NET_SUNSHADE_STATE                     emSlaveShield;              // ʻλ״̬(ѡ)byFindType  Ϊ2ʱʹ
} DEV_OBJECT_SUNSHIELD_FIND_SCOPE_INFO;

//ṹ
typedef struct tagDEV_VEHICLE_CONDITION_FEATURE_INFO 
{
    char                                   szPlateNumber[DH_MAX_PLATE_NUMBER_LEN];        // ƺ 
    EM_NET_PLATE_TYPE                      emPlateType;                                   // 
	NET_COLOR_RGBA                         stuPlateColor;                                 // ɫ
    EM_NET_VEHICLE_TYPE                    emVehicleType;                                 //  
	NET_COLOR_RGBA                         stuVehicleColor;                               // ɫ
    char                                   szVehicleLogo[32];                             // 
    WORD                                   wVehicleSubBrand;                              // Ʒ ҪͨӳõƷ ӳֲ
    WORD                                   wVehicleYearModel;                             // Ʒ Ҫͨӳõ ӳֲ
    EM_VEHICLE_DIRECTION                   emVehicleDirection;                            // ץĳλ

    NET_SAFEBELT_STATE                     emMainSeat;                                    // ʻλȫ״̬(ѡ)
    NET_SAFEBELT_STATE                     emSlaveSeat;                                   // ʻλȫ״̬(ѡ)
	DEV_OBJECT_SUNSHIELD_FIND_SCOPE_INFO   stuSunShieldInfo;                              // ѯϢ()
    DEV_OBJECT_FIND_SCOPE_INFO             stuDropInfo;                                   // ׹Χ(ѡ)
    DEV_OBJECT_FIND_SCOPE_INFO             stuPaperBoxInfo;                               // ֽиΧ(ѡ)
    DEV_OBJECT_FIND_SCOPE_INFO             stuAnnualInspectionInfo;                       // Χ(ѡ)
    BYTE                                   byReserved[256];                               // ֽ
} DEV_VEHICLE_CONDITION_FEATURE_INFO;

//ṹѯ
typedef struct tagDEV_VEHICLE_RESULT_FEATURE_INFO 
{
    char                                   szPlateNumber[DH_MAX_PLATE_NUMBER_LEN];        // ƺ 
    EM_NET_PLATE_TYPE                      emPlateType;                                   // 
	NET_COLOR_RGBA                         stuPlateColor;                                 // ɫ
    NET_COLOR_RGBA                         stuVehicleColor;                               // ɫ
    char                                   szVehicleLogo[32];                             // 
    WORD                                   wVehicleSubBrand;                              // Ʒ ҪͨӳõƷ ӳֲ
    WORD                                   wVehicleYearModel;                             // Ʒ Ҫͨӳõ ӳֲ
    int                                    nVehicleWindowNum;                             //                                         
    NET_RECT                               stuVehicleWindow[4];                           // λ,±0ʾǰ±1ʾ󳵴ʾ೵
    EM_VEHICLE_DIRECTION                   emVehicleDirection;                            // ץĳλ
    
    NET_SAFEBELT_STATE                     emMainSeat;                                    // ʻλȫ״̬
    NET_SAFEBELT_STATE                     emSlaveSeat;                                   // ʻλȫ״̬
    NET_RECT                               stuMasterShield;                               // ʻλλ
    NET_RECT                               stuSlaveShield;                                // ʻλλ
    int                                    nAnnualInspectionNum;                          // ־                                        
    NET_RECT                               stuAnnualInspection[8];                        // ־
    int                                    nDropNum;                                      // ׹                                        
    NET_RECT                               stuDrop[4];                                    // ׹λ
    int                                    nPaperBoxNum;                                  // ֽи                                        
    NET_RECT                               stuPaperBox[4];                                // ֽλ
    BYTE                                   byReserved[256];                               // ֽ
} DEV_VEHICLE_RESULT_FEATURE_INFO;

// ͼƬ
typedef enum tagEM_PIC_FEATURE_TYPE
{
    EM_PIC_FEATURE_TYPE_UNKOWN,            // δ֪
    EM_PIC_FEATURE_TYPE_GLOBAL_SENCE,      // ȫͼ
    EM_PIC_FEATURE_TYPE_SMALL,             // дͼ
}EM_PIC_FEATURE_TYPE;

//ͼƬϢ,
typedef struct tagDEV_IMAGE_REQUEST_FEATURE_INFO
{
    EM_PIC_FEATURE_TYPE      emPicType;            // ͼƬ()
    DWORD                    dwoffset;             // ڶݿеƫ,λ:ֽ
    DWORD                    dwLength;             // ͼƬС,λ:ֽ
    DWORD                    dwWidth;              // ͼƬ
    DWORD                    dwHeight;             // ͼƬ߶
	BOOL                     bEnableRect;          // ǷRectѯ
    NET_RECT                 stuRect;              // (ѡ)ͼƬΪGlobalSceneʱʾͼе꣬ʹþ꣬صʵλ
    BYTE                     byReserved[256];      // ֽ
} DEV_IMAGE_REQUEST_FEATURE_INFO;

//ͼƬϢ
typedef struct tagDEV_IMAGE_RESULT_FEATURE_INFO
{
    DWORD                   dwSimilarity;                   // ͼƬƶ,Χ0~100
    NET_TIME                stuTime;                        // ͼƬ/ʱ

	DWORD                   dwObjectOffset;                 // дͼڶݿеƫ,λֽ(ȡNeedData)
	DWORD                   dwObjectLength;                 // дͼƬС,λֽ(ȡNeedData)
    char                    szObjectFilePath[MAX_PATH];     // дͼHTTPļ·(ȡNeedData)

	DWORD                   dwSceneOffset;                  // ȫͼڶݿеƫ,λֽ(ȡNeedData)
	DWORD                   dwSceneLength;                  // ȫͼͼƬС,λֽ(ȡNeedData)
    char                    szSceneFilePath[MAX_PATH];      // ȫͼHTTPļ·(ȡNeedData)

    NET_RECT                stuObjectRect;                  // Сͼڴͼλãص
    BYTE                    byReserved[256];                // ֽ
} DEV_IMAGE_RESULT_FEATURE_INFO;

// CLIENT_DetectObjectStructlize ӿ
typedef struct tagNET_IN_OBJECTSTRUCTLIZE_DETECT_PIC
{
    DWORD                                    dwSize; 
    int					                     nWidth;              // ͼƬ
    int                                      nHeight;             // ͼƬ߶
    char                                     *pBuffer;            // ͼƬݻַ, û
    int                                      nBufferLen;          // ͼƬݻݳ
}NET_IN_OBJECTSTRUCTLIZE_DETECT_PIC;

// ⵽Ϣ
typedef struct tagNET_OBJECT_DETECTED_INFO
{
    DH_POINT                         stuPoint;                       // СͼϽڴͼλ, ʹþϵ
    DWORD                            dwWidth;                        // ͼƬ
    DWORD                            dwHeight;                       // ͼƬ߶
    char                             szObjectType[16];               // , ο NET_OBJFILTER_INFO  szObjectType ˵
    char                             szObjectSubType[32];            // е, ο NET_OBJFILTER_INFO  szObjectSubType ˵
    DEV_PERSON_RESULT_FEATURE_INFO   stuPersonResult;                // Աṹѯ
    DEV_VEHICLE_RESULT_FEATURE_INFO  stuVehicleResult;               // ṹѯ
    BYTE                             byReserved[512];                // ֽ
} NET_OBJECT_DETECTED_INFO;

// CLIENT_DetectObjectStructlize ӿ
typedef struct tagNET_OUT_OBJECTSTRUCTLIZE_DETECT_PIC
{
    DWORD                          dwSize; 
    int                            nObjectNum;                                // ⵽
    NET_OBJECT_DETECTED_INFO       stuObjectinfos[DH_MAX_OBJECT_LIST];        // ⵽
}NET_OUT_OBJECTSTRUCTLIZE_DETECT_PIC;

// ṹѯ״̬Ϣص, lAttachHandle CLIENT_AttachObjectStructlizeFindState ķֵ
typedef struct tagNET_CB_OBJECTSTRUCTLIZE_FIND_STATE
{
    DWORD               dwSize;     
    int                 nToken;         //ѯ
    int                 nProgress;      //ȡֵΧ0-100,-1,ʾѯtoken(һڻĲѯʱ)
    int                 nCurrentCount;  //Ŀǰϲѯ
}NET_OBJECTSTRUCTLIZE_FIND_STATE;

// ṹѯ״̬ص
// pstStates ĸ nStateNum ָ 
typedef void (CALLBACK *fObjectStructlizeFindState)(LLONG lLoginID, LLONG lAttachHandle, NET_OBJECTSTRUCTLIZE_FIND_STATE* pstStates, int nStateNum, LDWORD dwUser);

// CLIENT_AttachObjectStructlizeFindState ӿ
typedef struct tagNET_IN_OBJECTSTRUCTLIZE_FIND_STATE
{
    DWORD                              dwSize;             //ṹС,д
    
    int                                nTokenNum;          //ѯ,Ϊ0ʱ,ʾеĲѯ
    int                                nTokens[8];         //ѯ
    fObjectStructlizeFindState         cbObjectSFindState; //ص
    LDWORD                             dwUser;             //û
}NET_IN_OBJECTSTRUCTLIZE_FIND_STATE;

// CLIENT_AttachObjectStructlizeFindState ӿ
typedef struct  tagNET_OUT_OBJECTSTRUCTLIZE_FIND_STATE
{
    DWORD           dwSize;
 }NET_OUT_OBJECTSTRUCTLIZE_FIND_STATE;

// CLIENT_StartFindObjectStructlize ӿ
typedef struct tagNET_IN_STARTFIND_OBJECTSTRUCTLIZE
{
    DWORD                                      dwSize;
    int                                        nChannelNum;                    // ͨ
    int                                        stuChannelID[16];               // еͨ
	BOOL                                       bTimeEnable;                    // ʱβѯ
    NET_TIME                                   stStartTime;                    // (ѡ)ʼʱ,ѯץĿҪ,עⲻҪ
    NET_TIME                                   stEndTime;                      // (ѡ)ʱ,ѯץĿҪ,עⲻҪ
    //Ϊѯ
    char                                       szObjectType[16];               // (), ͬ NET_OBJFILTER_INFO ֶ
    char                                       szObjectSubType[32];            // (ѡ)еͬ NET_OBJFILTER_INFO ֶ
    int                                        nSimilarity;                    // ()ͲѯͼƬƶȣٷֱ,Χ0~100

    DEV_PERSON_CONDITION_FEATURE_INFO          stuPersonCondition;             // ԱϢֻ֣ANDϵ
    DEV_VEHICLE_CONDITION_FEATURE_INFO         stuVehicleCondition;            // ֻ֣ANDϵ
    DEV_IMAGE_REQUEST_FEATURE_INFO             stuImageRequestInfo;            // ͼƬϢ
    int                                        nRectNum;                       // Ч
    NET_RECT                                   stuRect[4];                     // 
    
    // ͼƬ
    char                                       *pBuffer;                       // ַ, û
    int                                        nBufferLen;                     // ݳ         
}NET_IN_STARTFIND_OBJECTSTRUCTLIZE;

// CLIENT_StartFindObjectStructlize ӿ
typedef struct tagNET_OUT_STARTFIND_OBJECTSTRUCTLIZE
{
    DWORD               dwSize;
    int                 nTotalCount;                   // صķϲѯļ¼ 
    // -1ʾδ,ҪƳٻȡ
    // ʹ CLIENT_AttachObjectStructlizeFindState ӿ״̬
    
    LLONG               lFindHandle;                   // ѯ
    int                 nToken;                        // ȡĲѯ
}NET_OUT_STARTFIND_OBJECTSTRUCTLIZE;



// CLIENT_DoFindObjectStructlize ӿ
typedef struct tagNET_IN_DOFIND_OBJECTSTRUCTLIZE
{
    DWORD                          dwSize;
    LLONG                          lFindHandle;                // ()ѯ
    int                            nBeginNum;                  // ()ѯʼ,0<=beginNumber<= totalCount-1
    int                            nCount;                     // ()ǰѯļ¼ 
    EM_NEEDED_PIC_RETURN_TYPE      emNeededData;               // ()ѯͼƬʽ    
}NET_IN_DOFIND_OBJECTSTRUCTLIZE;

// doFind⵽Ϣ
typedef struct tagNET_DODBFIND_OBJECT_DETECTED_INFO
{
    int                                nChannelID;                       // ͨ
    char                               szObjectType[16];                 // , ͬ NET_OBJFILTER_INFO ֶ
    char                               szObjectSubType[32];              // е, ͬ NET_OBJFILTER_INFO ֶ
    DEV_PERSON_RESULT_FEATURE_INFO     stuPersonResult;                  // Աṹѯ
    DEV_VEHICLE_RESULT_FEATURE_INFO    stuVehicleResult;                 // ṹѯ
    int                                nImageNum;                        // ⵽ͼƬѯץĿ鳤1;ע鳤ȿܴ1
    DEV_IMAGE_RESULT_FEATURE_INFO      stuImageResults[4];               // ⵽ͼƬϢ
    BYTE                               byReserved[512];                  // ֽ
} NET_DODBFIND_OBJECT_DETECTED_INFO;

// CLIENT_DoFindObjectStructlize ӿ
typedef struct tagNET_OUT_DOFIND_OBJECTSTRUCTLIZE
{
    DWORD                                  dwSize;
    int                                    nfoundNum;                                // ѯ
    int                                    nObjectNum;                               // ⵽
    NET_DODBFIND_OBJECT_DETECTED_INFO      stuObjectinfos[DH_MAX_OBJECT_LIST];       // ⵽
    
    // ͼƬ
    char                                   *pBuffer;                                // ַ, û
    int                                    nBufferLen;                              // ݳ
	int                                    nBufRet;                                 // ʵʷصĳ
}NET_OUT_DOFIND_OBJECTSTRUCTLIZE;

// ֵȡ, ͼͼ pstInParam  pstOutPara mڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetectObjectStructlize(LLONG lLoginID, const NET_IN_OBJECTSTRUCTLIZE_DETECT_PIC* pstInParam, NET_OUT_OBJECTSTRUCTLIZE_DETECT_PIC *pstOutParam, int nWaitTime );

// Ľṹѯ״̬ pstInParam  pstOutParam ڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachObjectStructlizeFindState(LLONG lLoginID, const NET_IN_OBJECTSTRUCTLIZE_FIND_STATE* pstInParam, NET_OUT_OBJECTSTRUCTLIZE_FIND_STATE *pstOutParam, int nWaitTime );

// ȡṹѯ״̬ lAttachHandle Ϊ CLIENT_AttachObjectStructlizeFindState صľ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachObjectStructlizeFindState(LLONG lAttachHandle);

// ѯṹʶ pstInParam  pstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartFindObjectStructlize(LLONG lLoginID, const NET_IN_STARTFIND_OBJECTSTRUCTLIZE* pstInParam, NET_OUT_STARTFIND_OBJECTSTRUCTLIZE *pstOutParam, int nWaitTime );

// ҽṹʶ:nFilecount:Ҫѯ, ֵΪýļ ֵ<nFilecountӦʱڵļѯ(ÿֻܲѯ20¼),pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindObjectStructlize(const NET_IN_DOFIND_OBJECTSTRUCTLIZE* pstInParam, NET_OUT_DOFIND_OBJECTSTRUCTLIZE *pstOutParam, int nWaitTime );

// ṹѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindObjectStructlize(LLONG lFindHandle);

// ӿ CLIENT_GetSubModuleInfo 
typedef struct tagNET_IN_GET_SUBMODULES_INFO
{
    DWORD                       dwSize;    
}NET_IN_GET_SUBMODULES_INFO;

// ģ״̬
typedef enum tagEM_STATE_SUBMODULE
{
    EM_STATE_SUBMODULES_UNKNOWN,
    EM_STATE_SUBMODULES_NORMAL,                  // 
    EM_STATE_SUBMODULES_EXCEPTION,               // 쳣
}EM_STATE_SUBMODULE;

// ģϢ
typedef struct tagNET_SUBMODULES_INFO 
{
    char                        szModuleName[DH_COMMON_STRING_32];      // ģ
    char                        szHardwareVersion[DH_COMMON_STRING_64]; // Ӳ汾Ϣ
    char                        szSoftwareVersion[DH_COMMON_STRING_64]; // 汾Ϣ
    EM_STATE_SUBMODULE          emState;                                // ģ״̬    
    BYTE                        byReserve[512];             
}NET_SUBMODULES_INFO;

// ӿCLIENT_GetSubModuleInfo 
typedef struct tagNET_OUT_GET_SUBMODULES_INFO
{
    DWORD                       dwSize; 
    int                         nRetNum;                                // صģ
    NET_SUBMODULES_INFO         stuSubModuleInfo[MAX_SUBMODULE_NUM];    // ģϢ
}NET_OUT_GET_SUBMODULES_INFO;

// ȡģϢ
CLIENT_NET_API  BOOL  CALL_METHOD  CLIENT_GetSubModuleInfo(LLONG lLoginID, const NET_IN_GET_SUBMODULES_INFO* pstInParam, NET_OUT_GET_SUBMODULES_INFO* pstOutParam, int nWaitTime);

// CLIENT_GetSoftwareVersion 
typedef struct tagNET_IN_GET_SOFTWAREVERSION_INFO
{
	DWORD                       dwSize;                                 // ṹС
}NET_IN_GET_SOFTWAREVERSION_INFO;

// CLIENT_GetSoftwareVersion 
typedef struct tagNET_OUT_GET_SOFTWAREVERSION_INFO
{
	DWORD                       dwSize;                                 // ṹС
	char                        szVersion[DH_COMMON_STRING_64];         // 汾
	NET_TIME                    stuBuildDate;                           // 
	char                        szWebVersion[DH_COMMON_STRING_16];      // webϢ
	char                        szSecurityVersion[DH_COMMON_STRING_64]; // ȫ߰汾
}NET_OUT_GET_SOFTWAREVERSION_INFO;

// ȡ汾
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSoftwareVersion(LLONG lLoginID, const NET_IN_GET_SOFTWAREVERSION_INFO* pstInParam, NET_OUT_GET_SOFTWAREVERSION_INFO* pstOutParam, int nWaitTime);

// CLIENT_GetDeviceType 
typedef struct tagNET_IN_GET_DEVICETYPE_INFO
{
	DWORD                       dwSize;                                 // ṹС
}NET_IN_GET_DEVICETYPE_INFO;

// CLIENT_GetDeviceType 
typedef struct tagNET_OUT_GET_DEVICETYPE_INFO
{
	DWORD                       dwSize;                                 // ṹС
	char                        szType[DH_COMMON_STRING_32];            // 豸,ֶα
    char                        szTypeEx[DH_COMMON_STRING_256];            // 豸, չ豸ͽʹôֶ
}NET_OUT_GET_DEVICETYPE_INFO;

// ȡ豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDeviceType(LLONG lLoginID, const NET_IN_GET_DEVICETYPE_INFO* pstInParam, NET_OUT_GET_DEVICETYPE_INFO* pstOutParam, int nWaitTime);



typedef enum tagEM_STATIS_GRANULARITY
{
	EM_STATIS_GRANULARITY_UNKNOWN,					// δ֪
	EM_STATIS_GRANULARITY_BY_HOUR,					// Сʱȡһ
	EM_STATIS_GRANULARITY_BY_DAY,					// ȡһ
	EM_STATIS_GRANULARITY_BY_MONTH,					// ȡһ
}EM_STATIS_GRANULARITY;
//CLIENT_StartFindExternalSensor ӿ
typedef struct tagNET_IN_STARTFIND_EXTERNALSENSOR
{
	DWORD						dwSize;
	NET_TIME					stStartTime;					// ʼʱ
	NET_TIME					stEndTime;						// ʱ
	EM_STATIS_GRANULARITY		emGranularity;					// ѯҪ󷵻صͳϢȣ"Hour"Сʱ"Day"ÿȡһݣ"Month"ÿÿȡһ
	UINT						nVideoChannel;					// ƵͨţDVR/NVRԽʱҪĿIPCԲ0
	UINT						nIndex;							// ⲿͨ
	UINT						nRecordHour;					// ʱ㣬λСʱ,Χ[0,23],"szGranularity"ֵΪ"Day""Month"ʱЧ

}NET_IN_STARTFIND_EXTERNALSENSOR;

// CLIENT_StartFindExternalSensor ӿ
typedef struct tagNET_OUT_STARTFIND_EXTERNALSENSOR
{
	DWORD				dwSize;
	UINT				nToken;											// ѯ
	UINT				nTotalCount;									// ϴ˴βѯ
}NET_OUT_STARTFIND_EXTERNALSENSOR;

// ʼѯⲿ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartFindExternalSensor(LLONG lLoginID, const NET_IN_STARTFIND_EXTERNALSENSOR* pstInParam, NET_OUT_STARTFIND_EXTERNALSENSOR* pstOutParam, int nWaitTime);

// CLIENT_DoFindExternalSensor ӿ
typedef struct tagNET_IN_DOFIND_EXTERNALSENSOR
{
	DWORD				dwSize;
	UINT				nToken;											// ѯ
	UINT				nBegin;											// ѯʼţʾbegin¼ʼȡnCount¼
	UINT				nCount;											// ÿβѯ
}NET_IN_DOFIND_EXTERNALSENSOR;

typedef struct tagNET_FIND_EXTERNALSENSOR_INFO
{
	UINT				nVideoChannel;									// Ƶͨ
	UINT				nIndex;											// ⲿͨ
	NET_TIME			stRecordTime;									// ⲿݴ洢ʱ
	double				dbData;											// ⲿ
	BYTE				byReserve[1024];								// ֽ
}NET_FIND_EXTERNALSENSOR_INFO;

// CLIENT_DoFindExternalSensor ӿ
typedef struct tagNET_OUT_DOFIND_EXTERNALSENSOR
{
	DWORD								dwSize;
	UINT								nFound;							// ѯ
	UINT								nMazNum;						// ѯ
	NET_FIND_EXTERNALSENSOR_INFO*		pstuInfo;						// ⲿݲѯûڴ,СΪsizeof(NET_FIND_EXTERNALSENSOR_INFO)*nMazNum
}NET_OUT_DOFIND_EXTERNALSENSOR;

// ȡϲѯⲿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindExternalSensor(LLONG lFindHandle, const NET_IN_DOFIND_EXTERNALSENSOR* pstInParam, NET_OUT_DOFIND_EXTERNALSENSOR* pstOutParam, int nWaitTime);

// ֹͣѯⲿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindExternalSensor(LLONG lFindHandle);

// ȡٺʾ
typedef struct tagNET_CFG_TRACKBOX
{
	int				nVideoChannel;				// Ƶͨ
	BOOL			bTargetBox;					// ǷʾĿ
	BOOL			bTrackBox;					// Ƿʾٿ
	BOOL			bTargetNumber;				// ǷʾĿ
	BYTE			byReserved[1024];
}NET_CFG_TRACKBOX;

typedef struct tagNET_IN_GET_TRACKBOX
{
	DWORD				dwSize;
	int					nVideoChannel;				// Ƶͨ
}NET_IN_GET_TRACKBOX;

typedef struct tagNET_OUT_GET_TRACKBOX
{
	DWORD				dwSize;
	NET_CFG_TRACKBOX	stuGetTrackBox;
}NET_OUT_GET_TRACKBOX;

// ȡٺʾ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetTrackBox(LLONG lLoginID, const NET_IN_GET_TRACKBOX* pstInParam, NET_OUT_GET_TRACKBOX *pstOutParam, int nWaitTime);

typedef struct tagNET_IN_SET_TRACKBOX
{
	DWORD				dwSize;
	NET_CFG_TRACKBOX	stuSetTrackBox;
}NET_IN_SET_TRACKBOX;

typedef struct tagNET_OUT_SET_TRACKBOX
{
	DWORD			dwSize;
}NET_OUT_SET_TRACKBOX;

// øٺʾ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetTrackBox(LLONG lLoginID, const NET_IN_SET_TRACKBOX* pstInParam, NET_OUT_SET_TRACKBOX *pstOutParam, int nWaitTime);

// ģʽ
typedef enum tagEM_TRACK_MODE
{
	EM_TRACK_MODE_UNKNOWN = -1,						// δ֪ģʽ
	EM_TRACK_MODE_AUTO,								// Զ
	EM_TRACK_MODE_SINGLE,							// Ŀ
	EM_TRACK_MODE_MANUAL,							// ֶ
	EM_TRACK_MODE_ALARM								// 
}EM_TRACK_MODE;

typedef struct tagNET_CFG_TRACKMODE
{
	int					nVideoChannel;				// Ƶͨ
	EM_TRACK_MODE		emTrackMode;				// ģʽ
	BYTE				byReserved[1024];			// ֶ
}NET_CFG_TRACKMODE;

typedef struct tagNET_IN_GET_TRACKMODE
{
	DWORD				dwSize;
	int					nVideoChannel;				// Ƶͨ
}NET_IN_GET_TRACKMODE;

typedef struct tagNET_OUT_GET_TRACKMODE
{
	DWORD				dwSize;
	NET_CFG_TRACKMODE	stuGetTrackMode;
}NET_OUT_GET_TRACKMODE;

// ȡģʽ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetTrackMode(LLONG lLoginID, const NET_IN_GET_TRACKMODE* pstInParam, NET_OUT_GET_TRACKMODE *pstOutParam, int nWaitTime);

typedef struct tagNET_IN_SET_TRACKMODE
{
	DWORD				dwSize;
	NET_CFG_TRACKMODE	stuSetTrackMode;
}NET_IN_SET_TRACKMODE;

typedef struct tagNET_OUT_SET_TRACKMODE
{
	DWORD			dwSize;
}NET_OUT_SET_TRACKMODE;

// øģʽ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetTrackMode(LLONG lLoginID, const NET_IN_SET_TRACKMODE* pstInParam, NET_OUT_SET_TRACKMODE *pstOutParam, int nWaitTime);

typedef struct tagNET_CFG_LINKPOS
{
	int					nVideoChannel;						// Ƶͨ
	char				szBallip[DH_COMMON_STRING_64];		// IPַԺԲ
	unsigned short		nX;									// ٺƵxһֵѡģΧ[0,8191]
	unsigned short		nY;									// ٺƵyһֵѡyһֵΧ[0,8191]
	float				fZoom;								// zoomΪʾѡֻ䱶ڵ0ʾѡ
	BYTE				byReserved[1024];					// ֶ
}NET_CFG_LINKPOS;

typedef struct tagNET_IN_SET_LINKPOS
{
	DWORD				dwSize;
	NET_CFG_LINKPOS		stuSetLinkPos; 
}NET_IN_SET_LINKPOS;

typedef struct tagNET_OUT_SET_LINKPOS
{
	DWORD			dwSize;
}NET_OUT_SET_LINKPOS;

// ѡͿѡ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetLinkPos(LLONG lLoginID, const NET_IN_SET_LINKPOS* pstInParam, NET_OUT_SET_LINKPOS *pstOutParam, int nWaitTime);
// +++++++++++++++++++++++++++++++++++++++++++++++++++++ƴ洢ؽӿ+++++++++++++++++++++++++++++++++++++++++++

// bucketϢ
typedef struct tagNET_BUCKET_NAME_INFO
{
    char szName[DH_COMMON_STRING_64];                       // 
    BYTE byReserved[256];                                   // ֽ
}NET_BUCKET_NAME_INFO;

// ʼѯbucket
typedef struct tagNET_IN_FIND_BUCKET_NAME
{
    DWORD dwSize;                                           // ṹС
    UINT nOffset;                                           // ѯƫֵ
    UINT nCount;                                            // ѯ    
}NET_IN_FIND_BUCKET_NAME;

// ʼѯbucketƳ
typedef struct tagNET_OUT_FIND_BUCKET_NAME
{
    DWORD dwSize;                                           // ṹС
    UINT nTotalCount;                                       // ܵbucket
    UINT nFindCount;                                        // ʵʲѯbucket
    NET_BUCKET_NAME_INFO* pBucketName;                      // bucketָ룬û/ͷڴ棬sdkڴ
    UINT nNameCount;                                        // bucketƸûд    
}NET_OUT_FIND_BUCKET_NAME;

// bucketļϢ
typedef struct tagNET_BUCKET_FILE_NAME_INFO
{
    char szName[DH_COMMON_STRING_1024];                     // ļ
    BYTE byReserved[256];                                   // ֽ
}NET_BUCKET_FILE_NAME_INFO;

// ʼѯĳbucketµļϢ
typedef struct tagNET_IN_FIND_BUCKET_FILE_NAME
{
    DWORD dwSize;                                           // ṹС    
    UINT nOffset;                                           // ѯƫ
    UINT nCount;                                            // ѯ
    char szBucketName[DH_COMMON_STRING_64];                 // bucket    
}NET_IN_FIND_BUCKET_FILE_NAME;

// ʼѯĳbucketµļϢ
typedef struct tagNET_OUT_FIND_BUCKET_FILE_NAME
{
    DWORD dwSize;                                           // ṹС
    UINT nTotalCount;                                       // ܵļ
    UINT nFindCount;                                        // ѯļ
    NET_BUCKET_FILE_NAME_INFO* pFileName;                   // fileָ룬û/ͷڴ棬sdkڴ
    UINT nFileCount;                                        // fileƸûд
}NET_OUT_FIND_BUCKET_FILE_NAME;

// ѯEFS豸ϵͳеbucketϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FindBucketName(LLONG lLoginID, const NET_IN_FIND_BUCKET_NAME* pstInParam, NET_OUT_FIND_BUCKET_NAME *pstOutParam, int nWaitTime );

// ѯĳbucketļϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FindBucketFileName(LLONG lLoginID, const NET_IN_FIND_BUCKET_FILE_NAME* pstInParam, NET_OUT_FIND_BUCKET_FILE_NAME *pstOutParam, int nWaitTime );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++ƴ洢ؽӿ+++++++++++++++++++++++++++++++++++++++++++

// +++++++++++++++++++++++++++++++++++++++++++++++++++++㲥ؽӿ+++++++++++++++++++++++++++++++++++++++++++
//㲥Խݻصԭ
typedef void (CALLBACK *pfAudioBroadcastDataCallBack)(LLONG lSpeakHandle, char *pDataBuf, DWORD dwBufSize, int nToken, LDWORD dwUser);

// ָͨ㲥
typedef struct tagNET_IN_START_CHANNEL_INFO
{
	DWORD							dwSize;
	int 							nChannelCount;			// ָͨ
	int								nChannel[32];			// ָͨŵб
	pfAudioBroadcastDataCallBack 	pfcb;					// 㲥Խݻص
	LDWORD 							dwUser;					// û
} NET_IN_START_CHANNEL_INFO;

// ָͨ㲥
typedef struct tagNET_OUT_START_CHANNEL_INFO
{
	DWORD					dwSize;
	int						nToken;					// 㲥
	int						nFrequency;				// ƵƵ
	int						nDepth;					// 
	DH_TALK_CODING_TYPE		emCompressionType;		// Ƶ
} NET_OUT_START_CHANNEL_INFO;

//CLIENT_TalkChannelSendData
typedef struct tagNET_TALK_CHANNEL_SENDDATA_IN
{
	DWORD					dwSize;
	char 			   	   *pSendBuf;		// Ҫ͵
	int 					nSendBufLen;	// ݳ
} NET_TALK_CHANNEL_SENDDATA_IN;

//CLIENT_TalkChannelSendData
typedef struct tagNET_TALK_CHANNEL_SENDDATA_OUT
{
	DWORD					dwSize;
} NET_TALK_CHANNEL_SENDDATA_OUT;

// ָͨй㲥
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartTalkChannel(LLONG lLoginID, const NET_IN_START_CHANNEL_INFO *pstInParam, NET_OUT_START_CHANNEL_INFO *pstOutParam, int nWaitTime);

// ָͨ
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_TalkChannelSendData(LLONG lSpeakHandle, const NET_TALK_CHANNEL_SENDDATA_IN *pstInParam, NET_TALK_CHANNEL_SENDDATA_OUT *pstOutParam, int nWaitTime);

// 㲥
CLIENT_NET_API BOOL  CALL_METHOD CLIENT_StopTalkChannel(LLONG lSpeakHandle);
// +++++++++++++++++++++++++++++++++++++++++++++++++++++㲥ؽӿ+++++++++++++++++++++++++++++++++++++++++++



// ʼ豸˻ṹ
typedef struct tagNET_IN_INIT_DEVICE_ACCOUNT
{
	DWORD					dwSize;										// ṹС:ʼṹʱֵ
	char					szMac[DH_MACADDR_LEN];						// 豸macַ	
	char					szUserName[MAX_USER_NAME_LEN];				// û
	char					szPwd[MAX_PWD_LEN];							// 豸
	char					szCellPhone[MAX_CELL_PHONE_NUMBER_LEN];		// Ԥֻ
	char					szMail[MAX_MAIL_LEN];						// Ԥ
	BYTE					byInitStatus;								// ֶѾ															
	BYTE					byPwdResetWay;								// 豸ֵ֧÷ʽ豸ӿ(CLIENT_SearchDevicesCLIENT_StartSearchDevicesĻصCLIENT_SearchDevicesByIPs)ֶbyPwdResetWayֵ	
																		// ֵľ庬 DEVICE_NET_INFO_EX ṹ壬Ҫ豸ӿڷص byPwdResetWay ֵһ
																		// bit0 : 1-֧ԤֻţʱҪszCellPhoneԤֻ(ҪԤֻ) ; 
																		// bit1 : 1-֧Ԥ䣬ʱҪszMailԤ(ҪԤ)
	BYTE					byReserved[2];								// ֶ
}NET_IN_INIT_DEVICE_ACCOUNT;

// ʼ豸˻ṹ
typedef struct tagNET_OUT_INIT_DEVICE_ACCOUNT
{
	DWORD					dwSize;// ṹС:ʼṹʱֵ
}NET_OUT_INIT_DEVICE_ACCOUNT;

// ʼ˻
CLIENT_NET_API BOOL CALL_METHOD CLIENT_InitDevAccount(const NET_IN_INIT_DEVICE_ACCOUNT* pInitAccountIn, NET_OUT_INIT_DEVICE_ACCOUNT* pInitAccountOut, DWORD dwWaitTime, char* szLocalIp);

// 豸IPʼ˻
CLIENT_NET_API BOOL CALL_METHOD CLIENT_InitDevAccountByIP(const NET_IN_INIT_DEVICE_ACCOUNT* pInitAccountIn, NET_OUT_INIT_DEVICE_ACCOUNT* pInitAccountOut, DWORD dwWaitTime, const char* szLocalIp,const char* szDeviceIP);

//
typedef struct tagNET_IN_INIT_DEVICE_ACCESS
{
	DWORD             dwSize;                       //ṹС:ʼṹʱֵ
	char			  szMac[DH_MACADDR_LEN];	    // 豸macַ	
	char			  szUserName[MAX_USER_NAME_LEN];// ˺
	char			  szPwd[MAX_PWD_LEN];		    // ˺
	BYTE              byNetAccess;                  // Ƿʹܽ빫(Easy4IP/ֳ)0-漰1-رս빫2-򿪽빫
	BYTE              byUpgradeCheck;               // ǷԶ0-漰1-رԶ2-Զ
	BYTE              byReserved[2];                // ֽ
	EM_VIDEO_STANDARD emVideoStandard;				// Ƶʽ
}NET_IN_INIT_DEVICE_ACCESS;

//̳
typedef struct tagNET_OUT_INIT_DEVICE_ACCESS
{
	DWORD             dwSize;                   // ṹС:ʼṹʱֵ
}NET_OUT_INIT_DEVICE_ACCESS;

// ̣빫ȹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_InitDevAccess(const NET_IN_INIT_DEVICE_ACCESS* pInitAccessIn, NET_OUT_INIT_DEVICE_ACCESS* pInitAccessOut, DWORD dwWaitTime, char* szLocalIp);

// ȡϢṹ
typedef struct tagNET_IN_DESCRIPTION_FOR_RESET_PWD
{
	DWORD					dwSize;								// ṹС:ʼṹʱֵ
	char					szMac[DH_MACADDR_LEN];				// 豸macַ
	char					szUserName[MAX_USER_NAME_LEN];		// û	
	BYTE					byInitStatus;						// 豸ʼ״̬豸ӿ(CLIENT_SearchDevicesCLIENT_StartSearchDevicesĻصCLIENT_SearchDevicesByIPs)ֶbyInitStatusֵ
	BYTE					byReserved[3];						// ֶ
}NET_IN_DESCRIPTION_FOR_RESET_PWD;

// ȡϢṹ
typedef struct tagNET_OUT_DESCRIPTION_FOR_RESET_PWD
{
	DWORD			dwSize;										// ṹС:ʼṹʱֵ
	char			szCellPhone[MAX_CELL_PHONE_NUMBER_LEN];		// Ԥֻ
	char			szMailAddr[MAX_MAIL_LEN];					// Ԥ
	char*			pQrCode;									// άϢ,ûڴ棨ǰСΪ360ֽڣ
	unsigned int	nQrCodeLen;									// ûĶάϢ
	unsigned int    nQrCodeLenRet;								// 豸صĶάϢ
}NET_OUT_DESCRIPTION_FOR_RESET_PWD;

// ȡϢ:ֻš䡢άϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDescriptionForResetPwd(const NET_IN_DESCRIPTION_FOR_RESET_PWD* pDescriptionIn, NET_OUT_DESCRIPTION_FOR_RESET_PWD* pDescriptionOut, DWORD dwWaitTime, char* szLocalIp);


// ṹ
typedef struct tagNET_IN_RESET_PWD
{
	DWORD					dwSize;								// ṹС:ʼṹʱֵ
	char					szMac[DH_MACADDR_LEN];				// 豸macַ	
	char					szUserName[MAX_USER_NAME_LEN];		// û
	char					szPwd[MAX_PWD_LEN];					// 
	char					szSecurity[MAX_SECURITY_CODE_LEN];	// ƽ̨͵Ԥֻеİȫ
	BYTE					byInitStaus;						// 豸ʼ״̬豸ӿ(CLIENT_SearchDevicesCLIENT_StartSearchDevicesĻصCLIENT_SearchDevicesByIPs)ֶbyInitStatusֵ
	BYTE					byPwdResetWay;						// 豸ֵ֧÷ʽ豸ӿ(CLIENT_SearchDevicesCLIENT_StartSearchDevicesĻصCLIENT_SearchDevicesByIPs)ֶbyPwdResetWayֵ
    BYTE					byReserved[2];						// ֶ			
    char                    szContact[MAX_CONTACT_LEN];         // û밲ȫհȫϵʽbSetContactΪTRUEϵʽΪԤϵʽ
    BOOL                    bSetContact;                        // ǷͬΪԤֻ, TRUE:ͬ; FALSE:ͬ		
}NET_IN_RESET_PWD;

// ṹ
typedef struct tagNET_OUT_RESET_PWD
{
	DWORD					dwSize;// ṹС:ʼṹʱֵ
}NET_OUT_RESET_PWD;

// 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ResetPwd(const NET_IN_RESET_PWD* pResetPwdIn, NET_OUT_RESET_PWD* pResetPwdOut, DWORD dwWaitTime, char* szLocalIp);

// ˻
typedef enum tagEM_ACCOUNT_TYPE
{
    EM_ACCOUNT_TYPE_UNKNOWN,                                    // δ֪
    EM_ACCOUNT_TYPE_SDK,                                        // sdk˻ϵ
    EM_ACCOUNT_TYPE_WEB,                                        // web˻ϵ
}EM_ACCOUNT_TYPE;

// ʼ˻
typedef struct tagNET_IN_INIT_ACCOUNT
{
    DWORD					dwSize;								// ṹС:ʼṹʱֵ    
    char					szUser[MAX_USER_NAME_LEN];		    // û
    char					szPwd[MAX_PWD_LEN];					// 
    char                    szMac[DH_MACADDR_LEN];              // 豸Macַ
    EM_ACCOUNT_TYPE         emAccountType;                      // ˺
}NET_IN_INIT_ACCOUNT;

// ʼ˻
typedef struct tagNET_OUT_INIT_ACCOUNT
{
    DWORD               dwSize;								// ṹС:ʼṹʱֵ  		
}NET_OUT_INIT_ACCOUNT;

// WEB
typedef struct tagNET_IN_REST_WEB_PWD
{
    DWORD					dwSize;								// ṹС:ʼṹʱֵ   
    char					szWebUser[MAX_USER_NAME_LEN];		// webû
    char					szWebPwd[MAX_PWD_LEN];			    // úweb
}NET_IN_REST_WEB_PWD;

// WEB
typedef struct tagNET_OUT_REST_WEB_PWD
{
    DWORD               dwSize;								// ṹС:ʼṹʱֵ  		
}NET_OUT_REST_WEB_PWD;

// ʼ˻
CLIENT_NET_API BOOL CALL_METHOD CLIENT_InitAccount(const NET_IN_INIT_ACCOUNT* pInitAccountIn, NET_OUT_INIT_ACCOUNT* pInitAccountOut, int nWaitTime, char* szLocalIp);

// ָ豸IP˺ųʼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_InitAccountByIP( const NET_IN_INIT_ACCOUNT* pInitAccountIn, NET_OUT_INIT_ACCOUNT* pInitAccountOut, int nWaitTime, char* szLocalIp, const char* szDeviceIP);

// web˻
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ResetWebPwd(LLONG lLoginID,const NET_IN_REST_WEB_PWD* pstInParam, NET_OUT_REST_WEB_PWD* pstOutParam, int nWaitTime);


// У鰲ȫṹ
typedef struct tagNET_IN_CHECK_AUTHCODE
{
	DWORD					dwSize;									// ṹС:ʼṹʱֵ
	char					szMac[DH_MACADDR_LEN];					// 豸macַ
	char					szSecurity[MAX_SECURITY_CODE_LEN];		// ƽ̨͵Ԥֻеİȫ
    char                    szContact[MAX_CONTACT_LEN];             // û밲ȫհȫϵʽ
}NET_IN_CHECK_AUTHCODE;


// У鰲ȫṹ
typedef struct tagNET_OUT_CHECK_AUTHCODE
{
	DWORD					dwSize;//ṹС:ʼṹʱֵ
}NET_OUT_CHECK_AUTHCODE;

// 鰲ȫ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CheckAuthCode(const NET_IN_CHECK_AUTHCODE* pCheckAuthCodeIn, NET_OUT_CHECK_AUTHCODE* pCheckAuthCodeOut, DWORD dwWaitTime, char* szLocalIp);



// 360ȫ˶ý幤ģʽ
typedef struct tagNET_IN_SET_EVEREST360_MEDIAMODE
{
    DWORD					dwSize;				
    UINT                    nMediaMode;                             // ģʽ,0:ץͼģʽ,1:¼ģʽ,2:Liveģʽ
}NET_IN_SET_EVEREST360_MEDIAMODE;


// 360ȫ˶ý幤ģʽ
typedef struct tagNET_OUT_SET_EVEREST360_MEDIAMODE
{
    DWORD					dwSize;				
}NET_OUT_SET_EVEREST360_MEDIAMODE;

// 360ȫ˶ý幤ģʽ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetEverest360MediaMode(LLONG lLoginID, const NET_IN_SET_EVEREST360_MEDIAMODE *pstInParam, NET_OUT_SET_EVEREST360_MEDIAMODE *pstOutParam, int nWaitTime);

// CLIENT_GetPwdSpecification ṹ
typedef struct tagNET_IN_PWD_SPECI
{
	DWORD		dwSize;					// ṹС
	char		szMac[DH_MACADDR_LEN];	// 豸macַ
}NET_IN_PWD_SPECI;

// CLIENT_GetPwdSpecification ṹ
typedef struct tagNET_OUT_PWD_SPECI
{
	DWORD			dwSize;										// ṹС
	unsigned int	nMaxPwdLen;									// 볤
	unsigned int	nMinPwdLen;									// С볤	
	char			szType[MAX_PWD_BASIC_CHARS_ARRAY_LEN];		// ֵ֧ĻַбNumber֣LowerСдĸUpperдĸַʽ:"Number,Lower,Upper"
	char			szCharList[MAX_PWD_SPEC_CHARS_ARRAY_LEN];	// ֵַ֧"~!@#$%^" 
	int				nCombine;									// Ҫ0-Ҫ1-ַޣ2-2(֡дСдַ)
}NET_OUT_PWD_SPECI;

// ȡ淶
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetPwdSpecification(const NET_IN_PWD_SPECI* pPwdSpeciIn, NET_OUT_PWD_SPECI* pPwdSpeciOut, DWORD dwWaitTime, char* szLocalIp);

// CLIENT_SetLowRateWPANPower
typedef struct tagNET_IN_SET_LOWRATEWPAN_POWER
{
    DWORD			dwSize;										// ṹС
    int             nPower;                                     // 书
    char            szSmartLockNum[MAX_COMMON_STRING_32];       // к
}NET_IN_SET_LOWRATEWPAN_POWER;

// CLIENT_SetLowRateWPANPower
typedef struct tagNET_OUT_SET_LOWRATEWPAN_POWER
{
    DWORD			dwSize;										// ṹС   
}NET_OUT_SET_LOWRATEWPAN_POWER;

// 书
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetLowRateWPANPower(LLONG lLoginID, const NET_IN_SET_LOWRATEWPAN_POWER *pstInParam, NET_OUT_SET_LOWRATEWPAN_POWER *pstOutParam, int nWaitTime);

// Ž
typedef enum tagNET_EM_ACCESS_CTL_MANAGER
{
    NET_EM_ACCESS_CTL_MANAGER_ADDDEVICE,                        // ӵֿ, Ӧṹ pstInParam = NET_IN_ACCESS_CTL_MANAGER_ADDDEVICE, pstOutParam = NET_OUT_ACCESS_CTL_MANAGER_ADDDEVICE
    NET_EM_ACCESS_CTL_MANAGER_MODIFYDEVICE,                     // ޸ķֿ, Ӧṹ pstInParam = NET_IN_ACCESS_CTL_MANAGER_MODIFYDEVICE, pstOutParam = NET_OUT_ACCESS_CTL_MANAGER_MODIFYDEVICE
    NET_EM_ACCESS_CTL_MANAGER_REMOVEDEVICE,                     // ɾֿ, Ӧṹ pstInParam = NET_IN_ACCESS_CTL_MANAGER_REMOVEDEVICE, pstOutParam = NET_OUT_ACCESS_CTL_MANAGER_REMOVEDEVICE
    NET_EM_ACCESS_CTL_GETSUBCONTROLLER_INFO,                    // ȡֿϢ, Ӧṹ pstInParam = NET_IN_GET_SUB_CONTROLLER_INFO, pstOutParam = NET_OUT_GET_SUB_CONTROLLER_INFO
    NET_EM_ACCESS_CTL_GETSUBCONTROLLER_STATE,                   // ȡֿ״̬, Ӧṹ pstInParam = NET_IN_GET_SUB_CONTROLLER_STATE, pstOutParam = NET_OUT_GET_SUB_CONTROLLER_STATE
    NET_EM_ACCESS_CTL_SET_REPEAT_ENTERROUTE,                    // ÷Ǳ·Ϣ, Ӧṹ pstInparam = NET_IN_SET_REPEAT_ENTERROUTE, pstOutParam = NET_OUT_SET_REPEAT_ENTERROUTE
    NET_EM_ACCESS_CTL_GET_REPEAT_ENTERROUTE,                    // ȡǱ·Ϣ, Ӧṹ pstInparam = NET_IN_GET_REPEAT_ENTERROUTE, pstOutParam = NET_OUT_GET_REPEAT_ENTERROUTE
    NET_EM_ACCESS_CTL_SET_ABLOCK_ROUTE,                         // AB·Ϣ, Ӧṹ pstInparam = NET_IN_SET_ABLOCK_ROUTE, pstOutParam = NET_OUT_SET_ABLOCK_ROUTE
    NET_EM_ACCESS_CTL_GET_ABLOCK_ROUTE,                         // ȡAB·Ϣ, Ӧṹ pstInparam = NET_IN_GET_ABLOCK_ROUTE, pstOutParam = NET_OUT_GET_ABLOCK_ROUTE
    NET_EM_ACCESS_CTL_GET_LOGSTATUS,                            // ȡ־ͬ״̬,Ӧṹ pstInparam = NET_IN_GET_LOGSTATUS, pstOutParam = NET_OUT_GET_LOGSTATUS 
    NET_EM_ACCESS_CTL_SYNCHRO_OFFLINE_LOG,                      // ͬ־, Ӧṹ pstInparam = NET_IN_SYNCHRO_OFFLINE_LOG, pstOutParam = NET_OUT_SYNCHRO_OFFLINE_LOG 
    NET_EM_ACCESS_CTL_SYNCHRO_TIME,                             // ֿͬʱ,Ӧṹ pstInparam = NET_IN_SYNCHRO_CONTROLLER_TIME, pstOutParam = NET_OUT_SYNCHRO_CONTROLLER_TIME 
    NET_EM_ACCESS_CTL_SET_QRCODEDECODE_INFO,                    // öάĽϢ, Ӧṹ pstInparam = NET_IN_SET_QRCODE_DECODE_INFO, pstOutParam = NET_OUT_SET_QRCODE_DECODE_INFO 
}NET_EM_ACCESS_CTL_MANAGER;

// ӷֿ
typedef struct tagNET_IN_ACCESS_CTL_MANAGER_ADDDEVICE
{
    DWORD           dwSize;
    int             nSubControllerID;                           // ֿIDȡֵΧ 1~255
    char            szSubControllerName[MAX_COMMON_STRING_128]; // ֿ
}NET_IN_ACCESS_CTL_MANAGER_ADDDEVICE;

// ӷֿ
typedef struct tagNET_OUT_ACCESS_CTL_MANAGER_ADDDEVICE
{
    DWORD           dwSize;   
    int             nErrorCode;                                 // 0-	ӳɹ, 1-ظ,2-,3-ʧ
}NET_OUT_ACCESS_CTL_MANAGER_ADDDEVICE;

// ޸ķֿ
typedef struct tagNET_IN_ACCESS_CTL_MANAGER_MODIFYDEVICE
{
    DWORD           dwSize;
    int             nSubControllerID;                           // ֿIDȡֵΧ 0~255,0Ϊ
    char            szSubControllerName[MAX_COMMON_STRING_128]; // ֿ
}NET_IN_ACCESS_CTL_MANAGER_MODIFYDEVICE;

// ޸ķֿ
typedef struct tagNET_OUT_ACCESS_CTL_MANAGER_MODIFYDEVICE
{
    DWORD           dwSize;
}NET_OUT_ACCESS_CTL_MANAGER_MODIFYDEVICE;

// ɾֿ
typedef struct tagNET_IN_ACCESS_CTL_MANAGER_REMOVEDEVICE
{
    DWORD           dwSize;
    int             nSubControllerID[MAX_ACCESSSUBCONTROLLER_NUM]; // ֿID, ȡֵΧ 1~255
    int             nSubControllerNum;                          // Ҫɾķֿ
}NET_IN_ACCESS_CTL_MANAGER_REMOVEDEVICE;

// ɾؽ
typedef struct tagNET_REMOVEDEVICE_RESULT
{
    int             nSubControllerID;                           // ֿID
    int             nErrorCode;                                 // ؽ, 0-ɾɹ,1-ɾʧ 2-δ
    BYTE            byReserved[128];                            
}NET_REMOVEDEVICE_RESULT;

// ɾֿ
typedef struct tagNET_OUT_ACCESS_CTL_MANAGER_REMOVEDEVICE
{
    DWORD                       dwSize;
    int                         nResultNum;
    NET_REMOVEDEVICE_RESULT     stuResult[MAX_ACCESSSUBCONTROLLER_NUM];     
}NET_OUT_ACCESS_CTL_MANAGER_REMOVEDEVICE;

// ȡֿϢ
typedef struct tagNET_IN_GET_SUB_CONTROLLER_INFO
{
    DWORD                       dwSize;
    int                         nSubControllerID[MAX_ACCESSSUBCONTROLLER_NUM];  // ֿID, ȡֵΧ -1~255, -1:ȡ,0:ȡ,1~255:÷ֿ
    int                         nSubControllerNum;                              // Ҫѯķֿ
}NET_IN_GET_SUB_CONTROLLER_INFO;

// ˫
typedef enum  tagNET_EM_ACCESS_PROPERTY
{
    NET_EM_ACCESS_PROPERTY_UNKNOWN,                                             // δ֪
    NET_EM_ACCESS_PROPERTY_BIDIRECT,                                            // ˫Ž
    NET_EM_ACCESS_PROPERTY_UNIDIRECT,                                           // ž
}NET_ACCESS_PROPERTY;

// Ϣ
typedef struct tagNET_CARDREAD_INFO 
{
    int                         nDoor;                                          // 
    int                         nReadNum;                                       // 
    char                        szReadID[MAX_ACCESS_READER_NUM][DH_COMMON_STRING_32];  // ID
    BYTE                        byReserved[64];  
}NET_CARDREAD_INFO;

// ֿϢ
typedef struct tagNET_SUB_CONTROLLER_INFO 
{
    int                         nSubControllerID;                               // ֿIDȡֵΧ 0~255,0Ϊ
    char                        szSubControllerName[MAX_COMMON_STRING_128];     // ֿ
    NET_ACCESS_PROPERTY         emProperty;                                     // Ž˫
    char                        szDeviceType[MAX_COMMON_STRING_128];            // ֿͺ
    char                        szVesion[MAX_COMMON_STRING_128];                // ֿ汾
    int                         nDoorNum;                                       // 
    NET_CARDREAD_INFO           stuReaderInfo[MAX_ACCESSDOOR_NUM];              // ŶӦĶ
    BYTE                        byReserved[128];
}NET_SUB_CONTROLLER_INFO;

// ȡֿϢ
typedef struct tagNET_OUT_GET_SUB_CONTROLLER_INFO
{
    DWORD                       dwSize;
    NET_SUB_CONTROLLER_INFO     stuSubControllerInfo[MAX_ACCESSSUBCONTROLLER_NUM];  // ֿϢ
    int                         nRetNum;                                            // ѯķֿ
}NET_OUT_GET_SUB_CONTROLLER_INFO;

// ȡֿ״̬
typedef struct tagNET_IN_GET_SUB_CONTROLLER_STATE
{
    DWORD                       dwSize;
    int                         nSubControllerID[MAX_ACCESSSUBCONTROLLER_NUM];      // ֿID, ȡֵΧ -1~255, -1:ȡ,0:ȡ,1~255:÷ֿ
    int                         nSubControllerNum;                                  // Ҫѯķֿ
}NET_IN_GET_SUB_CONTROLLER_STATE;

// ֿ״̬Ϣ
typedef struct tagNET_SUB_CONTROLLER_STATE
{
    int                         nSubControllerID;                                   // ֿID
    int                         nState;                                             // 0: 1: 2:δ
    BYTE                        byReserved[128];
}NET_SUB_CONTROLLER_STATE;

// ȡֿ״̬
typedef struct tagNET_OUT_GET_SUB_CONTROLLER_STATE
{
    DWORD                       dwSize;
    NET_SUB_CONTROLLER_STATE    stuSubControllerState[MAX_ACCESSSUBCONTROLLER_NUM];  // ֿϢ
    int                         nRetNum;                                             // ѯķֿ
}NET_OUT_GET_SUB_CONTROLLER_STATE;

// Ǳ·Ϣ
typedef struct tagNET_POINT_READER_INFO
{
    int                         nReaderNum;                                         // ǱĶ
    char                        szReaderID[MAX_ACCESS_READER_NUM][DH_COMMON_STRING_32]; // ID 
    BYTE                        byReserved[128];
}NET_POINT_READER_INFO;

// ÷Ǳ·
typedef struct tagNET_IN_SET_REPEAT_ENTERROUTE
{
    DWORD                       dwSize;
    UINT                        nIndex;                                              // Ǳ·
    int                         nPointNum;                                           // ·ϵĵ
    NET_POINT_READER_INFO       stuPointInfo[MAX_ACCESS_POINT_NUM];                  // Ϣ
    int                         nTimeSection;                                        // ŽʱAccessTimeSchedule±꣬ϸѯdhconfigsdk.h
    BOOL                        bFlag;                                               // Ƿ
    char                        szRouteName[MAX_COMMON_STRING_128];                  // ·
}NET_IN_SET_REPEAT_ENTERROUTE;

// ÷Ǳ·
typedef struct tagNET_OUT_SET_REPEAT_ENTERROUTE
{
    DWORD                       dwSize;
}NET_OUT_SET_REPEAT_ENTERROUTE;

// ȡǱ·
typedef struct tagNET_IN_GET_REPEAT_ENTERROUTE
{
    DWORD                       dwSize;
    UINT                        nIndex;                                              // Ǳ·
}NET_IN_GET_REPEAT_ENTERROUTE;

// ȡǱ·
typedef struct tagNET_OUT_GET_REPEAT_ENTERROUTE
{
    DWORD                       dwSize;
    int                         nPointNum;                                           // ·ϵĵ
    NET_POINT_READER_INFO       stuPointInfo[MAX_ACCESS_POINT_NUM];                  // Ϣ
    int                         nTimeSection;                                        // ŽʱAccessTimeSchedule±꣬ϸѯdhconfigsdk.h
    BOOL                        bFlag;                                               // Ƿ
    char                        szRouteName[MAX_COMMON_STRING_128];                  // ·
}NET_OUT_GET_REPEAT_ENTERROUTE;

// ABϢ
typedef struct tagNET_POINT_DOOR_INFO
{
    int                         nDoorNum;                                           // AB
    int                         nDoorID[MAX_ACCESSDOOR_NUM];                        // AB
    BYTE                        byReserved[128];
}NET_POINT_DOOR_INFO;

// AB
typedef struct tagNET_IN_SET_ABLOCK_ROUTE
{
    DWORD                       dwSize;
    UINT                        nIndex;                                              // AB·
    int                         nPointNum;                                           // ABĵ
    NET_POINT_DOOR_INFO         stuPointInfo[MAX_ACCESS_POINT_NUM];                  // Ϣ
    int                         nTimeSection;                                        // ŽʱAccessTimeSchedule±꣬ϸѯdhconfigsdk.h
    BOOL                        bFlag;                                               // Ƿ
    char                        szRouteName[MAX_COMMON_STRING_128];                  // AB·
}NET_IN_SET_ABLOCK_ROUTE;

// AB
typedef struct tagNET_OUT_SET_ABLOCK_ROUTE
{
    DWORD                       dwSize;
}NET_OUT_SET_ABLOCK_ROUTE;

// ȡAB·Ϣ
typedef struct tagNET_IN_GET_ABLOCK_ROUTE
{
    DWORD                       dwSize;
    UINT                        nIndex;                                              // AB·
}NET_IN_GET_ABLOCK_ROUTE;

// ȡAB·Ϣ
typedef struct tagNET_OUT_GET_ABLOCK_ROUTE
{
    DWORD                       dwSize;
    int                         nPointNum;                                           // ABĵ
    NET_POINT_DOOR_INFO         stuPointInfo[MAX_ACCESS_POINT_NUM];                  // Ϣ
    int                         nTimeSection;                                        // ŽʱAccessTimeSchedule±꣬ϸѯdhconfigsdk.h
    BOOL                        bFlag;                                               // Ƿ
    char                        szRouteName[MAX_COMMON_STRING_128];                  // AB·
}NET_OUT_GET_ABLOCK_ROUTE;

// ȡ־״̬
typedef struct tagNET_IN_GET_LOGSTATUS
{
    DWORD                       dwSize;
    int                         nControllerID;                                        // ֿID   Χ1 ~255
}NET_IN_GET_LOGSTATUS;

// ȡ־״̬
typedef struct tagNET_OUT_GET_LOGSTATUS
{
    DWORD                       dwSize;
    BOOL                        bsynchronize;                                         // true ͬ false ûͬ
}NET_OUT_GET_LOGSTATUS;

// ͬ־
typedef struct tagNET_IN_SYNCHRO_OFFLINE_LOG
{
    DWORD                       dwSize;
    int                         nControllerID;                                        // ֿID   Χ0 ~255
}NET_IN_SYNCHRO_OFFLINE_LOG;

// ͬ־
typedef struct tagNET_OUT_SYNCHRO_OFFLINE_LOG
{
    DWORD                       dwSize;
}NET_OUT_SYNCHRO_OFFLINE_LOG;

// ֿͬʱ
typedef struct tagNET_IN_SYNCHRO_CONTROLLER_TIME
{
    DWORD                       dwSize;
    int                         nSubControllerID[MAX_ACCESSSUBCONTROLLER_NUM];  // ֿID, ȡֵΧ -1~255, -1:ȡ,0:ȡ,1~255:÷ֿ
    int                         nSubControllerNum;                              // ͬķֿ    
}NET_IN_SYNCHRO_CONTROLLER_TIME;

// ֿͬʱ
typedef struct tagNET_OUT_SYNCHRO_CONTROLLER_TIME
{
    DWORD                       dwSize;
    int                         nSubControllerID[MAX_ACCESSSUBCONTROLLER_NUM];  // ֿϢ
    int                         nRetNum;                                        // ʧܵķֿ, 0ʾȫɹ    
}NET_OUT_SYNCHRO_CONTROLLER_TIME;

// ʹõļ㷨
typedef enum tagNET_ENUM_QRCODE_CIPHER
{
	NET_ENUM_QRCODE_CIPHER_UNKNOWN, 
    NET_ENUM_QRCODE_CIPHER_AES256,                                              // AES-256
}NET_ENUM_QRCODE_CIPHER;

// öάĽϢ
typedef struct tagNET_IN_SET_QRCODE_DECODE_INFO
{
    DWORD                       dwSize;
    NET_ENUM_QRCODE_CIPHER      emCipher;                                       // ܷʽ
    char                        szKey[33];                                      // Կ
    BYTE                        byReserved[3];                                  // ֽڶ
}NET_IN_SET_QRCODE_DECODE_INFO;

// öάĽϢ
typedef struct tagNET_OUT_SET_QRCODE_DECODE_INFO
{
    DWORD                       dwSize;

}NET_OUT_SET_QRCODE_DECODE_INFO;

//Žȫȼ
typedef struct tagNET_IN_SET_SAFE_LEVEL
{
	DWORD 						dwSize;							//ṹС
	BYTE						byLevel;						//ȫȼ:1.ȫ 2. 3.
	BYTE						byReserved[3];					//ֽڶ
}NET_IN_SET_SAFE_LEVEL;

//Žȫȼ
typedef struct tagNET_OUT_SET_SAFE_LEVEL
{
	DWORD						dwSize;
}NET_OUT_SET_SAFE_LEVEL;


//Žӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateAccessControlManager(LLONG lLoginID, NET_EM_ACCESS_CTL_MANAGER emtype, const void *pstInParam, void *pstOutParam, int nWaitTime);

// CLIENT_SetSmartLockUserName 
typedef struct tagNET_IN_SET_SMART_LOCK_USERNAME
{
    DWORD						dwSize;										// ṹС
	NET_ACCESS_METHOD			emType;										// ʽ
    char						szSerialNumber[MAX_COMMON_STRING_32];       // к
	char						szUserID[MAX_COMMON_STRING_16];				// ûID(AccessControlCard¼еUserID)
	char						szName[MAX_COMMON_STRING_32];				// Ҫ޸ĳɵ
} NET_IN_SET_SMART_LOCK_USERNAME;

// CLIENT_SetSmartLockUserName 
typedef struct tagNET_OUT_SET_SMART_LOCK_USERNAME
{
    DWORD						dwSize;										// ṹС   
} NET_OUT_SET_SMART_LOCK_USERNAME;

// ޸ûϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetSmartLockUsername(LLONG lLoginID, const NET_IN_SET_SMART_LOCK_USERNAME *pstInParam, NET_OUT_SET_SMART_LOCK_USERNAME *pstOutParam, int nWaitTime);

#define MAX_NUMBER_REGISTER_INFO	32

// CLIENT_GetSmartLockRegisterInfo  (ÿλȡȡ32Ϣ)
typedef struct tagNET_IN_GET_SMART_LOCK_REGISTER_INFO
{
    DWORD			dwSize;										// ṹС
    char            szSerialNumber[MAX_COMMON_STRING_32];       // 豸к
	int				nOffset;									// ûбƫ
} NET_IN_GET_SMART_LOCK_REGISTER_INFO;

// עûϢ
typedef struct tagNET_SMART_LOCK_REGISTER_INFO
{
	NET_ACCESS_METHOD			emType;										// ʽ
	char						szUserID[MAX_COMMON_STRING_16];				// ûID(AccessControlCard¼еUserID)
	char						szName[MAX_COMMON_STRING_32];				// û
	BYTE						byReserved[512];							// ֶ	
} NET_SMART_LOCK_REGISTER_INFO;

// CLIENT_GetSmartLockRegisterInfo 
typedef struct tagNET_OUT_GET_SMART_LOCK_REGISTER_INFO
{
    DWORD							dwSize;						// ṹС   
	int								nTotalCount;				// ܵû
	int								nReturnCount;				// ʵʷصû
	NET_SMART_LOCK_REGISTER_INFO	stuRegisterInfo[MAX_NUMBER_REGISTER_INFO];	// עûϢ
} NET_OUT_GET_SMART_LOCK_REGISTER_INFO;

// ȡǰעûϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSmartLockRegisterInfo(LLONG lLoginID, const NET_IN_GET_SMART_LOCK_REGISTER_INFO *pstInParam, NET_OUT_GET_SMART_LOCK_REGISTER_INFO *pstOutParam, int nWaitTime);

// ƬϢ
typedef struct tagNET_SMARTLOCK_CARDINFO
{
    NET_ACCESS_METHOD			    emType;                                     // 
    int                             nIndex;                                     // ûϢ
    char                            szCardNo[32];                               // 
    NET_ACCESSCTLCARD_TYPE          emCardType;                                 // 
    char						    szReserve[512];					            // ֶ
}NET_SMARTLOCK_CARDINFO;

// Ϣ
typedef struct tagNET_SMARTLOCK_PWDINFO
{
    NET_ACCESS_METHOD			    emType;                                     // 
    int                             nIndex;                                     // ûϢ
    char                            szPassword[32];                             // 
    UINT                            dwUseTime;                                  // ʹô
    char						    szReserve[512];					            // ֶ
}NET_SMARTLOCK_PWDINFO;

// ָϢ
typedef struct tagNET_SMARTLOCK_FPINFO
{
    NET_ACCESS_METHOD			    emType;                                     // 
    int                             nIndex;                                     // ûϢ
    int                             nFingerprintLen;                            // ָݳ,1.5K
    char*                           pFingerprintData;                           // ָ
    char						    szReserve[512];					            // ֶ
}NET_SMARTLOCK_FPINFO;

// CLIENT_UpdateSmartLockUser 
typedef struct tagNET_IN_SMARTLOCK_UPDATE_USER_INFO 
{
    DWORD							dwSize;						                // ṹС
    char                            szSerialNumber[32];                         // 豸к
    char                            szCredentialHolder[16];                     // ӵ(AccessControlCard¼еUserIDһ)
    char                            szUserName[32];                             // û
    NET_TIME                        stuStartTime;                               // ʼʱ
    NET_TIME                        stuEndTime;                                 // ʱ
    char						    szReserve[512];					            // ֶ
    int                             nCardInfoNum;                               // Ϣ
    NET_SMARTLOCK_CARDINFO          stuCardInfo[4];                             // Ϣ
    int                             nPwdInfoNum;                                // Ϣ
    NET_SMARTLOCK_PWDINFO           stuPwdInfo[4];                              // Ϣ
    int                             nFingerPrintInfoNum;                        // Ϣ
    NET_SMARTLOCK_FPINFO            stuFingerPrintInfo[4];                      // ָϢ
	int								nTaskID;									// ID
}NET_IN_SMARTLOCK_UPDATE_USER_INFO;

// CLIENT_UpdateSmartLockUser 
typedef struct tagNET_OUT_SMARTLOCK_UPDATE_USER_INFO 
{
    DWORD							dwSize;						                // ṹС      
}NET_OUT_SMARTLOCK_UPDATE_USER_INFO;

// ӸûϢӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_UpdateSmartLockUser(LLONG lLoginID, const NET_IN_SMARTLOCK_UPDATE_USER_INFO *pstInParam,NET_OUT_SMARTLOCK_UPDATE_USER_INFO *pstOutParam, int nWaitTime);

// CLIENT_RemoveSmartLockUser 
typedef struct tagNET_IN_SMARTLOCK_REMOVE_USER_INFO
{
    DWORD							dwSize;						                // ṹС
    char                            szSerialNumber[32];                         // 豸к
    char                            szCredentialHolder[16];                     // ӵ(AccessControlCard¼еUserIDһ)
    NET_ACCESS_METHOD			    emType;                                     // ,unknown ʾȫ
    int                             nIndex;                                     // ĳֿŷʽţ-1ʾȫ
	int								nTaskID;									// ID
}NET_IN_SMARTLOCK_REMOVE_USER_INFO;

// CLIENT_RemoveSmartLockUser 
typedef struct tagNET_OUT_SMARTLOCK_REMOVE_USER_INFO
{
    DWORD							dwSize;						                // ṹС
}NET_OUT_SMARTLOCK_REMOVE_USER_INFO;

// ɾûӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RemoveSmartLockUser(LLONG lLoginID, const NET_IN_SMARTLOCK_REMOVE_USER_INFO *pstInParam, NET_OUT_SMARTLOCK_REMOVE_USER_INFO *pstOutParam, int nWaitTime);

// ûϢ
typedef struct tagMATRIX_CAMERA_USERS_INFO 
{	
	unsigned int				nChannel;						// ͨ
	char						szUser[MAX_USER_NAME_LEN];		// û
    char						szPwd[MAX_PWD_LEN];				// 
	char						szReserve[512];					// ֶ
}MATRIX_CAMERA_USERS_INFO;

// CLIENT_MatrixGetCameraUsers ṹ
typedef struct tagNET_IN_MATRIX_GET_CAMERA_USERS
{
	DWORD						dwSize;							// ṹС	
	unsigned int				nStartChannel;					// ʼѯͨ
	unsigned int				nChannelCount;					// һλȡͨ	
}NET_IN_MATRIX_GET_CAMERA_USERS;

// CLIENT_MatrixGetCameraUsers ṹ
typedef struct tagNET_OUT_MATRIX_GET_CAMERA_USERS
{
	DWORD						dwSize;							// ṹС
	MATRIX_CAMERA_USERS_INFO*	pstuUserInfo;					// صûϢ飬û估ͷڴ棬СΪsizeof(MATRIX_CAMERA_USERS_INFO)*nChannelCount,nChannelCountΪNET_IN_MATRIX_GET_CAMERA_USERSֶ																
	unsigned int				nChannelCountRet;				// صͨ
}NET_OUT_MATRIX_GET_CAMERA_USERS;

// ȡǰ豸ûϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MatrixGetCameraUsers(LLONG lLoginID, const NET_IN_MATRIX_GET_CAMERA_USERS* pInParam, NET_OUT_MATRIX_GET_CAMERA_USERS* pOutParam, DWORD dwWaitTime);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++MPTNVRؽӿ+++++++++++++++++++++++++++++++++++++++++++

// MPT״̬
typedef struct tagNET_MPT_STATUS
{
    EM_MPT_STATE eState;                                            // MPT״̬
    char szSerialNumber[DH_COMMON_STRING_32];                       // MPT豸к,stateΪ23ʱֵ
    BYTE byReserved[256];                                           // ֽ
}NET_MPT_STATUS;

// ȡMPT豸״̬
typedef struct tagNET_IN_GET_MPT_STATUS
{
    DWORD					dwSize;									// ṹС:ʼṹʱֵ
    UINT                    nOffset;                                // ӵڼUSBۿʼ
    UINT                    nCount;                                 // ȡUSB
}NET_IN_GET_MPT_STATUS;

#define MAX_MPT_STATUS_NUM (64)                                     // MPT״̬Ϣ

// ȡMPT豸״̬
typedef struct tagNET_OUT_GET_MPT_STATUS
{
    DWORD					dwSize;									// ṹС:ʼṹʱֵ
    UINT                    nTotalUsbNum;                           // ܵUSB
    UINT                    nStatusNum;                             // ȡMPT״̬
    NET_MPT_STATUS          stuStatus[MAX_MPT_STATUS_NUM];          // ȡMPT״̬
}NET_OUT_GET_MPT_STATUS;

// ȡUSB۽MPT״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetMPTStatus(LLONG lLoginID,const NET_IN_GET_MPT_STATUS* pstInParam, NET_OUT_GET_MPT_STATUS* pstOutParam, DWORD dwWaitTime);

//  MPT״̬
typedef enum tagEM_MPTSTATUS_TYPE
{
    EM_MPTSTATUS_UNKNOWN,           // δ֪
    EM_MPTSTATUS_MPTBASE,           // MPT״̬,  pOutParam = NET_MPTBASE_STATUS_INFO
    EM_MPTSTATUS_EXTCAMERA,         // ͷ״̬, pOutParam = NET_EXTCAMERA_STATUS_INFO
    EM_MPTSTATUS_NETCONNECT,        // ӷʽ, pOutParam = NET_NETCONNECT_STATUS_INFO
} EM_MPTSTATUS_TYPE;

// MPT ״̬
typedef enum tagNEM_MPTBASE_TYPE
{
    NEM_MPTBASE_UNKNOWN,                // δ֪
    NEM_MPTBASE_ON,                     // ON
    NEM_MPTBASE_OFF,                    // OFF
} NEM_MPTBASE_TYPE;

// ͷ״̬
typedef enum tagEM_EXTCAMERA_TYPE
{
    EM_EXTCAMERA_UNKNOWN,               // δ֪
    EM_EXTCAMERA_NORMAL,                //Normal
    EM_EXTCAMERA_ABNORMAL,              //Abnormal
} EM_EXTCAMERA_TYPE;

// ӷʽ
typedef enum tagEM_NETCONNECT_TYPE
{
    EM_NETCONNECT_UNKNOWN,              // δ֪
    EM_NETCONNECT_WIFI,                 // WIFI
    EM_NETCONNECT_MOBILE,               // Mobile
    EM_NETCONNECT_CABLE,                // Cable
    EM_NETCONNECT_MPTBASE,              // MptBase
} EM_NETCONNECT_TYPE;

// MPT״̬Ϣ
typedef struct tagNET_MPTBASE_STATUS_INFO
{
    DWORD                   dwSize;                                 // ṹС:ʼṹʱֵ
    NEM_MPTBASE_TYPE        emMptBase;                              // MPT ״̬
} NET_MPTBASE_STATUS_INFO;

// ͷ״̬Ϣ
typedef struct tagNET_EXTCAMERA_STATUS_INFO
{
    DWORD                   dwSize;                                 // ṹС:ʼṹʱֵ
    EM_EXTCAMERA_TYPE       emExtCamera;                            // ͷ״̬
} NET_EXTCAMERA_STATUS_INFO;

// ӷʽϢ
typedef struct tagNET_NETCONNECT_STATUS_INFO
{
    DWORD                   dwSize;                                 // ṹС:ʼṹʱֵ
    EM_NETCONNECT_TYPE      emNetConnect;                           // ӷʽ
} NET_NETCONNECT_STATUS_INFO;


// ȡMPT 豸Ϣ״̬
CLIENT_NET_API BOOL CALL_METHOD	CLIENT_QueryMPTStatus(LLONG lLoginID, const EM_MPTSTATUS_TYPE emStatusType, void* pstOutParam, DWORD dwWaitTime);

#define MAX_POLICE_ID_NUM 32                                        // дľԱID

// ҪдľԱIDϢ
typedef struct tagNET_WRITE_POLICE_ID_INFO
{
    int                     nUsbSlot;                                               // Ҫд뾯ԱIDusb۱
    int                     nPoliceIDCount;                                         // ҪдľԱID                         
    char                    szPoliceID[MAX_POLICE_ID_NUM][DH_COMMON_STRING_32];     // ҪдľԱID
    BYTE                    byReserved[512];                                        // ֽ
}NET_WRITE_POLICE_ID_INFO;

#define MAX_POLICE_ID_INFO_NUM 64                                                   // ԱϢ

// MPT豸д뾯ԱIDϢ
typedef struct tagNET_IN_WRITE_POLICE_ID
{
    DWORD					    dwSize;						                        // ṹС:ʼṹʱֵ
    int                         nIDInfoNum;                                         // ԱIDϢ
    NET_WRITE_POLICE_ID_INFO    stuIDInfo[MAX_POLICE_ID_INFO_NUM];                  // ԱIDϢ
}NET_IN_WRITE_POLICE_ID;

// MPT豸д뾯ԱIDϢ
typedef struct tagNET_OUT_WRITE_POLICE_ID
{
    DWORD					dwSize;									                // ṹС:ʼṹʱֵ
    int                     nResultCount;                                           // д
    BOOL                    bResult[MAX_POLICE_ID_INFO_NUM];                        //  0-ɹ,1-ʧ
}NET_OUT_WRITE_POLICE_ID;

// MPTд뾯ԱIDϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_WritePoliceID(LLONG lLoginID,const NET_IN_WRITE_POLICE_ID* pstInParam, NET_OUT_WRITE_POLICE_ID* pstOutParam, DWORD dwWaitTime);

#define MAX_MPT_MEDIA_TYPE_NUM 64                                                   // MPT¼ļ

// ˮƽת߽ģʽ
typedef enum tagNET_EM_HORIZONTAL_ROTATION_GROUP_LIMITMODE_TYPE
{
	NET_EM_HORIZONTAL_ROTATION_GROUP_LIMITMODE_TYPE_UNKNOWN,			// δ֪
	NET_EM_HORIZONTAL_ROTATION_GROUP_LIMITMODE_TYPE_LEFT,				// ߽
	NET_EM_HORIZONTAL_ROTATION_GROUP_LIMITMODE_TYPE_RIGHT,				// ұ߽
	NET_EM_HORIZONTAL_ROTATION_GROUP_LIMITMODE_TYPE_UP,					// ϱ߽
	NET_EM_HORIZONTAL_ROTATION_GROUP_LIMITMODE_TYPE_DOWN,				// ±߽
} NET_EM_HORIZONTAL_ROTATION_GROUP_LIMITMODE_TYPE; 

// MPT¼ļ
typedef struct tagNET_IN_MARK_MPT_RECORD_FILE
{
    DWORD					dwSize;									// ṹС:ʼṹʱֵ
    int                     nChannelID;                             // ͨ
    NET_TIME                stuStartTime;                           // ʼʱ
    NET_TIME                stuEndTime;                             // ʱ
    int                     nMediaTypeCount;                        // ļ͸                        
    int                     nMediaType[MAX_MPT_MEDIA_TYPE_NUM];     // ļ,0:, 1:jpgͼƬ, 2:davļ
    int                     nCrimeType;                             // 
    int                     nCrimeTag;                              // 
    char                    szComment[DH_COMMON_STRING_256];        // ûļıע
}NET_IN_MARK_MPT_RECORD_FILE;

// MPT¼ļ
typedef struct tagNET_OUT_MARK_MPT_RECORD_FILE
{
    DWORD					dwSize;									// ṹС:ʼṹʱֵ   
}NET_OUT_MARK_MPT_RECORD_FILE;

// MPT¼ļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MarkMPTRecordFile(LLONG lLoginID,const NET_IN_MARK_MPT_RECORD_FILE* pstInParam, NET_OUT_MARK_MPT_RECORD_FILE* pstOutParam, DWORD dwWaitTime);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++MPTNVRؽӿ+++++++++++++++++++++++++++++++++++++++++++

// +++++++++++++++++++++++++++++++++++++++++++++++++++++豸Ϲܽӿ+++++++++++++++++++++++++++++++++++++++++++

// ѯ豸Ϣ
typedef struct tagNET_IN_QUERY_DIAGNOSIS_INFO
{
    DWORD dwSize;                                   // ṹС
    UINT nOffset;                                   // ѯƫ
    UINT nCount;                                    // ѯ
}NET_IN_QUERY_DIAGNOSIS_INFO;

// 豸ĿϢ
typedef struct tagNET_DIAGNOSIS_ITEM_INFO
{
    NET_TIME stuOccurTime;                          // ¼ʱ 
    UINT nFaultCode;                                //  
    BYTE byReserved[256];                           // ֽ
}NET_DIAGNOSIS_ITEM_INFO;

// ѯ豸Ϣ
typedef struct tagNET_OUT_QUERY_DIAGNOSIS_INFO
{
    DWORD dwSize;                                   // ṹС
    UINT nTotalCount;                               // ܵϢ    
    NET_DIAGNOSIS_ITEM_INFO* pstuItemInfo;          // Ϣָ(ûڴ,sdk)
    UINT nMaxCount;                                 // ϢĿ
    UINT nRetCount;                                 // ѯ
}NET_OUT_QUERY_DIAGNOSIS_INFO;

// ѯϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryDiagnosisInfo(LLONG lLoginID,const NET_IN_QUERY_DIAGNOSIS_INFO* pstInParam, NET_OUT_QUERY_DIAGNOSIS_INFO* pstOutParam, int nWaitTime);


// ָ
typedef struct tagNET_IN_RESET_SYSTEM
{
    DWORD dwSize;
}NET_IN_RESET_SYSTEM;

// ָó
typedef struct tagNET_OUT_RESET_SYSTEM
{
    DWORD dwSize;
}NET_OUT_RESET_SYSTEM;

// ϵͳ,ָĬ(úɾ˻)ʵӲλ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ResetSystem(LLONG lLoginID,const NET_IN_RESET_SYSTEM* pstInParam, NET_OUT_RESET_SYSTEM* pstOutParam, int nWaitTime);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++豸Ϲܽӿ+++++++++++++++++++++++++++++++++++++++++++

#define MAX_IMSI_LEN		32		// IMSIֵ󳤶
#define MAX_ICCID_LEN		32		// ICCIDֵ󳤶

// ģ
typedef enum tagEM_WIRELESS_MODE
{
	EM_WIRELESS_UNKNOWN,
		EM_WIRELESS_3G,
		EM_WIRELESS_3G1,
		EM_WIRELESS_3G2,
		EM_WIRELESS_3G3,
} EM_WIRELESS_MODE;

// CLIENT_MobileGetIMSI ӿ
typedef struct tagNET_IN_GET_IMSI
{
	DWORD 				dwSize;
	EM_WIRELESS_MODE	emMode;		// ģ
} NET_IN_GET_IMSI;

// CLIENT_MobileGetIMSI ӿڳ
typedef struct tagNET_OUT_GET_IMSI
{
	DWORD 		dwSize;
	char 		szIMSI[MAX_IMSI_LEN];			// IMSIֵ
	char		szICCID[MAX_ICCID_LEN];			// ICCID
} NET_OUT_GET_IMSI;

// ȡSIMIMSI ֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_MobileGetIMSI(LLONG lLoginID, const NET_IN_GET_IMSI* pstInParam, NET_OUT_GET_IMSI* pstOutParam, int nWaitTime);   //𽥷,ܼCLIENT_GetMobileSIMInfo

// ȡSIMIMSIֵ
typedef struct tagNET_IN_SIMINFO_GET_IMSI
{
	DWORD				dwSize;					// ֵΪṹС
	EM_WIRELESS_MODE	emMode;					// ģ
} NET_IN_SIMINFO_GET_IMSI;

// ȡSIMIMSIֵ
typedef struct tagNET_OUT_SIMINFO_GET_IMSI
{
	DWORD		dwSize;                         // ֵΪṹС
	char 		szIMSI[MAX_IMSI_LEN];			// IMSIֵ
	char		szICCID[MAX_ICCID_LEN];			// ICCID
} NET_OUT_SIMINFO_GET_IMSI;

// SIM״̬
typedef enum tagEM_SIMSTATE_MODE
{
		EM_SIMSTATE_UNKNOWN,					// ״̬δ֪
		EM_SIMSTATE_UNEXIST,					// 
		EM_SIMSTATE_EXIST,						// 
		EM_SIMSTATE_UNMATCH,					// ƶ벻ƥ
		EM_SIMSTATE_PINLOCK,					// Pin
		EM_SIMSTATE_PUKLOCK,					// Puk
} EM_SIMSTATE_MODE;

// ȡSIM״̬
typedef struct tagNET_IN_SIMINFO_GET_SIM_STATE
{
	DWORD 				dwSize;					// ֵΪṹС
	EM_WIRELESS_MODE	emMode;					// ģ
} NET_IN_SIMINFO_GET_SIMSTATE;

// ȡSIM״̬ͳ
typedef struct tagNET_OUT_SIMINFO_GET_SIM_STATE
{
	DWORD 				dwSize;					//ֵΪṹС
	EM_SIMSTATE_MODE	emMode;					// SIM״̬
} NET_OUT_SIMINFO_GET_SIMSTATE;

// SIMϢ
typedef enum tagEM_SIMINFO_TYPE
{
	EM_SIMINFO_TYPE_GET_IMSI,					// ȡSIMIMSIֵ,ӦṹpInParam = NET_IN_SIMINFO_GET_IMSI,pOutParam = NET_OUT_SIMINFO_GET_IMSI,CLIENT_MobileGetIMSIӿڹ 
	EM_SIMINFO_TYPE_GET_SIMState,				// ȡSIM״̬,ӦṹpInParam = NET_IN_SIMINFO_GET_SIMSTATE,pOutParam = NET_OUT_SIMINFO_GET_SIMSTATE 
}EM_SIMINFO_TYPE;

// ȡSIMϢӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetMobileSIMInfo(LLONG lLoginID, EM_SIMINFO_TYPE emType, void *pInParam, void *pOutParam, int nWaitTime);


#define MAX_ROOMNUM_COUNT		32		// 
#define MAX_FACE_COUTN			20		// ģ
// Ϣ
typedef struct tagNET_FACE_RECORD_INFO
{
	char		szUserName[MAX_USER_NAME_LEN];						// û
	int			nRoom;												// 
	char		szRoomNo[MAX_ROOMNUM_COUNT][DH_COMMON_STRING_16]; 	// б
	int 		nFaceData;											// ģݸ
	char		szFaceData[MAX_FACE_COUTN][MAX_FACE_DATA_LEN];		// ģ
    int         nFaceDataLen[MAX_FACE_COUTN];                       // ģݴС
    int         nFacePhoto;                                         // Ƭ
    int         nFacePhotoLen[MAX_PHOTO_COUNT];                     // ÿͼƬĴС
    char*       pszFacePhoto[MAX_PHOTO_COUNT];                      // Ƭ,С120K
	BOOL    bValidDate;                                         //ǷЧʱ
	NET_TIME      stuValidDateStart;                               //Чʼʱ
	NET_TIME      stuValidDateEnd;                                 //Чʱ
	int			nValidCounts;										// ˢЧС0ʾ޴ 0ˢ
	BOOL		bValidCountsEnable;									// ֶʹ 
    BOOL        bFaceDataExEnable;                                   // ģչʹ
    char*       pszFaceDataEx[MAX_FACE_COUTN];                      // ģչ, ûͷ, ÿƬΪ8K
    BYTE        byReserved[240];                                    // ֽ
} NET_FACE_RECORD_INFO;

// ¼Ϣ
typedef struct tagNET_IN_ADD_FACE_INFO
{
	DWORD 					dwSize;
	char					szUserID[DH_MAX_USERID_LEN];	// ûID
	NET_FACE_RECORD_INFO	stuFaceInfo;					// 
} NET_IN_ADD_FACE_INFO;

// ¼Ϣ
typedef struct tagNET_OUT_ADD_FACE_INFO
{
	DWORD 			dwSize;
} NET_OUT_ADD_FACE_INFO;

// ȡ¼Ϣ
typedef struct tagNET_IN_GET_FACE_INFO
{
	DWORD 			dwSize;
	char			szUserID[DH_MAX_USERID_LEN];	// ûID
} NET_IN_GET_FACE_INFO;

// ȡ¼Ϣ
typedef struct tagNET_OUT_GET_FACE_INFO
{
	DWORD 			dwSize;
	int 			nFaceData;											// ģݸ
	char			szFaceData[MAX_FACE_COUTN][MAX_FACE_DATA_LEN];		// ģ
    int             nPhotoData;                                         // ׹Ƭݸ, 5
    int             nInPhotoDataLen[MAX_PHOTO_COUNT];                   // ûÿŰ׹ƬС
    int             nOutPhotoDataLen[MAX_PHOTO_COUNT];                  // ÿŰ׹ƬʵʵĴС
    char*           pPhotoData[MAX_PHOTO_COUNT];                        // ׹Ƭ, ûͷ, ÿƬΪ200K
} NET_OUT_GET_FACE_INFO;

// ¼Ϣ
typedef struct tagNET_IN_UPDATE_FACE_INFO
{
	DWORD 					dwSize;
	char					szUserID[DH_MAX_USERID_LEN];	// ûID
	NET_FACE_RECORD_INFO	stuFaceInfo;					// 
} NET_IN_UPDATE_FACE_INFO;

// ¼Ϣ
typedef struct tagNET_OUT_UPDATE_FACE_INFO
{
	DWORD 			dwSize;
} NET_OUT_UPDATE_FACE_INFO;


// ɾ¼Ϣ
typedef struct tagNET_IN_REMOVE_FACE_INFO
{
	DWORD 			dwSize;
	char			szUserID[DH_MAX_USERID_LEN];	// ûID
} NET_IN_REMOVE_FACE_INFO;

// ɾ¼Ϣ
typedef struct tagNET_OUT_REMOVE_FACE_INFO
{
	DWORD 			dwSize;
} NET_OUT_REMOVE_FACE_INFO;

// ¼Ϣ
typedef struct tagNET_IN_CLEAR_FACE_INFO
{
	DWORD 			dwSize;
} NET_IN_CLEAR_FACE_INFO;

// ¼Ϣ
typedef struct tagNET_OUT_CLEAR_FACE_INFO
{
	DWORD 			dwSize;
} NET_OUT_CLEAR_FACE_INFO;


// ȡֵϢ
typedef struct tagNET_IN_GETFACEEIGEN_INFO
{
    DWORD 			dwSize;
    int            nPhotoDataLen;          // ƬݴС
    char*          pszPhotoData;           // Ƭ, ûͷ, ÿƬΪ200K
} NET_IN_GETFACEEIGEN_INFO;

// ȡֵϢ
typedef struct tagNET_OUT_GETFACEEIGEN_INFO
{
    DWORD 			dwSize;
    int             nInFaceEigenLen;          // ûֵݴС
    int             nOutFaceEigenLen;         // ֵʵʵĴС
    char*           pszFaceEigen;             // ֵ, ûͷ, ÿƬΪ8K
} NET_OUT_GETFACEEIGEN_INFO;

// Ϣ¼
typedef enum tagEM_FACEINFO_OPREATE_TYPE
{
	EM_FACEINFO_OPREATE_ADD,				// , pInbuf = NET_IN_ADD_FACE_INFO , pOutBuf = NET_OUT_ADD_FACE_INFO
	EM_FACEINFO_OPREATE_GET,				// ȡ, pInBuf = NET_IN_GET_FACE_INFO , pOutBuf = NET_OUT_GET_FACE_INFO
	EM_FACEINFO_OPREATE_UPDATE,				// , pInbuf = NET_IN_UPDATE_FACE_INFO , pOutBuf = NET_OUT_UPDATE_FACE_INFO
	EM_FACEINFO_OPREATE_REMOVE,				// ɾ, pInbuf = NET_IN_REMOVE_FACE_INFO , pOutBuf = NET_OUT_REMOVE_FACE_INFO
	EM_FACEINFO_OPREATE_CLEAR,				// , pInbuf = NET_IN_CLEAR_FACE_INFO, pOutBuf = NET_OUT_CLEAR_FACE_INFO
    EM_FACEINFO_OPREATE_GETFACEEIGEN,	    // ȡֵ, pInbuf = NET_IN_GETFACEEIGEN_INFO, pOutBuf = NET_OUT_GETFACEEIGEN_INFO
} EM_FACEINFO_OPREATE_TYPE;

/**************************************************************************************
*   Funcname: CLIENT_FaceInfoOpreate
*   Purpose:Ϣ¼
*   InputParam:	LLONG		:lLoginID		// ½
*   InputParam:     EM_FACEINFO_OPREATE_TYPE: emType //
*   InputParam:	void*		:pInParam	// ӿ, Դûά
*   OutputParam:	void*		:pOutParam	// ӿ, Դûά
*   InputParam:	int			:nWaitTime	// ȴʱʱ
*   Return:		BOOL
*   Created:		%2017%:%08%:%30%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FaceInfoOpreate(LLONG lLoginID, EM_FACEINFO_OPREATE_TYPE emType, void* pInParam, void* pOutParam, int nWaitTime = NET_INTERFACE_DEFAULT_TIMEOUT);

// CLIENT_StartFindFaceInfo 
typedef struct tagNET_IN_FACEINFO_START_FIND
{
    DWORD 			dwSize;
   	char			szUserID[DH_MAX_USERID_LEN];	// ûID
}NET_IN_FACEINFO_START_FIND;

// CLIENT_StartFindFaceInfo 
typedef struct tagNET_OUT_FACEINFO_START_FIND
{
    DWORD 			dwSize;
    UINT            nTotalCount;                   // ϲѯ
}NET_OUT_FACEINFO_START_FIND;

// CLIENT_DoFindFaceInfo 
typedef struct tagNET_IN_FACEINFO_DO_FIND
{
    DWORD 			dwSize;
    int             nStartNo;                       // ʼ
    int             nCount;                         // βѯ
}NET_IN_FACEINFO_DO_FIND;

// Ϣ
typedef struct tagNET_FACEINFO
{
    char			szUserID[DH_MAX_USERID_LEN];	// ûID
    int             nMD5;                           // ЧMD5
    char            szMD5[5][DH_COMMON_STRING_64];  // ͼƬӦ32ֽMD5
    BYTE            byReserved[512];                
}NET_FACEINFO;

// CLIENT_DoFindFaceInfo 
typedef struct tagNET_OUT_FACEINFO_DO_FIND
{
    DWORD 			dwSize;
   	int             nRetNum;                        // βѯĸ
    NET_FACEINFO*   pstuInfo;                       // ѯ, ûڴ,СΪsizeof(NET_FACEINFO)*nMaxNum
    int	            nMaxNum;                        // ûڴĸ
    BYTE            byReserved[4];
}NET_OUT_FACEINFO_DO_FIND;

// ʼѯϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartFindFaceInfo(LLONG lLoginID, NET_IN_FACEINFO_START_FIND* pstIn, NET_OUT_FACEINFO_START_FIND* pstOut, int nWaitTime);

// ȡϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindFaceInfo(LLONG lFindHandle, NET_IN_FACEINFO_DO_FIND* pstIn, NET_OUT_FACEINFO_DO_FIND* pstOut, int nWaitTime);

// ֹͣѯϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindFaceInfo(LLONG lFindHandle);

// û
typedef enum tagNET_ENUM_USER_TYPE
{
    NET_ENUM_USER_TYPE_UNKNOWN = -1,            // δ֪û
    NET_ENUM_USER_TYPE_NORMAL,                  // ͨû
    NET_ENUM_USER_TYPE_BLACKLIST,               // û
    NET_ENUM_USER_TYPE_GUEST,                   // ˻
    NET_ENUM_USER_TYPE_PATROL,                  // Ѳû
    NET_ENUM_USER_TYPE_VIP,                     // VIPû
    NET_ENUM_USER_TYPE_HANDICAP,                // мû
}NET_ENUM_USER_TYPE;
// ûϢ
typedef struct tagNET_ACCESS_USER_INFO
{
    char						szUserID[DH_MAX_USERID_LEN];				// ûID
	char						szName[MAX_COMMON_STRING_32];				// Ա
    NET_ENUM_USER_TYPE          emUserType;                                 // û
    UINT                        nUserStatus;                                // û״̬, 0 , 1 
    int                         nUserTime;                                  // ͨд
    char			            szCitizenIDNo[MAX_COMMON_STRING_32];		// ֤
    char                        szPsw[DH_MAX_CARDPWD_LEN];                  // UserID+뿪ʱ
    int                         nDoorNum;                                   // ЧĿ;
    int                         nDoors[DH_MAX_DOOR_NUM];                    // Ȩ޵, CFG_CMD_ACCESS_EVENT õ±
    int                         nTimeSectionNum;                            // ЧĵĿʱĿ
    int                         nTimeSectionNo[DH_MAX_TIMESECTION_NUM];     // ʱ, CFG_ACCESS_TIMESCHEDULE_INFO ±
    int				            nSpecialDaysScheduleNum;					// ռƻʾ
	int				            nSpecialDaysSchedule[MAX_ACCESSDOOR_NUM];	// ռƻʶ,  NET_EM_CFG_ACCESSCTL_SPECIALDAYS_SCHEDULE õ±
    NET_TIME                    stuValidBeginTime;                          // ʼЧ
    NET_TIME                    stuValidEndTime;                            // Ч
    BOOL                        bFirstEnter;                                // Ƿӵ׿Ȩ
    int                         nFirstEnterDoorsNum;                        // ӵûȨ޵
    int                         nFirstEnterDoors[DH_MAX_DOOR_NUM];          // ӵûȨ޵ţbFirstEnterΪTRUEʱЧ,-1ʾȫͨ
    NET_ATTENDANCE_AUTHORITY    emAuthority;                                // ûȨޣѡ
    int                         nRepeatEnterRouteTimeout;                   // Ǳʱʱ
    int                         nFloorNum;                                              // Ч¥
    char                        szFloorNo[MAX_ACCESS_FLOOR_NUM][DH_COMMON_STRING_16];   // ¥
    int			                nRoom;												    // 
	char		                szRoomNo[MAX_ROOMNUM_COUNT][DH_COMMON_STRING_16]; 	    // б
	BOOL						bFloorNoExValid;										// szFloorNoEx ǷЧ
	int                         nFloorNumEx;											// Ч¥չ
	char                        szFloorNoEx[256][4];									// ¥չ
    BYTE                        byReserved[3064];										// ֽ
}NET_ACCESS_USER_INFO;

// ûϢ
typedef struct tagNET_IN_ACCESS_USER_SERVICE_INSERT
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nInfoNum;                                   // ûϢ
    NET_ACCESS_USER_INFO*       pUserInfo;                                  // ûϢ,ڴûͷţССnInfoNum*sizeof(NET_ACCESS_USER_INFO);
}NET_IN_ACCESS_USER_SERVICE_INSERT;

// 
typedef enum tagNET_EM_FAILCODE
{
    NET_EM_FAILCODE_NOERROR,                                                // ûд
    NET_EM_FAILCODE_UNKNOWN,                                                // δ֪
    NET_EM_FAILCODE_INVALID_PARAM,                                          // 
    NET_EM_FAILCODE_INVALID_PASSWORD,                                       // Ч
    NET_EM_FAILCODE_INVALID_FP,                                             // Чָ
    NET_EM_FAILCODE_INVALID_FACE,                                           // Ч
    NET_EM_FAILCODE_INVALID_CARD,                                           // Ч
    NET_EM_FAILCODE_INVALID_USER,                                           // Ч
    NET_EM_FAILCODE_FAILED_GET_SUBSERVICE,                                  // ӷȡʧ
    NET_EM_FAILCODE_FAILED_GET_METHOD,                                      // ȡķʧ
    NET_EM_FAILCODE_FAILED_GET_SUBCAPS,                                     // ȡԴʵʧ
	NET_EM_FAILCODE_ERROR_INSERT_LIMIT,                                     // Ѵ
    NET_EM_FAILCODE_ERROR_MAX_INSERT_RATE,                                  // Ѵٶ
	NET_EM_FAILCODE_FAILED_ERASE_FP,										// ָʧ
	NET_EM_FAILCODE_FAILED_ERASE_FACE,										// ʧ
	NET_EM_FAILCODE_FAILED_ERASE_CARD,										// ʧ
	NET_EM_FAILCODE_NO_RECORD,												// ûм¼
	NET_EM_FAILCODE_NOMORE_RECORD,											// ҵûи¼
	NET_EM_FAILCODE_RECORD_ALREADY_EXISTS,									// ·ָʱظ
	NET_EM_FAILCODE_MAX_FP_PERUSER,											// ָƼ¼
	NET_EM_FAILCODE_MAX_CARD_PERUSER,										// Ƭ¼
	NET_EM_FAILCODE_EXCEED_MAX_PHOTOSIZE,									// ƬС
	NET_EM_FAILCODE_INVALID_USERID,											// ûIDЧδҵͻ
	NET_EM_FAILCODE_EXTRACTFEATURE_FAIL,									// ȡʧ
	NET_EM_FAILCODE_PHOTO_EXIST,											// ƬѴ
	NET_EM_FAILCODE_PHOTO_OVERFLOW,											// Ƭ
	NET_EM_FAILCODE_INVALID_PHOTO_FORMAT,									// ƬʽЧ
	NET_EM_FAILCODE_EXCEED_ADMINISTRATOR_LIMIT,								// Ա
	
}NET_EM_FAILCODE;

// ûϢ
typedef struct tagNET_OUT_ACCESS_USER_SERVICE_INSERT
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nMaxRetNum;                                 // 󷵻صĴϢ,СNET_IN_ACCESS_USER_SERVICE_INSERTnInfoNum
    NET_EM_FAILCODE*            pFailCode;                                  // ûͷڴ,ʧʱӦÿһĽ,ظͬNET_IN_ACCESS_USER_SERVICE_INSERTnInfoNum
}NET_OUT_ACCESS_USER_SERVICE_INSERT;

// ȡûϢ
typedef struct tagNET_IN_ACCESS_USER_SERVICE_GET
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nUserNum;                                   // ѯ
    char						szUserID[100][32];				            // ûID
}NET_IN_ACCESS_USER_SERVICE_GET;

// ȡûϢ
typedef struct tagNET_OUT_ACCESS_USER_SERVICE_GET
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nMaxRetNum;                                 // ѯص
    NET_ACCESS_USER_INFO*       pUserInfo;                                  // ûϢ,ڴûͷţСС nUserNum*sizeof(NET_ACCESS_USER_INFO)                                                                           // ظͬNET_IN_ACCESS_USER_SERVICE_GETnUserNum
    NET_EM_FAILCODE*            pFailCode;                                  // ѯʧʱڴûͷ,ӦѯÿһĽظͬNET_IN_ACCESS_USER_SERVICE_GETnUserNum
}NET_OUT_ACCESS_USER_SERVICE_GET;

// ɾָIDԱϢ
typedef struct tagNET_IN_ACCESS_USER_SERVICE_REMOVE
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nUserNum;                                   // ɾ
    char						szUserID[100][32];				            // ûID
}NET_IN_ACCESS_USER_SERVICE_REMOVE;

// ɾָIDԱϢ
typedef struct tagNET_OUT_ACCESS_USER_SERVICE_REMOVE
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nMaxRetNum;                                 // ص,С NET_IN_ACCESS_USER_SERVICE_REMOVEnUserNum
    NET_EM_FAILCODE*            pFailCode;                                  // ʧʱڴûͷ,ӦÿһĽ,ظͬNET_IN_ACCESS_USER_SERVICE_REMOVEnUserNum
}NET_OUT_ACCESS_USER_SERVICE_REMOVE;

// ɾԱϢ
typedef struct tagNET_IN_ACCESS_USER_SERVICE_CLEAR
{
    DWORD                       dwSize;	                                    // ṹС
}NET_IN_ACCESS_USER_SERVICE_CLEAR;

// ɾԱϢ
typedef struct tagNET_OUT_ACCESS_USER_SERVICE_CLEAR
{
    DWORD                       dwSize;	                                    // ṹС
}NET_OUT_ACCESS_USER_SERVICE_CLEAR;

// ԱϢ
typedef enum tagNET_EM_ACCESS_CTL_USER_SERVICE
{
    NET_EM_ACCESS_CTL_USER_SERVICE_INSERT = 0,                              // ԱϢ, pstInParam = NET_IN_ACCESS_USER_SERVICE_INSERT , pstOutParam = NET_OUT_ACCESS_USER_SERVICE_INSERT
    NET_EM_ACCESS_CTL_USER_SERVICE_GET,                                     // ȡԱϢ, pstInParam = NET_IN_ACCESS_USER_SERVICE_GET , pstOutParam = NET_OUT_ACCESS_USER_SERVICE_GET
    NET_EM_ACCESS_CTL_USER_SERVICE_REMOVE,                                  // ɾԱϢ,ȨϢ pstInParam = NET_IN_ACCESS_USER_SERVICE_REMOVE , pstOutParam = NET_OUT_ACCESS_USER_SERVICE_REMOVE
    NET_EM_ACCESS_CTL_USER_SERVICE_CLEAR,                                   // ԱϢ, pstInParam = NET_IN_ACCESS_USER_SERVICE_CLEAR , pstOutParam = NET_OUT_ACCESS_USER_SERVICE_CLEAR    
}NET_EM_ACCESS_CTL_USER_SERVICE;

// ŽԱϢӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateAccessUserService(LLONG lLoginID, NET_EM_ACCESS_CTL_USER_SERVICE emtype, void *pstInParam, void *pstOutParam, int nWaitTime);

// CLIENT_StartFindUserInfo 
typedef struct tagNET_IN_USERINFO_START_FIND
{
    DWORD 			            dwSize;                                     // ṹС
   	char			            szUserID[MAX_COMMON_STRING_32];	            // ûID
}NET_IN_USERINFO_START_FIND;

// CLIENT_StartFindUserInfo 
typedef struct tagNET_OUT_USERINFO_START_FIND
{
    DWORD 			            dwSize;                                     // ṹС
    int                         nTotalCount;                                // ϲѯ
    int                         nCapNum;                                    // doFindһβѯ
}NET_OUT_USERINFO_START_FIND;

// CLIENT_DoFindUserInfo 
typedef struct tagNET_IN_USERINFO_DO_FIND
{
    DWORD 			            dwSize;                                     // ṹС
    int                         nStartNo;                                   // ʼ
    int                         nCount;                                     // βѯ
}NET_IN_USERINFO_DO_FIND;

// CLIENT_DoFindUserInfo 
typedef struct tagNET_OUT_USERINFO_DO_FIND
{
    DWORD 			            dwSize;                                     // ṹС
   	int                         nRetNum;                                    // βѯĸ
    NET_ACCESS_USER_INFO*       pstuInfo;                                   // ѯ, ûͷڴ,СΪsizeof(NET_ACCESS_USER_INFO)*nMaxNum
    int	                        nMaxNum;                                    // ûڴĸ
    BYTE                        byReserved[4];
}NET_OUT_USERINFO_DO_FIND;

// ʼѯԱϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartFindUserInfo(LLONG lLoginID, NET_IN_USERINFO_START_FIND* pstIn, NET_OUT_USERINFO_START_FIND* pstOut, int nWaitTime);

// ȡԱϢ ,lFindHandle Ϊ CLIENT_StartFindUserInfo ӿڷֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindUserInfo(LLONG lFindHandle, NET_IN_USERINFO_DO_FIND* pstIn, NET_OUT_USERINFO_DO_FIND* pstOut, int nWaitTime);

// ֹͣѯԱϢ ,lFindHandle Ϊ CLIENT_StartFindUserInfo ӿڷֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindUserInfo(LLONG lFindHandle);

// ƬϢ
typedef struct tagNET_ACCESS_CARD_INFO
{
    char                        szCardNo[DH_MAX_CARDNO_LEN];                //  
    char						szUserID[DH_MAX_USERID_LEN];				// ûID
    NET_ACCESSCTLCARD_TYPE      emType;                                     // ,ֻ֧һ㿨вȿĸ
    char			            szDynamicCheckCode[MAX_COMMON_STRING_16];	// ̬У
    BYTE                        byReserved[4096];                           // ֽ
}NET_ACCESS_CARD_INFO;

// ƬϢ
typedef struct tagNET_IN_ACCESS_CARD_SERVICE_INSERT
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nInfoNum;                                   // ûϢ
    NET_ACCESS_CARD_INFO*       pCardInfo;                                  // ƬϢ,ûͷڴ,СΪsizeof(NET_ACCESS_CARD_INFO)*nInfoNum
}NET_IN_ACCESS_CARD_SERVICE_INSERT;

// ƬϢ
typedef struct tagNET_OUT_ACCESS_CARD_SERVICE_INSERT
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nMaxRetNum;                                 // 󷵻صûϢ,СNET_IN_ACCESS_CARD_SERVICE_INSERTnInfoNum
    NET_EM_FAILCODE*            pFailCode;                                  // ûͷڴ,ʧʱ,ӦÿһĽ,ظͬNET_IN_ACCESS_CARD_SERVICE_INSERTnInfoNum 
    BYTE                        byReserved[4];
}NET_OUT_ACCESS_CARD_SERVICE_INSERT;

// ȡƬϢ
typedef struct tagNET_IN_ACCESS_CARD_SERVICE_GET
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nCardNum;                                   // ѯ
    char                        szCardNo[100][32];                          //  
}NET_IN_ACCESS_CARD_SERVICE_GET;

// ȡƬϢ
typedef struct tagNET_OUT_ACCESS_CARD_SERVICE_GET
{
    DWORD                       dwSize;                                     // ṹС
    int                         nMaxRetNum;                                 // ѯص
    NET_ACCESS_CARD_INFO*       pCardInfo;                                  // ƬϢ,ڴûͷţССnCardNum*sizeof(NET_ACCESS_CARD_INFO);                                                                           // ظͬNET_IN_ACCESS_CARD_SERVICE_GETnCardNum
    NET_EM_FAILCODE*            pFailCode;                                  // ѯʧʱӦѯÿһĽ,ظͬNET_IN_ACCESS_CARD_SERVICE_GETnCardNum
}NET_OUT_ACCESS_CARD_SERVICE_GET;

// ¿ƬϢ
typedef struct tagNET_IN_ACCESS_CARD_SERVICE_UPDATE
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nInfoNum;                                   // ûϢ
    NET_ACCESS_CARD_INFO*       pCardInfo;                                  // ƬϢ,ûͷڴ,СΪsizeof(NET_ACCESS_CARD_INFO)*nInfoNum
}NET_IN_ACCESS_CARD_SERVICE_UPDATE;

// ¿ƬϢ
typedef struct tagNET_OUT_ACCESS_CARD_SERVICE_UPDATE
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nMaxRetNum;                                 // 󷵻صûϢ,СNET_IN_ACCESS_CARD_SERVICE_UPDATEnInfoNum
    NET_EM_FAILCODE*            pFailCode;                                  // ûͷڴ,ʧʱӦÿһĽ,ظͬNET_IN_ACCESS_CARD_SERVICE_UPDATEnInfoNum
    BYTE                        byReserved[4];
}NET_OUT_ACCESS_CARD_SERVICE_UPDATE;

// ɾָϢ
typedef struct tagNET_IN_ACCESS_CARD_SERVICE_REMOVE
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nCardNum;                                   // ɾ
    char                        szCardNo[100][32];                          //  
}NET_IN_ACCESS_CARD_SERVICE_REMOVE;

// ɾָϢ
typedef struct tagNET_OUT_ACCESS_CARD_SERVICE_REMOVE
{
    DWORD                       dwSize;	                                    // ṹС
    int                         nMaxRetNum;                                 // 󷵻Ϣ,С NET_IN_ACCESS_CARD_SERVICE_REMOVEnCardNum
    NET_EM_FAILCODE*            pFailCode;                                  // ûͷڴ,ʧʱ,ӦɾÿһĽ,ظͬNET_IN_ACCESS_CARD_SERVICE_REMOVEnCardNum
    BYTE                        byReserved[4];
}NET_OUT_ACCESS_CARD_SERVICE_REMOVE;

// ɾпƬϢ
typedef struct tagNET_IN_ACCESS_CARD_SERVICE_CLEAR
{
    DWORD                       dwSize;	                                    // ṹС
}NET_IN_ACCESS_CARD_SERVICE_CLEAR;

// ɾпƬϢ
typedef struct tagNET_OUT_ACCESS_CARD_SERVICE_CLEAR
{
    DWORD                       dwSize;	                                    // ṹС
}NET_OUT_ACCESS_CARD_SERVICE_CLEAR;

// ƬϢ
typedef enum tagNET_EM_ACCESS_CTL_CARD_SERVICE
{
    NET_EM_ACCESS_CTL_CARD_SERVICE_INSERT = 0,                              // , pstInParam = NET_IN_ACCESS_CARD_SERVICE_INSERT , pstOutParam = NET_OUT_ACCESS_CARD_SERVICE_INSERT
    NET_EM_ACCESS_CTL_CARD_SERVICE_GET,                                     // ȡ, pstInParam = NET_IN_ACCESS_CARD_SERVICE_GET , pstOutParam = NET_OUT_ACCESS_CARD_SERVICE_GET
    NET_EM_ACCESS_CTL_CARD_SERVICE_UPDATE,                                  // , pstInParam = NET_IN_ACCESS_CARD_SERVICE_UPDATE , pstOutParam = NET_OUT_ACCESS_CARD_SERVICE_UPDATE
    NET_EM_ACCESS_CTL_CARD_SERVICE_REMOVE,                                  // ɾ, pstInParam = NET_IN_ACCESS_CARD_SERVICE_REMOVE , pstOutParam = NET_OUT_ACCESS_CARD_SERVICE_REMOVE
    NET_EM_ACCESS_CTL_CARD_SERVICE_CLEAR,                                   // , pstInParam = NET_IN_ACCESS_CARD_SERVICE_CLEAR , pstOutParam = NET_OUT_ACCESS_CARD_SERVICE_CLEAR
}NET_EM_ACCESS_CTL_CARD_SERVICE;

// ŽƬϢӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateAccessCardService(LLONG lLoginID, NET_EM_ACCESS_CTL_CARD_SERVICE emtype, void *pstInParam, void *pstOutParam, int nWaitTime);

// CLIENT_StartFindCardInfo 
typedef struct tagNET_IN_CARDINFO_START_FIND
{
    DWORD 			            dwSize;                                     // ṹС
   	char			            szUserID[32];	                            // ûID
    char                        szCardNo[32];                               //  
    NET_ACCESSCTLCARD_TYPE      emType;                                     // ,ֻ֧һ㿨вȿĸ                        
}NET_IN_CARDINFO_START_FIND;

// CLIENT_StartFindCardInfo 
typedef struct tagNET_OUT_CARDINFO_START_FIND
{
    DWORD 			            dwSize;                                     // ṹС
    int                         nTotalCount;                                // ϲѯ
    int                         nCapNum;                                    // CLIENT_DoFindCardInfoӿһβѯ
}NET_OUT_CARDINFO_START_FIND;

// CLIENT_DoFindCardInfo 
typedef struct tagNET_IN_CARDINFO_DO_FIND
{
    DWORD 			            dwSize;                                     // ṹС
    int                         nStartNo;                                   // ʼ
    int                         nCount;                                     // βѯ
}NET_IN_CARDINFO_DO_FIND;

// CLIENT_DoFindCardInfo 
typedef struct tagNET_OUT_CARDINFO_DO_FIND
{
    DWORD 			            dwSize;                                     // ṹС
   	int                         nRetNum;                                    // βѯĸ
    NET_ACCESS_CARD_INFO*       pstuInfo;                                   // ѯ, ûͷڴ,СΪsizeof(NET_FACEINFO)*nMaxNum
    int	                        nMaxNum;                                    // ûڴĸ
    BYTE                        byReserved[4];                              // ֽ
}NET_OUT_CARDINFO_DO_FIND;

// ʼѯƬϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartFindCardInfo(LLONG lLoginID, NET_IN_CARDINFO_START_FIND* pstIn, NET_OUT_CARDINFO_START_FIND* pstOut, int nWaitTime);

// ȡƬϢ,lFindHandle ΪCLIENT_StartFindCardInfoӿڷֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindCardInfo(LLONG lFindHandle, NET_IN_CARDINFO_DO_FIND* pstIn, NET_OUT_CARDINFO_DO_FIND* pstOut, int nWaitTime);

// ֹͣѯƬϢ,lFindHandle ΪCLIENT_StartFindCardInfoӿڷֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindCardInfo(LLONG lFindHandle);

// ָϢ
typedef struct tagNET_ACCESS_FINGERPRINT_INFO
{
    char			            szUserID[DH_MAX_USERID_LEN];	                // ûID
    int                         nPacketLen;                                     // ָݰ
    int                         nPacketNum;                                     // ָݰ
    char*                       szFingerPrintInfo;                              // ָ(ܳȼnPacketLen*nPacketNum),ûͷڴ
    int                         nDuressIndex;                                   // вָ,ȡֵΧ[1,nPacketNum] ǷȡֵĻֶЧ
    BYTE                        byReserved[4096];                               // ֽ
}NET_ACCESS_FINGERPRINT_INFO;

// ָϢ
typedef struct tagNET_IN_ACCESS_FINGERPRINT_SERVICE_INSERT
{
    DWORD 			                dwSize;                                     // ṹС
    int                             nFpNum;                                     // ָϢ
    NET_ACCESS_FINGERPRINT_INFO*    pFingerPrintInfo;                           // ָϢ,ûͷڴ
}NET_IN_ACCESS_FINGERPRINT_SERVICE_INSERT;

// ָϢ
typedef struct tagNET_OUT_ACCESS_FINGERPRINT_SERVICE_INSERT
{
    DWORD 			                dwSize;                                     // ṹС
    int                             nMaxRetNum;                                 // Ϣ,СNET_IN_ACCESS_FINGERPRINT_SERVICE_INSERT  nFpNum
    NET_EM_FAILCODE*                pFailCode;                                  // ûͷڴ,ʧʱӦÿһĽ,ظͬNET_IN_ACCESS_FINGERPRINT_SERVICE_INSERT nFpNum
}NET_OUT_ACCESS_FINGERPRINT_SERVICE_INSERT;

// ָϢ
typedef struct tagNET_IN_ACCESS_FINGERPRINT_SERVICE_UPDATE
{
    DWORD 			                dwSize;                                     // ṹС
    int                             nFpNum;                                     // ָϢ
    NET_ACCESS_FINGERPRINT_INFO*    pFingerPrintInfo;                           // ָϢ,ûͷڴ
}NET_IN_ACCESS_FINGERPRINT_SERVICE_UPDATE;

// ָϢ
typedef struct tagNET_OUT_ACCESS_FINGERPRINT_SERVICE_UPDATE
{
    DWORD 			                dwSize;                                     // ṹС
    int                             nMaxRetNum;                                 // 󷵻Ϣ,С NET_IN_ACCESS_FINGERPRINT_SERVICE_UPDATEnFpNum
    NET_EM_FAILCODE*                pFailCode;                                  // ûͷڴ,ʧʱӦÿһĽ,ظͬNET_IN_ACCESS_FINGERPRINT_SERVICE_UPDATEnFpNum
}NET_OUT_ACCESS_FINGERPRINT_SERVICE_UPDATE;

// ȡָϢ
typedef struct tagNET_IN_ACCESS_FINGERPRINT_SERVICE_GET
{
    DWORD 			                dwSize;                                     // ṹС
    char			                szUserID[DH_MAX_USERID_LEN];	            // ûID
}NET_IN_ACCESS_FINGERPRINT_SERVICE_GET;

// ȡָϢ
typedef struct tagNET_OUT_ACCESS_FINGERPRINT_SERVICE_GET
{
    DWORD 			                dwSize;                                     // ṹС
    int							    nRetFingerPrintCount;					    // ʵʷصָƸ
    int							    nSinglePacketLength;					    // ָݰ
    int                             nDuressIndex;                               // вָ
    int							    nMaxFingerDataLength;					    // ָݵĻ󳤶
    int							    nRetFingerDataLength;					    // ʵʷصָܵݰĳ
	BYTE*                           pbyFingerData;                       	    // ûͷڴ,ָ
}NET_OUT_ACCESS_FINGERPRINT_SERVICE_GET;

// ɾûָϢ
typedef struct tagNET_IN_ACCESS_FINGERPRINT_SERVICE_REMOVE
{
    DWORD 			                dwSize;                                     // ṹС
    int                             nUserNum;                                   // ɾû
    char                            szUserID[100][32];                          // ûID
}NET_IN_ACCESS_FINGERPRINT_SERVICE_REMOVE;

// ɾûָϢ
typedef struct tagNET_OUT_ACCESS_FINGERPRINT_SERVICE_REMOVE
{
    DWORD 			                dwSize;                                     // ṹС
    int                             nMaxRetNum;                                 // 󷵻,С NET_IN_ACCESS_FINGERPRINT_SERVICE_REMOVEnUserNum
    NET_EM_FAILCODE*                pFailCode;                                  // ûͷڴ,ɾʧʱӦÿһĽ,ظͬNET_IN_ACCESS_FINGERPRINT_SERVICE_REMOVEnUserNum
}NET_OUT_ACCESS_FINGERPRINT_SERVICE_REMOVE;

// ָϢ
typedef struct tagNET_IN_ACCESS_FINGERPRINT_SERVICE_CLEAR
{
    DWORD 			            dwSize;                                         // ṹС
}NET_IN_ACCESS_FINGERPRINT_SERVICE_CLEAR;

// ָϢ
typedef struct tagNET_OUT_ACCESS_FINGERPRINT_SERVICE_CLEAR
{
    DWORD 			            dwSize;                                         // ṹС
}NET_OUT_ACCESS_FINGERPRINT_SERVICE_CLEAR;

// ָϢ
typedef enum tagNET_EM_ACCESS_CTL_FINGERPRINT_SERVICE
{
    NET_EM_ACCESS_CTL_FINGERPRINT_SERVICE_INSERT = 0,                               // , pInbuf = NET_IN_ACCESS_FINGERPRINT_SERVICE_INSERT , pOutBuf = NET_OUT_ACCESS_FINGERPRINT_SERVICE_INSERT
    NET_EM_ACCESS_CTL_FINGERPRINT_SERVICE_GET,                                      // ȡ, pInbuf = NET_IN_ACCESS_FINGERPRINT_SERVICE_GET , pOutBuf = NET_OUT_ACCESS_FINGERPRINT_SERVICE_GET
    NET_EM_ACCESS_CTL_FINGERPRINT_SERVICE_UPDATE,                                   // , pInbuf = NET_IN_ACCESS_FINGERPRINT_SERVICE_UPDATE , pOutBuf = NET_OUT_ACCESS_FINGERPRINT_SERVICE_UPDATE
    NET_EM_ACCESS_CTL_FINGERPRINT_SERVICE_REMOVE,                                   // ɾ, pInbuf = NET_IN_ACCESS_FINGERPRINT_SERVICE_REMOVE , pOutBuf = NET_OUT_ACCESS_FINGERPRINT_SERVICE_REMOVE
    NET_EM_ACCESS_CTL_FINGERPRINT_SERVICE_CLEAR,                                    // , pInbuf = NET_IN_ACCESS_FINGERPRINT_SERVICE_CLEAR , pOutBuf = NET_OUT_ACCESS_FINGERPRINT_SERVICE_CLEAR
}NET_EM_ACCESS_CTL_FINGERPRINT_SERVICE;

// ָϢӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateAccessFingerprintService(LLONG lLoginID, NET_EM_ACCESS_CTL_FINGERPRINT_SERVICE emtype, void *pstInParam, void *pstOutParam, int nWaitTime);

// Ϣ
typedef struct tagNET_ACCESS_FACE_INFO
{
    char					    szUserID[32];	                                    // ûID
    int 		                nFaceData;											// ģݸ,20
    char		                szFaceData[20][2048];		                        // ģ
    int                         nFaceDataLen[20];                                   // ģݴС
    int                         nFacePhoto;                                         // Ƭ,5
    int                         nInFacePhotoLen[5];                                 // ûÿͼƬĴС
	int                         nOutFacePhotoLen[5];                                // ÿͼƬʵʵĴС
    char*                       pFacePhoto[5];                                      // Ƭ,С200K
    BYTE                        byReserved[2048];                                   // ֽ
} NET_ACCESS_FACE_INFO;

// ¼Ϣ(NET_EM_ACCESS_CTL_FACE_SERVICE_INSERT)
typedef struct tagNET_IN_ACCESS_FACE_SERVICE_INSERT
{
    DWORD 					    dwSize;                                             // ṹС
    int                         nFaceInfoNum;                                       // Ϣ
    NET_ACCESS_FACE_INFO*	    pFaceInfo;					                        // ,ûз
}NET_IN_ACCESS_FACE_SERVICE_INSERT;

// ¼Ϣ(NET_EM_ACCESS_CTL_FACE_SERVICE_INSERT)
typedef struct tagNET_OUT_ACCESS_FACE_SERVICE_INSERT
{
    DWORD 			            dwSize;                                             // ṹС
    int                         nMaxRetNum;                                         // 󷵻,С NET_IN_ACCESS_FACE_SERVICE_INSERT еnFaceInfoNum
    NET_EM_FAILCODE*            pFailCode;                                          // ûڴ,ʧʱ,ӦÿһĽ,ظͬNET_IN_ACCESS_FACE_SERVICE_INSERTеnFaceInfoNum
}NET_OUT_ACCESS_FACE_SERVICE_INSERT;

// ȡû(NET_EM_ACCESS_CTL_FACE_SERVICE_GET)
typedef struct tagNET_IN_ACCESS_FACE_SERVICE_GET
{
    DWORD 			            dwSize;                                             // ṹС
    int                         nUserNum;                                           // ûID,100
    char			            szUserID[100][32];	                                // ûID
}NET_IN_ACCESS_FACE_SERVICE_GET;

// ȡû(NET_EM_ACCESS_CTL_FACE_SERVICE_GET)
typedef struct tagNET_OUT_ACCESS_FACE_SERVICE_GET
{
    DWORD 			            dwSize;                                             // ṹС
    int                         nMaxRetNum;                                         // 󷵻,С NET_IN_ACCESS_FACE_SERVICE_GET е nUserNum
    NET_ACCESS_FACE_INFO*	    pFaceInfo;					                        // ,ûڴ,ظͬNET_IN_ACCESS_FACE_SERVICE_GETеnUserNum,ֻģ
    NET_EM_FAILCODE*            pFailCode;                                          // ûڴ,ȡʧʱ,ӦȡÿһĽ,ظͬNET_IN_ACCESS_FACE_SERVICE_GETеnUserNum
}NET_OUT_ACCESS_FACE_SERVICE_GET;

// ¶û¼Ϣ(NET_EM_ACCESS_CTL_FACE_SERVICE_UPDATE)
typedef struct tagNET_IN_ACCESS_FACE_SERVICE_UPDATE
{
    DWORD 					    dwSize;                                             // ṹС
    int                         nFaceInfoNum;                                       // Ϣ
    NET_ACCESS_FACE_INFO*	    pFaceInfo;					                        // ,ûڴ
}NET_IN_ACCESS_FACE_SERVICE_UPDATE;

// ¶û¼Ϣ(NET_EM_ACCESS_CTL_FACE_SERVICE_UPDATE)
typedef struct tagNET_OUT_ACCESS_FACE_SERVICE_UPDATE
{
    DWORD 			            dwSize;                                             // ṹС
    int                         nMaxRetNum;                                         // 󷵻,С NET_IN_ACCESS_FACE_SERVICE_UPDATEеnFaceInfoNum
    NET_EM_FAILCODE*            pFailCode;                                          // ûڴ.ʧʱ,ӦµÿһĽ,ظͬNET_IN_ACCESS_FACE_SERVICE_UPDATEеnFaceInfoNum
}NET_OUT_ACCESS_FACE_SERVICE_UPDATE;

// ɾûĶϢ(NET_EM_ACCESS_CTL_FACE_SERVICE_REMOVE)
typedef struct tagNET_IN_ACCESS_FACE_SERVICE_REMOVE
{
    DWORD 			            dwSize;                                             // ṹС
    int                         nUserNum;                                           // ûID,100
    char			            szUserID[100][32];	                                // ûID
}NET_IN_ACCESS_FACE_SERVICE_REMOVE;

// ɾûĶϢ(NET_EM_ACCESS_CTL_FACE_SERVICE_REMOVE)
typedef struct tagNET_OUT_ACCESS_FACE_SERVICE_REMOVE
{
    DWORD 			            dwSize;                                             // ṹС
    int                         nMaxRetNum;                                         // 󷵻,С NET_IN_ACCESS_FACE_SERVICE_REMOVEеnUserNum
    NET_EM_FAILCODE*            pFailCode;                                          // ûڴ.ɾʧʱ,ӦɾÿһĽ,ظͬNET_IN_ACCESS_FACE_SERVICE_REMOVEеnUserNum
}NET_OUT_ACCESS_FACE_SERVICE_REMOVE;

// ¼Ϣ(NET_EM_ACCESS_CTL_FACE_SERVICE_CLEAR)
typedef struct tagNET_IN_ACCESS_FACE_SERVICE_CLEAR
{
    DWORD 			            dwSize;                                             // ṹС
}NET_IN_ACCESS_FACE_SERVICE_CLEAR;

// ¼Ϣ(NET_EM_ACCESS_CTL_FACE_SERVICE_CLEAR)
typedef struct tagNET_OUT_ACCESS_FACE_SERVICE_CLEAR
{
    DWORD 			            dwSize;                                             // ṹС
}NET_OUT_ACCESS_FACE_SERVICE_CLEAR;

// Ϣ
typedef enum tagNET_EM_ACCESS_CTL_FACE_SERVICE
{
    NET_EM_ACCESS_CTL_FACE_SERVICE_INSERT = 0,                      // , pInbuf = NET_IN_ACCESS_FACE_SERVICE_INSERT , pOutBuf = NET_OUT_ACCESS_FACE_SERVICE_INSERT
    NET_EM_ACCESS_CTL_FACE_SERVICE_GET,                             // ȡ, pInbuf = NET_IN_ACCESS_FACE_SERVICE_GET , pOutBuf = NET_OUT_ACCESS_FACE_SERVICE_GET
    NET_EM_ACCESS_CTL_FACE_SERVICE_UPDATE,                          // , pInbuf = NET_IN_ACCESS_FACE_SERVICE_UPDATE , pOutBuf = NET_OUT_ACCESS_FACE_SERVICE_UPDATE
    NET_EM_ACCESS_CTL_FACE_SERVICE_REMOVE,                          // ɾ, pInbuf = NET_IN_ACCESS_FACE_SERVICE_REMOVE , pOutBuf = NET_OUT_ACCESS_FACE_SERVICE_REMOVE
    NET_EM_ACCESS_CTL_FACE_SERVICE_CLEAR,                           // , pInbuf = NET_IN_ACCESS_FACE_SERVICE_CLEAR , pOutBuf = NET_OUT_ACCESS_FACE_SERVICE_CLEAR
}NET_EM_ACCESS_CTL_FACE_SERVICE;

// ŽϢӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateAccessFaceService(LLONG lLoginID, NET_EM_ACCESS_CTL_FACE_SERVICE emtype, void *pstInParam, void *pstOutParam, int nWaitTime);

// CLIENT_AccessStartFindFaceInfo 
typedef struct tagNET_IN_ACCESS_FACEINFO_START_FIND
{
    DWORD 			dwSize;                        // ṹС
   	char			szUserID[32];	               // ûID
}NET_IN_ACCESS_FACEINFO_START_FIND;

// CLIENT_AccessStartFindFaceInfo 
typedef struct tagNET_OUT_ACCESS_FACEINFO_START_FIND
{
    DWORD 			dwSize;                        // ṹС
    int             nCapNum;                       // βѯ
    int             nTotalCount;                   // ϲѯ
}NET_OUT_ACCESS_FACEINFO_START_FIND;

// CLIENT_AccessDoFindFaceInfo 
typedef struct tagNET_IN_ACCESS_FACEINFO_DO_FIND
{
    DWORD 			dwSize;                         // ṹС
    int             nStartNo;                       // ʼ
    int             nCount;                         // βѯ,ܴNET_OUT_ACCESS_FACEINFO_START_FINDеnCapNum
}NET_IN_ACCESS_FACEINFO_DO_FIND;

// CLIENT_AccessDoFindFaceInfo 
typedef struct tagNET_OUT_ACCESS_FACEINFO_DO_FIND
{
    DWORD 			dwSize;                         // ṹС
   	int             nRetNum;                        // βѯĸ
    NET_FACEINFO*   pstuInfo;                       // ѯ, ûڴ,СΪsizeof(NET_FACEINFO)*nMaxNum
    int	            nMaxNum;                        // ûڴĸ
    BYTE            byReserved[4];
}NET_OUT_ACCESS_FACEINFO_DO_FIND;

// ʼѯϢ,ӿڷֵΪCLIENT_AccessDoFindFaceInfoCLIENT_AccessStopFindFaceInfoӿlFindHandleֶ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AccessStartFindFaceInfo(LLONG lLoginID, NET_IN_ACCESS_FACEINFO_START_FIND* pstIn, NET_OUT_ACCESS_FACEINFO_START_FIND* pstOut, int nWaitTime);

// ȡϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AccessDoFindFaceInfo(LLONG lFindHandle, NET_IN_ACCESS_FACEINFO_DO_FIND* pstIn, NET_OUT_ACCESS_FACEINFO_DO_FIND* pstOut, int nWaitTime);

// ֹͣѯϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AccessStopFindFaceInfo(LLONG lFindHandle);
/**************************************************************************************
*   Funcname: CLIENT_RenderPrivateData
*   Purpose:ʾ˽ݣ򣬹򱨾ƶ
*   InputParam:     LLONG		:lPlayHandle        	// ž
*   InputParam:     BOOL		:bTrue        		// TRUE: FALSE:ر
*   Return:		BOOL:TRUE ɹ FALSE ʧ
*   Created:	       %2017%:%09%:%25%  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RenderPrivateData(LLONG lPlayHandle, BOOL bTrue);

// ȡڻ״̬
typedef struct tagNET_IN_ATTENDANCE_GETDEVSTATE
{
	DWORD 			dwSize;
} NET_IN_ATTENDANCE_GETDEVSTATE;

// ȡڻ״̬
typedef struct tagNET_OUT_ATTENDANCE_GETDEVSTATE
{
	DWORD 			           dwSize;
	int                        nState;     // 0:;1:;:δ֪;ڻ״̬
} NET_OUT_ATTENDANCE_GETDEVSTATE;

//ȡڻ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Attendance_GetDevState(LLONG lLoginID, const NET_IN_ATTENDANCE_GETDEVSTATE *pstuInParam, NET_OUT_ATTENDANCE_GETDEVSTATE *pstuOutParam, int nWaitTime);

//URL
typedef struct tagNET_IN_UPGRADER_SETURL
{
	DWORD       dwSize;                                //ṹС
	char        szUrl[DH_COMMON_STRING_256];           //صַ
	UINT        nCheckType;                            //У鷽ʽ0:MD5ֵУ
	char        szCheckSum[DH_COMMON_STRING_128];      //Уֵ
    int         nSpareUrl;                             //ѡĸ 
    char        szSpareUrl[4][256];                    //ѡصַ
}NET_IN_UPGRADER_SETURL;

//URL
typedef struct tagNET_OUT_UPGRADER_SETURL
{
	DWORD        dwSize;                               //ṹС
}NET_OUT_UPGRADER_SETURL;

//URL,Ӵصַ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Upgrader_SetUrl(LLONG lLoginID, NET_IN_UPGRADER_SETURL *pInParam, NET_OUT_UPGRADER_SETURL *pOutParam, int nWaitTime);

// XĲѯ
typedef struct tagNET_XRAY_PACK_CONDITION
{
	NET_TIME_EX			stuStartTime;				// ʼʱ(ʱ)
	NET_TIME_EX			stuEndTime;					// ʱ(ʱ)
	BYTE				byReserved[1024];			// Ԥֽ
}NET_XRAY_PACK_CONDITION;

// ȡXͳϢ
typedef struct tagNET_IN_XRAY_GETPACKTOTALINFO
{
	DWORD							dwSize;											// ṹС
	int								nChannelNum;									// Чͨŵĸ
	int								nChannelsID[MAX_XRAY_CHANNEL_NUM];				// ͨ 
	NET_XRAY_PACK_CONDITION			stuCondition;									// ѯ
}NET_IN_XRAY_GETPACKTOTALINFO;

// ΣյȼͳƵİϢ
typedef struct tagNET_GRADE_PACK_NUM_INFO
{
	unsigned int	nNormalPackNum;			// ͨ
	unsigned int	nWarnPackNum;			// ʾ
	unsigned int	nDangerPackNum;			// Σհ
	BYTE			byReserved[20];			// Ԥֽ
}NET_GRADE_PACK_NUM_INFO;

// ƷͳƵİϢ 
typedef struct tagNET_PACK_TYPE_NUM_INFO
{
	unsigned int     nUnknownNum;				// δʶƷİ
	unsigned int	 nKnifeNum;					// ߵİ
	unsigned int	 nBottleLiquidNum;			// ƿװҺİ
	unsigned int	 nGunNum;					// ǹ֧İ
	unsigned int	 nUmbrellaNum;				// ɡİ
	unsigned int	 nPhoneNum;					// ֻİ
	unsigned int     nNotebookNum;				// ʼǱİ
	unsigned int	 nPowerbankNum;				// 籦İ
	unsigned int	 nShoesNum;					// Ьӵİ
	unsigned int	 nRodNum;					// ӵİ
	unsigned int	 nMetalNum;					// İ
	unsigned int	 nExplosiveNum;				// ըİ
	unsigned int	 nContainerSprayNum;		// İ
	unsigned int	 nExplosiveFireworksNum;    // ̻İ
	unsigned int	 nLighterNum;               // İ
	unsigned int	 nStickNum;                 // İ
	unsigned int	 nBrassknuckleNum;          // ָİ
	unsigned int	 nHandcuffsNum;             // İ
	unsigned int	 nIvoryNum;                 // İ
	BYTE			 byReserved[996];			// Ԥֽ
}NET_PACK_TYPE_NUM_INFO;
// Ϣ
typedef struct tagNET_XRAY_PACKINFO
{
	unsigned int				nTotalNum;						// а
	NET_GRADE_PACK_NUM_INFO		stuGradePackNumInfo;			// ΣյȼͳƵİϢ
	NET_PACK_TYPE_NUM_INFO		stuPackTypeNumInfo;				// ƷͳƵİϢ
	int							nChannel;						// ͳϢͨ
	BYTE						byReserved[1024];				// Ԥֽ
}NET_XRAY_PACKINFO;

// ȡXͳϢ
typedef struct tagNET_OUT_XRAY_GETPACKTOTALINFO
{
	DWORD							dwSize;										// ṹС
	NET_XRAY_PACKINFO				stuXrayPackInfo[MAX_XRAY_CHANNEL_NUM];		// XͳϢ 	
	int								nRetXrayPackInfoNum;						// صͳϢ
}NET_OUT_XRAY_GETPACKTOTALINFO;

// ȡXͳϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Xray_GetPackTotalInfo(LLONG lLoginID, const NET_IN_XRAY_GETPACKTOTALINFO* pInParam, NET_OUT_XRAY_GETPACKTOTALINFO* pOutParam,int nWaitTime);

// ͨΣȼͳƵİϢ
typedef struct tagNET_IN_PACKAGE_STATISTICS_BYGRADE
{
	EM_DANGER_GRADE_TYPE		emGrade;										// Σȼ
	UINT						nCount;											// Σ
	BYTE						byReserved[64];									// Ԥֶ
}NET_IN_PACKAGE_STATISTICS_BYGRADE;

// ͨƷͳƵİϢ
typedef struct tagNET_IN_PACKAGE_STATISTICS_BYTYPE
{
	EM_INSIDE_OBJECT_TYPE		emType;											// Σ
	UINT						nCount;											// Σ
	BYTE						byReserved[64];									// Ԥֶ
}NET_IN_PACKAGE_STATISTICS_BYTYPE;

// Ϣ
typedef struct tagNET_IN_XRAY_STATISTICS_INFO
{
	char								szUUID[36];								// UUID	
	UINT								nStatisticsInfoID;						// ͳϢID
	NET_TIME_EX							stuBeginTime;							// ʼʱ
	NET_TIME_EX							stuEndTime;								// ʱ
	UINT								nTotalCount;							// 
	UINT								nStatisticsInfoByGradeNum;				// ΣյȼͳƵϢ
	NET_IN_PACKAGE_STATISTICS_BYGRADE	stuStatisticsInfoByGrade[16];			// ΣյȼͳƵϢ
	UINT								nStatisticsInfoByTypeNum;				// ΣͳƵϢ
	NET_IN_PACKAGE_STATISTICS_BYTYPE	stuStatisticsInfoByType[64];			// ΣͳƵϢ
	BYTE								byReserved[1024];						// ֶ
}NET_IN_XRAY_PACKAGE_STATISTICS_INFO;

// Ϣص
typedef void (CALLBACK *fXRayAttachPackageStatistics)(LLONG lAttachHandle, NET_IN_XRAY_PACKAGE_STATISTICS_INFO* pInfo, LDWORD dwUser);

// CLIENT_XRayAttachPackageStatistics ṹ
typedef struct tagNET_IN_XRAY_ATTACH_PACKAGE_STATISTICS
{
	DWORD							dwSize;										// ֵΪṹС
	char							szUUID[36];									// UUID
	fXRayAttachPackageStatistics	cbNotify;									// ص
	LDWORD							dwUser;										// ûϢ
}NET_IN_XRAY_ATTACH_PACKAGE_STATISTICS;

// CLIENT_XRayAttachPackageStatistics ṹ
typedef struct tagNET_OUT_XRAY_ATTACH_PACKAGE_STATISTICS
{
	DWORD							dwSize;										// ֵΪṹС
}NET_OUT_XRAY_ATTACH_PACKAGE_STATISTICS;

// XͳϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_XRayAttachPackageStatistics(LLONG lLoginID, const NET_IN_XRAY_ATTACH_PACKAGE_STATISTICS* pInParam, NET_OUT_XRAY_ATTACH_PACKAGE_STATISTICS* pOutParam, int nWaitTime);


// ȡXͳϢ
// lAttachHandle Ϊ CLIENT_XRayAttachPackageStatistics ֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_XRayDetachPackageStatistics(LLONG lAttachHandle);

// ¶
typedef enum tagNET_TEMPERATURE_TYPE
{
	NET_TEMPERATURE_TYPE_CPU,			    // 
}NET_TEMPERATURE_TYPE;

// CLIENT_FaceBoard_GetHistoryTemperature
typedef struct tagNET_IN_GET_HISTORY_TEMPERATURE
{
	DWORD					dwSize;							// ṹС
	NET_TEMPERATURE_TYPE	emTemperatureType;				// ¶
}NET_IN_GET_HISTORY_TEMPERATURE;

// ÿ¶ȼʷ¶
typedef struct tagNET_TEMPERATURE_VALUE
{
	double				dbHistoryTemperature[MAX_HISTORY_TEMPERATURE_NUM];	// ʷ¶ֵ,λ:϶
	int					nRetHistoryTemperatureNum;							// صЧʷ¶ֵ
	BYTE				byReserved[4];										// ֽ
}NET_TEMPERATURE_VALUE;

// ʷ¶Ϣ
typedef struct tagNET_HISTORY_TEMPERATURE_INFO
{
	int						nRetMonitorPointNum;										// صЧ¶ȼĸ
	BYTE					byReserved[4];												// ֽڣΪֽڶ
	NET_TEMPERATURE_VALUE   stuMonitorPointTemperature[MAX_TEMPERATURE_POINT_NUM];		// ʷ¶
	BYTE					byReserved1[1024];											// ֽ
}NET_HISTORY_TEMPERATURE_INFO;

// CLIENT_FaceBoard_GetHistoryTemperatureĳ
typedef struct tagNET_OUT_GET_HISTORY_TEMPERATURE
{
	DWORD							dwSize;							// ṹС
	BYTE							byReserved[4];					// ֽڣΪֽڶ
	NET_HISTORY_TEMPERATURE_INFO	stuHistoryTemperatureInfo;		// ʷ¶Ϣ
}NET_OUT_GET_HISTORY_TEMPERATURE;

// ȡʷ¶ֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FaceBoard_GetHistoryTemperature(LLONG lLoginID, const NET_IN_GET_HISTORY_TEMPERATURE *pInParam, NET_OUT_GET_HISTORY_TEMPERATURE *pOutParam, int nWaitTime);

// ¶
typedef enum tagEM_TEMPERATUREEX_TYPE
{
	EM_TEMPERATUREEX_TYPE_UNKNOWN,          // δ֪
	EM_TEMPERATUREEX_TYPE_ALL,			    // ȫ
	EM_TEMPERATUREEX_TYPE_POWER,			// Դ
	EM_TEMPERATUREEX_TYPE_CABINET,			// 
	EM_TEMPERATUREEX_TYPE_GLOBAL,			// 
	EM_TEMPERATUREEX_TYPE_MAINBOARD,	    // 
	EM_TEMPERATUREEX_TYPE_CARD,			    // ӿ
	EM_TEMPERATUREEX_TYPE_BACKBOARD,	    // 
	EM_TEMPERATUREEX_TYPE_CPU,			    // 
}EM_TEMPERATUREEX_TYPE;

// CLIENT_FaceBoard_GetTemperatureEx
typedef struct tagNET_IN_GET_TEMPERATUREEX
{
	DWORD                           dwSize;   						// ṹС
	EM_TEMPERATUREEX_TYPE	        emTemperatureType;				// ¶
}NET_IN_GET_TEMPERATUREEX;

// ÿ¶
typedef struct tagNET_TEMPERATUREEX_VALUE
{
	EM_TEMPERATUREEX_TYPE	        emTemperatureType;				// ¶
	int					nRetTemperatureNum;							// صЧ¶ֵ
	float				fTemperature[MAX_HISTORY_TEMPERATURE_NUM];	// ¶ֵ,λ:϶
	BYTE				byReserved[128];						    // ֽ
}NET_TEMPERATUREEX_VALUE;

// CLIENT_FaceBoard_GetTemperatureExĳ
typedef struct tagNET_OUT_GET_TEMPERATUREEX
{
	DWORD                    dwSize;   						        // ṹС
	int						 nRetMonitorPointNum;					// صЧ¶ȼĸ,num>1ʱ,ӦemTemperatureTypeΪALL
	NET_TEMPERATUREEX_VALUE  stuTemperatureEx[MAX_TEMPERATUREEX_POINT_NUM];	// ¶
}NET_OUT_GET_TEMPERATUREEX;

// ȡ¶ֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FaceBoard_GetTemperatureEx(LLONG lLoginID, const NET_IN_GET_TEMPERATUREEX *pInParam, NET_OUT_GET_TEMPERATUREEX *pOutParam, int nWaitTime);


// CLIENT_GetAlarmOutState 
typedef struct tagNET_IN_GET_ALARM_OUT_STATE 
{
	DWORD							dwSize; 						// ṹС
} NET_IN_GET_ALARM_OUT_STATE;

#define	MAX_OUT_STATE_COUNT	32

//CLIENT_GetAlarmOutState 
typedef struct tagNET_OUT_GET_ALARM_OUT_STATE 
{
	DWORD							dwSize;							// ṹС
	int								nState[MAX_OUT_STATE_COUNT];	// ˿״̬, 0ʾû, 1ʾ
} NET_OUT_GET_ALARM_OUT_STATE;

// ÿ˿ڵ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAlarmOutState(LLONG lLoginID, const NET_IN_GET_ALARM_OUT_STATE *pInParam, NET_OUT_GET_ALARM_OUT_STATE *pOutParam, int nWaitTime);

// ά
typedef enum tagNET_EM_2DCODE_TYPE
{
    NET_EM_2DCODE_TYPE_OZVISION,                                     // TYCOͻP2P
    NET_EM_2DCODE_TYPE_LCWEBSITE,                                    // ֳֻͻ
    NET_EM_2DCODE_TYPE_EASY4IP,                                      // easy4ipֻͻ
    NET_EM_2DCODE_TYPE_DMSS,                                         // i/gDMSSֻͻ
    NET_EM_2DCODE_TYPE_VIDEOTALK,                                    // ӶԽͻ
    NET_EM_2DCODE_TYPE_APPREGISTER,                                  // appעϢά
	NET_EM_2DCODE_TYPE_DEVAUTH,										 // H500ƽ̨ƽ̨ȡȨ
}NET_EM_2DCODE_TYPE;


// ȡĿ¼ʵ 
typedef struct tagNET_IN_WORKDIRECTORY_GETGROUP_INFO
{
	DWORD				dwSize;
	char				szDirectoryName[DH_COMMON_STRING_256];		// Ŀ¼
}NET_IN_WORKDIRECTORY_GETGROUP_INFO;

// ȡĿ¼ʵ 
typedef struct tagNET_OUT_WORKDIRECTORY_GETGROUP_INFO
{
	DWORD				dwSize;			
	char				szGroupName[DH_COMMON_STRING_256];			// Ŀ¼
}NET_OUT_WORKDIRECTORY_GETGROUP_INFO;

// ȡĿ¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_WorkDirectoryGetGroup(LLONG lLoginID, const NET_IN_WORKDIRECTORY_GETGROUP_INFO *pInParam,  NET_OUT_WORKDIRECTORY_GETGROUP_INFO *pOutParam, int nWaitTime);

// ùĿ¼ 
typedef struct tagNET_IN_WORKDIRECTORY_SETGROUP_INFO
{
	DWORD				dwSize;
	char				szGroupName[DH_COMMON_STRING_256];			// Ŀ¼
	char				szDirectoryName[DH_COMMON_STRING_256];		// Ŀ¼
}NET_IN_WORKDIRECTORY_SETGROUP_INFO;

// ùĿ¼ 
typedef struct tagNET_OUT_WORKDIRECTORY_SETGROUP_INFO
{
	DWORD				dwSize;
}NET_OUT_WORKDIRECTORY_SETGROUP_INFO;

// ùĿ¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_WorkDirectorySetGroup(LLONG lLoginID, const NET_IN_WORKDIRECTORY_SETGROUP_INFO *pInParam, NET_OUT_WORKDIRECTORY_SETGROUP_INFO *pOutParam, int nWaitTime);

// CLIENT_Get2DCode 
typedef struct tagNET_IN_GET_2DCODE
{
    DWORD							dwSize;							// ṹС
    NET_EM_2DCODE_TYPE              em2DCodeType;                   // ά
}NET_IN_GET_2DCODE;

// CLIENT_Get2DCode 
typedef struct tagNET_OUT_GET_2DCODE
{
    DWORD							dwSize;							// ṹС
    char                            sz2DCode[DH_COMMON_STRING_512]; // άϢ
}NET_OUT_GET_2DCODE;

// ȡάϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Get2DCode(LLONG lLoginID, const NET_IN_GET_2DCODE *pInParam, NET_OUT_GET_2DCODE *pOutParam, int nWaitTime);

// CLIENT_Set2DCode 
typedef struct tagNET_IN_SET_2DCODE
{
    DWORD							dwSize;							// ṹС
    NET_EM_2DCODE_TYPE              em2DCodeType;                   // ά
    char                            sz2DCode[DH_COMMON_STRING_512]; // άϢ
}NET_IN_SET_2DCODE;

// CLIENT_Set2DCode 
typedef struct tagNET_OUT_SET_2DCODE
{
    DWORD							dwSize;							// ṹС
}NET_OUT_SET_2DCODE;

// öάϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Set2DCode(LLONG lLoginID, const NET_IN_SET_2DCODE *pInParam, NET_OUT_SET_2DCODE *pOutParam, int nWaitTime);

// ⵼״̬
typedef enum tagEM_IMPORT_FACEDB_STATE
{
	EM_IMPORT_FACEDB_UNKNOWN,			// δ֪
	EM_IMPORT_FACEDB_ONGING,			// 
	EM_IMPORT_FACEDB_END,				// , ʼݿ
	EM_IMPORT_FACEDB_BUSY,				// ϵͳæѾе
	EM_IMPORT_FACEDB_DATAERROR,			// ݰʧ
	EM_IMPORT_FACEDB_INVALID,			// ݰǷ
	EM_IMPORT_FACEDB_SYNC_SUCCESS,		// ͬɹ, ݿ
	EM_IMPORT_FACEDB_SYNC_FALIED,		// ͬʧ, ݿ޷
	EM_IMPORT_FACEDB_DBFULL,			// ݿ޷
	EM_IMPORT_FACEDB_SDFULL,			// 洢ռ޷
	EM_IMPORT_FACEDB_CIPHER_ERROR,		// ѹ벻
} EM_IMPORT_FACEDB_STATE;

// Աȿ
typedef enum tagEM_FACEDB_PROGRESS_TYPE
{
	EM_FACEDB_PROGRESS_IMPORT,			// ⵼
	EM_FACEDB_PROGRESS_DEPLOY,			// ⲿ
} EM_FACEDB_PROGRESS_TYPE;

// ״̬Ϣ
typedef struct tagNET_IMPORT_FACEDB_STATE
{
	unsigned int	        	nProgress;			// , ٷֱ
	EM_FACEDB_PROGRESS_TYPE		emType;				// 
	EM_IMPORT_FACEDB_STATE		emState;			// ״̬Ϣ
	BYTE			        	byReserved[512];	// ֽ
} NET_IMPORT_FACEDB_STATE;

// صԭ
typedef void (CALLBACK *fImportFaceDbCallBack) (LLONG lImportFaceDbHandle, NET_IMPORT_FACEDB_STATE *pstFaceDbState, LDWORD dwUser);

// CLIENT_ImportFaceDB ӿ
typedef struct tagNET_IN_IMPORT_FACE_DB
{
	DWORD							dwSize;								// ṹС
	char                			szGroupId[DH_COMMON_STRING_64];		// ԱID
	char							szPassWord[DH_COMMON_STRING_64];	// ѹ
	char							*pszFaceDBPath;						// ·, ûָ
	fImportFaceDbCallBack			cbImportState;						// ϴ״̬ص
	LDWORD 							dwUser;								// û
    int                             nWaitTime;                          // ʱʱ
} NET_IN_IMPORT_FACE_DB;

// CLIENT_ImportFaceDB ӿ
typedef struct tagNET_OUT_IMPORT_FACE_DB
{
	DWORD							dwSize;							// ṹС
} NET_OUT_IMPORT_FACE_DB;

// ⵼ӿ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ImportFaceDB(LLONG lLoginID, const NET_IN_IMPORT_FACE_DB *pInParam, NET_OUT_IMPORT_FACE_DB *pOutParam);

// ֹͣ⵼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopImportFaceDB(LLONG lImportFaceDbHandle);

// Աȿ
typedef enum tagEM_EXPORT_FACEDB_ERRORCODE
{
	EM_EXPORT_FACEDB_REQUEST_SUCCESS	= 1,		// ⵼ɹ
	EM_EXPORT_FACEDB_NO_AUTHORITY		= 2,		//Ȩ
	EM_EXPORT_FACEDB_NO_THIS_FILE		= 3,		// ļ
	EM_EXPORT_FACEDB_EXPORT_END			= 4,		// 
	EM_EXPORT_FACEDB_EXPORTING			= 5,		// 
	EM_EXPORT_FACEDB_FILE_READY			= 8,		// ļ׼
	EM_EXPORT_FACEDB_FILE_FAILED		= 9,		// ļ׼ʧ
	EM_EXPORT_FACEDB_WAIT_FILE			= 10,		// ⵼ɹ, Ҫȴ豸׼
	EM_EXPORT_FACEDB_SYSTEM_BUSY		= 11,		// ϵͳæ, ʱ޷
	EM_EXPORT_FACEDB_NO_PASSWORD		= 12,		// δ, 
} EM_EXPORT_FACEDB_ERRORCODE;

// ״̬Ϣ
typedef struct tagNET_EXPORT_FACEDB_STATE
{
	unsigned int					nProgress;			// , ٷֱ
	EM_EXPORT_FACEDB_ERRORCODE		emErrorCode;		// 
	char							*pDataBuf;			// ⵼
	DWORD							dwDataLen;			// ݳ
	BYTE							byReserved[512];	// ֽ
} NET_EXPORT_FACEDB_STATE;

// صԭ
typedef void (CALLBACK *fExportStateCallBack)(LLONG lExportFaceDbHandle, NET_EXPORT_FACEDB_STATE *pstFaceDbState, LDWORD dwUser);

// CLIENT_ExportFaceDB ӿ
typedef struct tagNET_IN_EXPORT_FACE_DB
{
	DWORD							dwSize;								// ṹС
	char                			szGroupId[DH_COMMON_STRING_64];		// ԱID
	char							szPassWord[DH_COMMON_STRING_64];	// ѹ
	fExportStateCallBack			cbExportFaceDbCallBack;				// ص
	LDWORD 							dwUser;								// û
	int                             nWaitTime;                          // ʱʱ
} NET_IN_EXPORT_FACE_DB;

// CLIENT_ExportFaceDB ӿ
typedef struct tagNET_OUT_EXPORT_FACE_DB
{
	DWORD							dwSize;							// ṹС
} NET_OUT_EXPORT_FACE_DB;

// ⵼ӿ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ExportFaceDB(LLONG lLoginID, const NET_IN_EXPORT_FACE_DB *pInParam, NET_OUT_EXPORT_FACE_DB *pOutParam);

// ֹͣ⵼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopExportFaceDB(LLONG lExportFaceDbHandle);


// PIRϢ
typedef struct tagNET_DETECT_WINDOW_IFNO
{
	int				    nRegionID;									// ̬ID
    char                szRegionName[DH_COMMON_STRING_128];			// ̬
    int                 nThreshold;                                 // ֵ, ȡֵ[0, 100]
	int					nSensitive;									// , ȡֵ[0, 100]
	int					nRegionRow;									// ̬
	int					nRegionCol;									// ̬
	BYTE				byRegion[DH_MOTION_ROW][DH_MOTION_COL];		// , 32*32
	int					nLevel;										// ,ȡֵ[1,6]
	BYTE				byReserved[508];							// ֽ
} NET_DETECT_WINDOW_IFNO;

// ƹʽ
typedef enum tagEM_PIR_LIGHT_LINK_TYPE
{
	EM_PIR_LIGHT_LINK_TYPE_UNKNOWN,									// δ֪
	EM_PIR_LIGHT_LINK_TYPE_FILCKER,									// ˸
	EM_PIR_LIGHT_LINK_TYPE_KEEPLIGHTING,							// 
} EM_PIR_LIGHT_LINK_TYPE;


// ׹
typedef struct tagNET_LIGHTINGLINK_INFO 
{
	BOOL					bEnable;								// Ƿ
	EM_PIR_LIGHT_LINK_TYPE	emLightLinkType;						// ƹʽ
	int						nFilckerIntevalTime;					// ˸ʱ, λΪ0.1s
	int						nLightDuration;							// ƹ˸ʱ, λ
	DH_TSECT				stuWhiteLightTimeSection[DH_TSCHE_DAY_NUM][DH_TSCHE_SEC_NUM];	// ׹ʱ
	BYTE					byReserved[512];						// ֽ
} NET_LIGHTINGLINK_INFO ;

// Ϣ
typedef struct tagNET_PIR_LINK_INFO
{
	BOOL						bRecordEnable;							// ¼ʹ
	BOOL						bAlarmOutEnable;						// ʹ
	BOOL						bSnapshotEnable;						// ʹ
	BOOL						bMailEnable;							// ʼͼƬΪ
	BOOL						bAlarmBellEnable;						// ʹ
	BOOL						bLogEnable;								// Ƿ¼־
	int							nRecordChannelNum;						// ¼ͨ
	int							nRecordChannels[DH_COMMON_STRING_64];					// ¼ͨб
	int							nRecordLatch;							// ¼ʱʱ, Χ[10,300]
	int							nAlarmOutChannelNum;					// ͨ
	int							AlarmOutChannels[DH_COMMON_STRING_32];					// ͨб
	int							nAlarmOutLatch;							// ֹͣʱʱ,Χ[1,300]
	int							nSnapshotChannelNum;					// ͨ
	int							SnapshotChannels[DH_COMMON_STRING_32];					// ͨб	
	int							nAlarmBellLatch;						// ʱʱ,10~300
	int							nDejitter;								// ȥʱ	
	NET_LIGHTINGLINK_INFO		stLightingLink;							// ׹
	NET_CFG_TIME_SCHEDULE		stTimeShecule;							// ʱ
	BYTE						byReserved1[512];						// ֶ
}NET_PIR_LINK_INFO;
// PIR
#define MAX_DETECT_WINDOW	4

// PIRϢ
typedef struct tagNET_PIR_ALARM_INFO
{
	BOOL					bEnable;									
	int						nDetectWindowCount;						// PIR
	NET_DETECT_WINDOW_IFNO	stDetectWindow[MAX_DETECT_WINDOW];		// PIR
	NET_PIR_LINK_INFO		stPirLink;								// Ϣ
} NET_PIR_ALARM_INFO;

// CLIENT_GetPirAlarmParam 
typedef struct tagNET_IN_GET_PIR_ALARM_PARAM
{
	DWORD				dwSize;
	int					nChannel;									// Ƶͨ
} NET_IN_GET_PIR_ALARM_PARAM;

// CLIENT_GetPirAlarmParam 
typedef struct tagNET_OUT_GET_PIR_ALARM_PARAM
{
	DWORD				dwSize;
	NET_PIR_ALARM_INFO	stPirAlarmInfo;								// PIRϢ
	int					nPirAlarmNum;								// ʵʻȡĸ
	NET_PIR_ALARM_INFO	stPirAlarmInfoEx[MAX_PIRPARAM_NUM];			// жpir豸10
} NET_OUT_GET_PIR_ALARM_PARAM;

// CLIENT_SetPirAlarmParam 
typedef struct tagNET_IN_SET_PIR_ALARM_PARAM
{
	DWORD				dwSize;
	int					nChannel;									// Ƶͨ
	NET_PIR_ALARM_INFO	stPirAlarmInfo;								// PIRϢ
	int					nPirAlarmNum;								// Ҫõĸ
	NET_PIR_ALARM_INFO	stPirAlarmInfoEx[MAX_PIRPARAM_NUM];			// жpir豸
} NET_IN_SET_PIR_ALARM_PARAM;

// CLIENT_SetPirAlarmParam 
typedef struct tagNET_OUT_SET_PIR_ALARM_PARAM
{
	DWORD				dwSize;
} NET_OUT_SET_PIR_ALARM_PARAM;

// ȡPIR
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetPirAlarmParam(LLONG lLoginID, const NET_IN_GET_PIR_ALARM_PARAM *pstInParam, NET_OUT_GET_PIR_ALARM_PARAM *pstOutParam, int nWaitTime);

// PIR
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPirAlarmParam(LLONG lLoginID, const NET_IN_SET_PIR_ALARM_PARAM *pstInParam, NET_OUT_SET_PIR_ALARM_PARAM *pstOutParam, int nWaitTime);

//Onvif û
typedef enum tagEM_GROUP_TYPE
{
	EM_GROUP_TYPE_UNKNOWN,		// UnKnown	
	EM_GROUP_TYPE_ADMIN,		// admin
	EM_GROUP_TYPE_OPERATOR,		// operator
	EM_GROUP_TYPE_USER,			// user
	EM_GROUP_TYPE_ANONYMOUS,	// anonymous
} EM_GROUP_TYPE;

// 
typedef struct tagNET_MOTION_DATA
{
	int				    nRegionID;									// ̬ID
    int                 nThreshold;                                 // ֵ, ȡֵ[0, 100]
	BYTE				byReserved[512];							// ֽ
} NET_MOTION_DATA;



// Onvif ûϢ
typedef struct tagNET_ONVIF_USER_INFO
{
	char			szName[DH_COMMON_STRING_128];						// û
	char			szPassword[DH_COMMON_STRING_128];					// 
	NET_TIME		stuPasswordModifiedTime;							// ޸ʱ
	EM_GROUP_TYPE	emGroupType;										// ûڵ
	BOOL			bReserved;											// ûǷΪûûɾ
	BYTE			byReserved[512];									// ֽ
} NET_ONVIF_USER_INFO;

// ޸ OnvifûCLIENT_ModifyOnvifUser 
typedef struct tagNET_IN_MODIFYONVIF_USER_INFO
{
	DWORD					dwSize;											// ṹС
	char					szName[DH_COMMON_STRING_128];					// Ҫ޸ĵû
	NET_ONVIF_USER_INFO		stUserInfo;										// ûϢ
} NET_IN_MODIFYONVIF_USER_INFO;

// ޸ OnvifûCLIENT_ModifyOnvifUser 
typedef struct tagNET_OUT_MODIFYONVIF_USER_INFO
{
	DWORD				dwSize;		// ṹС
} NET_OUT_MODIFYONVIF_USER_INFO;

// ȡ Onvif ûϢCLIENT_GetOnvifUserInfoAll 
typedef struct tagNET_IN_GETONVIF_USERINFO_ALL_INFO
{
	DWORD				dwSize;		// ṹС
} NET_IN_GETONVIF_USERINFO_ALL_INFO;

// ȡ Onvif ûϢ CLIENT_GetOnvifUserInfoAll 
typedef struct tagNET_OUT_GETONVIF_USERINFO_ALL_INFO
{
	DWORD					dwSize;										// ṹС
	int						nRetUserInfoNumber;							// Ѳѯĸ
	NET_ONVIF_USER_INFO		stuUserInfo[MAX_ONVIF_USER_NUM];			// ûϢб(޷ȡϢ)
} NET_OUT_GETONVIF_USERINFO_ALL_INFO;

// ޸ Onvif û룬 CLIENT_ModifyOnvifUserPassword 
typedef struct tagNET_IN_MODIFYONVIF_PASSWORD_INFO
{
	DWORD				dwSize;							// ṹС
	char				szName[DH_COMMON_STRING_128];	// û
	char				szPwd[DH_COMMON_STRING_128];	// û
	char				szPwdOld[DH_COMMON_STRING_128];	// 
} NET_IN_MODIFYONVIF_PASSWORD_INFO;

// ޸ Onvif û룬CLIENT_ModifyOnvifUserPassword 
typedef	struct tagNET_OUT_MODIFYONVIF_PASSWORD_INFO
{
	DWORD				dwSize;							// ṹС
} NET_OUT_MODIFYONVIF_PASSWORD_INFO;

// ޸ Onvif ûֻ޸ķ adminûpstInParampstOutParam ڴû롢ͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ModifyOnvifUser(LLONG lLoginID, const NET_IN_MODIFYONVIF_USER_INFO *pstInParam, NET_OUT_MODIFYONVIF_USER_INFO *pstOutParam, int nWaitTime);

// ȡ Onvif ûϢpstInParampstOutParam ڴû롢ͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetOnvifUserInfoAll(LLONG lLoginID, const NET_IN_GETONVIF_USERINFO_ALL_INFO *pstInParam, NET_OUT_GETONVIF_USERINFO_ALL_INFO *pstOutParam, int nWaitTime);

// ޸ Onvif û룬 pstInParampstOutParam ڴû롢ͷ
CLIENT_NET_API	BOOL CALL_METHOD CLIENT_ModifyOnvifUserPassword(LLONG lLoginID, const NET_IN_MODIFYONVIF_PASSWORD_INFO *pstInParam, NET_OUT_MODIFYONVIF_PASSWORD_INFO *pstOutParam, int nWaitTime);


// 촰
#define	MAX_MOTION_DATA_COUNT	4

// صԪϢ
typedef struct tagNET_CB_MOTION_DATA
{
	DWORD				dwSize;
	int				    nMotionDataCount;							// 촰ڸ
	NET_MOTION_DATA		stMotionData[MAX_MOTION_DATA_COUNT];		// 
	int					nRegionRow;									// ̬
	int					nRegionCol;									// ̬
	BYTE				byRegion[DH_MOTION_ROW][DH_MOTION_COL];		// , 32*32
} NET_CB_MOTION_DATA;

// ĶԪݴصԭ,lAttachHandleCLIENT_attachMotionDataֵ, ÿ1
typedef void (CALLBACK *fAttachMotionDataCB) (LLONG lAttachHandle, NET_CB_MOTION_DATA* pBuf, LDWORD dwUser);

// CLIENT_AttachMotionData 
typedef struct tagNET_IN_ATTACH_MOTION_DATA
{
    DWORD                   dwSize;
	int						nChannel;						// ͨ
    fAttachMotionDataCB	    cbNotify;						// ص
    LDWORD                  dwUser;                         // û
} NET_IN_ATTACH_MOTION_DATA;

// CLIENT_AttachMotionData 
typedef struct tagNET_OUT_ATTACH_MOTION_DATA
{
    DWORD                   dwSize;
} NET_OUT_ATTACH_MOTION_DATA;

// ĶԪ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachMotionData(LLONG lLoginID, const NET_IN_ATTACH_MOTION_DATA* pstInParam, NET_OUT_ATTACH_MOTION_DATA *pstOutParam, int nWaitTime);

// ˶¼Ԫ,lAttachHandleCLIENT_attachMotionDataֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachMotionData(LLONG lAttachHandle);

// ָԴ
typedef enum tagEM_SRC_INSRUCTION
{
    EM_SRC_INSRUCTION_VTO_CALL,                      // ſڻ
    EM_SRC_INSRUCTION_VTO_CARD,                      // ſڻˢ
    EM_SRC_INSRUCTION_LIFT_CARD,                     // ݿػˢ
    EM_SRC_INSRUCTION_VTH_CALL,                      // ڻ
    EM_SRC_INSRUCTION_VTO_FINGERPRINT,               // ſڻˢָ
    EM_SRC_INSRUCTION_VTO_PSW,                       // ſڻˢ
}EM_SRC_INSRUCTION;

// CLIENT_CallLift 
typedef struct tagNET_IN_LIFTCONTROL_CALLLIFT_INFO
{
    DWORD				    dwSize;
    char                    szFloorNo[4];                   // ¥
    char                    szRoomNo[12];                   // 
    char                    szUserID[8];                    // ûID
    char                    szCardNo[32];                   // 
    EM_SRC_INSRUCTION       emSrcInstruction;               // ָԴ
}NET_IN_LIFTCONTROL_CALLLIFT_INFO;

// CLIENT_CallLift 
typedef struct tagNET_OUT_LIFTCONTROL_CALLLIFT_INFO
{
    DWORD				    dwSize;
}NET_OUT_LIFTCONTROL_CALLLIFT_INFO;

// ݿơаť
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CallLift(LLONG lLoginID, const NET_IN_LIFTCONTROL_CALLLIFT_INFO *pstInParam, NET_OUT_LIFTCONTROL_CALLLIFT_INFO *pstOutParam, int nWaitTime);

// CLIENT_ControlLift 
typedef struct tagNET_IN_LIFTCONTROL_CONTROLLIFT_INFO
{
    DWORD				    dwSize;
    int                     nFloorNum;                      // ¥            
    char                    szFloorNo[32][4];               // ¥
    char                    szRoomNo[12];                   // 
    char                    szUserID[8];                    // ûID
    char                    szCardNo[32];                   // 
    EM_SRC_INSRUCTION       emSrcInstruction;               // ָԴ
}NET_IN_LIFTCONTROL_CONTROLLIFT_INFO;

// CLIENT_ControlLift 
typedef struct tagNET_OUT_LIFTCONTROL_CONTROLLIFT_INFO
{
    DWORD				    dwSize;
}NET_OUT_LIFTCONTROL_CONTROLLIFT_INFO;

// ݿؿơʹó:ſڻˢݣôȨ޵¥㰴ť
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ControlLift(LLONG lLoginID, const NET_IN_LIFTCONTROL_CONTROLLIFT_INFO *pstInParam, NET_OUT_LIFTCONTROL_CONTROLLIFT_INFO *pstOutParam, int nWaitTime);

// 
typedef enum tagNET_ENUM_LOWRATEWPAN_CONFIG
{
    NET_ENUM_LOWRATEWPAN_ACCESS_WORKMODE,               // ģʽãӦṹ NET_LOWRATEWPAN_WORKMODE
}NET_ENUM_LOWRATEWPAN_CONFIG;

// ģʽ
typedef enum tagNET_ENUM_LOWRATEWPAN_WORKMODE
{
    NET_ENUM_LOWRATEWPAN_WORKMODE_UNKNOWN,              // δ֪
    NET_ENUM_LOWRATEWPAN_WORKMODE_NORMAL,               // 
    NET_ENUM_LOWRATEWPAN_WORKMODE_CLEAN,				// ɨ
    NET_ENUM_LOWRATEWPAN_WORKMODE_DECORATION,			// װ
    NET_ENUM_LOWRATEWPAN_WORKMODE_UNUSED,				// ͣ
    NET_ENUM_LOWRATEWPAN_WORKMODE_OUTSTANDING,			// Ƿ
}NET_ENUM_LOWRATEWPAN_WORKMODE;

// ģʽ
typedef struct tagNET_LOWRATEWPAN_WORKMODE
{
    DWORD				                dwSize;
    NET_ENUM_LOWRATEWPAN_WORKMODE       emWorkMode;                 // ģʽ
}NET_LOWRATEWPAN_WORKMODE;

// ûȡӿ
CLIENT_NET_API  BOOL CALL_METHOD CLIENT_GetLowRateWPANConfig(LLONG lLoginID,NET_ENUM_LOWRATEWPAN_CONFIG emType,char* SN,void* szOutBuffer, DWORD dwOutBufferSize, int nWaitTime, void *reserve);

// ýӿ
CLIENT_NET_API  BOOL CALL_METHOD CLIENT_SetLowRateWPANConfig(LLONG lLoginID,NET_ENUM_LOWRATEWPAN_CONFIG emType,char* SN,void* szInBuffer, DWORD dwInBufferSize, int nWaitTime, int *restart, void *reserve);

// CLIENT_GetVideoDiagnosisState 
typedef struct tagNET_IN_GET_VIDEODIAGNOSIS_STATE
{
     DWORD				            dwSize;                                     //  ṹС
     char                           szProject[128];                             //  ƻΪձʾִеļƻ
}NET_IN_GET_VIDEODIAGNOSIS_STATE;
// ״̬
typedef struct tagVIDEODIAGNOSIS_STATE
{
    BOOL                            bEnable;                                     // Ƿʹ
    BOOL                            bRunning;                                    // Ƿ	ʹܿҵǰйڽУûд
    char                            szCurrentProject[MAX_PATH];                  // ǰƻ
    char                            szCurrentTask[MAX_PATH];                     // ǰ
    char                            szCurrentProfile[MAX_PATH];                  // ǰò
    int                             nCurrentSourceCount;                         // ǰѵƵԴ
    int                             nCurrentSourceIndex;                         // ǰǰƵԴ	0ʼ
    DH_TSECT                        stCurrentTimeSection;                        // ǰƻʱ
    int                             nTaskCountOfProject;                         // ǰƻ
    int                             nIndexOfCurrentTask;                         // ǰ 0ʼ
    BYTE				            byReserved[512];							 // ֽ
}VIDEODIAGNOSIS_STATE;
// CLIENT_GetVideoDiagnosisState 
typedef struct tagNET_OUT_GET_VIDEODIAGNOSIS_STATE
{
    DWORD				            dwSize;                                      //  ṹС
    VIDEODIAGNOSIS_STATE            stuState[2];                                 //  ״̬,±0:Tour,1:RealTime                         
}NET_OUT_GET_VIDEODIAGNOSIS_STATE;

// ȡƵϽ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetVideoDiagnosisState(LLONG lLoginID, const NET_IN_GET_VIDEODIAGNOSIS_STATE *pstInParam, NET_OUT_GET_VIDEODIAGNOSIS_STATE *pstOutParam, int nWaitTime);


#define LOGIN_TYPE_DEVICE_NOT_SUPPORT 100			// 豸ִֵ֧¼
// CLIENT_PostLoginTask ¼ص
// CLIENT_PostLoginTask 
typedef struct tagNET_POST_LOGIN_TASK
{
	LLONG						lLoginID;			//¼
	char*						pchDVRIP;			//豸IP
	LONG						nDVRPort;			//豸˿
	BOOL						bOnline;			//豸״̬ bOnlineΪTRUEʾ¼ɹΪFALSEʱʾ¼ʧܡ
	NET_DEVICEINFO_Ex			stuDeviceInfo;		//豸Ϣչ
	int							nError;				//½ʧʱbOnlineΪFALSEnError Ĵ뺬˵ο CLIENT_Login е error ˵ͬʱnErrorΪ LOGIN_TYPE_DEVICE_NOT_SUPPORT ʱʾ豸ִֵ֧¼ʽ
	char						szReserve[1024];	//ֶ
}NET_POST_LOGIN_TASK;

typedef void (CALLBACK *fPostLoginTask)(DWORD dwTaskID, NET_POST_LOGIN_TASK* pOutParam, LDWORD dwUser);

typedef enum tagEM_TCP_LOGIN_CONFIG_TYPE
{
	EM_TCP_LOGIN_CONFIG_TYPE_UNKNOWN = 0,			// δ֪
	EM_TCP_LOGIN_CONFIG_TYPE_MULTICAST,				// 鲥
}EM_TCP_LOGIN_CONFIG_TYPE;

// CLIENT_PostLoginTask 
typedef struct tagNET_IN_POST_LOGIN_TASK
{
	DWORD						dwSize;				// ֵΪṹС
	char						szReserve1[4];		// ֶ1
	char*						szIp;				// 豸ip
	unsigned int				nPort;				// ½˿
	char						szReserve2[4];		// ֶ2
	char*						szName;				// û
	char*						szPwd;				// 
	EM_LOGIN_SPAC_CAP_TYPE		emSpecCap;			// ¼ʽĿǰֻ֧ EM_LOGIN_SPEC_CAP_TCP
													// EM_LOGIN_SPEC_CAP_MAIN_CONN_ONLYEM_LOGIN_SPEC_CAP_P2P
	EM_TCP_LOGIN_CONFIG_TYPE	emConfigType;		// emSpecCapΪEM_LOGIN_SPEC_CAP_TCPʱҪȡ,ʱȡú
													// ΪEM_TCP_LOGIN_CONFIG_TYPE_UNKNOWNʱͨTCP䣬ΪEM_TCP_LOGIN_CONFIG_TYPE_MULTICASTʱͨ鲥
	fPostLoginTask				cbLogin;			// ½ص
	void*						pUser;				// صû
	BOOL						bHighLevelSecurity;	// Ƿ߰ȫȼ½
	BYTE						byReserved[132];	// Ԥֶ
}NET_IN_POST_LOGIN_TASK;

// CLIENT_PostLoginTask 
typedef struct tagNET_OUT_POST_LOGIN_TASK 
{
	DWORD						dwSize;				// ֵΪṹС
}NET_OUT_POST_LOGIN_TASK;

// Ͷ첽¼
CLIENT_NET_API DWORD CALL_METHOD CLIENT_PostLoginTask(const NET_IN_POST_LOGIN_TASK* pInParam, NET_OUT_POST_LOGIN_TASK* pOutParam);

// ȡ CLIENT_PostLoginTask ӿڵ첽¼dwTaskID Ϊ CLIENT_PostLoginTask ֵ
CLIENT_NET_API BOOL CALL_METHOD  CLIENT_CancelLoginTask(DWORD dwTaskID);


/****************************** start ŷӿ ϱ***************************************/
// ȡ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ALARMCAPS
typedef struct tagNET_IN_GET_ALARMCAPS
{
	DWORD			dwSize;				// ṹС
}NET_IN_GET_ALARMCAPS;



// ȡ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ALARMCAPS
typedef struct tagNET_OUT_GET_ALARMCAPS
{
	DWORD			dwSize;				// ṹС
	int             nSiren;             // ֵ֧ľ

	int             nAlarmIn;           // ֵ֧ı
	int             nAlarmOut;          // ֵ֧ı
	int             nRemoteControl;     // ֵ֧ң
}NET_OUT_GET_ALARMCAPS;

// ȡģʽ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ARMMODE
typedef struct tagNET_IN_GET_ALARMMODE
{
	DWORD			dwSize;				// ṹС
}NET_IN_GET_ALARMMODE;

// Ϣ
typedef struct tagNET_ARMMODE_INFO
{
	EM_ARM_STATE   emArmState;   	     // ״̬
	BYTE           byReserved[1024];     // ֽ
}NET_ARMMODE_INFO;

// ȡģʽ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ARMMODE
typedef struct tagNET_OUT_GET_ALARMMODE
{
	DWORD			      dwSize;				                 // ṹС
	int                   nArmModeRet;                           // ״̬
	NET_ARMMODE_INFO      stuArmMode[MAX_AREA_NUMBER];           // Ϣ
}NET_OUT_GET_ALARMMODE;

// 
typedef enum tagEM_ARM_TYPE
{
	EM_ARM_TYPE_UNKNOWN,           	   // δ֪
	EM_ARM_TYPE_TOTAL_ARMING,          // Total
	EM_ARM_TYPE_PARTIAL1_ARMING,       // partial1
	EM_ARM_TYPE_PARTIAL2_ARMING,       // partial2
	EM_ARM_TYPE_DISARMING,             // 
}EM_ARM_TYPE;

// òģʽ ʱCLIENT_SetAlarmRegionInfoemTypeΪNET_EM_SET_ALARMREGION_INFO_ARMMODE
typedef struct tagNET_IN_SET_ALARMMODE
{
	DWORD			dwSize;				                // ṹС
	EM_ARM_TYPE     emArmType;                          // 
	char            szPwd[256];                         // 
	int             nAreaNum;                           // ĸ
	int             arrAreas[MAX_AREA_NUMBER];          // 
}NET_IN_SET_ALARMMODE;

// ʧϸ
typedef struct tagARM_FAILED_DETAIL
{
	int       nArea;                                      //ʧܵ
	int       nAlarmSourceRet;                            // Դ뷵ظ
	int       arrAlarmSource[MAX_ZONE_NUMBER];            // °Դķ
	BYTE      byReserved[1024];                           // ֽ
}ARM_FAILED_DETAIL;

// òģʽ ʱCLIENT_SetAlarmRegionInfoemTypeΪNET_EM_SET_ALARMREGION_INFO_ARMMODE
typedef struct tagNET_OUT_SET_ALARMMODE
{
	DWORD			      dwSize;			                  // ṹС
	int                   nArmResult;                         //  0:ɹ 1:ʧ
	int                   nFailedAreaRet;                     // ʧܵ
	ARM_FAILED_DETAIL     stuFailedDetail[MAX_AREA_NUMBER];   // ʧܵϸ
}NET_OUT_SET_ALARMMODE;

// ·ģʽ
typedef enum tagEM_BYPASSMODE_TYPE
{
	EM_BYPASSMODE_TYPE_UNKNOWN,          // δ֪
	EM_BYPASSMODE_TYPE_OFF,              // ʹ
	EM_BYPASSMODE_TYPE_ACTIVE,           // 
	EM_BYPASSMODE_TYPE_BYPASSED,         // ·
	EM_BYPASSMODE_TYPE_ISOLATED,         // 
	EM_BYPASSMODE_TYPE_TEST,             // 
}EM_BYPASSMODE_TYPE;

// ·״̬ ʱCLIENT_SetAlarmRegionInfoemTypeΪNET_EM_SET_ALARMREGION_INFO_BYPASSMODE
typedef struct tagNET_IN_SET_BYPASSMODE
{
	DWORD			          dwSize;				      // ṹС
	char                      szPwd[256];                 // 
	EM_BYPASSMODE_TYPE        emType;                     // ·ģʽ
	int                       nZoneNum;                   // 
	int                       arrZones[MAX_ZONE_NUMBER];  // 
}NET_IN_SET_BYPASSMODE;

// ·״̬ ʱCLIENT_SetAlarmRegionInfoemTypeΪNET_EM_SET_ALARMREGION_INFO_BYPASSMODE
typedef struct tagNET_OUT_SET_BYPASSMODE
{
	DWORD			      dwSize;			                  // ṹС
}NET_OUT_SET_BYPASSMODE;

// ȡ·״̬ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_BYPASSMODE
typedef struct tagNET_IN_GET_BYPASSMODE
{
	DWORD			          dwSize;				      // ṹС
	int                       nZoneNum;                   // 
	int                       arrZones[MAX_ZONE_NUMBER];  // 	
}NET_IN_GET_BYPASSMODE;

// ȡ·״̬ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_BYPASSMODE
typedef struct tagNET_OUT_GET_BYPASSMODE
{
	DWORD			      			dwSize;			                 // ṹС
	int                   			nZoneRet;                        // 	
	EM_BYPASSMODE_TYPE        		arrModes[MAX_ZONE_NUMBER];       // ģʽ
}NET_OUT_GET_BYPASSMODE;

// ȡϢ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_AREAZONES
typedef struct tagNET_IN_GET_AREAZONES
{
	DWORD			          dwSize;				      // ṹС
	int                       nAreaNum;                   // 
	int                       arrArea[MAX_AREA_NUMBER];   // 
}NET_IN_GET_AREAZONES;

// Ϣ
typedef struct tagNET_AREA_INFO
{
	int      		nArea;       //
	int             nZoneRet;    // µķ
	int             arrZones[MAX_ZONE_NUMBER]; //µķ
	BYTE            byReserved[1024];		   // ֶ
}NET_AREA_INFO;

// ȡϢ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_AREAZONES
typedef struct tagNET_OUT_GET_AREAZONES
{
	DWORD			      			dwSize;			               // ṹС
	int                             nAreaRet;                      // 
	NET_AREA_INFO                   stuAreaInfo[MAX_AREA_NUMBER];  // Ϣ
}NET_OUT_GET_AREAZONES;

// ȡб ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ALLINSLOTS
typedef struct tagNET_IN_GET_ALLINSLOTS
{
	DWORD			          dwSize;				      // ṹС
}NET_IN_GET_ALLINSLOTS;

// ȡб ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ALLINSLOTS
typedef struct tagNET_OUT_GET_ALLINSLOTS
{
	DWORD			      			dwSize;			               // ṹС
	int                             nLocol;                        // ط
	int                             nWired;                        // ߷
	int                             nWireless;                     // ߷
}NET_OUT_GET_ALLINSLOTS;

// ȡб ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ALLOUTSLOTS
typedef struct tagNET_IN_GET_ALLOUTSLOTS
{
	DWORD			          dwSize;				      // ṹС
}NET_IN_GET_ALLOUTSLOTS;

// ȡб ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ALLOUTSLOTS
typedef struct tagNET_OUT_GET_ALLOUTSLOTS
{
	DWORD			      			dwSize;			               // ṹС
	int                             nLocol;                        // ر
	int                             nWired;                        // չ߱
}NET_OUT_GET_ALLOUTSLOTS;


// ȡ״̬ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ZONECONNECTIONSSTATUS
typedef struct tagNET_IN_GET_CONNECTIONSTATUS
{
	DWORD			          dwSize;				      // ṹС
}NET_IN_GET_CONNECTIONSTATUS;

// ȡ״̬ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ZONECONNECTIONSSTATUS
typedef struct tagNET_OUT_GET_CONNECTIONSTATUS
{
	DWORD			      			dwSize;			               // ṹС
	int                             nZoneRet;                      // 
	bool                            arrZoneStates[MAX_ZONE_NUMBER];// ״̬false: true:
}NET_OUT_GET_CONNECTIONSTATUS;

// ȡ쳣
typedef enum tagEM_GET_AREASSTATUS_TYPE
{
	EM_GET_AREASSTATUS_TYPE_UNKNOWN,     // δ֪
	EM_GET_AREASSTATUS_TYPE_ACTIVE,      // 
	EM_GET_AREASSTATUS_TYPE_OPEN,        // 
}EM_GET_AREASSTATUS_TYPE;

// ȡ״̬ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_AREASTATUS
typedef struct tagNET_IN_GET_AREAS_STATUS
{
	DWORD			            dwSize;				      // ṹС
	EM_GET_AREASSTATUS_TYPE     emType;                   // ȡ쳣
}NET_IN_GET_AREAS_STATUS;

//쳣״̬
typedef enum tagEM_ZONE_STATUS
{
	EM_ZONE_STATUS_UNKNOWN, 	// δ֪
	EM_ZONE_STATUS_ALARM,       // ͨ
	EM_ZONE_STATUS_TAMPER,      // ͨ
	EM_ZONE_STATUS_MASK,        // ͨڵ
	EM_ZONE_STATUS_SHORT, 		// ͨ
}EM_ZONE_STATUS; 

//쳣Ϣ
typedef struct tagNET_ZONE_STATUS
{
	int              nIndex;               // 
	EM_ZONE_STATUS	 emStatus;             // 쳣״̬
	BYTE             byReserved[1024];     // ֽ
}NET_ZONE_STATUS;

//쳣Ϣ
typedef struct tagNET_AREA_STATUS
{
	int               nArea;                                  // 
	int               nZoneRet;                               // 
	NET_ZONE_STATUS   stuZoneStatus[MAX_ZONE_NUMBER];         // 쳣״̬
	BYTE              byReserved[1024];                       // ֽ
}NET_AREA_STATUS;

// ȡ״̬ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_AREASTATUS
typedef struct tagNET_OUT_GET_AREAS_STATUS
{
	DWORD			      dwSize;			   // ṹС
	int                   nAreaRet;            // 
	NET_AREA_STATUS       stuAreaStatus[MAX_AREA_NUMBER]; //쳣״̬Ϣ   
}NET_OUT_GET_AREAS_STATUS;

// ͨ
typedef enum tagEM_OUTPUT_TYPE
{
	EM_OUTPUT_TYPE_UNKNOWN,      // δ֪
	EM_OUTPUT_TYPE_SIREN,        // 
	EM_OUTPUT_TYPE_ALARMOUT,     // ͨ
}EM_OUTPUT_TYPE;

// ȡ״̬ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_OUTPUTSTATE
typedef struct tagNET_IN_GET_OUTPUT_STATE
{
	DWORD			          dwSize;				      // ṹС
	EM_OUTPUT_TYPE            emType;                     // ͨ
}NET_IN_GET_OUTPUT_STATE;

// ȡ״̬ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_OUTPUTSTATE
typedef struct tagNET_OUT_GET_OUTPUT_STATE
{
	DWORD			      			dwSize;			               // ṹС
	int                             nStateRet;                     // ״̬
	bool                            arrStates[MAX_ZONE_NUMBER];    // ״̬false:رtrue
}NET_OUT_GET_OUTPUT_STATE;

// ״̬ ʱCLIENT_SetAlarmRegionInfoemTypeΪNET_EM_SET_ALARMREGION_INFO_OUTPUTSTATE
typedef struct tagNET_IN_SET_OUTPUT_STATE
{
	DWORD			          		dwSize;				           // ṹС
	EM_OUTPUT_TYPE					emType; 					   // 
	int 							nChannel;					   /* emType= EM_OUTPUT_TYPE_SIRENʱʾź
	emType= EM_OUTPUT_TYPE_ALARMOUTʱʾͨ*/
	bool							action; 					   // false:رtrue:
	BYTE							byReserved[3];				   // ֽڶ
}NET_IN_SET_OUTPUT_STATE;

//״̬ʱCLIENT_SetAlarmRegionInfoemTypeΪNET_EM_SET_ALARMREGION_INFO_OUTPUTSTATE
typedef struct tagNET_OUT_SET_OUTPUT_STATE
{
	DWORD			      			dwSize;			               // ṹС
}NET_OUT_SET_OUTPUT_STATE;

// ȡ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ZONESTROUBLE
typedef struct tagNET_IN_GET_ZONES_TROUBLE
{
	DWORD			          		dwSize;				      // ṹС
}NET_IN_GET_ZONES_TROUBLE;

//
typedef enum tagEM_ZONE_TROUBLE_TYPE
{
	EM_ZONE_TROUBLE_TYPE_UNKNOWN,  // δ֪
	EM_ZONE_TROUBLE_TYPE_TAMPER,   // ͨ
	EM_ZONE_TROUBLE_TYPE_MASK,     // ͨڵ
	EM_ZONE_TROUBLE_TYPE_SHORT,    // ͨ
}EM_ZONE_TROUBLE_TYPE;

//Ϣ
typedef struct tagNET_ZONE_TROUBLE_INFO
{
	int                    nIndex;           // 
	EM_ZONE_TROUBLE_TYPE   emTroubleType;    // 
	BYTE                   byReserved[1024]; // ֽ
}NET_ZONE_TROUBLE_INFO;

//ȡ ʱCLIENT_GetAlarmRegionInfoemTypeΪNET_EM_GET_ALARMREGION_INFO_ZONESTROUBLE
typedef struct tagNET_OUT_GET_ZONES_TROUBLE
{
	DWORD			      			dwSize;			                  // ṹС
	int                             nZoneRet;                         //Ϸ
	NET_ZONE_TROUBLE_INFO           stuTroubleInfo[MAX_ZONE_NUMBER];  //Ϣ
}NET_OUT_GET_ZONES_TROUBLE;

//ȡĲ
typedef enum tagNET_EM_GET_ALARMREGION_INFO
{ 
	NET_EM_GET_ALARMREGION_INFO_UNKNOWN,						//δ֪
	NET_EM_GET_ALARMREGION_INFO_ALARMCAPS,						//ȡ		ʱCLIENT_GetAlarmRegionInfoӿеpstuInParamΪNET_IN_GET_ALARMCAPS pstuOutParamΪNET_OUT_GET_ALARMCAPS
	NET_EM_GET_ALARMREGION_INFO_ARMMODE,						//ȡ״̬		ʱCLIENT_GetAlarmRegionInfoӿеpstuInParamΪNET_IN_GET_ALARMMODE pstuOutParamΪNET_OUT_GET_ALARMMODE
	NET_EM_GET_ALARMREGION_INFO_BYPASSMODE,						//ȡ·״̬		ʱCLIENT_GetAlarmRegionInfoӿеpstuInParamΪNET_IN_GET_BYPASSMODE pstuOutParamΪNET_OUT_GET_BYPASSMODE
	NET_EM_GET_ALARMREGION_INFO_AREAZONES,						//ȡ		ʱCLIENT_GetAlarmRegionInfoӿеpstuInParamΪNET_IN_GET_AREAZONES pstuOutParamΪNET_IN_GET_AREAZONES
	NET_EM_GET_ALARMREGION_INFO_ALLINSLOTS,						//ȡеı	ʱCLIENT_GetAlarmRegionInfoӿеpstuInParamΪNET_IN_GET_ALLINSLOTS pstuOutParamΪNET_OUT_GET_ALLINSLOTS
	NET_EM_GET_ALARMREGION_INFO_ALLOUTSLOTS,					//ȡеı	ʱCLIENT_GetAlarmRegionInfoӿеpstuInParamΪNET_IN_GET_ALLOUTSLOTS pstuOutParamΪNET_OUT_GET_ALLOUTSLOTS
	NET_EM_GET_ALARMREGION_INFO_ZONECONNECTIONSSTATUS,			//ȡ״̬	ʱCLIENT_GetAlarmRegionInfoӿеpstuInParamΪNET_IN_GET_CONNECTIONSTATUS pstuOutParamΪNET_OUT_GET_CONNECTIONSTATUS
	NET_EM_GET_ALARMREGION_INFO_AREASTATUS,						//ȡ״̬		ʱCLIENT_GetAlarmRegionInfoӿеpstuInParamΪNET_IN_GET_AREAS_STATUS pstuOutParamΪNET_IN_OUT_AREAS_STATUS
	NET_EM_GET_ALARMREGION_INFO_OUTPUTSTATE,					//ȡ״̬		ʱCLIENT_GetAlarmRegionInfoӿеpstuInParamΪNET_IN_GET_OUTPUT_STATE pstuOutParamΪNET_OUT_GET_OUTPUT_STATE
	NET_EM_GET_ALARMREGION_INFO_ZONESTROUBLE,					//ȡϢ	ʱCLIENT_GetAlarmRegionInfoӿеpstuInParamΪNET_IN_GET_ZONES_TROUBLE pstuOutParamΪNET_OUT_GET_ZONES_TROUBLE
}NET_EM_GET_ALARMREGION_INFO;

//ŷȡ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAlarmRegionInfo(LLONG lLoginID, NET_EM_GET_ALARMREGION_INFO emType, const void *pstuInParam, void *pstuOutParam, int nWaitTime);

//õĲ
typedef enum tagNET_EM_SET_ALARMREGION_INFO
{
	NET_EM_SET_ALARMREGION_INFO_UNKNOWN,						//δ֪
	NET_EM_SET_ALARMREGION_INFO_ARMMODE,						//òģʽ	ʱCLIENT_SetAlarmRegionInfoӿеpstuInParamΪNET_IN_SET_ALARMMODE pstuOutParamΪNET_OUT_SET_ALARMMODE
	NET_EM_SET_ALARMREGION_INFO_BYPASSMODE,						//·ģʽ	ʱCLIENT_SetAlarmRegionInfoӿеpstuInParamΪNET_IN_SET_BYPASSMODE pstuOutParamΪNET_OUT_SET_BYPASSMODE
	NET_EM_SET_ALARMREGION_INFO_OUTPUTSTATE,					//״̬	ʱCLIENT_SetAlarmRegionInfoӿеpstuInParamΪNET_IN_SET_OUTPUT_STATE pstuOutParamΪNET_OUT_SET_OUTPUT_STATE
}NET_EM_SET_ALARMREGION_INFO;

//ŷò
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetAlarmRegionInfo(LLONG lLoginID, NET_EM_SET_ALARMREGION_INFO emType, const void *pstuInParam, void *pstuOutParam, int nWaitTime);
/****************************** end ŷӿ ϱ***************************************/

// 豸֪ͨ
typedef enum tagEM_DEVICE_NOTIFY_TYPE
{
	EM_DEVICE_NOTIFY_TYPE_UNKNOWN,							// δ֪
	EM_DEVICE_NOTIFY_TYPE_NEW,								// 豸
	EM_DEVICE_NOTIFY_TYPE_UPDATE,							// 豸Ϣ
	EM_DEVICE_NOTIFY_TYPE_REMOVE,							// 豸ɾ
	EM_DEVICE_NOTIFY_TYPE_CONNECT,							// 豸ͨ
} EM_DEVICE_NOTIFY_TYPE;

// 豸עĻصϢ
typedef struct tagNET_CB_ATTACH_DEVICE_STATE
{
	EM_DEVICE_NOTIFY_TYPE   		emNotifyType;    									// ֪ͨ
	int 							nRetCount;											// 豸
	char							szDeviceIDs[MAX_LINK_DEVICE_NUM][DH_DEV_ID_LEN_EX];	// 豸б
	BYTE 							byReserved[512];    								// ֽ
}NET_CB_ATTACH_DEVICE_STATE;

// 豸עĻصԭ
typedef void (CALLBACK *fDeviceStateCallBack)(LLONG lAttachHandle, NET_CB_ATTACH_DEVICE_STATE* pstDeviceState, LDWORD dwUser);

// CLIENT_AttachDeviceState ӿ
typedef struct tagNET_IN_ATTACH_DEVICE_STATE
{
	DWORD                           dwSize;
	fDeviceStateCallBack         	cbDeviceState; 		//ص
	LDWORD                          dwUser;             //û
}NET_IN_ATTACH_DEVICE_STATE;

// CLIENT_AttachDeviceState ӿ
typedef struct  tagNET_OUT_ATTACH_DEVICE_STATE
{
	DWORD           dwSize;
}NET_OUT_ATTACH_DEVICE_STATE;


// CLIENT_AsyncAddDevice ӿ
typedef struct tagNET_IN_ASYNC_ADD_DEVICE
{
	DWORD                           dwSize;
	int								nCount;													//URL
	char         					szUrls[MAX_ADD_DEVICE_NUM][MAX_COMMON_STRING_512]; 		//URLʽЭ://û:@IP:˿ ˿ڲЭĬ϶˿
}NET_IN_ASYNC_ADD_DEVICE;

// CLIENT_AsyncAddDevice ӿ
typedef struct  tagNET_OUT_ASYNC_ADD_DEVICE
{
	DWORD           				dwSize;
	UINT							nTaskID;		//ID
}NET_OUT_ASYNC_ADD_DEVICE;

// 豸״̬
typedef enum tagEM_DEVICE_ADD_STATE
{
	EM_DEVICE_ADD_STATE_UNKNOWN,							// δ֪
	EM_DEVICE_ADD_STATE_WAIT,								// ȴ
	EM_DEVICE_ADD_STATE_CONNECT,							// 
	EM_DEVICE_ADD_STATE_FAILURE,							// ʧ
	EM_DEVICE_ADD_STATE_SUCCESS,							// ӳɹ
	EM_DEVICE_ADD_STATE_STOP,								// ֹͣ
} EM_DEVICE_ADD_STATE;

// ע豸ĻصϢ
typedef struct tagNET_CB_ATTACH_ADD_DEVICE
{
	UINT                	nTaskID;       				// ID
	EM_DEVICE_ADD_STATE		emAddState;					// 豸
	UINT					nIndex;						// 豸(0ʼ)
	BYTE 					byReserved[512];            // ֽ
}NET_CB_ATTACH_ADD_DEVICE;

// ע豸Ļصԭ
typedef void (CALLBACK *fAddDeviceCallBack)(LLONG lAttachHandle, NET_CB_ATTACH_ADD_DEVICE* pstAddDevice, LDWORD dwUser);

// CLIENT_AttachAddDevice ӿ
typedef struct tagNET_IN_ATTACH_ADD_DEVICE
{
	DWORD                           dwSize;
	fAddDeviceCallBack         		cbAddDevice; 		//ص
	LDWORD                          dwUser;             //û
}NET_IN_ATTACH_ADD_DEVICE;

// CLIENT_AttachAddDevice ӿ
typedef struct  tagNET_OUT_ATTACH_ADD_DEVICE
{
	DWORD           dwSize;
}NET_OUT_ATTACH_ADD_DEVICE;

// CLIENT_GetAddDeviceInfo ӿ
typedef struct tagNET_IN_GET_ADD_DEVICE_LIST_INFO
{
	DWORD                           dwSize;
	UINT 							nTaskID;						// ID
	int								nCount;							// 豸
	UINT							nIndex[MAX_ADD_DEVICE_NUM];		// 豸б(NET_IN_ADD_DEVICEszUrlsţ0ʼ)
}NET_IN_GET_ADD_DEVICE_LIST_INFO;

// 豸ĽϢ
typedef struct tagNET_GET_ADD_DEVICE_INFO
{
	char                	szDeviceID[DH_DEV_ID_LEN_EX];       // 豸ID
	char                	szUrl[DH_COMMON_STRING_512];        // url
	EM_DEVICE_ADD_STATE		emAddState;							// ǰ״̬
	UINT					nErrorCode;							// 
	BYTE 					byReserved[512];                    // ֽ
}NET_GET_ADD_DEVICE_INFO;

// CLIENT_GetAddDeviceInfo ӿ
typedef struct tagNET_OUT_GET_ADD_DEVICE_LIST_INFO
{
	DWORD                           dwSize;
	int 							nRetCount;								// 豸
	NET_GET_ADD_DEVICE_INFO			stuDeviceInfo[MAX_ADD_DEVICE_NUM];		// 豸Ϣб
}NET_OUT_GET_ADD_DEVICE_LIST_INFO;

// CLIENT_GetDeviceInfo ӿ
typedef struct tagNET_IN_GET_DEVICE_LIST_INFO
{
	DWORD                           dwSize;
	int 							nCount;												// 豸
	char							szDeviceIDs[MAX_LINK_DEVICE_NUM][DH_DEV_ID_LEN_EX];	// 豸Ϣб
}NET_IN_GET_DEVICE_LIST_INFO;


// 豸ĽϢ
typedef struct tagNET_GET_DEVICE_INFO
{
	char                szDeviceID[DH_DEV_ID_LEN_EX];           		// 豸ID
	char                szUrl[DH_COMMON_STRING_512];           			// url
	char                szSerialNo[DH_COMMON_STRING_32];           		// 豸к
	char                szDeviceType[DH_COMMON_STRING_64];      		// 豸
	char                szDeviceClass[DH_DEV_CLASS_LEN];        		// 豸
	int					nMacCount;										// 豸mac	
	char                szMacs[MAX_MACADDR_NUM][DH_MACADDR_LEN];     	// 豸macַ
	char                szDevSoftVersion[DH_COMMON_STRING_128];       	// 豸汾
	char                szDeviceName[DH_DEV_NAME_LEN];          		// 豸
	char                szDetail[DH_COMMON_STRING_512];          		// 豸ϸϢ
	UINT                nVideoInputCh;                          		// Ƶͨ
	UINT               	nVideoOutputCh;                         		// Ƶͨ
	UINT               	nAudioInputCh;                          		// Ƶͨ
	UINT               	nAudioOutputCh;                         		// Ƶͨ
	UINT               	nAlarmInputCh;                          		// ͨ
	UINT                nAlarmOutputCh;                         		// ͨ
	UINT				nErrorCode;										// 豸ߴ
	UINT				nVtoDoors;										// Ž豸ɿƵŵ
	BYTE				byOnline;										// 豸Ƿ 0: 1
	BYTE 				byReserved[511];                    			// ֽ
}NET_GET_DEVICE_INFO;

// CLIENT_GetDeviceInfo ӿ
typedef struct tagNET_OUT_GET_DEVICE_LIST_INFO
{
	DWORD                           dwSize;
	int								nMaxCount;								// û豸
	int								nRetCount;								// ʵʷص豸
	NET_GET_DEVICE_INFO*			pstuDeviceInfo;							// 豸Ϣб, ûͷڴ, СΪsizeof(NET_GET_DEVICE_INFO)*nMaxCount
}NET_OUT_GET_DEVICE_LIST_INFO;


// CLIENT_SetConnectChannel ӿ
typedef struct tagNET_IN_SET_CONNECT_CHANNEL
{
	DWORD               dwSize;
	char                szDeviceID[DH_DEV_ID_LEN_EX];    			// 豸ID
	int					nCount;										// ͨ
	UINT            	nChannels[MAX_DEVICE_CHANNEL_NUM];          // ͨб
}NET_IN_SET_CONNECT_CHANNEL;

// CLIENT_SetConnectChannel ӿ
typedef struct tagNET_OUT_SET_CONNECT_CHANNEL
{
	DWORD                           dwSize;
}NET_OUT_SET_CONNECT_CHANNEL;

// CLIENT_GetChannelInfo ӿ
typedef struct tagNET_IN_GET_CHANNEL_INFO
{
	DWORD               dwSize;
	char                szDeviceID[DH_DEV_ID_LEN_EX];    	// 豸ID
}NET_IN_GET_CHANNEL_INFO;

// ȡ豸ͨϢϢ
typedef struct tagNET_GET_CHANNEL_INFO
{
	UINT                nRemoteChannel;           						// Զͨ
	int                 nLogicChannel;           						// ߼ͨ,-1ʾδ
	char                szName[DH_DEV_NAME_LEN];          				// 
	char                szDetail[DH_COMMON_STRING_512];          		// 豸ϸϢ
	char                szDeviceType[DH_COMMON_STRING_64];      		// 豸
	char                szDeviceClass[DH_DEV_CLASS_LEN];        		// 豸
	char                szIP[DH_MAX_IPADDR_LEN];          				// ipַ
	char                szMac[DH_MACADDR_LEN];     						// 豸macַ
	char                szSerialNo[DH_DEV_SERIALNO_LEN];           		// 豸к
	char                szDevSoftVersion[DH_COMMON_STRING_128];       	// 豸汾
	UINT                nVideoInputCh;                          		// Ƶͨ
	UINT               	nVideoOutputCh;                         		// Ƶͨ
	UINT               	nAudioInputCh;                          		// Ƶͨ
	UINT               	nAudioOutputCh;                         		// Ƶͨ
	UINT               	nAlarmInputCh;                          		// ͨ
	UINT                nAlarmOutputCh;                         		// ͨ
	BYTE				byOnline;										// ͨǷ0: 1
	BYTE				byUsed;											// ͨǷ񱻱豸ʹ 0δʹ 1ʹ
	BYTE 				byReserved[510];                    			// ֽ
}NET_GET_CHANNEL_INFO;

// CLIENT_GetChannelInfo ӿ
typedef struct tagNET_OUT_GET_CHANNEL_INFO
{
	DWORD                           dwSize;
	int								nMaxCount;									// ûͨ
	int								nRetCount;									// ʵʷصͨ
	NET_GET_CHANNEL_INFO*			pstuChannelInfo;							// ͨϢб, ûͷڴ, СΪsizeof(NET_GET_CHANNEL_INFO)*nMaxCount
}NET_OUT_GET_CHANNEL_INFO;

// CLIENT_RemoveDevice ӿ
typedef struct tagNET_IN_REMOVE_DEVICE
{
	DWORD                           dwSize;
	int 							nCount;													// 豸
	char							szDeviceIDs[MAX_LINK_DEVICE_NUM][DH_DEV_ID_LEN_EX];		// 豸Ϣб
}NET_IN_REMOVE_DEVICE;

// CLIENT_RemoveDevice ӿ
typedef struct  tagNET_OUT_REMOVE_DEVICE
{
	DWORD           dwSize;
}NET_OUT_REMOVE_DEVICE;

// CLIENT_CancelAddDeviceTask ӿ
typedef struct tagNET_IN_CANCEL_ADD_TASK
{
	DWORD                           dwSize;
	UINT 							nTaskID;		 // ID
}NET_IN_CANCEL_ADD_TASK;

// CLIENT_CancelAddDeviceTask ӿ
typedef struct  tagNET_OUT_CANCEL_ADD_TASK
{
	DWORD           dwSize;
}NET_OUT_CANCEL_ADD_TASK;

// CLIENT_ConfirmAddDeviceTask ӿ
typedef struct tagNET_IN_CONFIRM_ADD_TASK
{
	DWORD                           dwSize;
	UINT 							nTaskID;		 // ID
}NET_IN_CONFIRM_ADD_TASK;

// CLIENT_ConfirmAddDeviceTask ӿ
typedef struct  tagNET_OUT_CONFIRM_ADD_TASK
{
	DWORD           dwSize;
}NET_OUT_CONFIRM_ADD_TASK;


// ע豸״̬ص
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachDeviceState(LLONG lLoginID, const NET_IN_ATTACH_DEVICE_STATE *pInParam, NET_OUT_ATTACH_DEVICE_STATE *pOutParam, int nWaitTime);

// ע豸״̬ص
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachDeviceState(LLONG lAttachHandle);

// 첽豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AsyncAddDevice(LLONG lLoginID, const NET_IN_ASYNC_ADD_DEVICE *pInParam, NET_OUT_ASYNC_ADD_DEVICE *pOutParam, int nWaitTime);

// ע豸ص
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachAddDevice(LLONG lLoginID, const NET_IN_ATTACH_ADD_DEVICE *pInParam, NET_OUT_ATTACH_ADD_DEVICE *pOutParam, int nWaitTime);

// ע豸ص
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachAddDevice(LLONG lAttachHandle);

// ȡе豸״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAddDeviceInfo(LLONG lLoginID, const NET_IN_GET_ADD_DEVICE_LIST_INFO *pInParam, NET_OUT_GET_ADD_DEVICE_LIST_INFO *pOutParam, int nWaitTime);

// ȡӵ豸״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDeviceInfo(LLONG lLoginID, const NET_IN_GET_DEVICE_LIST_INFO *pInParam, NET_OUT_GET_DEVICE_LIST_INFO *pOutParam, int nWaitTime);

// ͨ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetConnectChannel(LLONG lLoginID, const NET_IN_SET_CONNECT_CHANNEL *pInParam, NET_OUT_SET_CONNECT_CHANNEL *pOutParam, int nWaitTime);

// ȡ豸ͨϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetChannelInfo(LLONG lLoginID, const NET_IN_GET_CHANNEL_INFO *pInParam, NET_OUT_GET_CHANNEL_INFO *pOutParam, int nWaitTime);

// ɾ豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RemoveDevice(LLONG lLoginID, const NET_IN_REMOVE_DEVICE *pInParam, NET_OUT_REMOVE_DEVICE *pOutParam, int nWaitTime);

// ֹ豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CancelAddDeviceTask(LLONG lLoginID, const NET_IN_CANCEL_ADD_TASK *pInParam, NET_OUT_CANCEL_ADD_TASK *pOutParam, int nWaitTime);

// ȷ豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ConfirmAddDeviceTask(LLONG lLoginID, const NET_IN_CONFIRM_ADD_TASK *pInParam, NET_OUT_CONFIRM_ADD_TASK *pOutParam, int nWaitTime);

#define MAX_BOARD_NUM 2												// 

// ״̬
typedef enum tagNET_EM_BOARD_STATE
{
	NET_EM_BOARD_STATE_UNKNOWN = 0,									// δ֪
	NET_EM_BOARD_STATE_MASTER,										// 
	NET_EM_BOARD_STATE_SLAVE										// 
}NET_EM_BOARD_STATE;

// Ϣ
typedef struct tagNET_BOARD_STATE_INFO
{
	char				szTarget[DH_COMMON_STRING_64];				// 
	NET_EM_BOARD_STATE  emState;									// 嵱ǰ״̬
	int					nBoardSlot;									// 忨
	BYTE				byReserved[1024];							// ֽ
}NET_BOARD_STATE_INFO;

// CLIENT_GetDCSDoubleDevBoardState
typedef struct tagNET_IN_GET_BOARD_STATE
{
	DWORD		dwSize;												// ṹС
}NET_IN_GET_BOARD_STATE;

// CLIENT_GetDCSDoubleDevBoardState
typedef struct tagNET_OUT_GET_BOARD_STATE
{
	DWORD						dwSize;								// ṹС
	int							nBoardRet;							// صĹ
	NET_BOARD_STATE_INFO		stuBoardStateList[MAX_BOARD_NUM];	// б
}NET_OUT_GET_BOARD_STATE;

// ȡ˫ع״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDCSDoubleDevBoardState(LLONG lLoginID, const NET_IN_GET_BOARD_STATE* pInParam, NET_OUT_GET_BOARD_STATE* pOutParam, int waittime);

//CLIENT_GetDiagnosisEncryptSystemInfo
typedef struct tagNET_IN_GET_ENCRYPT_SYSTEM_INFO
{
	DWORD					dwSize;
}NET_IN_GET_ENCRYPT_SYSTEM_INFO;

//CLIENT_GetDiagnosisEncryptSystemInfo
typedef struct tagNET_OUT_GET_ENCRYPT_SYSTEM_INFO
{
	DWORD					dwSize;
	char					szEncryptContent[MAX_ENCRYPT_SYSTEM_INFO_CONTENT_LEN];    // ϵͳϢ()
}NET_OUT_GET_ENCRYPT_SYSTEM_INFO;

// ڹϷ,ȡϵͳϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDiagnosisEncryptSystemInfo(LLONG lLoginID, const NET_IN_GET_ENCRYPT_SYSTEM_INFO* pInParam, NET_OUT_GET_ENCRYPT_SYSTEM_INFO* pOutParam, int nWaitTime);

// 豸־
#define	MAX_LOG_LIST_COUNT	100

// ¼
typedef enum tagEM_QUERY_EVENT_LOG_TYPE
{
	EM_QUERY_EVENT_LOG_TYPE_UNKNOWN,								// δ֪
	EM_QUERY_EVENT_LOG_TYPE_MOTION_DETECT,							// 챨¼
	EM_QUERY_EVENT_LOG_TYPE_INPUT_ALARM,							// ¼
	EM_QUERY_EVENT_LOG_TYPE_VIDEO_LOSS,								// Ƶʧ¼
	EM_QUERY_EVENT_LOG_TYPE_NO_DISK,								// Ӳ¼
	EM_QUERY_EVENT_LOG_TYPE_DISK_ERROR,								// Ӳ̳¼
	EM_QUERY_EVENT_LOG_TYPE_DISK_FULL,								// Ӳ¼
	EM_QUERY_EVENT_LOG_TYPE_NET_ABORT,								// ж¼
	EM_QUERY_EVENT_LOG_TYPE_IP_CONFLICT,							// IPͻ¼
	EM_QUERY_EVENT_LOG_TYPE_TEMPERATURE_ALARM,						// ¶ȱ¼
	EM_QUERY_EVENT_LOG_TYPE_POWER_FAULT,							// Դ¼
} EM_QUERY_EVENT_LOG_TYPE;

// 豸Ϣ
typedef struct tagNET_LOG_LIST_INFO 
{
	EM_QUERY_EVENT_LOG_TYPE		emEventType;						// ¼
	int							nChannel;							// ¼ͨ, -1ʾñͨ޹
	NET_TIME					stStartTime;						// ʼʱ
	BYTE						byReserved[1024];					// ֽ
} NET_LOG_LIST_INFO;

// CLIENT_QueryEventLog 
typedef struct tagNET_IN_QUERY_EVENT_LOG
{
	DWORD						dwSize;								// ṹС
	char						szUUID[MAX_COMMON_STRING_128];		// ֻID
} NET_IN_QUERY_EVENT_LOG;

// CLIENT_QueryEventLog 
typedef struct tagNET_OUT_QUERY_EVENT_LOG
{
	DWORD						dwSize;								// ṹС
	int							nLogListCount;						// ־
	NET_LOG_LIST_INFO			stLogList[MAX_LOG_LIST_COUNT];		// ־б
	char						szDeviceName[MAX_COMMON_STRING_64];	// 豸
	int							nQueryID;							// ѯID
} NET_OUT_QUERY_EVENT_LOG;

// ȡ豸־(Bosch)(pInParampOutParamԴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryEventLog(LLONG lLoginID, const NET_IN_QUERY_EVENT_LOG* pInParam, NET_OUT_QUERY_EVENT_LOG* pOutParam, int nWaitTime);

// CLIENT_ConfirmEventLog 
typedef struct tagNET_IN_CONFIRM_EVENT_LOG
{
	DWORD						dwSize;								// ṹС
	char						szUUID[MAX_COMMON_STRING_64];		// ֻID
	int							nQueryID;							// ѯID
} NET_IN_CONFIRM_EVENT_LOG;

// CLIENT_ConfirmEventLog 
typedef struct tagNET_OUT_CONFIRM_EVENT_LOG
{
	DWORD						dwSize;								// ṹС
} NET_OUT_CONFIRM_EVENT_LOG;

// ȷѾȡ豸־(Bosch)(pInParampOutParamԴûͷ)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ConfirmEventLog(LLONG lLoginID, const NET_IN_CONFIRM_EVENT_LOG* pInParam, NET_OUT_CONFIRM_EVENT_LOG* pOutParam, int nWaitTime);

#define DH_MAX_DISKLISK_NUM 1024                                    // ֵ̺

// CLIENT_GetStorageBoundTimeEx 
typedef struct tagNET_IN_GET_BOUND_TIMEEX
{
	DWORD						dwSize;								// ṹС
	int                         nDiskCount;                         // 
	int                         nDiskList[DH_MAX_DISKLISK_NUM];     // ̺б
}NET_IN_GET_BOUND_TIMEEX;

// Ӳ¼ʱϢ
typedef struct tagNET_BOUND_TIME_INFO
{
	UINT                        nDiskNO;				            // ̺
	NET_TIME_EX                 stuStartTime;				        // ʼʱ
	NET_TIME_EX                 stuEndTime;				            // ʱ
	BYTE				        byReserved[1024];					// ֽ
}NET_BOUND_TIME_INFO;

// CLIENT_GetStorageBoundTimeEx 
typedef struct tagNET_OUT_GET_BOUND_TIMEEX
{
	DWORD						dwSize;								// ṹС
	int                         nRetDiskCount;                      // صĴ
	NET_BOUND_TIME_INFO         stuBoundTime[DH_MAX_DISKLISK_NUM];  // Ӳ¼ʱϢ
}NET_OUT_GET_BOUND_TIMEEX;

// ȡ¼ʱ䷶Χ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetStorageBoundTimeEx(LLONG lLoginID, const NET_IN_GET_BOUND_TIMEEX* pInParam, NET_OUT_GET_BOUND_TIMEEX* pOutParam, int waittime);

// CLIENT_GetStoragePortInfo 
typedef struct tagNET_IN_GET_PORTINFO
{
	DWORD						dwSize;								// ṹС
}NET_IN_GET_PORTINFO;

// CLIENT_GetStoragePortInfo 
typedef struct tagNET_OUT_GET_PORTINFO
{
	DWORD						dwSize;								// ṹС
	UINT                        nTotal;                             // ߵĽӿĿչ
	UINT                        nPlug;                              // ѹصӲ̵, 
	UINT                        nMask;                              // ָʾͨǷӲ̣
	UINT                        nBadDisk;                           // ָʾͨǷ˻Ӳ
	UINT                        nIDEDisk;                           // ѹصIDEӲ
	UINT                        nESATA;                             // eSATAĽӿ
	UINT                        nUSB2;                              // USB2.0ģʽµUSB豸
	UINT                        nUSB3;                              // USB3.0ģʽµUSB豸
}NET_OUT_GET_PORTINFO;

// ȡ洢˿Ϣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetStoragePortInfo(LLONG lLoginID, const NET_IN_GET_PORTINFO* pInParam, NET_OUT_GET_PORTINFO* pOutParam, int waittime);

// NASļ
#define MAX_NASFILE_COUNT	1024

// NASļ
typedef enum tagEM_NAS_FILE_OPERATE_TYPE
{
	EM_NAS_FILE_OPERATE_TYPE_COPY,					// , ӦṹpInParam = NET_IN_COPY_NAS_FILE,pOutParam = NET_OUT_COPY_NAS_FILE
	EM_NAS_FILE_OPERATE_TYPE_MOVE,					// ƶ, ӦṹpInParam = NET_IN_MOVE_NAS_FILE,pOutParam = NET_OUT_MOVE_NAS_FILE
	EM_NAS_FILE_OPERATE_TYPE_REMOVE,				// ɾ, ӦṹpInParam = NET_IN_REMOVE_NAS_FILE,pOutParam = NET_OUT_REMOVE_NAS_FILE
} EM_NAS_FILE_OPERATE_TYPE;

// NASļƶʽ
typedef enum tagEM_NAS_FILE_OPTION 
{
	EM_NAS_FILE_OPTION_UNKNOWN,						// δ֪
	EM_NAS_FILE_OPTION_U,							// ʾԴĿĿļ»Ŀļڲſ
	EM_NAS_FILE_OPTION_F,							// ʾֱʹԴļĿļ
} EM_NAS_FILE_OPTION;

// NASļ
typedef struct tagNET_IN_COPY_NAS_FILE 
{
	DWORD						dwSize;
	char						szID[MAX_COMMON_STRING_128];							// ͻ˷ID
	int							nSrcNum;												// Դļ()
	char						szSrcList[MAX_NASFILE_COUNT][MAX_COMMON_STRING_128];	// Դļ()б
	char						szDstPath[MAX_COMMON_STRING_128];						// Ŀ·
	EM_NAS_FILE_OPTION			emOption;												// ѡ
} NET_IN_COPY_NAS_FILE ;

// NASļ
typedef struct tagNET_OUT_COPY_NAS_FILE
{
	DWORD						dwSize;
} NET_OUT_COPY_NAS_FILE;

// NASļƶ
typedef struct tagNET_IN_MOVE_NAS_FILE 
{
	DWORD						dwSize;
	char						szID[MAX_COMMON_STRING_128];							// ͻ˷ID
	int							nSrcNum;												// Դļ()
	char						szSrcList[MAX_NASFILE_COUNT][MAX_COMMON_STRING_128];	// Դļ()б
	char						szDstPath[MAX_COMMON_STRING_128];						// Ŀ·
	EM_NAS_FILE_OPTION			emOption;												// ƶѡ
} NET_IN_MOVE_NAS_FILE;

// NASļƶ
typedef struct tagNET_OUT_MOVE_NAS_FILE 
{
	DWORD						dwSize;
} NET_OUT_MOVE_NAS_FILE;

// NASļɾ
typedef struct tagNET_IN_REMOVE_NAS_FILE 
{
	DWORD						dwSize;
	char						szID[MAX_COMMON_STRING_128];							// ID
	int							nFileNum;												// ɾļ
	char						szFileName[MAX_NASFILE_COUNT][MAX_COMMON_STRING_128];	// Դɾļб
} NET_IN_REMOVE_NAS_FILE;

// NASļɾ
typedef struct tagNET_OUT_REMOVE_NAS_FILE 
{
	DWORD						dwSize;
} NET_OUT_REMOVE_NAS_FILE;

// NASļӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateNASFile(LLONG lLoginID, EM_NAS_FILE_OPERATE_TYPE emOperateType, void *pInParam, void *pOutParam, int nWaitTime);

// ļѹ
#define MAX_FILE_COMPRESS_COUNT	8

// ļѹʽ
typedef enum tagEM_COMPRESS_TYPE
{
	EM_COMPRESS_TYPE_UNKNWON,						// δ֪
	EM_COMPRESS_TYPE_ZIP,							// zipʽ
} EM_COMPRESS_TYPE;

// ѹļ
typedef struct tagNET_IN_COMPRESS_FILE 
{
	DWORD						dwSize;
	char						szID[MAX_COMMON_STRING_128];			// ID
	int							nSrcNum;								// Դļ()
	char						szSrcFileList[MAX_FILE_COMPRESS_COUNT][MAX_COMMON_STRING_128];	// Դļ()б
	char						szDstFile[MAX_COMMON_STRING_128];		// Ŀļ
	char						szPassword[MAX_COMMON_STRING_64];		// 
	EM_COMPRESS_TYPE			emCompressType;							// ѹʽ
} NET_IN_COMPRESS_FILE;

// ѹļ
typedef struct tagNET_OUT_COMPRESS_FILE 
{
	DWORD						dwSize;
} NET_OUT_COMPRESS_FILE;

// ѹļ
typedef struct tagNET_IN_DECOMPRESS_FILE 
{
	DWORD						dwSize;
	char						szID[MAX_COMMON_STRING_128];			// ID
	char						szSrcFile[MAX_COMMON_STRING_128];		// Դļ
	char						szDstPath[MAX_COMMON_STRING_128];		// ѹָĿ¼
	char						szPassword[MAX_COMMON_STRING_64];		// 
} NET_IN_DECOMPRESS_FILE;

// ѹļ
typedef struct tagNET_OUT_DECOMPRESS_FILE 
{
	DWORD						dwSize;
} NET_OUT_DECOMPRESS_FILE;

// ļѹѹӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateFileCompress(LLONG lLoginID, EM_FILE_COMPRESS_TYPE emOperateType, void *pInParam, void *pOutParam, int nWaitTime);


///////////////////////////////////////////ͳ//////////////////////////////////////////////////////////////////
#define MAX_GROUP_CHANNEL_NUM 1024		// һͨ
#define MAX_GROUPID_LEN 64				// IDַ
#define MAX_GROUPNAME_LEN 128			// Ƶַ

//ͳСϢ
typedef struct tagNET_NUMBERSTATGROUP_SUBTOTAL
{
	int                 nTotal;                         // 豸кͳ
	int                 nHour;                          // Сʱڵ
	int                 nToday;                         // , ֶ
	int                 nTotalInTimeSection;			// IPCרãִclearSectionStatͬToday
	BYTE				byReserved[252];
} NET_NUMBERSTATGROUP_SUBTOTAL;

// ͳ
typedef struct tagNET_NUMBERSTATGROUP_SUMMARY
{
	char							szGroupID[MAX_GROUPID_LEN];					// ID
	char							szGroupName[MAX_GROUPNAME_LEN];				// 
	int								nChannelNum;								// ͨ
	int								arChannelList[MAX_GROUP_CHANNEL_NUM];		// ͨб
	NET_TIME_EX						stuUTC;										// ͳʱѰʱƫ
	int								nTimeZone;									// ʱ
	NET_NUMBERSTATGROUP_SUBTOTAL	stuEnteredSubtotal;							// С
	NET_NUMBERSTATGROUP_SUBTOTAL	stuExitedSubtotal;							// ȥС
	int								nInsideSubtotal;							// 
	BYTE							byReserved[1024];							// 
} NET_NUMBERSTATGROUP_SUMMARY;

// ͳݻصԭΣlAttachHandle  CLIENT_AttachNumberStatGroupSummary ֵ
typedef void (CALLBACK *fNumberStatGroupSumCallBack) (LLONG lAttachHandle, NET_NUMBERSTATGROUP_SUMMARY* pBuf, DWORD dwBufLen, LDWORD dwUser);

// ķͳ--
typedef struct tagNET_IN_ATTACH_NUMBERSTATGROUP_SUM
{
	DWORD						dwSize;								// ṹС
	fNumberStatGroupSumCallBack cbNumberStatGroupSum;				// ͳݻص
	LDWORD						dwUser;								// û   
}NET_IN_ATTACH_NUMBERSTATGROUP_SUM;

// ķͳ--
typedef struct tagNET_OUT_ATTACH_NUMBERSTATGROUP_SUM
{
	DWORD						dwSize;								// ṹС
}NET_OUT_ATTACH_NUMBERSTATGROUP_SUM;

// ķͳ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachNumberStatGroupSummary(LLONG lLoginID, const NET_IN_ATTACH_NUMBERSTATGROUP_SUM* pInParam, NET_OUT_ATTACH_NUMBERSTATGROUP_SUM* pOutParam, int waittime);

// ȡķͳ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachNumberStatGroupSummary(LLONG lAttachHandle);

// Աͳ-- 
typedef struct tagNET_IN_ADD_NUMBERSTATGROUP_INFO
{
	DWORD						dwSize;								// ṹС
	char						szGroupName[MAX_GROUPNAME_LEN];		// 
	int							nChannelNum;						// ͨ
	int							arChannelList[MAX_GROUP_CHANNEL_NUM];	// ͨб
}NET_IN_ADD_NUMBERSTATGROUP_INFO;

// Աͳ-- 
typedef struct tagNET_OUT_ADD_NUMBERSTATGROUP_INFO
{
	DWORD						dwSize;								// ṹС
	char						szGroupID[MAX_GROUPID_LEN];			// GroupID
}NET_OUT_ADD_NUMBERSTATGROUP_INFO;

// Աͳ--
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddNumberStatGroup(LLONG lLoginID, const NET_IN_ADD_NUMBERSTATGROUP_INFO* pInParam, NET_OUT_ADD_NUMBERSTATGROUP_INFO* pOutParam, int waittime);

// Աͳ--ɾ 
typedef struct tagNET_IN_DEL_NUMBERSTATGROUP_INFO
{
	DWORD						dwSize;								// ṹС
	char						szGroupID[MAX_GROUPID_LEN];			// GroupID
}NET_IN_DEL_NUMBERSTATGROUP_INFO;

// Աͳ--ɾ 
typedef struct tagNET_OUT_DEL_NUMBERSTATGROUP_INFO
{
	DWORD						dwSize;								// ṹС
}NET_OUT_DEL_NUMBERSTATGROUP_INFO;

// Աͳ--ɾ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DelNumberStatGroup(LLONG lLoginID, const NET_IN_DEL_NUMBERSTATGROUP_INFO* pInParam, NET_OUT_DEL_NUMBERSTATGROUP_INFO* pOutParam, int waittime);

// Ϣ
typedef struct tagNET_NUMBERSTATGROUP_INFO
{
	char						szGroupID[MAX_GROUPID_LEN];				// GroupID
	char						szGroupName[MAX_GROUPNAME_LEN];			// 
	int							nChannelNum;							// ͨ
	int							arChannelList[MAX_GROUP_CHANNEL_NUM];	// ͨб
	BYTE						byReserved[512];						// 
}NET_NUMBERSTATGROUP_INFO;

// Աͳ--޸ 
typedef struct tagNET_IN_MODIFY_NUMBERSTATGROUP_INFO
{
	DWORD						dwSize;									// ṹС
	NET_NUMBERSTATGROUP_INFO	stuGroupInfo;
}NET_IN_MODIFY_NUMBERSTATGROUP_INFO;

// Աͳ--޸ 
typedef struct tagNET_OUT_MODIFY_NUMBERSTATGROUP_INFO
{
	DWORD						dwSize;									// ṹС
}NET_OUT_MODIFY_NUMBERSTATGROUP_INFO;

// Աͳ--޸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ModifyNumberStatGroup(LLONG lLoginID, const NET_IN_MODIFY_NUMBERSTATGROUP_INFO* pInParam, NET_OUT_MODIFY_NUMBERSTATGROUP_INFO* pOutParam, int waittime);

// Աͳ--ȡ 
typedef struct tagNET_IN_NUMBERSTATGROUPS_INFO
{
	DWORD						dwSize;									// ṹС
	char						szGroupID[MAX_GROUPID_LEN];				// GroupID
}NET_IN_NUMBERSTATGROUPS_INFO;

// Աͳ--ȡ 
typedef struct tagNET_OUT_NUMBERSTATGROUPS_INFO
{
	DWORD						dwSize;									// ṹС
	int							nGroupsRetNum;							// ص
	int							nGroupsMaxNum;							// û
	NET_NUMBERSTATGROUP_INFO*	pstuGroupList;							// б, û䣬СΪsizeof(NET_NUMBERSTATGROUP_INFO) * nGroupsMaxNum
}NET_OUT_NUMBERSTATGROUPS_INFO;

// Աͳ--ȡ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetNumberStatGroups(LLONG lLoginID, const NET_IN_NUMBERSTATGROUPS_INFO* pInParam, NET_OUT_NUMBERSTATGROUPS_INFO* pOutParam, int waittime);

// Աͳ--ȡժҪϢ 
typedef struct tagNET_IN_NUMBERSTATGROUPSUMMARY_INFO
{
	DWORD						dwSize;									// ṹС
	char						szGroupID[MAX_GROUPID_LEN];				// GroupID
}NET_IN_NUMBERSTATGROUPSUMMARY_INFO;

// Աͳ--ȡժҪϢ 
typedef struct tagNET_OUT_NUMBERSTATGROUPSUMMARY_INFO
{
	DWORD						dwSize;									// ṹС
	NET_NUMBERSTATGROUP_SUMMARY	stuSummary;								// ժҪϢ
}NET_OUT_NUMBERSTATGROUPSUMMARY_INFO;

// Աͳ--ȡժҪϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetNumberStatGroupSummary(LLONG lLoginID, const NET_IN_NUMBERSTATGROUPSUMMARY_INFO* pInParam, NET_OUT_NUMBERSTATGROUPSUMMARY_INFO* pOutParam, int waittime);

// ѯݵĹ
typedef enum tagEM_NUMBERSTATGROUP_RULE_TYPE
{
	EM_NUMBERSTATGROUP_RULE_UNKNOWN = 0,
	EM_NUMBERSTATGROUP_RULE_NUMBERSTAT,								// EnteredExited
	EM_NUMBERSTATGROUP_RULE_MANNUMBERDETECTION,						// Insideͳ
}EM_NUMBERSTATGROUP_RULE_TYPE;

// ͳϢ
typedef enum tagEM_GRANULARITY_TYPE
{
	EM_GRANULARITY_UNKNOWN = 0,
	EM_GRANULARITY_MINUTE,												// 
	EM_GRANULARITY_HOUR,												// Сʱ
	EM_GRANULARITY_DAY,												// 
	EM_GRANULARITY_WEEK,												// 
	EM_GRANULARITY_MONTH,												// 
	EM_GRANULARITY_SEASON,												// 
	EM_GRANULARITY_YEAR												// 
}EM_GRANULARITY_TYPE;

// ѯ
typedef struct tagNET_IN_NUMBERSTATGROUP_START_FIND_INFO
{
	DWORD							dwSize;									// ṹС
	char							szGroupID[MAX_GROUPID_LEN];				// ID,Ϊ""ѯ
	NET_TIME						stStartTime;							// ʼʱ
	NET_TIME						stEndTime;								// ʱ
	EM_NUMBERSTATGROUP_RULE_TYPE	emRuleType;								// ѯݵĹ
	EM_GRANULARITY_TYPE				emGranularity;							// ѯ
	UINT							nPlanID;								// ƻID,Ч,1ʼ
}NET_IN_NUMBERSTATGROUP_START_FIND_INFO;

// ѯ
typedef struct tagNET_OUT_NUMBERSTATGROUP_START_FIND_INFO
{
	DWORD							dwSize;									// ṹС
	UINT							nTotalCount;							// ϲѯ
}NET_OUT_NUMBERSTATGROUP_START_FIND_INFO;

// Աͳ--ʼ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartFindNumberStatGroup(LLONG lLoginID, const NET_IN_NUMBERSTATGROUP_START_FIND_INFO* pInParam, NET_OUT_NUMBERSTATGROUP_START_FIND_INFO* pOutParam, int nWaitTime);

// ͳƼ¼
typedef struct tagNET_NUMBERSTATGROUP_RECORD
{
	char							szGroupID[MAX_GROUPID_LEN];					// ID
	char							szGroupName[MAX_GROUPNAME_LEN];				// 
	int								nChannelNum;								// ͨ
	int								arChannelList[MAX_GROUP_CHANNEL_NUM];		// ͨб
	EM_NUMBERSTATGROUP_RULE_TYPE	emRuleName;									// 
	NET_TIME_EX						stuStartTime;								// ͳƿʼʱ
	NET_TIME_EX						stuEndTime;									// ͳƽʱ,ͿʼʱһʾͳǸ˲ʱֵ

	UINT							nEnteredSubtotal;							// С
	UINT							nExitedSubtotal;							// ȥС
	UINT							nInsideSubtotal;							// 
	BYTE							byReserved[1024];							// 
} NET_NUMBERSTATGROUP_RECORD;

// CLIENT_DoFindNumberStatGroup
typedef struct tagNET_IN_NUMBERSTATGROUP_DO_FIND_INFO 
{
	DWORD                       dwSize;
	int                         nStartNo;           // ʼ
	int                         nCount;             // ýĸ
}NET_IN_NUMBERSTATGROUP_DO_FIND_INFO;

// CLIENT_DoFindNumberStatGroup
typedef struct tagNET_OUT_NUMBERSTATGROUP_DO_FIND_INFO
{
	DWORD                       dwSize;
	int                         nRetNum;            // βѯĸ
	int	                        nMaxNum;            // ûڴĸ
	NET_NUMBERSTATGROUP_RECORD* pstuInfo;           // ѯ, ûڴ,СΪsizeof(NET_NUMBERSTATGROUP_RECORD)*nMaxNum
}NET_OUT_NUMBERSTATGROUP_DO_FIND_INFO;

// Աͳ--
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindNumberStatGroup(LLONG lFindHandle, const NET_IN_NUMBERSTATGROUP_DO_FIND_INFO* pInParam, NET_OUT_NUMBERSTATGROUP_DO_FIND_INFO* pOutParam, int nWaitTime);

// Աͳ--ֹͣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindNumberStatGroup(LLONG lFindHandle);

/**************************¼ηӿ*************************/
#define MAX_SECONDARY_ANALYSE_TASK_NUM		32  // ηֵ֧
#define MAX_SECONDARY_ANALYSE_RULE_NUM		8	// ηֵ֧
#define MAX_SECONDARY_ANALYSE_EVENT_NUM		8	// η¼ֵ֧

// ¼η״̬
typedef enum tagEM_SECONDARY_ANALYSE_STATE
{
	EM_SECONDARY_ANALYSE_UNKNOWN,				// δ֪
	EM_SECONDARY_ANALYSE_WAIT_DOWNLOAD,			// ȴ
	EM_SECONDARY_ANALYSE_DOWNLOADING,			// 
	EM_SECONDARY_ANALYSE_WAIT_ANALYSE,			// ȴ
	EM_SECONDARY_ANALYSE_ANALYSING,				// 
	EM_SECONDARY_ANALYSE_FINISH_ANALYSE,		// ɷ
	EM_SECONDARY_ANALYSE_DOWNLOAD_FAILED,		// ʧ
	EM_SECONDARY_ANALYSE_CANCELLED,				// ȡ
	EM_SECONDARY_ANALYSE_NOTENOUGH_ANALYSER,	// 
	EM_SECONDARY_ANALYSE_ANALYSER_ERROR,		// 쳣
	EM_SECONDARY_ANALYSE_PAUSE_DOWNLOAD,		// ͣ
	EM_SECONDARY_ANALYSE_PAUSE_ANALYSE,			// ͣ
} EM_SECONDARY_ANALYSE_STATE;

// ¼η״̬Ϣ
typedef struct tagNET_ANALYSE_TASK_INFO
{
	UINT							nTaskID;							// ID
	EM_SECONDARY_ANALYSE_STATE		emAnalyseState;						// ǰ״̬
	char							szTaskName[DH_COMMON_STRING_128];	// ǰ
	UINT							nProgress;							// ǰ
	BYTE				            byReserved[516];					// ֽ
} NET_ANALYSE_TASK_INFO;

// ¼η״̬Ļص
typedef struct tagNET_CB_SECONDARY_ANALYSE_INFO
{
	int						nRetAnalyseTaskCount;			// ʵʷصĶη
	BYTE					byReserved1[4];					// ֽڶ
	NET_ANALYSE_TASK_INFO	stuAnalyseTaskInfo[MAX_SECONDARY_ANALYSE_TASK_NUM];// ηϢ
	LDWORD 					dwUser;							// û
	BYTE				    byReserved[512];				// ֽ
} NET_CB_SECONDARY_ANALYSE_INFO;

// ¼η״̬Ļصԭ
typedef int  (CALLBACK *fSecondaryAnalyseCallBack)(LLONG lAnalyseHandle, NET_CB_SECONDARY_ANALYSE_INFO *pstSecondaryAnalyseInfo);

// ¼η
typedef struct tagNET_IN_ATTACH_SECONDARY_ANALYSE_STATE
{
	DWORD							dwSize;					// ֵΪṹС
	BYTE							byReserved[4];			// ֽڶ
    fSecondaryAnalyseCallBack	    cbSecondaryAnalyse;		// ص
    LDWORD                  		dwUser;                 // û
} NET_IN_ATTACH_SECONDARY_ANALYSE_STATE;

// ¼η
typedef struct tagNET_OUT_ATTACH_SECONDARY_ANALYSE_STATE
{
	DWORD							dwSize;					// ֵΪṹС
} NET_OUT_ATTACH_SECONDARY_ANALYSE_STATE;

// Ϣ
typedef struct tagNET_ANALYSE_RULE_FACE_ANALYSIS_INFO
{
	UINT			nSimilarity;										// ƶ
	UINT			nGroupNum;											// 
	char			szGroupID[MAX_FACE_DB_NUM][DH_COMMON_STRING_64]; 	// ID
	BYTE			byReserved[1024];									// ֽ
} NET_ANALYSE_RULE_FACE_ANALYSIS_INFO;

// 
typedef enum tagEM_ANALYSE_RULE_TYPE
{
	EM_ANALYSE_RULE_UNKNOWN,			// δ֪
	EM_ANALYSE_RULE_FACE_ANALYSIS,		// , Ӧṹ NET_ANALYSE_RULE_FACE_ANALYSIS_INFO
	EM_ANALYSE_RULE_FACE_ATTRIBUTE,		// , ýṹ
} EM_ANALYSE_RULE_TYPE;

// ¼
typedef enum tagEM_ANALYSE_EVENT_TYPE
{
    EM_ANALYSE_EVENT_UNKNOWN,                   // δ֪
    EM_ANALYSE_EVENT_ALL,                       // ¼
    EM_ANALYSE_EVENT_FACE_DETECTION,            // ¼, Ӧṹ DEV_EVENT_FACEDETECT_INFO
    EM_ANALYSE_EVENT_FACE_RECOGNITION,          // ʶ¼, Ӧṹ DEV_EVENT_FACERECOGNITION_INFO
    EM_ANALYSE_EVENT_TRAFFICJUNCTION,           // ͨ·¼, Ӧṹ DEV_EVENT_TRAFFICJUNCTION_INFO
    EM_ANALYSE_EVENT_HUMANTRAIT,                // ¼, Ӧṹ DEV_EVENT_HUMANTRAIT_INFO
    EM_ANALYSE_EVENT_XRAY_DETECTION,            // X¼, Ӧṹ DEV_EVENT_XRAY_DETECTION_INFO
    EM_ANALYSE_EVENT_WORKCLOTHESDETECT,         // װ(ȫñ/)¼, Ӧṹ DEV_EVENT_WORKCLOTHESDETECT_INFO
    EM_ANALYSE_EVENT_WORKSTATDETECTION,         // ҵ¼, Ӧṹ DEV_EVENT_WORKSTATDETECTION_INFO
    EM_ANALYSE_EVENT_CORSSLINEDETECTION,        // ¼, Ӧṹ DEV_EVENT_CROSSLINE_INFO
    EM_ANALYSE_EVENT_CROSSREGIONDETECTION,      // ¼, Ӧṹ DEV_EVENT_CROSSREGION_INFO
    EM_ANALYSE_EVENT_FEATURE_ABSTRACT,          // ȡ¼ DEV_EVENT_FEATURE_ABSTRACT_INFO
    EM_ANALYSE_EVENT_ELECTRIC_GLOVE_DETECT,     // ׼¼,  Ӧṹ DEV_EVENT_ELECTRIC_GLOVE_DETECT_INFO
    EM_ANALYSE_EVENT_ELECTRIC_LADDER_DETECT,    // Ӽ¼,  Ӧṹ DEV_EVENT_ELECTRIC_LADDER_DETECT_INFO
    EM_ANALYSE_EVENT_ELECTRIC_CURTAIN_DETECT,   // Ⲽ᣼¼,  Ӧṹ DEV_EVENT_ELECTRIC_CURTAIN_DETECT_INFO
    EM_ANALYSE_EVENT_ELECTRIC_FENCE_DETECT,     // Χ¼,  Ӧṹ DEV_EVENT_ELECTRIC_FENCE_DETECT_INFO
    EM_ANALYSE_EVENT_ELECTRIC_SIGNBOARD_DETECT, // ʶƼ¼,  Ӧṹ DEV_EVENT_ELECTRIC_SIGNBOARD_DETECT_INFO
    EM_ANALYSE_EVENT_ELECTRIC_BELT_DETECT,      // ⰲȫ¼,  Ӧṹ DEV_EVENT_ELECTRIC_BELT_DETECT_INFO
    
    EM_ANALYSE_EVENT_CROSSLINEDETECTION_EX = 2000, // ¼(չ), Ӧṹ DEV_EVENT_CROSSLINE_INFO_EX
}  EM_ANALYSE_EVENT_TYPE;

// ¼ηϢ
typedef struct tagNET_ANALYSE_INFO
{
	EM_ANALYSE_RULE_TYPE	emAnalyseType;		// 
	BYTE					byReserved1[4];		// ֽڶ
	void					*pRuleInfo;			// Ϣ, emAnalyseTypeȷĽṹ
	BYTE					byReserved[512];	// ֽ
} NET_ANALYSE_INFO;

// 	Ҫӵ¼ηϢ
typedef struct tagNET_SECONDARY_ANALYSE_TASK_INFO
{
	char				szRecordPath[DH_COMMON_STRING_256];				// ¼ļ·
	int					nAnalyseCount;									// ¼ηĹ
	NET_ANALYSE_INFO	stuAnalyseInfo[MAX_SECONDARY_ANALYSE_RULE_NUM];	// ¼ηĹϢ
	char				szTaskName[DH_COMMON_STRING_128];				// 
	BOOL				bNeedSave;										// ¼Ƿ񱣴浽豸
	BYTE				byReserved[1024];								// ֽ
} NET_SECONDARY_ANALYSE_TASK_INFO;

// ¼η
typedef struct  tagNET_IN_SECONDARY_ANALYSE_ADDTASK
{
	DWORD								dwSize;					// ֵΪṹС
	int									nAnalyseTaskCount;		// ʵʵĶη
	NET_SECONDARY_ANALYSE_TASK_INFO		stuAnalyseTaskInfo[MAX_SECONDARY_ANALYSE_TASK_NUM];// ηϢ
} NET_IN_SECONDARY_ANALYSE_ADDTASK;

// 񷵻صϢ
typedef struct tagNET_TASK_ADD_RESULT_INFO
{
	UINT		nTaskID;										// ID, 0ʧܷ0ļбһһӦ
	char		szLocalPath[DH_COMMON_STRING_256];				// Ҫ豸˵¼ļ·
	BYTE		byReserved[1024];								// ֽ
} NET_TASK_ADD_RESULT_INFO;

// ¼η
typedef struct  tagNET_OUT_SECONDARY_ANALYSE_ADDTASK
{
	DWORD						dwSize;									      // ֵΪṹС
	UINT						nRetTaskResultNum;							  // ʵʷصӽϢ
	NET_TASK_ADD_RESULT_INFO	stuResultInfo[MAX_SECONDARY_ANALYSE_TASK_NUM];// 񷵻صĽϢ
} NET_OUT_SECONDARY_ANALYSE_ADDTASK;

// ʼ¼η
typedef struct tagNET_IN_SECONDARY_ANALYSE_STARTTASK
{
	DWORD		dwSize;									// ֵΪṹС
	UINT		nTaskIdNum;								// ID, Ϊ0ʾȫ
	UINT		nTaskID[MAX_SECONDARY_ANALYSE_TASK_NUM];// ID0ʾȫ
} NET_IN_SECONDARY_ANALYSE_STARTTASK;

// ʼ¼η
typedef struct tagNET_OUT_SECONDARY_ANALYSE_STARTTASK
{
	DWORD		dwSize;									// ֵΪṹС
} NET_OUT_SECONDARY_ANALYSE_STARTTASK;

// ͣ¼η
typedef struct tagNET_IN_SECONDARY_ANALYSE_PAUSETASK
{
	DWORD		dwSize;									// ֵΪṹС
	UINT		nTaskIdNum;								// 
	UINT		nTaskID[MAX_SECONDARY_ANALYSE_TASK_NUM];// ID
} NET_IN_SECONDARY_ANALYSE_PAUSETASK;

// ͣ¼η
typedef struct tagNET_OUT_SECONDARY_ANALYSE_PAUSETASK
{
	DWORD		dwSize;									// ֵΪṹС
} NET_OUT_SECONDARY_ANALYSE_PAUSETASK;

// ɾ¼η
typedef struct tagNET_IN_SECONDARY_ANALYSE_REMOVETASK
{
	DWORD		dwSize;									// ֵΪṹС
	UINT		nTaskIdNum;								// , 0ʾɾȫ
	UINT		nTaskID[MAX_SECONDARY_ANALYSE_TASK_NUM];// ID
} NET_IN_SECONDARY_ANALYSE_REMOVETASK;

// ɾ¼η
typedef struct tagNET_OUT_SECONDARY_ANALYSE_REMOVETASK
{
	DWORD		dwSize;									// ֵΪṹС
} NET_OUT_SECONDARY_ANALYSE_REMOVETASK;

// ʼѯ¼ηϢ
typedef struct tagNET_IN_SECONDARY_ANALYSE_STARTFIND_TASK
{
	DWORD		dwSize;									// ֵΪṹС
	UINT		nTaskNum;								// , Ϊ0ʾȫ
	UINT		nTaskID[MAX_SECONDARY_ANALYSE_TASK_NUM];// ID
} NET_IN_SECONDARY_ANALYSE_STARTFIND_TASK;

// ʼѯ¼ηϢ
typedef struct tagNET_OUT_SECONDARY_ANALYSE_STARTFIND_TASK
{
	DWORD		dwSize;						// ֵΪṹС
	UINT        nTotalCount;                // 
} NET_OUT_SECONDARY_ANALYSE_STARTFIND_TASK;

// ¼η״̬Ϣ
typedef struct tagNET_SECONDARY_ANALYSE_TASK_STATE_INFO
{
	UINT				nTaskID;							// ID
	char				szTaskName[DH_COMMON_STRING_256];	// 
	char				szRecordPath[DH_COMMON_STRING_256];	// ¼ļ·
	BOOL				bNeedSave;							// ¼Ƿ񱣴浽豸
	char				szLoaclPath[DH_COMMON_STRING_256];	// Ҫ豸˵¼ļ·
	EM_SECONDARY_ANALYSE_STATE		emAnalyseState;			// ǰ״̬
	NET_TIME			stuStartTime;						// ʼʱ
	NET_TIME			stuFinishTime;						// ʱ
	UINT				nProgress;							// ǰ
	int					nAnalyseCount;									// ¼ηĹ
	NET_ANALYSE_INFO	stuAnalyseInfo[MAX_SECONDARY_ANALYSE_RULE_NUM];	// ¼ηĹϢ
	BYTE				byReserved[1024];								// ֽ
} NET_SECONDARY_ANALYSE_TASK_STATE_INFO;

// ִвѯ¼ηϢ
typedef struct tagNET_IN_SECONDARY_ANALYSE_DOFIND_TASK
{
	DWORD		dwSize;						// ֵΪṹС
	UINT		nBeginNumber;				// ʼѯʼ
	UINT		nCount;						// Ҫѯ
} NET_IN_SECONDARY_ANALYSE_DOFIND_TASK;

// ִвѯ¼ηϢ
typedef struct tagNET_OUT_SECONDARY_ANALYSE_DOFIND_TASK
{
	DWORD		dwSize;						// ֵΪṹС
	UINT		nFoundCount;				// ѯ	
	NET_SECONDARY_ANALYSE_TASK_STATE_INFO	stuAnalyseTaskInfo[MAX_SECONDARY_ANALYSE_TASK_NUM]; // ¼η״̬Ϣ
} NET_OUT_SECONDARY_ANALYSE_DOFIND_TASK;

// ¼¼Ϣ
typedef struct tagNET_SECONDARY_ANALYSE_EVENT_INFO
{
	EM_ANALYSE_EVENT_TYPE		emEventType;		// ¼
	BYTE						byReserved1[4];		// ֽڶ
	void						*pstEventInfo;		// ¼Ϣ, emEventTypeȷͬĽṹ
													// EM_ANALYSE_EVENT_FACE_DETECTION (¼), Ӧṹ DEV_EVENT_FACEDETECT_INFO
													// EM_ANALYSE_EVENT_FACE_RECOGNITION (ʶ¼), Ӧṹ DEV_EVENT_FACERECOGNITION_INFO
													// EM_ANALYSE_EVENT_TRAFFICJUNCTION (ͨ·¼), Ӧṹ DEV_EVENT_TRAFFICJUNCTION_INFO
													// EM_ANALYSE_EVENT_HUMANTRAIT (¼), Ӧṹ DEV_EVENT_HUMANTRAIT_INFO
													// EM_ANALYSE_EVENT_XRAY_DETECTION(X¼), Ӧṹ DEV_EVENT_XRAY_DETECTION_INFO
													// EM_ANALYSE_EVENT_WORKCLOTHESDETECT (װ(ȫñ/)¼), Ӧṹ DEV_EVENT_WORKCLOTHES_DETECT_INFO
													// EM_ANALYSE_EVENT_WORKSTATDETECTION (ҵ¼), Ӧṹ DEV_EVENT_WORKSTATDETECTION_INFO
													// EM_ANALYSE_EVENT_CORSSLINEDETECTION (¼), Ӧṹ DEV_EVENT_CROSSLINE_INFO
													// EM_ANALYSE_EVENT_CROSSLINEDETECTION_EX (¼(չ)), Ӧṹ DEV_EVENT_CROSSLINE_INFO_EX
													// EM_ANALYSE_EVENT_CROSSREGIONDETECTION (¼), Ӧṹ DEV_EVENT_CROSSREGION_INFO
                                                    // EM_ANALYSE_EVENT_FEATURE_ABSTRACT(ȡ), Ӧṹ DEV_EVENT_FEATURE_ABSTRACT_INFO
                                                    // EM_ANALYSE_EVENT_ELECTRIC_GLOVE_DETECT(׼¼),  Ӧṹ DEV_EVENT_ELECTRIC_GLOVE_DETECT_INFO
                                                    // EM_ANALYSE_EVENT_ELECTRIC_LADDER_DETECT(Ӽ¼),  Ӧṹ DEV_EVENT_ELECTRIC_LADDER_DETECT_INFO
                                                    // EM_ANALYSE_EVENT_ELECTRIC_CURTAIN_DETECT(Ⲽ᣼¼),  Ӧṹ DEV_EVENT_ELECTRIC_CURTAIN_DETECT_INFO
                                                    // EM_ANALYSE_EVENT_ELECTRIC_FENCE_DETECT(Χ¼),  Ӧṹ DEV_EVENT_ELECTRIC_FENCE_DETECT_INFO
                                                    // EM_ANALYSE_EVENT_ELECTRIC_SIGNBOARD_DETECT(ʶƼ¼),  Ӧṹ DEV_EVENT_ELECTRIC_SIGNBOARD_DETECT_INFO
                                                    // EM_ANALYSE_EVENT_ELECTRIC_BELT_DETECT(ⰲȫ¼),  Ӧṹ DEV_EVENT_ELECTRIC_BELT_DETECT_INFO
	BYTE						byReserved[1024];	// ֽ
} NET_SECONDARY_ANALYSE_EVENT_INFO;

// ¼ʵʱĻصṹ
typedef struct tagNET_CB_ANALYSE_RESULT_INFO
{
	UINT								nTaskID;			// ID
	NET_TIME							stuPicTime;			// ͼƬʱ
	int									nRetEventCount;		// ʵʵ¼
	NET_SECONDARY_ANALYSE_EVENT_INFO	stuEventInfo[MAX_SECONDARY_ANALYSE_EVENT_NUM];// ¼η¼Ϣ
	LDWORD 								dwUser;				// û
	BYTE								byReserved[1024];	// ֽ
} NET_CB_ANALYSE_RESULT_INFO;

// ¼ʵʱĺԭ
typedef int  (CALLBACK *fAnalyseResultCallBack)(LLONG lAnalyseHandle, NET_CB_ANALYSE_RESULT_INFO *pstAnalyseResultInfo, BYTE *pBuffer, DWORD dwBufSize);

// Ķ¼ʵʱ
typedef struct tagNET_IN_ATTACH_SECONDARY_ANALYSE_RESULT
{
	DWORD					dwSize;										// ֵΪṹС
	int						nTaskNum;									// Ҫĵ, 0ʾȫ
	UINT					nTaskID[MAX_SECONDARY_ANALYSE_TASK_NUM];	// ID
	int						nEventCount;								// Ҫĵ¼
	EM_ANALYSE_EVENT_TYPE	emEventType[MAX_SECONDARY_ANALYSE_TASK_NUM];// Ҫĵ¼
	BOOL					bNeedPicData;								// ǷҪͼƬ
	fAnalyseResultCallBack	cbAnalyseResult;							// ¼ʵʱĺ
	LDWORD                  dwUser;                 					// û
} NET_IN_ATTACH_SECONDARY_ANALYSE_RESULT;

// Ķ¼ʵʱ
typedef struct tagNET_OUT_ATTACH_SECONDARY_ANALYSE_RESULT
{
	DWORD				dwSize;										// ֵΪṹС
} NET_OUT_ATTACH_SECONDARY_ANALYSE_RESULT;

// ¼η, pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachRecordSecondaryAnalyseTaskState(LLONG lLoginID, NET_IN_ATTACH_SECONDARY_ANALYSE_STATE *pstInParam, NET_OUT_ATTACH_SECONDARY_ANALYSE_STATE *pstOutParam, int nWaitTime);

// ȡ¼η
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachRecordSecondaryAnalyseState(LLONG lAnalyseHandle);

// ¼η pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RecordSecondaryAnalyseAddTask(LLONG lLoginID, NET_IN_SECONDARY_ANALYSE_ADDTASK *pstInParam, NET_OUT_SECONDARY_ANALYSE_ADDTASK *pstOutParam, int nWaitTime);

// ʼ¼η pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RecordSecondaryAnalyseStartTask(LLONG lLoginID, NET_IN_SECONDARY_ANALYSE_STARTTASK *pstInParam, NET_OUT_SECONDARY_ANALYSE_STARTTASK *pstOutParam, int nWaitTime);

// ͣ¼η pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RecordSecondaryAnalysePauseTask(LLONG lLoginID, NET_IN_SECONDARY_ANALYSE_PAUSETASK *pstInParam, NET_OUT_SECONDARY_ANALYSE_PAUSETASK *pstOutParam, int nWaitTime);

// ɾ¼η pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RecordSecondaryAnalyseRemoveTask(LLONG lLoginID, NET_IN_SECONDARY_ANALYSE_REMOVETASK *pstInParam, NET_OUT_SECONDARY_ANALYSE_REMOVETASK *pstOutParam, int nWaitTime);

// ʼѯ¼ηΪϢ pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_RecordSecondaryAnalyseStartFindTask(LLONG lLoginID, NET_IN_SECONDARY_ANALYSE_STARTFIND_TASK *pstInParam, NET_OUT_SECONDARY_ANALYSE_STARTFIND_TASK *pstOutParam, int nWaitTime);

// ִвѯ¼ηΪϢ pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RecordSecondaryAnalyseDoFindTask(LLONG lFindHandle, NET_IN_SECONDARY_ANALYSE_DOFIND_TASK *pstInParam, NET_OUT_SECONDARY_ANALYSE_DOFIND_TASK *pstOutParam, int nWaitTime);

// ֹͣѯ¼ηΪϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RecordSecondaryAnalyseStopFindTask(LLONG lFindHandle);

// ¼ηʵʱ pstInParampstOutParamڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachRecordSecondaryAnalyseResult(LLONG lLoginID, NET_IN_ATTACH_SECONDARY_ANALYSE_RESULT *pstInParam, NET_OUT_ATTACH_SECONDARY_ANALYSE_RESULT *pstOutParam, int nWaitTime);

// ȡ¼ηʵʱ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachRecordSecondaryAnalyseResult(LLONG	lAttachHandle);

//ȶԽ
typedef enum tagEM_COMPARE_RESULT
{
    EM_COMPARE_RESULT_UNKNOWN=-1,
	EM_COMPARE_RESULT_SUCCESS,      //ɹ
	EM_COMPARE_RESULT_OTHERERROR,   //
	EM_COMPARE_RESULT_NOTINDATABASE //
}EM_COMPARE_RESULT;

//ŷʽ
typedef enum tagEM_FACE_OPEN_DOOR_TYPE
{
	EM_FACE_OPEN_DOOR_TYPE_UNKNOWN = 0,   //δ֪
	EM_FACE_OPEN_DOOR_TYPE_REMOTEFACE,     //Զ
	EM_FACE_OPEN_DOOR_TYPE_REMOTEQRCODE    //Զ̶ά
}EM_FACE_OPEN_DOOR_TYPE;

//û
typedef enum tagEM_USER_TYPE
{
    EM_USER_TYPE_UNKNOWN=-1,
	EM_USER_TYPE_ORDINARY,   //ͨû
	EM_USER_TYPE_BLACKLIST,  //û
	EM_USER_TYPE_VIP,        //VIPû
	EM_USER_TYPE_GUEST,      //û
	EM_USER_TYPE_PATROL,     //Ѳû
	EM_USER_TYPE_DISABLED,   //мû
	EM_USER_TYPE_FROZEN,     //û
	EM_USER_TYPE_LOGOUT,     //עû
	EM_USER_TYPE_LOSSCARD    //ʧ
}EM_USER_TYPE;
	
//ƥϢ
typedef struct tagNET_OPENDOOR_MATCHINFO
{
	char                                  szUserID[32];     //ԶûID
	char                                  szUserName[32];   //û
	EM_USER_TYPE                          emUserType;       //û
	char                                  szName[64];       //Ž
	UINT                                  nMatchRate;       //ƥȣΧΪ0-100
    EM_FACE_OPEN_DOOR_TYPE                emOpenDoorType;   //ŷʽ
    NET_TIME                              stuActivationTime;                         //(ͷ)Ч 
    NET_TIME                              stuExpiryTime;                             //(ͷ)ֹ
    int                                   nScore;                                    // û
    char                                  szCompanyName[MAX_COMPANY_NAME_LEN];       //λ
    char                                  szCompanionName[120];                      //ͬԱ
    char                                  szCompanionCompany[MAX_COMPANY_NAME_LEN];  //ͬԱλ
    char                                  szPermissibleArea[MAX_COMMON_STRING_128];  //׼ͨ
	char								  szSection[200];		//
	BYTE         byReserved[120];
}NET_OPENDOOR_MATCHINFO;

//ͼƬϢ
typedef struct tagNET_OPENDOOR_IMAGEINFO
{
	int nLibImageLen;    //ƬȣΪ150k
    int nSnapImageLen;   //ץƬȣΪ150k
	char *pLibImage;     //Ƭڴû
	char *pSnapImage;    //ץƬڴû
    BYTE byReserved[1024];
}NET_OPENDOOR_IMAGEINFO;

//
typedef struct tagNET_IN_FACE_OPEN_DOOR
{
    DWORD                  dwSize;         
    UINT                   nChannel;     //ͨ
    EM_COMPARE_RESULT      emCompareResult;//ȶԽ
    NET_OPENDOOR_MATCHINFO stuMatchInfo;    //ƥϢ
    NET_OPENDOOR_IMAGEINFO stuImageInfo;   //ͼƬϢ
}NET_IN_FACE_OPEN_DOOR;

//
typedef struct tagNET_OUT_FACE_OPEN_DOOR
{
    DWORD dwSize;
}NET_OUT_FACE_OPEN_DOOR;

//
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FaceOpenDoor(LLONG lLoginID, NET_IN_FACE_OPEN_DOOR* pInParam, NET_OUT_FACE_OPEN_DOOR* pOutParam,int nWaitTime);

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// ״̬
typedef enum tagEM_LOGIC_VOLUME_STATUS
{	
	EM_LOGIC_VOLUME_STATUS_UNKNOWN = -1,					// δ֪
	EM_LOGIC_VOLUME_STATUS_NOT_NEED_REPAIR,					// ûзҪ޸
	EM_LOGIC_VOLUME_STATUS_LV_NEED_REPAIR,					// зҪ޸
	EM_LOGIC_VOLUME_STATUS_LV_REPAIRING,					// ޸
	EM_LOGIC_VOLUME_STATUS_LV_REPAIR_COMPLETE,				// Ѿ޸
}EM_LOGIC_VOLUME_STATUS;

// CLIENT_NASGetLogicVolumeStatusӿ
typedef struct tagNET_IN_NAS_GETLOGICVOLUMESTATUS
{
	DWORD			dwSize;									// ṹС
}NET_IN_NAS_GETLOGICVOLUMESTATUS;

// CLIENT_NASGetLogicVolumeStatusӿڳ
typedef struct tagNET_OUT_NAS_GETLOGICVOLUMESTATUS
{
	DWORD						dwSize;											// ṹС
	EM_LOGIC_VOLUME_STATUS		emLVStatus;										// ״̬
	char						szLvName[MAX_LV_NAME_NUM][MAX_LV_NAME_LEN];		// ,emLVStatusΪEM_LOGIC_VOLUME_STATUS_LV_NEED_REPAIREM_LOGIC_VOLUME_STATUS_LV_REPAIRINGʱЧ
	int							nRetLvNameNum;									// صķƸ
}NET_OUT_NAS_GETLOGICVOLUMESTATUS;

// ȡ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_NASGetLogicVolumeStatus(LLONG lLoginID, const NET_IN_NAS_GETLOGICVOLUMESTATUS *pInParam, NET_OUT_NAS_GETLOGICVOLUMESTATUS *pOutParam, int nWaitTime);

// ޸״̬
typedef enum tagEM_LOGIC_VOLUME_REPAIR_STATUS
{	
	EM_LOGIC_VOLUME_REPAIR_STATUS_UNKNOWN = -1,				// δ֪
	EM_LOGIC_VOLUME_REPAIR_STATUS_FAILED,					// ޸ʧ
	EM_LOGIC_VOLUME_REPAIR_STATUS_SUCCESS,					// ޸ɹ
}EM_LOGIC_VOLUME_REPAIR_STATUS;

// Ϣ
typedef struct tagNET_LV_STATE
{
	EM_LOGIC_VOLUME_REPAIR_STATUS	emLVRepairStatus;							// ޸״̬
	char						    szLvName[MAX_LV_NAME_NUM][MAX_LV_NAME_LEN];	// 
	int								nRetLvNameNum;								// صķƸ
	BYTE							byReserved[1024];							// 
}NET_LV_STATE;

// ޸״̬صԭΣlAttachHandle  CLIENT_AttachNASRepairState ֵ
typedef void (CALLBACK *fLVRepairStateCallBack) (LLONG lAttachHandle, NET_LV_STATE* pBuf, DWORD dwBufLen, LDWORD dwUser);

// CLIENT_AttachNASRepairStateӿ
typedef struct tagNET_IN_ATTACH_NAS_REPAIRSTATE
{
	DWORD						dwSize;								// ṹС
	fLVRepairStateCallBack      cbLVRepairState;					// ޸״̬ص
	BYTE						byReserved[4];						// Ԥֽ
	LDWORD						dwUser;								// û   
}NET_IN_ATTACH_NAS_REPAIRSTATE;

// CLIENT_AttachNASRepairStateӿڳ
typedef struct tagNET_OUT_ATTACH_NAS_REPAIRSTATE
{
	DWORD						dwSize;								// ṹС
}NET_OUT_ATTACH_NAS_REPAIRSTATE;

// ķ޸״̬
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachNASRepairState(LLONG lLoginID, const NET_IN_ATTACH_NAS_REPAIRSTATE* pInParam, NET_OUT_ATTACH_NAS_REPAIRSTATE* pOutParam, int nWaitTime);

// ȡķ޸״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachNASRepairState(LLONG lAttachHandle);

// ļѯ
typedef struct tagNET_FILE_FINEDER
{
	unsigned int				nRetFileListsCount;												// ʵʷصļ
	char						szFileLists[MAX_FILE_LIST_NUM][MAX_FILE_LIST_LEN];				// ҽļб
	BOOL						bFindFinished;													// Ƿ,TRUEʾ,FALSEʾڲ
	BYTE						byReserved[1024];												// ֽ
}NET_FILE_FINEDER;

// 첽ļصԭΣlAttachHandle  CLIENT_AttachNASFileFinder ֵ
typedef void (CALLBACK *fNasFileFinderCallback) (LLONG lAttachHandle, NET_FILE_FINEDER* pBuf, DWORD dwBufLen, LDWORD dwUser);

// CLIENT_AttachNASFileFinderӿ 
typedef struct tagNET_IN_ATTACHNASFILEFINDER
{
	DWORD						dwSize;						   // ṹС
	int							nFindPathsNum;				   // Ĳ·
	char						szFindPaths[MAX_FILE_FINDER_PATH_NUM][MAX_FILE_FINDER_PATH_LEN];		   // ·б
	char						szKey[MAX_KEY_LEN];			   // ҵĹؼ
	unsigned int				nOffset;					   // ƫ
	unsigned int				nCount;						   // 
	fNasFileFinderCallback		cbNasFileFinder;			   // ļص
	LDWORD						dwUser;						   // û  
}NET_IN_ATTACHNASFILEFINDER;

// CLIENT_AttachNASFileFinderӿڳ 
typedef struct tagNET_OUT_ATTACHNASFILEFINDER
{
	DWORD						dwSize;							// ṹС
}NET_OUT_ATTACHNASFILEFINDER;

// 첽ļ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachNASFileFinder(LLONG lLoginID, const NET_IN_ATTACHNASFILEFINDER* pInParam, NET_OUT_ATTACHNASFILEFINDER* pOutParam, int nWaitTime);

// ȡ첽ļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachNASFileFinder(LLONG lAttachHandle);

// طŻص
typedef enum tagEM_PLAYBACK_STREAM_TYPE
{
	EM_PLAYBACK_STREAM_TYPE_UNKNOWN = -1,       // δ֪
	EM_PLAYBACK_STREAM_TYPE_ORIGINAL_STREAM,	// ֻصԭʼ
	EM_PLAYBACK_STREAM_TYPE_MAX,				// ֵ
}EM_PLAYBACK_STREAM_TYPE;

// ûطŻص
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPlayBackStreamType(LLONG lLoginID, EM_PLAYBACK_STREAM_TYPE emStreamType);

// CLIENT_GetFingerprintCapsӿ 
typedef struct tagNET_IN_GET_FINGERPRINTCAPS
{
	DWORD						dwSize;						   // ṹС
}NET_IN_GET_FINGERPRINTCAPS;

// CLIENT_GetFingerprintCapsӿڳ 
typedef struct tagNET_OUT_GET_FINGERPRINTCAPS
{
	DWORD						dwSize;							// ṹС
	BOOL                        bSupportFingerprint;            // Ƿָ֧, TRUE:֧; FALSE:֧
}NET_OUT_GET_FINGERPRINTCAPS;

// ȡָ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetFingerprintCaps(LLONG lLoginID, NET_IN_GET_FINGERPRINTCAPS* pInParam, NET_OUT_GET_FINGERPRINTCAPS* pOutParam, int nWaitTime);

// 豸ڵг
typedef enum tagEM_DEVICE_MARKET_AREA
{
	EM_DEVICE_MARKET_AREA_UNKNOWN,		// δ֪
	EM_DEVICE_MARKET_AREA_MAINLAND,		// 
	EM_DEVICE_MARKET_AREA_OVERSEA,		// 
}EM_DEVICE_MARKET_AREA;

// CLIENT_GetMarketAreaӿ
typedef struct tagNET_IN_GET_MARKET_AREA
{
	DWORD						dwSize;				// ṹС
}NET_IN_GET_MARKET_AREA;

// CLIENT_GetMarketAreaӿڳ
typedef struct tagNET_OUT_GET_MARKET_AREA
{
	DWORD						dwSize;				// ṹС
	EM_DEVICE_MARKET_AREA		emMarketArea;		// г
}NET_OUT_GET_MARKET_AREA;

// õг
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetMarketArea(LLONG lLoginID, const NET_IN_GET_MARKET_AREA* pInParam, NET_OUT_GET_MARKET_AREA* pOutParam, int nWaitTime);

/////////////////////////////////ӿ start//////////////////////////////

//״￪ʼ֪ͨ(Ӧ EM_RADAR_OPERATE_TYPE_STARTUPGRADE)
typedef struct tagNET_IN_RADAR_STARTUPGRADE
{
	DWORD                       dwSize;                  // ṹС
}NET_IN_RADAR_STARTUPGRADE;

//״￪ʼ֪ͨ(Ӧ EM_RADAR_OPERATE_TYPE_STARTUPGRADE)
typedef struct tagNET_OUT_RADAR_STARTUPGRADE
{
	DWORD                       dwSize;                  // ṹС
}NET_OUT_RADAR_STARTUPGRADE;

//ȡ״(Ӧ EM_RADAR_OPERATE_TYPE_GETCAPS)
typedef struct tagNET_IN_RADAR_GETCAPS
{
	DWORD                       dwSize;                  // ṹС
	int							nChannel;				 // ͨ
}NET_IN_RADAR_GETCAPS;

//ȡ״(Ӧ EM_RADAR_OPERATE_TYPE_GETCAPS)
typedef struct tagNET_OUT_RADAR_GETCAPS
{
	DWORD                       dwSize;                  // ṹС
	int                         nDetectionRange;         // ״̽룬ʵʾ100,λ
	int                         nDetectionAngle;         // ״̽ǶȣʵʽǶ100,λ
	int                         nDetectionHuman;         // ״̽룬ʵʾ100,λ
}NET_OUT_RADAR_GETCAPS;

//ȡ״״̬(Ӧ EM_RADAR_OPERATE_TYPE_GETSTATUS)
typedef struct tagNET_IN_RADAR_GETSTATUS
{
	DWORD                       dwSize;                  // ṹС
	int							nChannel;				 // ͨ
}NET_IN_RADAR_GETSTATUS;

//״״̬
typedef enum tagEM_RADAR_STATUS
{
	EM_RADAR_STATUS_UNKNOWN,                             // δ֪
	EM_RADAR_STATUS_NORMAL,                              // 
	EM_RADAR_STATUS_ABNORMAL,                            // 쳣
}EM_RADAR_STATUS;

//ȡ״״̬(Ӧ EM_RADAR_OPERATE_TYPE_GETSTATUS)
typedef struct tagNET_OUT_RADAR_GETSTATUS
{
	DWORD                       dwSize;                  // ṹС
	EM_RADAR_STATUS             emRadarStatus;           // ״״̬
}NET_OUT_RADAR_GETSTATUS;

//ͼƬ߶ε
typedef struct tagNET_RADAR_PIXELLINE
{
	int                         nLeftX;                  // 󶥵X
	int                         nLeftY;                  // 󶥵Y
	int                         nRightX;                 // ҶX
	int                         nRightY;                 // ҶY
	BYTE                        byReserved[64];          // ֽ
}NET_RADAR_PIXELLINE;

//ͼƬӦĵͼʵʳ(Ӧ EM_RADAR_OPERATE_TYPE_CALCULATEREALSIZE)
typedef struct tagNET_IN_RADAR_CALCULATEREALSIZE
{
	DWORD                       dwSize;                  // ṹС
	int							nChannel;				 // ͨ
	NET_RADAR_PIXELLINE         stuPixelLine;            // ͼƬ߶ε
	double                      dDistance;               // ͼƬ߶δʵʳȣλ
}NET_IN_RADAR_CALCULATEREALSIZE;

//ͼƬӦĵͼʵʳȳ(Ӧ EM_RADAR_OPERATE_TYPE_CALCULATEREALSIZE)
typedef struct tagNET_OUT_RADAR_CALCULATEREALSIZE
{
	DWORD                       dwSize;                  // ṹС
	int                         nRealMapLength;          // ʵʵͼĸ߶ȣλףʵʳ100ʾ
	int                         nRealMapWidth;           // ʵʵͼĿȣλףʵʿ100ʾ
}NET_OUT_RADAR_CALCULATEREALSIZE;

//ͼƬУ׼
typedef struct tagNET_RADAR_PIXELPOINT
{								
	int                         nPixelPointX;			 // X(0~8191) 
	int                         nPixelPointY;			 // Y(0~8191)
}NET_RADAR_PIXELPOINT;

//У׼(Ӧ EM_RADAR_OPERATE_TYPE_SETCALIBRATION)
typedef struct tagNET_IN_RADAR_SETCALIBRATION
{
	DWORD                       dwSize;                  // ṹС
	BYTE                        byReserved[4];           // ֽ
	NET_RADAR_PIXELPOINT        stuPixelPoint;           // ͼƬУ׼
	double                      dInstallHeigt;           // İװ߶ȣλ
}NET_IN_RADAR_SETCALIBRATION;

//У׼ó(Ӧ EM_RADAR_OPERATE_TYPE_SETCALIBRATION)
typedef struct tagNET_OUT_RADAR_SETCALIBRATION
{
	DWORD                       dwSize;                  // ṹС
}NET_OUT_RADAR_SETCALIBRATION;

//״
typedef enum tagEM_RADAR_OPERATE_TYPE
{
	EM_RADAR_OPERATE_TYPE_STARTUPGRADE = 0,              // ״￪ʼ֪ͨ,:NET_IN_RADAR_STARTUPGRADE,:NET_OUT_RADAR_STARTUPGRADE
	EM_RADAR_OPERATE_TYPE_GETCAPS = 1,                   // ȡ״,:NET_IN_RADAR_GETCAPS,:NET_OUT_RADAR_GETCAPS
	EM_RADAR_OPERATE_TYPE_GETSTATUS = 2,                 // ȡ״״̬,:NET_IN_RADAR_GETSTATUS,:NET_OUT_RADAR_GETSTATUS
	EM_RADAR_OPERATE_TYPE_CALCULATEREALSIZE = 3,         // ͼƬӦĵͼʵʳ,:NET_IN_RADAR_CALCULATEREALSIZE,:NET_OUT_RADAR_CALCULATEREALSIZE
	EM_RADAR_OPERATE_TYPE_SETCALIBRATION = 4,            // У׼·,:NET_IN_RADAR_SETCALIBRATION,:NET_OUT_RADAR_SETCALIBRATION
}EM_RADAR_OPERATE_TYPE;

//״
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RadarOperate(LLONG lLoginID, EM_RADAR_OPERATE_TYPE emType, void* pInBuf, void* pOutBuf, int nWaitTime);

#define NET_RADAR_MAX_NUM_ALARMPOINT    64               // ״ﱨ

//͵
typedef enum tagEM_RADAR_POINTTYPE
{
	EM_RADAR_POINTTYPE_UNKNOWN,                          // δ֪
	EM_RADAR_POINTTYPE_ALARMPOINT,                       // ǰǱı
	EM_RADAR_POINTTYPE_LINKMONITORPOINT,                 // ǰڱصĵ
	EM_RADAR_POINTTYPE_DISAPPEARTRACKPOINT,              // ǰʧĹ켣
}EM_RADAR_POINTTYPE;

//ָ͵
typedef enum tagEM_RADAR_OBJECTTYPE
{
	EM_RADAR_OBJECTTYPE_UNKNOWN,                         // δʶĿ
	EM_RADAR_OBJECTTYPE_PERSON,                          // ĿΪ
	EM_RADAR_OBJECTTYPE_VEHICLE,                         // ĿΪͨ
	EM_RADAR_OBJECTTYPE_TREE,                            // ĿΪ
	EM_RADAR_OBJECTTYPE_BUILIDING,                       // ĿΪ
	EM_RADAR_OBJECTTYPE_SCREEN,                          // ĿΪĻ
}EM_RADAR_OBJECTTYPE;

//״ﱨϢ
typedef struct tagNET_RADAR_ALARMPOINT_INFO
{
	EM_RADAR_POINTTYPE          emPointType;             // ͵,ֶη,벻Ҫʹ,ʹnPointType
	int                         nPointType;              // ͵
	//bit0Ч
	//bit1ǰʧĹ켣
	//bit2ǰڱصĵ
	//bit3ǰǱı
	//ע״̬жֵΪ0xCʱʾǰĵڱصĵ㣬Ǳı
	int                         nRegionNumber;           // ǰķ,Χ[0,10]([1,10]Ϊ,0ʾǰ㲻κһ)
	EM_RADAR_OBJECTTYPE         emObjectType;            // ָ͵
	int                         nTrackID;                // Ĺ켣,Χ[0,63]
	int                         nDistance;               // ǰؼֵ-룬ʵʳ100Ľ,λ
	int                         nAngle;                  // ǰؼֵ-ǶȣʵʽǶ100Ľλ
	int                         nSpeed;                  // ǰٶȣ100Ľλ/
	BYTE                        byReserved[512];         // ֽ
}NET_RADAR_ALARMPOINT_INFO;

//ϱ״ﱨϢ
typedef struct tagNET_RADAR_NOTIFY_ALARMPOINTINFO
{
	int                         nNumAlarmPoint;          // ״ﱨ
	NET_RADAR_ALARMPOINT_INFO   stuAlarmPoint[NET_RADAR_MAX_NUM_ALARMPOINT];  // ״ﱨϢ
	int							nChannel;				 // ͨ
	BYTE                        byReserved[1020];        // ֽ
}NET_RADAR_NOTIFY_ALARMPOINTINFO;

//״ﱨϢصָ
typedef void (CALLBACK *fRadarAlarmPointInfoCallBack) (LLONG lLoginId, LLONG lAttachHandle, const NET_RADAR_NOTIFY_ALARMPOINTINFO* pBuf, DWORD dwBufLen, void* pReserved, LDWORD dwUser);

//״ıϢ(Ӧӿ CLIENT_AttachRadarAlarmPointInfo)
typedef struct tagNET_IN_RADAR_ALARMPOINTINFO
{
	DWORD                       dwSize;                  // ṹС
	fRadarAlarmPointInfoCallBack    cbAlarmPointInfo;    // ״ﱨϢص
	LDWORD                      dwUser;                  // û
	int							nChannel;				 // ͨ
}NET_IN_RADAR_ALARMPOINTINFO;

//״ıϢ(Ӧӿ CLIENT_AttachRadarAlarmPointInfo)
typedef struct tagNET_OUT_RADAR_ALARMPOINTINFO
{
	DWORD                       dwSize;                  // ṹС
}NET_OUT_RADAR_ALARMPOINTINFO;

//״ıϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachRadarAlarmPointInfo(LLONG lLoginID, const NET_IN_RADAR_ALARMPOINTINFO * pstInParam, NET_OUT_RADAR_ALARMPOINTINFO* pstOutParam, int nWaitTime);

//ȡ״ıϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachRadarAlarmPointInfo(LLONG lAttachHandle);

// ȡ״Զ״̬
typedef struct tagNET_IN_RADAR_GET_LINKSTATE
{
	DWORD						dwSize;					// ṹС
	int							nChannel;				// ͨ
	int							nSDLinkNum;				// 豸ipΪ0ʱ᷵صǰ豸е豸״̬
	char						szSDLinkIP[MAX_RADAR_SD_NUM][32];//豸ip
}NET_IN_RADAR_GET_LINKSTATE;

// 豸״̬
typedef enum tagNET_EM_RADAR_LINK_SD_STATE
{
	NET_EM_RADAR_LINK_SD_STATE_UNKNOWN = -1,					// δ֪
	NET_EM_RADAR_LINK_SD_STATE_NORMAL,							// 
	NET_EM_RADAR_LINK_SD_STATE_TIMEOUT,							// ʱ
	NET_EM_RADAR_LINK_SD_STATE_OFFLINE,							// 
	NET_EM_RADAR_LINK_SD_STATE_NOT_LINK,						// δ
}NET_EM_RADAR_LINK_SD_STATE;

// 豸״̬Ϣ
typedef struct tagNET_LINKSTATE_INFO
{
	char						szSDLinkIP[32];			// 豸ip
	NET_EM_RADAR_LINK_SD_STATE	emState;				// 豸״̬
	int							nVirtualChannel;		// Ƶͨţ״ض,ͨ1ʼ
	BYTE						byReserved[1020];		// 	
}NET_LINKSTATE_INFO;

// ȡ״Զ״̬
typedef struct tagNET_OUT_RADAR_GET_LINKSTATE
{
	DWORD						dwSize;					// ṹС
	int							nSDLinkNum;				// 豸
	NET_LINKSTATE_INFO			stuSDLinkState[MAX_RADAR_SD_NUM];// 豸״̬Ϣ
}NET_OUT_RADAR_GET_LINKSTATE;

// ӵԶ豸Ϣ
typedef struct tagNET_RADARLINKDEVICE_ADD_INFO
{
	char						szSDLinkIP[32];			 // Ƶ豸ip
	char						szUserName[128];		 // û
	char						szPassword[32];			 // 
	int							nPort;					 // ˿
	BYTE						byReserved[316];		 // 
}NET_RADARLINKDEVICE_ADD_INFO;

// CLIENT_AddRadarLinkSDӿ
typedef struct tagNET_IN_RADAR_ADD_RADARLINKSD
{
	DWORD							dwSize;							// ṹС
	int								nChannelID;						// ͨ
	NET_RADARLINKDEVICE_ADD_INFO	stuDevices[MAX_RADAR_SD_NUM];	// 
	int								nDevicesNum;					// Чݸ
}NET_IN_RADAR_ADD_RADARLINKSD;

// 
typedef enum tagNET_EM_RADARLINKDEVICE_ADD_ERRORCODE
{
	EM_EM_RADARLINKDEVICE_ADD_UNKNOWN = -1,							// δ֪
	EM_EM_RADARLINKDEVICE_ADD_SUCCESS = 0,							// 
	EM_EM_RADARLINKDEVICE_ADD_TIMEOUT,								// ʱ
	EM_EM_RADARLINKDEVICE_ADD_ACCOUNTERROR,							// û
	EM_EM_RADARLINKDEVICE_ADD_NOTSUPPORT,							// 豸֧
}NET_EM_RADARLINKDEVICE_ADD_ERRORCODE;

// ӿڷصĽ
typedef struct tagNET_RADARLINKDEVICE_ADD_RESULT
{
	NET_EM_RADARLINKDEVICE_ADD_ERRORCODE	emErrorCode;			// 
	BYTE									byReserved[252];		// 
}NET_RADARLINKDEVICE_ADD_RESULT;

// CLIENT_AddRadarLinkSDӿڳ
typedef struct tagNET_OUT_RADAR_ADD_RADARLINKSD
{
	DWORD							dwSize;							// ṹС
	int								nRetResultNum;					// Чݸ
	NET_RADARLINKDEVICE_ADD_RESULT	stuAddResult[MAX_RADAR_SD_NUM];	// ӽ±Ӧе豸Ϣ
}NET_OUT_RADAR_ADD_RADARLINKSD;

// ɾԶ豸Ϣ
typedef struct tagNET_RADARLINKDEVICE_DEL_INFO
{
	char						szSDLinkIP[32];			 // Ƶ豸ip
	BYTE						byReserved[224];		 // 
}NET_RADARLINKDEVICE_DEL_INFO;

// CLIENT_DelRadarLinkSDӿ
typedef struct tagNET_IN_RADAR_DEL_RADARLINKSD
{
	DWORD							dwSize;							// ṹС
	int								nChannelID;						// ͨ
	NET_RADARLINKDEVICE_DEL_INFO	stuDevices[MAX_RADAR_SD_NUM];	// 
	int								nDevicesNum;					// Чݸ,Ϊ0ʾɾ豸
}NET_IN_RADAR_DEL_RADARLINKSD;

// CLIENT_DelRadarLinkSDӿڳ
typedef struct tagNET_OUT_RADAR_DEL_RADARLINKSD
{
	DWORD							dwSize;							// ṹС
}NET_OUT_RADAR_DEL_RADARLINKSD;

// CLIENT_RadarManualLocateӿ
typedef struct tagNET_IN_RADAR_MANUAL_LOCATE
{
	DWORD							dwSize;							// ṹС
	int								nChannelID;						// ͨ
	NET_POINT						stuLocatePoint;					// λ
}NET_IN_RADAR_MANUAL_LOCATE;

// CLIENT_RadarManualLocateӿڳ
typedef struct tagNET_OUT_RADAR_MANUAL_LOCATE
{
	DWORD							dwSize;							// ṹС
}NET_OUT_RADAR_MANUAL_LOCATE;

// ƬΪ
typedef enum tagNET_EM_RADAR_RFIDCARD_ACTION
{
	EM_RADAR_RFIDCARD_ACTION_UNKNOWN = 0,							// δ֪
	EM_RADAR_RFIDCARD_ACTION_LEAVE,									// Ƭ뿪
	EM_RADAR_RFIDCARD_ACTION_ENTER,									// Ƭ
}NET_EM_RADAR_RFIDCARD_ACTION;

// RFIDƬϢ
typedef struct tagNET_RADAR_RFIDCARD_INFO
{
	char							szCardID[24];					// ƬID
	NET_EM_RADAR_RFIDCARD_ACTION	emCardAction;					// ƬΪ
	BYTE							byReserved[124];				// ֽ
}NET_RADAR_RFIDCARD_INFO;

//ϱ״RFIDϢ
typedef struct tagNET_RADAR_NOTIFY_RFIDCARD_INFO
{
	int							nChannel;
	int							nCardNum;
	NET_RADAR_RFIDCARD_INFO		stuCardInfo[256];		 // RFIDƬϢ
	BYTE                        byReserved[1024];        // ֽ
}NET_RADAR_NOTIFY_RFIDCARD_INFO;

//״RFIDϢصָ
typedef void (CALLBACK *fRadarRFIDCardInfoCallBack) (LLONG lLoginId, LLONG lAttachHandle, const NET_RADAR_NOTIFY_RFIDCARD_INFO* pBuf, DWORD dwBufLen, void* pReserved, LDWORD dwUser);

// CLIENT_AttachRadarRFIDCardInfoӿ
typedef struct tagNET_IN_ATTACH_RADAR_RFIDCARD_INFO
{
	DWORD							dwSize;							// ṹС
	int								nChannelID;						// ͨ
	fRadarRFIDCardInfoCallBack		cbRFIDCardInfo;					// ״RFIDCardϢص
	LDWORD							dwUser;							// û
}NET_IN_ATTACH_RADAR_RFIDCARD_INFO;

// CLIENT_AttachRadarRFIDCardInfoӿڳ
typedef struct tagNET_OUT_ATTACH_RADAR_RFIDCARD_INFO
{
	DWORD							dwSize;							// ṹС
}NET_OUT_ATTACH_RADAR_RFIDCARD_INFO;

// ȡ״Զ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetRadarLinkSDState(LLONG lLoginID, const NET_IN_RADAR_GET_LINKSTATE * pstInParam, NET_OUT_RADAR_GET_LINKSTATE* pstOutParam, int nWaitTime);

// ״
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddRadarLinkSD(LLONG lLoginID, const NET_IN_RADAR_ADD_RADARLINKSD * pstInParam, NET_OUT_RADAR_ADD_RADARLINKSD* pstOutParam, int nWaitTime);

// ״ɾ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DelRadarLinkSD(LLONG lLoginID, const NET_IN_RADAR_DEL_RADARLINKSD * pstInParam, NET_OUT_RADAR_DEL_RADARLINKSD* pstOutParam, int nWaitTime);

// ֶλܣ״̨תڶλ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RadarManualLocate(LLONG lLoginID, const NET_IN_RADAR_MANUAL_LOCATE * pstInParam, NET_OUT_RADAR_MANUAL_LOCATE* pstOutParam, int nWaitTime);

// ״ﶩRFIDƬϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachRadarRFIDCardInfo(LLONG lLoginID, const NET_IN_ATTACH_RADAR_RFIDCARD_INFO * pstInParam, NET_OUT_ATTACH_RADAR_RFIDCARD_INFO* pstOutParam, int nWaitTime);

// ״ȡRFIDƬϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachRadarRFIDCardInfo(LLONG lAttachHandle);

//״¼(Ӧ DH_ALARM_RADAR_REGIONDETECTION)
typedef struct tagALARM_RADAR_REGIONDETECTION_INFO
{
	int                         nAction;                 // ¼1:Start 2:Stop
	NET_TIME_EX			        stuTime;				 // ¼ʱ
	BYTE                	    byReserved[512];       	 // ֽ 
}ALARM_RADAR_REGIONDETECTION_INFO;

//״ͼߴ(Ӧ NET_EM_CFG_RADAR_MAPPARA)
typedef struct tagNET_CFG_RADAR_MAPPARA_INFO
{
	DWORD                       dwSize;                  // ṹС
	BYTE                        byReserved[4];           // ֽڶ
	NET_RADAR_PIXELLINE         stuPixelLine;            // ͼƬ߶ε
	double                      dDistance;               // ͼƬ߶δʵʳ,λ
	NET_RADAR_PIXELPOINT        stuPixelPoint;           // ״ڵͼϵ
	double                      dRadarDirectionAngle;    // ״ﳯ,λ
}NET_CFG_RADAR_MAPPARA_INFO;

// У׼
typedef struct tagNET_RADAR_CALIBRATIONPOS
{
	NET_RADAR_PIXELPOINT        stuPixelPoint;           // У׼
	double                      dPositionX;              // ˮƽǶ,һ-1~1
	double                      dPositionY;              // ֱǶ,һ-1~1
	double                      dZoom;                   // Ŵ,һ 0~1
	BYTE                	    byReserved[512];       	 // ֽ 
}NET_RADAR_CALIBRATIONPOS;

// У׼
typedef struct tagNET_RADAR_CALIBRATION_PARAS
{
	int							nCalibrationPosNum;		 // У׼
	BYTE                	    byReserved1[4];       	 // ֽڶ 
	NET_RADAR_CALIBRATIONPOS	stuCalibrationPos[4];	 // У׼
	char						szSDLinkIP[32];			 // Ƶ豸ip
	double                      dLinkSDHeight;			 // װ߶ȣλ
	double                      dTiltRecoupAngle;		 // ֱ
	BYTE                	    byReserved[1024];        // ֽ 
}NET_RADAR_CALIBRATION_PARAS;

//У׼(Ӧ NET_EM_CFG_RADAR_CALIBRATION)
typedef struct tagNET_CFG_RADAR_CALIBRATION_INFO
{
	DWORD                       dwSize;									// ṹС
	int							nCalibrationParasNum;					// У׼
	NET_RADAR_CALIBRATION_PARAS	stuCalibrationParas[MAX_RADAR_SD_NUM];	// У׼
	double                      dInstallHeight;							// װ߶ȣλ
	double                      dSlopeAngle;							// б²Ƕ
}NET_CFG_RADAR_CALIBRATION_INFO;

//״ʹ(Ӧ NET_EM_CFG_RADAR_LINKSD)
typedef struct tagNET_CFG_RADAR_LINKSD_INFO
{
	DWORD                       dwSize;                  // ṹС
	BOOL                        bRadarLink;              // ״ʹ
}NET_CFG_RADAR_LINKSD_INFO;

#define NET_RADAR_MAX_NUM_RULELINE       10              // ߵ
#define NET_RADAR_MAX_NUM_POLYGON         24             // ߶

//״
typedef enum tagEM_RADAR_RULETYPE
{
	EM_RADAR_RULETYPE_UNKNOWN,                           // δ֪
	EM_RADAR_RULETYPE_ALARM,                             // Ԥ
	EM_RADAR_RULETYPE_SHIELD,                            // 
	EM_RADAR_RULETYPE_HIGHALARM,                         // ߼
}EM_RADAR_RULETYPE;

#define RADAR_TARGET_FILTER_HUMAN	0x01				 // 
#define RADAR_TARGET_FILTER_CAR		0x02				 // 
#define RADAR_TARGET_FILTER_ANIMAL	0x04				 // 

//
typedef struct tagNET_RADAR_RULELINE
{
	char                        szName[DH_COMMON_STRING_128];// ,
	int                         nRegionNumber;               // ߱,Χ[1,10]
	BOOL                        bEnable;                     // Ƿʹ
	EM_RADAR_RULETYPE           emRuleType;                  // ,澯
	DH_POINT		            stuPolygon[DH_MAX_POLYGON_NUM];		// ,ÿαʾߵĶ
	int					        nPolygonPointNum;	         // ߶ĸ,ĸΧ[3, 24]
	int							nTargetFilter;				 // Ŀ bit1:, bit2:, bit3: ʹ|Уʹ&
	int							nAlarmOutNumber;			 // ıõıţӦNET_RADAR_ANALYSERULEnAlarmOutNumberֶ
	BYTE                        byReserved[504];             // ֽ
}NET_RADAR_RULELINE;

//״(Ӧ NET_EM_CFG_RADAR_RULELINE)
typedef struct tagNET_CFG_RADAR_RULELINE_INFO
{
	DWORD                       dwSize;                  // ṹС
	int                         nNumRuleLine;            // ҪõĹ
	NET_RADAR_RULELINE          stuRuleLine[NET_RADAR_MAX_NUM_RULELINE];   //
}NET_CFG_RADAR_RULELINE_INFO;

// 
typedef struct tagNET_RADAR_ANALYSERULE
{
	char						szSDLinkIP[32];			 // ƵIP
	int							nAlarmOutNumber;		 // ñţΨһ
	BOOL                        bEnable;                 // ʹ
	NET_CFG_ALARM_MSG_HANDLE    stuEventHandler;         // 
	BYTE                        byReserved[1024];        // ֽ
}NET_RADAR_ANALYSERULE;

//״ﱨ(Ӧ NET_EM_CFG_RADAR_ANALYSERULE)
typedef struct tagNET_CFG_RADAR_ANALYSERULE_INFO
{
	DWORD                       dwSize;                  // ṹС
	int							nAnalyseRuleNum;		 // ø
	NET_RADAR_ANALYSERULE		stuAnalyseRules[MAX_RADAR_SD_NUM]; // 
}NET_CFG_RADAR_ANALYSERULE_INFO;

//лģʽ
typedef enum tagEM_RADAR_TRACKSWITCHMODE
{
	EM_RADAR_TRACKSWITCHMODE_UNKNOWN,                    // δ֪
	EM_RADAR_TRACKSWITCHMODE_ROTATION,                   // Ѳ
	EM_RADAR_TRACKSWITCHMODE_TIMEFIRST,                  // ʱ
	EM_RADAR_TRACKSWITCHMODE_DISTANCEFIRST,              // 
}EM_RADAR_TRACKSWITCHMODE;

//״ȫ(Ӧ NET_EM_CFG_RADAR_TRACKGLOBALCONFIG)
typedef struct tagNET_CFG_RADAR_TRACKGLOBALCONFIG_INFO
{
	DWORD                       dwSize;                  // ṹС
	BOOL                        bSectorDisable;          // ʹ
	int                         nTrajectoryTime;         // 켣ʱ,λ,Χ[3,30]
	int                         nTrackSwitchTime;        // лʱ,λ,Χ[1,15]
	EM_RADAR_TRACKSWITCHMODE    emTrackSwitchMode;       // лģʽ
}NET_CFG_RADAR_TRACKGLOBALCONFIG_INFO;

// ״ﳡ
typedef enum tagNET_EM_RADAR_SCENE_TYPE
{
	NET_EM_RADAR_SCENE_UNKNOWN = 0,						// δ֪
	NET_EM_RADAR_SCENE_DEFAULT,							// Ĭ
	NET_EM_RADAR_SCENE_SHRUB,							// ľ
	NET_EM_RADAR_SCENE_ROOMY,							// 
	NET_EM_RADAR_SCENE_CUSTOM,							// Զ
}NET_EM_RADAR_SCENE_TYPE;

// ״ﳡ
typedef struct tagNET_RADAR_SCENE
{
	NET_EM_RADAR_SCENE_TYPE emType;						// ״ﳡ
	BYTE					byReserved[508];			// 
}NET_RADAR_SCENE;

// ṹϢ
typedef struct tagNET_RADAR_STRUCTURED
{
	BOOL					bEnable;					// ṹϢʾʹ
	BYTE					byReserved[508];			// 
}NET_RADAR_STRUCTURED;

// ״﷢书
typedef struct tagNET_RADAR_CAPACITY
{
	int						nPower;						//  1:50; 2:100; 3:150
	BYTE					byReserved[508];			// 
}NET_RADAR_CAPACITY;

// ״ŵ
typedef struct tagNET_RADAR_RADARCHANNEL
{
	int						nRoute;						// ŵѡ, 1: ŵ1   2:ŵ2
	BYTE					byReserved[508];			// 
}NET_RADAR_RADARCHANNEL;

// ״ٻռ
typedef struct tagNET_RADAR_TARGETRATIO
{
	int						nRatio;						// ռȱ
	BYTE					byReserved[60];				// 
}NET_RADAR_TARGETRATIO;

//״﹦(Ӧ NET_EM_CFG_RADAR_RADARPARA)
typedef struct tagNET_CFG_RADAR_RADARPARA_INFO
{
	DWORD                       dwSize;                  // ṹС
	NET_RADAR_SCENE				stuScene;			     // ״ﳡ
	NET_RADAR_STRUCTURED		stuStructured;			 // ṹϢ
	NET_RADAR_CAPACITY			stuCapacity;			 // ״﷢书
	NET_RADAR_RADARCHANNEL		stuRadarChannel;		 // ״ŵ
	NET_RADAR_TARGETRATIO		stuTargetRatio;			 // ״ٻռ
}NET_CFG_RADAR_RADARPARA_INFO;

//ԶʹϢ
typedef struct tagNET_REMOTESDLINK_INFO
{
	char						szSDLinkIP[32];			 // Ƶ豸ip
	BOOL						bRadarLink;				 // ʹ
	BYTE						byReserved[476];		 // 
}NET_REMOTESDLINK_INFO;

//״Զʹ(Ӧ NET_EM_CFG_RADAR_REMOTESDLINK)
typedef struct tagNET_CFG_RADAR_REMOTESDLINK_INFO
{
	DWORD                       dwSize;                  // ṹС
	int							nLinkNum;				 // 
	NET_REMOTESDLINK_INFO		stuLinkInfos[MAX_RADAR_SD_NUM];// ԶʹϢ
}NET_CFG_RADAR_REMOTESDLINK_INFO;

//Զ豸Ϣ
typedef struct tagNET_RADARLINKDEVICE_INFO
{
	char						szSDLinkIP[32];			 // 豸ip
	char						szVendor[32];			 // 豸Դ
	int							nPort;					 // ˿(ѷ,ʹCLIENT_AddRadarLinkSD)
	char						szUserName[128];		 // û(ѷ,ʹCLIENT_AddRadarLinkSD)
	char						szPassword[32];			 // (ѷ,ʹCLIENT_AddRadarLinkSD)
	char						szDeviceType[32];		 // 豸
	char						szDeviceName[128];		 // 豸
	BYTE						byReserved[124];		 // 
}NET_RADARLINKDEVICE_INFO;

//״Զ豸(Ӧ NET_EM_CFG_RADAR_RADARLINKDEVICE)
typedef struct tagNET_CFG_RADAR_RADARLINKDEVICE_INFO
{
	DWORD                       dwSize;                  // ṹС
	int							nDevNum;				 // 
	NET_RADARLINKDEVICE_INFO	stuDevInfo[MAX_RADAR_SD_NUM]; // Զ豸Ϣ
}NET_CFG_RADAR_RADARLINKDEVICE_INFO;

// OSD λ
typedef enum tagNET_EM_OSD_AREA
{
	NET_EM_OSD_AREA_UNKNOWN,							 // δ֪
	NET_EM_OSD_AREA_LEFT_TOP,							 // 
	NET_EM_OSD_AREA_MID_TOP,							 // 
	NET_EM_OSD_AREA_RIGHT_TOP,							 // 
	NET_EM_OSD_AREA_MID_LEFT,							 // 
	NET_EM_OSD_AREA_MID_RIGHT,							 // 
	NET_EM_OSD_AREA_LEFT_BOTTOM,						 // 
	NET_EM_OSD_AREA_MID_BOTTOM,							 // 
	NET_EM_OSD_AREA_RIGHT_BOTTOM,						 // 
}NET_EM_OSD_AREA;

//״ͼOSD(Ӧ NET_EM_CFG_RADAR_MAPOSDPARA)
typedef struct tagNET_CFG_RADAR_MAPOSDPARA_INFO
{
	DWORD                       dwSize;                  // ṹС
	NET_EM_OSD_AREA				emOSDArea;				 // λ
}NET_CFG_RADAR_MAPOSDPARA_INFO;

/////////////////////////////////ӿ end////////////////////////////////

#define NET_CFG_MAX_CTRLTYPE_NUM       16            // բƷʽ
#define NET_MAX_ALL_SNAP_CAR_COUNT	   32			 // гբ

// բƷʽö
typedef enum tagNET_EM_CFG_TRAFFICSTROBE_CTRTYPE
{
	NET_EM_CFG_CTRTYPE_UNKNOWN = 0,                 // δ
	NET_EM_CFG_CTRTYPE_TRAFFICTRUSTLIST,            // ͨǷբֻаڳſբ
	NET_EM_CFG_CTRTYPE_ALLSNAPCAR,                  // ץĳբ
	NET_EM_CFG_CTRTYPE_ORDER,                       // ͨϲ·բ
} NET_EM_CFG_TRAFFICSTROBE_CTRTYPE;

// гբ
typedef enum tagNET_EM_CFG_ALL_SNAP_CAR
{
	NET_EM_CFG_ALL_SNAP_CAR_UNKNOWN,				// δ֪բ
	NET_EM_CFG_ALL_SNAP_CAR_PLATE,					// Ƴ
	NET_EM_CFG_ALL_SNAP_CAR_NOPLATE,				// Ƴ
}NET_EM_CFG_ALL_SNAP_CAR;

// բ
typedef struct tagNET_CFG_STATIONARY_OPEN
{
	BOOL							bEnable;			// ʹ
	NET_CFG_TIME_SCHEDULE			stTimeShecule;		// ģʽִʱ
}NET_CFG_STATIONARY_OPEN;

// բϢ(Ӧ NET_EM_CFG_TRAFFICSTROBE )
typedef struct tagNET_CFG_TRAFFICSTROBE_INFO
{
	DWORD								dwSize;										// ṹС
	BOOL								bEnable;									// ʹ
	int									nCtrlTypeCount;								// բƷʽ
	NET_EM_CFG_TRAFFICSTROBE_CTRTYPE    emCtrlType[NET_CFG_MAX_CTRLTYPE_NUM];		// բƷʽ
	int									nAllSnapCarCount;							// гբ
	NET_EM_CFG_ALL_SNAP_CAR				emAllSnapCar[NET_MAX_ALL_SNAP_CAR_COUNT];	// гբ	
	NET_ALARM_MSG_HANDLE				stuEventHandler;							// բ
	NET_ALARM_MSG_HANDLE				stuEventHandlerClose;						// رյբ
	char								szOrderIP[DH_MAX_IPADDR_EX_LEN];			// բƽ̨IP
	NET_EM_CFG_TRAFFICSTROBE_CTRTYPE	emCtrlTypeOnDisconnect;						// ƽ̨IP豸ϿӺ豸õĿբʽ
	NET_CFG_STATIONARY_OPEN				stuStationaryOpen;							// բ
}NET_CFG_TRAFFICSTROBE_INFO;

// CLIENT_DialRecognitionAddTaskӿ
typedef struct tagNET_IN_DIALRECOGNITION_ADD_TASK
{
	DWORD				dwSize;				// ṹС
	unsigned int		nChannel;			// ͨ
	unsigned int		nPresetID;			// ԤõID,ͨIPC,ֻΪ0,ʧ
}NET_IN_DIALRECOGNITION_ADD_TASK;

// ӽ
typedef enum tagEM_ADD_RESULT
{
	EM_ADD_RESULT_UNKNOWN,			// δ֪
	EM_ADD_RESULT_SUCCESS,			// ӳɹ
	EM_ADD_RESULT_PRESET_ERROR,		// Ԥõ
}EM_ADD_RESULT;

// CLIENT_DialRecognitionAddTaskӿڳ
typedef struct tagNET_OUT_DIALRECOGNITION_ADD_TASK
{
	DWORD				dwSize;								// ṹС
	EM_ADD_RESULT		emAddResult;						// ӽ
	char				szTaskID[MAX_TASK_ID_LEN];			// ID,ֻemAddResultΪEM_ADD_RESULT_SUCCESSʱЧ
}NET_OUT_DIALRECOGNITION_ADD_TASK;

// Ǳʶ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DialRecognitionAddTask(LLONG lLoginID, const NET_IN_DIALRECOGNITION_ADD_TASK* pInParam, NET_OUT_DIALRECOGNITION_ADD_TASK* pOutParam, int nWaitTime);

// ǰ״̬
typedef enum tagEM_CURRENT_TASK_STATE
{
	EM_CURRENT_TASK_STATE_UNKNWON,			// δ֪
	EM_CURRENT_TASK_STATE_FAILED,			// ʧ
	EM_CURRENT_TASK_STATE_SUCCEEDED,		// ɹ
}EM_CURRENT_TASK_STATE;

// 
typedef enum tagEM_ERROR_CODE_TYPE
{
	EM_ERROR_CODE_TYPE_UNKNOWN,				// δ֪
	EM_ERROR_CODE_TYPE_NORMAL,				// 
	EM_ERROR_CODE_TYPE_GET_PICTURE_ERROR,	// ͼƬȡʧ
	EM_ERROR_CODE_TYPE_ALGO_ERROR,			// 㷨
}EM_ERROR_CODE_TYPE;

// Ǳ
typedef enum tagEM_INSTRUMENT_TYPE
{
	EM_INSTRUMENT_TYPE_UNKNOWN,			// δ֪
	EM_INSTRUMENT_TYPE_STATE,			// ״̬ʶ
	EM_INSTRUMENT_TYPE_STATEMATCH,		// ״̬ƥ
	EM_INSTRUMENT_TYPE_METER,			// ָʽ
	EM_INSTRUMENT_TYPE_CHAR,			// ʶ
	EM_INSTRUMENT_TYPE_OIL,				// ͱ
	EM_INSTRUMENT_TYPE_SWIIDEN,			// رʶ
	EM_INSTRUMENT_TYPE_LIGHT,			// ָʾ
	EM_INSTRUMENT_TYPE_SWITCH,			// ڿ
	EM_INSTRUMENT_TYPE_APPEARANCE,		// ۼ
}EM_INSTRUMENT_TYPE;

// ͼƬ
typedef enum tagEM_PIC_TYPE
{
	EM_PIC_TYPE_UNKNOWN = -1,		// δ֪
	EM_PIC_TYPE_ALGORITHMICALLY_PROCESSED,			// 㷨ͼƬ
}EM_PIC_TYPE;

// ͼƬϢ 
typedef struct tagNET_IMAGE_INFO
{
	EM_PIC_TYPE			emPicType;							// ͼƬ
	unsigned int		nOffset;							// ڶݿеƫ
	unsigned int		nLength;							// ͼƬС,λ:ֽ
	char				szFilePath[MAX_FILE_PATH_LEN];		// ͼƬ·
	BYTE				byReserved[1024];					// Ԥֽ
}NET_IMAGE_INFO;

// ڵϢ
typedef struct tagNET_NODE_INFO
{
	unsigned int			nChannel;									// Ƶͨ
	unsigned int			nPresetID;									// ԤõID
	EM_INSTRUMENT_TYPE		emInstrumentType;							// Ǳ
	NET_IMAGE_INFO			stuImgaeInfo[MAX_IMAGE_INFO_NUM];			// ͼƬϢ
	int						nRetImageInfoNum;							// صͼƬϢ
	char					szDialResult[MAX_DIAL_RESULT_LEN];			// ַ
}NET_NODE_INFO;

// ״̬
typedef struct tagNET_TASK_STATE
{
	char					szTaskID[MAX_TASK_ID_LEN];			// ID
	EM_CURRENT_TASK_STATE	emTaskState;						// ǰ״̬
	EM_ERROR_CODE_TYPE		emErrorCode;						// 
	NET_NODE_INFO			stuNodeInfo;						// ڵϢ,emTaskStateΪEM_CURRENT_TASK_STATE_SUCCEEDEDʱ
}NET_TASK_STATE;

// ״̬صԭΣlAttachHandle  CLIENT_AttachDialRecognitionTaskProc ֵ
typedef void (CALLBACK *fTaskStateCallback) (LLONG lAttachHandle, NET_TASK_STATE* pBuf, BYTE *pBuffer, DWORD dwBufSize, LDWORD dwUser);

// CLIENT_AttachDialRecognitionTaskProcӿ
typedef struct tagNET_IN_ATTACH_TASK_PROC
{
	DWORD									dwSize;								// ṹС
	BYTE									byReserved[4];						// Ԥֽ
	fTaskStateCallback						cbTaskState;						// ״̬ص
	LDWORD									dwUser;								// û  
}NET_IN_ATTACH_TASK_PROC;

// CLIENT_AttachDialRecognitionTaskProcӿڳ
typedef struct tagNET_OUT_ATTACH_TASK_PROC
{
	DWORD									dwSize;								// ṹС
}NET_OUT_ATTACH_TASK_PROC;

// עǱ״̬
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachDialRecognitionTaskProc(LLONG lLoginID, const NET_IN_ATTACH_TASK_PROC* pInParam, NET_OUT_ATTACH_TASK_PROC* pOutParam, int nWaitTime);

// ȡעǱ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachDialRecognitionTaskProc(LLONG lAttachHandle);

// ʵ֤
typedef enum tagEM_LOCAL_CERTIFICATE_TYPE
{
	EM_LOCAL_CERTIFICATE_TYPE_UNKNOWN,				// δ֪
	EM_LOCAL_CERTIFICATE_TYPE_IDENTITY_AUTH_CERT,   // ֤ʹõıʵ֤
	EM_LOCAL_CERTIFICATE_TYPE_DATA_AUTH_CERT,		// ǩʹõıʵ֤
}EM_LOCAL_CERTIFICATE_TYPE;

// ض
typedef enum tagEM_NETWORK_TYPE
{
	EM_NETWORK_TYPE_PUBLIC_SECURITY_INFO_NETWORK,		// Ϣ
	EM_NETWORK_TYPE_VIDEO_PRIVATE_NETWORK,				// Ƶר
}EM_NETWORK_TYPE;

// ֤
typedef enum tagEM_DIGITAL_CERTIFICATE_TYPE
{
	EM_DIGITAL_CERTIFICATE_TYPE_UNKNOWN,			// δ֪
	EM_DIGITAL_CERTIFICATE_TYPE_GM,					// 
	EM_DIGITAL_CERTIFICATE_TYPE_GENERAL,			// ͨ

	EM_DIGITAL_CERTIFICATE_TYPE_MAX,				// öֵ,ö,֮ǰ
}EM_DIGITAL_CERTIFICATE_TYPE;

// CLIENT_GetCertReqInfoӿ 
typedef struct tagNET_IN_GET_CERT_REQINFO
{	
	DWORD						dwSize;					// ṹС
	EM_LOCAL_CERTIFICATE_TYPE   emLocalCertType;		// ʵ֤
	int							nForm;					// ļ,0ʾPKCS#10,ĬΪ0
	char						szCountry[MAX_COUNTRY_CODE_LEN];		// ֤ڹҴ
	char						szProvince[MAX_PROVINCE_CODE_LEN];		// ֤ʡݴ
	char						szCity[MAX_CITY_CODE_LEN];				// ֤ڳд
	char						szArea[MAX_AREA_CODE_LEN];				// ֤
	EM_NETWORK_TYPE				emSpecificNetworkType;					// ض
	EM_DIGITAL_CERTIFICATE_TYPE	 emDigitalCertificateType;				// ֤ 
	char						szCommonName[160];						// ʹ
	char						szOrganization[64];						// ֯
	char						szOrganizationUnit[64];					// ֯Ԫ
}NET_IN_GET_CERT_REQINFO;

// CLIENT_GetCertReqInfoӿڳ 
typedef struct tagNET_OUT_GET_CERT_REQINFO
{	
	DWORD						dwSize;									// ṹС
	int							nReqInfoLen;							// صļʵʴС
	char						szReqInfo[MAX_REQ_INFO_LEN];			// صļ
	char						szSigInfo[1024];						// ֤ļǩ
	char						szSigAlg[64];							// ǩ㷨
	char						szCACertSN[40];							// ֤SN
	char						szIssuer[512];							// ䷢Ϣ
}NET_OUT_GET_CERT_REQINFO;

// ȡ֤ʱļ,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCertReqInfo(LLONG lLoginID, NET_IN_GET_CERT_REQINFO *pstInParam, NET_OUT_GET_CERT_REQINFO *pstOutParam, int nWaitTime);

// ֤
typedef enum tagEM_CERT_TYPE
{
	EM_CERT_TYPE_UNKNWON,					// δ֪
	EM_CERT_TYPE_CA_CERT,					// CA֤
	EM_CERT_TYPE_ADMIN_CERT,				// عԱ¼֤IdentityAuthCert
	EM_CERT_TYPE_IDENTITY_AUTH_CERT,		// ʵ֤, ֤ʹ
	EM_CERT_TYPE_DATA_AUTH_CERT,	     	// ʵ֤,ǩʹ
	EM_CERT_TYPE_REMOTE_IDENTITY_AUTH_CERT,	// Զʵ֤, ֤ʹ(ʱʹ)
	EM_CERT_TYPE_REMOTE_DATA_AUTH_CERT,		// Զʵ֤,ǩʹ(ʱʹ)
	EM_CERT_TYPE_MAX,						// öֵ,ԺöEM_CERT_TYPE_MAXǰ
}EM_CERT_TYPE;

// ֤ʹõķб
typedef enum tagEM_CERT_SERVER_NAME
{
	EM_CERT_SERVER_NAME_GENERAL,				// General
	EM_CERT_SERVER_NAME_802_1X,					// 802.1x
	EM_CERT_SERVER_NAME_HTTPS,					// HTTP over ssl/tls

	EM_CERT_SERVER_NAME_MAX,					// öֵ,ԺöEM_SERVER_NAME_MAXǰ
}EM_CERT_SERVER_NAME;

// CLIENT_ImportCert ӿ
typedef struct tagNET_IN_IMPORT_CERT
{
	DWORD					dwSize;						// ṹС
	EM_CERT_TYPE			emCertType;					// ֤ 
	char*					pszCert;					// ֤,ûڴ,СΪnCertLen
	int						nCertLen;					// ֤ʵʳ,ܳ5300ֽ	
	BOOL					bActiveCert;				// Ƿм֤,emDigitalCertificateTypeΪEM_DIGITAL_CERTIFICATE_TYPE_GENERALʱЧ
	char					szUserName[64];				// Աû,emCertTypeΪEM_CERT_TYPE_ADMIN_CERTʱЧ
	EM_DIGITAL_CERTIFICATE_TYPE	 emDigitalCertificateType;	// ֤ 
	int						nKeyLen;					// ֤Ӧ˽Կʵʳ,ܳ8192ֽ
	char*					pszKey;						// ֤Ӧ˽Կ,ûڴ,СΪnKeyLen,emDigitalCertificateTypeΪEM_DIGITAL_CERTIFICATE_TYPE_GENERALʱЧ
	char					szKeyPassword[64];			// ԿļԿ,emDigitalCertificateTypeΪEM_DIGITAL_CERTIFICATE_TYPE_GENERALʱЧ
	int						nKeyPasswordLen;			// ԿļԿʵʳ
	EM_CERT_SERVER_NAME		emServerNames[8];			// ֤ʹõķб,emDigitalCertificateTypeΪEM_DIGITAL_CERTIFICATE_TYPE_GENERALʱЧ
														// General񻥳,Ҫ·General,nServerNameNumΪ1,emServerNames[0]=EM_CERT_SERVER_NAME_GENERAL
	int						nServerNameNum;				// ʵʵ֤ʹõķб									
}NET_IN_IMPORT_CERT;

// ֧֤Ϣ
typedef struct tagNET_SUPPORT_CERT_LIST_INFO
{
	EM_CERT_TYPE			emCertType;					// ֤
	NET_TIME				stuEffectiveDate;			// ֤Ч
	NET_TIME				stuExpirationDate;			// ֤ʧЧ
	char					szCertSN[40];				// ֤к
	char					szDeviceIdentifier[160];	// 豸ʶ
	char					szRealCertSN[80];			// ֤ʵк
	BYTE					byReserved[944];			// Ԥֽ
}NET_SUPPORT_CERT_LIST_INFO;

// CLIENT_ImportCert ӿڳ
typedef struct tagNET_OUT_IMPORT_CERT
{
	DWORD							dwSize;							// ṹС
	int								nRetSupportCertListNum;			// ص֧֤
	NET_SUPPORT_CERT_LIST_INFO		stuSupportCertList[8];			// ֧֤Ϣ
}NET_OUT_IMPORT_CERT;

// ֤,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ImportCert(LLONG lLoginID, NET_IN_IMPORT_CERT *pstInParam, NET_OUT_IMPORT_CERT *pstOutParam, int nWaitTime);

// CLIENT_ImportCRLӿ
typedef struct tagNET_IN_IMPORT_CRL
{
	DWORD				dwSize;						// ṹС
	int					nCRLLen;					// CRLʵʳȣСܳ5300ֽ
	char*				pszCRL;						// CRL,ûڴ,СΪnCRLLen
	EM_DIGITAL_CERTIFICATE_TYPE	 emDigitalCertificateType;	// ֤
	BYTE				byReserved[4];						// Ԥֽ
}NET_IN_IMPORT_CRL;

// CLIENT_ImportCRLӿڳ
typedef struct tagNET_OUT_IMPORT_CRL
{
	DWORD				dwSize;						// ṹС
}NET_OUT_IMPORT_CRL;

// ֤б,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ImportCRL(LLONG lLoginID, NET_IN_IMPORT_CRL *pstInParam, NET_OUT_IMPORT_CRL *pstOutParam, int nWaitTime);

// Э
typedef enum tagEM_PROTOCOL_NAME
{
	EM_PROTOCOL_NAME_UNKNOWN,		// δ֪		
	EM_PROTOCOL_NAME_GB28181,		// Gb28181
	EM_PROTOCOL_NAME_MAX,			// ֵ
}EM_PROTOCOL_NAME;

// CLIENT_IntervideoManagerGetVersionӿ
typedef struct tagNET_IN_GET_VERSION
{
	DWORD				dwSize;					// ṹС
	EM_PROTOCOL_NAME	emProtocolName;			// Э			
}NET_IN_GET_VERSION;

// CLIENT_IntervideoManagerGetVersionӿڳ
typedef struct tagNET_OUT_GET_VERSION
{
	DWORD				dwSize;													// ṹС
	char				szGB28181Version[MAX_GB28181_PROTOCOL_VERSION];			// GB28181Э汾
}NET_OUT_GET_VERSION;

// ȡЭ汾,pstInParampstOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_IntervideoManagerGetVersion(LLONG lLoginID, NET_IN_GET_VERSION *pstInParam, NET_OUT_GET_VERSION *pstOutParam, int nWaitTime);

// CLIENT_NASFileSetUserAuthInfoӿ
typedef struct tagNET_IN_SET_USER_AUTH_INFO
{
	DWORD			dwSize;										// ṹС
	char			szPassword[DH_COMMON_STRING_128];			// 
	char			szPasswordHint[DH_COMMON_STRING_128];		// ʾ
	char			szPhoneNo[DH_COMMON_STRING_32];				// ֻ,ѡ
	char			szEmail[DH_COMMON_STRING_128];				// ,ѡ
}NET_IN_SET_USER_AUTH_INFO;

// CLIENT_NASFileSetUserAuthInfoӿڳ
typedef struct tagNET_OUT_SET_USER_AUTH_INFO
{
	DWORD			dwSize;										// ṹС
}NET_OUT_SET_USER_AUTH_INFO;

// ˽ռϢ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_NASFileSetUserAuthInfo(LLONG lLoginID, const NET_IN_SET_USER_AUTH_INFO* pInParam, NET_OUT_SET_USER_AUTH_INFO* pOutParam, int nWaitTime);

// CLIENT_NASFileModifyPasswordӿ
typedef struct tagNET_IN_MODIFY_PASSWORD
{
	DWORD			dwSize;										// ṹС
	char			szOldPassword[DH_COMMON_STRING_128];		// 
	char			szNewPassword[DH_COMMON_STRING_128];		// 
	char			szPasswordHint[DH_COMMON_STRING_128];		// ʾ
}NET_IN_MODIFY_PASSWORD;

// CLIENT_NASFileModifyPasswordӿڳ
typedef struct tagNET_OUT_MODIFY_PASSWORD
{
	DWORD			dwSize;										// ṹС
}NET_OUT_MODIFY_PASSWORD;

// ޸˽ռ,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_NASFileModifyPassword(LLONG lLoginID, const NET_IN_MODIFY_PASSWORD* pInParam, NET_OUT_MODIFY_PASSWORD* pOutParam, int nWaitTime);

// CLIENT_NASFileAuthenticateӿ
typedef struct tagNET_IN_AUTHENTICATE
{
	DWORD			dwSize;									// ṹС
	char			szPassword[DH_COMMON_STRING_128];		// ֤
}NET_IN_AUTHENTICATE;

// CLIENT_NASFileAuthenticateӿڳ
typedef struct tagNET_OUT_AUTHENTICATE
{
	DWORD			dwSize;										// ṹС
}NET_OUT_AUTHENTICATE;

// Ȩ빦,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_NASFileAuthenticate(LLONG lLoginID, const NET_IN_AUTHENTICATE* pInParam, NET_OUT_AUTHENTICATE* pOutParam, int nWaitTime);

//չģ
typedef enum tagEM_EXMODULE_TYPE
{
	EM_EXMODULE_TYPE_UNKNOWN,			//δ֪
	EM_EXMODULE_TYPE_M_BUS,				//M-BUS
	EM_EXMODULE_TYPE_RS_485,			//RS-485
}EM_EXMODULE_TYPE;

//CLIENT_GetExModuleInfoӿ(ӦöNET_EM_GET_EXMODULE_INFO_DETAIL)
typedef struct tagNET_IN_GETEXMODULEDETAIL
{
	DWORD 				dwSize;					//ṹС
	EM_EXMODULE_TYPE 	emType;					//չģ
	int					nAddr;					//չģ
}NET_IN_GETEXMODULEDETAIL;

//CLIENT_GetExModuleInfoӿڳ(ӦöNET_EM_GET_EXMODULE_INFO_DETAIL)
typedef struct tagNET_OUT_GETEXMODULEDETAIL
{
	DWORD					dwSize;					//ṹС
	int						nAlarmInChannelCount;	//ͨ
	int						alarmInChannels[16];		//Ӧͨšģ鱨ӦͨţûӳʱΪ-1
	int						nAlarmOutChannelCount;	//ͨ
	int						alarmOutChannels[16];	//Ӧͨšģ鱨ӦͨţûӳʱΪ-1
}NET_OUT_GETEXMODULEDETAIL;

typedef enum tagNET_EM_GET_EXMODULE_INFO
{
	NET_EM_GET_EXMODULE_INFO_UNKNOWN,				//δ֪
	NET_EM_GET_EXMODULE_INFO_DETAIL,				//ȡչģϸϢNET_IN_GETEXMODULEDETAILNET_OUT_GETEXMODULEDETAIL
	NET_EM_GET_EXMODULE_INFO_STATE,					//ȡչģ״̬NET_IN_EXMODULE_INFONET_OUT_EXMODULE_INFO_ALL
}NET_EM_GET_EXMODULE_INFO;
//ȡչģϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetExModuleInfo(LLONG lLoginID, NET_EM_GET_EXMODULE_INFO emType,const void *pstuInParam, void *pstuOutParam, int nWaitTime);

// CLIENT_GetNationInfo 
typedef struct tagNET_IN_GET_NATIONINFO
{
	DWORD                       dwSize;                                     // ṹС
}NET_IN_GET_NATIONINFO;

#define NET_COUNTRYZONE_LENGTH 64                                           // /Ƴ
#define NET_COUNTRYABBR_LENGTH 4                                            // /Ƴ
#define NET_LANGUAGE_LENGTH 12                                              // ĬԳ
#define NET_TIMEZONE_LENGTH 80                                              // Ĭʱֵ

typedef struct tagNET_NATION_INFO{
	char                        szCountry[NET_COUNTRYZONE_LENGTH];          // /,ISO3166׼
	char                        szAbbreviation[NET_COUNTRYABBR_LENGTH];     // /,ISO3166׼
	char                        szLanguage[NET_LANGUAGE_LENGTH];            // Ĭ
	EM_VIDEO_STANDARD           emVideoStandard;                            // ĬƵʽ
	char                        szTimeZoneDesc[NET_TIMEZONE_LENGTH];        // Ĭʱֵ
	BYTE                        byReserved[128];                            // ֽ
}NET_NATION_INFO;

// CLIENT_GetNationInfo 
typedef struct tagNET_OUT_GET_NATIONINFO
{
	DWORD                       dwSize;                                     // ṹС
	int                         nNationInfoCnt;                             // ҵĸ
	NET_NATION_INFO             arrNationInfo[300];                         // /ϢǸ
}NET_OUT_GET_NATIONINFO;

// ȡ豸ʽȶӦ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetNationInfo(LLONG lLoginID, NET_IN_GET_NATIONINFO* pInParam, NET_OUT_GET_NATIONINFO* pOutParam, int waittime);

// CLIENT_GetLanguageList 
typedef struct tagNET_IN_GET_LANGUAGELIST
{
	DWORD                       dwSize;                                         // ṹС
}NET_IN_GET_LANGUAGELIST;

#define NET_LANGUAGELIST_LENGTH 12                                              // бĳ			

// CLIENT_GetLanguageList 
typedef struct tagNET_OUT_GET_LANGUAGELIST
{
	DWORD                       dwSize;                                         // ṹС
	int                         nLangueListCnt;                                 // бĸ
	char                        arrLanguageList[50][NET_LANGUAGELIST_LENGTH];   // бǸ							
}NET_OUT_GET_LANGUAGELIST;

// ȡ豸ֵ֧б
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetLanguageList(LLONG lLoginID, NET_IN_GET_LANGUAGELIST* pInParam, NET_OUT_GET_LANGUAGELIST* pOutParam, int waittime);

#define MAX_SCENEID_LEN 32			//ID󳤶

// CLIENT_ConfirmSceneChangeResult   
typedef struct tagNET_IN_CONFIRMSCENECHANGERESULT_INFO
{
	DWORD 	dwSize;								// ṹС
	char	szSceneID[MAX_SCENEID_LEN];			// ID
	BOOL 	bResult;							// : TRUEʾɹ  FALSEʾʧ
}NET_IN_CONFIRMSCENECHANGERESULT_INFO;

// CLIENT_ConfirmSceneChangeResult 
typedef struct tagNET_OUT_CONFIRMSCENECHANGERESULT_INFO
{
	DWORD dwSize;								// ṹС
}NET_OUT_CONFIRMSCENECHANGERESULT_INFO;

// ȷܼҾӳл pstuInParampstuOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ConfirmSceneChangeResult(LLONG lLoginID, const NET_IN_CONFIRMSCENECHANGERESULT_INFO *pstuInParam, NET_OUT_CONFIRMSCENECHANGERESULT_INFO *pstuOutParam, int nWaitTime);

// CLIENT_ConfirmAuthorizedResult 
typedef struct tagNET_IN_CONFIRM_AUTHORIZED_RESULT
{
	DWORD					dwSize;				// ṹС
	int						nResult;			// 0:άϢЧ0:άϢЧ
	char*					pszQRCode;			// άϢbase64	
}NET_IN_CONFIRM_AUTHORIZED_RESULT;

// CLIENT_ConfirmAuthorizedResult 
typedef struct tagNET_OUT_CONFIRM_AUTHORIZED_RESULT
{
	DWORD					dwSize;				// ṹС
}NET_OUT_CONFIRM_AUTHORIZED_RESULT;

// ȷܼҾȨάϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ConfirmAuthorizedResult(LLONG lLoginID, const NET_IN_CONFIRM_AUTHORIZED_RESULT* pstInParam, NET_OUT_CONFIRM_AUTHORIZED_RESULT* pstOutParam, int nWaitTime);


typedef struct tagNET_IN_GET_SENSOR_COLLECT_SUPPORT_LIST
{
	DWORD								dwSize;						// ṹС
} NET_IN_GET_SENSOR_COLLECT_SUPPORT_LIST;

// 
typedef enum tagEM_SENSOR_MEDIA_TYPE
{
	EM_SENSOR_MEDIA_TYPE_UNKNOWN,									// δ֪
	EM_SENSOR_MEDIA_TYPE_COAXIAL,									// ͬĴ
	EM_SENSOR_MEDIA_TYPE_433,										// ͨ433Ĵ
} EM_SENSOR_MEDIA_TYPE;

// ߴ
typedef enum tagEM_WIRELESS_SENSOR_TYPE
{
	EM_WIRELESS_SENSOR_TYPE_UNKNOWN,								// δ֪
	EM_WIRELESS_SENSOR_TYPE_HUMIDITY_SENSOR,						// ʪȴ
	EM_WIRELESS_SENSOR_TYPE_TEMP_SENSOR,							// ¶ȴ
	EM_WIRELESS_SENSOR_TYPE_DOOR_MAGNETISM,							// ŴŴ
	EM_WIRELESS_SENSOR_TYPE_URGENCY_BUTTON,							// ť
	EM_WIRELESS_SENSOR_TYPE_PASSIVE_INFRARED,						// 
	EM_WIRELESS_SENSOR_TYPE_CURTAIN_SENSOR,							// Ļ
	EM_WIRELESS_SENSOR_TYPE_WATER_SENSOR,							// ˮ
	EM_WIRELESS_SENSOR_TYPE_SMOKING_SENSOR,							// 
	EM_WIRELESS_SENSOR_TYPE_COAXIAL_EXTALARM,						// ͬⲿ
} EM_WIRELESS_SENSOR_TYPE;


// IDϢ
typedef struct tagNET_SENSOR_ID_INFO 
{
	EM_SENSOR_MEDIA_TYPE				emMediaType;				// 
	DWORD								nAPIndex;					// 
	DWORD								nAlarmChannel;				// ͨ
	NET_WIRELESS_DEVICE_TYPE			emDeviceType;				// 豸
	EM_WIRELESS_SENSOR_TYPE				emSensorType;				// 
	BYTE								byReserved[128];			// ֽ
} NET_SENSOR_ID_INFO;

// ID
#define	MAX_SENSOR_ID_COUNT				256

// CLIENT_GetSensorCollectSupportListӿڳ
typedef struct tagNET_OUT_GET_SENSOR_COLLECT_SUPPORT_LIST
{
	DWORD								dwSize;						// ṹС
	int									nCount;						// ID
	NET_SENSOR_ID_INFO					stInfo[MAX_SENSOR_ID_COUNT];// ID		
} NET_OUT_GET_SENSOR_COLLECT_SUPPORT_LIST;

// ȡɲɼĴб, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSensorCollectSupportList(LLONG lLoginID, const NET_IN_GET_SENSOR_COLLECT_SUPPORT_LIST* pInParam, NET_OUT_GET_SENSOR_COLLECT_SUPPORT_LIST* pOutParam, int nWaitTime);


// CLIENT_ControlDeviceӿڵ DH_CTRL_START_REMOTELOWRATEWPAN_ALARMBELL
typedef struct tagNET_IN_START_REMOTELOWRATEWPAN_ALARMBELL
{
    DWORD								dwSize;						// ṹС
    int									nChannelID;					// Ƶͨ(-1ʾȫͨ)            
} NET_IN_START_REMOTELOWRATEWPAN_ALARMBELL;

// CLIENT_ControlDeviceӿڵ DH_CTRL_START_REMOTELOWRATEWPAN_ALARMBELL
typedef struct tagNET_OUT_START_REMOTELOWRATEWPAN_ALARMBELL
{
    DWORD								dwSize;						// ṹС         
} NET_OUT_START_REMOTELOWRATEWPAN_ALARMBELL;

// CLIENT_ControlDeviceӿڵ DH_CTRL_STOP_REMOTELOWRATEWPAN_ALARMBELL
typedef struct tagNET_IN_STOP_REMOTELOWRATEWPAN_ALARMBELL
{
    DWORD								dwSize;						// ṹС
    int									nChannelID;					// Ƶͨ(-1ʾȫͨ)            
} NET_IN_STOP_REMOTELOWRATEWPAN_ALARMBELL;

// CLIENT_ControlDeviceӿڵ  DH_CTRL_STOP_REMOTELOWRATEWPAN_ALARMBELL
typedef struct tagNET_OUT_STOP_REMOTELOWRATEWPAN_ALARMBELL
{
    DWORD								dwSize;						// ṹС         
} NET_OUT_STOP_REMOTELOWRATEWPAN_ALARMBELL;

// ŽԽ״̬
typedef enum tagEM_CALL_STATUS
{
	EM_CALL_STATUS_UNKNOWN,
	EM_CALL_STATUS_TRYING,					// ͨڴ¼
	EM_CALL_STATUS_RINGING,					// ʱл¼
	EM_CALL_STATUS_PREPARECONNECTED,		// յԶͨͨ
	EM_CALL_STATUS_CONNECTED,				// ˫ͨѾʽ
	EM_CALL_STATUS_CALLED,					// ¼
	EM_CALL_STATUS_PREPARELEAVINGMESSAGE,	// յ¼
	EM_CALL_STATUS_LEAVINGMESSAGECONNECTED,	// ͨͨ¼
	EM_CALL_STATUS_CALLEND,					// н¼
	EM_CALL_STATUS_CALLTRANSFER,			// תƺе豸
	EM_CALL_STATUS_CALLTRANSFERCONNECTED,	// תƽͨ
	EM_CALL_STATUS_HELD,					// б
	EM_CALL_STATUS_RESUME,					// ٻ
	EM_CALL_STATUS_DND,						// 
	EM_CALL_STATUS_REMOTESDPCHANGE,			// ԶSDPı
	EM_CALL_STATUS_REFUSE,					// ܽ
}EM_CALL_STATUS;

// CLIENT_ControlDeviceExӿڵ  DH_CTRL_SET_THIRD_CALLSTATUS 
typedef struct tagNET_IN_VTP_THIRDCALL_STATUS
{
	DWORD			dwSize;
	EM_CALL_STATUS	emCallStatus;           // ŽԽ״̬
}NET_IN_VTP_THIRDCALL_STATUS;

// CLIENT_ControlDeviceExӿڵ  DH_CTRL_SET_THIRD_CALLSTATUS 
typedef struct tagNET_OUT_VTP_THIRDCALL_STATUS
{
	DWORD			dwSize;
	char			szCallID[64];           // Խid
}NET_OUT_VTP_THIRDCALL_STATUS;

// ַ
typedef struct tagNET_PROXY_SERVER_INFO 
{
	char								szIP[DH_MAX_IPADDR_LEN_EX];		// IPַ
	UINT								nPort;							// ˿
	BYTE								byReserved[84];
} NET_PROXY_SERVER_INFO ;

// CLIENT_CheckCloudUpgrader 
typedef struct tagNET_IN_CHECK_CLOUD_UPGRADER
{
	DWORD								dwSize;			// ṹС
	UINT								nWay;			// ·, 0-ֱ, 1-ͨ, 2-ȡļ
	NET_PROXY_SERVER_INFO				stProxy;		// ַ, way==1ʱ
} NET_IN_CHECK_CLOUD_UPGRADER;

// ״̬
typedef enum tagEM_CLOUD_UPGRADER_CHECK_STATE
{
	EM_CLOUD_UPGRADER_CHECK_STATE_UNKNOWN,				// δ֪
	EM_CLOUD_UPGRADER_CHECK_STATE_NONE,					// ûм⵽
	EM_CLOUD_UPGRADER_CHECK_STATE_REGULAR,				// һ (Ҫûȷ, ֻ߰汾)
	EM_CLOUD_UPGRADER_CHECK_STATE_EMERGENCY,			// ǿ (豸Զִ, Ͱ汾)
	EM_CLOUD_UPGRADER_CHECK_STATE_AUTOMATIC,			// Զ (, Զ, ǰΪʹ, ʹҳԶѡ)
} EM_CLOUD_UPGRADER_CHECK_STATE;

// °汾
typedef enum tagEM_CLOUD_UPGRADER_PACKAGE_TYPE
{
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_UNKNOWN,				// δ֪
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_ALL,					// 
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_PTZ,					// ̨ذ
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_WEB,					// Web
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_LOGO,				// Logo
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_CUSTOM,				// Custom
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_GUI,					// Gui
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_PD,					// PD
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_DATA,				// Data
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_PTZ_POWER,			// ̨Դ
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_PTZ_LIGHT,			// ̨ƹ
	EM_CLOUD_UPGRADER_PACKAGE_TYPE_PTZ_HEATER,			// ̨
} EM_CLOUD_UPGRADER_PACKAGE_TYPE;

// CLIENT_CheckCloudUpgrader 
typedef struct tagNET_OUT_CHECK_CLOUD_UPGRADER 
{
	DWORD								dwSize;									// ṹС
	EM_CLOUD_UPGRADER_CHECK_STATE		emState;								// ״̬
	EM_CLOUD_UPGRADER_PACKAGE_TYPE		emPackageType;							// °汾, StateΪNoneҪ
	char								szOldVersion[MAX_COMMON_STRING_64];		// ɰ汾, StateΪNoneҪ
	char								szNewVersion[MAX_COMMON_STRING_64];		// °汾,StateΪNoneҪ
	char								szAttention[MAX_COMMON_STRING_2048];	// µ
	char								szPackageURL[MAX_COMMON_STRING_256];	// صַ(Ҫ)
	char								szPackageID[MAX_COMMON_STRING_64];		// ID
	char								szCheckSum[MAX_COMMON_STRING_64];		// SHA-256У
	char								szBuildTime[MAX_COMMON_STRING_32];		// ʱ
} NET_OUT_CHECK_CLOUD_UPGRADER;

// Ƿп, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_CheckCloudUpgrader(LLONG lLoginID, const NET_IN_CHECK_CLOUD_UPGRADER* pInParam, NET_OUT_CHECK_CLOUD_UPGRADER* pOutParam, int nWaitTime);

// Ϣ
typedef struct tagNET_CLOUD_UPGRADER_INFO
{
	char								szPackageURL[MAX_COMMON_STRING_256];	// صַ(Ҫ)
	char								szPackageID[MAX_COMMON_STRING_64];		// ID
	char								szCheckSum[MAX_COMMON_STRING_64];		// SHA-256У
	BYTE								byReserved[1024];						// ֽ
} NET_CLOUD_UPGRADER_INFO;

// CLIENT_ExecuteCloudUpgrader 
typedef struct tagNET_IN_EXECUTE_CLOUD_UPGRADER
{
	DWORD								dwSize;									// ṹС
	char								szNewVersion[MAX_COMMON_STRING_64];		// һcheckõ°汾
	UINT								nWay;									// ·, 0-ֱ, 1-ͨ
	NET_PROXY_SERVER_INFO				stProxy;								// ַ, nWay==1ʱ
	NET_CLOUD_UPGRADER_INFO				stInfo;									// Ϣ
} NET_IN_EXECUTE_CLOUD_UPGRADER;

// CLIENT_ExecuteCloudUpgrader 
typedef struct tagNET_OUT_EXECUTE_CLOUD_UPGRADER
{
	DWORD								dwSize;									// ṹС
} NET_OUT_EXECUTE_CLOUD_UPGRADER;

// ִ, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ExecuteCloudUpgrader(LLONG lLoginID, const NET_IN_EXECUTE_CLOUD_UPGRADER* pInParam, NET_OUT_EXECUTE_CLOUD_UPGRADER* pOutParam, int nWaitTime);

// CLIENT_GetCloudUpgraderState 
typedef struct tagNET_IN_GET_CLOUD_UPGRADER_STATE 
{
	DWORD								dwSize;									// ṹС
} NET_IN_GET_CLOUD_UPGRADER_STATE;

// ״̬
typedef enum tagEM_CLOUD_UPGRADER_STATE
{
	EM_CLOUD_UPGRADER_STATE_UNKNOWN,				// δ֪
	EM_CLOUD_UPGRADER_STATE_NOUPGRADE,				// "Noupgrade"-δ
	EM_CLOUD_UPGRADER_STATE_PREPARING,				// "Preparing"-׼
	EM_CLOUD_UPGRADER_STATE_DOWNLOADING,			// "Downloading"-
	EM_CLOUD_UPGRADER_STATE_DOWNLOADFAILED,			// "DownloadFailed"-ʧ
	EM_CLOUD_UPGRADER_STATE_UPGRADING,				// "Upgrading"-
	EM_CLOUD_UPGRADER_STATE_INVALID,				// "Invalid"-ȷ
	EM_CLOUD_UPGRADER_STATE_FAILED,					// "Failed"-дFlashʧ
	EM_CLOUD_UPGRADER_STATE_SUCCEEDED,				// "Succeeded"-дFlashɹ
} EM_CLOUD_UPGRADER_STATE;

// CLIENT_GetCloudUpgraderState 
typedef struct tagNET_OUT_GET_CLOUD_UPGRADER_STATE 
{
	DWORD								dwSize;					// ṹС
	EM_CLOUD_UPGRADER_STATE				emState;				// ״̬
	UINT								nProgress;				// , ״̬Downloading/Upgradingʱ
} NET_OUT_GET_CLOUD_UPGRADER_STATE;

// ȡ״̬, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCloudUpgraderState(LLONG lLoginID, const NET_IN_GET_CLOUD_UPGRADER_STATE* pInParam, NET_OUT_GET_CLOUD_UPGRADER_STATE* pOutParam, int nWaitTime);

// CLIENT_GetVideoDiagnosisChannelNumber ӿ
typedef struct tagNET_IN_GET_SUPPORT_CHANNEL_NUM
{
	DWORD				dwSize;						// ṹС
}NET_IN_GET_SUPPORT_CHANNEL_NUM;

// CLIENT_GetVideoDiagnosisChannelNumber ӿڳ
typedef struct tagNET_OUT_GET_SUPPORT_CHANNEL_NUM
{
	DWORD				dwSize;					// ṹС
	int					nCount;					// IVS-Vֵ֧ļͨĿ
}NET_OUT_GET_SUPPORT_CHANNEL_NUM;

// ȡIVS-Vֵ֧ļͨĿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetVideoDiagnosisChannelNumber(LLONG lLoginID, const NET_IN_GET_SUPPORT_CHANNEL_NUM* pInParam, NET_OUT_GET_SUPPORT_CHANNEL_NUM* pOutParam, int nWaitTime);


#define	MAX_VIDEO_CHANNEL_COUNT		128											//	Ƶͨ

// CLIENT_GetRemoteLowRateWPANCaps 
typedef struct tagNET_IN_GET_REMOTELOWRATEWPAN_CAPS
{
	DWORD								dwSize;									// ṹС 
	int									nChannelCount;							// ʵҪȡƵͨ
	int									stChannels[MAX_VIDEO_CHANNEL_COUNT];	// Ƶͨ, ÿһӦͨĽ
} NET_IN_GET_REMOTELOWRATEWPAN_CAPS;

// 豸
typedef struct tagNET_REMOTE_LOW_RATE_WPAN_CAPS 
{
	BOOL								bSupportWirelessGateway;				// 豸Ƿ֧
	BYTE								byRevserved[256];						// ֽ
} NET_REMOTE_LOW_RATE_WPAN_CAPS;

// ؽ
typedef enum tagEM_RETURN_CODE_TYPE
{
	EM_RETURN_CODE_TYPE_UNKNOWN,				// δ֪
	EM_RETURN_CODE_TYPE_OK,						// سɹ
	EM_RETURN_CODE_TYPE_FAILED,					// ʧ
	EM_RETURN_CODE_TYPE_TIMEOUT,				// سʱ
} EM_RETURN_CODE_TYPE;

// CLIENT_GetRemoteLowRateWPANCaps 
typedef struct tagNET_OUT_GET_REMOTELOWRATEWPAN_CAPS
{
	DWORD								dwSize;									// ṹС
	int									nRetChannelCount;						// ʵʷصͨ
	NET_REMOTE_LOW_RATE_WPAN_CAPS		stCaps[MAX_VIDEO_CHANNEL_COUNT];		// ÿƵͨӦ豸
	int									nRetCodeCount;							// ʵʷصĽ
	EM_RETURN_CODE_TYPE					stReturnCode[MAX_VIDEO_CHANNEL_COUNT];	// ÿƵͨӦķؽ
} NET_OUT_GET_REMOTELOWRATEWPAN_CAPS;

// ȡӦƵͨ豸, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetRemoteLowRateWPANCaps(LLONG lLoginID, const NET_IN_GET_REMOTELOWRATEWPAN_CAPS* pInParam, NET_OUT_GET_REMOTELOWRATEWPAN_CAPS* pOutParam, int nWaitTime);


// CLIENT_GetCoaxialSensorInfo 
typedef struct tagNET_IN_GET_COAXIAL_SENSOR_INFO 
{
	DWORD								dwSize;							// ṹС	
	int									nChannel;						// Ƶͨ, -1ʾȫͨ
} NET_IN_GET_COAXIAL_SENSOR_INFO;

// 
typedef enum tagEM_SENSOR_CLASS_TYPE
{
	EM_SENSOR_CLASS_TYPE_UNKOWN,				// δ֪
	EM_SENSOR_CLASS_TYPE_ALARM_IN,				// 
	EM_SENSOR_CLASS_TYPE_ALARM_OUT,				// 
	EM_SENSOR_CLASS_TYPE_ANALOGALARM,			// ģ
} EM_SENSOR_CLASS_TYPE;

#define MAX_COAXIAL_SENSOR_INFO_COUNT	256			// Ϣ

// Ϣ
typedef struct tagNET_COAXIAL_SENSOR_INFO 
{
	NET_SENSOR_ID_INFO					stSensorID;							// IDϢ
	BOOL								bIsOnLine;							// Ƿ
	char								szAlarmName[MAX_COMMON_STRING_128];	// ͨ
	EM_SENSOR_CLASS_TYPE				emSensorClass;						// 
	char								szSN[MAX_COMMON_STRING_32];			// к
	BYTE								byRevserved[256];					// ֽ
} NET_COAXIAL_SENSOR_INFO;

// CLIENT_GetCoaxialSensorInfo 
typedef struct tagNET_OUT_GET_COAXIAL_SENSOR_INFO 
{
	DWORD								dwSize;											// ṹС
	int									nRetCount;										// صĴID
	NET_COAXIAL_SENSOR_INFO				stSensorInfo[MAX_COAXIAL_SENSOR_INFO_COUNT];	// Ϣ	
} NET_OUT_GET_COAXIAL_SENSOR_INFO;


// ȡĴϢ, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCoaxialSensorInfo(LLONG lLoginID, const NET_IN_GET_COAXIAL_SENSOR_INFO* pInParam, NET_OUT_GET_COAXIAL_SENSOR_INFO* pOutParam, int nWaitTime);

#define MAX_VIDEO_URL_LEN       256         // ƵԴURLַ

// ƵԴϢ
typedef struct tagNET_VIDEO_SOURCE_INFO
{
	EM_DEV_PROTOCOL_TYPE	emProtocolType;						// 豸Э
	char                	szIp[DH_MAX_IPADDR_OR_DOMAIN_LEN];  // ǰ豸IP ַ
	int                 	nPort;                      		// ǰ豸˿ں
	char                	szUser[DH_NEW_USER_NAME_LENGTH];    // ǰ豸û
    char                	szPwd[DH_NEW_USER_PSW_LENGTH];      // ǰ豸
    int                 	nChannelID;                         // ǰ豸ͨ
    char                	szStreamUrl[MAX_VIDEO_URL_LEN];     // ƵԴurlַ, emProtocolTypeΪEM_DEV_PROTOCOL_GENERAL ʱЧ
	BYTE					byReserved[512];					// ֽ
} NET_VIDEO_SOURCE_INFO;

// ͼ
 typedef enum tagEM_TRANSCODE_IMAGE_QUALITY
{
    EM_TRANSCODE_IMAGE_QUALITY_SELFADAPT,               // Ӧ
    EM_TRANSCODE_IMAGE_QUALITY_Q10,                     // 10%
    EM_TRANSCODE_IMAGE_QUALITY_Q30,                     // 30%
    EM_TRANSCODE_IMAGE_QUALITY_Q50,                     // 50%
    EM_TRANSCODE_IMAGE_QUALITY_Q60,                     // 60%
    EM_TRANSCODE_IMAGE_QUALITY_Q80,                     // 80%
    EM_TRANSCODE_IMAGE_QUALITY_Q100,                   // 100%
} EM_TRANSCODE_IMAGE_QUALITY;

// תƵѹʽ
typedef enum tagEM_TRANSCODE_VIDEO_COMPRESSION
{
	EM_TRANSCODE_VIDEO_AUTO,							// auto
	EM_TRANSCODE_VIDEO_MPEG4,							// MPEG4
	EM_TRANSCODE_VIDEO_MPEG2,							// MPEG2
	EM_TRANSCODE_VIDEO_MPEG1,							// MPEG1
	EM_TRANSCODE_VIDEO_MJPG,							// MJPG
	EM_TRANSCODE_VIDEO_H263,							// H.263
	EM_TRANSCODE_VIDEO_H264,							// H.264
    EM_TRANSCODE_VIDEO_H265,							// H.265
} EM_TRANSCODE_VIDEO_COMPRESSION;

// תƵʽ
typedef struct tagNET_TRANSCODE_VIDEO_FORMAT
{
	EM_TRANSCODE_VIDEO_COMPRESSION 	emCompression;				// Ƶѹʽ
	UINT							nWidth;						// Ƶ
	UINT							nHeight;					// Ƶ߶
	NET_EM_BITRATE_CONTROL			emBitRateControl;			// ģʽ
	UINT							nBitRate;					// Ƶ(kbps)
	float							fFrameRate;					// Ƶ֡
	UINT							nIFrameInterval;			// I֡(1-100)50ʾÿ49B֡P֡һI֡
	EM_TRANSCODE_IMAGE_QUALITY		emImageQuality;				// ͼ
	BYTE							byReserved[512];				// ֽ
} NET_TRANSCODE_VIDEO_FORMAT;

// תƵʽ
typedef struct tagNET_TRANSCODE_AUDIO_FORMAT
{
	NET_EM_AUDIO_FORMAT			emCompression;				// Ƶѹģʽ
	UINT						nFrequency;					// ƵƵ
	BYTE						byReserved[512];			// ֽ
} NET_TRANSCODE_AUDIO_FORMAT;

// CLIENT_GetVirtualChannelOfTransCode ӿ
typedef struct tagNET_IN_GET_VIRTUALCHANNEL_OF_TRANSCODE
{
	DWORD						dwSize;							// ṹС
	NET_VIDEO_SOURCE_INFO		stuVideoSourceInfo;				// ƵԴϢ		
	NET_TRANSCODE_VIDEO_FORMAT	stuTransVideoFormat;			// תƵʽ
	NET_TRANSCODE_AUDIO_FORMAT	stuTransAudioFormat;			// תƵʽ
} NET_IN_GET_VIRTUALCHANNEL_OF_TRANSCODE;

// CLIENT_GetVirtualChannelOfTransCode ӿ
typedef struct tagNET_OUT_GET_VIRTUALCHANNEL_OF_TRANSCODE
{
	DWORD						dwSize;							// ṹС
	UINT						nVirtualChannel;				// ͨ
} NET_OUT_GET_VIRTUALCHANNEL_OF_TRANSCODE;

// CLIENT_GetCapsOfTransCode ӿ
typedef struct tagNET_IN_TRANDCODE_GET_CAPS
{
    DWORD						dwSize;							// ṹС
} NET_IN_TRANDCODE_GET_CAPS;

// CLIENT_GetCapsOfTransCode ӿ
typedef struct tagNET_OUT_TRANSCODE_GET_CAPS
{
    DWORD						dwSize;							// ṹС
    int                         nMinVirtualChannel;             // Сͨ
    int                         nMaxVirtualChannel;             // ͨ
    BOOL                        bSupportErrorCode;              // Ƿ֧ѹʵʱϱ
} NET_OUT_TRANSCODE_GET_CAPS;

// תͨ״̬
typedef enum tagEM_VIRCHANNEL_STATUS
{
    EM_VIRCHANNEL_STATUS_UNKNOWN    		= -1,   // δ֪
    EM_VIRCHANNEL_STATUS_OVER_DECODE,               // 
    EM_VIRCHANNEL_STATUS_OVER_COMPRESS,             // ѹ
    EM_VIRCHANNEL_STATUS_NO_ORIGI_STREAM,           // ԭʼ
    EM_VIRCHANNEL_STATUS_SLAVE_OFFLINE,				// ѹͨڵĴƬ
	EM_VIRCHANNEL_STATUS_UNKNOWN_FAILURE 	= 255,	// δ֪ʧԭ
} EM_VIRCHANNEL_STATUS;

// תͨ״̬Ϣ
typedef struct tagNET_CB_VIRTUALCHANNEL_STATUS_INFO
{
    UINT                        nVirChannelID;                  // תͨ
    EM_VIRCHANNEL_STATUS        emVirChannelStatus;             // תͨ״̬
    BYTE						byReserved[1024];			    // ֽ
} NET_CB_VIRTUALCHANNEL_STATUS_INFO;

// תͨ״̬ĺԭ, lAttachHandle Ϊ CLIENT_AttachVirtualChannelStatus ķֵ
typedef int  (CALLBACK *fVirtualChannelStatusCallBack)(const LLONG lAttachHandle, const NET_CB_VIRTUALCHANNEL_STATUS_INFO *pstVirChnStatusInfo, const LDWORD dwUser);

// CLIENT_AttachVirtualChannelStatus ӿ
typedef struct tagNET_IN_ATTACH_VIRTUALCHANNEL_STATUS
{
    DWORD						    dwSize;							// ṹС
    BYTE                            byReserved[4];                  // ֽڶ
    fVirtualChannelStatusCallBack   cbVirtualChannelStatus;         // תͨ״̬ĺ
    LDWORD                          dwUser;                 	    // û
} NET_IN_ATTACH_VIRTUALCHANNEL_STATUS;

// ȡתͨ(ͨԤط), pInParam pOutParam ûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetVirtualChannelOfTransCode(LLONG lLoginID, const NET_IN_GET_VIRTUALCHANNEL_OF_TRANSCODE* pInParam, NET_OUT_GET_VIRTUALCHANNEL_OF_TRANSCODE* pOutParam, int nWaitTime);

// ȡת, pInParam pOutParam ûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCapsOfTransCode(LLONG lLoginID, const NET_IN_TRANDCODE_GET_CAPS* pInParam, NET_OUT_TRANSCODE_GET_CAPS* pOutParam, int nWaitTime);

// תͨ״̬, pInParam ûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachVirtualChannelStatus(LLONG lLoginID, const NET_IN_ATTACH_VIRTUALCHANNEL_STATUS* pInParam, const int nWaitTime);

// ȡתͨ״̬, lAttachHandle Ϊ CLIENT_AttachVirtualChannelStatus ķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachVirtualChannelStatus(LLONG lAttachHandle);

////////////////////////////////////////Զ豸Ϣɼӿ start/////////////////////////////////////////
// Զ豸Ϣɼ,Ӧ NET_REMOTE_COLLECT_DEVINFO_CAPS
typedef struct tagNET_IN_REMOTE_COLLECT_DEVINFO_CAPS
{
	DWORD		dwSize;									// ṹС
	UINT		nChannel;								// Զ豸ͨ,ΪIPC,0
}NET_IN_REMOTE_COLLECT_DEVINFO_CAPS;

// Զ豸Ϣɼ,Ӧ NET_REMOTE_COLLECT_DEVINFO_CAPS
typedef struct tagNET_OUT_REMOTE_COLLECT_DEVINFO_CAPS
{
	DWORD		dwSize;									// ṹС
	BOOL		bSupportRemoteCollectSniffer;			// Ƿ֧Զ̲ɼץ
	BOOL		bSupportRemoteCollectLog;				// Ƿ֧Զ̲ɼ־
}NET_OUT_REMOTE_COLLECT_DEVINFO_CAPS;

// Զ̲ɼ
typedef enum tagNET_EM_REMOTE_COLLECT_TYPE
{
	NET_EM_REMOTE_COLLECT_TYPE_UNKNOWN = 0,							// δ֪
	NET_EM_REMOTE_COLLECT_TYPE_CAPTURE,								// ץ
	NET_EM_REMOTE_COLLECT_TYPE_LOG,									// ־
}NET_EM_REMOTE_COLLECT_TYPE;

// ǰɼ״̬
typedef enum tagNET_EM_REMOTE_COLLECT_STATUS
{
	NET_EM_REMOTE_COLLECT_STATUS_UNKNOWN = 0,							// δ֪
	NET_EM_REMOTE_COLLECT_STATUS_IDLE,									// 
	NET_EM_REMOTE_COLLECT_STATUS_COLLECTING,							// ڲɼ
}NET_EM_REMOTE_COLLECT_STATUS;

// ־
typedef enum tagNET_EM_REMOTE_COLLECT_LOG_LEVEL
{
	NET_EM_REMOTE_COLLECT_LOG_LEVEL_NO_PRINT = 0,						// ӡ
	NET_EM_REMOTE_COLLECT_LOG_LEVEL_FATAL,								// 
	NET_EM_REMOTE_COLLECT_LOG_LEVEL_ERROR,								// 
	NET_EM_REMOTE_COLLECT_LOG_LEVEL_WARN,								// 
	NET_EM_REMOTE_COLLECT_LOG_LEVEL_INFO,								// ʾ
	NET_EM_REMOTE_COLLECT_LOG_LEVEL_TRACE,								// 
	NET_EM_REMOTE_COLLECT_LOG_LEVEL_DEBUG,								// 
}NET_EM_REMOTE_COLLECT_LOG_LEVEL;

// Զ̲ɼļϢ
typedef struct tagNET_REMOTE_COLLECT_FILE_INFO
{
	char							szFilePath[260];					// ļ·
	UINT							nFileSize;							// ļС,λByte
	BYTE							byReserved[248];					// Ԥ
}NET_REMOTE_COLLECT_FILE_INFO;

// 豸Զ̲ɼϢ
typedef struct tagNET_REMOTE_COLLECT_DEV_INFO
{
	NET_EM_REMOTE_COLLECT_TYPE		emType;								// ɼ
	NET_EM_REMOTE_COLLECT_STATUS	emStatus;							// ɼ״̬
	NET_REMOTE_COLLECT_FILE_INFO	stuFileInfos[128];					// ļϢ
	int								nFileInfoNum;						// ļ
	BYTE							byReserved[1020];					// Ԥ
}NET_REMOTE_COLLECT_DEV_INFO;

// ȡ豸Զ̲ɼϢ
typedef struct tagNET_IN_GET_REMOTE_COLLECT_DEV_INFO
{
	DWORD							dwSize;								// ṹС
	UINT							nChannel;							// ͨ
}NET_IN_GET_REMOTE_COLLECT_DEV_INFO;

// ȡ豸Զ̲ɼϢ
typedef struct tagNET_OUT_GET_REMOTE_COLLECT_DEV_INFO
{
	DWORD							dwSize;								// ṹС
	int								nInfoNum;							// صϢ
	NET_REMOTE_COLLECT_DEV_INFO		stuInfos[8];						// ɼϢб
}NET_OUT_GET_REMOTE_COLLECT_DEV_INFO;

// ץ˿ڹ˷ʽ
typedef enum tagNET_EM_PROT_FILTER_TYPE
{
	NET_EM_PROT_FILTER_TYPE_NOUSE,											// ʹ
	NET_EM_PROT_FILTER_TYPE_INCLUDE,										// 
	NET_EM_PROT_FILTER_TYPE_EXCLUDE,										// ų
}NET_EM_PROT_FILTER_TYPE;

// ļɼϢ
typedef struct tagNET_REMOTE_COLLECT_TO_FILE_RULE
{
	NET_EM_REMOTE_COLLECT_TYPE		emType;									// ɼ
	NET_EM_REMOTE_COLLECT_LOG_LEVEL	emLevel;								// ־𣬲ɼΪ־ʱЧ
	char							szNetworkCard[128];						// ƣɼΪץʱЧ
	NET_EM_PROT_FILTER_TYPE			emSrcPortFilter;						// Դ˿ڹ˷ʽ
	int								nSrcPortNum;							// Դ˿ڹб
	unsigned short					nSrcPorts[16];							// Դ˿ڹбɼΪץʱЧ
	NET_EM_PROT_FILTER_TYPE			emDstPortFilter;						// Ŀ˿ڹ˷ʽ
	int								nDstPortNum;							// Ŀ˿ڹб
	unsigned short					nDstPorts[16];							// Ŀ˿ڹбɼΪץʱЧ
	BYTE							byReserved[1024];						// ֽ
}NET_REMOTE_COLLECT_TO_FILE_RULE;

// CLIENT_StartRemoteCollectToFile 
typedef struct tagNET_IN_START_REMOTE_COLLECT_TO_FILE
{
	DWORD							dwSize;									// ṹС
	UINT							nChannel;								// ͨ
	NET_REMOTE_COLLECT_TO_FILE_RULE stuRules[8];							// 豸ɼϢ
	int								nRuleNum;								// 豸ɼ
}NET_IN_START_REMOTE_COLLECT_TO_FILE;

// CLIENT_StartRemoteCollectToFile 
typedef struct tagNET_OUT_START_REMOTE_COLLECT_TO_FILE
{
	DWORD		dwSize;									// ṹС
}NET_OUT_START_REMOTE_COLLECT_TO_FILE;

// ȡԶ̲ɼ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetRemoteCollectDevInfo(LLONG lLoginID, NET_IN_GET_REMOTE_COLLECT_DEV_INFO* pstInParam, NET_OUT_GET_REMOTE_COLLECT_DEV_INFO* pstOutParam, int nWaitTime);

// ʼļʽԶ̲ɼ豸Ϣӿ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartRemoteCollectToFile(LLONG lLoginID, const NET_IN_START_REMOTE_COLLECT_TO_FILE* pInParam, NET_OUT_START_REMOTE_COLLECT_TO_FILE* pOutParam, const int nWaitTime);

// ֹͣļʽԶ̲ɼ豸ϢӿڣlCollectIDΪ CLIENT_StartRemoteCollectToFile ֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopRemoteCollectToFile(LLONG lCollectID);

////////////////////////////////////////Զ豸Ϣɼӿ end/////////////////////////////

/////////////////////////////////ֻͶЭ  Start/////////////////////////////////
// CLIENT_GetMobilePusherCaps 
typedef struct tagNET_IN_GET_MOBILE_PUSHER_CAPS 
{
	DWORD						dwSize;					// ṹС
} NET_IN_GET_MOBILE_PUSHER_CAPS;

// CLIENT_GetMobilePusherCaps 
typedef struct tagNET_OUT_GET_MOBILE_PUSHER_CAPS 
{
	DWORD						dwSize;					// ṹС
	BOOL						bEnablePush;			// 豸Ƿֻ֧ʹ
	BOOL						bAddNotification;		// 豸Ƿ֧Ͷ
	BOOL						bDelNotification;		// 豸Ƿ֧ȡͶ
    BOOL                        bSupportPriority;       // DMSSֻ,Ƿ֧ȼ,ֻAPPҪݴֶж·
    BOOL                        bPushEventSchedule;     // Ƿֶ֧ʱ
} NET_OUT_GET_MOBILE_PUSHER_CAPS;

// ȡֻ֧, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetMobilePusherCaps(LLONG lLoginID, NET_IN_GET_MOBILE_PUSHER_CAPS *pInParam, NET_OUT_GET_MOBILE_PUSHER_CAPS *pOutParam, int nWaitTime);

// CLIENT_EnablePushMobilePusher 
typedef struct tagNET_IN_ENABLE_PUSH_MOBILE_PUSHER
{
	DWORD						dwSize;					// ṹС
	BOOL						bEnablePush;			// Ƿֻ
} NET_IN_ENABLE_PUSH_MOBILE_PUSHER;

// CLIENT_EnablePushMobilePusher 
typedef struct tagNET_OUT_ENABLE_PUSH_MOBILE_PUSHER 
{
	DWORD						dwSize;					// ṹС
} NET_OUT_ENABLE_PUSH_MOBILE_PUSHER;

// ֻʹ, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_EnablePushMobilePusher(LLONG lLoginID, NET_IN_ENABLE_PUSH_MOBILE_PUSHER *pInParam, NET_OUT_ENABLE_PUSH_MOBILE_PUSHER *pOutParam, int nWaitTime);

// ͷ
typedef struct tagNET_PUSH_SERVER_INFO_EX
{
    char                            szAddress[MAX_URL_LEN];                     // ַ
    int                             nPort;                                      // ˿
	BYTE							byReserved[512];							// ֽ
} NET_PUSH_SERVER_INFO_EX;

// 
typedef struct tagNET_REGISTER_GROUP
{
   int                  nIndex;                 // ͨ,-1ʾⶩģͨ,ΪMobilePushNotification indexsӼ
   int                  nGroupCount;            // IDϵ
   char                 szGroup[64][64];        // ID
   BYTE		            byReserved[128];	    // ֽ
} NET_REGISTER_GROUP;

// ȶ¼
typedef struct tagNET_CUSTOM_TILTER_OF_FACE_COMPARISION
{
    int                 nRegisterGroupCount;    // 
    NET_REGISTER_GROUP  stuRegisterGroup[256];  // 
    BYTE		        byReserved[1028];	    // ֽ
} NET_CUSTOM_TILTER_OF_FACE_COMPARISION;

// 
typedef struct tagNET_SUBSCRIBE_INFO_EX
{
    char                            szCode[MAX_COMMON_STRING_64];				// ¼
    char				            szSubCode[MAX_COMMON_STRING_64];			// ¼
																				// VideoAbnormalDetection,AlarmLocalȰ͵ı¼Ч
    int                             nChnNum;									// ĵͨ, ͨΪ0
    int                             nIndexs[MAX_MOBILE_CHANNEL_NUM];			// ͨż
    char                            szNumber[DH_COMMON_STRING_16];				// "CallNoAnswered "¼ʱЧ
																				// Ӧ루豸Щ,Ӧʱ,ֻϢ
																				// CFG_CMD_MOBILE_PUSH_NOFITY_CFGʱЧ
    char                            szSound[DH_COMMON_STRING_64];				// ֻյ¼ʱ貥ŵļ
    char                            szIndexsExt[DH_COMMON_STRING_32][DH_COMMON_STRING_16];     //ͨżչ
    void*                           pstuCustomFilter;                           // ƹ, szCode;,δ֧NULL
                                                                                // szCodeΪ"FaceComparision"ʱΪNET_CUSTOM_TILTER_OF_FACE_COMPARISION(Ŀǰֻ֧)
	BYTE							byReserved[504];							// ֽ
} NET_SUBSCRIBE_INFO_EX;

// CLIENT_AddMobilePusherNotification 
typedef struct tagNET_IN_ADD_MOBILE_PUSHER_NOTIFICATION
{
	DWORD						dwSize;									// ṹС
	char						szRegisterID[MAX_REGISTER_ID_LEN];		// RegisterID, Appple/Androidע᷵ص, ÿβͬ
	char						szAppID[MAX_APP_ID_LEN];				// AppID
	EM_MOBILE_SERVER_TYPE		emServerType;							// ƽ̨
	EM_PUSH_GATEWAY_TYPE        emPushGatewayType;                      // , emServerTypeΪEM_MOBILE_SERVER_TYPE_SDKCLOUDʱЧ
	int                         nPeriodOfValidity;						// Чʱ,λΪ
    char                        szAuthServerAddr[MAX_URL_LEN];			// Androidַ֤
    int                         nAuthServerPort;						// Android֤˿
	NET_PUSH_SERVER_INFO_EX     stuPushServerMain;						// ͷ, ٷѡ,ʧ,ٳض
    char                        szPushServerAddr[MAX_URL_LEN];			// ͷַ(󻪴,ĩѡ,)
																		// ɴ󻪷ٷҪ,ѡµļ㷨תٷ
    int                         nPushServerPort;						// ͷ˿(󻪴)
    char                        szDevName[MAX_COMMON_STRING_64];		// 豸,ֻʾ
    char                        szDevID[MAX_COMMON_STRING_64];			// 豸ʶ,ֻʹ
    char                        szUser[MAX_COMMON_STRING_64];			// googleGCM/C2DM֤û
    char                        szCertificate[MAX_IOS_CERTIFICATE_LEN]; // ֤Ϣ,base64ַ֮,ҪTLSʱЧ, iOSҪ
    char                        szSecretKey[MAX_IOS_SECRET_KEY_LEN];    // (Jpush)Կ, ַ, AndroidJpushҪ
    int                         nSubScribeNum;                          // ʵʵĶ͸, ȡЧ
    NET_SUBSCRIBE_INFO_EX*      pstuSubscribes;                         // ,ûڴ棬СΪsizeof(NET_SUBSCRIBE_INFO)*nSubScribeMax
	DH_TSECT                    stuAllEventPushTime[DH_N_WEEKS][DH_N_TSECT]; // 豸ʱΣΪһ7*6Ķά飬7ԪضӦÿ7죨һΪգÿ6ʱΡ
                                                                             // ÿʱεĵһ1ʱʹܣ0Ϊʹ״̬
                                                                             // bIsTimeEnableΪTRUEʱЧʱ; bIsTimeEnableΪFALSEʱ,豸Ͳʱ
    BOOL                        bIsTimeEnable;                          // 豸ʱ(stuAllEventPushTime)ֶǷЧ,ĬΪFALSE
    BOOL                        bUserEx;                                // ½ûչǷЧ
    char                        szUserEx[256];                          // ½ûչ
} NET_IN_ADD_MOBILE_PUSHER_NOTIFICATION;


// CLIENT_AddMobilePusherNotification 
typedef struct tagNET_OUT_ADD_MOBILE_PUSHER_NOTIFICATION 
{
	DWORD						dwSize;									// ṹС
} NET_OUT_ADD_MOBILE_PUSHER_NOTIFICATION;

// ֻAPP豸һͶ, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddMobilePusherNotification(LLONG lLoginID, NET_IN_ADD_MOBILE_PUSHER_NOTIFICATION *pInParam, NET_OUT_ADD_MOBILE_PUSHER_NOTIFICATION *pOutParam, int nWaitTime);

// CLIENT_DelMobilePusherNotification 
typedef struct tagNET_IN_DEL_MOBILE_PUSHER_NOTIFICATION
{
	DWORD						dwSize;									// ṹС
	char						szRegisterID[MAX_REGISTER_ID_LEN];		// RegisterID, ֻAppple/Androidע᷵صģÿβͬ
	char						szAppID[MAX_APP_ID_LEN];				// AppIDֻÿһͻˣһ
} NET_IN_DEL_MOBILE_PUSHER_NOTIFICATION;

// CLIENT_DelMobilePusherNotification 
typedef struct tagNET_OUT_DEL_MOBILE_PUSHER_NOTIFICATION 
{
	DWORD						dwSize;									// ṹС
} NET_OUT_DEL_MOBILE_PUSHER_NOTIFICATION;

// ֻAPP豸ɾһͶ, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DelMobilePusherNotification(LLONG lLoginID, NET_IN_DEL_MOBILE_PUSHER_NOTIFICATION *pInParam, NET_OUT_DEL_MOBILE_PUSHER_NOTIFICATION *pOutParam, int nWaitTime);
/////////////////////////////////ֻͶЭ  End/////////////////////////////////

// ƾ֤Ϣ
typedef struct tagNET_CREDENTIAL_INFO
{
    char                        CredentialHolder[16];                           // ӵ
    NET_TIME                    stuValidDateStart;                              // ʼЧ
    NET_TIME                    stuValidDateEnd;                                // ֹЧ
    NET_ACCESS_METHOD           emType;                                         // 
    DWORD                       nIndex;                                         // 
    char                        szCardNo[DH_MAX_CARDINFO_LEN];                  // 
    BYTE                        byReserved[1024];                               // ֽ
}NET_CREDENTIAL_INFO;

// ϱȨϢ
typedef struct tagNET_SMARTLOCK_NOTIFY_OFFLINEAUTH
{
    char                        szSerialNumber[32];                             // 豸к()
    DWORD                       nACK;                                           // ȷϺ
    NET_CREDENTIAL_INFO         stCredentialInfo;                               // ƾ֤Ϣ
    BYTE                        byReserved[1024];                               // ֽ
}NET_SMARTLOCK_NOTIFY_OFFLINEAUTH;

// ȨϢصָ
typedef void (CALLBACK *fSmartLockOfflineAuthCallBack) (LLONG lLoginId, LLONG lAttachHandle, const NET_SMARTLOCK_NOTIFY_OFFLINEAUTH* pBuf, LDWORD dwUser);

// Ȩ(Ӧӿ CLIENT_AttachSmartLockOfflineAuth)
typedef struct tagNET_IN_SMARTLOCK_OFFLINEAUTH
{
    DWORD                               dwSize;                                 // ṹС
    char                                szUUID[36];                             // ͻΩһʶ
    fSmartLockOfflineAuthCallBack       cbOfflineAuth;                          // ȨϢص
    LDWORD                              dwUser;                                 // û
}NET_IN_SMARTLOCK_OFFLINEAUTH;

// Ȩĳ(Ӧӿ CLIENT_AttachSmartLockOfflineAuth)
typedef struct tagNET_OUT_SMARTLOCK_OFFLINEAUTH
{
    DWORD                               dwSize;                                 // ṹС
}NET_OUT_SMARTLOCK_OFFLINEAUTH;

// Ȩ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachSmartLockOfflineAuth(LLONG lLoginID, const NET_IN_SMARTLOCK_OFFLINEAUTH* pstInParam, NET_OUT_SMARTLOCK_OFFLINEAUTH* pstOutParam, int nWaitTime);

// ˶¼ش
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachSmartLockOfflineAuth(LLONG lAttachHandle);

// ȷȨ(Ӧӿ CLIENT_AckSmartLockOfflineAuth)
typedef struct tagNET_IN_SMARTLOCK_ACK_OFFLINEAUTH
{
    DWORD                               dwSize;                                 // ṹС
    char                                szUUID[36];                             // ͻΩһʶ
    char                                szSerialNumber[32];                     // 豸к()
    DWORD                               nACK;                                   // ¼ȷID
}NET_IN_SMARTLOCK_ACK_OFFLINEAUTH;

// ȷȨ(Ӧӿ CLIENT_AckSmartLockOfflineAuth)
typedef struct tagNET_OUT_SMARTLOCK_ACK_OFFLINEAUTH
{
    DWORD                               dwSize;                                 // ṹС
}NET_OUT_SMARTLOCK_ACK_OFFLINEAUTH;

// ȷȨ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AckSmartLockOfflineAuth(LLONG lLoginID, NET_IN_SMARTLOCK_ACK_OFFLINEAUTH* pstInParam, NET_OUT_SMARTLOCK_ACK_OFFLINEAUTH* pstOutParam, int nWaitTime);

// CLIENT_EncryptString ӿ
typedef struct tagNET_IN_ENCRYPT_STRING
{
	DWORD						dwSize;							// ṹС
	char						szCard[33];						// 
	BYTE                        byReserved1[3];                 // ֽڶ	
    char                        szKey[33];                      // Կ
    BYTE                        byReserved2[3];                 // ֽڶ	
} NET_IN_ENCRYPT_STRING;

// CLIENT_EncryptString ӿڳ
typedef struct tagNET_OUT_ENCRYPT_STRING 
{
	DWORD						dwSize;							// ṹС
	char						szEncryptString[1024];			// ַܺ
} NET_OUT_ENCRYPT_STRING;

// ַܽӿ (pInParam, pOutParamڴûͷ) ƽӿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_EncryptString(const NET_IN_ENCRYPT_STRING *pInParam, NET_OUT_ENCRYPT_STRING *pOutParam, int nWaitTime);

// CLIENT_PreUploadRemoteFile ӿ(ļ)
typedef struct tagNET_IN_PRE_UPLOAD_REMOTE_FILE
{
    DWORD               dwSize;                         // ṹС
    char*               pszFileSrc;                     // Դļ·
    char*               pszFileDst;                     // 豸˵ļ·
} NET_IN_PRE_UPLOAD_REMOTE_FILE;

// ԭ
typedef enum tagEM_REASON_TYPE
{
    EM_REASON_TYPE_UNKNOWN,                             // δ֪ԭ
    EM_REASON_TYPE_OVERNUMBER,                          // ļ
    EM_REASON_TYPE_FULLSTORAGE,                         // ļ洢ռ
    EM_REASON_TYPE_TOOLARGE_FILE,                       // ļ̫
    EM_REASON_TYPE_INVALID_FILETYPE,                    // Чļ
    EM_REASON_TYPE_UNAUTH_UPLOAD,                       // ûϴȨ
    EM_REASON_TYPE_EXCEPTION_NAME,                      // ļ쳣
    EM_REASON_TYPE_TOOLONG_NAME,                        // ļ̫
    EM_REASON_TYPE_EXIST_NAME,                          // ļѴ
} EM_REASON_TYPE;

// CLIENT_PreUploadRemoteFile ӿ(ļ)
typedef struct tagNET_OUT_PRE_UPLOAD_REMOTE_FILE
{
    DWORD               dwSize;                         // ṹС
    BOOL                bContinue2Upload;               // ־Ƿϴļ, true:ϴ false:ϴ
    EM_REASON_TYPE      emType;                         // ԭ, bContinue2UploadΪfalseʱemTypeЧ                    
} NET_OUT_PRE_UPLOAD_REMOTE_FILE;

// ļ, pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PreUploadRemoteFile(LLONG lLoginID, const NET_IN_PRE_UPLOAD_REMOTE_FILE* pInParam, NET_OUT_PRE_UPLOAD_REMOTE_FILE* pOutParam, int nWaitTime);

//CLIENT_GetInstallDiagnosticStatCaps
typedef struct tagNET_IN_GET_CAPS_INSTALL_DIAGNOSTIC_STAT
{
	DWORD				dwSize;
}NET_IN_GET_CAPS_INSTALL_DIAGNOSTIC_STAT;

//ͨϢ
typedef struct tagNET_INSTALL_DIAGNOSTIC_STAT_CAPS_INFO
{
	int									nChannel;				//Ƶͨ
	int									nEventNum;				//¼
	int									nEventsCode[32];		//¼б
	BYTE								bReserved[256];			//ֽ
}NET_INSTALL_DIAGNOSTIC_STAT_CAPS_INFO;
//CLIENT_GetInstallDiagnosticStatCaps
typedef struct tagNET_OUT_GET_CAPS_INSTALL_DIAGNOSTIC_STAT
{
	DWORD									dwSize;				//ṹС
	int										nCapsNum;			//ͨ
	NET_INSTALL_DIAGNOSTIC_STAT_CAPS_INFO	stuCaps[16];		//ͨϢ
}NET_OUT_GET_CAPS_INSTALL_DIAGNOSTIC_STAT;

//ȡ豸ṩϵ¼,pInParampOutParamڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetInstallDiagnosticStatCaps(LLONG lLoginID, const NET_IN_GET_CAPS_INSTALL_DIAGNOSTIC_STAT* pInParam, NET_OUT_GET_CAPS_INSTALL_DIAGNOSTIC_STAT* pOutParam, int nWaitTime);

//ݽṹ
typedef struct tagNET_INSTALL_DIAGNOSTIC_STAT_DATALIST
{
	int						nPitchAngle;			//(̧ͷͷ)Χ[-90,90],0Ϊ 180ΪЧֵ
	int						nYawAngle;				//ƫ(תͷ)Χ[-90,90],0Ϊ 180ΪЧֵ
	int						nRollAngle;				//(ƽƫƫ)Χ[-90,90],0Ϊ 180ΪЧֵ
	int						nQuality;				//ֵΧ[1,100],0ΪЧֵ
	int						nWidth;					//ص
	int						nHeight;				//ص߶
	BYTE					byReserved[64];			//ֽ
}NET_INSTALL_DIAGNOSTIC_STAT_DATALIST;
//װϢ
typedef struct tagNET_INSTALL_DIAGNOSTIC_STAT_RESULT
{
	int										nEventCode;			// ¼
	int										nDatalistLen;		// ݸ 
	NET_INSTALL_DIAGNOSTIC_STAT_DATALIST	stuDataList[128];	// б
	BYTE									byReserved[256];	// ֽ
}NET_INSTALL_DIAGNOSTIC_STAT_RESULT;
//İװݻص
typedef struct tagNET_INSTALL_DIAGNOSTIC_STAT
{
	int										nChannel;			// ͨ
	int										nResultNum;			// ݸ
	NET_INSTALL_DIAGNOSTIC_STAT_RESULT		stuResult[32];		// б
	BYTE									byReserved[512];	// ֽ
}NET_INSTALL_DIAGNOSTIC_STAT;
//İװݻص
typedef void (CALLBACK	*fInstallDiagnosticStatCallBack)(LLONG lAttachHandle, NET_INSTALL_DIAGNOSTIC_STAT* pBuf, DWORD dwBufLen, LDWORD dwUser);
//Ϣ
typedef struct tagNET_ATTACH_DIAGNOSTIC_FILTER
{
	int								nChannelNum;					// ͨ
	int								nChannels[16];					// ͨб
	int								nEventNum;						// ¼
	int								nEventsCode[32];				// ¼б
	BYTE							byReserved[128];				// ֽ
}NET_ATTACH_DIAGNOSTIC_FILTER;
//İװص
typedef struct tagNET_IN_ATTACH_INSTALL_DIAGNOSTIC_STAT
{
	DWORD								dwSize;				// ṹС
	NET_ATTACH_DIAGNOSTIC_FILTER		stuFilter;			// Ϣ
	fInstallDiagnosticStatCallBack		cbDiagnosticStat;	// Ļص
	LDWORD								dwUser;				// û
}NET_IN_ATTACH_INSTALL_DIAGNOSTIC_STAT;
//İװص
typedef struct tagNET_OUT_ATTACH_INSTALL_DIAGNOSTIC_STAT
{
	DWORD					dwSize;					// ṹС
}NET_OUT_ATTACH_INSTALL_DIAGNOSTIC_STAT;
//İװ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachInstallDiagnosticStat(LLONG lLoginID, const NET_IN_ATTACH_INSTALL_DIAGNOSTIC_STAT* pInParam, NET_OUT_ATTACH_INSTALL_DIAGNOSTIC_STAT* pOutParam, int nWaitTime);
//ȡİװ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachInstallDiagnosticStat(LLONG lAttachHandle);

//CLIENT_GetSCADADeviceStatus
typedef struct tagNET_IN_GET_SCADA_STATUS
{
	DWORD				dwSize;										// ṹС
}NET_IN_GET_SCADA_STATUS;
//豸״̬Ϣ
typedef struct tagNET_SCADA_DEV_INFO
{
	char						szDeviceID[32];						// 豸ID
	char						szDeviceName[32];					// 豸
	EM_SCADA_DEVICE_STATUS		emDevStatus;						// 豸״̬
}NET_SCADA_DEV_INFO;
//豸Ϣ
typedef struct tagNET_SCADA_STATUS_INFO
{
	EM_ALARM_SCADA_DEV_TYPE					emDevType;				// 豸
	int										nDevInfoNum;			// 豸Ϣ
	NET_SCADA_DEV_INFO						stuDevInfo[128];		// 豸Ϣ
}NET_SCADA_STATUS_INFO;
//CLIENT_GetSCADADeviceStatus
typedef struct tagNET_OUT_GET_SCADA_STATUS
{
	DWORD					dwSize;									// ṹС
	int						nDevStatusNum;							// 豸״̬Ϣ
	NET_SCADA_STATUS_INFO	stuStatusInfo[64];						// 豸״̬Ϣ
}NET_OUT_GET_SCADA_STATUS;
//ȡ豸б״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetSCADADeviceStatus(LLONG lLoginID, const NET_IN_GET_SCADA_STATUS* pInParam, NET_OUT_GET_SCADA_STATUS* pOutParam, int nWaitTime);

// ȡ궨Ϣ
typedef struct tagNET_IN_GET_CALIBRATEINFO_INFO
{
	DWORD		dwSize;		// ṹС
	UINT		nID;		// 궨
}NET_IN_GET_CALIBRATEINFO_INFO;
// 궨λϢ
typedef struct tagNET_GET_CALIBRATEINFO_CALCINFO_INFO
{
	float		fPosition[3];	// 궨꼰
	UINT		nLocation[2];	// 궨ͼ  
}NET_GET_CALIBRATEINFO_CALCINFO_INFO;
// 궨Ϣ
typedef struct tagNET_GET_CALIBRATEINFO_POINT_INFO
{
	UINT		nID;			// 궨
	char		szName[DH_COMMON_STRING_128];		// 궨
	BOOL		bEnable;		// ʹ
	UINT		nLongitude;		// 
	UINT		nLatitude;		// γ
	double		fAltitude;		// 
	NET_GET_CALIBRATEINFO_CALCINFO_INFO stuCalcInfo[5][2];	// 궨 һάʾͬλã ڶλʾɼȳ
	int			nPointNum;		// 궨
	BYTE		byReserved[4];	// ֽڶ
}NET_GET_CALIBRATEINFO_POINT_INFO;
// ȡ궨Ϣ
typedef struct tagNET_OUT_GET_CALIBRATEINFO_INFO
{
	DWORD		dwSize;		// ṹС
	NET_GET_CALIBRATEINFO_POINT_INFO	stuPointInfo; // 궨Ϣ
}NET_OUT_GET_CALIBRATEINFO_INFO;

// ñ궨Ϣ
typedef struct tagNET_IN_SET_CALIBRATEINFO_INFO
{
	DWORD		dwSize;			// ṹС
	NET_GET_CALIBRATEINFO_POINT_INFO	stuPointInfo;	//궨Ϣ
}NET_IN_SET_CALIBRATEINFO_INFO;
// ñ궨Ϣ
typedef struct tagNET_OUT_SET_CALIBRATEINFO_INFO
{
	DWORD		dwSize;		// ṹС
}NET_OUT_SET_CALIBRATEINFO_INFO;

// ɾ궨Ϣ
typedef struct tagNET_IN_DELETE_CALIBRATEINFO_INFO
{
	DWORD		dwSize;		// ṹС
	UINT		nID;		// 궨ID
}NET_IN_DELETE_CALIBRATEINFO_INFO;
// ɾ궨Ϣ
typedef struct tagNET_OUT_DELETE_CALIBRATEINFO_INFO
{
	DWORD		dwSize;		// ṹС
}NET_OUT_DELETE_CALIBRATEINFO_INFO;

// ȡб궨Ϣ
typedef struct tagNET_IN_GETALL_CALIBRATEINFO_INFO
{
	DWORD		dwSize;		//ṹС
}NET_IN_GETALL_CALIBRATEINFO_INFO;
// GPSϢ
typedef struct tagNET_DEVLOCATION_INFO
{
	UINT							unLongitude;							                    //  λ֮һȣΧ0-360
	UINT							unLatitude;								                    // γ λ֮һȣΧ0-360
	double                          dbAltitude;                                                 //  λ
	BOOL                            bConfigEnable;                                              // trueGPSϢϱ
	float							fHeight;													// 豸߶ λ
}NET_DEVLOCATION_INFO;
// 궨Ϣ
typedef struct tagNET_CALIBRATE_UNIT_INFO
{
	UINT		nHeight;			// ֱʸ
	UINT		nWidth;				// ֱʿ
	float		nPosition[3];		// ̨λ(P/T/Z һ)
	UINT		nLocation[2];		// 궨
	UINT		nHFOV;				// ӳ(λ0.01)
	UINT		nVFOV;				// ӳ(λ0.01)
}NET_CALIBRATE_UNIT_INFO;
// 궨ϸϢ
typedef struct tagNET_CALIBRATE_INFO
{
	NET_CALIBRATE_UNIT_INFO stuCalibrateUnitInfo[5][2];		//궨Ϣ
	int nInfoNum;			// Ϣ
}NET_CALIBRATE_INFO;
// 궨Ϣ
typedef struct tagNET_LOCATION_CALIBRATE_POINT_INFO
{
	UINT		nID;							// 궨ID
	char		szName[DH_COMMON_STRING_128];	// 궨
	BOOL		bEnable;						// ʹ
	UINT		nLongitude;						// 
	UINT		nLatitude;						// γ
	double		fAltitude;						// 
	NET_CALIBRATE_INFO	stuCalibrateInfo;		// 궨Ϣ
	BYTE		byReserved1[4];					// ֽڶ
}NET_LOCATION_CALIBRATE_POINT_INFO;

//豸궨Ϣ
#define MAX_CALIBRATE_POINT_NUM 64  //궨
typedef struct tagNET_LOCATION_CALIBRATE_INFO
{
	UINT		nVisualMaxHFOV;				// ɼӽ
	UINT		nVisualMaxVFOV;				// ɼӽ
	UINT		nThermoMaxHFOV;				// ȳӽ
	UINT		nThermoMaxVFOV;				// ȳӽ
	NET_LOCATION_CALIBRATE_POINT_INFO	stuPointInfo[MAX_CALIBRATE_POINT_NUM];	// 궨Ϣ
	int			nPointNum;					// 궨
	BYTE		byReserved1[4];					// ֽڶ
}NET_LOCATION_CALIBRATE_INFO;
// ȡб궨Ϣ
typedef struct tagNET_OUT_GETALL_CALIBRATEINFO_INFO
{
	DWORD		dwSize;											// ṹС
	NET_DEVLOCATION_INFO			stuGPSInfo;					// GPSϢ
	NET_LOCATION_CALIBRATE_INFO		stuLocationCalibrateInfo;	// 궨Ϣ
}NET_OUT_GETALL_CALIBRATEINFO_INFO;

// 豸궨Ϣ
typedef enum tagEM_CALIBRATEINFO_OPERATE_TYPE
{
	EM_CALIBRATEINFO_OPERATE_GET,			// ȡָ궨Ϣ,	pStuInParam = NET_IN_GET_CALIBRATEINFO_INFO,	  pStuOutParam = NET_OUT_GET_CALIBRATEINFO_INFO
	EM_CALIBRATEINFO_OPERATE_SET,			// ָ궨Ϣ,	pStuInParam = NET_IN_SET_CALIBRATEINFO_INFO,	  pStuOutParam = NET_OUT_SET_CALIBRATEINFO_INFO
	EM_CALIBRATEINFO_OPERATE_DELETE,		// ɾָ궨Ϣ,	pStuInParam = NET_IN_DELETE_CALIBRATEINFO_INFO,	  pStuOutParam = NET_OUT_DELETE_CALIBRATEINFO_INFO
	EM_CALIBRATEINFO_OPERATE_GETALL,		// ȡб궨Ϣ,	pStuInParam = NET_IN_GETALL_CALIBRATEINFO_INFO,   pStuOutParam = NET_OUT_GETALL_CALIBRATEINFO_INFO
}EM_CALIBRATEINFO_OPERATE_TYPE;
// 豸궨Ϣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_OperateCalibrateInfo(LLONG lLoginID, EM_CALIBRATEINFO_OPERATE_TYPE emType, const	void* pStuInParam, void* pStuOutParam, int nWaitTime);


// ̨ˮƽתϢ
typedef struct tagNET_PAN_GROUP_INFO
{
	char					szName[32];								// ˮƽת
	unsigned int 			nSpeed;									// ˮƽתٶ0~7
	BOOL 					bEnable;								// ʹ
	unsigned int 			nInterval;								// ͣʱ,λ:
	BYTE					byReserved[64];							// ֽ
}NET_PAN_GROUP_INFO;

// CLIENT_PTZSetPanGroupṹ
typedef struct tagNET_IN_SET_PAN_GROUP_PARAM
{
	DWORD					dwSize;									// ṹС
	int						nChannel;								// ͨ
	unsigned int			nIndex;									// תԪŴ1ʼ
	NET_PAN_GROUP_INFO		stuPanGroupInfo;						// ˮƽתϢ
}NET_IN_SET_PAN_GROUP_PARAM;

// CLIENT_PTZSetPanGroupṹ
typedef struct tagNET_OUT_SET_PAN_GROUP_PARAM
{
	DWORD					dwSize;									// ṹС
}NET_OUT_SET_PAN_GROUP_PARAM;

//̨ˮƽתϢ(ȳר)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PTZSetPanGroup(LLONG lLoginID, const NET_IN_SET_PAN_GROUP_PARAM* pInParam, NET_OUT_SET_PAN_GROUP_PARAM* pOutParam, int nWaitTime);


// CLIENT_PTZGetPanGroupνṹ
typedef struct tagNET_IN_GET_PAN_GROUP_PARAM
{
	DWORD					dwSize;									// ṹС
	int						nChannel;								// ͨ
}NET_IN_GET_PAN_GROUP_PARAM;

// CLIENT_PTZGetPanGroupνṹ
typedef struct tagNET_OUT_GET_PAN_GROUP_PARAM
{
	DWORD					dwSize;									// ṹС
	int						nRetNum;								// ʵʷظ
	NET_PAN_GROUP_INFO		stuPanGroupInfo[8];						// ˮƽתϢ
}NET_OUT_GET_PAN_GROUP_PARAM;
//ȡ̨ˮƽתϢ(ȳר)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PTZGetPanGroup(LLONG lLoginID, const NET_IN_GET_PAN_GROUP_PARAM* pInParam, NET_OUT_GET_PAN_GROUP_PARAM* pOutParam, int nWaitTime);


//CLIENT_PTZGotoPanPosition νṹ
typedef struct tagNET_IN_GOTO_PAN_POSITION
{
	DWORD					dwSize;									// ṹС
	int						nChannel;								// ͨ
	unsigned int			nIndex;									// תŴ1ʼ
}NET_IN_GOTO_PAN_POSITION;

//CLIENT_PTZGotoPanPosition νṹ
typedef struct tagNET_OUT_GOTO_PAN_POSITION
{
	DWORD					dwSize;									// ṹС
}NET_OUT_GOTO_PAN_POSITION;

//̨תָˮƽ(ȳר)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PTZGotoPanPosition(LLONG lLogindID, const NET_IN_GOTO_PAN_POSITION* pInParam, NET_OUT_GOTO_PAN_POSITION* pOutParam, int nWaitTime);

// ˮƽת߽ģʽ
typedef enum tagNET_EM_PAN_GROUP_LIMIT_MODE
{
	NET_EM_PAN_GROUP_LIMIT_MODE_LEFT = 1,				// ߽
	NET_EM_PAN_GROUP_LIMIT_MODE_RIGHT,					// ұ߽
	NET_EM_PAN_GROUP_LIMIT_MODE_UP,						// ϱ߽
	NET_EM_PAN_GROUP_LIMIT_MODE_DOWN,					// ±߽
} NET_EM_PAN_GROUP_LIMIT_MODE; 

// ˮƽתֵ߽ 
typedef struct tagNET_IN_PAN_GROUP_LIMIT_INFO
{
	DWORD							dwSize;									// ṹС
	int								nChannelID;								// ȷͨţΧ 0~豸ͨ
	unsigned int					nIndex;									// תŴ1ʼ
	NET_EM_PAN_GROUP_LIMIT_MODE	emPanGroupLimitMode;						// ˮƽת޽							 		 							 
} NET_IN_PAN_GROUP_LIMIT_INFO;

// ˮƽתֵ߽ 
typedef struct tagNET_OUT_PAN_GROUP_LIMIT_INFO
{
	DWORD							dwSize;
} NET_OUT_PAN_GROUP_LIMIT_INFO;

// ˮƽתֵ߽
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PTZSetPanGroupLimit(LLONG lLoginID, const NET_IN_PAN_GROUP_LIMIT_INFO *pstInParam, NET_OUT_PAN_GROUP_LIMIT_INFO *pstOutParam, DWORD dwWaitTime);

// ִϴαϵʷ, 
typedef struct tagNET_IN_RESUME_PTZ_LASTTASK_INFO
{
	DWORD							dwSize;							// ṹС
	int								nChannelID;						// ȷͨţΧ 0~豸ͨ
} NET_IN_RESUME_PTZ_LASTTASK_INFO;

// ִϴαϵʷ, 
typedef struct tagNET_OUT_RESUME_PTZ_LASTTASK_INFO
{
	DWORD							dwSize;							// ṹС
} NET_OUT_RESUME_PTZ_LASTTASK_INFO;

// ã
//			1ִϴαϵʷѭѲɨˮƽתִбΪƶ̨ϣ
//			2û鱨
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ResumePtzLastTask(LLONG lLoginID, const NET_IN_RESUME_PTZ_LASTTASK_INFO *pstInParam, NET_OUT_RESUME_PTZ_LASTTASK_INFO *pstOutParam, DWORD dwWaitTime);

// ͣǰ̨, 
typedef struct tagNET_IN_PAUSE_PTZ_ACTION_INFO
{
	DWORD							dwSize;							// ṹС
	int								nChannelID;						// ͨID
} NET_IN_PAUSE_PTZ_ACTION_INFO;

// ͣǰ̨
typedef struct tagNET_OUT_PAUSE_PTZ_ACTION_INFO
{
	DWORD							dwSize;							// ṹС
} NET_OUT_PAUSE_PTZ_ACTION_INFO;

// ̨ͣǰ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PausePtzAction(LLONG lLoginID, const NET_IN_PAUSE_PTZ_ACTION_INFO *pstInParam, NET_OUT_PAUSE_PTZ_ACTION_INFO *pstOutParam, DWORD dwWaitTime);


/////////////////////////////////ܷӿ ʼ/////////////////////////////////
#define MAX_ANALYSE_REMAIN_CAPACITY_NUM     32      // ܷʣ
#define MAX_ANALYSE_RULE_COUNT              32      // 
#define MAX_ANALYSE_PICTURE_FILE_NUM        32      // ͼƬļ
#define MAX_ANALYSE_TASK_NUM                64      // ܷ
#define MAX_ANALYSE_FILTER_EVENT_NUM        64      // ֹ֧˵¼
#define MAX_ANALYSE_ALGORITHM_NUM           16      // 㷨
#define MAX_ANALYSE_TOTALCAPS_NUM           32      // ܷ

// ܷʣϢ
typedef struct tagNET_REMAIN_ANALYSE_CAPACITY
{
    UINT                    nMaxStreamNum;      // ʣܷƵĿ
    EM_SCENE_CLASS_TYPE     emClassType;        // ҵ񷽰
    BYTE                    byReserved[1024];   // ֽ
} NET_REMAIN_ANALYSE_CAPACITY;

// ܷʣ
typedef struct tagNET_CB_REMAIN_CAPACITY
{
    UINT                            nRemainCapacityNum;                                     // ܷʣ
    NET_REMAIN_ANALYSE_CAPACITY     stuRemainCapacities[MAX_ANALYSE_REMAIN_CAPACITY_NUM];   // ܷʣ
    BYTE                            byReserved[1024];                                       // ֽ
} NET_CB_REMAIN_CAPACITY;

// ʣܷԴصԭ,lAttachHandleCLIENT_IntelliAttachResourceֵ
typedef void (CALLBACK *fAttachRemainAnalyseResourceCB) (LLONG lAttachHandle, NET_CB_REMAIN_CAPACITY* pstRemainCapacity, LDWORD dwUser);

// CLIENT_AttachRemainAnalyseResource 
typedef struct tagNET_IN_ATTACH_REMAIN_ANALYSE_RESOURCE
{
    DWORD                             dwSize;                             // ṹС
    BYTE                              byReserved[4];                      // ֽڶ
    fAttachRemainAnalyseResourceCB    cbAttachResource;                   // ʣܷԴص
    LDWORD                            dwUser;                             // û
} NET_IN_ATTACH_REMAIN_ANALYSE_RESOURCE;

// ܷԴ
typedef enum tagEM_DATA_SOURCE_TYPE
{
    EM_DATA_SOURCE_REMOTE_REALTIME_STREAM = 1,  // Զʵʱ , Ӧ NET_REMOTE_REALTIME_STREAM_INFO
    EM_DATA_SOURCE_PUSH_PICFILE,                // ͼƬļ, Ӧ NET_PUSH_PICFILE_INFO
} EM_DATA_SOURCE_TYPE;

// 
typedef enum tagNET_EM_FACEFEATURE_TYPE
{
	NET_EM_FACEFEATURE_UNKNOWN,			// δ֪
	NET_EM_FACEFEATURE_SEX,				// Ա
	NET_EM_FACEFEATURE_AGE,				// 
	NET_EM_FACEFEATURE_EMOTION,			// 
	NET_EM_FACEFEATURE_GLASSES,			// ۾״̬
	NET_EM_FACEFEATURE_RACE,			// 
	NET_EM_FACEFEATURE_EYE,				// ۾״̬
	NET_EM_FACEFEATURE_MOUTH,			// ״̬
	NET_EM_FACEFEATURE_MASK,			// ״̬
	NET_EM_FACEFEATURE_BEARD,			// ״̬
	NET_EM_FACEFEATURE_ATTRACTIVE,		// ֵ
} NET_EM_FACEFEATURE_TYPE;

// ¼EVENT_IVS_FACEANALYSIS(¼) ӦĹ
typedef struct tagNET_FACEANALYSIS_RULE_INFO
{
	DWORD                   	dwSize;                             	// ṹС
	int							nDetectRegionPoint;						// 
	POINTCOORDINATE				stuDetectRegion[20];					// 
	int                 		nSensitivity;                           // ,Χ[1,10],ԽԽ׼
	int							nLinkGroupNum;							// ظ 
	NET_CFG_LINKGROUP_INFO		stuLinkGroup[20];						// Ĳ
	NET_CFG_STRANGERMODE_INFO	stuStrangerMode;						// İ˲ģʽ
    BOOL                		bSizeFileter;                           // ضĳߴǷЧ
	NET_CFG_SIZEFILTER_INFO 	stuSizeFileter;                         // ضĳߴ
	BOOL						bFeatureEnable;							// Ƿʶ, IPC
	int							nFaceFeatureNum;						// ҪԸ
	NET_EM_FACEFEATURE_TYPE 	emFaceFeatureType[32];					// 
	BOOL						bFeatureFilter;							// Կǰ£ͼ̫Ƿϱ
																		// true-ͼ̫ϱ false-ͼܲҲϱ(ܻǳ׼Ӱû)
	int							nMinQuality;							// ͼƬֵ,bFeatureFilterһʹ Χ[1,100]
} NET_FACEANALYSIS_RULE_INFO;

// Ƶֵ֧
typedef enum tagNET_ANALYSE_HUMANFACE_TYPE
{
    NET_ANALYSE_HUMANFACE_TYPE_UNKNOWN,        // δ֪
    NET_ANALYSE_HUMANFACE_TYPE_NORMAL,         // ͨ
    NET_ANALYSE_HUMANFACE_TYPE_HIDEEYE,        // ۲ڵ
    NET_ANALYSE_HUMANFACE_TYPE_HIDENOSE,       // ڵ
    NET_ANALYSE_HUMANFACE_TYPE_HIDEMOUTH,      // 첿ڵ
    NET_ANALYSE_HUMANFACE_TYPE_ADJACENTFACE,   //  (עATMβ)
    NET_ANALYSE_HUMANFACE_TYPE_ABNORMALFACE,   // 쳣
    NET_ANALYSE_HUMANFACE_TYPE_HELMETFACE,     // ͷ(Ħг)
}NET_ANALYSE_HUMANFACE_TYPE;

// ¼EVENT_IVS_HUMANTRAIT(Ա)ӦĹ
typedef struct tagNET_HUMANTRAIT_RULE_INFO
{
	DWORD                   	dwSize;                             			// ṹС
    int                    		nHumanFaceTypeNum;                              // ֵ֧͸
    NET_ANALYSE_HUMANFACE_TYPE 	emHumanFaceType[8];           					// ֵ֧б

    int                         nMinDuration;                                   // ̴ʱ,λ
    int                         nTriggerTargets;                                // 
    int                         nSensitivity;                                   // ,ԽԽ׼, 0-10
    BOOL                        bSizeFileter;                                   // Ƿʹóߴ
    NET_CFG_SIZEFILTER_INFO     stuSizeFileter;                             	// ضĳߴжϾ
    BOOL                        bFeatureEnable;                                 // Ƿʶ
    BOOL                        bFeatureFilter;                                 // Կǰ£ͼ̫Ƿϱ  true-ͼ̫ϱ;false-ͼܲҲϱ(ܻǳ׼Ӱû)
    int                         nMinQuality;                                    // ͼƬֵ,bFeatureFilterһʹ

    int					        nFaceFeatureNum;								// ҪԸ
    NET_EM_FACEFEATURE_TYPE     emFaceFeatureType[32];							// 
}NET_HUMANTRAIT_RULE_INFO;

//ⷽ
typedef enum tagEM_DETECT_DIRECTION_TYPE
{
	EM_DETECT_DIRECTION_UNKNOWN = 0,											// δ֪
	EM_DETECT_DIRECTION_LEFT_TO_RIGHT,											// 
	EM_DETECT_DIRECTION_RIGHT_TO_LEFT,											// 
}EM_DETECT_DIRECTION_TYPE;

// XRAYⷽ
typedef enum tagEM_XRAY_SCHEME_TYPE
{
	EM_XRAY_SCHEME_UNKNOWN,			// δ֪
	EM_XRAY_SCHEME_TONGFANG_100,	// ͬ100
	EM_XRAY_SCHEME_TONGFANG_200,	// ͬ200
	EM_XRAY_SCHEME_TONGFANG_300,	// ͬ300
	EM_XRAY_SCHEME_TONGFANG_400,	// ͬ400
	EM_XRAY_SCHEME_ANTIANXIA_100,	// 100
	EM_XRAY_SCHEME_ANTIANXIA_200,	// 200
	EM_XRAY_SCHEME_DAHUA_100,		// 100
	EM_XRAY_SCHEME_DAHUA_200,		// 200
	EM_XRAY_SCHEME_DAHUA_300,		// 300
	EM_XRAY_SCHEME_DAHUA_400,		// 400
	EM_XRAY_SCHEME_DAHUA_301,		// 301
	EM_XRAY_SCHEME_SHANGCHEN_HIGH,	// 衸߼
	EM_XRAY_SCHEME_SHANGCHEN_LOW,	// 衵
} EM_XRAY_SCHEME_TYPE;

// XRAYϱ
typedef struct tagNET_XRAY_OBJECT_UPLOAD_RULE
{
	BOOL					bUploadEnable;				// ϱʹ
	UINT					nSimilarity;				// ϱƶ, [1,100]
	BYTE                    byReserved[128];            // ֽ
} NET_XRAY_OBJECT_UPLOAD_RULE;

// XRAY
typedef struct tagNET_XRAY_OBJECT_DETECT_RULE
{
	EM_INSIDE_OBJECT_TYPE		emObjectType;				// 
	BOOL						bDetectEnable;				// ʹ
	EM_DANGER_GRADE_TYPE		emDangerGrade;				// ȫȼ
	NET_XRAY_OBJECT_UPLOAD_RULE	stuUploadRuleInfo;			// ϱϢ
	BYTE                    	byReserved[512];            // ֽ
} NET_XRAY_OBJECT_DETECT_RULE;

// EVENT_IVS_XRAY_DETECT_BYOBJECT(Xⰴ)ӦĹ
typedef struct tagNET_XRAY_DETECT_BYPBJECT_RULE_INFO
{
    DWORD                       dwSize;                             // ṹС
    int                         nDetectRegionPoint;                 // 
    POINTCOORDINATE             stuDetectRegion[20];                // 
    UINT                        nSensitivity;                       // ,[1,10]
    EM_DETECT_DIRECTION_TYPE    emDirectionType;                    // ⷽ
    EM_XRAY_SCHEME_TYPE         emSchemeType;                       // 鷽
    UINT                        nObjectRuleNum;                     // XRAY
    NET_XRAY_OBJECT_DETECT_RULE stuObjectRuleInfo[128];             // XRAYϢ
    EM_XRAY_VIEW_TYPE           emViewType;                         // ӽ
} NET_XRAY_DETECT_BYPBJECT_RULE_INFO;

// ǻ
typedef enum tagEM_NONMOTOR_FEATURE
{
    EM_NONMOTOR_FEATURE_UNKNOWN,                    // δ֪
    EM_NONMOTOR_FEATURE_HELMET,                     // ͷ
    EM_NONMOTOR_FEATURE_NUMOFCYCLING,               // 
    EM_NONMOTOR_FEATURE_NONMOTORCOLOR,              // ɫ
    EM_NONMOTOR_FEATURE_SEX,                        // Ա
    EM_NONMOTOR_FEATURE_AGE,                        // 
    EM_NONMOTOR_FEATURE_HAT,                        // ñ
    EM_NONMOTOR_FEATURE_BAG,                        // 
    EM_NONMOTOR_FEATURE_CARRIERBAG,                 // 
    EM_NONMOTOR_FEATURE_UMBRELLA,                   // ɡ
    EM_NONMOTOR_FEATURE_UPPERBODYCOLOR,             // ɫ
    EM_NONMOTOR_FEATURE_LOWERBODYCOLOR,             // ɫ
    EM_NONMOTOR_FEATURE_UPCLOTHES,                  // 
    EM_NONMOTOR_FEATURE_DOWNCLOTHES,                // 
    EM_NONMOTOR_FEATURE_CATEGORY,                   // 
}EM_NONMOTOR_FEATURE;

// ¼EVENT_IVS_NONMOTORDETECT(ǻ¼)ӦĹ
typedef struct tagNET_NONMOTORDETECT_RULE_INFO
{
	DWORD                   	dwSize;                             			// ṹС
    int					        nFeatureNum;								    // ֵ֧ķǻԸ
    EM_NONMOTOR_FEATURE      	emFeatureList[32];             					// ֵ֧ķǻб
}NET_NONMOTORDETECT_RULE_INFO;

// ¼EVENT_IVS_VEHICLEDETECT(¼)ӦĹ
typedef struct tagNET_VEHICLEDETECT_RULE_INFO
{
	DWORD                   	dwSize;                             			// ṹС
    int                         nSnapThreshold;                                 // ץֵ,һٷʾ߶ռٷֱȴֵʱץġ
}NET_VEHICLEDETECT_RULE_INFO;

// ȫñ
typedef struct tagNET_HELMET_DETECT_RULE
{
	BOOL				bEnable;			// Ƿⰲȫñ
	BOOL				bWear;				// Ƿ⴩ȫñ
	BOOL				bDetectColor;		// Ƿָɫ
	EM_CLOTHES_COLOR	emHelmetColor;		// ȫñɫ, bDetectColor Ϊ TRUE ʱЧ
	BYTE                byReserved[128];	// ֽ
} NET_HELMET_DETECT_RULE;

// 
typedef struct tagNET_WORKCLOTH_DETECT_RULE
{
	BOOL				bEnable;			// Ƿ⹤
	BOOL				bWear;				// Ƿ⴩Ź
	BOOL				bDetectColor;		// Ƿָɫ
	EM_CLOTHES_COLOR	emClothesColor;		// ɫ, bDetectColor Ϊ TRUE ʱЧ
	BYTE                byReserved[128];	// ֽ
} NET_WORKCLOTH_DETECT_RULE;

// ׼
typedef struct tagNET_WORKVEST_DETECT_RULE
{
	BOOL				bEnable;			// Ƿ
	BOOL				bWear;				// Ƿ⴩
	BOOL				bDetectColor;		// Ƿָɫ
	EM_CLOTHES_COLOR	emVestColor;		// ɫ, bDetectColor Ϊ TRUE ʱЧ
	BYTE                byReserved[128];	// ֽ
} NET_WORKVEST_DETECT_RULE;

// װϢ
typedef struct tagNET_WORKCLOTHES_DESCRIPT
{
	NET_HELMET_DETECT_RULE		stuHelemetRule;		// ȫñ
	NET_WORKCLOTH_DETECT_RULE	stuWorkClothRule;	// 
	NET_WORKVEST_DETECT_RULE	stuWorkVestRule;	// ׼
	BYTE                		byReserved[1024];	// ֽ
} NET_WORKCLOTHES_DESCRIPT;

// ¼EVENT_IVS_WORKCLOTHDETECT(װ¼)ӦĹ
typedef struct tagNET_WORKCLOTHDETECT_RULE_INFO
{
	DWORD                   	dwSize;                             	// ṹС
	UINT						nDetectRegionPoint;						// 
	POINTCOORDINATE				stuDetectRegion[20];					// 
	UINT						nDescriptNum;							// װϢ
	NET_WORKCLOTHES_DESCRIPT	stuWorkClothesDescript[64];				// װϢ, ߼ϵ
} NET_WORKCLOTHDETECT_RULE_INFO;

// ʽ
typedef enum tagEM_CONDITION_EXPR_TYPE
{
	EM_CONDITION_EXPR_UNKNOWN		= 0,	// δ֪
	EM_CONDITION_EXPR_GREATER,				// 
	EM_CONDITION_EXPR_LESS, 				// С
	EM_CONDITION_EXPR_EQUAL,				// 
} EM_CONDITION_EXPR_TYPE;

// ҵͳϢ
typedef struct tagNET_WORKSTAT_DESCRIPT
{
	NET_WORKCLOTHES_DESCRIPT	stuWorkClothesDescript;	// װϢ
	UINT						nTriggerNum;			// Ա
	EM_CONDITION_EXPR_TYPE		emConditionExpr;		// ʽnTriggerNumʹã(emConditionExpr nTriggerNum) ʱ
	UINT						nStatInterval;			// ͳʱλ룬Χ1-86400
	BYTE                		byReserved[1024];		// ֽ
} NET_WORKSTAT_DESCRIPT;

// ¼EVENT_IVS_WORKSTATDETECTION(ҵͳ)ӦĹ
typedef struct tagNET_WORKSTATDETECTION_RULE_INFO
{
	DWORD                   	dwSize;                             	// ṹС
	UINT						nStatDescriptNum;						// ҵͳϢ
	NET_WORKSTAT_DESCRIPT		stuWorkStatDescript[64];				// ҵͳϢ
} NET_WORKSTATDETECTION_RULE_INFO;

// ¼EVENT_IVS_CROSSLINEDETECTION(¼)ӦĹ
typedef struct tagNET_CROSSLINE_RULE_INFO
{
	DWORD                   dwSize;                             					// ṹС
	int						nDirection;												// ⷽ:0:;1:;2:߶
	int						nDetectLinePoint;										// ߶
	POINTCOORDINATE			stuDetectLine[20];										// 
	int                 	nPtzPresetId;											// ̨Ԥõ	0~65535
	BOOL                	bSizeFileter;                                           // ضĳߴǷЧ
	NET_CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	int                 	nTriggerPosition;                                       // λ
	BYTE                	bTriggerPosition[8];                                    // λ,0-Ŀӿ, 1-Ŀӿ, 2-Ŀӿ򶥶, 3-ĿӿҶ, 4-Ŀӿ׶
	int						nTrackDuration;											// ٳʱ,λ, Χ[0-300]0:һֱ, 1~300:ٳʱ
	UINT					nVehicleSubTypeNum;										// ĳ͸
	EM_CATEGORY_TYPE		emVehicleSubType[128];									// ĳб
} NET_CROSSLINE_RULE_INFO;

// ¼EVENT_IVS_CROSSREGIONDETECTION(¼)ӦĹ
typedef struct tagNET_CROSSREGION_RULE_INFO
{
	DWORD                   dwSize;                             					// ṹС
	int						nDirection;												// ⷽ:0:Enter;1:Leave;2:Both
	int						nDetectRegionPoint;										// 
	POINTCOORDINATE			stuDetectRegion[20];									// 
	BOOL                	bSizeFileter;                                           // ضĳߴǷЧ
	NET_CFG_SIZEFILTER_INFO stuSizeFileter;                                         // ضĳߴ
	int                 	nActionType;                                            // ⶯
	BYTE                	bActionType[4];                                         // ⶯б,0- 1-ʧ 2- 3-Խ
	int                 	nMinTargets;                                            // СĿ(bActionTypeа"2-"ʱЧ)
	int                 	nMaxTargets;                                            // Ŀ(bActionTypeа"2-"ʱЧ)
	int                 	nMinDuration;                                           // ̳ʱ䣬 λ(bActionTypeа"2-"ʱЧ)
	int                 	nReportInterval;                                        // ʱ λ(bActionTypeа"2-"ʱЧ)
	int						nTrackDuration;											// ٳʱ,0:һֱ,1~300:ٳʱ
	UINT					nVehicleSubTypeNum;										// ĳ͸
	EM_CATEGORY_TYPE		emVehicleSubType[128];									// ĳб
} NET_CROSSREGION_RULE_INFO;


// ȡ
typedef enum tagEM_FEATURE_ABSTRACT_TYPE
{
    EM_FEATURE_ABSTRACT_UNKNOWN = -1,      // δ֪ 
    EM_FEATURE_ABSTRACT_FACE,              //  
    EM_FEATURE_ABSTRACT_HUMAN_TRAIT,       //  
    EM_FEATURE_ABSTRACT_VEHICLE,           // 
    EM_FEATURE_ABSTRACT_NON_MOTOR_VEHICLE, // ǻ 
}EM_FEATURE_ABSTRACT_TYPE;

// ¼EVENT_IVS_FEATURE_ABSTRACT(ȡ)ӦĹ
typedef struct tagNET_FEATURE_ABSTRACT_RULE_INFO
{
    DWORD                   dwSize;                     // ṹС
    int                     nFeature;                   // 
    char                    szFeatureVersions[10][32];  // ͼƬȡʱʹãҪͼƬͬһ汾ȡ,10汾
	EM_FEATURE_ABSTRACT_TYPE emAbstractType;            // ȡ
}NET_FEATURE_ABSTRACT_RULE_INFO;

// 
typedef struct tagNET_ELECTRIC_GLOVE_FEATURE
{
    BOOL                bInsulate;              // ǷԵ, TRUE:Ե, FALSE:ͨ
    BYTE                byReserved[1028];	    // ֽ
} NET_ELECTRIC_GLOVE_FEATURE;

// ׼
typedef struct tagNET_ELECTRIC_GLOVE_DETECT_CONDITION
{
    BOOL                        bExist;             // Ƿ, bGloveFeature stuGloveFeatureʹ
                                                    // (1) bGloveFeature=FALSE ʾǷ
                                                    // (2) bGloveFeature=TRUE, bExist=TRUE, ʾstuGloveFeature
                                                    // (3) bGloveFeature=TRUE, bExist=FALSE, ʾⲻstuGloveFeature
    BOOL                        bGloveFeature;      // ǷЧ
    NET_ELECTRIC_GLOVE_FEATURE  stuGloveFeature;    // 
    BYTE                		byReserved[512];	// ֽ
} NET_ELECTRIC_GLOVE_DETECT_CONDITION;

// ¼EVENT_IVS_ELECTRIC_GLOVE_DETECT(׼¼)ӦĹ
typedef struct tagNET_ELECTRIC_GLOVE_DETECT_RULE_INFO
{
    DWORD                                   dwSize;                         // ṹС
    int						                nDetectRegionPoint;             // 
	POINTCOORDINATE			                stuDetectRegion[20];            // 
	NET_CFG_SIZEFILTER_INFO                 stuSizeFileter;                 // ضĳߴ
	BOOL                	                bSizeFileter;                   // ضĳߴǷЧ
	
	UINT                                    nDetectConditionNum;            // 
	NET_ELECTRIC_GLOVE_DETECT_CONDITION     stuGloveDetectCondition[32];    // ׼, ֮߼Ĺϵ
} NET_ELECTRIC_GLOVE_DETECT_RULE_INFO;

// 
typedef struct tagNET_ELECTRIC_LADDER_FEATURE
{
    BOOL                bInsulate;              // ǷԵ , TRUE:Ե, FALSE:ͨ
    BYTE                byReserved[1028];	    // ֽ
} NET_ELECTRIC_LADDER_FEATURE;

// Ӽ
typedef struct tagNET_ELECTRIC_LADDER_DETECT_CONDITION
{
    BOOL                        bExist;             // Ƿ, bLadderFeature stuLadderFeatureʹ
                                                    // (1) bLadderFeature=FALSE ʾǷ
                                                    // (2) bLadderFeature=TRUE, bExist=TRUE, ʾstuLadderFeature
                                                    // (3) bLadderFeature=TRUE, bExist=FALSE, ʾⲻstuLadderFeature
    BOOL                        bLadderFeature;     // ǷЧ
    NET_ELECTRIC_LADDER_FEATURE stuLadderFeature;   // 
    BYTE                		byReserved[512];    // ֽ
} NET_ELECTRIC_LADDER_DETECT_CONDITION;

// ¼EVENT_IVS_ELECTRIC_LADDER_DETECT(Ӽ¼)ӦĹ
typedef struct tagNET_ELECTRIC_LADDER_DETECT_RULE_INFO
{
    DWORD                                   dwSize;                         // ṹС
    int						                nDetectRegionPoint;             // 
	POINTCOORDINATE			                stuDetectRegion[20];            // 
	NET_CFG_SIZEFILTER_INFO                 stuSizeFileter;                 // ضĳߴ
	BOOL                	                bSizeFileter;                   // ضĳߴǷЧ
	
	UINT                                    nDetectConditionNum;            // 
	NET_ELECTRIC_LADDER_DETECT_CONDITION    stuLadderDetectCondition[32];   // Ӽ, ֮߼Ĺϵ
} NET_ELECTRIC_LADDER_DETECT_RULE_INFO;

//ɫϵ
typedef enum tagEM_COLOR_OPERATE_TYPE
{
    EM_COLOR_OPERATE_TYPE_UNKNOWN   = -1,   // δ֪
    EM_COLOR_OPERATE_TYPE_UNEQUAL,          // !=
    EM_COLOR_OPERATE_TYPE_EQUAL,            // == 
} EM_COLOR_OPERATE_TYPE;

// ɫ
typedef struct tagNET_COLOR_FEATRUE
{
    EM_COLOR_OPERATE_TYPE   emColorOperate;     // ɫϵ
    EM_UNIFIED_COLOR_TYPE   emColor;            // ɫ
    BYTE                    byReserved[128];    // ֽ
} NET_COLOR_FEATRUE;

// 
typedef struct tagNET_ELECTRIC_CURTAIN_FEATURE
{
    NET_COLOR_FEATRUE   stuColorFeature;        // ɫ
    BYTE                byReserved[1024];	    // ֽ
} NET_ELECTRIC_CURTAIN_FEATURE;

// Ⲽ᣼
typedef struct tagNET_ELECTRIC_CURTAIN_DETECT_CONDITION
{
    BOOL                            bExist;             // Ƿ, bCurtainFeature stuCurtainFeatureʹ
                                                        // (1) bCurtainFeature=FALSE ʾǷв
                                                        // (2) bCurtainFeature=TRUE, bExist=TRUE, ʾstuCurtainFeatureĲ
                                                        // (3) bCurtainFeature=TRUE, bExist=FALSE, ʾⲻstuCurtainFeatureĲ
    BOOL                            bCurtainFeature;    // ǷЧ
    NET_ELECTRIC_CURTAIN_FEATURE    stuCurtainFeature;  // 
    BYTE                		    byReserved[512];    // ֽ
} NET_ELECTRIC_CURTAIN_DETECT_CONDITION;

// ¼EVENT_IVS_ELECTRIC_CURTAIN_DETECT(Ⲽ᣼¼)ӦĹ
typedef struct tagNET_ELECTRIC_CURTAIN_DETECT_RULE_INFO
{
    DWORD                                   dwSize;                         // ṹС
    int						                nDetectRegionPoint;             // 
	POINTCOORDINATE			                stuDetectRegion[20];            // 
	NET_CFG_SIZEFILTER_INFO                 stuSizeFileter;                 // ضĳߴ
	BOOL                	                bSizeFileter;                   // ضĳߴǷЧ
	
	UINT                                    nDetectConditionNum;            // 
	NET_ELECTRIC_CURTAIN_DETECT_CONDITION   stuCurtainDetectCondition[32];  // ᣼, ֮߼Ĺϵ
} NET_ELECTRIC_CURTAIN_DETECT_RULE_INFO;

// Χ
typedef struct tagNET_ELECTRIC_FENCE_FEATURE
{
    EM_ELECTRIC_FENCE_TYPE  emFenceType;            // Χ
    BYTE                    byReserved[1028];	    // ֽ
} NET_ELECTRIC_FENCE_FEATURE;

// Χ
typedef struct tagNET_ELECTRIC_FENCE_DETECT_CONDITION
{
    BOOL                            bExist;             // Ƿ, bFenceFeature stuFenceFeatureʹ
                                                        // (1) bFenceFeature=FALSE ʾǷΧ
                                                        // (2) bFenceFeature=TRUE, bExist=TRUE, ʾstuFenceFeatureΧ
                                                        // (3) bFenceFeature=TRUE, bExist=FALSE, ʾⲻstuFenceFeatureΧ
    BOOL                            bFenceFeature;      // ΧǷЧ
    NET_ELECTRIC_FENCE_FEATURE      stuFenceFeature;    // Χ
    BYTE                		    byReserved[512];    // ֽ
} NET_ELECTRIC_FENCE_DETECT_CONDITION;

// ¼EVENT_IVS_ELECTRIC_FENCE_DETECT(Χ¼)ӦĹ
typedef struct tagNET_ELECTRIC_FENCE_DETECT_RULE_INFO
{
    DWORD                                   dwSize;                         // ṹС
    int						                nDetectRegionPoint;             // 
	POINTCOORDINATE			                stuDetectRegion[20];            // 
	NET_CFG_SIZEFILTER_INFO                 stuSizeFileter;                 // ضĳߴ
	BOOL                	                bSizeFileter;                   // ضĳߴǷЧ
	
	UINT                                    nDetectConditionNum;            // 
	NET_ELECTRIC_FENCE_DETECT_CONDITION     stuFenceDetectCondition[32];    // Χ, ֮߼Ĺϵ
} NET_ELECTRIC_FENCE_DETECT_RULE_INFO;

// ʶ
typedef struct tagNET_ELECTRIC_SIGNBOARD_FEATURE
{
    EM_ELECTRIC_SIGNBOARD_TYPE  emSignboardType;        // ʶ
    BYTE                        byReserved[1028];	    // ֽ
} NET_ELECTRIC_SIGNBOARD_FEATURE;

// ʶƼ
typedef struct tagNET_ELECTRIC_SIGNBOARD_DETECT_CONDITION
{
    BOOL                            bExist;                 // Ƿ, bSignboardFeature stuSignboardFeatureʹ
                                                            // (1) bSignboardFeature=FALSE ʾǷбʶ
                                                            // (2) bSignboardFeature=TRUE, bExist=TRUE, ʾstuSignboardFeatureıʶ
                                                            // (3) bSignboardFeature=TRUE, bExist=FALSE, ʾⲻstuSignboardFeatureıʶ
    BOOL                            bSignboardFeature;      // ʶǷЧ
    NET_ELECTRIC_SIGNBOARD_FEATURE  stuSignboardFeature;    // ʶ
    BYTE                		    byReserved[512];        // ֽ
} NET_ELECTRIC_SIGNBOARD_DETECT_CONDITION;

// ¼EVENT_IVS_ELECTRIC_SIGNBOARD_DETECT(ʶƼ¼)ӦĹ
typedef struct tagNET_ELECTRIC_SIGNBOARD_DETECT_RULE_INFO
{
    DWORD                                   dwSize;                         // ṹС
    int						                nDetectRegionPoint;             // 
	POINTCOORDINATE			                stuDetectRegion[20];            // 
	NET_CFG_SIZEFILTER_INFO                 stuSizeFileter;                 // ضĳߴ
	BOOL                	                bSizeFileter;                   // ضĳߴǷЧ
	
	UINT                                    nDetectConditionNum;            // 
	NET_ELECTRIC_SIGNBOARD_DETECT_CONDITION stuSignboardCondition[32];      // ʶƼ, ֮߼Ĺϵ
} NET_ELECTRIC_SIGNBOARD_DETECT_RULE_INFO;

// ȫ
typedef struct tagNET_ELECTRIC_BELT_FEATURE
{
    EM_BELT_WARE_TYPE           emBeltWareType;         // ȫʽ
    BYTE                        byReserved[1028];	    // ֽ
} NET_ELECTRIC_BELT_FEATURE;

// ȫ
typedef struct tagNET_ELECTRIC_BELT_DETECT_CONDITION
{
    BOOL                            bExist;                 // Ƿ, bBeltFeature stuBeltFeatureʹ
                                                            // (1) bBeltFeature=FALSE ʾǷаȫ
                                                            // (2) bBeltFeature=TRUE, bExist=TRUE, ʾstuBeltFeatureİȫ
                                                            // (3) bBeltFeature=TRUE, bExist=FALSE, ʾⲻstuBeltFeatureİȫ
    BOOL                            bBeltFeature;           // ȫǷЧ
    NET_ELECTRIC_BELT_FEATURE       stuBeltFeature;         // ȫ
    BYTE                		    byReserved[512];        // ֽ
} NET_ELECTRIC_BELT_DETECT_CONDITION;

// ¼EVENT_IVS_ELECTRIC_BELT_DETECT(ⰲȫ¼)ӦĹ
typedef struct tagNET_ELECTRIC_BELT_DETECT_RULE_INFO
{
    DWORD                                   dwSize;                         // ṹС
    int						                nDetectRegionPoint;             // 
	POINTCOORDINATE			                stuDetectRegion[20];            // 
	NET_CFG_SIZEFILTER_INFO                 stuSizeFileter;                 // ضĳߴ
	BOOL                	                bSizeFileter;                   // ضĳߴǷЧ
	
	UINT                                    nDetectConditionNum;            // 
	NET_ELECTRIC_BELT_DETECT_CONDITION      stuBeltCondition[32];           // ȫ, ֮߼Ĺϵ
} NET_ELECTRIC_BELT_DETECT_RULE_INFO;

// ܷϢ
typedef struct tagNET_ANALYSE_RULE_INFO
{
    EM_SCENE_CLASS_TYPE             emClassType;                        // 
    DWORD                           dwRuleType;                         // , dhnetsdk.h"ܷ¼"
    																	// EVENT_IVS_FACEANALYSIS()Ӧṹ NET_FACEANALYSIS_RULE_INFO
    																	// EVENT_IVS_NONMOTORDETECT(ǻ)Ӧṹ NET_NONMOTORDETECT_RULE_INFO
    																	// EVENT_IVS_VEHICLEDETECT() Ӧṹ NET_VEHICLEDETECT_RULE_INFO
    																	// EVENT_IVS_HUMANTRAIT() ӦṹNET_HUMANTRAIT_RULE_INFO
    																	// EVENT_IVS_XRAY_DETECT_BYOBJECT(Xⰴ) Ӧṹ NET_XRAY_DETECT_BYPBJECT_RULE_INFO
																		// EVENT_IVS_WORKCLOTHES_DETECT(װ)ӦṹNET_WORKCLOTHDETECT_RULE_INFO
    																	// EVENT_IVS_WORKSTATDETECTION(ҵͳ)ӦṹNET_WORKSTATDETECTION_RULE_INFO
    																	// EVENT_IVS_CROSSLINEDETECTION()ӦṹNET_CROSSLINE_RULE_INFO
    																	// EVENT_IVS_CROSSREGIONDETECTION()Ӧṹ NET_CROSSREGION_RULE_INFO
                                                                        // EVENT_IVS_FEATURE_ABSTRACT(ȡ)Ӧṹ NET_FEATURE_ABSTRACT_RULE_INFO  
                                                                        // EVENT_IVS_ELECTRIC_GLOVE_DETECT(׼¼)ӦṹNET_ELECTRIC_GLOVE_DETECT_RULE_INFO
                                                                        // EVENT_IVS_ELECTRIC_LADDER_DETECT(Ӽ¼)ӦṹNET_ELECTRIC_LADDER_DETECT_RULE_INFO
                                                                        // EVENT_IVS_ELECTRIC_CURTAIN_DETECT(Ⲽ᣼¼)ӦṹNET_ELECTRIC_CURTAIN_DETECT_RULE_INFO
                                                                        // EVENT_IVS_ELECTRIC_FENCE_DETECT(Χ¼)ӦṹNET_ELECTRIC_FENCE_DETECT_RULE_INFO
                                                                        // EVENT_IVS_ELECTRIC_SIGNBOARD_DETECT(ʶƼ¼)ӦṹNET_ELECTRIC_SIGNBOARD_DETECT_RULE_INFO
                                                                        // EVENT_IVS_ELECTRIC_BELT_DETECT(ⰲȫ¼)ӦṹNET_ELECTRIC_BELT_DETECT_RULE_INFO
    void*				            pReserved;							// , ṹ͸dwRuleTypeȷ, ϢdwRuleTypeע
    UINT							nObjectTypeNum;						// ͸, Ϊ0 ʾָ
    EM_ANALYSE_OBJECT_TYPE			emObjectTypes[16];					// б
    BYTE                            byReserved[956];                    // ֽ
} NET_ANALYSE_RULE_INFO;

// ܷ
typedef struct tagNET_ANALYSE_RULE
{
    NET_ANALYSE_RULE_INFO           stuRuleInfos[MAX_ANALYSE_RULE_COUNT];       // Ϣ
    UINT                            nRuleCount;                                 // 
    BYTE                            byReserved[1028];                           // ֽ
} NET_ANALYSE_RULE;

// ƵЭ
typedef enum tagEM_STREAM_PROTOCOL_TYPE
{
    EM_STREAM_PROTOCOL_UNKNOWN,         // δ֪
    EM_STREAM_PROTOCOL_PRIVATE_V2,      // ˽ж
    EM_STREAM_PROTOCOL_PRIVATE_V3,      // ˽
    EM_STREAM_PROTOCOL_RTSP,            // rtsp
    EM_STREAM_PROTOCOL_ONVIF,           // Onvif
    EM_STREAM_PROTOCOL_GB28181,         // GB28181
} EM_STREAM_PROTOCOL_TYPE;

typedef enum tagEM_ANALYSE_TASK_START_RULE
{
    EM_ANALYSE_TASK_START_NOW,          // 
    EM_ANALYSE_TASK_START_LATER,        // Ժֶ
} EM_ANALYSE_TASK_START_RULE;

// ԶʵʱƵԴϢ
typedef struct tagNET_REMOTE_REALTIME_STREAM_INFO
{
    DWORD                           dwSize;                                 // ṹС
    EM_ANALYSE_TASK_START_RULE      emStartRule;                            // 
    NET_ANALYSE_RULE                stuRuleInfo;                            // Ϣ
    EM_STREAM_PROTOCOL_TYPE         emStreamProtocolType;                   // ƵЭ
    char                            szPath[DH_COMMON_STRING_256];           // Ƶַ
    char                	        szIp[DH_MAX_IPADDR_OR_DOMAIN_LEN];      // IP ַ
	WORD                 	        wPort;                      		    // ˿ں
    BYTE                            byReserved[2];                          // ֽڶ
    char                	        szUser[DH_COMMON_STRING_64];            // û
    char                	        szPwd[DH_COMMON_STRING_64];             // 
    int                 	        nChannelID;                             // ͨ
    UINT                            nStreamType;                            // , 0:; 1:1; 2:2;
} NET_REMOTE_REALTIME_STREAM_INFO;

// ͼƬļϢ
typedef struct tagNET_PUSH_PICFILE_INFO
{
    DWORD                           dwSize;                                 // ṹС
    EM_ANALYSE_TASK_START_RULE      emStartRule;                            // 
    NET_ANALYSE_RULE                stuRuleInfo;                            // Ϣ
} NET_PUSH_PICFILE_INFO;

// CLIENT_AddAnalyseTask ӿ
typedef struct tagNET_OUT_ADD_ANALYSE_TASK
{
    DWORD                           dwSize;                                 // ṹС
    UINT                            nTaskID;                                // ID
    UINT                            nVirtualChannel;                        // Ӧͨ
} NET_OUT_ADD_ANALYSE_TASK;

// CLIENT_StartAnalyseTask ӿ
typedef struct tagNET_IN_START_ANALYSE_TASK
{
    DWORD                           dwSize;                                 // ṹС
    UINT                            nTaskID;                                // ID
} NET_IN_START_ANALYSE_TASK;

// CLIENT_StartAnalyseTask ӿ
typedef struct tagNET_OUT_START_ANALYSE_TASK
{
    DWORD                           dwSize;                                 // ṹС
} NET_OUT_START_ANALYSE_TASK;

// CLIENT_RemoveAnalyseTask ӿ
typedef struct tagNET_IN_REMOVE_ANALYSE_TASK
{
    DWORD                           dwSize;                                 // ṹС
    UINT                            nTaskID;                                // ID
} NET_IN_REMOVE_ANALYSE_TASK;

// CLIENT_RemoveAnalyseTask ӿ
typedef struct tagNET_OUT_REMOVE_ANALYSE_TASK
{
    DWORD                           dwSize;                                 // ṹС
} NET_OUT_REMOVE_ANALYSE_TASK;

// ״̬
typedef enum tagEM_ANALYSE_STATE
{
    EM_ANALYSE_STATE_UNKNOWN,             // δ֪
    EM_ANALYSE_STATE_IDLE,                // Ѵδ
    EM_ANALYSE_STATE_ANALYSING,           // 
    EM_ANALYSE_STATE_ANALYSING_WAITPUSH,  // вȴpush
    EM_ANALYSE_STATE_FINISH,              // 
    EM_ANALYSE_STATE_ERROR,               // ִ쳣
    EM_ANALYSE_STATE_REMOVED,             // ɾ
} EM_ANALYSE_STATE;

// ܷϢ
typedef struct tagNET_ANALYSE_TASKS_INFO
{
    UINT                            nTaskID;                                // ID
    EM_ANALYSE_STATE                emAnalyseState;                         // ״̬
    BYTE                            byReserved[1024];                       // ֽ
} NET_ANALYSE_TASKS_INFO;

// CLIENT_FindAnalyseTask ӿ
typedef struct tagNET_IN_FIND_ANALYSE_TASK
{
    DWORD                           dwSize;                                 // ṹС
} NET_IN_FIND_ANALYSE_TASK;

// CLIENT_FindAnalyseTask ӿ
typedef struct tagNET_OUT_FIND_ANALYSE_TASK
{
    DWORD                           dwSize;                                 // ṹС
    UINT                            nTaskNum;                               // ܷ
    NET_ANALYSE_TASKS_INFO          stuTaskInfos[MAX_ANALYSE_TASK_NUM];     // ܷϢ
} NET_OUT_FIND_ANALYSE_TASK;

// ܷͼƬϢ
typedef struct tagNET_PUSH_PICTURE_INFO
{
    char                            szFileID[DH_COMMON_STRING_128];         // ļID
    UINT                            nOffset;                                // ļڶеƫ, λ:ֽ
    UINT                            nLength;                                // ļݳ, λ:ֽ
    NET_XRAY_CUSTOM_INFO            stuXRayCustomInfo;                      // ͻԶϢ, Xר
    BYTE                            byReserved[768];                        // ֽ
} NET_PUSH_PICTURE_INFO;

// CLIENT_PushAnalysePictureFile ӿ
typedef struct tagNET_IN_PUSH_ANALYSE_PICTURE_FILE
{
    DWORD                           dwSize;                                         // ṹС
    UINT                            nTaskID;                                        // ID
    NET_PUSH_PICTURE_INFO           stuPushPicInfos[MAX_ANALYSE_PICTURE_FILE_NUM];  // ͼƬϢ
    UINT                            nPicNum;                                        // ͼƬ
    UINT                            nBinBufLen;                                     // ݻ, λ:ֽ
    char*                           pBinBuf;                                        // ݻ, ûͷ
} NET_IN_PUSH_ANALYSE_PICTURE_FILE;

// CLIENT_PushAnalysePictureFile ӿ
typedef struct tagNET_OUT_PUSH_ANALYSE_PICTURE_FILE
{
    DWORD                           dwSize;                                 // ṹС
} NET_OUT_PUSH_ANALYSE_PICTURE_FILE;

// ܷ״̬صϢ
typedef struct tagNET_CB_ANALYSE_TASK_STATE_INFO
{
    NET_ANALYSE_TASKS_INFO          stuTaskInfos[MAX_ANALYSE_TASK_NUM];     // ܷϢ
    UINT                            nTaskNum;                               // 
    BYTE                            byReserved[1024];                       // ֽ
} NET_CB_ANALYSE_TASK_STATE_INFO;

// ܷ״̬ĺԭ, lAttachHandle Ϊ CLIENT_AttachAnalyseTaskState ķֵ
typedef int  (CALLBACK *fAnalyseTaskStateCallBack)(LLONG lAttachHandle, NET_CB_ANALYSE_TASK_STATE_INFO *pstAnalyseTaskStateInfo, LDWORD dwUser);

// CLIENT_AttachAnalyseTaskState ӿ
typedef struct tagNET_IN_ATTACH_ANALYSE_TASK_STATE
{
    DWORD                           dwSize;                                 // ṹС
    UINT                            nTaskIDs[MAX_ANALYSE_TASK_NUM];         // ܷID
    UINT                            nTaskIdNum;                             // ܷ, 0ʾȫ
    fAnalyseTaskStateCallBack       cbAnalyseTaskState;                     // ܷ״̬ĺ
    LDWORD                          dwUser;                 			    // û
} NET_IN_ATTACH_ANALYSE_TASK_STATE;

// ܷĵĹ
typedef struct tagNET_ANALYSE_RESULT_FILTER
{
    DWORD                           dwAlarmTypes[MAX_ANALYSE_FILTER_EVENT_NUM];     // ¼, dhnetsdk.h"ܷ¼"
    UINT                            nEventNum;                                      // ¼
    BYTE                            byReserved[1024];                               // ֽ
} NET_ANALYSE_RESULT_FILTER;

// ļ״̬
typedef enum tagEM_FILE_ANALYSE_STATE
{
    EM_FILE_ANALYSE_UNKNOWN     = -1,   // δ֪
    EM_FILE_ANALYSE_EXECUTING,          // 
    EM_FILE_ANALYSE_FINISH,             // 
    EM_FILE_ANALYSE_FAILED,             // ʧ
} EM_FILE_ANALYSE_STATE;

// Զ
typedef struct tagNET_TASK_CUSTOM_DATA
{
    char                    szClientIP[128];            // ͻIP
    char                    szDeviceID[128];            // 豸ID
    BYTE                    byReserved[256];            // ֽ
} NET_TASK_CUSTOM_DATA;

// ܷϢ
typedef struct tagNET_ANALYSE_TASK_RESULT
{
    UINT                            nTaskID;                                // ID
    char                            szFileID[DH_COMMON_STRING_128];         // ļID, ļʱЧ
    EM_FILE_ANALYSE_STATE           emFileAnalyseState;                     // ļ״̬
    char                            szFileAnalyseMsg[DH_COMMON_STRING_256]; // ļϢ, һ㶼Ƿʧܵԭ
    NET_SECONDARY_ANALYSE_EVENT_INFO stuEventInfos[MAX_SECONDARY_ANALYSE_EVENT_NUM];// ¼Ϣ
    int                             nEventCount;                            // ʵʵ¼
    NET_TASK_CUSTOM_DATA            stuCustomData;                          // Զ
    BYTE                            byReserved[512];                        // ֽ
} NET_ANALYSE_TASK_RESULT;

// ܷصϢ
typedef struct tagNET_CB_ANALYSE_TASK_RESULT_INFO
{
    NET_ANALYSE_TASK_RESULT         stuTaskResultInfos[MAX_ANALYSE_TASK_NUM];   // ܷϢ
    UINT                            nTaskResultNum;                             // 
    BYTE                            byReserved[1028];                           // ֽ
} NET_CB_ANALYSE_TASK_RESULT_INFO;

// ܷ״̬ĺԭ, lAttachHandle  CLIENT_AttachAnalyseTaskResultӿڵķֵ
typedef int  (CALLBACK *fAnalyseTaskResultCallBack)(LLONG lAttachHandle, NET_CB_ANALYSE_TASK_RESULT_INFO *pstAnalyseTaskResult, const char *pBuf, const DWORD dwBufSize, LDWORD dwUser);

// CLIENT_AttachAnalyseTaskResult ӿ
typedef struct tagNET_IN_ATTACH_ANALYSE_RESULT
{
    DWORD                           dwSize;                                 // ṹС
    UINT                            nTaskIDs[MAX_ANALYSE_TASK_NUM];         // ܷID
    UINT                            nTaskIdNum;                             // ܷ, 0ʾȫ
    NET_ANALYSE_RESULT_FILTER       stuFilter;                              // 
    BYTE                            byReserved[4];                          // ֽڶ
    fAnalyseTaskResultCallBack      cbAnalyseTaskResult;                    // ܷĺ
    LDWORD                          dwUser;                                 // û
} NET_IN_ATTACH_ANALYSE_RESULT;

// CLIENT_SetAnalyseTaskCustomData ӿ
typedef struct tagNET_IN_SET_ANALYSE_TASK_CUSTOM_DATA
{
    DWORD                           dwSize;                                 // ṹС
    UINT                            nTaskID;                                // ID
    NET_TASK_CUSTOM_DATA            stuTaskCustomData;                      // Զ
} NET_IN_SET_ANALYSE_TASK_CUSTOM_DATA;

// CLIENT_SetAnalyseTaskCustomData ӿ
typedef struct tagNET_OUT_SET_ANALYSE_TASK_CUSTOM_DATA
{
    DWORD                           dwSize;                                 // ṹС
} NET_OUT_SET_ANALYSE_TASK_CUSTOM_DATA;

// 㷨
typedef enum tagEM_ALGORITHM_VENDOR
{
    EM_ALGORITHM_VENDOR_UNKNOWN,               // δ֪
    EM_ALGORITHM_VENDOR_DAHUA,                 // 
    EM_ALGORITHM_VENDOR_SHANGTANG,             // 
    EM_ALGORITHM_VENDOR_HUAFU,                 // 
    EM_ALGORITHM_VENDOR_SHENMO,                // 
} EM_ALGORITHM_VENDOR;

// 㷨汾Ϣ
typedef struct tagNET_ALGORITHM_INFO
{
    EM_SCENE_CLASS_TYPE             emClassType;                        // ҵ
    char                            szVersion[DH_COMMON_STRING_32];     // 㷨汾
    EM_ALGORITHM_VENDOR             emAlgorithmVendor;                  // 㷨
    char                            szAlgorithmLibVersion[DH_COMMON_STRING_32];  // 㷨ļ汾
    BYTE                            byReserved[992];                   // ֽ
} NET_ALGORITHM_INFO;

// ܷ
typedef struct tagNET_TOTAL_CAP
{
    EM_SCENE_CLASS_TYPE             emClassType;                                // ҵ
    DWORD                           dwRuleTypes[MAX_ANALYSE_RULE_COUNT];        // , dhnetsdk.h"ܷ¼"
    UINT                            nRuleNum;                                   // 
    UINT                            nMaxStreamNum;                              // ֧ͬʱƵĿ
    BYTE                            byReserved[1024];                           // ֽ
} NET_TOTAL_CAP;

// ܷ㷨汾Ϣ
typedef struct tagNET_ANALYSE_CAPS_ALGORITHM
{
    DWORD                           dwSize;                                         // ṹС
    NET_ALGORITHM_INFO              stuAlgorithmInfos[MAX_ANALYSE_ALGORITHM_NUM];   // 㷨汾Ϣ
    UINT                            nAlgorithmNum;                                  // 㷨
} NET_ANALYSE_CAPS_ALGORITHM;

// ܷ
typedef struct tagNET_ANALYSE_CAPS_TOTAL
{
    DWORD                           dwSize;                                         // ṹС
    NET_TOTAL_CAP                   stuTotalCaps[MAX_ANALYSE_TOTALCAPS_NUM];        // ܷ
    UINT                            nTotalCapsNum;                                  // ܷ
} NET_ANALYSE_CAPS_TOTAL;

// 㷨
typedef struct tagNET_ANALYSE_CAPS_SUPPORT_ALGORITHM_UPGRADE
{
    DWORD                           dwSize;                                         // ṹС
    BOOL                            bSupportOnlyAlgorithmUpgrade;                   // Ƿ֧㷨
} NET_ANALYSE_CAPS_SUPPORT_ALGORITHM_UPGRADE;

// ܷ
typedef enum tagEM_ANALYSE_CAPS_TYPE
{
    EM_ANALYSE_CAPS_ALGORITHM = 1,      // 㷨汾, Ӧṹ NET_ANALYSE_CAPS_ALGORITHM
    EM_ANALYSE_CAPS_TOTALCAPS,          // ܷ, Ӧṹ NET_ANALYSE_CAPS_TOTAL
    EM_ANALYSE_CAPS_SUPPORT_ALGORITHM_UPGRADE,  // 㷨, Ӧṹ NET_ANALYSE_CAPS_SUPPORT_ALGORITHM_UPGRADE
} EM_ANALYSE_CAPS_TYPE;

// ȡƵ, pstOutParamemCapsTypeֵȡӦĽṹ, pstOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAnalyseCaps(LLONG lLoginID, EM_ANALYSE_CAPS_TYPE emCapsType, void *pOutParam, int nWaitTime);

// ܷ, pInParamĽṹ͸emDataSourceTypeֵ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddAnalyseTask(LLONG lLoginID, EM_DATA_SOURCE_TYPE emDataSourceType, void *pInParam, NET_OUT_ADD_ANALYSE_TASK *pOutParam, int nWaitTime);

// ܷ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartAnalyseTask(LLONG lLoginID, NET_IN_START_ANALYSE_TASK *pInParam, NET_OUT_START_ANALYSE_TASK *pOutParam, int nWaitTime);

// ɾ(ֹͣ)ܷ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RemoveAnalyseTask(LLONG lLoginID, NET_IN_REMOVE_ANALYSE_TASK *pInParam, NET_OUT_REMOVE_ANALYSE_TASK *pOutParam, int nWaitTime);

// ܷϢ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FindAnalyseTask(LLONG lLoginID, NET_IN_FIND_ANALYSE_TASK *pInParam, NET_OUT_FIND_ANALYSE_TASK *pOutParam, int nWaitTime);

// ܷͼƬļCLIENT_AddAnalyseTaskԴemDataSourceTypeΪ EM_DATA_SOURCE_PUSH_PICFILE ʱʹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PushAnalysePictureFile(LLONG lLoginID, NET_IN_PUSH_ANALYSE_PICTURE_FILE *pInParam, NET_OUT_PUSH_ANALYSE_PICTURE_FILE *pOutParam, int nWaitTime);

// ܷ״̬, pInParam Դûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachAnalyseTaskState(LLONG lLoginID, NET_IN_ATTACH_ANALYSE_TASK_STATE *pInParam, int nWaitTime);

// ȡܷ״̬, lAttachHandle Ϊ CLIENT_AttachAnalyseTaskStateӿڵķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachAnalyseTaskState(LLONG lAttachHandle);

// ܷ, pInParam Դûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachAnalyseTaskResult(LLONG lLoginID, NET_IN_ATTACH_ANALYSE_RESULT *pInParam, int nWaitTime);

// ȡܷ, lAttachHandle Ϊ CLIENT_AttachAnalyseTaskResultӿڵķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachAnalyseTaskResult(LLONG lAttachHandle);

// ʣܷԴӿ, pstInParamԴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachRemainAnalyseResource(LLONG lLoginID, NET_IN_ATTACH_REMAIN_ANALYSE_RESOURCE *pInParam, int nWaitTime);

// ȡܷ, lAttachHandle Ϊ CLIENT_AttachAnalyseTaskResultӿڵķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachRemainAnalyseResource(LLONG lAttachHandle);

// Զ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetAnalyseTaskCustomData(LLONG lLoginID, const NET_IN_SET_ANALYSE_TASK_CUSTOM_DATA *pInParam, NET_OUT_SET_ANALYSE_TASK_CUSTOM_DATA *pOutParam, const int nWaitTime);
/////////////////////////////////ܷӿ /////////////////////////////////

// CLIENT_GetLensInfo ӿ
typedef struct tagNET_IN_GETLENSINFO
{
    DWORD                           dwSize;                                 // ṹС
    UINT                            nChannel;                               // Ƶͨ
} NET_IN_GETLENSINFO;

// ͷ
typedef enum tagEM_LENS_TYPE
{
    EM_LENS_TYPE_UNKNOWN = -1,                  // δ֪
    EM_LENS_TYPE_FIXED_FOCUS,                   // 
    EM_LENS_TYPE_INTERNEL_ZOOM,                 // ñ佹ͷ
    EM_LENS_TYPE_MANUAL_ZOOM,                   // ֶ佹ͷ
    EM_LENS_TYPE_EXTERNEL_ZOOM,                 // ñ佹ͷ
} EM_LENS_TYPE;

// CLIENT_GetLensInfo ӿ
typedef struct tagNET_OUT_GETLENSINFO
{
    DWORD                           dwSize;                                 // ṹС
    EM_LENS_TYPE                    emLensType;                             // ͷ
} NET_OUT_GETLENSINFO;

// ȡͷϢ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetLensInfo(LLONG lLoginID, NET_IN_GETLENSINFO *pInParam, NET_OUT_GETLENSINFO *pOutParam, int nWaitTime);

// ͷΪ
typedef enum tagEM_LENS_ACTION
{
    EM_LENS_ACTION_UNKNOWN = -1,                                // δ֪
    EM_LENS_ACTION_SINGLE_STEP,                                 // (+-)
    EM_LENS_ACTION_START_CONTINUOUS_ADJUSTMENT,                 // ʼ(+-)
    EM_LENS_ACTION_END_CONTINUOUS_ADJUSTMENT,                   // (+-)
} EM_LENS_ACTION;

// Ϣ
typedef struct tagNET_CMD_INFO
{
    int                            nZoom;                                     // 䱶, ʾ, focus0ʱ, zoomΪ0
    int                            nFocus;                                    // ۽, ʾ, zoom0ʱ, focusΪ0
    EM_LENS_ACTION                 emLensAction;                              // ͷΪ
    BYTE                           byReserved[1024];                          // ֽ
} NET_CMD_INFO;

// CLIENT_AdjustRelativeLensFocus ӿ
typedef struct tagNET_IN_ADJUSTRELATIVELENSFOCUS
{
    DWORD                           dwSize;                                 // ṹС
    UINT                            nChannel;                               // Ƶͨ
    NET_CMD_INFO                    stuCmdInfo;                             // Ϣ
} NET_IN_ADJUSTRELATIVELENSFOCUS;

// CLIENT_AdjustRelativeLensFocus ӿ
typedef struct tagNET_OUT_ADJUSTRELATIVELENSFOCUS
{
    DWORD                           dwSize;                                 // ṹС
} NET_OUT_ADJUSTRELATIVELENSFOCUS;

// Խ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AdjustRelativeLensFocus(LLONG lLoginID, NET_IN_ADJUSTRELATIVELENSFOCUS *pInParam, NET_OUT_ADJUSTRELATIVELENSFOCUS *pOutParam, int nWaitTime);

// ȫűͳϢ
typedef struct tagNET_SECURITYGATE_ALARM_STATISTICS_INFO
{
	char								szUUID[36];							// UUID	
	UINT								nStatisticsInfoID;					// ͳϢID
	NET_TIME_EX							stuBeginTime;						// ʼʱ
	NET_TIME_EX							stuEndTime;							// ʱ
	UINT								nPassIn;							// ͨ
	UINT								nAlarmIn;							// 뱨
	UINT								nPassOut;							// 뿪ͨ
	UINT								nAlarmOut;							// 뿪
	BYTE								byReserved[1024];					// ֶ
}NET_SECURITYGATE_ALARM_STATISTICS_INFO;

// ȫűĻص
typedef void (CALLBACK *fSecurityGateAttachAlarmStatistics)(LLONG lAttachHandle, NET_SECURITYGATE_ALARM_STATISTICS_INFO* pInfo, LDWORD dwUser);

// CLIENT_SecurityGateAttachAlarmStatistics ṹ
typedef struct tagNET_IN_SECURITYGATE_ATTACH_ALARM_STATISTICS
{
	DWORD								dwSize;								// ֵΪṹС
	char								szUUID[36];							// UUID
	fSecurityGateAttachAlarmStatistics	cbNotify;							// ص
	LDWORD								dwUser;								// ûϢ
}NET_IN_SECURITYGATE_ATTACH_ALARM_STATISTICS;

// CLIENT_SecurityGateAttachAlarmStatistics ṹ
typedef struct tagNET_OUT_SECURITYGATE_ATTACH_ALARM_STATISTICS
{
	DWORD								dwSize;								// ֵΪṹС
}NET_OUT_SECURITYGATE_ATTACH_ALARM_STATISTICS;

// İȫűͳϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_SecurityGateAttachAlarmStatistics(LLONG lLoginID, const NET_IN_SECURITYGATE_ATTACH_ALARM_STATISTICS* pInParam, NET_OUT_SECURITYGATE_ATTACH_ALARM_STATISTICS* pOutParam, int nWaitTime);


// ȡİȫűͳϢ
// lAttachHandle Ϊ CLIENT_SecurityGateAttachAlarmStatistics ֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SecurityGateDetachAlarmStatistics(LLONG lAttachHandle);

// Ϣ
typedef struct tagNET_CAMERA_CFG_INFO
{
    char        szIP[32];           // IPַ
    UINT        nPort;              // ˿
    char        szLoginName[32];    // ½û
    char        szLoginPwd[32];     // ½룬õʱʾ޸
    BYTE        byReserved[1024];   // ֽ
}NET_CAMERA_CFG_INFO;

// CLIENT_SetCameraCfg ӿ
typedef struct tagNET_IN_SET_CAMERA_CFG
{
    DWORD                   dwSize;             // ṹС
    int                     nCameraNo;          // 
    NET_CAMERA_CFG_INFO     stuCameraInfo;      // Ϣ
} NET_IN_SET_CAMERA_CFG;

// CLIENT_SetCameraCfg ӿ
typedef struct tagNET_OUT_SET_CAMERA_CFG
{
    DWORD                           dwSize;     // ṹС
} NET_OUT_SET_CAMERA_CFG;

// CLIENT_GetCameraCfg ӿ
typedef struct tagNET_IN_GET_CAMERA_CFG
{
    DWORD                   dwSize;             // ṹС
    int                     nCameraNo;          // 
} NET_IN_GET_CAMERA_CFG;

// CLIENT_GetCameraCfg ӿ
typedef struct tagNET_OUT_GET_CAMERA_CFG
{
    DWORD                   dwSize;             // ṹС
    int                     nCameraNo;          // 
    NET_CAMERA_CFG_INFO     stuCameraInfo;      // Ϣ
} NET_OUT_GET_CAMERA_CFG;

// ڷ
typedef enum tagEM_ENTRY_DIRECTION
{
    EM_ENTRY_UNKNOWN,                            // δ֪
    EM_ENTRY_NORTH_TO_SOUTH,                     //             
    EM_ENTRY_EASTNORTH_TO_WESTSOUTH,             // 
    EM_ENTRY_EAST_TO_WEST,                       // 
    EM_ENTRY_EASTSOUTH_TO_WESTNORTH,             // 
    EM_ENTRY_SOUTH_TO_NORTH,                     // 
    EM_ENTRY_WESTSOUTH_TO_EASTSOUTH,             // 򶫱
    EM_ENTRY_WEST_TO_EAST,                       // 
    EM_ENTRY_WESTNORTH_TO_EASTSOUTH,             // 
} EM_ENTRY_DIRECTION;

// 
typedef enum tagEM_ENTRY_TYPE
{
    EM_ENTRY_TYPE_UNKNOWN,                        // δ֪
    EM_ENTRY_TYPE_TURN_LEFT,                      // ת
    EM_ENTRY_TYPE_STRAIGHT,                       // ֱ
    EM_ENTRY_TYPE_TRUN_RIGHT,                     // ת
    EM_ENTRY_TYPE_TURN_ROUND,                     // ͷ
}EM_ENTRY_TYPE;

// ͨϢ
typedef struct tagNET_CHANNEL_CFG_INFO
{
    int                     nCameraNo;          // ϱ
    EM_ENTRY_DIRECTION      emEntryDirection;   // ڷ
    EM_ENTRY_TYPE           emEntryType[16];	// 
	int						nRetEntryTypeNum;	// ͸
	int						nLaneNo;			// 
    BYTE                    byReserved[956];    // ֽ
}NET_CHANNEL_CFG_INFO;

// CLIENT_SetChannelCfg ӿ
typedef struct tagNET_IN_SET_CHANNEL_CFG
{
    DWORD                   dwSize;             // ṹС
    int                     nChannelNo;         // ͨ
    NET_CHANNEL_CFG_INFO    stuChannelInfo;     // ͨϢ
} NET_IN_SET_CHANNEL_CFG;

// CLIENT_SetChannelCfg ӿ
typedef struct tagNET_OUT_SET_CHANNEL_CFG
{
    DWORD                   dwSize;             // ṹС
} NET_OUT_SET_CHANNEL_CFG;


// CLIENT_GetChannelCfg ӿ
typedef struct tagNET_IN_GET_CHANNEL_CFG
{
    DWORD                   dwSize;             // ṹС
    int                     nChannelNo;         // ͨ
} NET_IN_GET_CHANNEL_CFG;

// CLIENT_GetChannelCfg ӿ
typedef struct tagNET_OUT_GET_CHANNEL_CFG
{
    DWORD                   dwSize;             // ṹС
    int                     nChannelNo;         // ͨ
    NET_CHANNEL_CFG_INFO    stuChannelInfo;     // ͨϢ
} NET_OUT_GET_CHANNEL_CFG;

// ̵Ƽ
typedef enum tagEM_TRAFFIC_LIGHT_DETECT_MODE
{
    EM_TRAFFIC_DETECT_UNKNOWN = -1,              // δ֪
    EM_TRAFFIC_DETECT_RED,                       // ģʽ
    EM_TRAFFIC_DETECT_GREEN,                     // ̵ģʽ
}EM_TRAFFIC_LIGHT_DETECT_MODE;

// CLIENT_SetDetectMode ӿ
typedef struct tagNET_IN_SET_DETECT_MODE
{
    DWORD                     dwSize;            // ṹС
    int                       nDetectTimeout;    // 쳣ʱʱ
    EM_TRAFFIC_LIGHT_DETECT_MODE    emDetectionMode;   // ģʽ
    
} NET_IN_SET_DETECT_MODE;

// CLIENT_SetDetectMode ӿ
typedef struct tagNET_OUT_SET_DETECT_MODE
{
    DWORD                     dwSize;            // ṹС
} NET_OUT_SET_DETECT_MODE;

// CLIENT_GetDetectMode ӿ
typedef struct tagNET_IN_GET_DETECT_MODE
{
    DWORD                     dwSize;            // ṹС
} NET_IN_GET_DETECT_MODE;

// CLIENT_GetDetectMode ӿ
typedef struct tagNET_OUT_GET_DETECT_MODE
{
    DWORD                     dwSize;            // ṹС
    int                       nDetectTimeout;    // 쳣ʱʱ
    EM_TRAFFIC_LIGHT_DETECT_MODE    emDetectionMode;   // ģʽ
} NET_OUT_GET_DETECT_MODE;

// ״̬
typedef enum tagEM_CAMERA_CONNECT_STATE
{
	EM_CAMERA_CONNECT_STATE_UNKNOWN = -1,				// δ֪
	EM_CAMERA_CONNECT_STATE_UNCONNECT,					// δ
	EM_CAMERA_CONNECT_STATE_CONNECTED,					// 
}EM_CAMERA_CONNECT_STATE;

// ̵״̬
typedef enum tagEM_TRAFFIC_LIGHT_DETECT_STATE
{
	EM_TRAFFIC_DETECT_STATE_UNKNOWN = -1,              // δ֪
	EM_TRAFFIC_DETECT_STATE_RED,                       // 
	EM_TRAFFIC_DETECT_STATE_GREEN,                     // ̵
}EM_TRAFFIC_LIGHT_DETECT_STATE;

// Ӧĺ̵ͨ״̬
typedef struct tagNET_LIGHTINFO_CFG
{
	int								nLightNo;			// ̵ͨ
	EM_TRAFFIC_LIGHT_DETECT_STATE	emLightState;		// ̵״̬
	BYTE							byReserved[504];	// Ԥ
}NET_LIGHTINFO_CFG;

// CLIENT_GetCameraInfo ӿ
typedef struct tagNET_IN_GET_CAMERA_INFO
{
	DWORD						dwSize;				// ṹС
	int							nCameraNo;			// 
}NET_IN_GET_CAMERA_INFO;

// CLIENT_GetCameraInfo ӿ
typedef struct tagNET_OUT_GET_CAMERA_INFO
{
	DWORD						dwSize;				// ṹС
	int							nCameraNo;			// 
	EM_CAMERA_CONNECT_STATE		emConnectState;		// ״̬
	int							nRetLightInfoNum;	// صĺ̵ͨ
	NET_LIGHTINFO_CFG			stuLightInfos[16];	// Ӧĺ̵ͨ״̬
}NET_OUT_GET_CAMERA_INFO;


// , pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetCameraCfg(LLONG lLoginID, NET_IN_SET_CAMERA_CFG *pInParam, NET_OUT_SET_CAMERA_CFG *pOutParam, int nWaitTime);

// ȡ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCameraCfg(LLONG lLoginID, NET_IN_GET_CAMERA_CFG *pInParam, NET_OUT_GET_CAMERA_CFG *pOutParam, int nWaitTime);

// ͨ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetChannelCfg(LLONG lLoginID, NET_IN_SET_CHANNEL_CFG *pInParam, NET_OUT_SET_CHANNEL_CFG *pOutParam, int nWaitTime);

// ȡͨ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetChannelCfg(LLONG lLoginID, NET_IN_GET_CHANNEL_CFG *pInParam, NET_OUT_GET_CHANNEL_CFG *pOutParam, int nWaitTime);

// üģʽ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDetectMode(LLONG lLoginID, NET_IN_SET_DETECT_MODE *pInParam, NET_OUT_SET_DETECT_MODE *pOutParam, int nWaitTime);

// ȡģʽ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDetectMode(LLONG lLoginID, NET_IN_GET_DETECT_MODE *pInParam, NET_OUT_GET_DETECT_MODE *pOutParam, int nWaitTime);

// ͨźż-ȡϢ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetCameraInfo(LLONG lLoginID, NET_IN_GET_CAMERA_INFO *pInParam, NET_OUT_GET_CAMERA_INFO *pOutParam, int nWaitTime);

// CLIENT_GetAreaInfo ṹ
typedef struct tagNET_IN_GETAREA_INFO
{
    DWORD						dwSize;				// ֵΪṹС
    int                         nChannel;           // ͨ
}NET_IN_GETAREA_INFO;


// 
typedef enum tagEM_AREA_RULE_TYPE
{
    EM_AREA_RULE_UNKNOWN,                           // δ֪
    EM_AREA_RULE_QUEUE_DETECTION,                   // м
    EM_AREA_RULE_MAN_NUM_DETECTION,                 // 
}EM_AREA_RULE_TYPE;

// Ϣ
typedef struct tagNET_GETAREA_INFO
{
    unsigned short              nAreaId;                // ID
    BYTE                        byReserved1[2];          // ֽڣֽڶ
    EM_AREA_RULE_TYPE           emAreaRuleType;         // 
    int                         nPointNum;              // ĵ
    NET_POINT                   stuDetectRegion[20];    // 򣬶Σÿһ[0,8192)
    char                        szAreaName[64];         // 
    BYTE                        byReserved[1024];       // ֽ
}NET_GETAREA_INFO;

// CLIENT_GetAreaInfo ṹ
typedef struct tagNET_OUT_GETAREA_INFO
{
    DWORD						dwSize;					// ֵΪṹС
    int                         nChannle;               // ͨ
    int                         nAreaCount;             // 
    NET_GETAREA_INFO            stuAreaInfo[20];        // Ϣ
}NET_OUT_GETAREA_INFO;

// ȡͳϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetAreaInfo(LLONG lLoginID, const NET_IN_GETAREA_INFO* pInParam, NET_OUT_GETAREA_INFO* pOutParam, int nWaitTime);

// CLIENT_GetRealTimeVehiclesInfoByRegion ӿ
typedef struct tagNET_IN_GET_VEHICLES_INFO
{
    DWORD                       dwSize;             // ṹС
    UINT                        nChannel;           // ͨ
    int                         nPointNum;          // εĸ4
    NET_POINT                   stuPoint[32];       // 8192ϵXYķΧ08192
}NET_IN_GET_VEHICLES_INFO;

// ڳϢ
typedef struct tagNET_VEHICLES_INFO_IN_REGION
{
    UINT                        nVehicleQuantity;   // ڳ
    BYTE                        byReserved[1024];   // ֽ
}NET_VEHICLES_INFO_IN_REGION;

// CLIENT_GetRealTimeVehiclesInfoByRegion ӿ
typedef struct tagNET_OUT_GET_VEHICLES_INFO
{
    DWORD                       dwSize;             // ṹС
    NET_VEHICLES_INFO_IN_REGION stuVehiclesInfo;    // ڳϢ
}NET_OUT_GET_VEHICLES_INFO;

// ȡָƵͨ¾ڵĳͳϢ, pInParam  pOutParam Դûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetRealTimeVehiclesInfoByRegion(LLONG lLoginID, NET_IN_GET_VEHICLES_INFO *pInParam, NET_OUT_GET_VEHICLES_INFO *pOutParam, int nWaitTime);

// ͳϢ
typedef struct tagNET_REGION_PEOPLE_STAT_INFO
{
	UINT					nRegionID;				// ID
	char					szRegionName[128];		// 
	UINT					nRegionPointNum;		// 򶥵
	NET_POINT				stuRegionPoint[20];		// 򶥵
	UINT					nPeopleNum;				// 
	BYTE                    byReserved[1024];       // ֽ
} NET_REGION_PEOPLE_STAT_INFO;

// ͳϢ
typedef struct tagNET_CROWD_STAT_DATA
{
	UINT							nChannelID;				// ͨ
	UINT							nGloabalPeopleNum;		// 
	UINT							nRegionNum;				// 
	NET_REGION_PEOPLE_STAT_INFO		stuRegionPeople[8];		// ͳϢ
	BYTE                    		byReserved[1024];		// ֽ
} NET_CROWD_STAT_DATA;

//  ȺֲͼʵʱͳصϢ
typedef struct tagNET_CB_CROWD_DISTRI_STREAM_INFO
{
	UINT					nCrowStatNum;				// 
	NET_CROWD_STAT_DATA		stuCrowdStatData[8];			// ͳϢ
	BYTE                    byReserved[2048];			// ֽ
} NET_CB_CROWD_DISTRI_STREAM_INFO;

// ȺֲͼʵʱͳϢصԭ, lAttachHandleΪCLIENT_AttachCrowdDistriMapӿڵķֵ
typedef void (CALLBACK *fCrowdDistriStream)(LLONG lAttachHandle, NET_CB_CROWD_DISTRI_STREAM_INFO* pstResult, LDWORD dwUser);

// CLIENT_AttachCrowdDistriMapӿ
typedef struct tagNET_IN_ATTACH_CROWDDISTRI_MAP_INFO
{
	DWORD                           dwSize;                                 // ṹС
	UINT							nChannelID;								// ͨ
	fCrowdDistriStream				cbCrowdDistriStream;					// ȺֲͼʵʱͳϢص
	LDWORD                  		dwUser;                     			// û
} NET_IN_ATTACH_CROWDDISTRI_MAP_INFO;

// CLIENT_AttachCrowdDistriMap ӿ
typedef struct tagNET_OUT_ATTACH_CROWDDISTRI_MAP_INFO
{
	DWORD                           dwSize;                                 // ṹС
} NET_OUT_ATTACH_CROWDDISTRI_MAP_INFO;

/**************************************************************************************
*   Funcname: CLIENT_AttachCrowdDistriMap
*   Purpose: ȺֲͼʵʱͳϢ
*   InputParam:	LLONG							:lLoginID			// ½
*   InputParam:	NET_IN_ATTACH_CROWDDISTRI_MAP_INFO*	:pstInParam		// , ûԴ
*   OutPutParam:	NET_OUT_ATTACH_CROWDDISTRI_MAP_INFO*	:pstOutParam 		// , ûԴ
*   InputParam:	int								:nWaitTime		// ȴʱʱ
*   Return:		LLONG
*   Created:		%2019%:%06%:%11% by 27774  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachCrowdDistriMap(LLONG lLoginID, NET_IN_ATTACH_CROWDDISTRI_MAP_INFO *pstInParam, NET_OUT_ATTACH_CROWDDISTRI_MAP_INFO *pstOutParam, int nWaitTime);

/**************************************************************************************
*   Funcname: CLIENT_DetachCrowdDistriMap
*   Purpose: ȡȺֲͼʵʱͳϢ
*   InputParam:	LLONG					:lAttachHandle			// ľΪӿCLIENT_AttachCrowdDistriMapķֵ
*   Return:		LLONG
*   Created:		%2019%:%06%:%11% by 27774  
*   Revision Record:    date:author:modify sth
**************************************************************************************/
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachCrowdDistriMap(LLONG lAttachHandle);









// PingϢ
typedef struct tagNET_PING_INFO
{
    char                        szAddress[128];      // Pingĵַ
    BYTE                        byReserved[512];     // ֽ        
}NET_PING_INFO;

// CLIENT_GetPingStatus ӿ
typedef struct tagNET_IN_GET_PING_STATUS_INFO
{
    DWORD                       dwSize;             // ṹС
    NET_PING_INFO               stuPingInfo;        // PingϢ
}NET_IN_GET_PING_STATUS_INFO;

// ping״̬
typedef struct tagNET_PING_STATUS_INFO
{
    float                       fAveDelay;           // ƽӳ٣λ
    float                       fLossRate;           // ,С[0-1]
    BYTE                        byReserved[512];     // ֽ        
}NET_PING_STATUS_INFO;

// CLIENT_GetPingStatus ӿ
typedef struct tagNET_OUT_GET_PING_STATUS_INFO
{
    DWORD                       dwSize;             // ṹС
    NET_PING_STATUS_INFO        stuPingStatus;      // ping״̬
}NET_OUT_GET_PING_STATUS_INFO;

// ȡָipping״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetPingStatus(LLONG lLoginID, NET_IN_GET_PING_STATUS_INFO *pInParam, NET_OUT_GET_PING_STATUS_INFO *pOutParam, int nWaitTime);

// CLIENT_GetDevRemoteChannelAlarmState ӿ
typedef struct tagNET_IN_GET_REMOTE_CHANNEL_ALARM_STATE
{
	DWORD           dwSize;                 // ṹС
	UINT			nChannelNum;			// ͨ
	UINT			nChannel[128];			// ͨб
} NET_IN_GET_REMOTE_CHANNEL_ALARM_STATE;

// ͨ״̬
typedef struct tagNET_ALARM_CHANNEL_STATE
{
	int				nChannel;				// Ƶͨ
	DWORD			dwAlatmInState;			// Զ豸ͨ״̬λʾÿһλʾһԶ豸ıͨ״̬;
	BYTE            byReserved[256];			// ֽ
} NET_ALARM_CHANNEL_STATE;

// CLIENT_GetDevRemoteChannelAlarmState ӿ
typedef struct tagNET_OUT_GET_REMOTE_CHANNEL_ALARM_STATE
{
	DWORD           			dwSize;                 	// ṹС
	UINT						nAlarmChannelNum;			// ͨ
	NET_ALARM_CHANNEL_STATE		stuAlarmChannelState[128];	// ͨ״̬
} NET_OUT_GET_REMOTE_CHANNEL_ALARM_STATE;

// ȡ豸ͨ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDevRemoteChannelAlarmState(LLONG lLoginID, NET_IN_GET_REMOTE_CHANNEL_ALARM_STATE *pstInParam, NET_OUT_GET_REMOTE_CHANNEL_ALARM_STATE *pstOutParam, int nWaitTime);

// Žݽ
typedef enum tagEM_ACCESSCONTROL_PROGRESS_TYPE
{
	EM_ACCESSCONTROL_PROGRESS_IMPORT,			// ݵ
	EM_ACCESSCONTROL_PROGRESS_DEPLOY,			// ͬ
} EM_ACCESSCONTROL_PROGRESS_TYPE;

// Žݵ뷵״̬
typedef enum tagEM_ACCESSCONTROL_IMPORT_STATE
{
	EM_ACCESSCONTROL_IMPORT_UNKNOWN,		// δ֪
	EM_ACCESSCONTROL_IMPORT_ONGING,			// 
	EM_ACCESSCONTROL_IMPORT_END,			// , ʼݿ
	EM_ACCESSCONTROL_IMPORT_BUSY,			// ϵͳæѾе
	EM_ACCESSCONTROL_IMPORT_DATAERROR,		// ݰʧ
	EM_ACCESSCONTROL_IMPORT_INVALID,		// ݰǷ
	EM_ACCESSCONTROL_IMPORT_SYNC_SUCCESS,	// ͬɹ, ݿ
	EM_ACCESSCONTROL_IMPORT_SYNC_FALIED,	// ͬʧ, ݿ޷
	EM_ACCESSCONTROL_IMPORT_DBFULL,			// ݿ޷
	EM_ACCESSCONTROL_IMPORT_SDFULL,			// 洢ռ޷
	EM_ACCESSCONTROL_IMPORT_CIPHER_ERROR,	// ѹ벻
	EM_ACCESSCONTROL_IMPORT_SEND_FAIL,		// Žʧ
} EM_ACCESSCONTROL_IMPORT_STATE;

// Ž״̬Ϣ
typedef struct tagNET_IMPORT_ACCESSCONTROL_STATE
{
	unsigned int	        			nProgress;			// , ٷֱ
	EM_ACCESSCONTROL_PROGRESS_TYPE		emProcessType;		// 
	EM_ACCESSCONTROL_IMPORT_STATE		emState;			// ״̬Ϣ
	BYTE			        			byReserved[512];		// ֽ
} NET_IMPORT_ACCESSCONTROL_STATE;

// صԭ
typedef void (CALLBACK *fImportAccessControlDataCallBack) (LLONG lImportHandle, NET_IMPORT_ACCESSCONTROL_STATE *pstAccessControlState, LDWORD dwUser);

// CLIENT_ImportAccessControlData ӿ
typedef struct tagNET_IN_IMPORT_ACCESS_CONTROL_DATA
{
	DWORD								dwSize;								// ṹС
	DWORD								dwDataType;							// , 0x01 ŽԽͨ¼; 0x02 ŽԶ; 0x04 ŽƬϢ;
																			// 0x08 ŽϢ; 0x10 ŽָϢ; 0x20 ŽԽԶ豸Ϣ
	char								szPassWord[DH_COMMON_STRING_64];	// ѹ
	char								szFilePath[MAX_FILE_PATH_LEN];		// Ž·, ûָ
	UINT								nBeforeLen;							// ļѹǰС
	BYTE			        			byReserved[4];						// 
	fImportAccessControlDataCallBack	cbImportState;						// ϴ״̬ص
	LDWORD 								dwUser;								// û
} NET_IN_IMPORT_ACCESS_CONTROL_DATA;

// CLIENT_ImportAccessControlData ӿ
typedef struct tagNET_OUT_IMPORT_ACCESS_CONTROL_DATA
{
	DWORD								dwSize;								// ṹС
} NET_OUT_IMPORT_ACCESS_CONTROL_DATA;

// Ž
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ImportAccessControlData(LLONG lLoginID, NET_IN_IMPORT_ACCESS_CONTROL_DATA* pstInParam, 
																NET_OUT_IMPORT_ACCESS_CONTROL_DATA* pstOutParam, const int nWaitTime);

// ֹͣŽ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopImportAccessControlData(LLONG lImportHandle);

// ŽٸϢ
typedef enum tagEM_EXPORT_FAST_CHECK_ERRORCODE
{
	EM_EXPORT_FAST_CHECK_SUCCESS			= 1,		// ɹ
	EM_EXPORT_FAST_CHECK_NO_AUTHORITY		= 2,		// Ȩ
	EM_EXPORT_FAST_CHECK_NO_THIS_FILE		= 3,		// ļ
	EM_EXPORT_FAST_CHECK_EXPORT_END			= 4,		// 
	EM_EXPORT_FAST_CHECK_EXPORTING			= 5,		// 
	EM_EXPORT_FAST_CHECK_FILE_READY			= 8,		// ļ׼
	EM_EXPORT_FAST_CHECK_FILE_FAILED		= 9,		// ļ׼ʧ
	EM_EXPORT_FAST_CHECK_WAIT_FILE			= 10,		// ɹ, Ҫȴ豸׼
	EM_EXPORT_FAST_CHECK_SYSTEM_BUSY		= 11,		// ϵͳæ, ʱ޷
	EM_EXPORT_FAST_CHECK_NO_PASSWORD		= 12,		// δ, 
} EM_EXPORT_FAST_CHECK_ERRORCODE;

// ŽٸϢ״̬Ϣ
typedef struct tagNET_EXPORT_FAST_CHECK_STATE
{
	unsigned int					nProgress;			// , ٷֱ
	EM_EXPORT_FAST_CHECK_ERRORCODE	emErrorCode;		// 
	char							*pDataBuf;			// 
	DWORD							dwDataLen;			// ݳ
	BYTE							byReserved[516];	// ֽ
} NET_EXPORT_FAST_CHECK_STATE;

// ŽٸϢصԭ
typedef void (CALLBACK *fExportFastCheckCallBack)(LLONG lExportHandle, NET_EXPORT_FAST_CHECK_STATE *pstFastCheckState, LDWORD dwUser);

// CLIENT_ExportAccessControlFastCheckData ӿ
typedef struct tagNET_IN_EXPORT_ACCESSCONTROL_FASTCHECK_DATA
{
	DWORD							dwSize;								// ṹС
	DWORD							dwDataType;							// , 0x01 ŽԽͨ¼; 0x02 ŽԶ; 0x04 ŽƬϢ;
																		// 0x08 ŽϢ; 0x10 ŽָϢ; 0x20 ŽԽԶ豸Ϣ; 0x40 Ա
	char							szPassWord[DH_COMMON_STRING_64];	// ѹ
	fExportFastCheckCallBack		cbExportFastCheckCallBack;			// ٸϢص
	LDWORD 							dwUser;								// û
} NET_IN_EXPORT_ACCESSCONTROL_FASTCHECK_DATA;

// CLIENT_ExportAccessControlFastCheckData ӿ
typedef struct tagNET_OUT_EXPORT_ACCESSCONTROL_FASTCHECK_DATA
{
	DWORD							dwSize;							// ṹС
} NET_OUT_EXPORT_ACCESSCONTROL_FASTCHECK_DATA;

// ŽٸϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ExportAccessControlFastCheckData(LLONG lLoginID, NET_IN_EXPORT_ACCESSCONTROL_FASTCHECK_DATA* pstInParam, 
																NET_OUT_EXPORT_ACCESSCONTROL_FASTCHECK_DATA* pstOutParam, const int nWaitTime);

// ֹͣŽٸ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopExportAccessControlFastCheckData(LLONG lExportHandle);

// CLIENT_GetUSBInfo ṹ
typedef struct tagNET_IN_GET_USB_INFO
{
	DWORD		dwSize;						// ֵΪṹС
}NET_IN_GET_USB_INFO;

// USB Э
enum EM_USB_PROTOCOL_TYPE
{
	EM_USB_PROTOCOL_TYPE_UNKNOWN,			// δ֪
	EM_USB_PROTOCOL_TYPE_V2,				// USB 2.0
	EM_USB_PROTOCOL_TYPE_V3,				// USB 3.0
};

// CLIENT_GetUSBInfo ṹ
typedef struct tagNET_OUT_GET_USB_INFO
{
	DWORD					dwSize;			// ֵΪṹС
	EM_USB_PROTOCOL_TYPE	emType;			// USBЭ
}NET_OUT_GET_USB_INFO;


// ȡUSBЭ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetUSBInfo(LLONG lLoginID, NET_IN_GET_USB_INFO* pstuIn, NET_OUT_GET_USB_INFO* pstuOut, int nWaitTime);



// ֵѯ
enum EM_RECHARGE_BUSINESS_QUERY_TYPE
{
	EM_RECHARGE_BUSINESS_QUERY_TYPE_UNKNOWN = 0,			// δ֪
	EM_RECHARGE_BUSINESS_QUERY_TYPE_CARD,					// Ųѯ
	EM_RECHARGE_BUSINESS_QUERY_TYPE_HUMANFACE,				// ѯ
};

// ֵ
enum EM_RECHARGE_BUSINESS_OPERATE_TYPE
{
	EM_RECHARGE_BUSINESS_OPERATE_TYPE_UNKNOWN = 0,			// δ֪
	EM_RECHARGE_BUSINESS_OPERATE_TYPE_QUERY,				// ˻ѯ
	EM_RECHARGE_BUSINESS_OPERATE_TYPE_RECHARGE,				// ˻ֵ
};

// ֵ˻ѯ¼Ϣ
typedef struct tagNET_RECHARGE_BUSINESS_QUERY_EVENT_INFO
{
	EM_RECHARGE_BUSINESS_QUERY_TYPE		emQueryType;		// ѯ
	char								szCardNo[32];		// ѯ˻
	char								szUserID[32];		// ѯ˻ûID
	NET_TIME_EX							stuTime;			// ѯ˻ʱ豸ʱ
	char*								pszFaceData;		// ƬemType Ϊ EM_RECHARGE_BUSINESS_TYPE_CARD ʱ
	int									nFaceDataLen;		// Ƭ	
}NET_RECHARGE_BUSINESS_QUERY_EVENT_INFO;

// ֵ˻ֵ¼Ϣ
typedef struct tagNET_RECHARGE_BUSINESS_RECHARGE_EVENT_INFO
{
	EM_RECHARGE_BUSINESS_QUERY_TYPE		emQueryType;		// ѯ
	char								szCardNo[32];		// ѯ˻
	char								szUserID[32];		// ѯ˻ûID
	NET_TIME_EX							stuTime;			// ѯ˻ʱ豸ʱ
	char*								pszFaceData;		// ƬemType Ϊ EM_RECHARGE_BUSINESS_TYPE_CARD ʱ
	int									nFaceDataLen;		// Ƭ	
	int									nAmount;			// ֵ,[100, 9999900],λ֣100
}NET_RECHARGE_BUSINESS_RECHARGE_EVENT_INFO;


// ֵĻصϢ
typedef struct tagNET_RECHARGE_BUSINESS_INFO
{
	EM_RECHARGE_BUSINESS_OPERATE_TYPE	emOperateType;		// 
	BYTE								byReserved[4];		// ֽڶ
	char								szBusinessID[32];	// ҵID
	void*								pstuEventInfo;		// Ϣ
															//  emOperateType Ϊ EM_RECHARGE_BUSINESS_OPERATE_TYPE_QUERYΪ NET_RECHARGE_BUSINESS_QUERY_EVENT_INFO
															//  emOperateType Ϊ EM_RECHARGE_BUSINESS_OPERATE_TYPE_RECHARGEΪ NET_RECHARGE_BUSINESS_RECHARGE_EVENT_INFO
}NET_RECHARGE_BUSINESS_INFO;

// ֵϢص
typedef void (CALLBACK *fRechargeBusiness)(LLONG lAttachHandle, NET_RECHARGE_BUSINESS_INFO* pInfo, LDWORD dwUser);

// CLIENT_AttachRechargeBusiness ṹ
typedef struct tagNET_IN_ATTACH_RECHARGE_BUSINESS
{
	DWORD								dwSize;				// ֵΪṹС
	BYTE								szReserved[4];		// ֶ
	fRechargeBusiness					cbNotify;			// ص
	LDWORD								dwUser;				// ûϢ
}NET_IN_ATTACH_RECHARGE_BUSINESS;


// CLIENT_AttachRechargeBusiness ṹ
typedef struct tagNET_OUT_ATTACH_RECHARGE_BUSINESS
{
	DWORD								dwSize;					// ֵΪṹС
}NET_OUT_ATTACH_RECHARGE_BUSINESS;

// ĳֵҵ
CLIENT_NET_API	LLONG CALL_METHOD CLIENT_AttachRechargeBusiness(LLONG lLoginID, NET_IN_ATTACH_RECHARGE_BUSINESS* pInParam, NET_OUT_ATTACH_RECHARGE_BUSINESS* pOutParam, int nWaitTime);

// ȡĳֵҵ
// lAttachHandle Ϊ CLIENT_AttachRechargeBusiness ֵ
CLIENT_NET_API	BOOL CALL_METHOD CLIENT_DetachRechargeBusiness(LLONG lAttachHandle);

// ֵ
enum EM_RECHARGE_BUSINESS_ERROR_CODE
{
	EM_RECHARGE_BUSINESS_ERRORCODE_UNKNOWN = -1,				// δ֪
	EM_RECHARGE_BUSINESS_ERRORCODE_NONE,						// ޴
	EM_RECHARGE_BUSINESS_ERRORCODE_UNAUTHORIZED_CARD = 11,		// ƬδȨ
	EM_RECHARGE_BUSINESS_ERRORCODE_INVALID_CARD = 14,			// Ч
	EM_RECHARGE_BUSINESS_ERRORCODE_EXCEED_MAX_AMOUNT = 48,		// 
	EM_RECHARGE_BUSINESS_ERRORCODE_INVALID_TERMINAL = 89,		// Чն
	EM_RECHARGE_BUSINESS_ERRORCODE_SYSTEM_EXCEPTION = 96,		// ϵͳ쳣
	EM_RECHARGE_BUSINESS_ERRORCODE_EXCEED_DAY_RECHARGE_NUM = 107,				// ֵ
	EM_RECHARGE_BUSINESS_ERRORCODE_EXCEED_SINGLE_MAX_RECHARGE_AMOUNT = 108,		// ֵ
};

// CLIENT_SetRechargeBusinessQueryResult ṹ
typedef struct tagNET_IN_RECHARGE_BUSINESS_QUERY_RESULT
{
	DWORD								dwSize;						// ֵΪṹС
	char								szCardNo[32];				// 
	char								szUserID[32];				// ûID
	char								szBusinessID[32];			// ҵIDCLIENT_AttachRechargeBusiness صϱ szBusinessID
	UINT								nBalance;					// ˻λ
	EM_RECHARGE_BUSINESS_ERROR_CODE		emErrorCode;				// 
}NET_IN_RECHARGE_BUSINESS_QUERY_RESULT;

// CLIENT_SetRechargeBusinessQueryResult ṹ
typedef struct tagNET_OUT_RECHARGE_BUSINESS_QUERY_RESULT 
{
	DWORD								dwSize;						// ֵΪṹС
}NET_OUT_RECHARGE_BUSINESS_QUERY_RESULT;

// óֵѯ
CLIENT_NET_API	BOOL CALL_METHOD CLIENT_SetRechargeBusinessQueryResult(LLONG lLoginID, NET_IN_RECHARGE_BUSINESS_QUERY_RESULT* pInParam, NET_OUT_RECHARGE_BUSINESS_QUERY_RESULT* pOutParam, int nWaitTime);

// CLIENT_SetRechargeBusinessRechargeResult ṹ
typedef struct tagNET_IN_RECHARGE_BUSINESS_RECHARGE_RESULT 
{
	DWORD								dwSize;						// ֵΪṹС
	char								szCardNo[32];				// 
	char								szUserID[32];				// ûID
	char								szBusinessID[32];			// ҵIDCLIENT_AttachRechargeBusiness صϱ szBusinessID
	UINT								nBalance;					// ˻λ
	EM_RECHARGE_BUSINESS_ERROR_CODE		emErrorCode;				// 
}NET_IN_RECHARGE_BUSINESS_RECHARGE_RESULT;

// CLIENT_SetRechargeBusinessRechargeResult ṹ
typedef struct tagNET_OUT_RECHARGE_BUSINESS_RECHARGE_RESULT 
{
	DWORD								dwSize;						// ֵΪṹС
}NET_OUT_RECHARGE_BUSINESS_RECHARGE_RESULT;

// óֵֵ
CLIENT_NET_API	BOOL CALL_METHOD CLIENT_SetRechargeBusinessRechargeResult(LLONG lLoginID, NET_IN_RECHARGE_BUSINESS_RECHARGE_RESULT* pInParam, NET_OUT_RECHARGE_BUSINESS_RECHARGE_RESULT* pOutParam, int nWaitTime);



// CLIENT_SetPersonInfoInputResult 
typedef struct tagNET_IN_PERSON_INFO_INPUT_RESULT
{
	DWORD								dwSize;						// ṹС
	int									nChannelID;					// ͨID
	UINT								nResult;					// 0 : ɹ  1 : ԱϢԱ
	BYTE								byReserved[4];				// ֽڶ
	char								szCitizenID[64];			// ֤
}NET_IN_PERSON_INFO_INPUT_RESULT;

// CLIENT_SetPersonInfoInputResult 
typedef struct tagNET_OUT_PERSON_INFO_INPUT_RESULT
{
	DWORD								dwSize;						// ṹС
}NET_OUT_PERSON_INFO_INPUT_RESULT;

// ·ԱϢ¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPersonInfoInputResult(LLONG lLoginID, NET_IN_PERSON_INFO_INPUT_RESULT* pInParam, NET_OUT_PERSON_INFO_INPUT_RESULT* pOutParam, int nWaitTime);

// CLIENT_PlayBackBySecondaryAnalyse ṹ
typedef struct tagNET_IN_PLAYBACK_BY_SECONDARYANALYSE
{
	DWORD								dwSize;					// ṹС
	int									nChannelID;				// ͨ
	NET_TIME							stBeginTime;			// ʼʱ
	NET_TIME							stEndTime;				// ʱ
	HWND								hWnd;					// Ŵ, ΪNULL
	fDownLoadPosCallBack				cbDownLoadPos;			// Ȼص
	LDWORD								dwPosUser;				// ȻصûϢ
	fDataCallBack						fDownLoadDataCallBack;	// ݻص
	LDWORD								dwDataUser;				// ݻصûϢ
	int									nPlayDirection;			// ŷ, 0:; 1:;	
	int									nTaskID;				// IDŨƵطʹ
}NET_IN_PLAYBACK_BY_SECONDARYANALYSE;


// CLIENT_PlayBackBySecondaryAnalyse ṹ
typedef struct tagNET_OUT_PLAYBACK_BY_SECONDARYANALYSE
{
	DWORD								dwSize;					// ṹС
}NET_OUT_PLAYBACK_BY_SECONDARYANALYSE;


// ηط
CLIENT_NET_API LLONG CALL_METHOD CLIENT_PlayBackBySecondaryAnalyse(LLONG lLoginID, NET_IN_PLAYBACK_BY_SECONDARYANALYSE* pInParam, NET_OUT_PLAYBACK_BY_SECONDARYANALYSE* pOutParam,int nWaitTime);

// CLIENT_GetDevWifiListInfo ӿ
typedef struct tagNET_IN_GET_DEV_WIFI_LIST
{
    DWORD                   dwSize;             // ṹС
    UINT                    nPort;              // 豸˿ں
    char                    szDevIP[64];        // 豸IP
} NET_IN_GET_DEV_WIFI_LIST;

// CLIENT_GetDevWifiListInfo ӿ
typedef struct tagNET_OUT_GET_DEV_WIFI_LIST
{
    DWORD                   dwSize;                             // ṹС
    UINT                    nWlanDevCount;                      // 豸
    DHDEV_WLAN_DEVICE_EX    stuWlanDev[MAX_WLAN_DEVICE_NUM];    // 豸Ϣ
} NET_OUT_GET_DEV_WIFI_LIST;

// CLIENT_SetDevWifiInfo ӿ
typedef struct tagNET_IN_SET_DEV_WIFI
{
    DWORD               dwSize;                     // ṹС
    UINT                nPort;                      // 豸˿ں
    char                szDevIP[64];                // 豸IP
    int                 nEnable;                    // ʹ, 0: ʹ, 1: ر
    char                szSSID[36];                 // SSID
    int                 nLinkMode;                  // ģʽ0auto,1adhoc,2Infrastructure
    int                 nEncryption;                // ܣ0off,2WEP64bit,3WEP128bit, 4:WPA-PSK-TKIP, 5: WPA-PSK-CCMP(AES), 6:WPA2-PSK-TKIP 7:WPA2-PSK-AES 8:WPA-TKIP 9:WPA-AES 
                                                    // 10:WPA2-TKIP 11:WPA2-AES 12:AUTO 13:WEP-OPEN 14:WEP-SHARED   
    int                 nKeyType;                   // 0Hex,1ASCII
    int                 nKeyID;                     // 
    char                szKeys[4][32];              // , nEncryptionΪWPAʽʱʹ
    char                szWPAKeys[128];             // nEncryptionΪWPAطʽʱʹ,128,ý
    int                 nKeyFlag;
    int                 nConnectedFlag;            // 0: , 1:  
} NET_IN_SET_DEV_WIFI;

// CLIENT_SetDevWifiInfo ӿ
typedef struct tagNET_OUT_SET_DEV_WIFI
{
    DWORD               dwSize;                     // ṹС
} NET_OUT_SET_DEV_WIFI;

// ȡ豸wifiϢб, Ȩ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDevWifiListInfo(NET_IN_GET_DEV_WIFI_LIST *pInParam, NET_OUT_GET_DEV_WIFI_LIST *pOutParam, const int nWaitTime);

// ·wifiϢȨ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetDevWifiInfo(NET_IN_SET_DEV_WIFI *pInParam, NET_OUT_SET_DEV_WIFI *pOutParam, const int nWaitTime);


// ץϢ
typedef struct tagNET_SNAP_OBJECT_INFO
{
    NET_RECT             stuBoundingBox;                        // Χ, һ[0, 8192]
    BYTE                 byReserved[512];                       // ֽ   
} NET_SNAP_OBJECT_INFO;

// CLIENT_SnapPictureByAnalyseObject ӿ
typedef struct tagNET_IN_SNAP_BY_ANALYSE_OBJECT
{
    DWORD                               dwSize;             // ṹС
    UINT                                nChannelID;         // ͨ
    BYTE                                byReserved[4];      // ֽڶ
    UINT                                nSnapObjectNum;     // ץ
    NET_SNAP_OBJECT_INFO                stuSnapObjects[32]; // ץϢ
} NET_IN_SNAP_BY_ANALYSE_OBJECT;

// CLIENT_SnapPictureByAnalyseObject ӿ
typedef struct tagNET_OUT_SNAP_BY_ANALYSE_OBJECT
{
    DWORD                               dwSize;             // ṹС
} NET_OUT_SNAP_BY_ANALYSE_OBJECT;

// ѡĿץ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SnapPictureByAnalyseObject(LLONG lLoginID, NET_IN_SNAP_BY_ANALYSE_OBJECT* pInParam, NET_OUT_SNAP_BY_ANALYSE_OBJECT* pOutParam,int nWaitTime);


// 㷨״̬Ϣ
typedef struct tagNET_INTELLI_STATE_INFO
{
    BOOL                            bSupportOnlyAlgorithmUpgrade;                   // Ƿ֧㷨
    UINT                            nAlgorithmNum;                                  // 㷨
    NET_ALGORITHM_INFO              stuAlgorithmInfos[MAX_ANALYSE_ALGORITHM_NUM];   // 㷨汾Ϣ
	BYTE							byReserve[1024];								// ֽ
}NET_INTELLI_STATE_INFO;


// 㷨״̬Ϣص
typedef void (CALLBACK *fIntelliState)(LLONG lAttachHandle, NET_INTELLI_STATE_INFO* pInfo, LDWORD dwUser);

// CLIENT_AttachIntelliState ṹ
typedef struct tagNET_IN_ATTACH_INTELLI_STATE
{
    DWORD								dwSize;				// ṹС
    BYTE								szReserved[4];		// ֶ
    fIntelliState					    cbNotify;			// ص
    LDWORD								dwUser;				// ûϢ
}NET_IN_ATTACH_INTELLI_STATE;


// CLIENT_AttachIntelliState ṹ
typedef struct tagNET_OUT_ATTACH_INTELLI_STATE
{
    DWORD								dwSize;				// ṹС
}NET_OUT_ATTACH_INTELLI_STATE;

// 㷨״̬Ϣ
CLIENT_NET_API	LLONG CALL_METHOD CLIENT_AttachIntelliState(LLONG lLoginID, NET_IN_ATTACH_INTELLI_STATE* pInParam, NET_OUT_ATTACH_INTELLI_STATE* pOutParam, int nWaitTime);

// ȡ㷨״̬Ϣ
// lAttachHandle Ϊ CLIENT_AttachIntelliState ֵ
CLIENT_NET_API	BOOL CALL_METHOD CLIENT_DetachIntelliState(LLONG lAttachHandle);


// CLIENT_GetGDPRAbility 
typedef struct tagNET_IN_GET_GDPR_ABILITY
{
	DWORD						dwSize;			// ṹС
}NET_IN_GET_GDPR_ABILITY;

// GDPR
enum EM_GDPR_ABILITY
{
	EM_GDPR_ABILITY_V1_STREAM = 0x01,			// ֧GDPRV1汾ط
	EM_GDPR_ABILITY_V2_STREAM = 0x02,			// ֧GDPRV2汾ط
	EM_GDPR_ABILITY_DOWNLOAD  = 0x04,			// ֧GDPR
};

// CLIENT_GetGDPRAbility 
typedef struct tagNET_OUT_GET_GDPR_ABILITY
{
	DWORD						dwSize;			// ṹС
	int							nAbility;		// ȡֵ EM_GDPR_ABILITY֧ '|' 
}NET_OUT_GET_GDPR_ABILITY;


// ȡ豸GDPR
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetGDPRAbility(LLONG lLoginID, NET_IN_GET_GDPR_ABILITY* pInParam, NET_OUT_GET_GDPR_ABILITY* pOutParam, int nWaitTime);

// ʧܴ
typedef enum tagEM_FACEDB_ERRCODE
{
    EM_FACEDB_ERRCODE_UNKNOWN  = -1,       // δ֪
    EM_FACEDB_ERRCODE_SUCCESS,             // ɹ
    EM_FACEDB_ERRCODE_CONNECT_FAIL = 2,    // ʧ
    EM_FACEDB_ERRCODE_LOGIN_FAIL,          // ½ʧ
    EM_FACEDB_ERRCODE_RECV_TIMEOUT,        // ݳʱ
    EM_FACEDB_ERRCODE_STRING_NULL,         // ĿַΪ
    EM_FACEDB_ERRCODE_FILE_DIRECTORY_NOT_EXIST,    // Ŀ¼ļ
    EM_FACEDB_ERRCODE_STORAGE_FAIL,        // ļ洢ʧ
} EM_FACEDB_ERRCODE;

// ؽȻصϢ
typedef struct tagNET_CB_FACEDB_DOWNLOAD_RESULT
{
    char                szFaceDbVersion[32];                    // 汾
    UINT                nTotalDownloadCount;                    // ļ
    UINT                nSuccessDownloadCount;                  // ļ
    EM_FACEDB_ERRCODE   emFaceDbErrCode;                        // ʧܴ
    BYTE                byReserved[1024];                       // ֽ
} NET_CB_FACEDB_DOWNLOAD_RESULT;

// ؽȻصԭ, lAttachHandleΪ CLIENT_AttachFaceDbDownLoadResult ӿڵķֵ
typedef void (CALLBACK *fFaceDbDownLoadResult)(LLONG lAttachHandle, NET_CB_FACEDB_DOWNLOAD_RESULT* pstResult, LDWORD dwUser);

// CLIENT_AttachFaceDbDownLoadResult ӿ
typedef struct tagNET_IN_ATTACH_FACEDB_DOWNLOAD_RESULT
{
    DWORD                           dwSize;                         // ṹС
    BYTE                            byReserved[4];                  // ֽڶ
    fFaceDbDownLoadResult           cbFaceDbDownLoadResult;         // ؽȻص
    LDWORD                          dwUser;                         // û
} NET_IN_ATTACH_FACEDB_DOWNLOAD_RESULT;

// CLIENT_AttachFaceDbDownLoadResult ӿ
typedef struct tagNET_OUT_ATTACH_FACEDB_DOWNLOAD_RESULT
{
    DWORD                           dwSize;                 // ṹС
} NET_OUT_ATTACH_FACEDB_DOWNLOAD_RESULT;

// ؽ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachFaceDbDownLoadResult(LLONG lLoginID, NET_IN_ATTACH_FACEDB_DOWNLOAD_RESULT* pInParam, NET_OUT_ATTACH_FACEDB_DOWNLOAD_RESULT* pOutParam, int nWaitTime);

// ȡؽ, lAttachHandleΪ CLIENT_AttachFaceDbDownLoadResult ӿڵķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachFaceDbDownLoadResult(LLONG lAttachHandle);

// Ϣ
typedef struct tagNET_FACEDB_DOWNLOAD_TASK_INFO
{
    UINT                nURLNum;                            // ͼƬURL
    char                szURLList[4][256];                  // ͼƬURLַб, һͼƬĵַܴڶftp
    char                szID[32];                           // ID
    char                szFaceUUID[32];                     // Ψһ룬ÿƽ̨ͼƬҪ¸ֶΣ豸˱ȽǷͼƬ
    BYTE                byReserved[2048];                   // ֽ
} NET_FACEDB_DOWNLOAD_TASK_INFO;

// CLIENT_AddFaceDbDownLoadTask ӿ
typedef struct tagNET_IN_ADD_FACEDB_DOWNLOAD_TASK
{
    DWORD                               dwSize;                 // ṹС
    BOOL                                bIsEnd;                 // ǷΪһ(ֶη)
    char                                szFaceDbVersion[32];    // 汾
    BYTE                                byReserved[4];          // ֽڶ
    UINT                                nTaskNum;               // , ûָ, ֧100
    NET_FACEDB_DOWNLOAD_TASK_INFO       *pstTaskInfo;           // Ϣ, ûռ, СΪnTaskNum*sizeof(NET_FACELIB_DOWNLOAD_TASK_INFO)
    UINT                                nPacketTotal;           // ʾǰܹм
    UINT                                nPacketIndex;           // ʾǰǵڼ±1ʼ
} NET_IN_ADD_FACEDB_DOWNLOAD_TASK;

// CLIENT_AddFaceDbDownLoadTask ӿ
typedef struct tagNET_OUT_ADD_FACEDB_DOWNLOAD_TASK
{
    DWORD                           dwSize;						// ṹС
} NET_OUT_ADD_FACEDB_DOWNLOAD_TASK;


// 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddFaceDbDownLoadTask(LLONG lLoginID, NET_IN_ADD_FACEDB_DOWNLOAD_TASK* pInParam, NET_OUT_ADD_FACEDB_DOWNLOAD_TASK* pOutParam, int nWaitTime);

// ƿؽȻصϢ
typedef struct tagNET_CB_PLATENUMBERDB_DOWNLOAD_RESULT
{
    char                               szPlateNumberDbVersion[32];                     // ƿ汾
    UINT                               nTotalDownloadCount;                            // Ҫļ
    UINT                               nSuccessDownloadCount;                          // ļ
    EM_FACEDB_ERRCODE                  emPlateNumberDbErrorCode;                       // ʧܴ
    BYTE                               byReserved[1020];                               // ֽ
} NET_CB_PLATENUMBERDB_DOWNLOAD_RESULT;

// ĳƿؽȻصԭ, lAttachHandleΪ CLIENT_AttachPlateNumberDbDownloadResult ӿڵķֵ
typedef void (CALLBACK *fPlateNumberDbDownloadResult)(LLONG lAttachHandle, NET_CB_PLATENUMBERDB_DOWNLOAD_RESULT* pstResult, LDWORD dwUser);

// CLIENT_AttachPlateNumberDbDownloadResult ӿ
typedef struct tagNET_IN_ATTACH_PLATENUMBERDB_DOWNLOAD_RESULT
{
    DWORD                              dwSize;                                         // ṹС
    BYTE                               byReserved[4];                                  // ֽڶ
    fPlateNumberDbDownloadResult       cbPlateNumberDbDownloadResult;                  // ƿؽȻص
    LDWORD                             dwUser;                                         // û
} NET_IN_ATTACH_PLATENUMBERDB_DOWNLOAD_RESULT;

// CLIENT_AttachPlateNumberDbDownloadResult ӿ
typedef struct tagNET_OUT_ATTACH_PLATENUMBERDB_DOWNLOAD_RESULT
{
    DWORD                              dwSize;                                         // ṹС
} NET_OUT_ATTACH_PLATENUMBERDB_DOWNLOAD_RESULT;

// ĳƿؽ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachPlateNumberDbDownloadResult(LLONG lLoginID, NET_IN_ATTACH_PLATENUMBERDB_DOWNLOAD_RESULT* pInParam, NET_OUT_ATTACH_PLATENUMBERDB_DOWNLOAD_RESULT* pOutParam, int nWaitTime);

// ȡĳƿؽ, lAttachHandleΪ CLIENT_AttachPlateNumberDbDownloadResult ӿڵķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachPlateNumberDbDownloadResult(LLONG lAttachHandle);

// ƿϢ
typedef struct tagNET_PLATE_NUMBER_DB_DOWNLOAD_TASK_INFO
{
    UINT                                          nURLNum;                        // ͼƬURL
    char                                          szURLList[4][256];              // ͼƬURLַб, һųͼƬĵַܴڶftp
    BYTE                                          byReserved[1020];               // ֽ
} NET_PLATE_NUMBER_DB_DOWNLOAD_TASK_INFO;

// CLIENT_AddPlateNumberDbDownloadTask ӿ
typedef struct tagNET_IN_ADD_PLATE_NUMBER_DB_DOWNLOAD_TASK
{
    DWORD                                         dwSize;                         // ṹС
    UINT                                          nTaskNum;                       // , ûָ, ֧100
    NET_PLATE_NUMBER_DB_DOWNLOAD_TASK_INFO       *pstTaskInfo;                    // Ϣ, ûռ, СΪnTaskNum*sizeof(NET_PLATE_NUMBER_DB_DOWNLOAD_TASK_INFO)
    char                                          szPlateNumberDbVersion[32];     // 汾
    UINT                                          nPacketTotal;                   // ʾǰܹм
    UINT                                          nPacketIndex;                   // ʾǰǵڼ±1ʼ
} NET_IN_ADD_PLATE_NUMBER_DB_DOWNLOAD_TASK;

// CLIENT_AddPlateNumberDbDownloadTask ӿ
typedef struct tagNET_OUT_ADD_PLATE_NUMBER_DB_DOWNLOAD_TASK
{
    DWORD                                         dwSize;                         // ṹС
} NET_OUT_ADD_PLATE_NUMBER_DB_DOWNLOAD_TASK;

// ӳƿ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddPlateNumberDbDownloadTask(LLONG lLoginID, NET_IN_ADD_PLATE_NUMBER_DB_DOWNLOAD_TASK* pInParam, NET_OUT_ADD_PLATE_NUMBER_DB_DOWNLOAD_TASK* pOutParam, int nWaitTime);

// CLIENT_GetPlateNumberDbVersion ӿ
typedef struct tagNET_IN_GET_PLATE_NUMBER_DB_VERSION
{
    DWORD                                         dwSize;                         // ṹС
} NET_IN_GET_PLATE_NUMBER_DB_VERSION;

// CLIENT_GetPlateNumberDbVersion ӿ
typedef struct tagNET_OUT_GET_PLATE_NUMBER_DB_VERSION
{
    DWORD                                         dwSize;                         // ṹС
    char                                          szPlateNumberDbVersion[32];     // ƿ汾,δ·豸쳣û·꣬ƿ汾š0
} NET_OUT_GET_PLATE_NUMBER_DB_VERSION;

// ƽ̨ѯ豸˳ƿ汾Ϣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetPlateNumberDbVersion(LLONG lLoginID, NET_IN_GET_PLATE_NUMBER_DB_VERSION* pInParam, NET_OUT_GET_PLATE_NUMBER_DB_VERSION* pOutParam, int nWaitTime);

// FTPЭ
typedef enum tagEM_FTP_PROTOCOL_TYPE
{
    EM_FTP_PROTOCOL_TYPE_UNKNOWN        = -1,           // δ֪
    EM_FTP_PROTOCOL_TYPE_FTPS,                          // ftps
} EM_FTP_PROTOCOL_TYPE;

// FTPϢ
typedef struct tagNET_FTP_SERVER_INFO
{
    char                    szIP[32];               // IPַ
    char                    szUserName[32];         // û
    char                    szPassword[32];         // 
    UINT                    nPort;                  // ˿ں
    EM_FTP_PROTOCOL_TYPE    emFtpProtocolType;      // FTPЭ
    UINT                    nTimeOut;               // ӳʱʱ, λ: 
    char                    szDirectory[128];       // ƵĸĿ¼
    BYTE                    byReserved[1020];       // ֽ
} NET_FTP_SERVER_INFO;

// CLIENT_SendFtpUploadServerInfo ӿ
typedef struct tagNET_IN_SEND_FTP_UPLOAD_SERVER_INFO
{
    DWORD                   dwSize;                 // ṹС
    UINT                    nFtpServerNum;          // FTP 
    NET_FTP_SERVER_INFO     stuFtpServerInfo[4];    // FTP Ϣ
} NET_IN_SEND_FTP_UPLOAD_SERVER_INFO;

// CLIENT_SendFtpUploadServerInfo ӿ
typedef struct tagNET_OUT_SEND_FTP_UPLOAD_SERVER_INFO
{
    DWORD                           dwSize;                 // ṹС
} NET_OUT_SEND_FTP_UPLOAD_SERVER_INFO;

// ·ƵftpϢ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SendFtpUploadServerInfo(LLONG lLoginID, NET_IN_SEND_FTP_UPLOAD_SERVER_INFO* pInParam, NET_OUT_SEND_FTP_UPLOAD_SERVER_INFO* pOutParam, int nWaitTime);

// ļϴ
typedef enum tagEM_FILE_UPLOAD_RESULT_CODE
{
    EM_FILE_UPLOAD_RESULT_CODE_UNKNOWN      = -1,       // δ֪
    EM_FILE_UPLOAD_RESULT_CODE_SUCCESS,                 // ɹ
    EM_FILE_UPLOAD_RESULT_CODE_CONNECT_FAIL = 2,        // ʧ
    EM_FILE_UPLOAD_RESULT_CODE_LOGIN_FAIL,              // ¼ʧ
    EM_FILE_UPLOAD_RESULT_CODE_RCV_TIMEOUT,             // ݳʱ
    EM_FILE_UPLOAD_RESULT_CODE_OBJ_STR_NULL,            // ĿַΪ
    EM_FILE_UPLOAD_RESULT_CODE_NO_FOLD_FILE,            // Ŀ¼ļ
    EM_FILE_UPLOAD_RESULT_CODE_STORE_FAIL,              // ļ洢ʧ
    EM_FILE_UPLOAD_RESULT_CODE_SEND_FAIL,               // ʧ
} EM_FILE_UPLOAD_RESULT_CODE;

// ļϴϢ
typedef struct tagNET_FILE_UPLOAD_RESULT_INFO
{
    char                        szFileUrl[256];             // ļ·
    EM_FILE_UPLOAD_RESULT_CODE  emResultCode;               // ļϴ
    BYTE                        byReserved[1020];           // ֽ
} NET_FILE_UPLOAD_RESULT_INFO;

// ļϴصϢ
typedef struct tagNET_CB_FILE_UPLOAD_RESULT
{
    UINT                            nResultNum;                     // ļϴ
    NET_FILE_UPLOAD_RESULT_INFO     stuUploadResultInfo[4];         // ļϴϢ
    BYTE                            byReserved[1024];               // ֽ
} NET_CB_FILE_UPLOAD_RESULT;

// ļϴϢصԭ, lAttachHandleΪ CLIENT_AttachFileUploadResult ӿڵķֵ
typedef void (CALLBACK *fFileUploadResult)(LLONG lAttachHandle, NET_CB_FILE_UPLOAD_RESULT* pstResult, LDWORD dwUser);

// CLIENT_AttachFileUploadResult ӿ
typedef struct tagNET_IN_ATTACH_FILE_UPLOAD_RESULT
{
    DWORD                           dwSize;                         // ṹС
    BYTE                            byReserved[4];                  // ֽڶ
    fFileUploadResult               cbFileUploadResult;             // ļϴص
    LDWORD                          dwUser;                         // û
} NET_IN_ATTACH_FILE_UPLOAD_RESULT;

// CLIENT_AttachFileUploadResult ӿ
typedef struct tagNET_OUT_ATTACH_FILE_UPLOAD_RESULT
{
    DWORD                           dwSize;                         // ṹС
} NET_OUT_ATTACH_FILE_UPLOAD_RESULT;

// ļϴϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachFileUploadResult(LLONG lLoginID, NET_IN_ATTACH_FILE_UPLOAD_RESULT* pInParam, NET_OUT_ATTACH_FILE_UPLOAD_RESULT* pOutParam, const int nWaitTime);

// ȡļϴϢ, lAttachHandleΪ CLIENT_AttachFileUploadResult ӿڵķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachFileUploadResult(LLONG lAttachHandle);

// CLIENT_GetFaceDbVersion ӿ
typedef struct tagNET_IN_GET_FACE_DB_VERSION
{
	DWORD                           dwSize;                         // ṹС
} NET_IN_GET_FACE_DB_VERSION;

// CLIENT_GetFaceDbVersion ӿ
typedef struct tagNET_OUT_GET_FACE_DB_VERSION
{
	DWORD                           dwSize;                         // ṹС
	char                            szFaceDbVersion[32];            // 汾, û·豸쳣δȫ汾Ϊ"0"
	UINT                            nTotalCount;                    // ܹҪصļ
	UINT                            nSuccessDCount;                 // صļ
} NET_OUT_GET_FACE_DB_VERSION;

// ѯ豸汾Ϣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetFaceDbVersion(LLONG lLoginID, NET_IN_GET_FACE_DB_VERSION* pInParam, NET_OUT_GET_FACE_DB_VERSION* pOutParam, const int nWaitTime);

// CLIENT_ControlThermoSensor ӿ
typedef struct tagNET_IN_CONTROL_THERMO_SENSOR
{
    DWORD               dwSize;             // ṹС
    int                 nChannel;           // ͨ
    int                 nState;             // ȳо, 0 - ر;1 - 
    BYTE                byReserverd[4];     // ֽڣֽڶ
} NET_IN_CONTROL_THERMO_SENSOR;

// CLIENT_ControlThermoSensor ӿ
typedef struct tagNET_OUT_CONTROL_THERMO_SENSOR
{
    DWORD               dwSize;             // ṹС
} NET_OUT_CONTROL_THERMO_SENSOR;


// CLIENT_GetDistanceRes ӿ
typedef struct tagNET_IN_GET_DISTANCE_RES
{
    DWORD               dwSize;             // ṹС
    UINT                nChannel;           // ͨ
} NET_IN_GET_DISTANCE_RES;


// ѯĵȳ־
typedef enum tagEM_GET_DISTANCE_RES_STATUS
{
    EM_GET_DISTANCE_RES_UNKNOWN = -1,               // δ֪
    EM_GET_DISTANCE_RES_SUCCESS,                    // ɹ
    EM_GET_DISTANCE_RES_BEYOND_PITCH_LIMIT,         // 
    EM_GET_DISTANCE_RES_INTERFACE_EXCEPTION,        // ӿ쳣
    EM_GET_DISTANCE_RES_GENERAL_ERROR,              // ͨô
    EM_GET_DISTANCE_RES_LASER_NO_DATA_RETURN,       // ݷء
    EM_GET_DISTANCE_RES_LASER_DATA_LENGTH_ERROR,    // Ƿصݳȴ
    EM_GET_DISTANCE_RES_LASER_DATA_FORMAT_ERROR,    // Ƿصݸʽȷ
    EM_GET_DISTANCE_RES_LASER_DATA_VERIFIED_ERROR,  // ǷصУʧ
}EM_GET_DISTANCE_RES_STATUS;

// CLIENT_GetDistanceRes ӿ
typedef struct tagNET_OUT_GET_DISTANCE_RES
{
    DWORD                       dwSize;             // ṹС
    UINT                        nDistance;          // Ŀ룬λ
    int                         nOverTimeStatus;    // ʱ״̬0,ʱ 1δʱ
    EM_GET_DISTANCE_RES_STATUS  emStatus;           // ״̬
} NET_OUT_GET_DISTANCE_RES;

// ȳоǿƿر
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ControlThermoSensor(LLONG lLoginID, NET_IN_CONTROL_THERMO_SENSOR* pInParam, NET_OUT_CONTROL_THERMO_SENSOR* pOutParam,int nWaitTime);

// ȡλĿľ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDistanceRes(LLONG lLoginID, NET_IN_GET_DISTANCE_RES* pInParam, NET_OUT_GET_DISTANCE_RES* pOutParam,int nWaitTime);

// ѯĵȳ־
typedef enum tagEM_THREM_LOG_TYPE
{
    EM_THREM_LOG_UNKNOWN = -1,              // δ֪,ֻڲѯڲѯ
    EM_THREM_LOG_ALL,                       // ȫ,ֻڲѯڲѯ
    EM_THREM_LOG_CORE_OP,                   // о
    EM_THREM_LOG_LASER,                     // 
    EM_THREM_LOG_PTZ,                       // ̨˶
    EM_THREM_LOG_VISUAL_ZOOM,               // ɼ䱶
    EM_THREM_LOG_VISUAL_FOCUS,              // ɼ۽
    EM_THREM_LOG_THERM_ZOOM,                // ȳ䱶
    EM_THREM_LOG_THERM_FOCUS,               // ȳ۽
    EM_THREM_LOG_CLEAR_LOG,                 // ־
    EM_THREM_LOG_TEMPERATURE,               // ¼¶Ϣ
}EM_THREM_LOG_TYPE;

// CLIENT_StartFindThermLog ӿ
typedef struct tagNET_IN_START_FIND_THERM_LOG
{
    DWORD               dwSize;             // ṹС
    EM_THREM_LOG_TYPE	emLogType;		// ѯ־
    NET_TIME			stuStartTime;		// ѯĿʼʱ
    NET_TIME			stuEndTime;			// ѯĽʱ
} NET_IN_START_FIND_THERM_LOG;

// CLIENT_StartFindThermLog ӿ
typedef struct tagNET_OUT_START_FIND_THERM_LOG
{
    DWORD               dwSize;             // ṹС
} NET_OUT_START_FIND_THERM_LOG;

// CLIENT_GetThermLogCount ӿ
typedef struct tagNET_IN_GET_THERM_LOG_COUNT
{
    DWORD               dwSize;             // ṹС
} NET_IN_GET_THERM_LOG_COUNT;

// CLIENT_GetThermLogCount ӿ
typedef struct tagNET_OUT_GET_THERM_LOG_COUNT
{
    DWORD               dwSize;             // ṹС
    int                 nLogCount;          // ־
} NET_OUT_GET_THERM_LOG_COUNT;

// CLIENT_DoSeekFindThermLog ӿ
typedef struct tagNET_IN_DO_SEEK_FIND_THERM_LOG
{
    DWORD               dwSize;             // ṹС
    int                 nOffset;            // ʼƫoffset¼ʼѯ
    int                 nCount;             // ÿβѯ־
    BYTE                byReserve[4];       // ֽڣֽڶ
} NET_IN_DO_SEEK_FIND_THERM_LOG;

// ȳ־Ϣ
typedef struct tagNET_THERM_LOG
{
    NET_TIME             stuTime;            // ־ʱ
    EM_THREM_LOG_TYPE	 emLogType;			 // ־
    char                 szDetail[512];      // ־
    BYTE                 byReserve[1024];    // ֽ
} NET_THERM_LOG;

// CLIENT_DoSeekFindThermLog ӿ
typedef struct tagNET_OUT_DO_SEEK_FIND_THERM_LOG
{
    DWORD               dwSize;             // ṹС
    int                 nMaxCount;          // ûָṹ,ڵNET_IN_DO_SEEK_FIND_THERM_LOGnCount
    NET_THERM_LOG*      pstuLogInfo;        // ־Ϣ,Сûָ
    int                 nRetCount;          // ѯ,0 ʾûи־ԲѯfoundСcountΪжϵݡ豸пڴƣ޷һԷء
    BYTE                byReserve[4];       // ֽڣֽڶ
} NET_OUT_DO_SEEK_FIND_THERM_LOG;

// ʼѯȳ־
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartFindThermLog(LLONG lLoginID, const NET_IN_START_FIND_THERM_LOG* pInParam, NET_OUT_START_FIND_THERM_LOG* pOutParam, int nWaitTime);

// ѯǰȳ־
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetThermLogCount(LLONG lLogID, NET_IN_GET_THERM_LOG_COUNT* pInParam, NET_OUT_GET_THERM_LOG_COUNT* pOutParam, int nWaitTime);

// ѯǰȳ־¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoSeekFindThermLog(LLONG lLogID, NET_IN_DO_SEEK_FIND_THERM_LOG* pInParam, NET_OUT_DO_SEEK_FIND_THERM_LOG* pOutParam, int nWaitTime);

// ѯȳ־
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindThermLog(LLONG lLogID);

// γ״̬
typedef enum tagEM_COURSE_STATE
{
    EM_COURSE_STATE_UNKNOWN,                                                        // δ֪
    EM_COURSE_STATE_NOT_RECORD,                                                     // δ¼
    EM_COURSE_STATE_IN_RECORDING,                                                   // ¼
    EM_COURSE_STATE_ALREADY_RECORDED,                                               // ¼
} EM_COURSE_STATE;

// γϢ
typedef struct tagNET_COURSE
{
    NET_TIME                        stuStartTime;                                   // ʼʱ
    NET_TIME                        stuEndTime;                                     // ʱ
    char                            szCourseName[DH_COMMON_STRING_64];              // γ
    char                            szTeacherName[DH_COMMON_STRING_64];             // ʦ
    char                            szIntroduction[DH_COMMON_STRING_128];           // γ̼
    int                             nCanStartStreamNum;                             // ܷ߼ͨ
    int                             nIsRecordNum;                                   // ǷҪ¼߼ͨ
    EM_CAN_START_STREAM             emCanStartStream[64];                           // ܷ
    EM_IS_RECORD                    emIsRecord[64];                                 // ǷҪ¼
    UINT                            nCompositeChannelMode;                          // ͨģʽ; 0: Ч, 1: Ӱģʽ, 2: ̬ģʽ, 3: Ʒģʽ, С0: Զģʽ
    EM_COURSE_STATE                 emCourseState;                                  // γ״̬
    BYTE                            byReserved[128];                                // ֽ
} NET_COURSE;

// CLIENT_AddCourse 
typedef struct tagNET_IN_ADD_COURSE
{
    DWORD                           dwSize;                                         // ṹС
    int                             nCourseNum;                                     // γ
    NET_COURSE                      stuCourseInfo[64];                              // γϢ
}NET_IN_ADD_COURSE; 

// CLIENT_AddCourse 
typedef struct tagNET_OUT_ADD_COURSE
{
    DWORD                           dwSize;                                         // ṹС
    int                             nIdNum;                                         // γID
    int                             nId[64];                                        // ĿγID; -1:ݿ޴˼¼, -2:¼Ѵ, -3:ݿ
}NET_OUT_ADD_COURSE;

// µĿγ̼¼
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddCourse(LLONG lLoginID, const NET_IN_ADD_COURSE *pstInParam, NET_OUT_ADD_COURSE *pstOutParam, int nWaitTime= NET_INTERFACE_DEFAULT_TIMEOUT);

// CLIENT_DeleteCourse 
typedef struct tagNET_IN_DELETE_COURSE
{
    DWORD                           dwSize;                                         // ṹС
    int                             nIdNum;                                         // γID
    int                             nId[64];                                        // γID
}NET_IN_DELETE_COURSE; 

// CLIENT_DeleteCourse 
typedef struct tagNET_OUT_DELETE_COURSE
{
    DWORD                           dwSize;                                         // ṹС
    int                             nResultIdNum;                                   // γID
    int                             nResultId[64];                                  // γID; -1:ɾɹ, ԭid:ɾʧ
}NET_OUT_DELETE_COURSE;

// ɾγ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DeleteCourse(LLONG lLoginID, const NET_IN_DELETE_COURSE *pstInParam, NET_OUT_DELETE_COURSE *pstOutParam, int nWaitTime= NET_INTERFACE_DEFAULT_TIMEOUT);

// CLIENT_ModifyCourse 
typedef struct tagNET_IN_MODIFY_COURSE
{
    DWORD                           dwSize;                                         // ṹС
    int                             nCourseNum;                                     // γ
    NET_COURSE                      stuCourseInfo[64];                              // γϢ
    int                             nId[64];                                        // γID
}NET_IN_MODIFY_COURSE; 

// CLIENT_ModifyCourse 
typedef struct tagNET_OUT_MODIFY_COURSE
{
    DWORD                           dwSize;                                         // ṹС
    int                             nResultIDNum;                                   // ޸ĵĿγID
    int                             nResultID[64];                                  // ޸ĵĿγID; ԭID: ޸ĳɹ, -1: ݿ޴˼¼, -2: ʱͻ
}NET_OUT_MODIFY_COURSE;

// ޸Ŀγ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ModifyCourse(LLONG lLoginID, const NET_IN_MODIFY_COURSE *pstInParam, NET_OUT_MODIFY_COURSE *pstOutParam, int nWaitTime= NET_INTERFACE_DEFAULT_TIMEOUT);

// CLIENT_QueryCourseOpen 
typedef struct tagNET_IN_QUERY_COURSE_OPEN
{
    DWORD                           dwSize;                                         // ṹС
    NET_TIME                        stuStartTime;                                   // ѯʼʱ
    NET_TIME                        stuEndTime;                                     // ѯʱ
}NET_IN_QUERY_COURSE_OPEN; 

// CLIENT_QueryCourseOpen 
typedef struct tagNET_OUT_QUERY_COURSE_OPEN
{
    DWORD                           dwSize;                                         // ṹС
    int                             nTotalNum;                                      // ѯܸ
    int                             nFindID;                                        // ѯľ
}NET_OUT_QUERY_COURSE_OPEN;

// ʼѯγ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryCourseOpen(LLONG lLoginID, const NET_IN_QUERY_COURSE_OPEN *pstInParam, NET_OUT_QUERY_COURSE_OPEN *pstOutParam, int nWaitTime= NET_INTERFACE_DEFAULT_TIMEOUT);

// CLIENT_QueryCourse 
typedef struct tagNET_IN_QUERY_COURSE
{
    DWORD                           dwSize;                                         // ṹС
    int                             nFindID;                                        // ѯ
    int                             nOffset;                                        // ʼѯƫ
    int                             nCount;                                         // Ҫѯĸ
}NET_IN_QUERY_COURSE; 
// γϢID
typedef struct tagNET_COURSE_RESULT
{
    NET_COURSE                      stuCourseInfo;                                  // γϢ
    int                             nId;                                            // γID
    BYTE                            byReserved[4];                                  // ֽ
} NET_COURSE_RESULT;
// CLIENT_QueryCourse 
typedef struct tagNET_OUT_QUERY_COURSE
{
    DWORD                           dwSize;                                         // ṹС
    int                             nCountResult;                                   // ҵĸ
    NET_COURSE_RESULT               stuCourseResult[64];                            // ѯĿγϢ
}NET_OUT_QUERY_COURSE;

// ѯγ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryCourse(LLONG lLoginID, const NET_IN_QUERY_COURSE *pstInParam, NET_OUT_QUERY_COURSE *pstOutParam, int nWaitTime= NET_INTERFACE_DEFAULT_TIMEOUT);

// CLIENT_QueryCourseClose 
typedef struct tagNET_IN_QUERY_COURSE_CLOSE
{
    DWORD                           dwSize;                                         // ṹС
    int                             nFindID;                                        // γ
}NET_IN_QUERY_COURSE_CLOSE; 

// CLIENT_QueryCourseClose 
typedef struct tagNET_OUT_QUERY_COURSE_CLOSE
{
    DWORD                           dwSize;                                         // ṹС
}NET_OUT_QUERY_COURSE_CLOSE;

// رտγ̲ѯ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryCourseClose(LLONG lLoginID, const NET_IN_QUERY_COURSE_CLOSE *pstInParam, NET_OUT_QUERY_COURSE_CLOSE *pstOutParam, int nWaitTime= NET_INTERFACE_DEFAULT_TIMEOUT);

// 򿪲
CLIENT_NET_API LLONG CALL_METHOD CLIENT_OpenPlayGroup();

// CLIENT_AddPlayHandleToPlayGroup 
typedef struct tagNET_IN_ADD_PLAYHANDLE_TO_PLAYGROUP
{
	DWORD			dwSize;					// ṹС
	BYTE			byReserved[4];			// ֽڶ
	LLONG			lPlayGroupHandle;		// CLIENT_OpenPlayGroup 
	LLONG			lPlayHandle;			// žǰֻֻ֧طţ	
}NET_IN_ADD_PLAYHANDLE_TO_PLAYGROUP;

// CLIENT_AddPlayHandleToPlayGroup 
typedef struct tagNET_OUT_ADD_PLAYHANDLE_TO_PLAYGROUP
{
	DWORD			dwSize;					// ṹС	
}NET_OUT_ADD_PLAYHANDLE_TO_PLAYGROUP;

// ž벥飬֤ͬ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_AddPlayHandleToPlayGroup(const NET_IN_ADD_PLAYHANDLE_TO_PLAYGROUP* pInParam, NET_OUT_ADD_PLAYHANDLE_TO_PLAYGROUP* pOutParam);

// ͣ/ָ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PausePlayGroup(LLONG lPlayGroupHandle, BOOL bPause);

// CLIENT_QueryPlayGroupTime 
typedef struct tagNET_IN_QUERY_PLAYGROUP_TIME
{
	DWORD			dwSize;					// ṹС	
	BYTE			byReserved[4];			// ֽڶ
	LLONG			lPlayGroupHandle;		// CLIENT_OpenPlayGroup ֵ
}NET_IN_QUERY_PLAYGROUP_TIME;

// CLIENT_QueryPlayGroupTime 
typedef struct tagNET_OUT_QUERY_PLAYGROUP_TIME
{
	DWORD			dwSize;					// ṹС	
	NET_TIME_EX		stuTime;				// ʱ
}NET_OUT_QUERY_PLAYGROUP_TIME;

// ȡʱ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryPlayGroupTime(const NET_IN_QUERY_PLAYGROUP_TIME* pInParam, NET_OUT_QUERY_PLAYGROUP_TIME* pOutParam);

// CLIENT_SetPlayGroupBaseChannel 
typedef struct tagNET_IN_SET_PLAYGROUP_BASECHANNEL
{
	DWORD			dwSize;					// ṹС
	BYTE			byReserved[4];			// ֽڶ	
	LLONG			lPlayGroupHandle;		// CLIENT_OpenPlayGroup ֵ
	LLONG			lPlayHandle;			// žǰֻֻ֧طţ
}NET_IN_SET_PLAYGROUP_BASECHANNEL;

// CLIENT_SetPlayGroupBaseChannel 
typedef struct tagNET_OUT_SET_PLAYGROUP_BASECHANNEL
{
	DWORD			dwSize;					// ṹС	
}NET_OUT_SET_PLAYGROUP_BASECHANNEL;

// ò׼ͨ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPlayGroupBaseChannel(const NET_IN_SET_PLAYGROUP_BASECHANNEL* pInParam, NET_OUT_SET_PLAYGROUP_BASECHANNEL* pOutParam);

// CLIENT_DeleteFromPlayGroup 
typedef struct tagNET_IN_DELETE_FROM_PLAYGROUP
{
	DWORD			dwSize;					// ṹС
	BYTE			byReserved[4];			// ֽڶ	
	LLONG			lPlayGroupHandle;		// CLIENT_OpenPlayGroup ֵ
	LLONG			lPlayHandle;			// žǰֻֻ֧طţ
}NET_IN_DELETE_FROM_PLAYGROUP;

// CLIENT_DeleteFromPlayGroup 
typedef struct tagNET_OUT_DELETE_FROM_PLAYGROUP
{
	DWORD			dwSize;					// ṹС	
}NET_OUT_DELETE_FROM_PLAYGROUP;

// žӲƳ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DeleteFromPlayGroup(const NET_IN_DELETE_FROM_PLAYGROUP* pInParam, NET_OUT_DELETE_FROM_PLAYGROUP* pOutParam);

// رղ
// lPlayGroupHandle  CLIENT_OpenPlayGroup ķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ClosePlayGroup(LLONG lPlayGroupHandle);

// CLIENT_GetChannelOfAudioInput ṹ
typedef struct tagNET_IN_GET_CHANNEL_OF_AUDIO_INPUT
{
    DWORD								dwSize;					// ṹС
}NET_IN_GET_CHANNEL_OF_AUDIO_INPUT;

// CLIENT_GetChannelOfAudioInput ṹ
typedef struct tagNET_OUT_GET_CHANNEL_OF_AUDIO_INPUT
{
    DWORD								dwSize;					// ṹС
    UINT                                nChannels;              // ֵ֧Ƶͨ
}NET_OUT_GET_CHANNEL_OF_AUDIO_INPUT;

// CLIENT_GetChannelOfAudioOutput ṹ
typedef struct tagNET_IN_GET_CHANNEL_OF_AUDIO_OUTPUT
{
    DWORD								dwSize;					// ṹС
}NET_IN_GET_CHANNEL_OF_AUDIO_OUTPUT;

// CLIENT_GetChannelOfAudioOutput ṹ
typedef struct tagNET_OUT_GET_CHANNEL_OF_AUDIO_OUTPUT
{
    DWORD								dwSize;					// ṹС
    UINT                                nChannels;              // ֵ֧Ƶͨ
}NET_OUT_GET_CHANNEL_OF_AUDIO_OUTPUT;


// ȡƵͨ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetChannelOfAudioInput(LLONG lLoginID, NET_IN_GET_CHANNEL_OF_AUDIO_INPUT* pInParam, NET_OUT_GET_CHANNEL_OF_AUDIO_INPUT* pOutParam,int nWaitTime);

// ȡƵͨ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetChannelOfAudioOutput(LLONG lLoginID, NET_IN_GET_CHANNEL_OF_AUDIO_OUTPUT* pInParam, NET_OUT_GET_CHANNEL_OF_AUDIO_OUTPUT* pOutParam,int nWaitTime);

// CLIENT_ExitApp ӿ
typedef struct tagNET_IN_EXIT_APP
{
    DWORD               dwSize;             // ṹС
} NET_IN_EXIT_APP;

// CLIENT_ExitApp ӿ
typedef struct tagNET_OUT_EXIT_APP
{
    DWORD               dwSize;             // ṹС
} NET_OUT_EXIT_APP;

// ˳Ӧó
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ExitApp(LLONG lLoginID, NET_IN_EXIT_APP* pInParam, NET_OUT_EXIT_APP* pOutParam, int nWaitTime);


// CLIENT_SetPlayGroupDirection 
typedef struct tagNET_IN_SET_PLAYGROUP_DIRECTION
{
	DWORD				dwSize;								// ṹС
	int					nPlayDirection;						// ŷ, 0:; 1:
	LLONG				lPlayGroupHandle;					//  CLIENT_OpenPlayGroup 	
}NET_IN_SET_PLAYGROUP_DIRECTION;

// CLIENT_SetPlayGroupDirection 
typedef struct tagNET_OUT_SET_PLAYGROUP_DIRECTION
{
	DWORD				dwSize;								// ṹС	
}NET_OUT_SET_PLAYGROUP_DIRECTION;

// ò鲥ŷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPlayGroupDirection(const NET_IN_SET_PLAYGROUP_DIRECTION* pInParam, NET_OUT_SET_PLAYGROUP_DIRECTION* pOutParam);


// CLIENT_SetPlayGroupSpeed 
typedef struct tagNET_IN_SET_PLAYGROUP_SPEED
{
	DWORD				dwSize;								// ṹС
	EM_PLAY_BACK_SPEED	emSpeed;							// ٶ
	LLONG				lPlayGroupHandle;					//  CLIENT_OpenPlayGroup 	
}NET_IN_SET_PLAYGROUP_SPEED;

// CLIENT_SetPlayGroupSpeed 
typedef struct tagNET_OUT_SET_PLAYGROUP_SPEED
{
	DWORD				dwSize;								// ṹС	
}NET_OUT_SET_PLAYGROUP_SPEED;

// ò鲥ٶ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPlayGroupSpeed(const NET_IN_SET_PLAYGROUP_SPEED* pInParam, NET_OUT_SET_PLAYGROUP_SPEED* pOutParam);

// 
// lPlayGroupHandle ǲ CLIENT_OpenPlayGroup 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_FastPlayGroup(LLONG lPlayGroupHandle);

// 
// lPlayGroupHandle ǲ CLIENT_OpenPlayGroup 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SlowPlayGroup(LLONG lPlayGroupHandle);

// 
// lPlayGroupHandle ǲ CLIENT_OpenPlayGroup 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_NormalPlayGroup(LLONG lPlayGroupHandle);


// AOL첽豸Σ鲥
typedef struct tagNET_IN_AOL_STARTSEARCH_DEVICE
{
	DWORD                   dwSize;								// ṹС
	char                    szLocalIp[MAX_LOCAL_IP_LEN];		// ıIP
	fSearchDevicesCBEx      cbSearchDevices;					// 豸Ϣص
	void*                   pUserData;							// ûԶ	
}NET_IN_AOL_STARTSEARCH_DEVICE;

// AOL첽豸
typedef struct tagNET_OUT_AOL_STARTSEARCH_DEVICE
{
	DWORD                   dwSize;								// ṹС
}NET_OUT_AOL_STARTSEARCH_DEVICE;

// AOL첽豸
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartSearchDevicesForAOL(NET_IN_AOL_STARTSEARCH_DEVICE* pInParam, NET_OUT_AOL_STARTSEARCH_DEVICE* pOutParam);

// CLIENT_SearchDevicesByIPsForAOL 
typedef struct tagNET_IN_AOL_SEARCHDEVICE_BYIPS
{		
	DWORD					dwSize;								// ṹС	
	int                 	nIpNum;								// ǰIP
    char                	szIP[DH_MAX_SAERCH_IP_NUM][64];		// IPϢ	
	char*					szLocalIp;							// ıIP
	fSearchDevicesCB		cbSearchDevices;					// ص
	LDWORD					dwUserData;							// û	
}NET_IN_AOL_SEARCHDEVICE_BYIPS;

// CLIENT_SearchDevicesByIPsForAOL 
typedef struct tagNET_OUT_AOL_SEARCHDEVICE_BYIPS
{
	DWORD					dwSize;								// ṹС
}NET_OUT_AOL_SEARCHDEVICE_BYIPS;

// AOL ָIP豸
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SearchDevicesByIPsForAOL(NET_IN_AOL_SEARCHDEVICE_BYIPS* pInParam, NET_OUT_AOL_SEARCHDEVICE_BYIPS* pOutParam, int nWaitTime);



// CLIENT_ResetSystemEx 
typedef struct tagNET_IN_RESET_SYSTEM_EX
{
	DWORD 					dwSize;										// ṹС
	UINT					nType;										// 0: Ӳָ; 1:ָ
}NET_IN_RESET_SYSTEM_EX;

// CLIENT_ResetSystemEx 
typedef struct tagNET_OUT_RESET_SYSTEM_EX
{
	DWORD 					dwSize;										// ṹС
}NET_OUT_RESET_SYSTEM_EX;

// ָչӿ(úɾ˻)ʵӲλλ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_ResetSystemEx(LLONG lLoginID,const NET_IN_RESET_SYSTEM_EX* pstInParam, NET_OUT_RESET_SYSTEM_EX* pstOutParam, int nWaitTime);

//  AOL ־ļ
typedef enum tagEM_EXPORT_AOL_LOGFILE_ERRORCODE
{
	EM_EXPORT_AOL_LOGFILE_SUCCESS			= 1,						// ɹ
	EM_EXPORT_AOL_LOGFILE_NO_AUTHORITY		= 2,						// Ȩ
	EM_EXPORT_AOL_LOGFILE_NO_THIS_FILE		= 3,						// ļ	
	EM_EXPORT_AOL_LOGFILE_EXPORT_END		= 4,						// ļؽ
	EM_EXPORT_AOL_LOGFILE_EXPORTING			= 5,						// ļ
	EM_EXPORT_AOL_LOGFILE_FILE_SUCCESS		= 6,						// ļֹɹ
	EM_EXPORT_AOL_LOGFILE_FILE_FAIL			= 7,						// ļֹʧ
	EM_EXPORT_AOL_LOGFILE_FILE_READY		= 8,						// ļ׼
	EM_EXPORT_AOL_LOGFILE_FILE_FAILED		= 9,						// ļ׼ʧ	
	EM_EXPORT_AOL_LOGFILE_WAIT_FILE			= 10,						// ɹ, Ҫȴ豸׼
	EM_EXPORT_AOL_LOGFILE_SYSTEM_BUSY		= 11,						// ϵͳæ, ʱ޷
} EM_EXPORT_AOL_LOGFILE_ERRORCODE;

// AOL־ļ״̬Ϣ
typedef struct tagNET_EXPORT_AOL_LOGFILE_STATE
{
	unsigned int					nProgress;							// , ٷֱ
	EM_EXPORT_AOL_LOGFILE_ERRORCODE	emErrorCode;						// 
	char							*pDataBuf;							// 
	DWORD							dwDataLen;							// ݳ
	BYTE							byReserved[516];					// ֽ
} NET_EXPORT_AOL_LOGFILE_STATE;

// AOL־ļصԭ
typedef void (CALLBACK *fExportAOLLogFileCallBack)(LLONG lExportHandle, NET_EXPORT_AOL_LOGFILE_STATE *pstLogFileState, LDWORD dwUser);

// CLIENT_ExportAOLLogFile ӿ
typedef struct tagNET_IN_EXPORT_AOL_LOGFILE
{
	DWORD							dwSize;								// ṹС	
	BYTE							byReserved[4];						// ֽڶ
	fExportAOLLogFileCallBack		cbExport;							// ־ļص
	LDWORD 							dwUser;								// û
}NET_IN_EXPORT_AOL_LOGFILE;

// CLIENT_ExportAOLLogFile ӿ
typedef struct tagNET_OUT_EXPORT_AOL_LOGFILE
{
	DWORD							dwSize;								// ṹС
}NET_OUT_EXPORT_AOL_LOGFILE;

// AOL־ļ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_ExportAOLLogFile(LLONG lLoginID, const NET_IN_EXPORT_AOL_LOGFILE* pInParam, NET_OUT_EXPORT_AOL_LOGFILE* pOutParam, int nWaitTime);

// ֹͣAOL־ļ
// lExportHandle Ϊ CLIENT_ExportAOLLogFile ֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopExportAOLLogFile(LLONG lExportHandle);

// CLIENT_DeleteAllDiagnosisFaultCode 
typedef struct tagNET_IN_DELETE_ALLDIAGNOSIS_FAULTCODE
{
	DWORD							dwSize;								// ṹС
}NET_IN_DELETE_ALLDIAGNOSIS_FAULTCODE;

//
typedef struct tagNET_OUT_DELETE_ALLDIAGNOSIS_FAULTCODE
{
	DWORD							dwSize;								// ṹС
}NET_OUT_DELETE_ALLDIAGNOSIS_FAULTCODE;

// ɾй
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DeleteAllDiagnosisFaultCode(LLONG lLoginID, const NET_IN_DELETE_ALLDIAGNOSIS_FAULTCODE* pInParam, NET_OUT_DELETE_ALLDIAGNOSIS_FAULTCODE* pOutParam, int nWaitTime);

// Ϣ
typedef struct tagNET_PIG_TEMPERATURE_DATA
{
    NET_RECT            stuRect;                // λ 
    UINT                nID;                    // 
    float               fMaxTemperature;        // 
    float               fMinTemperature;        // 
    float               fAverageTemperature;    // ƽ
    BYTE                byReserve[1024];        // ֽ
} NET_PIG_TEMPERATURE_DATA;

// Ϣ
typedef struct tagNET_PIG_TEMPERATURE_INFO
{
    UINT                        nPigNum;            // 
    NET_PIG_TEMPERATURE_DATA    stuPigInfo[48];     // Ϣ
    BYTE                        byReserve[1024];    // ֽ
} NET_PIG_TEMPERATURE_INFO;

// Զץͼ
typedef enum tagEM_CUSTOM_SNAP_TYPE
{
    EM_CUSTOM_SNAP_UNKNOWN,            // δ֪
    EM_CUSTOM_SNAP_PIG_TEMPERATURE,    // ¼, Ӧṹ NET_PIG_TEMPERATURE_INFO
} EM_CUSTOM_SNAP_TYPE;

// ͼƬļĻصϢ
typedef struct tagNET_CB_CUSTOM_SNAP_INFO
{
    UINT                        nChannelID;         // ͨ
    NET_TIME                    stuSnapTime;        // ץͼʱ
    EM_CUSTOM_SNAP_TYPE         emCustomSnapType;   // Զץͼ
    void*                       pDetailInfo;        // ͼƬ, emCustomSnapTypeֵȷĽṹ
    BYTE                        byReserve[1024];    // ֽ
} NET_CB_CUSTOM_SNAP_INFO;

// Զ嶨ʱץͼĻصԭ, lAttachHandleΪ CLIENT_AttachCustomSnapInfo ӿڵķֵ
typedef void (CALLBACK *fAttachCustomSnapInfo)(LLONG lAttachHandle, NET_CB_CUSTOM_SNAP_INFO* pstResult, const char *pBuf, const DWORD dwBufSize, LDWORD dwUser);

// CLIENT_AttachCustomSnapInfo ӿ
typedef struct tagNET_IN_ATTACH_CUSTOM_SNAP_INFO
{
    DWORD                           dwSize;                         // ṹС
    int                             nChannelID;                     // ͨ
    fAttachCustomSnapInfo           cbCustomSnapInfo;               // Զ嶨ʱץͼĻص
    LDWORD                          dwUser;                         // û
} NET_IN_ATTACH_CUSTOM_SNAP_INFO;

// CLIENT_AttachCustomSnapInfo ӿ
typedef struct tagNET_OUT_ATTACH_CUSTOM_SNAP_INFO
{
    DWORD                           dwSize;                         // ṹС
} NET_OUT_ATTACH_CUSTOM_SNAP_INFO;

// Զ嶨ʱץͼĽӿ(Ŀǰǻֳ¼)
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachCustomSnapInfo(LLONG lLoginID, NET_IN_ATTACH_CUSTOM_SNAP_INFO* pInParam, NET_OUT_ATTACH_CUSTOM_SNAP_INFO* pOutParam, const int nWaitTime);

// ȡԶ嶨ʱץͼĽӿ(Ŀǰǻֳ¼)
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachCustomSnapInfo(LLONG lAttachHandle);


// CLIENT_GetInstalledAppInfo ӿ
typedef struct tagNET_IN_GET_INSTALLED_APP_INFO
{
    DWORD                           dwSize;                     // ṹС
} NET_IN_GET_INSTALLED_APP_INFO;

// APPϢ
typedef struct tagNET_APP_CAPS
{
    BOOL                bShowWebConsole;        // Ƿ֧ web Console
    BOOL                bShowPerformance;       // Ƿֲ֧鿴
    BOOL                bShowDebug;             // Ƿֵ֧
    BYTE                byReserved[128];        // ֽ
}NET_APP_CAPS;

// APP״̬
typedef enum tagEM_APP_RUNNING_STATE
{
    EM_APP_RUNNING_STATE_UNKNOWN,           // δ֪
    EM_APP_RUNNING_STATE_RUNNING,           // 
    EM_APP_RUNNING_STATE_STOP,              // ֹͣ
    EM_APP_RUNNING_STATE_ERROR,             // 쳣״̬
} EM_APP_RUNNING_STATE;

// APP֤״̬
typedef enum tagEM_APP_LICENSE_STATE
{
    EM_APP_LICENSE_STATE_UNKNOEN,        // δ֪
    EM_APP_LICENSE_STATE_IN_TRAL,        // ֤
    EM_APP_LICENSE_STATE_IN_LICENSE,     // ֤ʽϷ
    EM_APP_LICENSE_STATE_EXPIRED,        // ֤
}EM_APP_LICENSE_STATE;

// APPĵ״̬
typedef enum tagEM_APP_DEBUG_STATE
{
    EM_APP_DEBUG_STATE_UNKNOWN,         // δ֪
    EM_APP_DEBUG_STATE_ENABLE,          // 
    EM_APP_DEBUG_STATE_DISABLE,         // رյ
}EM_APP_DEBUG_STATE;

// װӦϢ
typedef struct tagNET_INSTALLED_APP_INFO
{
    char                    szAppName[128];         // APP
    char                    szVersion[64];          // APPİ汾
    char                    szExtend[64];           // չϢ
    UINT                    nAppID;                 // APPID
    EM_APP_DEBUG_STATE      emAppDebugState;        // APPĵ״̬
    EM_APP_RUNNING_STATE    emAppRunningState;      // APP״̬
    EM_APP_LICENSE_STATE    emAppLicenseState;      // APPlicense״̬
    NET_APP_CAPS            stuAppCaps;             // APPϢ
    BYTE                    byReserved[256];        // ֽ
} NET_INSTALLED_APP_INFO;


// CLIENT_GetInstalledAppInfo ӿ
typedef struct tagNET_OUT_GET_INSTALLED_APP_INFO
{
    DWORD                           dwSize;                     // ṹС
    UINT                            nListCount;                 // ԰װӦбϢ
    NET_INSTALLED_APP_INFO          stuAppInfoList[16];         // װӦбϢ
} NET_OUT_GET_INSTALLED_APP_INFO;

// CLIENT_StartApp  ӿ
typedef struct tagNET_IN_START_APP
{
    DWORD                           dwSize;                     // ṹС
    UINT                            nAppID;                     // APPID
    char                            szAppName[128];             // APP
} NET_IN_START_APP;

// CLIENT_StartApp ӿ
typedef struct tagNET_OUT_START_APP
{
    DWORD                           dwSize;                     // ṹС
} NET_OUT_START_APP;


// CLIENT_StopApp ӿ
typedef struct tagNET_IN_STOP_APP
{
    DWORD                           dwSize;                     // ṹС
    UINT                            nAppID;                     // APPID
    char                            szAppName[128];             // APP
} NET_IN_STOP_APP;

// CLIENT_StopApp ӿ
typedef struct tagNET_OUT_STOP_APP
{
    DWORD                           dwSize;                     // ṹС
} NET_OUT_STOP_APP;

// CLIENT_RemoveApp ӿ
typedef struct tagNET_IN_REMOVE_APP
{
    DWORD                           dwSize;                     // ṹС
    UINT                            nAppID;                     // APPID
    char                            szAppName[128];             // APP
} NET_IN_REMOVE_APP;

// CLIENT_RemoveApp ӿ
typedef struct tagNET_OUT_REMOVE_APP
{
    DWORD                           dwSize;                     // ṹС
} NET_OUT_REMOVE_APP;

// ȡװӦб
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetInstalledAppInfo(LLONG lLoginID, const NET_IN_GET_INSTALLED_APP_INFO* pInParam, NET_OUT_GET_INSTALLED_APP_INFO* pOutParam, int nWaitTime);

// 
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartApp(LLONG lLoginID, const NET_IN_START_APP* pInParam, NET_OUT_START_APP* pOutParam, int nWaitTime);

// ֹͣ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopApp(LLONG lLoginID, const NET_IN_STOP_APP* pInParam, NET_OUT_STOP_APP* pOutParam, int nWaitTime);

// жس
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RemoveApp(LLONG lLoginID, const NET_IN_REMOVE_APP* pInParam, NET_OUT_REMOVE_APP* pOutParam, int nWaitTime);

// CLIENT_GetASGState ӿ
typedef struct tagNET_IN_ACCESS_GET_ASG_STATE
{
    DWORD           dwSize;                            
}NET_IN_ACCESS_GET_ASG_STATE;

// ״̬
typedef enum tagEM_DOOR_WING_STATE
{
    EM_DOOR_WING_STATE_UNKNOWN,                      // δ֪
    EM_DOOR_WING_STATE_CLOSE,                        // 
    EM_DOOR_WING_STATE_ENTER_OPEN,                   // ڴ
    EM_DOOR_WING_STATE_LEAVE_OPEN,                   // ڴ
} EM_DOOR_WING_STATE;

// Canͨ״̬
typedef enum tagEM_CAN_COMMUNICATE_STATE
{
    EM_CAN_COMMUNICATE_STATE_UNKNOWN = -1,           // δ֪
    EM_CAN_COMMUNICATE_STATE_NORMAL,                 // 
    EM_CAN_COMMUNICATE_STATE_ABNORMAL,               // 쳣 
} EM_CAN_COMMUNICATE_STATE;

// CLIENT_GetASGState ӿ
typedef struct tagNET_OUT_ACCESS_GET_ASG_STATE
{
    DWORD                             dwSize;
    int                               nInfraredStateNum;              // ״̬
    int                               szInfraredStateMask[6];         // ״̬; 
                                                                      // [0] Bit0 ʾ1·Bit7ʾ8·, [1] Bit0 ʾ9·Bit7ʾ16·;
                                                                      // λΪ 0(δڵ),1(ڵ)
    EM_DOOR_WING_STATE                emDoorWingState;                // ״̬
    EM_CAN_COMMUNICATE_STATE          emCanState;                     // Canͨ״̬
    int                               nEnterNum;                      // ͨ
    int                               nLeaveNum;                      // ͨ       
}NET_OUT_ACCESS_GET_ASG_STATE;

// ȡբ״̬
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetASGState(LLONG lLoginID, const NET_IN_ACCESS_GET_ASG_STATE* pInParam, NET_OUT_ACCESS_GET_ASG_STATE* pOutParam, int nWaitTime);

// CLIENT_StartFindXRayPkg ӿ
typedef struct tagNET_IN_START_FIND_XRAY_PKG
{
    DWORD                   dwSize;                 // ṹС
    EM_RESULT_ORDER_TYPE    emTimeOrder;            // ѯʱ
	NET_TIME			    stuStartTime;		    // ѯĿʼʱ
    NET_TIME			    stuEndTime;			    // ѯĽʱ
    UINT                    nSimilarityRange[2];    // ƶȷΧ,±0:ʾСֵ, ±1:ʾֵ
    UINT                    nObjTypeNum;            // ͵
    EM_INSIDE_OBJECT_TYPE	emObjType[32];		    // Ʒ
} NET_IN_START_FIND_XRAY_PKG;

// CLIENT_StartFindXRayPkg ӿ
typedef struct tagNET_OUT_START_FIND_XRAY_PKG
{
    DWORD                   dwSize;                 // ṹС
    UINT                    nTotal;                 //     
} NET_OUT_START_FIND_XRAY_PKG;

// CLIENT_DoFindXRayPkg ӿ
typedef struct tagNET_IN_DO_FIND_XRAY_PKG
{
    DWORD                   dwSize;                 // ṹС
    UINT                    nOffset;                // ѯƫ  
    UINT                    nCount;                 // ҪҵĿ
} NET_IN_DO_FIND_XRAY_PKG;

// XϢ
typedef struct tagNET_PKG_OBJECT_INFO
{
    EM_INSIDE_OBJECT_TYPE	emObjType;		    	// Ʒ
    EM_DANGER_GRADE_TYPE	emDangerGrade;			// ƷΣյȼ
    UINT                    nSimilarity;	    	// ƶ,0~100
    BYTE                    byReserved[132];    	// ֽ
}NET_PKG_OBJECT_INFO;

// ӽϢ
typedef struct tagNET_PKG_VIEW_INFO
{
    EM_XRAY_VIEW_TYPE       emViewType;				    // ͼ
    UINT                    nEnergyImageLength;         // ͼС λֽ
    char                    szEnergyImagePath[128];     // ͼ·
    UINT                    nColorImageLength;          // ͼСλֽ
    char                    szColorImagePath[128];      // ͼ·
    UINT                    nColorOverlayImageLength;   // ͼͼСλֽ
    char                    szColorOverlayImagePath[128];// ͼͼ·
    NET_PKG_OBJECT_INFO     stuObject[32];              // 
	UINT                    nObjectCount;               // 
    BYTE                    byReserved[1024];           // ֽ
} NET_PKG_VIEW_INFO;

// XİϢ
typedef struct tagNET_XRAY_PKG_INFO
{
    NET_TIME			    stuTime;		    	// ʱ(ʱ)
    int                     nChannelIn;             // ĽIPCͨ,0ʼ,-1ʾЧ
    int                     nChannelOut;            // ĳIPCͨ,0ʼ,-1ʾЧ
    char                    szUser[128];            // û
    NET_PKG_VIEW_INFO       stuViewInfo[2];         // ӽϢ
    BYTE                    byReserved[1024];        // ֽ
} NET_XRAY_PKG_INFO;

// CLIENT_DoFindXRayPkg ӿ
typedef struct tagNET_OUT_DO_FIND_XRAY_PKG
{
    DWORD                   dwSize;                 // ṹС
    UINT                    nMaxCount;              // ûָṹ,ڵNET_IN_DO_FIND_XRAY_PKGnCount
    UINT                    nRetCount;              // ʵʷصĲѯ
    NET_XRAY_PKG_INFO*      pstuXRayPkgInfo;        // XİϢ,Сûָ
} NET_OUT_DO_FIND_XRAY_PKG;


// ʼXϢ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartFindXRayPkg(LLONG lLoginID, const NET_IN_START_FIND_XRAY_PKG* pInParam, NET_OUT_START_FIND_XRAY_PKG* pOutParam, int nWaitTime);

// ѯXϢ,lFindIDΪCLIENT_StartFindXRayPkgӿڷصĲID
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DoFindXRayPkg(LLONG lFindID, const NET_IN_DO_FIND_XRAY_PKG* pInParam, NET_OUT_DO_FIND_XRAY_PKG* pOutParam, int nWaitTime);

// ѯXϢ, lFindIDΪCLIENT_StartFindXRayPkgӿڷصĲID
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopFindXRayPkg(LLONG lFindID);


// ǽصϢ
typedef struct tagNET_CB_MONITOR_WALL_SCENE
{
    char                        szCurrentCollectionName[32];    // ǰԤ
    DH_MONITORWALL_SCENE        stuScene;                       // ǽ
    BYTE                        byReserve[1024];                // ֽ
} NET_CB_MONITOR_WALL_SCENE;

// ǽĻصԭ, lAttachHandleΪ CLIENT_AttachMonitorWallScene ӿڵķֵ
typedef void (CALLBACK *fMonitorWallScene)(LLONG lAttachHandle, NET_CB_MONITOR_WALL_SCENE* pstResult, LDWORD dwUser);

// CLIENT_AttachMonitorWallScene ӿ
typedef struct tagNET_IN_ATTACH_MONITOR_WALL_SCENE
{
    DWORD                           dwSize;                         // ṹС
    int                             nMonitorWallID;                 // ǽID
    fMonitorWallScene               cbMonitorWallScene;             // ǽĻص
    LDWORD                          dwUser;                         // û
} NET_IN_ATTACH_MONITOR_WALL_SCENE;

// CLIENT_AttachMonitorWallScene ӿ
typedef struct tagNET_OUT_ATTACH_MONITOR_WALL_SCENE
{
    DWORD                           dwSize;                         // ṹС
} NET_OUT_ATTACH_MONITOR_WALL_SCENE;

// ĵǽ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_AttachMonitorWallScene(LLONG lLoginID, NET_IN_ATTACH_MONITOR_WALL_SCENE* pInParam, NET_OUT_ATTACH_MONITOR_WALL_SCENE* pOutParam, const int nWaitTime);

// ȡĵǽ,, lAttachHandleΪ CLIENT_AttachMonitorWallScene ӿڵķֵ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DetachMonitorWallScene(LLONG lAttachHandle);

/////////////////////////////////̭ӿ  Start/////////////////////////////////

// ѯϵͳãýӿ̭,ʹCLIENT_GetDevConfig
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryConfig(LLONG lLoginID, int nConfigType, char *pConfigbuf, int maxlen, int *nConfigbuflen, int waittime=1000);

// ϵͳãýӿ̭,ʹCLIENT_SetDevConfig
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetupConfig(LLONG lLoginID, int nConfigType, char *pConfigbuf, int nConfigbuflen, int waittime=1000);

// ýӿ̭,벻Ҫʹ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_Reset(LLONG lLoginID, BOOL bReset);

// ѯЭ  ýӿ̭,ʹCLIENT_GetDevConfig
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryComProtocol(LLONG lLoginID, int nProtocolType, char *pProtocolBuffer, int maxlen, int *nProtocollen, int waittime=1000);

// ʼԽýӿ̭,ʹCLIENT_StartTalkEx
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StartTalk(LLONG lRealHandle, BOOL bCustomSend=false);

// Խýӿ̭,ʹCLIENT_StopTalkEx
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopTalk(LLONG lRealHandle);

// ԶԽݣýӿ̭,ʹCLIENT_TalkSendData
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SendTalkData_Custom(LLONG lRealHandle, char *pBuffer, DWORD dwBufSize);

// ʵʱԤС
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetPlayerBufNumber(LLONG lRealHandle, DWORD dwBufNum);

// ͨʱļ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetFileByTime(LLONG lLoginID, int nChannelID, LPNET_TIME lpStartTime, LPNET_TIME lpStopTime, char *sSavedFileName);

// طſ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_PlayBackControl(LLONG lPlayHandle, DWORD dwControlCode, DWORD dwInValue, DWORD *lpOutValue);

// ѯ豸״̬ ýӿ̭,ʹCLIENT_QueryDevState
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetDEVWorkState(LLONG lLoginID, LPNET_DEV_WORKSTATE lpWorkState, int waittime=1000);

// 첽ѯ豸־
CLIENT_NET_API BOOL CALL_METHOD CLIENT_QueryLogCallback(LLONG lLoginID, fLogDataCallBack cbLogData, LDWORD dwUser);

// mpt300¼͹ر,pstRecInpstRecOutڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_RecMngCtrlMpt300(LLONG lLoginID, const NET_IN_REC_MNG_CTRL_MPT300 *pstRecIn, NET_OUT_REC_MNG_CTRL_MPT300 *pstRecOut, int nWaitTime);

// ֱͬ͸ӿ,pstInTransmitpstOutTransmitڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_TransmitInfoDirectly(LLONG lLoginID, const NET_IN_TRANSMIT_DIRECTLY *pstInTransmit, NET_OUT_TRANSMIT_DIRECTLY *pstOutTransmit, int nWaittime = 1000);

// 첽ֱ͸صԭ
typedef void (CALLBACK *fTransmitInfoDirectlyCallBack)(LLONG lLoginID, LLONG lStartHandle, const char *pszOutBuf, DWORD dwBufLen, LDWORD dwUser);

// 첽ֱ͸ӿ,pstInTransmitpstOutTransmitڴûͷ
CLIENT_NET_API LLONG CALL_METHOD CLIENT_StartTransmitInfoDirectly(LLONG lLoginID, const NET_IN_TRANSMIT_DIRECTLY *pstInTransmit, NET_OUT_TRANSMIT_DIRECTLY *pstOutTransmit, fTransmitInfoDirectlyCallBack cbDirectly, LDWORD dwUser, int nWaitTime = 1000);

// ȡ첽ֱ͸ӿ,pstInTransmitpstOutTransmitڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_StopTransmitInfoDirectly(LLONG lStartHandle, const NET_IN_TRANSMIT_DIRECTLY *pstInTransmit, NET_OUT_TRANSMIT_DIRECTLY *pstOutTransmit, int nWaitTime = 1000);

// ȡVK,̭ӿ,ʹCLIENT_AttachVKȡǰǰһvkvk
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetVK(LLONG lLoginID, const NET_IN_GET_VKINFO* pInParam, NET_OUT_GET_VKINFO* pOutParam, int nWaitTime);

// GDPR汾Ϣ
enum EM_GDPR_VERSION
{
	EM_GDPR_VERSION_NON = 0,				// GDPR豸
	EM_GDPR_VERSION_V1,						// GDPR V1豸֧V1汾ط
	EM_GDPR_VERSION_V2,						// GDPR V2豸֧V2汾ط
};

// ȡGDPR汾Ϣӿڣʹ CLIENT_GetGDPRAbility ӿ
CLIENT_NET_API BOOL	CALL_METHOD CLIENT_GetGDPRVersion(LLONG lLoginID, EM_GDPR_VERSION* pVersion, int nWaitTime);

// ֻϢ, ʹRegisterIDʶ,pstuCfgڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetMobilePushNotify(LLONG lLoginID, const NET_MOBILE_PUSH_NOTIFY *pstuCfg, int *nError, int *nRestart, int nWaitTime = 1000);

// ɾֻϢ, ʹRegisterIDʶ,pstuInpstuOutڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DelMobilePushNotify(LLONG lLoginID, const NET_MOBILE_PUSH_NOTIFY_DEL *pstuIn, NET_OUT_DELETECFG* pstuOut, int nWaitTime = 1000);

// ֻϢ, ʹRegisterID+AppIDʶ,AppIDݲܴ,ſ»ߴ,pstuCfgڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_SetMobilePushNotifyCfg(LLONG lLoginID, const NET_MOBILE_PUSH_NOTIFY_CFG *pstuCfg, int *nError, int *nRestart, int nWaitTime = 1000);

// ɾֻϢ, ʹRegisterID+AppIDʶ,AppIDݲܴ,ſ»ߴ,pstuInpstuOutڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_DelMobilePushNotifyCfg(LLONG lLoginID, const NET_MOBILE_PUSH_NOTIFY_CFG_DEL *pstuIn, NET_OUT_DELETECFG* pstuOut, int nWaitTime = 1000);

// ȡֻϢ, ʹRegisterID+AppIDʶ,AppIDݲܴ,ſ»ߴ,pstuCfgڴûͷ
CLIENT_NET_API BOOL CALL_METHOD CLIENT_GetMobilePushNotifyCfg(LLONG lLoginID, NET_MOBILE_PUSH_NOTIFY_CFG *pstuCfg, int *nError, int nWaitTime = 1000);

/////////////////////////////////̭ӿ  End/////////////////////////////////

#ifdef __cplusplus
}
#endif
#endif // DHNETSDK_H



